+++
title = "23+ hours with the PlayStation Portable: Initial thoughts"
description = "Having invested over 23 hours with my Sony PlayStation Portable, here are my initial thoughts on the device/console."
draft = false
comments = true
date = "2010-11-15T22:33:00-06:00"
modified = "2010-11-28T15:54:38-06:00"
slug = "23-plus-hours-with-the-PlayStation-Portable-Initial-thoughts"
blogengine = "6bea0e43-03bb-4b55-aabb-d376b205d4ff"
categories = ["article", "review"]
tags = ["playstation portable", "sony psp"]
+++

<p>On the first of the month I purchased a Sony PlayStation Portable, which was delivered to me on the 4th.</p>
<p>Since then I've used it, mostly for play, for approximately 24 hours. Approximately 23 hours and 12 minutes of that was with my first game, Crisis Core; Final Fantasy VII, and the rest (which was probably over an hour) was initial setups, as well as the playing of a handful of demos, and Castlevania: Symphony of the Night, which I had purchased for play on my PS3 a long while ago.</p>
<p>Below are my thoughts on my purchase, after approximately 24 hours, over the course of approximately 12 days.</p>
<h3>The initial debate</h3>
<p>Initially <a href="/words/post/Oh-why-cant-I-find-a-reason-to-buy-a-current-gen-portable-console.aspx">I had debated getting a Nintendo DSi or a Sony PlayStation Portable</a> (henceworth PSP). Granted, I had discussed possibly getting an Apple product as well, but the games for their systems are far too casual for my tastes, and the cost of entry is far too high.</p>
<p>So it was down to a DSi, which would be replaced in a handful of months by the Nintendo 3DS, or a PSP, with its questionably-sized U.S. selection. Of course there's also the PSPgo, which has been getting a bit of slack, but UMDs cannot be used in the device, and not all games are available for download. The PSP 2 seems to have&nbsp;a similar fate, so since the 'regular' PSP can play both 'types' of games now, the future doesn't matter as much.</p>
<h3>The winner seems clear ...</h3>
<p>So given that the 3DS was the product to purchase, if any Nintendo portable device, and the current PSP-3000 device was the Sony product to purchase, you would think the winner would be obvious. Yet, the question then becomes whether the cost to purchase is too high.</p>
<h3>Cost of entry (for the PSP)</h3>
<p>While the Metal Gear Solid bundle looked good, at it's $200 price with a game, memory stick, and free movie included, the big question was whether I'd be able to play the game, or if I'd just end up selling it. I'd also be getting a green PSP, when I'd much rather have a black machine.</p>
<p>There were bundles as well, but based on how the game was included - a non-standard case - I decided that if anything I'd get the standalone version.</p>
<p>In order to play games I'd need to purchase a memory card/stick, and since the PSP doesn't close in on itself, I'd need some kind of case to protect it during travel.</p>
<p>While it could play the handful of games I currently purchased (PSOne Classics) on the PlayStation Network, I'd probably want to pick up a game or two, as well.</p>
<p>So that gives us:</p>
<ul>
<li><a rel="external" href="http://www.amazon.com/gp/product/B001KMRN0M?tag=strivinglifen-20">PSP 3000 Core Pack</a> = $169.99</li>
<li><a rel="external" href="http://www.amazon.com/gp/product/B0013AX2JM?tag=strivinglifen-20">4 GB Memory Stick PRO Duo</a> = $15.87</li>
<li><a rel="external" href="http://www.amazon.com/gp/product/B000ASBKHE?tag=strivinglifen-20">PSP Travel Case</a> = $8.99</li>
<li><a rel="external" href="http://www.amazon.com/gp/product/B0014X7SQ6?tag=strivinglifen-20">Crisis Core: Final Fantasy VII</a> = $9.96</li>
<li><a rel="external" href="http://www.amazon.com/gp/product/B000R39IKI?tag=strivinglifen-20">Brave Story: New Traveler</a> = $19.99</li>
</ul>
<p>The first game was an obvious choice, while the second was supposedly one of the best of its kind on the system. Before shipping was included, the total cost was $224.</p>
<p>Now a <a rel="external" href="http://www.amazon.com/gp/product/B001T8W2LW?tag=strivinglifen-20">DSi</a> would have started at $150, and I wouldn't have needed memory (already had a spare card) nor a case. I would have purchased <a rel="external" href="http://www.amazon.com/gp/product/B002I0EH6I?tag=strivinglifen-20">Dragon Quest IX</a>, at approximately $35, and would have had enough to purchase an older game, like <a rel="external" href="http://www.amazon.com/gp/product/B00136MBHA?tag=strivinglifen-20">The World Ends With You</a>, or an Atlus offering.</p>
<p>But again, the DSi isn't an option, so it was more on whether the $225 would be an okay cost. Since I had recently made over $250 selling some of my old possessions, I certainly had the money to spend. So I finally did.</p>
<h3>Additional purchases</h3>
<p>After my initial purchases I of course decided that I had to pick up a couple more things. The first was an <a rel="external" href="http://www.amazon.com/gp/product/B002L2X958?tag=strivinglifen-20">8 GB Pro Duo</a> memory stick, as the number of games on the PlayStation Network that I decided I may be interested in totals far more than 4 GB of space. With Sony's Media Go application it would be relatively easy to transfer files between my laptop/network and my PSP, but I may not always been in a situtation where that's an option. (Although, as I'll possibly note later, the battery life of the PSP isn't all that wonderful, so it may be rather likely after all.)</p>
<p>I also purchased <a rel="external" href="http://www.amazon.com/gp/product/B001CM62UM?tag=strivinglifen-20">Star Ocean: First Departure</a> and <a rel="external" href="http://www.amazon.com/gp/product/B001CM0PJ6?tag=strivinglifen-20">Star Ocean: Second Evolution</a>, since both received good reviews. I was tempted to pick up one of the Personas instead, but ...</p>
<p>At this point I've blown my budget, so this will probably be it until late December or January.</p>
<h3>The experience</h3>
<p>Thus far I've been extremely happy with the PSP experience. The device itself is beautiful, and after my first day of play (a couple of hours) my hands were a bit sore from how I was holding the device, but I've since gotten used to it.</p>
<p>The sound is great, and thus far I haven't missed the second, right, analog stick. In fact, I've been staying away from the only analog stick, as much as I can. A couple of demos have required the use of it, but since I've been playing mostly Crisis Core, which allows for either, it hasn't got much use.</p>
<p>It's also a little strange not to have additional buttons on the top of the console/controller, but again, I have yet to play any games that required an L2 or R2 button.</p>
<p>I had been shutting of the console 'incorrectly,' due to not completely reading the manual all the way through. Instead of holding the power button up for 3 seconds I was pushing it up briefly, as you do when you turn it on. I haven't quite played every day, but haven't noticed any issue with the battery life because of it. (Supposedly it still takes some charge from the battery.)</p>
<p>I've also noticed that it's extremely difficult to tell how much battery is left, unless you exit out of your current game entirely and view the system menu. I've only had the console 'die' on me once, and that was graceful, in that after plugging it in I was able to continue my game right where I had left off. In fact, that's actually the really cool thing about the console.</p>
<h3>Past portable console experience</h3>
<p>At this point I should probably point out that I wanted a GameBoy, and my cousins had one, but we ended up purchasing a Game Gear. As you may be aware, it was much like a PSP, except the batteries didn't come with the device, probably weren't rechargeable (not until later were mine), and the battery life sucked.</p>
<p>Sadly, I think I ended up tossing the device and the battery pack we had ended up purchasing for it. And I don't really feel that bad about losing it. (The power pack had bent prongs, if I remember correctly.)</p>
<p>Anywho, that's my experience. I was tempted to purchase one of the Nintendo devices before, but after the 64 (another console I didn't feel that bad about selling), I just haven't been a big fan of Nintendo's consoles. Sure, I bought a Wii, but only after I had purchased a PlayStation 3 and an Xbox 360, and really just for the hardcore games (No More Heroes) and especially the virtual console. (Yes, I could just play the games on my PC, but like music, I want to support the people that made the games possible, whenever I can. That means let me spend my money on it!)</p>
<h3>The experience, continued</h3>
<p>But really, the battery hasn't been that bad for more casual play, and I'm sure Crisis Core is taxing the system more than a little.</p>
<p>The screen quality is great, as is the video, but I have already got fingerprints on the screen around the main buttons, and my lens cloth doesn't seem to have done much in the way of cleaning this. I'm also still trying to get the hang of the best place to hold the console so that I can get the best sound (it's pretty obvious where that sweet spot is) and screen quality, without tiring my arms. (Yeah, that does sound a bit wimpy, but I'll be the first to admit I don't lift much in my daily affairs.)</p>
<h3>My PlayStation 1 library</h3>
<p>The last point worth mentioning is that when&nbsp;I had researched the device I had read that custom firmware exists to allow people the ability to play, for example, SNES games on the PSP. In fact, the device is something of a hacker's playground, with piracy on the device rather high, and a number of publishers sticking with UMDs because of that. Supposedly the PSP 2 will offer more protection in that regard, but ...</p>
<p>What I was really interested in was whether I'd be able to potentially play games in my PlayStation 1 library on the device. From what I can tell it is possible, but it requires custom firmware. It's truly unfortunate that I can't play games that I had previously purchased on the device, unless I go custom.</p>
<p>As noted above, I like to support creators whenever I can, but if I can't re-purchased Xenogears, or Parasite Eve 1/2, or Tony Hawk, then I'm extremely tempted to hack my device. And even games that can be purchased, that I already own, like the Final Fantasy series, are difficult for me to justify purchasing again.</p>
<p>But, based on my experience with Castlevania: SotN, the PSP may just not be the best console to re-play those games after all, so it may not even make all that much sense to go through the trouble, especially since it's difficult to know exactly what each custom firmware offering offers.</p>
<h3>Trophy support</h3>
<p>The one other thing worth mentioning is the PSP's trophies. Or rather, the lack thereof.</p>
<p>At first I was a little disappointed that these weren't available, but having now put in almost 23 and a half hours with Crisis Core, and having enjoyed every minute of it, I've got to admit that I miss not having trophies in games. As I used to do, I'm trying to get close to 100% in the game for the sole reason that I want to, not that I'll get a trophy or achievement for it. Sadly I have started reading a walkthrough (which I'm going to stop, although at this point I'm pretty close to the end anyways, so hurrah at least for not looking at one for ~85% of the time currently invested), but I did that during my second playthrough of Final Fantasy VII, and I don't believe there's any problem with using one to get the full experience out of a game (as opposed to missing one stupid thing and getting upset, like in Final Fantasy X and others).</p>
<h3>Current conclusion?</h3>
<p>Overall, I'm extremely happy with my decision to purchase a Sony PSP 3000, and given everything would have done it again (perhaps only purchasing&nbsp;two 8 GB cards instead of one 4 GB and one 8 GB). And given that the games I'm really interested in are yet to come (like The Third Birthday), and it's unlikely the the 3000 will drop in price (excluding possibly around the holidays), I feel this was the perfect time to make my purchase.</p>
