+++
title = "A Brief Discussion Amongst 19th Century Thinkers"
description = "Paper regarding a possible discussion four 19th century thinkers may have had."
draft = false
comments = true
date = "2003-12-14T01:01:00-06:00"
modified = "2008-03-21T16:41:08-05:00"
slug = "A-Brief-Discussion-Amongst-19th-Century-Thinkers"
blogengine = "4a9b3d79-c5a1-40c1-a7b3-1c9197a9b4a3"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Dear Sirs:
</p>
<p>
I thank you for your interest in my system, as well as for your interesting comments. I do not think, however, that you clearly understood my main points about the goals, or end, of life. Please find here my thoughts regarding this. I look forward to your comments regarding this.
</p>
<p>
As I said before, everything leads towards one goal, which &#39;results&#39; in the end of history. After all, the telos is final, and therefore leaves room for no other causes. As I also said, it is Spirit, an all-encompassing force, which helps guide the world towards this end. But, we, as human beings, can know that this is true. Knowledge, specifically experience, can show that things tend to not only repeat, but also get better. Human beings who study history find this, to an extent, after all. Historians look at the past in order to show what happened, what resulted in the occurrences of the past, such as changes in leadership, or ways of doing something, and also that events tend to follow one another - that the past is repeatable.
</p>
<p>
I also got some grief from one of you, which makes me believe that it is possible that another of you does not quite understand what I said about everything being one. Really, it is quite simple, and can be summed up by the dialectic. As I said above, in relation to history, there seems to be some repeatability within it. Not everything tends to repeat, as a whole, but particular events do. By looking at things, as well as the environment in which the things exist, we learn about the things. We cannot divorce the environment that the thing exists within from the thing itself, and still understand the thing. For example, the pen that I hold in my hand is a certain way. It has a black body, and a silver tip, and it has a bit of ink on its tip. But, the only way that I can know any of this is by taking into account things that are not the pen. My pen has, in itself, a dark color and a light color, but think of some object that is only one color, such as a metal ball. Would I even think of the color of such an object if I knew no other color, since I am only looking at the ball, and at nothing else which is the ball?
</p>
<p>
The idea seems silly, I think we would agree, that an object could be considered without bringing up it&#39;s color, but, if we look at things only in themselves, and without any environment - such as my paper and desk in the case of my pen, such as the glass case and bronze stand on which the ball rests in and on - then what can we really know? Yet, if we follow this through we find that the environment, the desk/case/etcetera itself exists within an environment, the house in which I live, and that this too exists within an environment, the block of houses, the city, the country, the continent, etcetera. We can continue to do this until we realize that there is nothing that is not encompassed by something. It is also the case, we can find from similar methods, that the things we speak of can be either physical or non-physical. Therefore, physical objects can be encompassed, and so too can things like thoughts, and ideas.
</p>
<p>
As I stated before, I look forward to any comments you may have regarding this. I also hope that it has cleared things up for the one, forgive me for not recalling which of you it was, who did not find my arguments persuasive before - perhaps this has made it a bit clearer.
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Sincerely,
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Georg Wilhelm Friedrich Hegel
</p>
<p>
Friends:
</p>
<p>
I have just received your letter Hegel, and have sat up with it, with my notes, and with my thoughts, for many hours. Your letter seems to imply that to the question we had on our minds when we meet and after we separated - what is the purpose of it all - you answer that the purpose of it all is to realize the direction in which the Spirit is moving us. I suppose that I can only agree with your basic principles, as you laid them out in your letter and your previous discussion.
</p>
<p>
However, I feel as though we need to clarify what is meant by Spirit. It seems to me that you outline something which is not necessarily God the Spirit, but rather a natural force - Nature as Spirit. I hold that to speak of any Spirit is to mean God, and that God necessarily exists. You will, of course, ask me for evidence of this, but I&#39;m afraid I can&#39;t really give you any concrete evidence. Rather, I can only outline the basics.
</p>
<p>
You see, while knowledge can certainly show us that what you say above is true - that time progresses in a way that makes one believe it is being moved - it cannot prove to us, or show to us, what the leader, or mover, is. Rather, we must take some things on faith, one of which is the idea that it is a Spirit which moves the world. Yet, this Spirit seems no different then the idea of God, the first cause, as well as, to an extent, the final cause. Of course, none of this can really be proven, so, we must make a choice, and either take the leap - believe wholeheartedly, without question, that there is a God - or stay were we are, achieving, but never achieving what we have the potential to.
</p>
<p>
I certainly believe that discourse is one way to find the truth, but only to a point. By discourse I mean, of course, either what we did after your speech, as well as what we are doing right now. Of course, face-to-face discussion is slightly better, since it is not necessary for us to have to deal with large spaces of separating time - discussion is fairly quick. However, letter writing, which as many of you know I do within my works, allows full thoughts to be put on the table, and expanded upon. Also, being able to see the words, as well as hear them, helps us come to the actual truth, and not be lead simply by the way one speaks.
</p>
<p>
It was Nietzsche who you spoke of in your letter, Hegel, as having a problem with your encompassing, or &#39;all-in-one&#39; thoughts, and he was indeed quite vocal about it. However, if we take what he said, and write it down, I think it would be clear that even though he makes a lot of noise, he is indeed following exactly what you outlined. Of course, I have not yet received his letter, so perhaps he has already told you that he was quite wrong in what he said before. But, I have found that haters such as he do not usually like to admit that they are wrong, so I doubt we will hear from him or hear him suggest that he made a mistake.
</p>
<p>
To conclude, I suggest that you take into consideration my thoughts regarding your Spirit. Some things, such as the very idea of a Spirit, must be taken on faith. You have already made a leap once, but, unfortunately, it was not quite long enough, nor in the correct direction. I urge you to take the correct leap, and see that it is God which drives us forward. I think you will soon see, as long as you do not second guess yourself, that you have made the right choice.
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; I await your further thoughts on this,
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Soren Kierkegaard
</p>
<p>
Dear Nietzsche:
</p>
<p>
I&#39;m afraid that you may not have received Soren Kierkegaard&#39;s response to my letter. For that reason, I am sending you a copy of what he has written. As I said before, I encourage each of you to write to me, and to the others, regarding your thoughts on our previous discussion.
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; I await your response,
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Georg Wilhelm Friedrich Hegel
</p>
<p>
Gentlemen:
</p>
<p>
According to the two previous accounts, it seems as though we exist in order for the world to achieve some final existence. Your ideas that the world is guided by a Spirit, of whatever sort, is interesting, and one that I find to have a kernel of truth. But, I&#39;m afraid that the end is not quite as you see it. &nbsp;I hold that there is no end, that life will always continue on. After all, what happens when the telos, the end of the moving, finally occurs? It seems as though such a time is, quite frankly, unimaginable, assuming we wish to assume that life still exists. This is because the world is full of will, like your Spirit or God, which guides almost every action. Yet, it does not guide us towards some final end, rather, it guides us towards action - without any set final goal. It seems to me that life does not wish to end, but instead wishes to continue on, sometimes no matter the cost.
</p>
<p>
Yet, this constant action, this constant striving, is not something that is desirable. Rather, going towards some final goals, on a personal scale, is best. This is what knowledge gives to us human beings - the ability to realize that the world is this constant will/striving, and that we can do better than this. Hegel, you are quite right in that everything boils down to one thing, and this striving is exactly what it almost all boils down to. Yet, the ability of human beings to know this striving, and resist it, is also contained within the world. That is, human beings have the choice to move from the will - to separate themselves, rationally, from the will - and live in a controlled manner.
</p>
<p>
Perhaps an example would best work here. Each and every human being, since birth, works towards a goal of one sort or another. There is no point at which a person could be said to be satisfied with what they achieved. After all, if they were truly satisfied, what reason could they have for continuing on? Often it is said that someone continues on in order to learn more, since one can always, as I believe Hegel said during his lecture to some extent, find out something new about a thing, even though everything is enclosed or contained. Yet, perhaps you did not say that Hegel, perhaps that was another... I know it was not you Kierkegaard, since you found that the problem of a striving will could be solved by making a leap which, really, doesn&#39;t solve anything. Whenever a doubt comes about you would simply tell us to disregard it, and realize that we obviously haven&#39;t made the leap yet.
</p>
<p>
This inaction, or rather action for the sole purpose of action, leads us nowhere. It&#39;s like a dog chasing his tail, or a child letting a bully beat him. We must ask what it is all for and what the final goal is. If we cannot find what it is all for, then we need to keep looking. If the final goal is found to be towards keeping the system going, then we must ask why the system should be allowed to continue - does it exist for anything outside of itself? Of course we should look for a reason for existence, but, we should also ask for the justification of such a reason.
</p>
<p>
I hope that the above has made my thoughts clear regarding your system Hegel, as well as your system Kierkegaard. Finding that the world is one is wonderful, and worthwhile. Entering into discussion with others, and showing both sides of an argument is also wonderful and worthwhile. However, saying that the Spirit moves in the way that is best for all of us, or that God is moving us in the direction that he wants us to move in, and that we should not question God&#39;s motives, is not the way that we should act. History progresses, it&#39;s true, but it repeats as well. It is quite possible that history will never end, and that one day we will end up driving ourselves back to barbaric times. History did not progress, yet, in a way, it did. The elimination of resources and space leads towards strife and conflict, which leads towards more resources, for those that are left, and more space, again for those who are left. Those that are left are then free to continue progressing until they achieved what has already been achieved. Alexander the Great united many lands, yet when he died his kingdom fell apart, only to be united again under the Romans. I think we would agree that this is progress, yet, for who, or, for what?
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Arthur Schopenhauer
</p>
<p>
None of you see what lies directly under your nose. While it seems impossible, it&#39;s unfortunately true, that each and every single one of you already have a bias within you. Instead of allowing it to tie you down, you should break free from it. Instead of allowing yourself to be active, and creative, you bog yourself down with passiveness and chains.
</p>
<p>
Kierkegaard, you are perhaps the worst. You ask us to take a leap, and all will be known. Yet, the very idea of the leap doesn&#39;t allow for any questioning. That is, as soon as you make the leap, true or not, you must not question it&#39;s validity, but only allow yourself to move as you will be moved.
</p>
<p>
Schopenhauer at least allows for some movement, but, unfortunately, his path is not for me. Instead of allowing ourselves to blossom, we should instead cut ourselves away from striving. What is life but striving? By asking us to not strive, not only do we strive, we also strive towards death. Instead of seeing action as something which is worthless, we should see it as something that showcases our ability to be in action - it showcases that we are alive, and not merely machines.
</p>
<p>
You ask of what knowledge brings us. Knowledge does, in fact, bring us towards one thing, but the one thing is not what you believe it to be. &#39;Knowledge&#39; deceives us, since knowledge is what? Knowledge is to be gained, it is said, from books. But books are no good, since books only pass on the bias of the author. Instead of relying upon someone else&#39;s bias, create your own! Why is any other&#39;s opinion more important, more &#39;true&#39; then your own?
</p>
<p>
I&#39;ll admit that I have landed myself into a paradox of sorts. After all, I am telling people to build their own foundations, yet, they are building it up upon my foundation of having one&#39;s own foundation. Yet, I do not believe that this is, in fact, passing on my own bias. After all, people can either listen to me or not. Besides that, I outline no philosophy to replace those that I suggest others do not take as their own, rather I leave it completely open.
</p>
<p>
In addition, even though the prescribed knowledge that is being taught in universities is bias, through this knowledge one is able to, if greater than the average man, break free from it, and realize that it is nothing but prejudice and bias. This is a greater man than most who can do this, but I believe that such men do, or at least will, exist at some time in the future. Perhaps this means that we are moving towards this, but I refuse to accept that any agent outside of man brings such men about. Men have control over their own lives, especially these greater men that I mention, not some mystical Spirit, or fake God or institution. Men can realize that they are free, and that one thing is better only because it is perceived to be so. Once men realize that perception is all value is, they will realize that they too have the ability to perceive, and can therefore make the world how they want it, not how others would want them to have it.
</p>
<p>
So, you see the world as being a certain way, each and every single one of you. One sees it being moved by a Spirit, one by a God, and one by a striving will. I will accept this, to a point, but only if it is accepted that man has the final choice, and that men are truly their own masters, or at least have the potential to be their own masters...
</p>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Nietzsche
</p>
<h3>Closing Thoughts:</h3>
<p>
Of course, the discourse above never really occurred. Hegel, Schopenhauer, Kierkegaard, and Nietzsche never really got together at a meeting, shared each other&#39;s mailing addresses, and then proceeded to send letters to each other. &nbsp;But, if they had done this, I think that the general feeling each would have had towards the others would have been something like the above.
</p>
<p>
Based on my considerations of the readings of the above philosophers, I believe that only Nietzsche would have differed so greatly from the others, at least in respect to the pursuit of knowledge. Hegel, Schopenhauer, and Kierkegaard each want to set up some system that everyone will follow. Hegel wants one based on his dialectic, Schopenhauer on his striving will, and Kierkegaard on God. Nietzsche, however, seems almost willing to allow people to follow whatever philosophy they want, as long as they make their own choice to do so. Also, Nietzsche seems to want people to make a philosophy their own, instead of just blindly following someone else&rsquo;s. Believe in a striving will, or in a saving God, but only if you are not simply repeating the rhetoric. Climb up above those around you, above your environment, and look around you, free from any blinding agents. If, after surveying other things, you find the system you are a part of to be correct - in line with your own perceptions/experience - then go back and join them. But, always be ready to climb above them again, and survey once again, since locking yourself into a set system only allows for others to control you, and takes away your freedom.
</p>
<p>
Hegel&#39;s idea that the world is progressing towards some end is, in my opinion, highly suspect. Schopenhauer&#39;s idea that the world is constant striving seems to be more in key. An end suggests nothing afterwards, but I don&#39;t see that as being possible. After all, the ability to know that nothing is there implies that there is something by which &#39;nothing&#39; can be compared to. Perhaps the end of history would be the next big bang like event, which would destroy life, but then allow life to come about again. This is more in line with what Schopenhauer would say, I think, and would fit much better with Hegel&#39;s system, and dialectic.
</p>
<p>
As for Kierkegaard, his method is of particular interest, since it seems to be a good one, and one that is often used. Discourse, especially between two or more sides, is the only real way to find the truth. After all, the only way to know if a theory fits is to question it, whether it be by seeing if it fits with reality, or seeing if another system/possible truth would give a better explanation.
</p>
<p>
My favorite 19th century philosopher/thinker would have to be Schopenhauer, since his theory, to me, rings the truest. Hegel&#39;s idea of everything being connected makes him my second favorite, and Nietzsche would have to be my third. Kierkegaard just doesn&#39;t sit well with me, but I certainly wouldn&#39;t call him a poor philosopher. He is quite interesting in his theory that making a leap will allow you to find the truth. It is of course true that if you don&#39;t doubt the path you are on you will not fear that you have made the wrong choice. Yet, to this I can only echo Nietzsche&#39;s fear that without questioning man becomes a mere pawn. This, then, is the purpose of knowledge, in my opinion. Knowledge is for knowing the possibilities that one has, so that one can choose the path that best fits with one&#39;s own ideals and experiences. Knowledge can, of course, enslave, but, it can also help one become liberated, as long as one determines to use it in this manner.
</p>
<h3>Article history </h3>
<p>
<strong>Created:</strong> December 13th &ndash; 14th 2003<br />
<strong>Modified:</strong> December 26th 2003 
</p>

