+++
title = "A Response to Marilyn Adamson's Article Titled 'Is There A God?'"
description = "A brief response to an article written by Marilyn Adamson, called 'Is There a God?'."
draft = false
comments = true
date = "2003-08-27T01:01:00-05:00"
modified = "2010-04-23T13:53:33-05:00"
slug = "A-Response-to-Marilyn-Adamsons-Article-Titled-Is-There-A-God"
blogengine = "e6da8c44-e110-4d98-8cde-4ac637683c90"
categories = ["article", "philosophy"]
tags = []
+++

<blockquote>
	<p>
	&quot;Just once wouldn&#39;t you love for someone to simply show you the evidence for God&#39;s existence? No armtwisting. No statements of, &quot;You just have to believe.&quot; Well, here is an attempt to candidly offer some of the reasons which suggest that God exists.&quot; [1]
	</p>
</blockquote>
<p>
Sounds like an interesting, and bold, statement. After all, people have been attempting to prove God&#39;s existence by use of reason almost as long, and as much, as they have been using force to. The question is, does Marilyn Adamson (a former atheist) succeed in her task, or does she fail?
</p>
<p>
After reading the above, the start of Adamson&#39;s article, I decided to take a look at her arguments. After examining a few, I decided to use a page of my site to discuss her rather interesting article, not so much in order to show that atheism is a better belief, but rather to show some possible faults with her evidence.
</p>
<blockquote>
	<p>
	&quot;But first consider this. If a person opposes even the possibility of there being a God, then any evidence can be rationalized or explained away.&quot; [1]
	</p>
</blockquote>
<p>
While Adamson is quite correct, I do hope that she is not asking us to keep an open mind, much like many people who attempt to show God&#39;s existence hope us to do. The reason I&#39;m troubled by this thought (of her suggesting an open mind) is best summed up by Ayn Rand, who has given some interesting advice, worthy of notice [2]. Let us then, instead/to be sure, keep an &#39;active mind&#39; instead.
</p>
<p>
Based upon her opening statement, in addition, it seems as though anyone, with any doubt of God&#39;s existence, will be able to, and will, rationalize away any of Adamson&#39;s arguments. &#39;Even the possibility&#39; even seems to suggest that a questioning Christian (for instance) should be able to explain away the evidence. Is this document solely, then, for the use of those with no doubt in their mind about God&#39;s existence? But, this is really a minor point, and one that can easily slide past this point.
</p>
<p>
That said, let&#39;s take a look at Adamson&#39;s arguments. Adamson raises six points that she asks us to consider. After each major point she brings her own explanation, or clarification, to the point. First, I&#39;d like to list Adamson&#39;s points. Then, I would like to just look at each of the points, as they are, without looking at her clarification, or minor points (minor points merely meaning that they are not major points, of which there are six).
</p>
<ol>
	<li>&quot;Throughout history, in all cultures of the world, people have been convinced there is a God.&quot;</li>
	<li>&quot;The complexity of our planet points to a deliberate Designer who not only created our universe, but sustains it today.&quot;</li>
	<li>&quot;Mere &#39;chance&#39; is not an adequate explanation of creation.&quot;</li>
	<li>&quot;Humankind&#39;s inherent sense of right and wrong cannot be biologically explained.&quot;</li>
	<li>&quot;God not only has revealed Himself in what can be observed in nature, and in human life, but He has even more specifically shown Himself in the Bible.&quot;</li>
	<li>&quot;Unlike any other revelation of God, Jesus Christ is the clearest, most specific picture of God.&quot;</li>
</ol>
<p>
First, in response to point one, I must ask of the Greeks and Romans who believed in not one God, but rather multiple gods. Also, not all cultures have the same idea of the God/gods that rule the universe, or the planet, etcetera. In fact, even the sects of religions that hold the same book to be sacred (whether it be the Bible, the Koran, or a Buddhist work, to name a few) have different interpretations of the work. Adamson&#39;s point is probably (without looking at her further explanation, quite yet) that people have, for the longest time, in almost every culture, believed that there is some mystical force that influences the world. I would like to point out that every culture has, at some point, started at a level in which lightning and thunder, the deep forests, and/or the ground itself, has been a thing to fear, or a cause of much curiosity. In other words, and to be quite blunt, each culture has started at a level in which emotion guided action, rather then reason. Human beings, when young, for the most part, do not realize that for every action there is a reaction. Yet, we know that cause and effect is a valid, and true, law of the universe. Yet, children are, for the most part, are not convinced that this is true. Only by experiencing, by growing mentally, can children see that a former belief, a former conviction, is not as true as they once believed.
</p>
<p>
Of course, Adamson does not suggest that there is one &#39;God&#39; that all people are convinced of, rather she leaves it fairly open. However, let&#39;s change her first point to something like &#39;throughout history, in all cultures of the world, people have been convinced there are supernatural forces in the world&#39;. I think that this claim would be equally true, in that even the major religions today believe in angels, which I will group in with the supernatural (which isn&#39;t an uncommon thing to do at all). Nymphs, succubus, incubus, elves, fairies, etcetera, would then have equal footing for being existent, would they not? The claim suggested above is as equally true as her first claim, and I have done nothing that she has not done. By itself, the first claim is not adequate enough to convince us of anything. After all, we could easily put people in one room and pump something into the air, causing them to hallucinate, together, and be convinced of some truth. Are we not all on the same planet?
</p>
<p>
Second, Adamson&#39;s second point is a common argument. Yet, it is not a completely solid one. First of all, the argument from design is basically that complex things, such as watches or computers, have designers - individuals who put said things together. The universe is a complex thing, and, therefore, must have had a designer. The summation is a slightly poor one (and one I will revise) but, if you want a better summation, check online :) I&#39;ll leave this argument&#39;s counter for you, the reader, since this argument has been contested more often then one would believe. The problem I have with Adamson&#39;s second point is &quot;but sustains it today&quot; [1]. Does a watch maker, a very good one, have to sustain his creation past the initial creation? One may argue that he does, as he must wind the watch and fix the springs, if they break. Yet, God, in the typical sense, is not a mere man, but rather a _god_, and an all-powerful (for many people) one at that. Is it possible that God can create something which needs him in order to function? Wouldn&#39;t God&#39;s best bet have been to create something that he did not have to sustain, but rather one that would sustain itself?
</p>
<p>
Third, bringing &#39;chance&#39; into an argument about creation is never a good one. This point and the point before (the second and third points then) tie extremely closely together. It is necessary to bring up some of the second while discussing this third one. Reading Adamson&#39;s clarifications/explanations (which I did say I wasn&#39;t going to do yet, but, because this point is so short, it would be best to bring more into it) we see that Adamson tells us that:
</p>
<blockquote>
	<p>
	&quot;The distinguished astronomer Sir Frederick Hoyle showed how amino acids randomly coming together in a human cell is mathematically absurd. Sir Hoyle illustrated the weakness of &#39;chance&#39; with the following analogy. &#39;What are the chances that a tornado might blow through a junkyard containing all the parts of a 747, accidentally assemble them into a plane, and leave it ready for take-off?&#39;&quot; [1]
	</p>
</blockquote>
<p>
It seems that Adamson doesn&#39;t believe that if there is a possibility of an event occurring, such as a 1 in a 100 chance, that it will ever occur. People can go ahead, for as long as they want, and talk about how the chances of life coming about on this planet, by mere chance, is such and such a percent. Yet, even if I have a 1% chance of going out with person X, I still have a 1% chance of going out with person X, not a 0% chance. Also, the fact that we are alive, and that we do exist on a planet that sustains life, shows not that there is a creator, but rather that the &#39;mathematically absurd&#39; chance was enough. The fact that we are the only planet in our system that not only supports, but has and sustains, life shows that life doesn&#39;t occur on any planet. In addition, supposing God did exist, couldn&#39;t God have created our species to exist on Mars, instead of Earth? The winning point, though, is the fact that we are alive on Earth, and that no other planet can support us, or appears to support any other reasoning being. This, seeking a simple explanation, would point more towards the low possibility of life occurring, rather then the possibility of there being a God who decided to put life only on one planet.
</p>
<p>
Before I go onto the fourth point, I would also like to mention that, according to many evolutionists, we did not start out walking, but instead started out by swimming, or at least crawling. The analogy of a tornado creating a 747 is not a very good one, rather an analogy of a tornado causing two things to hit each other is. A 747 comes not from divine invention/intervention, but rather from reasoning - from evolving - from a simpler, similar, object to a more complex one. The Wright brothers did not fly a 747 in their times, and WWII pilots did not fly F-14s.
</p>
<p>
Adamson&#39;s fourth point, that human beings have an inherent sense of right and wrong is a blatant fallacy, and one that, quite frankly, cannot at all be seen by looking at nature. If Adamson were correct, then one would not need to learn one of the various moral codes. Human beings have some level of instinct, but, morality is not one of them. Rather, preservation is - primarily, firstly, absolutely. As has been stated in various political philosophy works, it is best to act towards each other in a &#39;kind&#39; way not because it&#39;s the right thing to do in itself, but rather because it tends to lead towards others acting kindly towards you. We could certainly be &#39;immoral&#39; towards others - pillaging and raping (in it&#39;s various connotations) - but we would risk others attacking us in a like manner (especially those that we slight in some way).
</p>
<p>
Of course, I&#39;ve been assuming that by &#39;right and wrong&#39; Adamson means moral and immoral. If Adamson means, instead, good and bad (where good means something to the effect of &#39;that which allows me to survive longer&#39; then human beings do have a sense of that. However, &#39;love thy neighbor&#39;, one of the &#39;right&#39; things to do (I think Adamson would say) is not inherent, but rather something that must be learned. Right and wrong is not inherent, but rather learned, and the fact that there is no being that has not experienced before it has communicated - by it&#39;s own will - makes the ability for anyone to show that human beings have an inherent sense of right and wrong null - it is not at all possible, for having experienced anything brings about some idea of what is right and wrong, one that one did not have before, or at the level of confidence one had before.
</p>
<p>
Adamson&#39;s fifth point, that God has shown himself in nature and in the Bible has not, in my opinion, been proven from the above. Also, as soon as Adamson brings up the Bible, one must wonder why the Bible can be trusted as a divine source. What about the Koran - why can&#39;t we instead replace &#39;Bible&#39; with &#39;Koran&#39;? In fact, isn&#39;t there some problem with referencing the Bible in the first place (a tad under 1/2 of her references are from the Bible - 9 of 19)? Isn&#39;t there a problem with saying that God&#39;s word comes to us via the Bible, and backing the claim up with referencing the Bible itself? Sounds like a bit of circular reasoning is going on here... [3] &quot;James created the universe in 7 days.&quot; Why? Because James said so on this most holiest of holy pages (the page you are currently reading). Let us all be awed by James&#39; brilliance...
</p>
<p>
Also, Adamson&#39;s five points;
</p>
<blockquote>
	<ol>
		<li>
		<div>
		God created the world we live in, and created us specifically to have a relationship with Him.
		</div>
		</li>
		<li>
		<div>
		He deeply loves us.
		</div>
		</li>
		<li>
		<div>
		We have sinned and are under God&#39;s judgment, in need of His forgiveness.
		</div>
		</li>
		<li>
		<div>
		God provided a way for our sins to be forgiven.
		</div>
		</li>
		<li>
		<div>
		He asks us to receive His forgiveness and have a relationship with Him that will last eternally. [1]
		</div>
		</li>
	</ol>
</blockquote>
<p>
sound like almost anything a parent could say to their child. I see no reason why one could not argue that God is merely a way for individuals to feel as though they are not alone in this world, but rather are part of a flock, with a specific plan in mind for them. After all, look at what these five points say;
</p>
<ol>
	<li>We were created with a purpose in mind.</li>
	<li>We are loved.</li>
	<li>We have &#39;messed up&#39; and need to &#39;make things right&#39;.</li>
	<li>We have been provided a way to fix our mistake(s).</li>
	<li>We are asked to accept the &#39;fix&#39; and stay in a relationship in which we are loved.</li>
</ol>
<p>
Sounds a little too good to be true, if you ask me.
</p>
<p>
Adamson&#39;s sixth point is a real interesting one.
</p>
<blockquote>
	<p>
	&quot;Why Jesus? Look throughout the major world religions and you&#39;ll find that Buddha, Muhammad, Confucius and Moses all identified themselves as teachers or prophets. None of them ever claimed to be equal to God. Surprisingly, Jesus did. That is what sets Jesus apart from all the others. He said God exists and you&#39;re looking at Him. Though He talked about His Father in heaven, it was not from the position of separation, but of very close union, unique to all humankind. Jesus said that anyone who had seen Him had seen the Father, anyone who believed in Him, believed in the Father.&quot;
	</p>
</blockquote>
<p>
So, in other words, when someone claims that they are God, you should believe them. Buddha, Muhammad, Confucius, and Moses all identified themselves as teachers because they were. The Buddha and Confucius did not claim to be God for a good reason - because they did not believe in God. Rather, they believed in enlightenment, the ability to become one with all. The fact that they were still around, were still in one place, shows that they were not one with all. It&#39;s quite ridiculous actually.
</p>
<p>
I suppose, if anything, reading Marilyn Adamson&#39;s article has taught me at least one thing; it&#39;s time for me to find some like minded individuals and write a Bible of our own.
</p>
<p>
Well, that&#39;s all I have at the moment. Please, take the time to read the article that I have mentioned here - the only way to really know something is by experience. If you would like to contest anything I have stated above, please, please, do so (my email is below). And remember, the next time you hear &#39;God bless...&#39;, tolerance my friend...
</p>
<h3>Notes:</h3>
<p>
1: M Adamson, <a rel="nofollow" href="http://www.everystudent.com/features/isthere.html" target="_blank">http://www.everystudent.com/features/isthere.html</a>, visited August 26th, 2003.
</p>
<p>
2: &quot;One further suggestion: if you undertake the task of philosophical detection, drop the dangerous little catch phrase which advises you to keep an &#39;open mind.&#39; This is a very ambiguous term... That term is an anti-concept: it is usually taken to mean an objective, unbiased approach to ideas, but it is used as a call for perpetual skepticism, for holding no firm convictions and granting plausibility to anything. ... What ... the study of philosophy require is not an &#39;open mind,&#39; but an <em>active</em> mind - a mind able and eagerly willing to examine ideas, but to examine them <em>critically</em>.&quot; (Ayn Rand, <em>The Ayn Rand Library Volume 1: Philosophy: Who Needs It</em>, Signet: New York, 1982).
</p>
<p>
3: Thanks to Gavin who noticed this whilst perusing this article.
</p>
<p>
<strong>Created:</strong> August 27th 2003<br />
<strong>Modified:</strong> September 3rd 2003; September 4th 2003
</p>

