+++
title = "Ancient Philosophy: Aristotle and Nichomachean Ethics"
description = "Ancient Philosophy - Term Paper: Aristotle and Nichomachean Ethics."
draft = false
comments = true
date = "2001-12-20T02:25:00-06:00"
modified = "2008-06-28T14:34:30-05:00"
slug = "Ancient-Philosophy-Aristotle-and-Nichomachean-Ethics"
blogengine = "dbf392a8-4fc6-4b32-8e43-11190345c114"
categories = ["article", "philosophy"]
tags = []
+++

<p>
This semester we have looked at many different philosophers from the pre-Socratic up to Aristotle. For this paper, I will be talking about Aristotle&rsquo;s <em>Nichomachean Ethics</em> and my view of what Aristotle states in this work. Specifically, I will be focusing on his view of happiness and comparing it with my view on happiness.
</p>
<p>
Aristotle first begins <em>Nichomachean Ethics</em> by giving a definition of the good. &ldquo;The good, therefore, has been well defined as that at which all things aim.&rdquo; (Baird, 364) He also states, &ldquo;In cases where the end lies beyond the action the product is naturally superior to the activity&rdquo; (Baird, 364), meaning that the product of an action is more important then the action itself. He gives several examples, one of which is the activity of medicine, in which the end product is health. He also states that many activities can be linked under one larger activity, and that the larger activity is more important then the smaller ones.
</p>
<p>
His example of bridle making points this out very well: &ldquo;the art of bridle-making, for example, and everything else pertaining to the equipment of a horse are grouped together under horsemanship; horseman ship in turn, along with every other military action, is grouped together under strategy; and other pursuits are grouped together under other capacities.&rdquo; (Baird, 364) The reason that the products of the larger activities are more important then the products of the smaller activities is because the smaller activities are used in order to obtain the larger activities products.
</p>
<p>
Aristotle next briefly discusses politics and the role that they play. According to Aristotle, politics is the highest good since it deals with all the other things that we study as well as since it decides what people can and cannot do. Having established that politics is the highest good, Aristotle next talks about happiness. He reiterates his statement above stating, &ldquo;all knowledge and every choice is directed toward some good&rdquo; (Baird, 366). Aristotle points out that most people want to be happy, and therefore the highest good attainable to most people is happiness. However, Aristotle points out that most people do not completely agree on what happiness. Happiness changes depending on your current status. If you were poor, then having wealth would allow you to be happy. If sick, then being healthy would bring about happiness. &ldquo;It is not unreasonable that men should derive their concept of the good and of happiness from the lives which they lead&rdquo; (Baird, 367) sums up nicely what he is trying to point out.
</p>
<p>
Aristotle talks about Plato and his idea of Forms as well as some of the problems that arise from this theory. However, he only talks about this to show that Plato&rsquo;s idea does not completely work. After restating some of the same things that he stated before, Aristotle points out to us that &ldquo;we always choose happiness as an end in itself and never for the sake of something else&rdquo; and also that happiness is self-sufficient, which is &ldquo;that which taken by itself makes life something desirable and deficient in nothing&rdquo;. Obviously if one is happy, then one desires nothing else, so this would seem to be true.
</p>
<p>
Aristotle believes that the finding that happiness is the final good is not sufficient, since there still needs to be further backing for this claim. To do this, he begins by talking about the soul. There are two parts of the soul; an irrational part and the rational part, both of which can also be split into two parts.
</p>
<p>
He first talks about the rational part of the soul, which consists of two different parts. One part is that which obeys reason and rules, and the other part is that which possesses and creates rules. Because of this part of the soul, &ldquo;the proper function of man, then, consists in an activity of the soul in conformity with a rational principle or, at least, not without it&rdquo; (Baird, 371). In other words, the proper function of man is to follow the rules that have been created by others, as well as himself, if they were created by following rational principles. After deciding upon this, Aristotle states that the definition of happiness is &ldquo;activity in conformity of virtue&rdquo; (Baird, 372). He also states that this requires that one follow this principle completely, and for their entire life.
</p>
<p>
Next Aristotle talks about the irrational part of the soul, which also consists of two parts: the vegetative part and the appetitive part. The vegetative part is that which causes us to grow and has no need for reason, and the appetitive part that consists of our appetites and desires, which influences what we do. The nutritive part lacks reason but the appetitive part has the ability to listen to, or reject, reasoning.
</p>
<p>
In Book II, Aristotle talks about how virtue consists of two parts as well. Intellectual virtue deals with that which you are taught and therefore requires both time and experience. Moral virtue is from habit, which is this case means doing virtuous acts, and therefore do not come to us with our birth. Not doing virtuous acts would not only destroy what you have learned, intellectual virtues, but would also remove moral virtues. Therefore, if one applied himself to obtain happiness solely through the appetitive part of the irrational soul and seek pleasure, one would never be able to obtain happiness. Part of the education that one receives then should teach one to abstain himself from pleasurable things so that one does things that will bring about happiness.
</p>
<p>
Aristotle next wants to talk about excess in relation to the virtues. &ldquo;Every virtue or excellence (1) renders good the thing itself of which it is the excellence, and (2) causes it to perform its function well&rdquo; (Baird, 382). In order to understand this better he gives a few examples, one of which deals with the eye: &ldquo;the excellence of the eye makes both the eye and its function good, for good sight is due to the excellence of the eye&rdquo; (Baird, 382). In order for a virtue or excellence to be at its best, it is necessary for the virtue to be without excess or deficiency. Excess is having too much and deficiency is having too little. For example, one would not want too little fear in a soldier, or they would rush into battle even against a significantly stronger foe. On the other hand, one would not a soldier to have too much fear in a soldier, or he would run away from any conflict. The best then would be the average of the two. This is what Aristotle deems as the median and is the way to achieve that virtue. This mean applies in both emotions and actions, as Aristotle goes on to point out.
</p>
<p>
Aristotle ends Book II with an explanation of how to attain the mean. The first thing that one should do is stay away from the &ldquo;extreme which is more opposed to it&rdquo; (Baird, 387) since that will be the easiest one to stay away from. Aristotle states that since the mean is so hard to obtain, since it is a thin line between excess, the median, and deficiency, one should shoot towards the lesser of the two evils and attempt to obtain the mean.
</p>
<p>
Book III begins by talking about actions that are voluntary and those that are involuntary. Lawgivers, who, as he stated earlier, deal with the highest good of politics, should be able to differentiate between actions that are voluntary, which deserve praise or blame, and involuntary actions, which deserve pardon and even pity. This deals directly with what he was talking about with the soul. The rest of Book III then deals with how to distinguish voluntary acts and involuntary acts.
</p>
<p>
Book IV gives a different opinion of high-mindedness then what someone in the present day might think. &ldquo;High-mindedness, as its very name suggests, seems to be concerned with great and lofty matters.&rdquo; (Baird, 396) He also states that such a person thinks they deserve great things and actually do deserve these things. For the most part, one who thinks he deserves great things, but does not, is vain, whereas one who underestimates himself in any way is a small-minded person. A high-minded person is also someone who is interested in the good, as well as honor and dishonor. In addition, a high-minded person has an attitude that is the median when it comes to wealth, power, and good and bad luck.
</p>
<p>
Skipping ahead and looking at Book X, Aristotle comes back to the topic of happiness directly. According to Aristotle, happiness is not a characteristic; instead, it is an activity. The reason that it cannot be a characteristic is because anyone or anything could do it. One example Aristotle gives is plants. If it were a characteristic, then it would be possible for plants to be happy. Therefore, happiness comes from activities. As stated earlier, happiness is something that is self-sufficient.
</p>
<p>
He points out that pleasurable things too are for their own sake. Some people spend their entire lives and every waking moment seeking pleasure. However, Aristotle says that this is not a life of virtue. He compares these individuals with children, in that neither knows that there is something better then what they value. &ldquo;Each individual considers that activity most desirable which corresponds to his own proper characteristic condition.&rdquo; (Baird, 430) Since a good man believes that actions that conform with virtue are the best actions, and since a good man is the best man, then his view is best. Because of this, &ldquo;happiness does not consist in amusement&rdquo; (Baird, 430). Anyone, even a slave Aristotle states, could live a life of amusement, but that does not mean that they are happy.
</p>
<p>
Since actions that conform to the highest virtue are actions that lead towards happiness, then Aristotle argues that that is the best part of us. This statement may lead us towards self-contemplation. However, &ldquo;a just man still needs people toward whom and in company with whom to act justly&rdquo; (Baird, 431). Aristotle says that &ldquo;a wise man is able to study even by himself, and the wiser he is the more he is able to do it.&rdquo; (Baird, 431) However &ldquo;Perhaps he could do it better if he had colleagues to work with him, but he still is the most self-sufficient of all.&rdquo; (Baird, 431) In other words, even other people are necessary in order for one to do what is virtuous.
</p>
<p>
&ldquo;We regard happiness as depending on leisure; for our purpose in being busy is to have leisure, and we wage war in order to have peace&rdquo; (Baird, 431). By this, Aristotle means to show that the opposites of the things that we want are what we need to have in order for our desires to be true. If we never had war, then we would not have any idea of peace, since we would not have something to compare our current condition to.
</p>
<p>
Aristotle continues talking about the use of a contemplative life. As he stated above, and reiterates later, &ldquo;it is in our dealings with one another that we perform just, courageous, and other virtuous acts.&rdquo; (Baird, 432) Therefore, we could not live a purely contemplative life, without anything external to us. However, self-contemplation helps us in self-control, which is as important as our interactions with others. As he stated above, it is best to find the median, or mean, in all things we do.
</p>
<p>
Overall, I think that Aristotle&rsquo;s views in <em>Nichomachean Ethics</em> are good ones. I find that his view of happiness not being based on pleasure to be an accurate statement. Some people seem to believe that obtaining pleasure is the most important thing in their lives. When it comes to thinking about other people, they ignore any responsibility that they might have to them and go back to thinking about how they will be able to fulfill their desire for pleasure.
</p>
<p>
Many people allow that which Aristotle calls the irrational part of the soul to lead them, instead of following the rational part of their soul. Specifically, they focus on their appetites and aversions. Actions that do not give them pleasure right away are actions that they would prefer to stay away from doing.
</p>
<p>
Another thing that I think of when I read this piece is people who do not think about intellectual things, but rely on physical power or reputation to get them by. I believe that one of the things that Aristotle would not agree with is the Homeric tales, such as the <em>Odyssey</em>. The reason that I believe this is because they are searching more for reasons of fame and glory then for what is the good. For instance, if Odysseus had not slain the suitors, but instead had spared their lives, that would have promoted a more just look at things. By simply slaying them, due to the degree of the gods, as well as for him to keep face, leaves nothing truly solved.
</p>
<p>
Aristotle&rsquo;s view that activities that are done for their own good are superior to those activities that are not, also seems to be true in my opinion. To elaborate on his example of bridle making, although bridle making is a good activity, the activity of horsemanship is much better, since it uses other activities. His view of politics is by far the best example. The subcategories of politics taken together form the larger category of politics. From politics, we are able to work towards a virtuous society.
</p>
<p>
Overall, I have to agree with Aristotle when he states that politics is the highest good. It is easy to find within yourself, through self-contemplation, what the best way to live your life is. However, to find the best way for all people to live, and for them to see that this is true, is by far harder, and requires much more work. Plato too seems to believe along these same lines. Is not the <em>Republic</em> based upon how to create a just state? Aristotle&rsquo;s views, for the most part, could enable us to truly obtain the good for everyone.
</p>
<h3>Bibliography:</h3>
<p>
<u>Philosophical Classics Volume I: Ancient Philosophy.</u> Forrest E. Baird and Walter Kaufmann. Prentice Hall, 2000.
</p>

