+++
title = "Ancient Philosophy: The Importance of Socrates (First draft)"
description = "First draft for The Importance of Socrates."
draft = false
comments = true
date = "2001-10-25T03:33:00-05:00"
modified = "2008-06-28T14:07:28-05:00"
slug = "Ancient-Philosophy-The-Importance-of-Socrates-First-draft"
blogengine = "2186e6df-b22c-4cf1-8bf1-86f64ba195e2"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
This was the first attempt&nbsp;at <a href="/words/post/Ancient-Philosophy-The-Importance-of-Socrates.aspx">The Importance of Socrates</a>. 
</p>
</div>
<p>
Although none of Socrates actual writings exist, what we can get from Plato on Socrates shows the importance that Socrates played not only in the past, but also the influence that he has today. From Plato, we are able to learn some of the reasons that Socrates is important. In this paper, I&rsquo;ll be discussing the main reasons that Socrates was persecuted, in the hopes that this will shed some light on why he was so important. 
</p>
<p>
Socrates believed that &ldquo;the unexamined life isn&rsquo;t worth living&rdquo; (Baird, 97). Earlier in his life, a friend of his had asked the priestess of Apollo at Delphi if there was anyone who was smarter then Socrates. When the priestess replied back that there was no one, Socrates, who didn&rsquo;t believe himself to be all that knowledgeable, went out on a quest to find proof that he was indeed the wisest. The first person that Socrates came upon, who was believed to be wise by many, was examined to see how wise he was. After questioning the man, he found that the man believed he knew much, but in fact knew very little. Socrates realized that &ldquo;in all probability neither of us knows anything worth knowing; but he <em>thinks</em> he knows when he doesn&rsquo;t, whereas I, given that I don&rsquo;t in fact know, am at least <em>aware</em> I don&rsquo;t know&rdquo; (Baird, 85). What made Socrates wiser then that individual was the fact that Socrates realized his weaknesses, and didn&rsquo;t pretend to know more then he actually did. 
</p>
<p>
This realization determined the path that Socrates would walk down for the rest of his life. By showing others that what they thought they knew, they in fact did not, he made a large amount of enemies. Due to this, Socrates search for &lsquo;his wisdom&rsquo; lead him to be persecuted on two charges by the men of Athens. The first charge was that &ldquo;he enquires into things under the earth and in the heavens, and makes the weaker argument the stronger, and he teaches these same things to other people&rdquo; (Baird, 84). His second charge was &ldquo;of being a bad influence on the young, and of not recognizing the gods whom the state recognizes, but practicing a new religion of the supernatural&rdquo; (Baird, 87). 
</p>
<p>
Socrates contests the first charge brought against him by saying that due to the influence of the priestess of Apollo at Delphi, as mentioned above, he began questioning people. He found, not only that people pretended to know what they did not, but that &ldquo;those with the highest reputations seemed to me to be pretty nearly the most useless, if I was trying to find out the meaning of what the god had said, whereas others, who appeared of less account, were a much better bet when it came to thinking sensibly&rdquo; (Baird, 85). In a society where those with the highest reputation had a lot of the power, this was not something to confess that you believe. Eventually, after questioning people who practiced crafts that he had no knowledge in, he soon realized what he believed the god meant, that &ldquo;human wisdom is of little or no value&rdquo; (Baird, 86). 
</p>
<p>
Socrates next states that since the people that he questions get angry, not at themselves for the lack of knowledge, but rather at Socrates for pointing out their lack of knowledge, &ldquo;they come out with the standard accusations made against all philosophers, the stuff about &lsquo;things in heaven and things under the earth,&rsquo; and &lsquo;not recognizing the gods&rsquo; and &lsquo;making the weaker argument stronger&rsquo;&rdquo; (Baird, 86-87). This is Socrates main defense against the first charge, that since the people that he asked are angry, and &ldquo;don&rsquo;t want to lose face&rdquo; (Baird, 86) they are bringing charges against him. 
</p>
<p>
Socrates next attempts to find faults in the second accusation. He asks if he alone is a bad influence on people and the rest of Athens is a good influence. If this is so, which they say is, then Socrates asks why they didn&rsquo;t take him to the side, and tell him that what he is doing is wrong, instead of taking him to court. He also states that &ldquo;I have never been anyone&rsquo;s teacher. Equally, I never said no to anyone, young or old, who wanted to listen to me talking and pursuing my quest&rdquo; (Baird, 93). This statement implies that it isn&rsquo;t really his fault that people followed him, since he let them do as they saw fit. 
</p>
<p>
Socrates is then able to change the next part of the second accusation to read &ldquo;Socrates is guilty of not recognizing the gods, but recognizing the gods instead&rdquo; (Baird, 89), after further questioning on the exact meaning of the accusation. He also states that the main reason that he is asking all of these questions in the first place is because the gods told him that he was the wisest, and wished to find out why. To not find out what the gods meant, would be to ignore them, or not recognize them. 
</p>
<p>
Socrates was found guilty of the charges, by a somewhat close margin. He was able to choose a penalty for his acts. Socrates, rather smugly, states that &ldquo;if I must propose a penalty based on justice, on what I deserve, then that&rsquo;s what I propose &ndash; free meals at the public expense&rdquo; (Baird, 96). His justification for this statement is that &ldquo;the Olympic winner makes you <em>seem</em> to be happy; I make you really happy. He doesn&rsquo;t need the food; I do need it&rdquo; (Baird, 96). 
</p>
<p>
Even towards the end, Socrates doesn&rsquo;t believe that what he has done is wrong. He will not accept exile or being committed to silence for the rest of his life. He believes that the reason that he has been found guilty is because his accusers will not look past the fact that Socrates has pointed out their faults. 
</p>
<p>
Two statements with great importance even today, that Socrates makes against his accusers along this point are that &ldquo;if you think that by putting men to death you can stop people criticizing you for not living your lives in the right way, you are miscalculating badly&rdquo; (Baird, 98) and that &ldquo;the best and simplest way lies not in weeding out other people, but in making one as good a person as possible&rdquo; (Baird, 98). 
</p>
<p>
At the end, Socrates was willing to die for his beliefs. I believe that this is an admirable trait, the power to stand up for what you believe in, no matter what the cost. Socrates himself says that he knows that he can get out of this alive, but to do so would go against his beliefs. 
</p>
<p>
All in all, Socrates quest for knowledge, no matter the cost, and his view of looking inwards, for knowledge about oneself, all have an impact on people today. For these reasons, I believe that Socrates had great importance on the origins of philosophy. 
</p>
<h3>Bibliography: </h3>
<p>
<u>Philosophical Classics Volume I: Ancient Philosophy.</u> Forrest E. Baird and Walter Kaufmann. Prentice Hall, 2000. 
</p>

