+++
title = "Ancient Philosophy: The Importance of Socrates"
description = "The following paper was written for an Ancient Philosophy course that I took in college. I have not reviewed it since."
draft = false
comments = true
date = "2001-10-30T01:01:00-06:00"
slug = "Ancient-Philosophy-The-Importance-of-Socrates"
blogengine = "0fca294a-80f3-4f59-bd1c-1c608a6a20f6"
categories = ["article", "philosophy"]
tags = ["socrates"]
+++

<div class="note">
<p>
The following paper was written for an Ancient Philosophy course that I took in college. I have not reviewed it since.
</p>
</div>
<p>
Although none of Socrates actual writings exist, what we can get from Plato about Socrates shows the importance that Socrates played in not only the past, but also the influence that he has today. In this paper, I will be discussing the main reasons that Socrates had such an influence on philosophy.
</p>
<p>
Early philosophers often discussed the world around them and its qualities. Thales was an early philosopher who is first attributed to have questioned &ldquo;What is the basic &lsquo;stuff&rsquo; of the universe?&rdquo; (Baird, 6) Other early philosophers also asked themselves that same basic question, and came up with a variety of answers.
</p>
<p>
Instead of following those that came before him, Socrates decided to do something different. Instead of trying to find out more about the world around him in order to find out more about the world around him, Socrates asked questions of those around him in order to learn more about himself. Socrates was not interested in truths about what the world was composed of, rather he was interested in all of the things dealt directly with individuals and their interaction between other people. A few things that he talked about were; justice, injustice, and piety.
</p>
<p>
In the <em>Apology</em>, Socrates explains why he began his quest for wisdom about these things. Earlier in his life, a friend of his had asked the priestess of Apollo at Delphi if there was anyone who was smarter then Socrates. The Priestess replied back that no one was wiser then he. Socrates reluctantly decided to test the validity of this reply. Socrates examined the first person that he came upon, someone who was widely thought to be wise.
</p>
<p>
After questioning this man, Socrates found that although this person thought that they knew a lot, it turned out that in fact they knew very little. Socrates realized that &ldquo;in all probability neither of us knows anything worth knowing; but he <em>thinks</em> he knows when he doesn&rsquo;t, whereas I, given that I don&rsquo;t in fact know, am at least <em>aware</em> I don&rsquo;t know&rdquo; (Baird, 85). After questioning other &lsquo;wise&rsquo; people, not only did he make a large amount of enemies, but he also found that for the most part they did not really know a lot, but pretended to. Socrates later questioned people at the other end of the scale.
</p>
<p>
From this questioning, Socrates also learned that &ldquo;those with the highest reputations seemed to me to be pretty nearly the most useless, if I was trying to find out the meaning of what the god had said, whereas others, who appeared of less account, were a much better bet when it came to thinking sensibly&rdquo; (Baird, 85). This finding, and the statement being said in front of the prominent men of Athens during his trial, could only increase the amount of people that looked at him with distaste.
</p>
<p>
Another reason that Socrates was so important has to do with his questioning of others for the truth. In <em>Euthyphro</em>, Socrates and Euthyphro begin discussing piety. At the beginning of <em>Euthyphro</em>, Euthyphro has a good understand of what piety means, and believes that something that he had done was a pious act. Socrates claims ignorance of what piety is and asks Euthyphro what it is. After questioning, Euthyphro revises his definition of piety. This questioning takes place a few more times until Euthyphro can no longer say that he knows what piety is. Socrates did not want to know about things or actions that had the traits of what he was looking for, he wanted a definition of what it was exactly. If he was interested in justice, he did not want examples of just actions, but a definition of justice that once used, could find the truth of what exactly a just act was.
</p>
<p>
Eventually, Socrates was summoned before 500 of Athens prominent males to be tried for two things. The first charge was that &ldquo;he enquires into things under the earth and in the heavens, and makes the weaker argument the stronger, and he teaches these same things to other people&rdquo; (Baird, 84). His second charge was &ldquo;of being a bad influence on the young, and of not recognizing the gods whom the state recognizes, but practicing a new religion of the supernatural&rdquo; (Baird, 87).
</p>
<p>
Socrates dismisses the first charge brought against him by stating that people who are angry at him for pointing out that they don&rsquo;t truly know anything, &ldquo;come out with the standard accusations made against all philosophers, the stuff about &lsquo;things in heaven and things under the earth,&rsquo; and &lsquo;not recognizing the gods&rsquo; and &lsquo;making the weaker argument stronger&rsquo;&rdquo; (Baird, 86-87).
</p>
<p>
For the second charge, Socrates says that he was only doing that which he thought the gods wanted him to do, so that he could find out why they said what they did about him. He then tells the jury what he believes the gods meant when they said that he was the wisest: that &ldquo;human wisdom is of little or no value&rdquo; (Baird, 86). The only way for him to find this out, was to question others about what they knew. He also states, &ldquo;I have never been anyone&rsquo;s teacher. Equally, I never said no to anyone, young or old, who wanted to listen to me talking and pursuing my quest&rdquo; (Baird, 93).
</p>
<p>
Socrates was found to be guilty of the above charges, and is asked for a suitable penalty. Being a poor man because he was able to do nothing but question others, he proposed that he receive &ldquo;free meals at the public expense&rdquo; (Baird, 96). Needless to say, Socrates was not allowed to be &lsquo;punished in this way&rsquo;, and was instead given hemlock.
</p>
<p>
Socrates famous quote, &ldquo;The unexamined life is not worth living&rdquo; (Baird, 97) best sums up his life. Socrates was willing to die for his beliefs, which made his point much stronger. After reading Plato&rsquo;s writings about Socrates, and therefore learning more about Socrates, you learn just how important Socrates was in changing philosophy and its focus.
</p>
<h3>Bibliography:</h3>
<p>
<u>Philosophical Classics Volume I: Ancient Philosophy.</u> Forrest E. Baird and Walter Kaufmann. Prentice Hall, 2000.
</p>

