+++
title = "Antony Flew and The Falsification Debate"
description = "Paper on Antony Flew's The Falsification Debate and the existence of God."
draft = false
comments = true
date = "2002-10-02T01:01:00-05:00"
modified = "2009-10-15T07:43:33-05:00"
slug = "Antony-Flew-and-The-Falsification-Debate"
blogengine = "cae0fe92-a47d-4dbf-96ae-3532647d5b86"
categories = ["article", "philosophy"]
tags = []
+++

<p>
In this paper, I will be discussing the points that Antony Flew contributes to the debate on whether religious claims must be proven by empirical means in order to be factually meaningful. First, I will discuss Flew&rsquo;s major contribution, which is the analogy of the gardener. Second, I will discuss why this analogy helps to show that religious claims make no assertions, and are instead mere utterances.
</p>
<p>
Flew begins his piece with a parable. In this parable, two explorers come upon a clearing in a jungle. There are flowers growing in this clearing, but there are also just as many weeds. One of the explorers, thinking that this is a garden, states that &ldquo;some gardener must tend this plot&rdquo; (375). The other explorer, however, believes that &ldquo;there is no gardener&rdquo; (375). They decide that they will set up their camp in this clearing, to solve their dispute.
</p>
<p>
After passing some time in the clearing, the two explorers have yet to see a gardener. The first explorer still adamantly believes that there is a gardener who tends the plot, but for some reason, they are unable to see him. They set upon building an electrified, barbed-wire fence. They also bring in bloodhounds, assuming that even if the gardener could get over the fence, he could not mask his scent.
</p>
<p>
More time passes with no proof of the existence of a gardener. The dogs have not barked, and the fence has remained inactivate. The first explorer still believes, however, that there is a gardener: &ldquo;&lsquo;But there is a gardener, invisible, intangible, insensible to electric shocks, a gardener who comes secretly to look after the garden which he loves&rsquo;&rdquo; (375). The other explorer, though, remains skeptical, and questions his partner&rsquo;s assertion: &ldquo;Just how does what you call an invisible, intangible, eternally elusive gardener differ from an imaginary gardener or even from no gardener at all&rdquo; (375). This is Flew&rsquo;s first argument; the first explorer&rsquo;s original assertion has changed in order to circumvent the inconsistencies observed by the second explorer, without actually addressing them.
</p>
<p>
Flew&rsquo;s next point is that while the debate between the two explorers appeared to be over an assertion, namely that there is a gardener, as the debate progress it changed into something else. He argues that when the first explorer adds these new qualifications &ndash; he is invisible, intangible, insensible to electric shocks &ndash; then he is also changing, bit by bit, the original inadequate assertion. Therefore, &ldquo;a fine brash hypothesis may thus be killed by inches, the death by a thousand qualifications&rdquo; (375). One should instead say that this assertion, is in fact not an assertion at all, but merely an utterance, which does not, and cannot assert a real truth. &ldquo;Take such utterances as &lsquo;God has a plan,&rsquo; &lsquo;God created the world,&rsquo; &lsquo;God loves us as a father loves his children.&rsquo; They look like at first sight very much like assertions, vast cosmological assertions&rdquo; (375). In many cases someone who believes in a religion will often make, what he believes is an assertion, much like how the first explorer made the rash assertion about the gardener. Though they believe that they are making an assertion, and while it may appear to be one, it is in fact not.
</p>
<p>
But what is an assertion? Flew next gives the basic idea of what an assertion is. An assertion typically asserts that &ldquo;such and such is the case&rdquo; (375). Anything that negates this assertion, that proves that such and such is not the case, would be proof against the assertion. Searching for this negation would help not only in the understanding of the assertion, but also in discovering whether it was in fact an assertion, or whether it was merely an utterance. &ldquo;If there is nothing which a putative assertion denies then there is nothing which it asserts either: and so it is not really an assertion&rdquo; (376).
</p>
<p>
Many people, who are not religious, often believe that there is no way to convince a religious individual that his or her religious beliefs are incorrect, that &ldquo;&lsquo;There wasn&rsquo;t a God after all&rsquo; or &lsquo;God does not really love us then&rsquo;&rdquo; (376). Instead, when a religious individual sees a frantic father who is concerned about the health of his child, yet they cannot see an apparent concern coming from God, they are not swayed into believing that &lsquo;God does not really love us as a father loves his child&rsquo;, rather that God&rsquo;s love is slightly different then what was originally asserted. What then, Flew asks the religious, &ldquo;would have to occur or to have occurred to constitute for you a disproof of the love of, or the existence of, God?&rdquo; (376) Is there anyway to show you that your assertion is incorrect, and that the opposite is true? Flew believes that there is not, and therefore, that their &lsquo;assertions&rsquo; can never be disproven, and are therefore, merely utterances.
</p>
<p>
In conclusion, Flew first begins his piece by an analogy, by which he hopes to show that religious assertions must change in order to remain valid. Secondly, he shows that by being able to change, not only do they lose any consistency, but also any resemblance to a valid assertion, and are therefore mere utterances.
</p>
<h3>Book(s) used as source material:</h3>
<p>
<strong>1</strong>: <em>Philosophy of Religion: Selected Readings, Second Edition</em>; Editors: Michael Peterson, William Hasker, Bruce Reichenbach, David Basinger; Oxford University Press - ISBN 0-19-513546-6; Pages applicable to the Antony Flew&#39;s discussion of <em>The Falsification Debate</em>: 374-378
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> October 2nd 2002<br />
<strong>Modified:</strong> October 18th 2002; October 30th 2003
</p>

