+++
title = "Applied Theoretical Ethics Term Paper"
description = "Term paper for Applied Theoretical Ethics on John Harris' The Survival Lottery."
draft = false
comments = true
date = "2002-04-21T01:01:00-05:00"
modified = "2007-11-01T21:49:54-05:00"
slug = "Applied-Theoretical-Ethics-Term-Paper"
blogengine = "7a43889c-bc1f-45ca-be10-718f589303fe"
categories = ["article", "philosophy"]
tags = []
+++

<p>
&ldquo;Let us suppose that organ transplant procedures have been perfected; in such circumstances if two dying patients could be saved by organ transplants then, if surgeon have the requisite organs in stock and no other needy patients, but nevertheless allow their patients to die, we would be inclined to say, and be justified in saying, that the patients died because the doctors refused to save them. But if there are no spare organs in stock and none otherwise available, the doctors have no choice, they cannot save their patients and so must let them die.&rdquo; (Harris, 257)
</p>
<p>
This, the start of John Harris&rsquo; article, gives a possible future situation that seems to be straightforward, in that most of us would find that the first situation would be a case of a &lsquo;wrongful&rsquo; death, and the second a case of unfortunate circumstances. However, Harris asks us to add more to the above situation. Those two dying patients, Y and Z, need two different organs in order to survive, a heart and lungs respectively. It is still possible to get organs for these two in order for them to survive; &ldquo;if just one healthy person were to be killed his organs could be removed and both of them be saved&rdquo; (Harris, 257).
</p>
<p>
This, according to Harris, seems like something that could be done, but perhaps should not be done. &ldquo;We would not say that the doctors were killing their patients if they refused to prey upon the healthy to save the sick&rdquo; (Harris, 257). That is, using the healthy to save the sick is not something that doctors normally do. While the doctors would hold that Y and Z have died of natural causes, since harvesting from the healthy is out of the question, Y and Z hold that &ldquo;the doctors are responsible for their deaths.&rdquo; (Harris, 257)
</p>
<p>
Many philosophers, as Harris points out, hold not only that &ldquo;we must not kill even if by doing so we could save life&rdquo; (Harris, 257-8), but also that &ldquo;there is a moral difference between killing and letting die.&rdquo; (Harris, 258) Taken together, &ldquo;to kill A so that Y and Z might live is ruled out because we have a strict obligation not to kill but a duty of some lesser kind to save life&rdquo; (Harris, 258).
</p>
<p>
Y and Z disagree with the above statements, and instead hold that &ldquo;it is wrong to kill the innocent&rdquo; (Harris, 258). Y and Z, still believing that the doctors are killing them, question why A cannot be killed while Y and Z can, if they are all innocent. Is A more innocent then Y and Z? &ldquo;A is innocent in the sense that he has done nothing to deserve death, but Y and Z are also innocent in this sense. Why should they be the ones to die simply because they are so unlucky as to have diseased organs?&rdquo; (Harris, 258) To kill Y and Z, and not A, would be to &ldquo;prefer the lives of the fortunate to those of the unfortunate&rdquo; (Harris, 258).
</p>
<p>
While it may appear that to kill one individual in order to save two is for the best, to do so would bring harm to the medical profession. If doctors could merely choose random people to be killed in order to save others, then victims, witnesses, and society would all suffer &ndash; faith in the profession would fall drastically. Harris states that a new proposal will be brought into play later that deals with these side-effects, but he first wants to deal with a possible argument from the doctors.
</p>
<p>
The doctors, in order to reply to the save two by killing one proposal, &ldquo;might maintain that a man is only responsible for the death of someone whose life he might have saved, if, in all the circumstances of the case, he ought to have saved the man by the means available&rdquo; (Harris, 259). This then is a basic restatement of the first sentence in the first paragraph of the essay, but with some possible clarification. The doctors cannot appeal to the fact that killing A would be killing an innocent, as Y and Z find themselves to be innocent as well, and the doctors&rsquo; proposal would end up killing more innocents then Y and Z&rsquo;s.
</p>
<p>
In order to deal with the problem of the loss of trust in the medical community, due to the harvesting of healthy individuals organs, Y and Z suggest a lottery system for the selection of &lsquo;As&rsquo;. As Harris states it, &ldquo;they propose that everyone be given a sort of lottery number. Whenever doctors have two or more dying patients who could be saved by transplants, and no suitable organs have come to hand through &lsquo;natural&rsquo; deaths, they can ask a central computer to supply a suitable donor&rdquo; (Harris, 259). In addition, no one would be &lsquo;killed&rsquo;, but rather chosen to &lsquo;give life&rsquo; to another.
</p>
<p>
Not only will the computer do this, it could also be programmed in order to maintain an &lsquo;optimum age distribution&rsquo;. That is, Harris holds that Y and Z&rsquo;s program would work so well that those living to an older age would increase, possibly creating a higher demand of &lsquo;life&rsquo; by those whom are in the upper age range, which would have to be remedied in order to prevent the domination by the old.
</p>
<p>
As the &lsquo;inter-planetary travel&rsquo; analogy attempts to show, if such a plan were implemented and followed throughout the years, then down the line, &ldquo;a man who attempted to escape when his number was up or who resisted on the grounds that no one had a right to take his life, might well be regarded as a murderer&rdquo; (Harris, 260).
</p>
<p>
One thing that Y and Z need to clarify is a case in which an individual is dying not through misfortune, but rather because of actions that they have done. That is, &ldquo;it would be unfair to allow people who have brought their misfortune on themselves to benefit from the lottery There would clearly be something unjust about killing the abstemious B so that W (whose heavy smoking has given him lung cancer) and X (whose drinking has destroyed his liver) should be preserved to over-indulge again.&rdquo; (Harris, 260)
</p>
<p>
Seeing that Y and Z are fairly firmly attached to their idea, Harris would like to put forth some possible problems and objections. The objections that he comes up with are the problem of security, the lack of individuality in such a system, and the problem of playing God.
</p>
<p>
The first objection is taken care of in that the chance of being called to &lsquo;give life&rsquo; is less then the chance of being killed on the road. The second objection is taken care of in that it would be a question of why the individuality of A is more important then that of Y and Z, an answer much like that for innocence. The third objection is taken care of in that &ldquo;if we are able to change things, then to elect not to do so is also to determine what will happen in the world&rdquo; (Harris, 261).
</p>
<p>
The morality of killing and letting die cannot be an objection to the lottery system as it would &ldquo;beg the question as to whether the failure to save as many people as possible might not also amount to killing&rdquo; (Harris, 261).
</p>
<p>
As Harris points out, such a system would make everyone into eventual saints. The question of self-defense also cannot be used as each person would have a better chance of living a long life with the implementation of the lottery system. Tying in with self-defense, &ldquo;the feeling that no man should be required to lay down his life for others makes many people shy away from such a scheme, even though it might be rational to accept it on prudential grounds, and even mandatory on utilitarian grounds &hellip; While it is true that they can only live if another man is killed, they would claim that it is also true that if they are left to die, then someone who lives on does so over their dead bodies&rdquo; (Harris, 262). That is, they should be able to defend themselves, just the same as everyone else.
</p>
<p>
As the problem of terror of being chosen to &lsquo;give life&rsquo; has not been adequately solved, Y and Z might claim that death is indeed a terrifying experience, so the fewer that went through it, the better. Fewer people would die if the lottery scheme were to be implemented, so to not implement such a policy would be to allow more distress.
</p>
<p>
The last objection that might be made is why X should not be killed in order to save Y, or vice versa, if both X and Y are going to die. This would leave any third parties out of their idea. If two people are dying and one is killed in order to save the other, then it seems as though things have been balanced. However, Y and Z would claim that to do so would &ldquo;violate their right to equal concern and respect with the rest of society&rdquo; (Harris, 263) &ndash; once again, the unfortunate are being singled out.
</p>
<p>
One could not say &ldquo;since they are going to die in any event, there is no harm in putting their names into the lottery, for the chances of their dying cannot thereby be increased and will in fact almost certainly be reduced&rdquo; (Harris, 263). The lottery system is working to bring them life, and therefore are not dying anymore then anyone else in the lottery, contrary to what the above argues.
</p>
<p>
The dying could not be the primary selection group either, as the point by which one is &lsquo;dying&rsquo; is too hard to distinguish. Not only that, but their time left is often more important then all the time before then. The basic conclusion of these discussions is that &ldquo;the problem of narrowing down the class of possible donors without discriminating unfairly against some sub-class of society is &hellip; insoluble&rdquo; (Harris, 264).
</p>
<p>
Lastly, Harris discusses how utilitarians and absolutists might view the lottery scheme. Utilitarians should agree with the scheme, and an absolutist would be hard pressed to justify problems with it. While it is possible to claim that Y and Z are wishing A&rsquo;s death, Y and Z would claim that they only desire his organs, and it is unfortunate that A cannot live without them.
</p>
<p>
In Harris&rsquo; view, perhaps only moral intuition could be relied upon to prevent such a scheme. Whether this would hold up against prove that the system works would be another, interesting, question. Also, deciding whether someone had brought about upon misfortune to themselves could be problematic, as well as the chance that an individual, or group, could misuse the lottery.
</p>
<p>
Harris&rsquo; final point is straightforward, as well as important. &ldquo;It may be that we would want to tell Y and Z that the difficulties and dangers of their scheme would be too great a price to pay for its benefits. It is well to be clear, however, that there is also a high, perhaps an even higher, price to be paid for the rejection of the scheme. That price is the lives of Y and Z and many like them, and we delude ourselves if we suppose that the reason why we reject their plan is that we accept the sixth commandment.&rdquo; (Harris, 265)
</p>
<p>
In my view, the lottery system seems to be fairly thought through. Trying to come up with opposition against it has been done fairly well by Harris. Overall, and especially after consideration of Harris&rsquo; final lines, I have to agree that the lottery system seems to be something that I can see working. However, it may be possible to bring into question a few points, so as to not go completely willingly.
</p>
<p>
The first problem that I have with the lottery scheme is that there are people so need to be in a class of their own. Would we put people who have, and show, great talent, talent that we would be hard-pressed to duplicate, into the lottery? I speak of people like Albert Einstein, Carl Sagan, our current President, the highest officials in governments, and other influential individuals. Note however, that I stated that they &lsquo;show&rsquo; this talent. It could be brought up otherwise that anyone could have a talent that, after cultivation, will be brought out. Until the future can be seen, &lsquo;potential greats&rsquo; would have to be excluded from the lottery.
</p>
<p>
Even the above restrictions would not be enough however. Everyone is important to someone. Could we take a mother away from her children? What of people, especially in this day and age, who are taking care of children on their own?
</p>
<p>
Children, it seems, would also need to be put into another group, at least depending on the organ, as it seems to me, with the little medical background that I have, that there are certain organs which perhaps need to be grown to a certain extent in order to work well enough for the individual. That is, we could not give a child&rsquo;s heart to a grown man, could we? Possibly Y and Z have thought about this, and one of the &lsquo;fields&rsquo; in their program would be age. They have after all a plan on keeping an &lsquo;optimal&rsquo; age for the mean.
</p>
<p>
Although Y and Z disagree with this plan, I feel that the best plan would be to allow Y and Z, and any other individuals who desire an organ, to go into a lottery amongst themselves. Y and Z, and the other individuals, would have to be grouped such that no two individuals shared a need, unless their need was something in any individual had enough of.
</p>
<p>
For example, say that Y needs a heart, Z needs a lung, W needs a kidney, X needs a lung, and V needs a lung as well. If V were not in this group, then any individual could be chosen to &lsquo;give life&rsquo;, as Y would have two lungs and a kidney, Z would have a heart and a lung and a kidney, W would have a heart and two lungs, and X would have a lung, heart, and kidney. Putting V into the group, we have a need of three lungs, which could not be satisfied by any one individual, and would therefore need the deaths of two individuals at the least.
</p>
<p>
While it is true that these &lsquo;needy&rsquo; individuals, in the sense that they need an organ and not in the other sense of the word, are being put into a group of their own, I am not properly satisfied that they should not be discriminated against. The discrimination that they suffer is far less then that they would suffer were the system not in effect, and therefore should be happy that they have any chance at all.
</p>
<p>
I am sure it is possible to point at a great many other things in the article that are invalid, such as the utilitarianism of the whole idea, but the inadequateness of the above mentioned point is all that I feel needs to be brought into question, at least at this time.
</p>
<p>
While it is true that such a system may indeed work out well enough after implementation, getting to that point may be something that just might fail due to the sixth commandment and the inability, as well as the ability, to see from another point of view.
</p>
<h3>Bibliography:</h3>
<p>
Harris, John, <em>The Survival Lottery</em>, (From <em>Philosophy</em>, 50, no. 191, January 1975), Cambridge University Press.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> April 18th &ndash; 21st 2002<br />
<strong>Modified:</strong> May 7th 2003; October 30th 2003
</p>

