+++
title = "Arthur Schopenhauer's Principle of Sufficient Reason"
description = "A brief article regarding Arthur Schopenhauer's principle of sufficient reason, discussed in his work On the Fourfold Root of the Principle of Sufficient Reason."
draft = false
comments = true
date = "2005-06-01T10:09:00-05:00"
modified = "2007-07-22T19:36:16-05:00"
slug = "Arthur-Schopenhauers-Principle-of-Sufficient-Reason"
blogengine = "fdef8d22-61a3-470e-98de-7a825e357f94"
categories = ["article", "philosophy"]
tags = ["arthur schopenhauer"]
+++

<div class="WPArticleInfo">
<p>
Description: A brief article regarding Arthur Schopenhauer&#39;s principle of sufficient reason, discussed in his work On the Fourfold Root of the Principle of Sufficient Reason.
</p>
<p>
Created: January 21st - 22nd 2004<br />
Modified: February 6th 2004; June 14th 2004; April 27th 2005; June 1st 2005
</p>
<div class="note">
<p>
Notes: See also my papers titled: <cite><a href="http://strivinglife.net/wordpress/2003/10/23/213/schopenhauers-relationship-with-aesthetic-contemplation-and-asceticism/">Schopenhauer&#39;s Relationship with Aesthetic Contemplation and Asceticism</a></cite>; <cite><a href="http://strivinglife.net/wordpress/2004/06/17/259/heideggers-principle-of-reason-lectures/">Heidegger&#39;s Principle of Reason Lectures</a></cite>; <cite><a href="http://strivinglife.net/wordpress/2004/06/12/260/overview-of-leibnizs-the-principles-of-philosophy-or-the-monadology/">Overview of Leibniz&#39;s The Principles of Philosophy, or, the Monadology</a></cite>.
</p>
</div>
</div>
<!--more-->
<p>
Arthur Schopenhauer is an extremely self-referential philosopher, perhaps the most self-referential of all the great philosophers. Yet, this is due primarily to the fact that Schopenhauer is one of the few philosophers that sticks with one system throughout his life - throughout his writings.
</p>
<!--adsense-->
<p>
The sole purpose of this article is to explain, as briefly and compactly as possible, Schopenhauer&#39;s principle of sufficient reason, as I understand it, for those who have not read the bulk of his works. Of course, this article will in no way be able to substitute for Schopenhauer&#39;s works, especially his essay <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite>, but it is my hope that this article will be able to shed some light on this principle, as a guide for reflection upon the aforementioned essay.
</p>
<p>
There are many great things about Arthur Schopenhauer, besides the fact that he is consistent - as the fact that he is extremely self-referential implies. Schopenhauer finds the need, and rightly so, to define words that he makes the use of. &quot;I regard the greatest possible comprehensibility, to be attained by an accurate definition of every expression, as the absolutely necessary prerequisite for philosophy.&quot; [1: 4] In addition, Schopenhauer finds the time to, very systematically, sum up what he says, not only within the main body of his essays, but also at the conclusion of each. When one combines these two facts together, it comes as no surprise that we can find a good definition of the principle of sufficient reason in the concluding chapter of <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite>. &quot;The general meaning of the principle of sufficient reason may [...] be reduced to the fact that always and everywhere each thing exists merely by virtue of another thing.&quot; [1: 232] Or, stated differently, as he does in the first chapter of his work, the principle of sufficient reason states, &quot;nothing is without a ground or reason why it is.&quot; [1: 6] These definitions back up Schopenhauer&#39;s other claim that this principle is the &quot;fundamental principle of all knowledge&quot; [1: 2] and &quot;the basis of all science.&quot; [1: 5]  After all, this principle applies to every thing, and explains why every thing exists; if nothing existed then we could know nothing.
</p>
<p>
Having stated the general principle, it is now possible to deal with some of the specifics of the principle. The first thing that Schopenhauer finds necessary to discuss is the ways that others have used this principle, so as to show some important considerations. Yet, while it is not all that he does, Schopenhauer finds more to say about the errors in the principle&#39;s application, then about those who used it correctly. But, one should not read this as saying that Schopenhauer merely attacks others, as this is in no way the case. Rather, sometimes it&#39;s important to first clear away the misconceptions of a theory, rather then build upon those misconceptions, and then clear them away later.
</p>
<p>
So, as was said above, Schopenhauer first deals with previous misconceptions regarding the principle of sufficient reason. The first misconception is the use of the word &#39;cause&#39; to explain a great variety of different things. There is a &quot;highly important distinction between a ground or reason of knowledge and a cause.&quot; [1: 11] Schopenhauer goes into great detail in discussing this distinction, but his conclusions can be summed up as the following.
</p>
<p>
&quot;Knowing and demonstrating that a thing exists&quot; is &quot;the ground or reason of knowledge.&quot; [1: 11] &quot;Knowing and proving why it exists&quot; is &quot;knowledge of the cause.&quot; [1: 11] This distinction is also stated when Schopenhauer points out that there is &quot;a clear distinction between requiring a reason of knowledge in support of a judgement and requiring a cause for the occurrence of an actual event.&quot; [1: 13] It is also worth pointing out that Schopenhauer believes that a ground of knowledge does not &quot;at once lead to something further&quot; while a cause does. [1: 14] This is due to the fact that Schopenhauer believes that the law of causality is always at work - that change is constantly occurring, or taking place (my own words, not per se his). On last quote of the distinction, before we move on, could certainly not hurt in our understanding. Quoting Kiesewetter, we find that Schopenhauer agrees with the statement that &quot;&#39;logical ground or reason (reason of knowledge) is not to be confused with the general ground or reason (cause)&#39;&quot; and &quot;&#39;the former is the fundamental principle of thought, the latter that of experience.&#39;&quot; [1: 30]
</p>
<p>
Before we continue, it is worthwhile to point out how one can demonstrate that the principle of sufficient reason is true. &quot;Now whoever requires a proof for this principle, i.e., the demonstration of a ground or reason, already assumes thereby that it is true; in fact he bases his demand on this very assumption. He therefore finds himself involved in that circle of demanding a proof for the right to demand a proof.&quot; [1: 33]
</p>
<!--nextpage-->
<p>
Now that the basics of the principle of sufficient reason have been mentioned, we can discuss the outcroppings of the principle. As the title of the aforementioned essay suggests, the principle of sufficient reason is of four &#39;roots&#39;. The first is the principium rationis sufficientis fiendi or principle of sufficient reason or ground of becoming. The second is the principium rationis sufficientis cognoscendi or principle of sufficient reason or ground of knowing. The third is the principium rationis sufficientis essendi or principle of sufficient reason or ground of being. The fourth is the principium rationis sufficientis agendi or principle of sufficient reason or ground of acting. Each of these four roots of the principle of sufficient reason has a full chapter devoted to them within <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite>.
</p>
<p>
Each of these four roots can also be summed up by a &#39;law&#39;, if you will. The first relies upon the laws of causality, the second upon the laws of &#39;judgement&#39;, the third upon the laws of &#39;position and succession&#39;, and the fourth upon the laws of motivation. Those laws within single quotes are my own, while those without are stated by Schopenhauer himself. As stated above, each of these four roots gets a chapter devoted to them, but they can be summed up fairly well.
</p>
<p>
The first root, the principium rationis sufficientis fiendi or principle of sufficient reason or ground of becoming, states that &quot;if a new state of one or several real objects appears, another state must have preceded it upon which the new state follows regularly, in other words, as often as the first state exists.&quot; [1: 53] The new state mentioned above is also known as the effect, while the preceding state is also known as the cause. Therefore, every effect has a cause.
</p>
<p>
The second root, the principium rationis sufficientis cognoscendi or principle of sufficient reason or ground of knowing, states that &quot;if a judgement is to express a piece of knowledge, it must have a sufficient ground or reason.&quot; [1: 156] To put this into words similar to the first root, every true judgement - every judgement that expresses a piece of knowledge - precedes from a sufficient ground or reason. Schopenhauer breaks this root into four other parts, namely truths, but we need not do more than mention the name of each of the four kinds. The four kinds of truths are; logical, empirical, transcendental, and metalogical (and are covered on pages 157 to 163 of the referenced text).
</p>
<!--adsense-->
<p>
The third root, the principium rationis sufficientis essendi or principle of sufficient reason or ground of being, is difficult to wrap up quickly, but I believe it can be stated the best by the statement that &quot;space and time are so constituted that all their parts stand in mutual relation and, on the strength of this, every part is determined and conditioned by another.&quot; [1: 194] Later, he calls this principle &quot;the law whereby the parts of space and time determine one another as regards those relations.&quot; [1: 194] Schopenhauer calls our attention to the various fundamental proofs within geometry for examples of this principle. His first example of this was actually stated earlier in the work, and deals with a triangle that contains two equal angles. Based on this, it necessarily follows that the sides opposite of these angles are equal. As I mean only to attempt to bring the basics of his thoughts out here, I can in no way substitute for the part of his work where he discusses this, so I call your attention to the whole of chapter six for more information regarding this.
</p>
<p>
The fourth root, the principium rationis sufficientis agendi or principle of sufficient reason or ground of acting, deals solely with, for each individual, &quot;only one object, the immediate object of the inner sense, the subject of willing.&quot; [1: 207] The law mentioned above related to this root is the law of motivation. Schopenhauer compares the law of motivation and the law of causality - and therefore the fourth root with the first root - by saying that &quot;motivation is causality seen from within.&quot; [1: 214] In other words, motivations can bring about acts in much the same way that physical objects can - while I may not be enslaved by chains, I could be enslaved by thoughts which act upon me much like chains. Schopenhauer calls the reader&#39;s attention to his essay On the Freedom of the Will, and I too call your attention to it, as this root is so closely linked to this essay that one can not fully grasp this without that.
</p>
<p>
Before we leave these roots, and see how the various sciences take them up, it&#39;s important to touch upon the necessity implied by each of the above four roots. As above, as well as from Schopenhauer&#39;s essay On the Freedom of the Will, we see that the principle of sufficient reason necessarily implies necessity over all that it applies to, and therefore to all of reality. In his chapter of general remarks, we see this discussion of necessity, as well as a systematic layout of each of the four roots, which I now present here.
</p>
<p>
&quot;Accordingly, there is a fourfold necessity corresponding to the four forms of the principle of sufficient reason. (1) Logical necessity, according to the principle of sufficient reason of knowing, by virtue whereof, when once we have admitted the premises, the conclusion must be admitted without question. (2) Physical necessity, according to the law of causality, by virtue whereof, as soon as the cause has appeared, the effect cannot fail to appear. (3) Mathematical necessity, according to the principle of sufficient reason of being, by virtue whereof every relation, stated by a true geometrical theorem, is as that theorem affirms it to be, and every correct calculation remains irrefutable. (4) Moral necessity, by virtue whereof every human being, even every animal, after the motive has appeared, must carry out the action which alone is in accordance with his inborn and immutable character.&quot; [1: 226-227]
</p>
<p>
Before I leave this subject, it&#39;s interesting to take these four roots of the principle of sufficient reason and see how they apply to actual things in the world. The ground of being has its place in &quot;pure mathematics&quot;. [1: 230-231] The ground of becoming has its place in &quot;physics, chemistry, geology&quot;, etcetera. [1: 231] The ground of knowing is of particular use in those sciences that by their nature rely upon classification, such as &quot;botany, zoology, mineralogy&quot;, etcetera. [1: 231] Finally, the ground of acting can be found in &quot;history, politics, pragmatic psychology&quot;, etcetera, and perhaps, taken slightly differently, ethics. [1: 231]
</p>
<p>
These are the basics of Schopenhauer&#39;s work - &quot;nothing is without a ground or reason why it is&quot; [1: 6] - this is the principle of sufficient reason in just some of its glory. Yet, as I said before, this all-to-brief look at his work, <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite>, should in no way be used as a substitute for his work, merely as one guide amongst many.
</p>
<hr />
<p>
Bibliography:
</p>
<p>
1: Schopenhauer, Arthur. <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite>. Translated by E.F.J. Payne. Illinois: Open Court Publishing Company, 1974.
</p>

