+++
title = "Beyond the Biological Imperative"
description = "A look at the 'Biological Imperative' and it's implications."
draft = false
comments = true
date = "2003-10-30T01:01:00-06:00"
slug = "Beyond-the-Biological-Imperative"
blogengine = "3645b400-a832-482e-8f41-08231c9aa54c"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Quite a few years ago I took a lower level Introduction to Biology course in college. While I did pretty bad in the course, I did learn quite a few things. One of the things that I learned was about the &#39;Biological Imperative&#39;. The &#39;Biological Imperative&#39;, as I now understand it - whether or not it was taught like this - is that all biological beings are born/created (not in the &#39;Creation&#39; sense, but rather as a way to express plants, which are not born, per se, and some animals, which are hatched, and are not, per se, born) with certain desires/strivings. These strivings are applicable to any, and all, biological entities. For this article, I&#39;d like to discuss the Biological Imperative in various ways. First, I&#39;d like to describe what I believe the Biological Imperative is, at it&#39;s fundamental root - at a level basic, and truly applicable, to any and all biological entities. Then, I&#39;d like to mention how culture appears to fit into all of this, bringing in Philosophy when possible and applicable.
</p>
<!--more-->
<p>
Please note that this is a work in progress. Realistically, someone could write a book on this subject (and I was quite surprised that &#39;Beyond the Biological Imperative&#39; received no results, per se, on <a href="http://www.google.com/" onclick="window.open(this.href);return false;"> Google</a> when I did a search - October 30th 2003) since the subject is so encompassing. So, therefore, I&#39;ll be working on sections at a time, not completing the work as a whole, but rather completing parts of the whole. For this reason, I look forward to any comments regarding this material, as they may help guide this article&#39;s direction.
</p>
<!--adsense-->
<h4>1: What is the &#39;Biological Imperative&#39;?</h4>
<p>
As stated above, the Biological Imperative is something which all biological entities (like humans and animals, as well as plants and the like) have. To put it simply, the Biological Imperative is composed of two things. One Biological Imperative, or one part, is self survival. The second (part of the) imperative is species&#39; survival.
</p>
<p>
In other words, and to clarify, the Biological Imperative surfaces when we see an individual biological entity eat, as well as when we see it perform actions leading to reproduction. Pursuing, and obtaining, nourishment - through solid or liquid form - is a part of the first part of the imperative. Seeking shelter, such as under the ground (by way of caves) or above it (via the trees and their leaves), or under a constructed object (such as huts and the like), is also a part of this. This first part focuses solely on the individual acting under the Imperative. We could also argue, to a degree, that this also focuses, primarily, but not solely, on the present, which will be clarified after mentioning the second part of the Imperative.
</p>
<p>
The second part of the Biological Imperative, reproduction, or species&#39; survival, is seen in every animal in a quite direct way. That is, animals act out, in - what could be viewed as - a free way. Compare an animal, for example, to a plant. While a plant depends on, in many cases, either animals (such as when bees pollinate flowers while moving from one flower to another to obtain nectar) or gravity (such as when acorns fall from a tree to the ground), and therefore do not directly interact with other&#39;s of their species to reproduce, animals can directly interact, and therefore do not depend on other animals or gravity.
</p>
<p>
Of course, one animal cannot reproduce (for the most part) without another individual animal, so animals do depend on other animals, but not as much as plants do. Nonetheless, and regardless, both animals and plants, whether aware of it or not, seek the survival of the species.
</p>
<p>
Instead of dealing solely with generalizations, let us focus on human beings, one particular kind of animal, so as to not become too confused, since particulars are far easier to point to.
</p>
<h4>2: An Example of the Biological Imperative Using Human Beings</h4>
<p>
I am a human being. As a human being, I am also biological<sup>1</sup>. Because of this, it should be that the Biological Imperative, which I have stated applies to all biological entities, should be able to be seen within my actions, or, that is, we should be able to see the Imperative working through me through my means of survival. Then, we can compare these actions to those of other animals, to see if we can see something similar within them.
</p>
<p>
Every day, for the most part, I partake in the intake of nourishment, via various foods and drinks. If I were to neglect doing this, I would become hungry, and my actions would, to some extent, be impaired. In addition, while living within a shelter, of some kind, elongates my life, as well as making it easier. After all, being able to be somewhere warm when the snow is falling is certainly better then standing outside in the cold without any clothes (after all, even clothing is shelter).
</p>
<p>
In addition to this, I have some desire to find someone and reproduce with them. After all, I can only continue on for so long, At some point in time, I will die. Yet, if I were to father some child, if I were to &#39;bring about&#39;/create something that had many of my traits, as well as some/many of my ideas (through teaching and discussion), then I would be, to some extent, still alive. They say that as long as Poe, or Dickens, or name-your-favorite is read, they will continue to live<sup>2</sup>. It is the same for anyone - as long as some part of something is, the thing exists. For example, if you write a paper and the paper is destroyed by fire, as long as you remember the paper then the ideas, and in a way the paper, still exist (even if only in your mind - the words/ideas could potentially be written down again).
</p>
<p>
The question is, do animals have similar &#39;actions&#39;, or, can we see similar behaviors in animals? It&#39;s quite obvious that animals also eat, as can be clearly seen in household pets, such as dogs and cats. Without nourishment, we are told, living things die (whatever form nourishment may take<sup>3</sup>), and we can often see this, such as when a plant is unable to access water and, because of this, shrivels up/dies.
</p>
<p>
The second imperative - reproduction - is also shown by the mere fact that we can actually see the animals, and plants, that we are discussing. The only way that we can see a thing is if it were created, or produced. Because of this, everything came from something. So, the fact that we see a wolf probably means that it came about by reproduction. Yet, one could question whether or not human beings and other animals are quite so similar here. After all, human beings can decide not to reproduce - such as by abstinence, &#39;protection&#39;, or surgery - while (other) animals cannot.
</p>
<p>
Of course, this question is quite valid, as most questions are, but it brings in something which most animals do not have access to, mainly advanced rational and (advanced) socialization. We can compare this (the question) with one regarding war: human beings wage war on each other (other beings of it&#39;s own species) while animals do not. The fundamental part of this (waging war) is death and particularly the killing of one being by another, or by some group of others (however, this is somewhat perverted by the fact that one man can push a button resulting in the deaths of millions of peo?le). We can see group killing when, for example, we see a pack of wolves/canines attack some animal, typically within a herd. The point is that human beings are slightly more advanced then the other animals, just as monkeys/etcetera are more advanced then birds/etcetera, and therefore do things in a slightly different manner. Perhaps if the other animals knew how, they too would abstain from reproduction, and perhaps, had the planets the ability, they would gather up their seeds (such as acorns) and destroy them, and swat away any insects seeking nourishment from their flowers ...
</p>
<h4>Notes:</h4>
<p>
<a name="Note1" title="Note1"></a>1: Of course, I&#39;m neglecting here those human beings which are not biological, such as artificial intelligences, such as the popular example of <em>Star Trek</em>&#39;s Data. However, I&#39;m not interested in ethics here, nor in <em>Star Trek</em> (as I&#39;m not a fan), so I will leave the statement as I have written it, with this footnote to hopefully alleviate some displeasure.
</p>
<p>
<a name="Note2" title="Note2"></a>2: Especially of note is Ray Bradbury&#39;s short story <em>The Exiles</em> (which can be found in <em>The Illustrated Man</em>, amongst others).
</p>
<p>
<a name="Note3" title="Note3"></a>3: For example, nourishment could be water/liquids (as is the case with almost everything) or hard/soft food (such as with animals) or sunlight, and even air (or perhaps better, oxygen). If we continue with the idea of Ideas existing, in fact, we can also say that memory, or thought, is also a kind of nourishment.
</p>

