+++
title = "Brief thoughts on detached hands"
description = "Is my detached hand me?"
draft = false
comments = true
date = "2007-08-24T15:40:00-05:00"
slug = "Brief-thoughts-on-detached-hands"
blogengine = "42e7df1b-de6a-4fa5-907c-410c057aa82e"
categories = ["article", "philosophy"]
tags = []
+++

<h3>Question:</h3>
<p>
Is my detached hand me?
</p>
<p>
<em>Id est</em>, if someone were to cut my hand off and place it on a table, could one say that that hand is me (James Skemp)?
</p>
<h3>I reply:</h3>
<p>
A part of me, yes. But, so too is the rest of my, otherwise whole, body.
</p>
<p>
So, saying &quot;this is x,&quot; where &#39;this&#39; refers to a part of &#39;x,&#39; no matter what the part, is the same, in some sense, of saying that of any other part. After all, with only one hand, am I completely me?
</p>
<p>
There is a difference, of course. My detached hand is a smaller part of me and does not contain my consciousness - the part of me that knows me <em>as</em> me. (Of course, since the hand is no longer a part of me, but is now detached, I really have no knowledge of whether that detached hand has consciousness of itself, just as I have no <em>cogito sum</em> level of knowledge that others, like myself, have consciousness.)
</p>
<p>
Of course, even if we start hacking of more limbs and put them into a great pile, so long as I am conscious and can make others aware of my consciousness (I think specifically of speech here, but writing or perhaps even a system of blinks or nods would also suffice), even if there was, numerically, more of me in the limb pile then in the conscious pile, I could convince an outsider that the conscious part is &#39;James Skemp,&#39; the other pile being detached parts of me.
</p>
<p>
Going back to the me with only the detached arm, it&#39;s also possible that the part of me required to sustain consciousness, as well as the parts necessary to make that consciousness &#39;visible&#39; to others, could be the first to be detached. For example, if my head, spinal cord, lungs, and whatever else would be required to keep myself alive, were to be removed from the rest of my body (in pile C), and join the detached hand (in pile D), then I could also convince others that &#39;James Skemp&#39; moved from pile C to pile D, even though pile D (detached hand, head, spinal cord, etcetera) is less human like in appearance (in all probability; I&#39;ve never had the experience of determining what body parts one needs to keep the consciousness, and I could only truly know that were I to hack my own self ... for true <em>cogito sum</em> knowledge of consciousness).
</p>
<p>
Borrowing from science fiction (or speculative fiction), we could also imagine a case where, assuming that my brain is what &#39;produces&#39; consciousness, my brain were to be removed from my head and placed into a container that would keep said brain alive. Again, assuming that through neural/electronic/what-have-you impulses my brain normally moves my body in such a way to make others aware of my consciousness and that this container could similarly handle these impulses, producing a like effect (again, we&#39;ll focus primarily on speech here), if we were to place this container with my detached hand, and have someone compare my body, sans one hand, sans brain, (keeping the word &#39;pile,&#39;, we&#39;ll call this pile E) with the detached hand and container, with brain encased and my consciousness making itself known to that &#39;someone,&#39; (pile F), what might we expect?
</p>
<p>
Would it matter whether the container was see-through, versus opaque? That it was apparent that the brain had been removed from the head (of the body in pile E), versus no perceivable cuts or scarring? That the body was moving on its own, versus remaining still, versus eyes open, versus eyes shut (and positioned as if asleep)? That this was common (a la Ghost in the Shell), versus unknown or rare or perceived to be fictional? 
</p>
<p>
But, we&#39;ve primarily been talking about others determing which in the pile is &#39;me.&#39; What about &#39;me&#39; knowing &#39;me&#39;? 
</p>
<h3>My knowledge of &#39;me&#39;</h3>
<p>
Focusing on my knowledge of &#39;me,&#39; there are at least three parts.
</p>
<p>
There is me as physical; as a body in nature, effected by other bodily things, as well as my own mental activities.
</p>
<p>
There is me as mental; as a product of experience, or &#39;nuture&#39; (to take the traditional nature vs. nurture dichotomy), which is effected by both physical as well as conscious things.
</p>
<p>
There is me as consciousness; as conscious of my self and my experiences, which is effected by mental activities.
</p>
<p>
Id est, I would draw the relationship of these three &#39;me&#39;s as something like the following, where &quot;&lt;-&quot; (a left arrow) means that the thing to the right of this symbol can directly effect the thing to the left, while &quot;-&gt;&quot; (a right arrow) means that the thing to the left of this symbol can directly effect the thing to the right.
</p>
<blockquote>
	<p>
	physical &lt;--&gt; mental &lt;--&gt; consciousness&nbsp;
	</p>
</blockquote>
<p>
For me (me here meaning for my philosophy), there is no direct relationship between the physical and conscious aspects of &#39;me.&#39; Which is to say, the mental aspect of the self (&#39;me&#39;) is the most important aspect of the self (&#39;me&#39;), in that it is what enables my consciousness to both have an experience of, and an influence on, the physical &#39;realm.&#39;
</p>
<h3>Consciousness as a part of the mental?&nbsp;</h3>
<p>
On further reflection, it seems as though consciousness does not belong on the same level as the physical and mental.
</p>
<p>
When I see an object, for example, the screen before me, a physical object is perceived by another physical object, via physical means (the glow of the screen is picked up by my eyes). My eyes fire certain impulses which are picked up by my brain (we shall gloss over the specifics, for the specifics are for a realm other than the philosophy we do here). My mental aspect is then &#39;made aware&#39; of this activity, and I am either conscious, or unconscious, of that activity. In this case, it&#39;s the former, so my consciousness must handle this activity by determining what it is that I perceive with my eyes.
</p>
<p>
From this very simple overview, in no means complete, it seems that the mental is both consciousness as well as unconsciousness (which may later be &#39;perceived&#39; through the consciousness, as when I think back and realize that I did hear what was said to me), just as the physical is not only my skin but also the nerves and electronic impulses on those nerves.
</p>
<h3>Getting back to the piles ...</h3>
<p>
Moving back to our piles, as long as I&#39;m still conscious, I can always determine &#39;me,&#39; even if I can not physically perceive which pile I (my consciousness) is in. However, I may not always be able to determine which pile I am in, and not simply because I can not perceive the piles.
</p>
<p>
For example, let us imagine a room in which there are two piles; pile G contains a detached hand and a container, while pile H contains a body, sans hand. From what we can tell, the hand (in pile G) was once a part of the body (in pile H). Also, we know that body to be us.
</p>
<p>
We are told that we are in one of those piles. However, our brain, which is producing our mental state, and therefore our consciousness can only perceive what is visible to?a camera, stationed in this room. It is this camera that we see the room from. Our brain is receiving no other impulses, so it is equally likely that the brain producing consciousness is in the container as the body.
</p>
<p>
In which pile are we?
</p>
<p>
Clearly, cut off in this way from the physical, we can make no assessment. We could just as likely say that we are in the container, and be shown that the container is empty, as say that we are in the body, only to be shown that the body is without a brain.
</p>
<p>
At this, the brief thoughts on detached hands have grown into something rather larger, and, at this point, I can go no further.
</p>
<p>
(Based on thoughts August 13, 2007, while reading D.W. Smith&#39;s <em>Husserl</em>, but elaborated upon on August 24, 2007.) 
</p>

