+++
title = "Can Man and Society Exist Without Religion?"
description = "Paper regarding the question of whether man can live, and society can exist, without religion or mysticism."
draft = false
comments = true
date = "2002-11-27T02:01:00-06:00"
modified = "2009-10-06T14:03:09-05:00"
slug = "Can-Man-and-Society-Exist-Without-Religion"
blogengine = "9bfd73fe-df2f-43fd-9fd2-4059442ed90a"
categories = ["article", "philosophy"]
tags = []
+++

<p>
One of the most prevalent themes in the readings for this class has been religion, or mysticism, and its influence on and necessity for both man and society. The question that keeps arising is, however, can man and society live do without religion, or something similar? The modern man has more trust, for the most part, in science then he has in religion. However, what does this mean? First, I would like to take a look at what religion has done for man, in relation to the readings in general. Then, I would like to look at whether religion could be set aside, because science has fulfilled the role of religion. In other words, the question of whether society and man can live without religion will be the main focus.
</p>
<p>
Our first reading, Mary Shelley&#39;s <em>Frankenstein</em>, was about a man, Victor Frankenstein, who overcame nature by creating a living being with the help of science. The religion of Victor&#39;s time held that it is God who created man, and it is only God that can create man. Therefore, in this novel we see the defeat of nature, and thus religion, by the hands of man and his science.
</p>
<p>
However, the story does not end with the being&#39;s creation. Victor finds himself disturbed by what he has created, and shuns it from his life. However, it later finds him and those that he loves, and ends up taking the lives of all those related to Victor, as well as it&#39;s own life. In this way, one could argue that nature has set itself right, as anything unnatural only brings about it&#39;s own destruction. One could also argue that science cannot create anything as perfect to, that will last as long as, nature.
</p>
<p>
Our second reading was Mark Twain&#39;s <em>A Connecticut Yankee in King Arthur&#39;s Court</em>. This novel was about a modern man, a scientific man, traveling back to the time of knights, a world that was medieval and relied upon religion and mysticism. The main theme of this novel is whether science can give to the world something that religion cannot.
</p>
<p>
After traveling back, it is true that our main character creates a better place. He brings many advancements to the area, such as knowledge about the world and how it works. In this way, he attempts to dispel many of the &#39;unknowns&#39; in the world, and because of that, the reliance upon magic and the supernatural. However, even though he is able to dispel many of the previous, unscientific, beliefs, many remain. There is still much that science has not provided the answers to, as well as the fact that science does not make the medieval world a better place. Near the end, our main character uses scientific knowledge to bring about the unnatural deaths of many people. Not only that, but magic is able to put our main character to sleep, for many lifetimes, so that he can spread no more &#39;progress.&#39;
</p>
<p>
We see then that even this novel attempts to show that science doesn&#39;t have all the answers. Science just attempts to take the place of religion, by explaining the previously unexplained. However, <em>A Connecticut Yankee in King Arthur&#39;s Court</em> doesn&#39;t show religion as the answer either, as religion attempts to belittle anything that challenges it, even if it may be the truth. So, it could be inferred that Twain argues that neither science nor religion could provide the best solutions for how to live our lives, at present.
</p>
<p>
Dostoevsky&#39;s <em>Notes from Underground</em>, our third reading, is about a character who believes that men are either mice, like himself, or bulls, like those that he despises. This is more of a novel against progress, or at least against the alienation of human beings from each other, then one about science and religion specifically. However, religion, perhaps more so mysticism, is typically more individual based then science is. Religion is something that people can look to for answers, answers which are oftentimes congruent with their intuitions and beliefs than the discoveries of science. Science strives towards the truth, and doesn&#39;t care so much what it means to previously held beliefs.
</p>
<p>
For example, science begins to learn more about human beings, and why they act the way that they do. Also, science attempts to show why there is no God who watches over everyone and helps them out when they are in trouble. Religion, then, has this benefit, as it gives a certain amount of confidence to people. If someone believes that somebody is watching out for them, then they will believe that they have a purpose. Also, religion strives towards community, as people with similar beliefs are drawn to each other. Individuals must try to form together in order to overcome obstacles that they face, while science does not stress this quite as much.
</p>
<p>
We see how religion brings about a sense of community, more, in Harris&#39; <em>Lourdes</em>, which was the fourth book that we read in this class. Harris discusses the religious phenomena of Lourdes, in order to get some idea into why it attracted people as it did. Lourdes is about the effect that religion can have on people. Reading it, one might believe, as many do, that it was merely hysteria that led the pilgrims to go to Lourdes, to act the way that they did, and to believe what they did. It is apparent, then, as it has been in the other readings, that religion is a powerful force, that is able to move people in mysterious ways.
</p>
<p>
However, religion is not completely good. The conditions - the filth - that many of the people resided in, along with the misuse of the situation by those in power, combined to give religion a somewhat negative taint at Lourdes. Those enjoying the healing properties of Lourdes go against what modern science has told them to do - namely to stay away from unclean water and places to disease.
</p>
<p>
From our readings, it is clear that the ongoing conflict between the roles of science and religion in society is a difficult one to solve. Both science and religion have positive and negative attributes, as is seen from our readings. I think that the conclusion to draw from this must be that science has not replaced religion for mankind; they both exist, often in contradiction to each other. Only time will tell whether further scientific advancements will hold in them the comfort that religion has offered mankind for years.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> November 27th 2002<br />
<strong>Modified:</strong> February 13th 2004; October 17th 2004<br />
See also my papers tiled: <em>Dostoevsky&rsquo;s Underground Man as the Creation of Society</em>; <em>The Increase of the Power of Man and Science as the Main Theme of the Nineteenth Century</em>; <em>Man&rsquo;s Quest for Dominance over Nature within Frankenstein</em>.
</p>

