+++
title = "Can One Find a Philosopher in Nietzsche?"
description = "Paper on whether Nietzsche is a philosopher."
draft = false
comments = true
date = "2003-12-08T00:01:00-06:00"
slug = "Can-One-Find-a-Philosopher-in-Nietzsche"
blogengine = "e9a677a0-08ce-4e36-8bd9-d5dc83ef3803"
categories = ["article", "philosophy"]
tags = []
+++

<p>
As with the 19th century figure Kierkegaard, one could quite easily ask whether the 19th century writer Nietzsche is a philosopher. After all, if we compare their writings to the writings of such 19th century philosophers as Hegel and Schopenhauer, we are confronted with quite a difference. Yet, basing our decision of whether someone is a philosopher on the format of their writings is, I believe, flawed. Rather, one should base their decision of whether someone is a philosopher on the <em>content</em> of the writings. For this paper, I will be doing exactly this: I will be looking at the content of Nietzsche&#39;s writings in order to show that he is doing philosophy, and is therefore a philosopher.
</p>
<!--more-->
<p>
The definition of &#39;philosophy&#39; - which is what a &#39;philosopher&#39; does - is extremely fluid, as no one definition fits every aspect of it. One dictionary that I perused had eight, slightly different, definitions for philosophy. Philosophy certainly has to deal with the &quot;love and pursuit of wisdom by intellectual means&quot;, as well as with the &quot;investigation of the nature, causes, or principles of reality, knowledge, or values&quot;. [1] It is also &quot;a system of thought based on or involving such inquiry&quot; as stated above, as well as &quot;a system of values by which one lives&quot;. [1] According to this same source, a philosopher is &quot;a person who lives and thinks according to a particular philosophy&quot;. [1]<!--adsense-->
</p>
<p>
While any of the above really work, the above mentioned definition of a philosopher is far too broad, since following this would imply that anyone who has a system, of beliefs in any kind, that they follow would be a philosopher. So, even though I believe that this is the case, let&#39;s instead define a philosopher as one who goes about actively working on their own philosophy. That is, instead of following someone else&#39;s philosophy passively, a philosopher actively attempts to make a philosophy their own. A philosophy, based on the above definitions, is here defined as a system of thoughts, based on reason and/or experience, that attempts to explain some feature(s)/part(s) of existence. So, in order to Nietzsche to be a philosopher, according to my definitions, Nietzsche must have a system of thoughts or ideas which attempt to explain some feature of reality.
</p>
<p>
Even if we ignore the subtitle of <em>Beyond Good and Evil</em> (which is &#39;Prelude to a Philosophy of the Future&#39;) we can find numerous references to philosophical thought, showing that Nietzsche was at least aware of philosophy. Within <em>Beyond Good and Evil</em>&#39;s Preface we find one statement - &quot;perspective, the basic condition of all life&quot; - which seems to explain some feature of reality, namely that all life has a perspective, and which shows that Nietzsche also had some knowledge of a philosophy or two. Yet these two facts are not enough to make Nietzsche a philosopher. [2: 193] Rather, we need to look further into his work to see what he does with the little that he has told us.
</p>
<p>
In the first part of this work, titled &#39;On the Prejudices of Philosophers&#39;, Nietzsche starts by throwing his lot in with the philosophers. &quot;The will to truth which will still tempt us to many a venture, that famous truthfulness of which all philosophers so far have spoken with respect - what questions has this will to truth not laid before us! What strange, wicked, questionable questions!&quot; [2: 199] Nietzsche here seems to suggest that philosophers search out the truth, and that, since he is one of them, that he too is searching for the truth. Yet, unlike other philosophers, we find soon thereafter that he would like to start further back then most philosophers: Nietzsche wants to start explaining why truth is of any worth - why truths are more valuable than lies. Of course, it&#39;s important to note that by we could say that what Nietzsche is doing is seeking the truth about why truths are more valuable than lies, which is not the same as seeking lies regarding this (which any author of fiction could do).
</p>
<p>
For this very reason, while Nietzsche claims that &quot;every great philosophy so far has been ... the personal confession of its author&quot; he too falls under this. [2: 203] The very fact that he is writing a book on a specific topic shows that he finds that topic to be of interest. It&#39;s quite true that each philosopher (and each writer in fact) has a bias, but, by saying that Nietzsche tells us that he himself has a bias. He may claim that each philosophy has a certain intent until he is red in the face, but only if he realizes that by saying this he himself must consider that he too lies under this saying.
</p>
<p>
Later on he states, I think, the basis of the philosophy that he would like to lay down. The basic principle is that we ought to question why we believe the &#39;common sense&#39; things that we believe in. One of these &#39;common sense&#39; ideas is the principle that some things are good and some things are bad. Drawing, perhaps, from an Eastern viewpoint, we see that it is quite possible that &#39;good&#39; and &#39;bad&#39; are simply perspectives on things - properties given to the things externally, rather then properties which the things have in their own being - and that there is no &#39;good&#39; or &#39;bad&#39;, rather only things that are.
</p>
<p>
Therefore, instead of simply following a philosophy, we ought to live how we want to live, and how experience has shown us to live. Perhaps this last bit is a bit of a leap, but perhaps not. After all, experience, I think Nietzsche would say, has shown us that we are - that we live. We should not, then, go against what we are (living, striving beings), but rather embrace it and act with it. This also agrees with his principle of questioning everything, for any principle is binding/enslaving and goes against our property of being free and full of action.
</p>
<p>
Yet, the fact of the matter is, as I stated above, that by stating that we ought to free ourselves of all principles, Nietzsche himself has trapped us, just like every other philosopher. After all, by stating that we should take up the principle of throwing aside all principles, he has left us with the choice of saying that we will do this or we will not. If we do as he says, then we have taken up a principle, namely the one that he states. On the other hand, if we do not go with what he says, then we are in fact doing what he says, but in a limited form (because, after all, we can still find another principle to follow, which would be contrary to his principle&#39;s meaning, but also contrary to his principle as a principle).
</p>
<p>
But, the basic question, of whether Nietzsche is a philosopher, as defined above, is pretty clear. It seems as though Nietzsche is in fact doing philosophy, since he is not only saying how the world is, but also how we ought to act (live) within this world. Even if we rely upon Nietzsche&#39;s definitions of philosophy and philosopher, we see that he is a philosopher, since his readings are full of his own perspectives regarding how things are, and what we ought to value (even if he suggests that we value everything equally or value everything as having no value).
</p>
<h4>Bibliography:</h4>
<p>
1. <a href="http://dictionary.reference.com/search?q=philosophy" onclick="window.open(this.href);return false;">http://dictionary.reference.com/search?q=philosophy</a> and <a href="http://dictionary.reference.com/search?q=philosopher" onclick="window.open(this.href);return false;">http://dictionary.reference.com/search?q=philosopher</a> (Checked December 7th 2003)
</p>
<p>
2. Friedrich Nietzsche, Walter Kaufmann (Translator/Editor), <em>Basic Writings of Nietzsche</em>, The Modern Library, 2000.
</p>
<h4>You may also want to view the following resources:</h4>
<ul>
	<li><a href="http://strivinglife.net/articles/abriefdiscussion19th.shtml">A Brief Discussion Amongst 19th Century Thinkers</a></li>
	<li><a href="http://strivinglife.net/articles/hegelplatodialectic.shtml">Hegel and Plato&#39;s Principle of Activation: The Dialectic</a></li>
	<li><a href="http://strivinglife.net/articles/kierkegaardsmethod.shtml">Kierkegaard&#39;s Method for Filling his Pieces with Content</a></li>
	<li><a href="http://strivinglife.net/articles/nietzschebgepart1.shtml">Overview of Friedrich Nietzsche&#39;s Beyond Good and Evil: Part I: On the Prejudices of Philosophers</a></li>
	<li><a href="http://strivinglife.net/articles/schopenhauersrelationship.shtml">Schopenhauer&#39;s Relationship with Aesthetic Contemplation and Asceticism</a></li>
</ul>
<p>
<strong>Created:</strong> December 7th-8th 2003<br />
<strong>Modified:</strong> December 15th 2003; February 5th 2005
</p>

