+++
title = "Can we blame hosts for their poor HTML editors?"
description = "A short article on HTML editors provided by Web site hosts."
draft = false
comments = true
date = "2005-04-30T00:00:00-05:00"
modified = "2007-08-11T18:46:43-05:00"
slug = "Can-we-blame-hosts-for-their-poor-HTML-editors"
blogengine = "5765eaf9-8d23-440f-87a8-180b18951ff1"
categories = ["article", "software", "Internet"]
tags = ["html", "wysiwyg"]
+++

<div class="WPArticleInfo">
<p>
Description: A short article on HTML editors provided by Web site hosts.
</p>
<p>
Created: April 30th 2005
</p>
<p>
Modified: n/a
</p>
<p>
Notes: The full posting can be found at http://www.cameraontheroad.com/?p=429.
</p>
</div>
<!--more-->
<p>
Doing some research on the Internet regarding WordPress and iPowerWeb, I ran into a post that one Lorelle VanFossen had written.  In this piece, she gives a letter/email that she had written to iPowerWeb, a Web site provider, regarding their poor HTML editor.  In addition, she also states that iPowerWeb should enforce some level of standard compliance upon Web site creators that are using their HTML editor.
</p>
<p>
I felt that while her warning was appropriate, it should be taken with a grain of salt.  While it is true that most Web-based HTML editors work extremely poorly, especially those provided by hosts, most professionals, by which I mean non-amateurs, don&#39;t use such editors.  In response to her posting, I posted the following comment (some typographical and grammatical mistakes have been fixed).
</p>
<blockquote>
	<p>
	I have to disagree (and I apologize if this post of yours is quite old).  One should not judge a web site *host* on the basis of its HTML editor.
	</p>
	<p>
	Most people, for good reason, don&#39;t look at the HTML editor a host uses on their admin side.
	</p>
	<p>
	Is this an oversight?
	</p>
	<p>
	Hardly.  HTML editors provided by hosts are notoriously bad.  Its space and bandwidth that people are concerned about, and rightly so.  Most people that are serious about Web sites don&#39;t use the editor that hosts provide them - why when you&#39;ve got Dreamweaver, FrontPage, ...?
	</p>
	<p>
	If you know you&#39;re going to be away, but will need to update code, try something like the following:
	</p>
	<p>
	1) Save the file as txt and upload to your server.  Need to make a modification?  Download the file (as txt), make the necessary modifications on the computer you are using, save, and then rename to .html.  Upload the HTML version via your admin interface (or Windows explorer if you&#39;re setup to handle this).  Then rename to .txt and upload your new plaintext doc.  Then delete off of the computer you&#39;re using, unless you&#39;ll be using the same computer to modify code again.
	</p>
	<p>
	2) Email yourself the HTML doc as an attachment.  I&#39;ve long done this with papers, and doing it with HTML docs is no different.  After all, if you can enter your site admin chances are you can also check your email.
	</p>
	<p>
	Those are just two suggestions to get around your situation from occurring.  These have worked for me in a variety of situations, and I&#39;m sure they can work for you, and anyone who stumbles upon this post via search like I did, as well :)
	</p>
</blockquote>
<p>
I completely stand behind these comments.  From my own experience, those who rely upon host provided HTML editors either have to or are just beginning with the Internet, or have been using the HTML editor for so long that they can&#39;t work without it.
</p>
<!--adsense-->
<p>
Those who really care about their code either use a local, versus a Web-based, application to create their HTML.  For some, this means WYSIWYG applications such as FrontPage or Dreamweaver, while for others this means a text editor such as Notepad, WordPad, HTML-Kit, or a slew of other, non-WYSIWYG focused, programs.
</p>
<p>
There are indeed cases where, however, a hosts HTML editor would be necessary.  For example, if an individual uses a WYSIWYG editor to generate their pages, yet is on a computer that does not have that WYSIWYG editor, they may have to use the host&#39;s editor (for perhaps their HTML knowledge is lacking).
</p>
<p>
Yet, I don&#39;t believe that such an individual would really care about standards, unless they programmatically cleaned up their normal WYSIWYG&#39;s code, for WYSIWYG programs are notorious for inserting unnecessary code that messes with almost every W3C standard.  Therefore, if someone uses a WYSIWYG, chances are they don&#39;t look at their code all that often anyways.  Of course, there are exceptions.  Yet, I would still argue that one of these exceptions would know enough to not use a host&#39;s editor.
</p>
<p>
But perhaps I don&#39;t hold hosts to the standards that I should.  Perhaps they should develop HTML editors that don&#39;t mess with people&#39;s code.  Unfortunately, I have had the experience of using such HTML editors that don&#39;t mess with people&#39;s code, as they use a plaintext form to hold the data.  For the vast majority of Web-based HTML editors, however, plaintext forms are going to be of little assistance - they need the WYSIWYG in order to generate their code, and couldn&#39;t care any less about the code itself.
</p>
<p>
So I suppose I&#39;m trying to say that current host HTML editors serve a purpose, for a niche of individuals.  For those who aren&#39;t in that niche, HTML editors serve little purpose at all, and are not something that gets an individual to choose one host over another.  In fact, I&#39;d be extremely interested in a host that actually has information regarding their Web-based HTML editor.  For the number of years that I&#39;ve been online, and the number of sites that I&#39;ve checked out, I&#39;ve seen not a single reference to the HTML editor that the host uses.  After all, aren&#39;t they pretty much all the same?  Are there really that many people posting to boards saying that x&#39;s HTML editor sucks compared to their old host y?
</p>

