+++
title = "Can Wisconsin Pick a Presidential Candidate, or What?"
description = "A look at the Presidential picks of Wisconsin, from 1900 to 2004, specifically those from the Democratic and Republican parties."
draft = false
comments = true
date = "2005-01-08T00:01:00-06:00"
slug = "Can-Wisconsin-Pick-a-Presidential-Candidate-or-What"
blogengine = "af77e1d8-b4d7-4872-9ab7-479b8b2d07b4"
categories = ["article", "political"]
tags = []
+++

<p>
After the 2004 election, where Bush won by allowing the American public to live their lives in fear (see my own <em>On the Saying &ldquo;Terrorists Will Put Bush in Office&rdquo;</em>), I decided to look at the voting record of Wisconsin, whether they could pick a President, or not.
</p>
<!--more-->
<p>
Since I&rsquo;m not a political science major, I can make no claim regarding whether their choices were particularly good. Rather, I can only look at what party and candidate Wisconsin voted for, and what candidate was elected by the United States as a whole. While I could do this for Wisconsin&rsquo;s entire history, I decided to look simply at the last one hundred years, or so.<!--adsense-->
</p>
<p>
I have not put in this table what independents were voted for, save the one case where an independent won the popular vote in Wisconsin. Instead, as stated above, I&rsquo;ve stuck with Democrats and Republicans.
</p>
<p>
The information has been taken from Dave Leip&#39;s Atlas of U.S. Presidential Elections at <a rel="nofollow" href="http://www.uselectionatlas.org/USPRESIDENT/" onclick="window.open(this.href);return false;">http://www.uselectionatlas.org/USPRESIDENT/</a>, which happens to be an excellent resource for all things election, by the way.
</p>
<p>
Please note that in 1924 Wisconsin gave the majority vote to Robert LaFollette, with 453,678 votes.
</p>
<p>
In this table, cells that are yellow contain the name of the winner of Wisconsin. So, in 2004, Wisconsin gave the popular vote to John F. Kerry. Those cells that are grey contain the name of the winner of Wisconsin and of the United States. So, in 1996, Wisconsin gave the popular vote to William J. Clinton, and Clinton became the President for that term.
</p>
<p>
Of the 27 elections mentioned in this table, Wisconsin gave its votes to the winner of 20 of those elections. Interestingly enough, this is equal to picking the correct President 74.0<span style="text-decoration: overline">740</span>% of the time.
</p>
<table border="1" cellspacing="0" cellpadding="3" align="center" summary="Presidents from 1900 to the present, along with Wisconsin's choice." style="width: 100%">
	<tbody>
		<tr>
			<td>
			<p>
			<strong>Year</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Democratic</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Republican</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Difference</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Total</strong>
			</p>
			</td>
			<td width="50">
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			<strong>Democrat&#39;s name</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Republican&#39;s name</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Winner (Country)</strong>
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			2004
			</p>
			</td>
			<td>
			<p align="right">
			1,488,935
			</p>
			</td>
			<td>
			<p align="right">
			1,477,122
			</p>
			</td>
			<td>
			<p align="right">
			11,813
			</p>
			</td>
			<td>
			<p align="right">
			2,966,057
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			John F. Kerry
			</p>
			</td>
			<td>
			<p>
			George W. Bush
			</p>
			</td>
			<td>
			<p>
			George W. Bush
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			2000
			</p>
			</td>
			<td>
			<p align="right">
			1,242,987
			</p>
			</td>
			<td>
			<p align="right">
			1,237,279
			</p>
			</td>
			<td>
			<p align="right">
			5,708
			</p>
			</td>
			<td>
			<p align="right">
			2,480,266
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Albert A. Gore
			</p>
			</td>
			<td>
			<p>
			George W. Bush
			</p>
			</td>
			<td>
			<p>
			George W. Bush
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1996
			</p>
			</td>
			<td>
			<p align="right">
			1,071,971
			</p>
			</td>
			<td>
			<p align="right">
			845,029
			</p>
			</td>
			<td>
			<p align="right">
			226,942
			</p>
			</td>
			<td>
			<p align="right">
			1,917,000
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			William J. Clinton
			</p>
			</td>
			<td>
			<p>
			Robert J. Dole
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			William J. Clinton
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1992
			</p>
			</td>
			<td>
			<p align="right">
			1,041,066
			</p>
			</td>
			<td>
			<p align="right">
			930,855
			</p>
			</td>
			<td>
			<p align="right">
			110,211
			</p>
			</td>
			<td>
			<p align="right">
			1,971,921
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			William J. Clinton
			</p>
			</td>
			<td>
			<p>
			George H. Bush
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			William J. Clinton
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1988
			</p>
			</td>
			<td>
			<p align="right">
			1,126,794
			</p>
			</td>
			<td>
			<p align="right">
			1,047,499
			</p>
			</td>
			<td>
			<p align="right">
			79,295
			</p>
			</td>
			<td>
			<p align="right">
			2,174,293
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Michael S. Dukakis
			</p>
			</td>
			<td>
			<p>
			George H. Bush
			</p>
			</td>
			<td>
			<p>
			George H. Bush
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1984
			</p>
			</td>
			<td>
			<p align="right">
			995,847
			</p>
			</td>
			<td>
			<p align="right">
			1,198,800
			</p>
			</td>
			<td>
			<p align="right">
			202,953
			</p>
			</td>
			<td>
			<p align="right">
			2,194,647
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Walter F. Mondale
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Ronald Reagan
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Ronald Reagan
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1980
			</p>
			</td>
			<td>
			<p align="right">
			981,584
			</p>
			</td>
			<td>
			<p align="right">
			1,088,845
			</p>
			</td>
			<td>
			<p align="right">
			107,261
			</p>
			</td>
			<td>
			<p align="right">
			2,070,429
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Jimmy Carter
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Ronald Reagan
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Ronald Reagan
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1976
			</p>
			</td>
			<td>
			<p align="right">
			1,040,232
			</p>
			</td>
			<td>
			<p align="right">
			1,004,987
			</p>
			</td>
			<td>
			<p align="right">
			35,245
			</p>
			</td>
			<td>
			<p align="right">
			2,045,219
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Jimmy Carter
			</p>
			</td>
			<td>
			<p>
			Gerald R. Ford
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Jimmy Carter
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1972
			</p>
			</td>
			<td>
			<p align="right">
			810,174
			</p>
			</td>
			<td>
			<p align="right">
			989,430
			</p>
			</td>
			<td>
			<p align="right">
			179,256
			</p>
			</td>
			<td>
			<p align="right">
			1,799,604
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			George McGovern
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Richard M. Nixon
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Richard M. Nixon
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1968
			</p>
			</td>
			<td>
			<p align="right">
			748,804
			</p>
			</td>
			<td>
			<p align="right">
			809,997
			</p>
			</td>
			<td>
			<p align="right">
			61,193
			</p>
			</td>
			<td>
			<p align="right">
			1,558,801
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Hubert H. Humphrey
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Richard M. Nixon
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Richard M. Nixon
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1964
			</p>
			</td>
			<td>
			<p align="right">
			1,050,424
			</p>
			</td>
			<td>
			<p align="right">
			638,495
			</p>
			</td>
			<td>
			<p align="right">
			411,929
			</p>
			</td>
			<td>
			<p align="right">
			1,688,919
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Lyndom B. Johnson
			</p>
			</td>
			<td>
			<p>
			Barry M. Goldwater
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Lyndom B. Johnson
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1960
			</p>
			</td>
			<td>
			<p align="right">
			830,805
			</p>
			</td>
			<td>
			<p align="right">
			895,175
			</p>
			</td>
			<td>
			<p align="right">
			64,370
			</p>
			</td>
			<td>
			<p align="right">
			1,725,980
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			John F. Kennedy
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Richard M. Nixon
			</p>
			</td>
			<td>
			<p>
			John F. Kennedy
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1956
			</p>
			</td>
			<td>
			<p align="right">
			586,768
			</p>
			</td>
			<td>
			<p align="right">
			954,844
			</p>
			</td>
			<td>
			<p align="right">
			368,076
			</p>
			</td>
			<td>
			<p align="right">
			1,541,612
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Adlai E. Stevenson
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Dwight D. Eisenhower
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Dwight D. Eisenhower
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1952
			</p>
			</td>
			<td>
			<p align="right">
			622,175
			</p>
			</td>
			<td>
			<p align="right">
			979,744
			</p>
			</td>
			<td>
			<p align="right">
			357,569
			</p>
			</td>
			<td>
			<p align="right">
			1,601,919
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Adlai E. Stevenson
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Dwight D. Eisenhower
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Dwight D. Eisenhower
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1948
			</p>
			</td>
			<td>
			<p align="right">
			647,310
			</p>
			</td>
			<td>
			<p align="right">
			590,959
			</p>
			</td>
			<td>
			<p align="right">
			56,351
			</p>
			</td>
			<td>
			<p align="right">
			1,238,269
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Harry S. Truman
			</p>
			</td>
			<td>
			<p>
			Thomas E. Dewey
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Harry S. Truman
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1944
			</p>
			</td>
			<td>
			<p align="right">
			650,413
			</p>
			</td>
			<td>
			<p align="right">
			674,532
			</p>
			</td>
			<td>
			<p align="right">
			24,119
			</p>
			</td>
			<td>
			<p align="right">
			1,324,945
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Thomas E. Dewey
			</p>
			</td>
			<td>
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1940
			</p>
			</td>
			<td>
			<p align="right">
			704,821
			</p>
			</td>
			<td>
			<p align="right">
			679,206
			</p>
			</td>
			<td>
			<p align="right">
			25,615
			</p>
			</td>
			<td>
			<p align="right">
			1,384,027
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
			<td>
			<p>
			Wendell L. Willkie
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1936
			</p>
			</td>
			<td>
			<p align="right">
			802,984
			</p>
			</td>
			<td>
			<p align="right">
			380,828
			</p>
			</td>
			<td>
			<p align="right">
			422,156
			</p>
			</td>
			<td>
			<p align="right">
			1,183,812
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
			<td>
			<p>
			Alfred M. Landon
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1932
			</p>
			</td>
			<td>
			<p align="right">
			707,410
			</p>
			</td>
			<td>
			<p align="right">
			347,741
			</p>
			</td>
			<td>
			<p align="right">
			359,669
			</p>
			</td>
			<td>
			<p align="right">
			1,055,151
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
			<td>
			<p>
			Herbert Hoover
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Franklin D. Roosevelt
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1928
			</p>
			</td>
			<td>
			<p align="right">
			450,259
			</p>
			</td>
			<td>
			<p align="right">
			544,205
			</p>
			</td>
			<td>
			<p align="right">
			93,946
			</p>
			</td>
			<td>
			<p align="right">
			994,464
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Alfred E. Smith
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Herbert Hoover
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Herbert Hoover
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1924
			</p>
			</td>
			<td>
			<p align="right">
			68,115
			</p>
			</td>
			<td>
			<p align="right">
			311,614
			</p>
			</td>
			<td>
			<p align="right">
			243,499
			</p>
			</td>
			<td>
			<p align="right">
			379,729
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			John W. Davis
			</p>
			</td>
			<td>
			<p>
			Calvin Coolidge
			</p>
			</td>
			<td>
			<p>
			Calvin Coolidge
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1920
			</p>
			</td>
			<td>
			<p align="right">
			113,422
			</p>
			</td>
			<td>
			<p align="right">
			498,576
			</p>
			</td>
			<td>
			<p align="right">
			385,154
			</p>
			</td>
			<td>
			<p align="right">
			611,998
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			James M. Cox
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Warren Harding
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Warren Harding
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1916
			</p>
			</td>
			<td>
			<p align="right">
			191,363
			</p>
			</td>
			<td>
			<p align="right">
			220,822
			</p>
			</td>
			<td>
			<p align="right">
			29,459
			</p>
			</td>
			<td>
			<p align="right">
			412,185
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Woodrow Wilson
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Charles E. Hughes
			</p>
			</td>
			<td>
			<p>
			Woodrow Wilson
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1912
			</p>
			</td>
			<td>
			<p align="right">
			164,230
			</p>
			</td>
			<td>
			<p align="right">
			130,596
			</p>
			</td>
			<td>
			<p align="right">
			33,634
			</p>
			</td>
			<td>
			<p align="right">
			294,826
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Woodrow Wilson
			</p>
			</td>
			<td>
			<p>
			William H. Taft
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Woodrow Wilson
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1908
			</p>
			</td>
			<td>
			<p align="right">
			166,662
			</p>
			</td>
			<td>
			<p align="right">
			247,747
			</p>
			</td>
			<td>
			<p align="right">
			81,085
			</p>
			</td>
			<td>
			<p align="right">
			414,409
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			William J. Bryan
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			William H. Taft
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			William H. Taft
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1904
			</p>
			</td>
			<td>
			<p align="right">
			124,205
			</p>
			</td>
			<td>
			<p align="right">
			280,315
			</p>
			</td>
			<td>
			<p align="right">
			156,110
			</p>
			</td>
			<td>
			<p align="right">
			404,520
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			Alton B. Parker
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			Theodore Roosevelt
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			Theodore Roosevelt
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p align="right">
			1900
			</p>
			</td>
			<td>
			<p align="right">
			159,163
			</p>
			</td>
			<td>
			<p align="right">
			265,760
			</p>
			</td>
			<td>
			<p align="right">
			106,597
			</p>
			</td>
			<td>
			<p align="right">
			424,923
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			William J. Bryan
			</p>
			</td>
			<td style="background-color: #ffff00">
			<p>
			William McKinley
			</p>
			</td>
			<td style="background-color: #cccccc">
			<p>
			William McKinley
			</p>
			</td>
		</tr>
		<tr>
			<td>
			<p>
			<strong>Year</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Democratic</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Republican</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Difference</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Total</strong>
			</p>
			</td>
			<td>
			<p>
			&nbsp;
			</p>
			</td>
			<td>
			<p>
			<strong>Democrat&#39;s name</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Republican&#39;s name</strong>
			</p>
			</td>
			<td>
			<p>
			<strong>Winner (Country)</strong>
			</p>
			</td>
		</tr>
	</tbody>
</table>
<p>
Supplemental data: <a rel="attachment" href="http://strivinglife.com/files/2006/08/wipresidentelect.xls" title="Wisconsin's Presidential Voting Record: 1900 - 2004">Wisconsin&#39;s Presidential Voting Record: 1900 - 2004</a> (Excel document)
</p>
<p>
Updated February 5, 2005
</p>

