+++
title = "Confucian View on Conflict and the Ruler"
description = "Paper on the Confucian view of conflict and the ruler."
draft = false
comments = true
date = "2002-04-22T01:01:00-05:00"
modified = "2009-03-13T21:02:25-05:00"
slug = "Confucian-View-on-Conflict-and-the-Ruler"
blogengine = "359066b3-6dcb-42aa-bbb9-12e1d8a5aff0"
categories = ["article", "philosophy", "political"]
tags = []
+++

<p>
For this paper, I would like to focus on the topic of conflict and the ruler from the view of Confucianism.&nbsp;Specifically, I would like to look on how a ruler should operate, and under what conditions conflict, or war, should occur.&nbsp;By looking at the Analects, the Book of Mencius, the Doctrine of the Mean, and the Great Learning, I hope to gain some insight into the relationship between these two subjects. 
</p>
<p>
First, however, I think it would be best to look at conflict in current times, so as to have something to specifically look at in relation to the works.&nbsp;Looking solely at conflict between individuals, it seems as though conflict happens daily. When there is a lack of goods to go around, and even when there is plenty, it seems as though conflict is bound to occur.&nbsp;The two main &lsquo;goods&rsquo; that seem to be fought over are land and money.&nbsp;Often times it seems as though leaders urge their followers into conflict in order to expand their land and gain more money.&nbsp;How would a Confucian view this idea?&nbsp;Would we see an &lsquo;us and them&rsquo; policy, or would we see a stance against this view? 
</p>
<p>
The introductory material points out that Confucius&rsquo; &ldquo;primary concern was a good society based on good government and harmonious human relations.&nbsp;To this end he advocated a good government that rules by virtue and moral example rather than by punishment or force.&rdquo;&nbsp;(Chan, 15)&nbsp;From this then, we could hazard to believe that Confucius is going to be against unnecessary conflict.&nbsp;Here then is part of the answer to the question that I am seeking for this paper.&nbsp;However, this is merely a vague look into what should be revealed in the four books that make up the Confucian Classics. 
</p>
<p>
The Analects deals primarily with the idea of the &lsquo;superior man&rsquo;.&nbsp;It would seem to most that if anyone should be a superior man, it should be the ruler.&nbsp;Therefore, talk of the superior man and conflict should aid us in our search.
</p>
<p>
1:16 tells us &ldquo;[A good man] does not worry about not being known by others but rather worries about not knowing them.&rdquo;&nbsp;(Chan, 22)&nbsp;In relation to the ruler, we can see this as meaning that a good ruler does not need to strive to be known.&nbsp;Trying to be known for your deeds and not looking at other&rsquo;s deeds will bring you no benefit.
</p>
<p>
2:1 states, &ldquo;A ruler who governs his state by virtue is like the north polar star, which remains in its place while all the other stars revolve around it.&rdquo;&nbsp;(Chan, 22)&nbsp;Later in 2:3 we see more advice for a ruler: &ldquo;Lead the people with governmental measures and regulate them by law and punishment, and they will avoid wrong-doing but will have no sense of honor and shame.&nbsp;Lead them with virtue and regulate them by the rules of propriety, and they will have a sense of shame and, moreover, set themselves right.&rdquo;&nbsp;(Chan, 22)&nbsp;From these two statements, we can learn quite a bit.&nbsp;Punishment, and trying to make one&rsquo;s laws stand, is not necessary if the ruler governs with virtue.&nbsp;Not only would his people follow him, but neighboring countries would as well.
</p>
<p>
4:5 is in important passage that states, &ldquo;Wealth and honor are what every man desires.&nbsp;But if they have been obtained in violation of moral principles, they must not be kept &hellip; If a superior man departs from humanity, how can he fulfill that name?&hellip;&rdquo;&nbsp;(Chan, 26)&nbsp;We see in this passage a reiteration of what I stated before.&nbsp;Wealth, in land and property, and honor are what drive men.&nbsp;If one violates humanity in obtaining these goods, then one cannot be called a superior man.&nbsp;A good ruler then would not violate man in order to obtain wealth.&nbsp;Doing so would only bring about people who opposed him, as pointed out in 4:12 &ndash; &ldquo;If one&rsquo;s acts are motivated by profit, he will have many enemies&rdquo; (Chan, 27).
</p>
<p>
5:11, which points out the &lsquo;Silver Rule&rsquo;, states, &ldquo;What I do not want others to do to me, I do not want to do to them&rdquo; (Chan, 28).&nbsp;This goes along with the idea that a ruler should rule as he would want to be ruled and not act towards others how we would not want them to act towards them.&nbsp;That is, a ruler should not attack a neighboring civilization, unless he wants them to attack him and his people.
</p>
<p>
6:28 &ndash; &ldquo;A man of humanity, wishing to establish his own character, also establishes the character of others, and wishing to be prominent himself, also helps others to be prominent&rdquo; (Chan, 31) &ndash; gives the view that a superior man should help those around him become superior.&nbsp;Competition seems to be ruled out by this, and is instead replaced by teaching others.
</p>
<p>
12:27 points out how great the people are to the state &ndash; &ldquo;&hellip;no state can exist without the confidence of the people&rdquo; (Chan, 39).&nbsp;If the confidence and trust of the people is so important, then a good ruler would do no harm to them.
</p>
<p>
13:30 specifically talks of war &ndash; &ldquo;To allow people to go to war without first instructing them is to betray them&rdquo; &ndash; but can be viewed different ways.&nbsp;I view this as stating that to allow people to enter into conflict without first giving them knowledge, and therefore understanding, would be to deceive them.&nbsp;For example, the people should be educated on what they are fighting for, and why, not solely on tactics and how to use the weapons they are given.&nbsp;As this does not specifically mention one&rsquo;s people, or the ruler, then this applies to everyone.&nbsp;Mediation between two conflicting parties can sometimes solve problems, and prevent them from making mistakes.
</p>
<p>
Next is to look at Mencius, which deals more with human nature.&nbsp;Various sections state that although man is naturally good, men can, and do, fall into evil.&nbsp;Therefore, a ruler should guide his people to doing good, and avoiding evil.&nbsp;One such way is by example, and another is by education, or cultivation of their original good.
</p>
<p>
1A:7 deals more with the ruler and tolerance &ndash; &ldquo;Treat with respect the elders in my family, and then extend that respect to include the elders in other families.&nbsp;Treat with tenderness the young in my own family, and then extend that tenderness to include the young in other families&hellip;&rdquo; (Chan, 61).&nbsp;In my view, this brings out a point stated in the Analects, of the &lsquo;Silver Rule&rsquo;, and extends to those outside of your loved ones.
</p>
<p>
1B:5, which states that &ldquo;If Your Majesty love wealth, let your people enjoy the same, and what difficulty will&nbsp;there be for you to become the true king of the empire?&rdquo; (Chan, 61), not only shows that since the ruler rules by virtue that the people will as well, but also that the people should be able to enjoy what the ruler enjoys.
</p>
<p>
Another passage that discusses the use of virtue to overcome is 2A:3, which states, &ldquo;When force is used to overcome people, they do not submit willingly but only because they have not sufficient strength to resist.&nbsp;But when virtue is used to overcome people, they are pleased in their hearts and sincerely submit&hellip;&rdquo; (Chan, 64)&nbsp;Clearly, this statement refuses the use of force to bring about submission of a people.
</p>
<p>
A ruler, as is seen in 3A:3, should also give aid to the people.&nbsp;This long passage contains much, but especially information on this system of aid.&nbsp;The establishment of schools of various kinds, for various people, is also of importance, as it once again shows that the ruler should be concerned with the cultivation of the people.&nbsp;Only through education can the truth be known, and therefore brought into practice by the people.
</p>
<p>
3A:4 contains an old saying, which seems to be valid according to Confucianism.&nbsp;&ldquo;&lsquo;Some labor with their minds and some labor with their strength.&nbsp;Those who labor with their minds govern others; those who labor with their strength are governed by others.&rsquo;&nbsp;Those who are governed by others support them; those who govern them are supported by them.&rdquo;&nbsp;(Chan, 69)&nbsp;Therefore, a ruler should lead with his mind, and not by strength.&nbsp;A ruler should think before he acts, and not rely upon strength to overcome, as they will govern him if they use their mind.
</p>
<p>
Within 4A:2 we see that &ldquo;A ruler who oppresses his people to the extreme will himself be slain and his kingdom perish.&nbsp;If he oppresses not to the extreme, even then his life will be in danger and his kingdom will be weakened.&rdquo;&nbsp;(Chan, 73)&nbsp;This further reinforces the idea that a ruler should be kind towards his people and give them what he himself would like to have.
</p>
<p>
Passage 4A:14 discusses ministers and their killing for their ruler.&nbsp;&ldquo;When they fight for territory, they slaughter so many people that the field is full of them.&nbsp;When they fight for a city, they slaughter so many people that the city is full of them.&rdquo;&nbsp;(Chan, 74)&nbsp;While one may gain a city by battle, the question is what one will get because of it.&nbsp;Will it be a city of people who live virtuously, or of people who do not, and are therefore dead?
</p>
<p>
&ldquo;Let the ruler be humane, and all his people will be humane.&nbsp;Let the ruler be righteous, and all his people will be righteous.&nbsp;Let the ruler be correct, and all his people will be correct.&nbsp;Once the ruler is rectified, the whole kingdom will be at peace.&rdquo;&nbsp;(Chan, 75)&nbsp;This, which is part of passage 4A:20, seems to suggest that a humane, righteous, and correct ruler will not allow war to overcome him and his people.
</p>
<p>
Next is to look at the Great Learning, which deals with education, morality, and politics.&nbsp;First is to look at the seven steps that lead to world peace, and their relation to war, and then to point at certain points in the commentary that apply to our search.
</p>
<p>
The investigation of things leads to the extension of knowledge, which leads to the will becoming sincere, which leads to the rectification of the mind, which leads to the cultivation of the personal life, which leads to the regulation of the family, which leads to the state being in order, which leads to peace throughout the world.&nbsp;This, the 8 basic stages, give the general order towards world peace.
</p>
<p>
Investigation of things, is when one learns about what is around him, to the greatest depth that he can.&nbsp;By learning more about the things around us, we can extend our knowledge to include those things.&nbsp;By knowing more about what things are, and why they are the way that they are, we can act with the best, the sincerest, of intentions.&nbsp;The rectification of the mind deals with clearing the mind of all ignorance and faults.&nbsp;Only by eliminating worries, self-deception, and anger can one truly think clearly and do what is best for all involved.&nbsp;This then leads to the cultivation of one&rsquo;s good nature and personal life.&nbsp;Doing the correct things for the correct reasons will help one lead a good life.&nbsp;As is said, if one acts wisely, then others will follow suit and do the same.&nbsp;This will first reach those closest, family members, and then will eventually spread out to encompass all in the neighborhood, to city, to county, to state, to country.&nbsp;After the country is acting wisely, others will see this, and, like those before, cultivate themselves.
</p>
<p>
This then is the basic stance.&nbsp;However, the question is how war fits into this.&nbsp;Is it possible to be at peace unless the state and its neighbors are at peace?&nbsp;That is, it would seem that only after the world has been affected can peace truly reign.&nbsp;Even though the state may be at peace within itself, distress from outside of the state can bring war back into it.&nbsp;Therefore, it would seem that one should not stop after his state is at peace, but should extend the idea of &lsquo;state&rsquo; to include the world.
</p>
<p>
There are but a few sections in the commentary that I would like to point out in particular.&nbsp;The second chapter speaks of the bath-tub of King T&rsquo;ang which read, &ldquo;If you can renovate yourself one day, then you can do so every day, and keep doing so day after day.&rdquo;&nbsp;(Chan, 87)&nbsp;A ruler should strive towards daily renovation, and never stop, even if he may believe that he is done.
</p>
<p>
The eighth chapter of commentary is especially important, as I see it as pointing towards tolerance towards others.&nbsp;&ldquo;Men are partial toward those for whom they have affection and whom they love, partial toward those whom they despise and dislike, partial toward those whom they fear and revere, partial toward those whom they pity and for whom they have compassion, and partial toward those whom they do not respect.&nbsp;Therefore there are few people in the world who know what is bad in those whom they love and what is good in those whom they dislike.&rdquo;&nbsp;(Chan, 90)
</p>
<p>
The ninth chapter points out many things, but one is that &ldquo;the superior man must have the good qualities in himself before he may require them in other people&rdquo; (Chan, 91).&nbsp;People do what they please, follow what they agree with, and can be ruined by even one bad person.&nbsp;Therefore, the ruler must not only strive towards cultivating his people, but must also prove that he himself is cultivated.
</p>
<p>
The last thing that I would like to point out is in the last chapter of commentary, chapter 10.&nbsp;&ldquo;&hellip;When wealth is gathered in the ruler&rsquo;s hand, the people will scatter away from him; and when wealth is scattered [among the people], they will gather around him.&nbsp;Therefore if the ruler&rsquo;s words are uttered in an evil way, the same words will be uttered back to him in an evil way; and if he acquires wealth in an evil way, it will be taken away from him in an evil way.&rdquo;&nbsp;(Chan, 93)&nbsp;This passage is similar to 1B:5 in Mencius, which was discussed above &ndash; the leader should give his people what he himself would want.
</p>
<p>
The Doctrine of the Mean is the last book to look at in this paper.&nbsp;This book deals primarily with the Way, and how one should follow it in daily life.&nbsp;The ruler should not strive to do more, but neither should he strive less then what is required.&nbsp;That is, one should always look for the point of equilibrium in all things.
</p>
<p>
Chapter 14 talks of how &ldquo;The superior man does what is proper to his position and does not want to go beyond this.&rdquo;&nbsp;(Chan, 101)&nbsp;In relation to the topic at hand, this implies that a ruler should not worry himself with things that are beyond, and below, him.&nbsp;For example, he should not try to instruct his people on things in which another is more competent in.&nbsp;Nor should he worry about expanding his domain, as he should worry about those that are already looking to him for leadership.
</p>
<p>
Chapter 20 confirms the view that the people should be looked after.&nbsp;&ldquo;When the right principles of man operate, the growth of good government is rapid, and when the right principles of soil operate, the growth of vegetables is rapid.&nbsp;Indeed, government is comparable to a fast-growing plant.&nbsp;Therefore the conduct of government depends upon the men.&nbsp;The right men are obtained by the ruler&rsquo;s personal character.&rdquo;&nbsp;(Chan, 104)&nbsp;Planting the seeds among the people will bring about the growth of a good government that will appeal to the people.
</p>
<p>
This same chapter also contains nine standards &ldquo;by which to administer the empire, its states, and the families.&nbsp;They are: cultivating the personal life, honoring the worthy, being affectionate to relatives, being respectful toward the great ministers, identifying oneself with the welfare of the whole body of officers, treating the common people as one&rsquo;s own children, attracting the various artisans, showing tenderness to strangers from far countries, and extending kindly and awesome influence on the feudal lords.&rdquo;&nbsp;(Chan, 105)&nbsp;These nice standards can be boiled down to the &lsquo;Silver Rule&rsquo;.&nbsp;Clearly, these too show that a good ruler should be kind to even those that he does not rule over, as this will attract them to the ruler and his people.
</p>
<p>
After looking at these four books, I believe that I can answer the question that I posed before, that is, what the Confucian outlook on the ruler and conflict is.&nbsp;It seems apparent that the ruler should be a &lsquo;superior man&rsquo; and responsible for his people.&nbsp;It would also seem that anything which needlessly puts his people in danger would be something which would be avoided.&nbsp;If anything seems needlessly dangerous to the safety of the masses, it would have to be war, or any sort of conflict.
</p>
<p>
Most conflict tends to arise out of ignorance and intolerance.&nbsp;As Confucius suggests, knowledge of things, as well as &lsquo;not doing to others what you do not want done to you&rsquo;, seem to be two virtues a ruler must actively strive for.&nbsp;However, there are cases in which conflict might be permissible.&nbsp;Obviously, if one were attacked due to no fault of their own, then retaliation would be permissible.&nbsp;However, it seems as though discussion should be attempted, in order to better understand the reasoning behind the conflict in the first place.
</p>
<p>
The last question that I have is whether it is possible to be a state at peace when there are other states that are not.&nbsp;That is, can there ever truly be peace without the entire world involved in maintaining that peace?&nbsp;Although a country may be at peace within itself, and with its neighbors, it would seem that another country involved in conflict of any kind would have an effect on every other country, no matter if these outside countries have peace internally.
</p>
<p>
For example, A &ndash; although surrounded by B, C, D, E, and F &ndash; would still be affected by the warring of G and H, even though it may share no borders with these two countries.&nbsp;As can be pointed out, evil breeds evil, ignorance leads to ignorance, and hatred leads to hatred.&nbsp;Not only this, but if a ruler truly is one with humanity, any strife among humans would be something that he would wish to remove.
</p>
<p>
It seems, then, that speak of true peace would be fallacious unless every individual being in the world was at peace, not only with each other, but also with himself.&nbsp;Thus, the role of the ruler should be not only to cultivate himself and those around him in, but also to strive towards peace among all men.&nbsp;Whether this goal is possible is a question that can only be answered by time. 
</p>
<h3>Bibliography</h3>
<p>
Chan, Wing-Tsat, A Sourcebook in Chinese Philosophy, Princeton, Princeton University Press, 1963. 
</p>
<h3>About this piece</h3>
<p>
<strong>Created:</strong> April 20th &ndash; 22nd 2002 <br />
<strong>Modified:</strong> June 4th 2003; October 30th 2003; February 5th 2005 
</p>

