+++
title = "Crane's Intentionality of the Mental in Relation to Perception and Thought"
description = "Paper on Tim Crane's Intentionality of the mental in relation to perception and thought as seen in Elements of Mind: An Introduction to the Philosophy of Mind."
draft = false
comments = true
date = "2003-03-30T01:01:00-06:00"
modified = "2008-08-10T20:08:05-05:00"
slug = "Cranes-Intentionality-of-the-Mental-in-Relation-to-Perception-and-Thought"
blogengine = "c260f8f4-049b-43a8-bf32-182c636249da"
categories = ["article", "philosophy"]
tags = []
+++

<p>
In Tim Crane&rsquo;s book, <em>Elements of Mind: An Introduction to the Philosophy of Mind</em>, we are given a contemporary look at the Analytic Tradition, and their use of the ideas of Intentionality to come to the truth about perception and thought.&nbsp; Crane attempts to explain to the reader how perception and thought are related, as well as the role of intentionality in relation to perception and thought. 
</p>
<p>
For the most part, when we speak of the terms &lsquo;perception&rsquo; and &lsquo;thought&rsquo; we can rely almost solely upon a particular individual.&nbsp; For example, imagine that we have one individual, whom we will call Gavin, looking at some object, which, for simplicity, we will say is a particular can of Dr Pepper sitting in front of him. &nbsp;One would say that Gavin has a perception of a Dr Pepper can.&nbsp; One would also say that he has, or had, a thought of a Dr Pepper can, as long as it is true that he perceived it at some time.&nbsp; In this way, one might argue that perception and thought can only truly be described in relation to some individual.&nbsp; However, we must also have an object of perception in the first place in order to begin the &lsquo;chain&rsquo; of events.&nbsp; Perception of some thing x is that which will lead us to some thought about x. 
</p>
<p>
This &lsquo;chain&rsquo; of events brings us into intentionality.&nbsp; Intentionality involves the relationship between a subject and an object. In particular, Crane gives us a definition when he tells us that an intentional theory &ldquo;holds that the mind is directed on real objects in acts of perception&rdquo; [1:138]. 
</p>
<p>
To continue with our example above, the subject would be a particular individual, in this case an individual named Gavin.&nbsp; The object would be the Dr Pepper can.&nbsp; The relationship between Gavin and the Dr Pepper can is the next thing to examine.&nbsp; When Gavin has a perception of the can, when he makes note of it or directs his mind to it, he has some thought about it.&nbsp; For example, Gavin may say &lsquo;That Dr Pepper can sure looks red&rsquo;.&nbsp; If Gavin were to have this thought he would be intending the can as a particular way, namely, as looking red.&nbsp; He would also be giving us the intentional mode, or the relationship between the can and himself.&nbsp; In the above statement, Gavin is thinking that the can is a particular way in such a way that he probably believes that it is that way.&nbsp; The intentional mode would then be &lsquo;belief&rsquo;; therefore the intentional mode is the attitude that the subject has towards the object. 
</p>
<p>
So, &lsquo;Gavin believes that the Dr Pepper can is red&rsquo;, would adequately tell us how Gavin is intending the can, as well as show the relationship between a subject an object, giving us a concrete example of perception and thought in an individual.&nbsp; Gavin first has a perception of something and then goes on to have a thought &ndash; which must always be intentional, in my understanding &ndash; about his perception.&nbsp; However, Crane doesn&rsquo;t appear to want to believe that this is always the case. 
</p>
<p>
But perceptions need not all be propositional attitudes: there is such a thing as noticing an object, without necessarily noticing <em>that</em> it is a certain way. [1:139] 
</p>
<p>
However, this appears to be nonsense, as perceiving an object appears to bring about a thought of the object, even if it is as simple as the object is there, which could easily be stated as &lsquo;I believe that there is an object there&rsquo;, or &lsquo;I believe that that object exists because I perceive it to be there&rsquo;.&nbsp; However, as one can see by reading Crane&rsquo;s book, he often makes contradictions, and we should just accept this as being one of those times in which he is accidentally going against what he said earlier. 
</p>
<p>
Have I adequately explained the role of intentionality in perception and thought?&nbsp; Perceptions lead to thoughts and perception and thoughts rely upon subjects and objects.&nbsp; Gavin perceives the soda can and has a thought in which he intends the soda can a particular way, based upon his perception.&nbsp; The subject has a perception of an object, and then the subject goes on to have a thought about the object, making some claim about the object.&nbsp; This <em>is</em> what intentionality is; making a claim about an object as being a particular way, yet, in addition, knowing that they could be wrong. 
</p>
<h3>Bibliography: </h3>
<p>
1: T Crane, Elements of the Mind: An Introduction to the Philosophy of Mind (New York: Oxford University Press, 2001). 
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> March 30th 2003<br />
<strong>Modified:</strong> May 7th 2003; October 30th 2003<br />
<strong>Notes:</strong> See also my papers titled: <em>The Problems of Perception and Thought as Discussed by Michael Corrado</em>; <em>The Analytic and Phenomenological Traditions in Relation to Intentionality</em>.
</p>

