+++
title = "Descartes, Meditations and the Problem of the Dualism"
description = "Paper regarding Descartes' Meditations, and it's impact on the writings of Spinoza, Locke, and Berkeley."
draft = false
comments = true
date = "2002-05-06T01:01:00-05:00"
modified = "2007-10-15T22:55:14-05:00"
slug = "Descartes-Meditations-and-the-Problem-of-the-Dualism"
blogengine = "d20f3327-46e2-4e99-8533-648584ef4246"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Descartes&rsquo; rationalist notion of necessary and contingent connections between simple natures has an important role in his <em>Meditations</em>. This, in turn, has an impact on other philosophers to come, in relation to the problems that the <em>Meditations</em> raise. This paper will first deal with simple natures, their connections, and their role in Descartes&rsquo; <em>Meditations</em>. After looking at Descartes, three other philosophers will be looked at to see how they deal with the ideas brought up by Descartes.
</p>
<p>
Descartes, as a rationalist thinker, believes that the intellect alone, unaided by the senses, is capable of discovering the necessary truths about the kinds of things that make up reality. In other words, knowledge does not come from experience, but rather from intellect, or reason.
</p>
<p>
The first thing that one does when following Descartes is to use analysis, which comes from Galileo, to replace secondary qualities of objects with primary, mathematical, qualities. Analysis then leads to intuition, of either (1) nature or space, (2) the mind itself, or (3) common simple natures. One is then able to synthesize, or deduce, truths from intuition.
</p>
<p>
For rationalists, truths of reason, including those from intuition, are necessary, whereas those of the senses are contingent. This follows from the idea that our senses can be mislead, while our intellect, or reason, cannot. This concept is further discussed later in the context of the <em>Meditations</em>.
</p>
<p>
In his <em>Rules for the Direction of the Mind</em>, Descartes gives twenty-one rules, the first twelve of which give insight into the general nature of Descartes&rsquo; Method of philosophy, which he uses in the <em>Meditations</em>. Here we see mention of simple natures, which it is necessary to go into detail about, and get an understanding of, before going to the <em>Meditations</em>.
</p>
<p>
In the first rule, Descartes is trying to discover how things can be known by man. Following from his rationalist thinking, he first states that &ldquo;In ourselves we notice that while it is the understanding alone which is capable of knowing, it yet is either helped or hindered by three other faculties, namely imagination, sense, and memory.&rdquo; (1: 27) This statement then deals with individuals knowing truths.
</p>
<p>
After this, he states that &ldquo;the things themselves which must be considered only in so far as they are the objects of the understanding. From this point of view we divide them into the class (1) of those whose nature is of the extremest simplicity and (2) of the complex and composite.&rdquo; (1: 27) Here then he has explained the two types of objects, simple and complex.
</p>
<p>
Simple objects or simple natures &ldquo;must be either spiritual or corporeal or at once spiritual and corporeal.&rdquo; (1: 27) There are two types of complex, or composite, objects &ldquo;some which the understanding realizes to be complex before it judges that it can determine anything about them&rdquo; (1: 27) and &ldquo;there are also others which it itself puts together&rdquo; (1: 27). He then directs us towards the twelfth rule, which will further explain the above.
</p>
<p>
In this twelfth rule, he first restates that &ldquo;in the matter of the cognition of facts two things alone have to be considered, ourselves who know and the objects themselves which are to be known.&rdquo; (1: 35) There are four faculties within ourselves that are used in the cognition of facts; imagination, sense, memory, and most importantly understanding. Understanding alone can &lsquo;do the job&rsquo;, but the first three should be of some help obtaining all that there is to know.
</p>
<p>
Descartes goes into the ways that we know things. We first get an impression of the thing from our external senses. That impression is &lsquo;received&rsquo; by the common sense, which puts an impression on the imagination, or a memory. This in turn brings about action in our minds in which we try to understand the thing, which we finally do. Therefore, we see something, we remember it, we imagine and conceive it, and finally we understand it.
</p>
<p>
Descartes then comes to the subsequent thing that he wished to talk about, namely the objects that we wish to know. He restates what he said in the first rule, that there are two kinds of objects, simple objects and objects that are made up of simple objects, or complex objects. Now it is necessary to get a better understanding of the three types of simple objects/natures and two types of complex objects.
</p>
<p>
Spiritual, or intellectual, simple natures are those that are understood with intuition alone, unaided by any material image. It is impossible to find a non-spiritual idea that will tell us &ldquo;what the act of knowing is, what doubt is, what ignorance, and likewise what the action of the will is&rdquo; (1: 41).
</p>
<p>
Corporeal, or material, simple natures are those things that can only be understood by material images. That is, we must have a material thing before us to understand &ldquo;figure, extension, motion&rdquo; (1: 41).
</p>
<p>
The last type, common simple natures, are those things which can be applied to either of the two above, depending upon the circumstances. &ldquo;Existence, unity, duration&rdquo; (1: 41) are part of this as well as &ldquo;those common notions which are, as it were, bonds for connecting together the other simple natures&rdquo; (1: 41). That is, that which allows us to understand complex objects, such as the laws of logic. Negation is also necessary, &ldquo;for it is quite as genuinely an act of knowledge by which I am intuitively aware of what nothing is, or an instant, or rest, as that by which I know what existence is, or lapse of time, or motion.&rdquo; (1: 42)
</p>
<p>
Descartes next states that those common notions which bond together simple natures are either necessary or contingent. Necessary unions are those in which one thing can only be conceived by help of another. Figure and extension, and motion and time, are two such examples. &ldquo;If I say &lsquo;four and three are seven,&rsquo; this union is necessary&rdquo; (1: 42-3) as the number seven comes from three and four.
</p>
<p>
Descartes also states that &ldquo;in the same way whatever is demonstrated of figures or numbers in necessarily united with that of which it is affirmed&rdquo; (1: 43) or, that the conclusion is necessarily united with the premises. &ldquo;If Socrates says he doubts everything, it follows necessarily that he knows this at least &ndash; that he doubts. Likewise, he knows that something can be either true or false, and so on, for all those consequences necessarily attach to the nature of doubt.&rdquo; (1: 43)
</p>
<p>
Contingent unions are those in which the bond between them can be broken at any time. Examples of such are &ldquo;a body is animate, a man is clothed &hellip; I exist, therefore God exists &hellip; I know, therefore I have a mind distinct from my body&rdquo; (1: 43). Bonds go one-way, that is, that &ldquo;though from the fact that I exist I may infallibly conclude that God exists, it is not for that reason allowable to affirm that because God exists I also exist&rdquo; (1: 43). When we have the union of A and B, A might be necessarily or contingently bonded with B, and B might be necessarily or contingently bonded with A.
</p>
<p>
&ldquo;No knowledge is at any time possible of anything beyond those simple natures and what may be called their intermixture or combination with each other&rdquo; (1: 43). He gives the example of a triangle, in which the parts of that make it up &ndash; angles, lines, figure, extension, etc &ndash; can be better known the triangle as a whole, as some simple natures can be overlooked.
</p>
<p>
Having a better understanding of simple natures, we can now have a better understanding of the two types of complex objects. &ldquo;Those natures which we call composite are known by us, either because experience shows us what they are, or because we ourselves are responsible for their composition&rdquo; (1: 43). Experience &ldquo;consists of what we perceive by sense, what we hear from the lips of others, and generally whatever reaches our understanding either from external sources or from that contemplation which our mind directs backwards on itself&rdquo; (1: 43-4). We are responsible for the composition of complex objects when we associate simple natures to objects that do not apply. He gives the example of one who, because of illness, sees things differently then how others see them, with a yellow tint, for example.
</p>
<p>
There are three other ways of knowing complex natures; impulse, conjecture, and deduction. Impulse eventually leads to error, and conjecture is usually only probable, and not true. Deduction, on the other hand, is a good way of coming upon complex natures, if we go about it carefully.
</p>
<p>
Therefore, Descartes concludes the twelfth rule by restating, and condensing what he has just said. We can only come upon true knowledge by intuition of, and deduction from, simple natures and their necessary connections, or unions. It is only required that we break those bonds so that our intuition can come upon the simple natures and deduce from them their connections.
</p>
<p>
Now that Descartes applicable <em>Rules for the Direction of the Mind</em> have been looked at, we can see how Descartes uses them in the <em>Meditations</em>.
</p>
<p>
Descartes begins the <em>Meditations</em> by bringing into question everything that he takes for truth. He realizes that his senses have often misled him, and therefore, he can no longer blindly accept them if he wishes to be free from deception. However, he needs some reason for doubting everything, even that he has the body that he has, and that is what he wishes to do in this first meditation.
</p>
<p>
The first proposal that he has, is that he could be dreaming. While dreaming &ldquo;there exist no certain marks by which the state of waking can ever be distinguished from sleep&rdquo; (Smith and Greene, 57). Therefore, while he may be awake, it is equally possible that he is asleep and merely dreaming that he is awake. This then, gives Descartes justification for not being able to rely upon his senses in order to gain knowledge.
</p>
<p>
However, Descartes states that even if we were dreaming, the objects that we see &ldquo;could not have been formed unless in the likeness of realities&rdquo; (Simth and Greene, 57). Although it is possible to doubt those things that we see before us that are complex, there still exist certain simple objects that cannot be doubted by his first hypothesis. &nbsp;&ldquo;Arithmetic, Geometry, and the other sciences of the same class, which regard merely the simplest and most general objects, and scarcely inquire whether these are really existent, contain somewhat that is certain and indubitable&rdquo; (Smith and Greene, 58). Two and two will always make four, and a square will always have four sides. Therefore, while the senses cannot be trusted, it is still possible for us to rely upon our reason in order to gain real knowledge.
</p>
<p>
His second theory attempts to bring into question our reasoning, which will then lead to universal doubt. The second hypothesis suggests that there is a malignant God, that not only created the things themselves, but also the rules that govern said things. Therefore, if there was such a deceiving God, not only would the senses be at question, but also one could no longer rely even upon his reason, as it would rely upon truths of reasoning that God could have created falsely.
</p>
<p>
In the second meditation, Descartes wishes to focus on the example of a deceiving God. Even though this deceiving God can bring Descartes to question the things outside of him, and the basic laws of reason, there is one thing that he cannot be deceived about: &ldquo;he can never bring it about that I am nothing, so long as I shall be conscious that I am something&rdquo; (3: 61). This, the idea of the &lsquo;cogito&rsquo;, or self, is the main idea of the second meditation. Although he may not know what he is physically, he at least knows that he thinks, and therefore that he exists.
</p>
<p>
Man&rsquo;s rationality, his ability to think, distinguishes a man from all else, and is what a man is at his simplest nature. As a thinking thing, man &ldquo;doubts, understands, [conceives], affirms, denies, wills, refuses, that imagines, also, and perceives&rdquo; (3: 64). Therefore, Descartes has used his idea of simple and complex natures to come to the true knowledge. By breaking things into their simplest nature, and learning of the connections within complex natures, true knowledge can be deduced. By starting at the simplest idea, that man is a being which is conscious of itself, he has deduced what man is, a thinking being.
</p>
<p>
The third meditation once again brings up God, but here he wishes to end the debate of his existence. Descartes holds that &ldquo;if I [were independent of every other existence, and] were myself the author of my being, I should doubt of nothing, I should desire nothing, and, in fine, no perfection would be wanting to me; for I should have bestowed upon myself every perfection of which I possess the idea, and I should thus be God&rdquo; (3: 80). Since he is not independent of everything else, there must be at least one thing, if not more, that he depends on, namely God, which has all of the perfections that he (Descartes) would want.
</p>
<p>
As spoken of in his <em>Rules for the Direction of the Mind</em>, discussed above, since Descartes depends on God, then God must exist if Descartes does, as Descartes is united to God by the dependency.
</p>
<p>
In the fourth meditation, Descartes discusses truth and error. Corporeal natures have little that can be known. Imaginable objects, those from the imagination, also have little that can be known, and therefore, these two types of ideas (sensuous/contingent ideas and imaginable/fictitious ideas) should be separated from those of reason, or the intuition. Therefore, we see two ways that we can come upon error, from sensuous ideas and from imaginable ideas. Since God cannot deceive us, since to do so would be to be imperfect, then only innate ideas, those of the reason, are free from falsehood.
</p>
<p>
Since man has innate ideas of the simple natures of things, from reasoning, or deduction, true knowledge can be gained about real things. It appears then, that error is our own creation. Relying upon the senses, our imagination, or lack of reliance on reason and deduction, are the only ways that we can encounter error. On the other hand, relying upon intuition will guard us from error and lead only to the truth.
</p>
<p>
In the fifth meditation, Descartes would like to clear up some things related to material things and see if there is anything that can be known about them. First, however, Descartes speaks of God and how his existence is like that of a mountain and valley. A mountain cannot be understood without a valley to accompany it. Descartes&rsquo; idea of a mountain and valley does not prove that a mountain, or valley, exist, but only that if they did, they would have to be together &ndash; in order to have high, you must have low. Descartes holds that God and the property of existence are two such things, which cannot be conceived without the other.
</p>
<p>
This then, together with the previous meditations, leads Descartes to conclude that, if there is a science that can know material things, then it depends on God in that knowledge of him brings knowledge to us in the form of intuition; God gives us the means that we can acquire true knowledge. Mathematics is that science that would allow us to know such things, as math deals with how things would be if they existed.
</p>
<p>
In the last meditation, Descartes tackles the question of why God gives us sensuous ideas and the capacity for error. &ldquo;I at least know with certainty that such things may exist&rdquo; (3: 97) and that mathematics would be able to help us understand these things. Descartes also holds that we must realize that there is a difference between the mind and the body. The body is separable into different parts, whereas the mind is not: &ldquo;although the whole mind seems to be united to the whole body, yet, when a foot, an arm, or any other part is cut off, I am conscious that nothing has been taken from my mind&rdquo; (3: 109).
</p>
<p>
In relation to this &lsquo;phantom limb&rsquo; example, we must remember that since the body is separate from the mind, it is possible for the body to not only be deceived, but also to lead to the deception of the mind. We saw how this is true in the first meditation with the dream hypothesis. Instead of thinking that we have wings, or some extra part to the body, we instead perceive something that we normally should have.
</p>
<p>
However, sensuous, or adventitious, ideas have a reason for being given to us by God. Sadness coming from pain and happiness from pleasure, which are from the senses, is nature&rsquo;s way of telling the mind that it must care for the body in order to survive. By surviving, we are then able to realize innate ideas by our reasoning. Not only that, but we also gain experience, which we then use in order to add to our reasoning ability. Even though we live in a world of complex objects, we can use what we know by intuition, and added with reasoning and experience, can learn and understand the parts of complex things and the bonds between such simple parts.
</p>
<p>
After setting up some rules in his <em>Rules for the Direction of the Mind</em>, Descartes uses these rules in the <em>Meditations on First Philosophy</em> to solve the problem of knowledge and how it is that we are able to get a grasp of it. He uses relatively simple ideas to build an extremely complex view of knowledge, truth and God&rsquo;s necessary relation. The question of how other thinkers responded to Descartes ideas is the topic of the rest of this paper.
</p>
<p>
Benedictus de Spinoza, is the first philosopher that I will be looking at in relation to the problem of knowledge, that Descartes brings about. Spinoza, like Descartes, is a rationalist, and therefore holds that the intellect alone, unaided by the senses, is capable of discovering the necessary truths about the kinds of things that make up reality. However, Spinoza&rsquo;s solution differs slightly from that of Descartes&rsquo;.
</p>
<p>
Looking at the <em>Ethics</em>, Spinoza would like to clarify God, Res Extensa, and Res Cogito. Spinoza has eight definitions, followed by various axioms and propositions. God is a substance according to both Descartes and Spinoza, in that a substance &ldquo;is in itself and is conceived through itself&rdquo; (3: 255). However, Res Extensa and Cogito are attributes of God, or modes of God, in that they are not substances, but rather parts of substances. This is contrary to Descartes, who held that all three are substances. This is apparent not only by the definition, but also by his sixth proposition: &ldquo;one substance cannot be produced by another substance&rdquo; (3: 257). Therefore, all things are properties of God, but this does not mean that they are parts of God, as Spinoza holds that substances are indivisible.
</p>
<p>
Propositions seven through eleven, discuss Gods existence. Seven is the most important however, and states that substances exist, that it is part of their nature to exist, and therefore it follows that God exists, since he is a substance. Proposition 16 develops Res Extensa and Cogito, in the three correlations. &ldquo;Hence it follows that God is the efficient cause of all things which can fall under the infinite intellect. It follows, secondly, that God is cause through Himself, and not through that which is contingent (<em>per accidens</em>). It follows, thirdly, that God is absolutely the first cause.&rdquo; (3: 269)
</p>
<p>
Following from this third correlation, his next proposition states that he cannot be compelled to do something that is not in his nature. However, God has no effect on such truths as the sum of the angles of a triangle equal 180 degrees, as this is not his nature, but rather the nature of the triangle. This then is different from Descartes as well, in that God has no effect on the forms of things.
</p>
<p>
Spinoza also proposes that God and his attributes are eternal, infinite and existent. From this then, all of God&rsquo;s attributes, which there are an infinite number of as stated before, are themselves infinite, and real. Therefore, there exist things in Res Extensa and Cogito.
</p>
<p>
Added to what was stated before about God and his inability to have an effect on the nature of things outside of him, Spinoza&rsquo;s thirty-second and thirty-third propositions combine to state that God has no freedom in deciding how things are, and things could not have been done any other way. Therefore, it need not be questioned whether God is good or not, as he has nothing to do with the forms.
</p>
<p>
Having looked at God, his attributes deserve a looking at next. While Spinoza has an idea of two of the attributes &ndash; extendedness and thought &ndash; there are an infinite number of other attributes that we do not know about, but could. Descartes&rsquo; dualism is between attributes then, according to Spinoza, of thought and extendedness.
</p>
<p>
The attribute of extendedness is composed of finite and infinite modes. Finite modes would be objects themselves, while infinite modes would be the universal object, that is, the form of all such objects. Finite modes would consist of compound things, which are then composed of simple things. Infinite modes, on the other hand, split into immediate and mediate things. Immediate things would be such things as motion, rest, position and time. Mediate things would be the laws of Nature.
</p>
<p>
The attribute of thought is harder for Spinoza to give examples for, but he &ldquo;asserts that the one substance can be conceived equally through the attribute of thought or through that of extension&rdquo; (4: 68). Therefore, the basic form of the attribute of extension must be the same as that of thought. Because they follow the same basic form, the same parallel structure, it also means that there is a 1-to-1 relation between thoughts and things. The only question that is left is his theory of knowledge.
</p>
<p>
According to this paper <em>On the Improvement of the Understanding</em>, there are four &lsquo;modes of perception or knowledge&rsquo;. They are through hearsay, through mere experience, though the inadequate inference of the essence of one thing from another, and through the knowledge of the proximate cause of a thing. Later in the <em>Ethics</em>, these are set out as a &ldquo;three-fold classification of knowledge&rdquo; (4: 71), that more closely resembles Descartes classification. They are imagination, reason and intuition. Imagination tends to be without logic, and therefore is not as truthful as reason. Intuition, however, is even better then reason because &ldquo;the inferences involved in intuition are immediate, without reference to general rules, and because they give us detailed knowledge of how individual modes follow from the nature of the attributes&rdquo; (4: 73). That is, while reason uses deduction to come upon truths, intuition does not need other truths.
</p>
<p>
Therefore, Spinoza argues that reasoning, and especially intuition, are the ways of gaining true, adequate, knowledge. Even though we are trapped within the attribute of thought, we can know the form of the attributes, and therefore, because of the 1-to-1 correspondence, can learn of things within the attribute of extendedness.
</p>
<p>
The next philosopher that I will be mentioning is John Locke. Locke is, contrary to the previous philosophers, an empiricist. So, instead of believing that the intellect alone, unaided by the senses, is capable of discovering the necessary truths about the kinds of things that make up reality, empiricists believe the opposite, that the intellect alone is not capable of discovering the necessary truths about the kinds of things that make up reality.
</p>
<p>
One of the first things that Locke does in <em>An Essay Concerning Human Understanding</em> is to reject innate ideas and attempt to show why they are invalid. While &ldquo;there are certain truths wherein all mankind agreed, it would not prove them innate, if there can be any other way shown how men may come to that universal agreement in the things they do consent in&rdquo; (3: 350). That is, it may be possible to show other ways in which, so called &lsquo;innate&rsquo;, ideas may have come to be universally held. If there is another way, then they cannot be necessarily called innate.
</p>
<p>
However, before he proves this, he goes on to say that not all universal truths are universally accepted. There are some people, such as idiots and savages, who do not hold that &lsquo;what is, is&rsquo;, and other supposed &lsquo;innate&rsquo; ideas. In addition, if ideas are innate, then all mathematical laws should also be innate, and therefore much of the work that mathematicians have done is for nothing, and is but reiteration. This is the basics of his first book, in which he calls into question Descartes innate ideas, and how it is possible to have ideas from birth.
</p>
<p>
The second book deals more with Locke&rsquo;s own ideas. He clarifies &lsquo;idea&rsquo; as the object of thinking, and goes on to say that all ideas come from experience. Experience is in which &ldquo;all our knowledge is founded, and from that it ultimately derives itself&rdquo; (3: 354). There are two types of experiences which we can come by: those from the sensation of external objects (sensation) and those from the operation of our mind (reflection). However, as Locke stated before, our mind must have some ideas already, which can only come from external things.
</p>
<p>
It is apparent, from watching children, that ideas are only possible through sensation and reflection. If children had innate ideas, however, they would not become &ldquo;more and more awake&rdquo; (3: 357) in relation to objects, but would rather have little change in behavior. Therefore, from this example, it is clear that only by experience can the mind know ideas.
</p>
<p>
After having discussed, and hopefully turned from, innate ideas, Locke goes on to discuss the various types of ideas, the first being simple ideas. According to Locke, simple ideas are the ideas that we passively learn through sensation and reflection. As opposed to this, there are ideas that are complex, which are combinations of simple ones. This theory of simple and complex ideas is similar to that of Descartes&rsquo; simple and complex natures. Therefore, the same connections that we found within Descartes&rsquo; theory &ndash; necessary and contingent &ndash; we can also find in Locke&rsquo;s theory.
</p>
<p>
Locke goes on to discuss the ways by which we can know these simple natures, which leads into a discussion of qualities of bodies. There are three types of qualities; primary qualities, sensible qualities, and powers. Primary qualities are those qualities that are mathematical in nature. Examples would be &ldquo;bulk, figure, number, situation, and motion or rest of their solid parts&rdquo; (3: 369). Sensible qualities are those qualities, which, due to the primary qualities, produce the ideas of &ldquo;several colours, sounds, smells, tastes, &amp;c&rdquo; (3: 369). The influence that an object has over other objects, such as the ability of the sun to heat a stone, is what Locke calls the powers of that body.
</p>
<p>
According to Locke, only primary qualities really exist within the object, while you can only have an idea of the last two qualities, since it is the primary qualities that bring about sensible qualities and powers. Having fully explained simple ideas, Locke next discusses how it is that we use them.
</p>
<p>
In relation to reflection, perception is the primary tool that the mind uses in order to learn simple ideas (and could be that which distinguishes man from the beast he adds). Perception is not a passive activity, but rather one that the mind must be involved in. Contemplation and memory are the next tools that Locke talks about. Contemplation is the more active tool, in that it goes over the idea, while memory merely keeps it in the mind. However, Locke argues that the mind is often active while remembering, which accounts for coming up with an answer to a problem, even though you may not be consciously thinking about it.
</p>
<p>
Distinguishing one idea from another and comparing ideas, are two more tools that the mind uses that are very similar. We know that red is different then blue, but we also know that they are both colors. Compounding, another tool, is used to put two simple ideas together in order to come upon a more complicated idea, or complex idea. Naming and abstraction are two more tools, which, like the others, need little introduction.
</p>
<p>
Locke&rsquo;s next topic is complex ideas. As stated before, these ideas are made up of simple ones. He clarifies the acts of the mind in relation to simple ideas are as follows. &ldquo;1. Combining several simple ideas into one compound one, and thus all complex ideas are made. 2. The second is bringing two ideas, whether simple or complex, together, and setting them by one another, so as to take a view of them at once, without uniting them into one; by which way it gets all its ideas of relations. 3. The third is separating them from all other ideas that accompany them in their real existence; this is called abstraction: and thus all its general ideas are made.&rdquo; (3: 374)
</p>
<p>
The next topic that Locke discusses in relation to complex ideas, are the three headings that he would like to put them under. Modes are those complex ideas that are dependent on something within them to exist as they do. Triangle, gratitude and murder are his examples for this. Substances are those complex ideas that have ideas within them that, taken together, form an idea. &nbsp;When you take the ideas of &ldquo;of a certain dull whitish colour, with certain degrees of weight, hardness, ductility, and fusibility, we have the idea of lead&rdquo; (3: 375). Although these ideas can be understood by themselves, taken together you get a complex idea. Relations are those complex ideas that consist of comparing one idea with another. He touched on this before, and this is fairly straightforward.
</p>
<p>
Locke goes on to discuss a great many other things, but chapters thirty to thirty-two, which I will sum up here, are the last things to discuss before moving on. According to Locke, and as we have already seen, only by our senses can reality be known. The primary qualities of objects are the only qualities of the object that correspond to reality. The ideas that we have because of the sensible qualities and powers are real in that they are real ideas, but are not themselves real.
</p>
<p>
Simple ideas, complex ideas of modes, and complex ideas of relations, all represent real objects adequately, while complex ideas of substance do not. Just because we can use our mind to combine ideas &ndash; whether simple or complex &ndash; into other ideas, does not mean that they really exist. Otherwise, one could take the ideas of wings and a horse, which are real, and combine them to create a Pegasus, which is not real.
</p>
<p>
Therefore, from this, we can see Locke&rsquo;s answer to the problem of the dualism. According to Locke, it is the senses, the experience, which allow us to know the real things. As long as we look only on the primary qualities of objects, and rely upon the simple natures, then we need not worry about the truth of our statements about reality.
</p>
<p>
The next philosopher that I want to discuss is Berkeley, also an empiricist, who wrote <em>Three Dialogues Between Hylas and Philonous</em>. As Berkeley is talking through Philonous, much like how Plato spoke through Socrates, if we pay attention to what Philonous says, we will undoubtedly learn Berkeley&rsquo;s view on reality, and his solution to the problem of the dualism.
</p>
<p>
In the first dialogue, one of the first things that we learn of Philonous is that he holds &ldquo;that there is no such thing as what philosophers call <em>material substance</em>.&rdquo; (2: 6) However, if Hylas can persuade him otherwise, then he would be more then happy to turn away from his skeptic view and hold an opposite view.
</p>
<p>
One of the things that Philonous points out is that often times the same thing can have two different properties. For example, if a man, who has one cold hand and one warm hand, dips his hands into lukewarm water, then one hand will think the water is warm, while the other will think it is cold. If these sensible qualities were within the object, then this would produce an absurdity, which cannot be.
</p>
<p>
Another example that he has is of taste. &ldquo;That which at other times seems sweet, shall, to a distempered palate, appear bitter.&rdquo; (2: 15) Not only that, but what one person likes to eat may not necessarily be what others like to eat. &ldquo;How could this be, if the taste was something really inherent in the food?&rdquo; (2: 15)
</p>
<p>
Sound, sight, and in fact all sensations are called into question, with the end result being that in order for sensations to exist, there must be a mind. Sight is the one sense that Hylas has the most difficulty with, and is what will continue to be brought up in these dialogues.
</p>
<p>
Philonous brings up two examples to discuss colour, in his attempt to persuade Hylas away from his view of sight. The first is jaundice, which was also used by Descartes, and gives everything a yellow tint to those with the condition. This yellow is not from the object perceived, but rather the perceiver. Another example is the distance that either a light source, or the actual perceiver, is from the object. If the only light is far from the object, then the object will appear to be darker then it really is, and vice versa. The same is true with the perceiver. If one is far from an object, then it appears to be a different colour then when one gets closer.
</p>
<p>
This discussion of distance from the object plays a part in his discussion of size as well. A mountain may appear to be very small if one is far away, but the closer one is the larger it becomes. This can be said of any object. If the size of the object was inherent within the object, then Philonous assumes that the object would always appear that size. Since Philonous and Hylas agreed that &ldquo;no real inherent property of any object can be changed, without some change in the thing itself&rdquo; (2: 23) none of these apparent properties can really be properties of the object.
</p>
<p>
The next &lsquo;properties&rsquo; that he looks at &ndash; motion, solidity and gravity &ndash; must also be dismissed as inherent properties, since they have already removed extension from the object. He goes onto to discuss perception in general, with the result being that &ldquo;whatever is immediately perceived is an idea&rdquo; (2: 37) and ideas cannot exist other then in a mind.
</p>
<p>
As for where we get these ideas, Philonous holds that it is by experience that we learn such things. Memory and reason also play a part in experience. &ldquo;For instance, when I hear a coach drive along the streets, immediately I perceive only the sound; but from the experience I have had, that such a sound is connected with a coach, I am said to hear the coach &hellip; the coach is not then properly perceived by sense, but suggested from experience.&rdquo; (2: 39)
</p>
<p>
Therefore, Philonous holds that there are two ways to come upon knowledge of the real things. The first is through immediate ways, such as hearing a sound by the senses, and the next is through mediate ways, such as reflecting that every time this particular noise was heard there was a coach going by. Our initial experiences, sensations, are then added to by our reasoning.
</p>
<p>
Our ideas cannot be mere representations of the real things; &ldquo;how can any determinate material object be properly represented or painted forth by several distinct things, each of which is so different from and unlike the rest?&rdquo; (2: 40) Indeed, Philonous asks how anything insensible can be represented by anything that is sensible.
</p>
<p>
By the second dialogue, Hylas has had time to think about what was spoken of in the first, and has brought some ideas for discussion. Hylas appears to believe that which Philonous does, namely that &ldquo;sensible things are all immediately perceivable; and those things which are immediately perceivable, are ideas; and these exist only in the mind.&rdquo; (2: 43)
</p>
<p>
However, this brings up one problem with Philonous&rsquo; hypothesis. If one no longer perceives a particular tulip, does it no longer exist? It would appear that if a tree fell in a forest when no one was there to perceive it falling, then not only would it make no sound, it would not have even fallen, as it would not have existed&hellip;
</p>
<p>
Philonous believes, however, that things do exist in one mind or another, and that there is indeed a sensible world, and that it exists within the mind of an &lsquo;infinite omnipresent spirit&rsquo;. However, that there is a God follows from Philonous&rsquo; view that all sensible things must be perceived by him, not because he must exist. Looking specifically at Descartes, this is in clear opposition to what he holds, as well as most other people.
</p>
<p>
He gives his exact view on God and reality a little later. &ldquo;From all which I conclude, <em>there is a mind which affects me every moment with all the sensible impressions I perceive</em>. And, from the variety, order, and manner of these, I conclude the author of them to be <em>wise</em>, <em>powerful</em>, <em>and good</em>, <em>beyond comprehension</em>.&rdquo; (2: 49)
</p>
<p>
Philonous answers a few more questions that Hylas brings up, with the result being, that at the beginning of the third dialogue Hylas has become a complete skeptic. However, Philonous suggests a way of being able to know reality. &ldquo;To be plain, it is my opinion, that the real things are those very things I see and feel, and perceive by my senses. These I know, and, finding they answer all the necessities and purposes of life, have no reason to be solicitous about any other unknown things.&rdquo; (2: 63)
</p>
<p>
We perceive things by our senses, which means that we immediately perceive them, which means they are ideas, and since ideas can only exist with a mind &ndash; and we who have minds are sensing them &ndash; then things which are perceived through the senses by someone exist.
</p>
<p>
Philonous also states once again that since we can be killed, and things still exist, then not only must these things be external to us, there must be some mind that they reside in, namely a powerful God. In fact, he also shows that this God cannot deceive us, but rather it is we who deceive ourselves. While one may perceive one thing through his senses, which Philonous holds is the only way to really know reality, it is possible for us to deduce something that is false. &ldquo;His mistake lies not in what he perceives immediately, and at present, &hellip; but, in the wrong judgement he makes, concerning the ideas he apprehends to be connected with those immediately perceived: or, concerning the ideas that, from what he perceives at present, he imagines wou&rsquo;d be perceived in other circumstances.&rdquo; (2: 71) In other words, our own prejudices can lead us to false judgements. To use the coach example, one may indeed hear the sound that they hear when a coach normally goes by, say &lsquo;I hear a coach&rsquo;, but, upon looking out the window, see something that makes the same sound, but is not a coach.
</p>
<p>
This then is Philonous&rsquo; main theory of knowledge. While he discusses a few more things, his final point will be as follows. There are real things that can be known by man. These things rely upon some mind or other to perceive them by the senses, and are what Philonous calls ideas. Even when some finite mind is not perceiving them &ndash; such as man &ndash; there is a powerful, spiritual, being &ndash; God &ndash; that is, and through him and the order that comes from him, we can depend upon the laws of nature to be true as well. It is not from our senses that we can be deceived, but rather from our reasoning about the ideas that we receive from the senses that we can be deceived.
</p>
<p>
Here then, we have looked at Descartes and the problem that he attempts to solve, the problem of dualism &ndash; how it is we can know reality if we are trapped within the realm of thought and the real things are in the realm of reality &ndash; as well as Spinoza&rsquo;s, Locke&rsquo;s, and Berkeley&rsquo;s solutions. The question of whether any of them have fully answered the question, is one that history has seem to have given the answer &lsquo;no&rsquo; to, as Hume seems to be unsatisfied with all solutions, and comes up with his own.
</p>
<h3>Bibliographic Sources:</h3>
<ol>
	<li>Halden and Ross, <em>The Philosophical Works of Descartes: Rules for the Direction of the Mind</em>, Cambridge, Cambridge University Press, 1970.</li>
	<li>Smith and Grene, <em>Philosophers Speak for Themselves: Berkeley, Hume, and Kant</em>, Chicago and London, The University of Chicago Press, 1957.</li>
	<li>Smith and Grene, <em>Philosophers Speak for Themselves: From Descartes to Locke</em>, Chicago and London, The University of Chicago Press, 1967.</li>
	<li>Thomson, <em>Descartes to Kant: An Introduction to Modern Philosophy</em>, Prospect Hieghts Illinois, Waveland Press Inc, 1997.</li>
</ol>
<h3>Notes</h3>
<p>
<strong>Created:</strong> Early 2002 &ndash; May 6th 2002<br />
<strong>Modified:</strong> May 7th 2003; October 30th 2003; December 26th 2003; June 6th 2004; February 5th 2005<br />
<strong>Notes:</strong> Written for a class on Modern Philosophy. See also my paper titled <em>Overview of Descartes&rsquo; Meditations on First Philosophy</em>.
</p>

