+++
title = "Dostoevsky's Underground Man as the Creation of Society"
description = "Paper regarding the argument that society is responsible for Dostoevsky's Underground Man."
draft = false
comments = true
date = "2002-10-31T01:01:00-06:00"
modified = "2008-08-10T19:17:09-05:00"
slug = "Dostoevskys-Underground-Man-as-the-Creation-of-Society"
blogengine = "b583e9d9-1871-4d86-b684-2041cf8a561f"
categories = ["article", "philosophy"]
tags = []
+++

<p>
In his <em>Notes from Underground</em>, Fyodor Dostoevsky asks what it is that civilization, or society in general, gives to the individual. In essence, the question concerns where the individual resides in society; what can be learned from man&#39;s place in a society? Dostoevsky presents to the reader a conflicted, sickly individual, and explores why the individual is the way he is, as well as whether society could do anything to help him from his lowly state. I will argue that society, in fact, created this man; because society has this capability to degrade man it must inherently lack something. If humans are to ever put their trust in progress and society, this lack must be rectified. 
</p>
<p>
The man from underground initially presents himself to the reader by confessing that he is sick, and that he has no desire to do anything to lessen the pain and sickness. Instead, he would rather suffer - an act that is deeply spiteful towards his own self. The question that arises is this: Why would someone, knowing that his pain can be alleviated, resist the alleviation and remain thus in pain, seemingly preferring the discomfort? It appears to the reader that this underground man is being illogical, and is possibly insane. 
</p>
<p>
He then goes on to say that he used his position of power to frighten those that came to him, those that were weaker then him. He did this for no other reason then to be spiteful. But, soon after this confession, he retracts it; the man claims now that he was lying when he said he exercised his power over others unjustly. Here, there is confusion over the character&#39;s motive. Is this another case of spite, this time not directed inwardly toward himself or to another character, but directed instead at the reader? As the author of these notes, he has a certain amount of power to pass off lies as truths; the reader can know nothing but what is presented to him, so perhaps he was, in fact, spiteful. 
</p>
<p>
The other possibility is that the underground man is telling the truth to us, and thereby not only spiting us, but also himself. That is, he spites us - &#39;Ha! You believed me&#39; - but also himself, in that we are no longer as eager to listen to him. This type of self-spite, which was seen previously in his desire to prolong the pain of his sickness, implies an intensely deep self-hatred. Now, our desire to know why he hates himself so much and how he came to be so hateful has increased. What brings a man to wish to be an insect - a bug - rather than a human being? 
</p>
<p>
We later find out that he is unable to do anything spontaneously, at least not for very long. Instead, he must plan, and plan, and plan. And then, when he has his plan, he must act on it. However, his actions and their effects are never as &#39;magnificent&#39; as he would wish. He wishes to be able to act with spontaneity, without all of the thinking. Perhaps he curses his intellect, finding it a hindrance to happiness; is this cursing responsible for his state? 
</p>
<p>
This is our underground man, a mess of conflicting feelings. Why is it that he is the way that he is? I hold that it is society that has made the underground man a man of the underground - a man who hides in the dark. It is society that, at its root, has suppressed this individual to a point that he no longer knows what to do, and that society refuses to give him what it is that he needs in order to survive, in order to become whole once again, in order to leave the dark underground. 
</p>
<p>
My first justification for this claim is the author&#39;s beginning words. He tells us that he is sick, but then claims that he is not, and then claims that he is indeed a sick man. He is crying out for help, but then retracts that plea after reconsidering it. However, he cries out yet again. Knowing from the later writings how hard it is for him to speak out, it is perhaps impossible to know just how hard it is for him to express himself. 
</p>
<p>
This inability to express difficult emotions ties in immensely with his discussion of the two kinds of people; those that act, and those that only think and cannot act. Clearly, the middle ground is missing from this description; there are individuals that can think before they act, yet do not allow their act of thinking to overpower any other act. The underground man sees people as being either bulls or insects, but this is not true; he denies the possibility of a person who is part bull and part insect. 
</p>
<p>
Why would he have this false belief though? Is it something that he was taught, or was it something that he just happened to come upon while thinking alone one day? In my opinion, it was society that has given this man this incorrect idea. Society has told him that there are those people who think, and those who act; that every man must fall in one of the two groups. But why would a society that exists for the people do something like this, which denies the fact that humans are, by nature, multifaceted? 
</p>
<p>
Let us imagine that we are in control of a populace, that we were the institution of society. In order for us to remain in control, we would want to be able to protect ourselves and our populace from others. In order to do this we would need men that would act physically against such threats - we would want bulls that would see red and attack. However, in order to protect ourselves from our own people, we would have to teach, and thus, train our bulls not to attack us - to believe what we tell them. 
</p>
<p>
However not everyone is a bull, not everyone can merely act blindly to what they are told. Rather, they think things through; they attempt to make the best decision. It is these kinds of people that we would want to protect ourselves, and our bulls, from. If these gnats continually distract our bulls from their task, and allow them to think about what they are doing, then it is possible that our bulls will begin to think for themselves, and possibly turn against us. 
</p>
<p>
However, we cannot completely remove these thinkers from our mist. Rather, we must do something so that they themselves do not take action. What better then to make them see themselves as we, the institution of society, see them - as mere bugs? If we can do this, then they will begin to hate themselves, to wish that they were what they are; not men, but rather insects. 
</p>
<p>
It is precisely this which society has done to the underground man. For so long, he was frowned upon and rejected because he was a thinking, rather than an acting, man; eventually he began to reject his own self in the same manner. Not only that, but his cries for help are unanswered. The only real way for him to be welcome in society is to become a bull, but he cannot be a bull, not after being a thinking man. Therefore, in society&#39;s eyes and consequently in his own, he can never be anything but a hindrance to society - there is always a possibility that he will lapse back into his old state and question actions. 
</p>
<p>
In fact, society has done such a good job of getting the underground man to hate himself that he can no longer even believe that he can be who he is and be wanted. Although he has a strong desire to be loved, welcomed, and helped, as we can see in the first lines of the book, which are pleas, he resists that comfort at the same time. Because he believes that people will not like him for who he is, he strikes out against anyone that does like him. For example, his actions towards Liza; first he is kind, but then becomes cold because of her interest; his conflicting actions show his conflicted mindset. He wants love, but has come to believe that he is unable to change, that not even the love of another individual can remove the stigma that he has been given from society. Thus, he resents the very thing he desires; any sort of acceptance merely heightens his perception of how unaccepted he truly is. 
</p>
<p>
It is society that created Dostoevsky&#39;s underground man, a man who hates himself, yet wishes to be loved. Yet, even when he finds something that may just make him happy, he believes that he will instead make him even more spiteful towards himself. Society does this because it lacks acceptance of a variety of men; it supports and welcomes some men, and degrades and ruins others. The underground man could have been helped, but only with an extreme reconstruction of that society in which he lives; but instead, his pain and grief and cries for help were ignored. 
</p>
<h3>Source of sorts:</h3>
<p>
Fyodor Dostoevsky, <em>Notes from Underground</em>, Bantam Books, 1992. 
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> October 31st 2002<br />
<strong>Modified:</strong> February 13th 2004; February 5th 2005<br />
<strong>Notes:</strong> See also my papers tiled: <em>Can Man and Society Exist Without Religion?</em>; <em>The Increase of the Power of Man and Science as the Main Theme of the Nineteenth Century</em>; <em>Man&rsquo;s Quest for Dominance over Nature within Frankenstein</em>.
</p>

