+++
title = "English language books by or on Arthur Schopenhauer"
description = "Information on, and links to, works of Arthur Schopenhauer, or books on Schopenhauer, that are in English."
draft = false
comments = true
date = "2005-02-02T00:01:00-06:00"
modified = "2009-01-13T07:57:32-06:00"
slug = "English-language-books-by-or-on-Arthur-Schopenhauer"
blogengine = "66ac32f4-084a-4503-a3d8-50ee97834fbd"
categories = ["article", "philosophy"]
tags = ["arthur schopenhauer"]
+++

<p>
If you&rsquo;re going to read more on Arthur Schopenhauer, I suggest you start with his main works, followed by other primary resources (id est, books written by him), followed by secondary resources. 
</p>
<p>
For ease, I&rsquo;ve compiled a list of books currently available to the English language reader. Obviously, if you can read German, it makes little sense to purchase any of the translations, since the language the work was written in is better suited for Schopenhauer&rsquo;s original thoughts. 
</p>
<!--more-->
<p>
For translations, I highly recommend those done by E. F. J. Payne, who is by far the most cited translator (from what I can tell from experience). While a number of other translations exist, browsing through them has left me unnecessarily flustered, due to their unnecessary complications. Schopenhauer is easy to read in German, and should be easy to read in English.<!--adsense--> 
</p>
<p>
As far as a German version for the United States, I&#39;ve purchased the five book <span><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FS%25e4mtliche-Werke-Bd-Arthur-Schopenhauer%2Fdp%2F3518097377" onclick="window.open(this.href);return false;">S&auml;mtliche Werke</a></span>. A couple of the books are available individually, but not the full five book set. All five books will set you back around $120. 
</p>
<p>
The first book(s) you&rsquo;ll want to purchase is <em>The World as Will and Representation</em>, often cited as <em>The World as Will and Idea</em>. This work is composed of two volumes, Volume I and Volume II. The first volume is the main work, and the second is an expansion of Volume I. Volume II also includes the index to Volume I, making the purchase of the second somewhat important. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FWorld-As-Will-Representation-1%2Fdp%2F0486217612%2Fsr%3D8-1%2Fqid%3D1157390746%2Fref%3Dpd_bbs_1" onclick="window.open(this.href);return false;">The World as Will and Representation, Volume I</a></li>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FWorld-As-Will-Representation-2%2Fdp%2F0486217620%2Fsr%3D8-2%2Fqid%3D1157390746%2Fref%3Dpd_bbs_2" onclick="window.open(this.href);return false;">The World as Will and Representation, Volume II</a></li>
</ul>
<p>
Schopenhauer also has another piece, <em>On the Fourfold Root of the Principle of Sufficient Reason</em>, which should really be read first. However, since most college courses that look at Schopenhauer use <em>The World as Will and Representation</em>, this piece should definitely be read next. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FFourfold-Principle-Sufficient-Library-Philosophy%2Fdp%2F0875482015%2Fsr%3D1-1%2Fqid%3D1157391383%2Fref%3Dpd_bbs_1" onclick="window.open(this.href);return false;">On the Fourfold Root of the Principle of Sufficient Reason</a></li>
</ul>
<p>
Please note that my piece <a href="http://strivinglife.net/wordpress/2005/06/01/64/arthur-schopenhauers-principle-of-sufficient-reason/">Arthur Schopenhauer&rsquo;s Principle of Sufficient Reason</a> covers this book in some detail, at least as regards the four roots, or laws, of the principle of sufficient reason. 
</p>
<p>
Following this, we have the shorter pieces that Schopenhauer submitted to two Royal Societies of Sciences as answers to particular questions. <em>Prize Essay on the Freedom of the Will</em>, submitted to the Royal Norwegian Society of Sciences, was awarded the prize essay to the question. <em>On the Basis of Morality</em>, submitted to the Royal Danish Society of Scientific Studies, was not awarded the prize, even though it was the only entry. Both of these works deserve a reading. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FSchopenhauer-Freedom-Cambridge-History-Philosophy%2Fdp%2F0521577667%2Fsr%3D1-1%2Fqid%3D1157391305%2Fref%3Dsr_1_1" onclick="window.open(this.href);return false;">Prize Essay on the Freedom of the Will: Cambridge Texts in the History of Philosophy</a></li>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FOn-Basis-Morality-Arthur-Schopenhauer%2Fdp%2F0872204421%2Fsr%3D1-10%2Fqid%3D1157391090%2Fref%3Dsr_1_10" onclick="window.open(this.href);return false;">On the Basis of Morality</a></li>
</ul>
<p>
Following this, we have <em>Parerga and Paralipomena</em>, which consist of two separate volumes. The first is composed of six long essays, while the second is composed of thirty-one short essays. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FParerga-Paralipomena-Short-Philosophical-Essays%2Fdp%2F0199242208%2Fsr%3D1-5%2Fqid%3D1157391090%2Fref%3Dsr_1_5" onclick="window.open(this.href);return false;">Parerga and Paralipomena: Volume 1: Six Long Philosophical Essays</a></li>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FParerga-Paralipomena-Short-Philosophical-Essays%2Fdp%2F0199242216%2Fsr%3D1-2%2Fqid%3D1157391208%2Fref%3Dpd_bbs_2" onclick="window.open(this.href);return false;">Parerga and Paralipomena: Volume 2: Short Philosophical Essays</a></li>
</ul>
<p>
There are, finally, a number of translations that are currently out of print, or unavailable (at least, I have been unable to find them &ndash; any assistance in procuring these books would be extremely helpful and welcome). 
</p>
<ul>
	<li><em>Manuscript Remains</em>, consisting of four volumes (as of approximately August 2008, available through Berg Publishing)</li>
	<li><em>On the Will in Nature</em> (translated by E. F. J. Payne)</li>
	<li><em>On Vision and Colors</em></li>
</ul>
<p>
Cornell University recently (January 2007) released <em>On the Fourfold Root of the Principle of Sufficient Reason</em> and <em>On the Will in Nature</em> as one volume, taken from the Cornell University Library Digital Collections. The works are translated by Karl Hillebrand, and the actual volume quality is generally &#39;eh.&#39; However, I include it here, since it&#39;s available for both purchase (eh) or online. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2Ffourfold-principle-sufficient-reason-nature%2Fdp%2F1429739630%2Fsr%3D1-2%2Fqid%3D1157391208%2Fref%3Dpd_bbs_2" onclick="window.open(this.href);return false;">For purchase, through Amazon</a></li>
	<li>Online at <a href="http://ebooks.library.cornell.edu:8099/Dienst/UI/1.0/Display/cul.cdl/cdl322">http://ebooks.library.cornell.edu:8099/Dienst/UI/1.0/Display/cul.cdl/cdl322</a></li>
</ul>
<p>
We next have secondary works, or works on Schopenhauer. My reading of these has been sparse, however, I do have a couple books, which I include here. 
</p>
<ul>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FCambridge-Companion-Schopenhauer-Companions-Philosophy%2Fdp%2F0521629241%2Fsr%3D1-1%2Fqid%3D1157391452%2Fref%3Dsr_1_1" onclick="window.open(this.href);return false;">The Cambridge Companion to Schopenhauer</a></li>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FPhilosophy-Schopenhauer-Bryan-Magee%2Fdp%2F0198237227" onclick="window.open(this.href);return false;">The Philosophy of Schopenhauer</a></li>
	<li><a href="http://www.amazon.com/gp/redirect.html?link_code=ur2&amp;tag=strivinglifen-20&amp;camp=1789&amp;creative=9325&amp;location=%2FSchopenhauer-Years-Philosophy-R%25fcdiger-Safranski%2Fdp%2F0674792769" onclick="window.open(this.href);return false;">Schopenhauer and the Wild Years of Philosophy</a></li>
	<li><a href="http://www.amazon.com/gp/product/0252062280?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=0252062280">Schopenhauer and Nietzsche (International Nietzsche Studies)</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=0252062280" border="0" alt="" width="1" height="1" /></li>
	<li>Schopenhauer (Philosophies Ancient and Modern) by Thomas Whittaker (printed in 1909)</li>
	<li><a href="http://www.amazon.com/gp/product/0192876856?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=0192876856">Schopenhauer (Past Masters Series)</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=0192876856" border="0" alt="" width="1" height="1" /> by Christopher Janaway, which is actually <em>extremely</em> informative - I&#39;d recommend this book to anyone who may be interested in learning more about Schopenhauer, but who has not, or can not, read the primary sources. 
	<ul>
		<li>Also included in <a href="http://www.amazon.com/gp/product/0192854240?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=0192854240">German Philosophers: Kant, Hegel, Schopenhauer, Nietzsche</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=0192854240" border="0" alt="" width="1" height="1" /></li>
	</ul>
	</li>
	<li><a href="http://www.amazon.com/gp/product/0140206140?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=0140206140">Schopenhauer (Pelican books, A614)</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=0140206140" border="0" alt="" width="1" height="1" /> by Patrick Gardiner</li>
	<li><a href="http://www.amazon.com/gp/product/0415333474?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=0415333474">Schopenhauer (The Routledge Philosophers)</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=0415333474" border="0" alt="" width="1" height="1" /> by Julian Young</li>
	<li><a href="http://www.amazon.com/gp/product/1428615229?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=1428615229">Arthur Schopenhauer: His Life And His Philosophy</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=1428615229" border="0" alt="" width="1" height="1" /> by Helen Zimmern</li>
	<li>The Philosophy of Schopenhauer: An Analysis of The World As Will and Idea by Ben Kimpel</li>
	<li><a href="http://www.amazon.com/gp/product/1405134801?ie=UTF8&amp;tag=strivinglifen-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=1405134801">Schopenhauer (Blackwell Great Minds)</a><img style="margin: 0px; border: medium none" src="http://www.assoc-amazon.com/e/ir?t=strivinglifen-20&amp;l=as2&amp;o=1&amp;a=1405134801" border="0" alt="" width="1" height="1" /> by Robert Wicks</li>
</ul>
<p>
A further listing is quite possible, but as most should know, a reading of secondary works is nothing compared to a reading of primary works. After reading a number of his primary works, you&rsquo;ll soon have quite a collection of secondary resources to peruse. 
</p>
<h3>Chronological listing of works by Arthur Schopenhauer (1788 - 1860):</h3>
<ul>
	<li>On the Fourfold Root of the Principle of Sufficient Reason (1813)</li>
	<li>On Vision and Colors (1816)</li>
	<li>The World as Will and Representation (1818)</li>
	<li>On the Will in Nature (1836)</li>
	<li>The Two Fundamental Problems of Ethics (1841) 
	<ul>
		<li>On the Basis of Morality</li>
		<li>On the Freedom of the Will</li>
	</ul>
	</li>
	<li>The World as Will and Representation (1844) [Revision and addition of Vol. II]</li>
	<li>On the Fourfold Root of the Principle of Sufficient Reason (1847) [Revision]</li>
	<li>Parerga and Paralipomena (1851)</li>
	<li>On the World as Will and Representation (1859) [Third edition]</li>
</ul>
<h3><span>S&auml;mtliche Werke</span> consists of the following five books;</h3>
<ol>
	<li><span>Die Welt als Wille und Vorstellung I</span></li>
	<li><span>Die Welt als Wille und Vorstellung II</span></li>
	<li><span>Kleinere Schriften</span> 
	<ul>
		<li><span>&Uuml;ber die vierfache Wurzel des Satzes vom zureichenden Grunde</span></li>
		<li><span>&Uuml;ber das Sehn und die Farben</span></li>
		<li><span>&Uuml;ber den Willen in der Natur</span></li>
		<li><span>Die beiden Grundprobleme der Ethik</span></li>
		<li><span>Preisschrift &uuml;ber die Freiheit des Willens</span></li>
		<li><span>Preisschrift &uuml;ber die Grundlage der Moral</span></li>
	</ul>
	</li>
	<li><span>Parerga und Paralipomena I</span></li>
	<li><span>Parerga und Paralipomena II</span></li>
</ol>
<p>
<a href="http://strivinglife.net/wordpress/2007/01/28/299/arthur-schopenhauers-books-in-samtliche-werke/">Read more about these German version books</a>.
</p>
<h3>Additonal secondary resource recommendations</h3>
<p>
<em>coming shortly</em>
</p>

