+++
title = "Erasmus' Understanding of Authority"
description = "Perspectives of Human Values: The Renaissance mid-term paper. Deals with Erasmus and authority. [slnet0514:c35d85ab-d839-4f73-9198-292f6b91bbd1]"
draft = false
comments = true
date = "2001-10-10T03:19:00-05:00"
modified = "2008-06-22T21:33:24-05:00"
slug = "Erasmus-Understanding-of-Authority"
blogengine = "c35d85ab-d839-4f73-9198-292f6b91bbd1"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
This paper was written for the class Perspectives of Human Values: The Renaissance for the mid-term paper. 
</p>
</div>
<p>
This paper will explore Erasmus&rsquo; understanding of authority.&nbsp; First of all, Erasmus&rsquo; view on the Bible and Scripture will be discussed.&nbsp; Secondly, what he has to say about the Spirit will be discussed.&nbsp; Lastly, Erasmus&rsquo; view on church will be discussed.&nbsp; Since Erasmus&rsquo; primary focus in his paper was on the Bible, that too will be the focus of this paper. 
</p>
<p>
Based on the fact that Erasmus not only translated, but also read the Bible in the original languages, Erasmus can be thought of having quite an extensive knowledge dealing with the Bible and Scripture.&nbsp; In his Prefatory Observations, Erasmus says &ldquo;Among the difficulties, of which not a few crop up in Holy Scripture, there is hardly a more tangled labyrinth than that of &lsquo;free choice&rsquo; &hellip;&rdquo; (Rupp and Watson, 35).&nbsp; It can be assumed that since Erasmus has gone over the Bible so frequently, that when he says this, we can trust him.&nbsp; This statement therefore makes a good point that will be restated in different words later on in his work; namely that the Bible and Scripture can be looked at different ways.&nbsp; Due to the obscurity of the Scripture &ldquo;into which God has not wished us to penetrate more deeply&rdquo; (Rupp and Watson, 38) there is much that is left for the readers to not know. 
</p>
<p>
Erasmus seems to believe that the authority that controls man is God.&nbsp; Man does have some say however.&nbsp; Erasmus begins by pointing out, and explaining the passages in Scripture that point out that free choice exists.&nbsp; &ldquo;God made man from the beginning, and left him in the hand of his own counsel.&nbsp; He added his commandments and precepts.&nbsp; If thou wilt observe the commandments, and keep acceptable fidelity forever, they shall preserve thee.&nbsp; He hath set water and fire before thee; stretch forth thine hand for which thou wilt.&nbsp; Before man is life and death, good and evil; that which he shall choose shall be given to him.&rdquo; (Rupp and Watson, 47)&nbsp; Therefore, as long as the commandments are kept in mind, man can do as it wishes.&nbsp; Man must remember that God is the final authority however, as he has the say in the end. 
</p>
<p>
The commandments are from God, handed down to man, to help man lead a good life.&nbsp; Since man is unable to communicate directly with God, man must use the commandments, and Scripture to lead him to the right path.&nbsp; In fact, man should accept God&rsquo;s authority without question.&nbsp; &ldquo;The whole man should depend on the divine will, place all his hope and confidence in God&rsquo;s promises, recognize how miserable he is of himself, and love God&rsquo;s immense mercy, which he freely bestows on us, and submit himself wholly to God&rsquo;s will, whether he wills to save or destroy&rdquo; (Rupp and Watson, 86). 
</p>
<p>
Erasmus&rsquo; view that man has some say in his destiny is one way in which his view conflicts with Luther.&nbsp; Erasmus does believe that man has some authority in his own life, although God is the one whose authority is major. 
</p>
<p>
Erasmus also took a look at the Spirit and the church as authorities.&nbsp; &ldquo;But let us grant, as indeed we must, that it is possible that the Spirit might reveal to a single humble and unlearned man what he has not revealed to the wise and prudent&rdquo; (Rupp and Watson, 44).&nbsp; This quote best describes Erasmus&rsquo; view that the Spirit helps in the understanding of the Scripture.&nbsp; According to Erasmus, the idea that the Spirit is the only thing that you need to help decipher Scripture is ridiculous.&nbsp; The major objection he has, is if this is true, why are there so many questions about the Scripture? 
</p>
<p>
According to Erasmus, the church is able to help understand the word of God, the Bible.&nbsp; Without the church, it would be next to impossible to get the truth from the Bible.&nbsp; The church has an intimate knowledge of the Bible, and is able to pass that information on to its members.&nbsp; Not only that, but the church also deciphers some of the obscurities Scripture so that it is more easily understood.&nbsp; &ldquo;I know how frequently it happens that the greater part overcomes the better: I know those are not always the best things that are approved by the majority&rdquo; (Rupp and Watson, 43).&nbsp; In other words, what the common man thinks that he knows is not in this case bound to be correct. 
</p>
<p>
Erasmus best sums it up when he points out that &ldquo;since different men have assumed different opinions from the same Scripture, each must have looked at it from his own point of view, and in the light of the end he is pursuing&rdquo; (Rupp and Watson, 86).&nbsp; In other words, without the church to help guide us towards the correct meaning, there would be a different view of God&rsquo;s word from each person.&nbsp; This is one of Erasmus&rsquo; main attacks against those who claim that the church is not necessary.&nbsp; If man relied solely on the Spirit to show the way, there would be far too many ways. 
</p>
<p>
&ldquo;If it [the Scripture] is so clear, why have so many outstanding men in so many centuries been blind, and in a matter of such importance, as these would appear?&rdquo; (Rupp and Watson, 44)&nbsp; This sentence best sums up Erasmus&rsquo; ideas and the paper that we wrote.&nbsp; It ties in the fact that he viewed the Scripture so highly in the quest for authority, his view that since the Scripture is not clear, some kind of help from the outside must help, and that it is not primarily the Spirit. 
</p>
<p>
Erasmus believes that Scripture, the Spirit, and the church have a great deal to do with authority.&nbsp; As pointed out, Erasmus explores the Bible/Scripture primarily for passages dealing with authority, and shows that man is not a complete slave to God&rsquo;s will, although God has the first, and final say in matters.&nbsp; He finds it hard to believe that the Spirit shows common men the correct way to live their lives, rather that the church is necessary to help guide us. 
</p>
<h3>Bibliography:</h3>
<p>
<u>Luther and Erasmus: Free Will and Salvation.</u>&nbsp; E. Gordon Rupp and Philip S. Watson.&nbsp; Westminster John Knox Press, 1995. 
</p>

