+++
title = "Experience as the Central Value of the Age of Reason"
description = "Paper written for a course studying the Age of Reason, in which Francis Bacon's New Atlantis is looked at with the view that the central value of the Age of Reason is experience. Other sources from this period are also drawn upon."
draft = false
comments = true
date = "2003-05-05T01:01:00-05:00"
modified = "2008-03-21T16:36:12-05:00"
slug = "Experience-as-the-Central-Value-of-the-Age-of-Reason"
blogengine = "1a414de3-3227-4fa3-bb7c-5702392cea5d"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Francis Bacon&#39;s <em>New Atlantis</em> was the first chosen source to read for this Age of Reason class. Bacon&#39;s work best fits as a beginning reading for various reasons, one of which is the applicability of the book as showcasing the major ideas of the Age of Reason at the beginning of their formation, in many cases. For this paper, I will begin by examining Bacon&#39;s <em>New Atlantis</em>, in a specific area, and then pursuing that area&#39;s progress, or reiteration, in some of the other readings from this age.
</p>
<p>
If one had to choose one value of the Age of Reason most showcased by the <em>New Atlantis</em> it would have to be the value of experience, or experimentation. Bacon&#39;s piece is the tale of a group of sailors who, during a voyage, happen upon a new land full of wondrous new ideas. Running low on provisions, after experiencing unfavorable wind conditions, these sailors come upon the island of Bensalem. While there is, at first, a question of whether they will be able to land, they are eventually allowed to land, first as a small group, and then as a whole. In addition, they are given a place to stay, so their sick can heal, food to eat, and, most important, the ability to experience the society that is Bensalem.
</p>
<p>
Before turning to focus solely on the value of experience, there are other values to touch upon briefly, as they too are important values of the age. One of these values is the importance of God, in terms of one religion or another. Christianity is the religion Bacon focuses on, in that the people of Bensalem are Christians to, perhaps, an extreme sense of the word&#39;s meaning. Bacon has an idea of the ideal Christian, as shown, as being one who helps out those in need, even if they are strangers to all, because of the fact that they are human beings in need, and for no other reason. The cryptic saying of being &quot;twice paid&quot; [1: 41 &amp; 43] best showcases these feelings.
</p>
<p>
Multiple times, instead of accepting the items that the sailors would like to trade for the kindness and assistance that they are receiving, or in order to show that they are willing to give anything to the people of Bensalem that they would like because of their kindness, the sailors are replied to with the saying that the person could not accept them for their labor, or they would be &quot;twice paid.&quot; [1: 41 &amp; 43] As is explained later the best by a priest, the people of Bensalem do good and act towards others with kindness because the reward they seek - and what any good Christian would strive for - was, and is, &quot;our (the sailors) brotherly love and the good of our (the sailors) souls and bodies.&quot; [1: 46] For the people of Bensalem, to get anything more than the friendship of others would be like getting paid twice and therefore getting more then they deserve.
</p>
<p>
So then, the value of religion, the importance of God, has, tied to it, other values. The values of; tolerance, good will and kindness, and the value of performing one&#39;s duties, are all contained with, and are necessary when one is, a religious person. Having touched upon a few of the other values stated in the New Atlantis, we can now look at experience and its role in Bacon&#39;s work.
</p>
<p>
Having been on the island of Bensalem for a short time, the sailors wished to be able to learn more about the land and its society. Having experienced the greatness of its people, there was naturally a desire to learn how they became this way, having not experienced such a society before. The governor of Bensalem, again acting as the others do, in that he too wishes the good of the sailors&#39; souls, first tells them of how Bensalem first came to know God&#39;s teachings, which is important for how they became people of God, as well as how they conduct themselves. By way of the history King Solamona, told by the governor on a later date, the sailors learn of the islands current actions, and why it acts as it does.
</p>
<p>
The sailors learn that King Solamona &quot;had a large heart, inscrutable for good; and was wholly bent to make his kingdom and people happy.&quot; [1: 56] To this end, Solamona set up rules, still followed in Bensalem even after around nineteen hundreds years, concerning the conduct of those on the island in particular affairs. One rule was to make sure that Bensalem could &quot;maintain itself without any aid at all of the foreigner&quot; [1: 56] so that it would not need to depend on others for the well-being of the island. Self-sufficiency means that one need not worry about needing something from someone, who, for whatever reason will not give them that thing, which tends to result in conflict. Solamona also decreed that the people of Bensalem should be restrained from traveling to other parts of the world, save those of Salomon&#39;s House.
</p>
<p>
Salomon&#39;s House, or the College of the Six Days&#39; Work, is the, in Bacon&#39;s work, ideal of what a society should have, in respect to scientific discovery. Salomon, as the governor tells the sailors, &quot;had learned from the Hebrews that God had created the world and all that therein is within six days; and therefore he instituting that House for the finding out of the true nature of all things, (whereby God might have the more glory in the workmanship of them, and men the more fruit in the use of them,) did give it also that second name.&quot; [1: 58]
</p>
<p>
Contrary to later beliefs, as well as some earlier beliefs, but not to such an extent, science and religion do not, and should not, conflict each other. Solamona, a religious ruler in a religious land, sets up an order which studies nature in order to find out more about how nature works, so as to be able to use that knowledge to &#39;make his kingdom and people happy&#39; and self sufficient.
</p>
<p>
The reason those of Salomon&#39;s House are allowed to leave the island is because these individuals have the task of getting &quot;knowledge of the affairs and state of those countries to which they were designed, and especially of the sciences, arts, manufactures, and inventions of all the world; and withal to bring unto us books, instruments, and patterns in every kind.&quot; [1: 59] It is not so much the material possessions, or resources, of others that they want, but rather the ideas, which can easily be shared among many. However, Salomon&#39;s House does not work merely with the ideas of others, but does its own work as well. It is through one of the Father&#39;s of Salomon&#39;s House that we learn more about this aspect.
</p>
<p>
The goal that Salomon&#39;s House strives for &quot;is the knowledge of Causes, and secret motions of things; and the enlarging of the bounds of Human Empire, to the effecting of all things possible.&quot; [1: 71] To this end, Salomon&#39;s House set up &quot;large and deep caves of several depths&quot; [1: 71], called the Lower Region, to aid in the refrigeration, preserving, and hardening, of things. The Upper Region is composed of variously tall towers, and is used where height is important, such as sight/distance related experiments as well as examination of light and the heavens.
</p>
<p>
The Father of Salomon&#39;s House explained the other various aspects of what the order does, such as the breeding of various kinds of animals so that they grow &quot;to be perfect creatures.&quot; [1: 75] Trees, and other plants, are also subjected to this so as to be made to be different sizes then normal, as well as to be &quot;more fruitful and bearing than their kind is; and contrariwise barren and not generative.&quot; [1:75] The people of Salomon&#39;s House work with the &#39;bad&#39; as well as the &#39;good&#39;, as only by knowing both can true knowledge be had.
</p>
<p>
By examining mechanical devices, among other things, Salomon&#39;s House has created &quot;divers mechanical arts, which you have not&quot; [1: 77] - referring to the other societies at Bacon&#39;s, as well as the sailors&#39;, time. In addition to all of the above, there are also places where the senses are experimented with, and on. These places, such as the &quot;perspective-houses&quot; [1: 77], the &quot;sound-houses&quot; [1: 78], and the &quot;perfume-houses&quot; [1:79], all focus on one sensation to work with, causing - as in the case of the &#39;perfume-houses&#39; - there to be imitations of taste together so as to deceive any man. By this we are to take these places as being the centers of study of the sensations so as to make the experience of something change to what one wishes it to be. No longer need sugar be sweet or a particular medicine bitter.
</p>
<p>
The point of the various &#39;houses&#39; is to experiment with nature by actually performing the experiments. While they read of things done in books, written by other people who did the experiments detailed, they actually perform the examinations themselves, adding experiences not found by solely reading of an experiment, as well as adding a perspective that may not have been the same as the original experimenter. They, in other words, learn by both reading as well as doing - one must experience for oneself something and then make one&#39;s own judgement about that thing.
</p>
<p>
Of course, one could examine Bacon&#39;s <em>New Atlantis</em> and say that Salomon&#39;s House is not as great as I am making it seem, in that all knowledge is not given freely to all. Salomon&#39;s House has within it individuals who decide which knowledge will be allowed for public consummation as well as what will not be allowed to the masses. However, Salomon&#39;s House is a great example of the appreciation of, the valuing of, experience and discovery by scientific methods. These values, as we will now examine, continue to be important to thinkers after, and around the time of, Francis Bacon.
</p>
<p>
It is not a coincidence that the first philosopher of the era called the &#39;Modern Period of Philosophy&#39; is also an important thinker during the Age of Reason. Ren&eacute; Descartes, and his <em>Discourse on Method</em>, is, to many, the greatest philosopher, and the next great work, after the time of Aristotle. So too could he be seen as the next greatest scientific thinker after Bacon. The reasoning behind this claim can be seen by examining his four sufficient logic beliefs, as detailed in the <em>Discourse on Method</em>.
</p>
<p>
&quot;The first was, never to accept anything as true when I did not recognize it clearly to be so, that is to say, to carefully avoid precipitation and prejudice, and to include in my opinions nothing beyond that which should present itself so clearly and so distinctly to my mind that I might have no occasion to doubt it.
</p>
<p>
The second was, to divide each of the difficulties which I should examine into as many portions as were possible, and as should be required for its better solution.
</p>
<p>
The third was, to conduct my thoughts in order, by beginning with the simplest objects, and those most easy to know, so as to mount little by little, as if by steps, to the most complex knowledge, and even assuming an order among those which do not naturally precede one another.
</p>
<p>
And the last was, to make everywhere enumerations so complete, and surveys so wide, that I should be sure of omitting nothing.&quot; [2: 182]
</p>
<p>
We see in this quote that Descartes was, like those of Salomon&#39;s House, concerned with knowledge, but not just any knowledge, rather the knowledge that can be shown by experience. It is this same desire that leads him to conclude that the only thing that he can know, without a doubt, is that there is an &#39;I&#39; - a thing capable of thinking and doubting - that exists. From this, Cogito ergo sum, or, &quot;I think, therefore I am&quot; [2: 184], and his four sufficient beliefs, Descartes is able to know the world by building upon this basic truth.
</p>
<p>
Another philosopher and scientific thinker is John Locke. In <em>An Essay Concerning Human Understanding</em>, Locke explains how he believes man comes to understand. There are two ways we come to understand, and &quot;all our ideas are of the one or the other of these.&quot; [2: 187] &quot;All ideas,&quot; says Locke, &quot;come from sensation or reflection.&quot; [2: 186] The first method, sensation, he likens to experience of external things - both physical and non-physical. The second, reflection, refers to the experiences of one&#39;s own mental activity.
</p>
<p>
Locke is showing just how important experience is in that it is how we come to know things. Locke&#39;s argument is an argument against the view that human beings have innate knowledge - which is knowledge what we are born with, and do not learn by experience. If human beings had innate knowledge - such as knowledge of God - than that would decrease the importance of experience, in that experience would not be the only way to gain knowledge.
</p>
<p>
Of course, Locke&#39;s premise of there being no innate knowledge, or ideas, is a contested one, seeing as how it cannot be disproved by experience. Nonetheless, the debate brings up an important issue. It is in Thomas Reid&#39;s <em>The Philosophy of Common Sense</em>, stemming from the debate of the above, that Reid says that the fellows in the debate, such as Gottfried Leibnitz and David Hartley, are taking certain aspects of what they are talking about as being a particular way, &quot;because ancient and modern philosophers have agreed in this opinion.&quot; [2: 217] In other words, Reid is asking whether any philosopher really does as Descartes prescribes of calling everything into question. He seems to be suggesting that the teachings of Plato and Aristotle, Descartes and Locke, all the writings up to this time in short, should be, in a sense, thrown out. One should not assume any writings sacred, not even the writings of those that all depend on in one manner or another.
</p>
<p>
Moving back to the topic of experience, sensation, as we saw from Locke&#39;s piece is the primary way of gaining knowledge, according to Locke. So too is it the primary, and only, way to gain knowledge according to Etienne Bonnot de Condillac. In his <em>Treatise on the Sensations</em> Condillac makes an argument that sensations is what all else is built upon. So, like Locke, Condillac holds that experience &quot;is the sole source of our enlightenment and of our feelings.&quot; [2: 220] He shows us, through the consideration of feelings, that this is true. &quot;Consider feeling,&quot; Condillac suggests, &quot;observe it especially when it is increased by all the judgements we confuse with sense impressions, these sensations then, which at first only gave us few and coarse pleasures, cause in us the most delicate pleasures, and these follow one another with astonishing variety.&quot; [2: 220-221]
</p>
<p>
So, for example, a child takes in all sensation with no regard for whether it is pleasurable or not. A child will, for instance, stick its hand on, or in, something radiating heat if only to experience it. Later, after experience has shown the child what is pleasurable and what is not, they focus solely on pleasurable things - hence the desire to stay away from new things the older one gets. In fact, this shows not only that Locke has a point, but also that Descartes is correct in yet another aspect.
</p>
<p>
As Condillac says, in addition to that above, &quot;the farther we get from the original sensations the more our life expands and is varied. It will extend to so many things, that we shall with difficulty understand how all our faculties can have one common principle in sensation.&quot; [2: 221] In other words, Condillac seems to be suggesting that we should do as Descartes suggests and call our beliefs into question. If we have forgotten a source of our beliefs, how can we know that our belief is true? It is only by calling all truths into question, and seeking knowledge anew, that we can know the truth.
</p>
<p>
Marquis de Condorcet, in <em>The Utility of Science</em>, continues with this line of thought, to show another benefit of questioning our beliefs. Of the benefits of science, &quot;the most important perhaps is, that prejudice has been destroyed, and the human understanding in some sort rectified; after having been forced into a wrong direction by absurd objects of belief, transmitted from generation to generation, taught at the misjudging period of infancy, and enforced with the terrors of superstition and the dread of tyranny.&quot; [2: 67] It is, according to the above, possible that some, in all likelihood, unfounded prejudice by someone long ago has influenced the current view of something. If one does not question their beliefs, and does not strive towards true knowledge, then one accepts lies as truths. The man of reason, the man of the Age of Reason, the true thinker, would not allow himself to be deceived by information inspired by mere fear.
</p>
<p>
However, Marquis de Condorcet does not suggest that we take the route of Descartes, but rather that through science we can be taught &quot;to ascertain the several degrees of certainty to which we may hope to attain; the probability according to which we can adopt an opinion, and make it the basis of our reasonings, without injuring the rights of sound argument, and the rules of our conduct - without deficiency in prudence, or offense to justice.&quot; [2: 66] In other words, the more experiences that we have of something, the more we can be certain that we know the object as it is. If we make a judgement of something based upon one experience of the thing, then we cannot be sure that the thing is that way. Meeting someone for the first time, and getting in an argument with the person over some trifling matter, should not influence our impressions of them completely, as it is quite possible that they had been delivered some bad news immediately before the confrontation.
</p>
<p>
In addition, science also shows us that one must not only experience something for oneself, but must also have others experience it as well, so as to be sure that it is how it is. It is possible that some condition or prejudice, which you may not even know you have, may lead to you, or any observer, to come to a conclusion which no one else, unless they had these beliefs, would come to.
</p>
<p>
The last author that I would like to look at very briefly, Joseph Priestley, seems to be saying something contrary to what is stated above. In <em>The Organization of Scientific Research</em> Priestley discusses the societies of Europe that pursuing knowledge and how they could be the foundation for a system which would increase the current rate of education and discovery. He suggests that the large societies split themselves up into smaller parts and that then each part should be given some amount of funding. These smaller parts could then be split into members, who would then pursue the knowledge that they desire, instead of the desires of the whole society. This would allow each member to do as they desire, which would also be what they have the most interest in, and allow for an increase in knowledge, instead of having members work on projects that they would rather not work on. However, Priestley also suggests that each member write up their results for analysis by the whole.
</p>
<p>
So, instead of having large groups of individuals perform an experiment, each member is allowed to do as they please. This will, naturally, allow the results of such experiments to be slightly skewed, in certain cases, as the experimenter probably has some goal that they would like to obtain. However, Priestley&#39;s lack of discussing this could mean either that he does not believe it will happen, or that he does not have a solution. If we assume the former case, then our point of experience being the most important aspect of knowledge remains, but, is troubled. After all, while each member is doing an experiment, they are not doing every experiment. As Priestley points out though, if each member did do each experiment the information would not increase as he would like it to. Instead, information would stay at the same approximate level of release. This then raises the question of what is more important, the amount of knowledge of the quality of knowledge.
</p>
<p>
This question, however, was not the question that I wished to answer here. Instead, I wanted to focus on experience as being the most important value of the Age of Reason, if one had to pick only one value. How one acts on knowledge, as well as how religion and God plays into knowledge is not, while excellent values, the values that I wished to discuss. Bacon discusses these other values in the New Atlantis, but not so much as he does experience. Those thinkers following Bacon, such as John Locke and Marquis de Condorcet, also discuss religion and how one should use knowledge, but it is experience that is, if one accepts Descartes thesis as one must, the primary, and perhaps only, way to gain knowledge.
</p>
<h3>Bibliography:</h3>
<p>
1. Bacon, Francis, <em>New Atlantis and The Great Instauration: Revised Edition</em>, ed. Jerry Weinberger, Harlan Davidson, Inc (Illinois, 1989).
</p>
<p>
2. Kramnick, Isaac (ed.), <em>The Portable Enlightenment Reader</em>, Penguin Books (New York, 1995).
</p>
<h3>History</h3>
<p>
<strong>Created:</strong> May 4th &ndash; 5th 2003<br />
<strong>Modified:</strong> February 13th 2004; February 5th 2005
</p>

