+++
title = "Games: Thoughts on Syberia™"
description = "Thoughts on the PC game Syberia&trade;, based on a handful of hours of play, and approximately half the game complete."
draft = false
comments = true
date = "2004-10-31T01:01:00-06:00"
modified = "2010-02-14T13:21:37-06:00"
slug = "Games-Thoughts-on-Syberia"
blogengine = "49d4cd59-59e1-4cda-b5c8-7e10c789320e"
categories = ["software"]
tags = ["Syberia"]
+++

<p>As a Halloween gift to myself, I picked up a copy of Syberia&trade; at Best Buy yesterday afternoon. Since then, and after trying out a controller I picked up to play my PSX games on my PC, I&rsquo;ve been playing it (Syberia&trade;) with a few breaks, here and there. What follows are my thoughts on the game thus far, with around half the game complete.</p>
<p>First off, the game is extremely aesthetically pleasing. Secondly, this game is astonishing in environmental detail. Thirdly, this game is a feast for the eyes. Hopefully, this impresses upon the reader how taken I was, and am, with the graphics of this game. Note that I do have a fairly fast machine that I&rsquo;m running this on, so detail may be lacking on other machines. However, the requirements are set low enough that this game would probably look as well on my other two machines as well, leading me to believe that anyone with technology from the last couple of years should be able to handle this game. The cut-scenes, playable through the main menu after unlocking them (which is extremely nice), are also quite good, amazingly at par with other cut-scenes, but not too different than the actual game&rsquo;s normal scenes (which may indicate how much I like the look of the game).</p>
<p>The other important aspect to a game&rsquo;s aesthetics is music, or sound. Basing my opening determinations of Kate, the main character, I was expecting a somewhat more feminine voice. However, after a while, the voice melds to the character, and sounds exactly like many a female I&rsquo;ve overheard (especially some of her phone, and post-phone, conversations). Related to this, synching matches fairly well, but I assume, without reading up on the subject, that English is not this games original language. Mouths out of synch have near been a big problem for me in games, probably because of too much Final Fantasy, and therefore present no real problem for me here.</p>
<p>The ambient sound seems to come and go, usually at the correct moment, but sometimes not. For example, the music indicates a climax, when, really, we were expecting the occurrence indicated to occur. Cut-scene music and sound, however, is well on-cue, and complimentary. It also makes sense when you hear music, for the most part. You don&rsquo;t hear it in a library or in the &lsquo;wild&rsquo;, but you do when there is a bandstand nearby. Of course, these are not rock solid.</p>
<p>Other ambient sound includes the rustling of carpet, the different sounds of dirt and rocks, and the chirping of birds, not to mention the squeak of a rusting gear, etcetera. I was most impressed that Kate&rsquo;s feet made distinctly different noises, but that certainly does not mean that the rest of the sounds were anything less than superb.</p>
<p>Story, thus far, has been, although predictable at times, extremely interesting. It&rsquo;s unfortunate that the game isn&rsquo;t linear (I think to myself, at times), for I get the distinct feeling that I&rsquo;m missing out on a couple aspects of individuals, due to the fact that I didn&rsquo;t ask everyone everything. However, the game isn&rsquo;t linear, per se, in that you can determine the order in which you do particular tasks. Sometimes you must do something before you can do another, but there is usually some leeway.</p>
<p>The characters are, thus far, unique in their own particular ways. I&rsquo;ve yet to find a single character that is typical, and that can be found, for the most part, in some other game. Of course, I&rsquo;ve yet to meet all of the characters, having only traveled, as I said above, approximately half way through the game.</p>
<p>The puzzles are the last thing that I will discuss as a specific topic, moving onto the bad aspects of this game next. I&rsquo;ll admit that I&rsquo;ve been perplexed more than a couple times, all because I&rsquo;ve overlooked some area where I could move or search. The graphics on this game are such that there is no real way to determine where to place your mouse and where not to, leaving you to actually use your mind &ndash; where, if you were in the game, would you go, or what would you try?</p>
<p>Usually, it&rsquo;s fairly clear, although that is not to say that that means that it&rsquo;s fairly easy. You&rsquo;ll usually be able to determine what you need, since the puzzles involve machines of varying complexity. However, getting all of the pieces is a puzzle within itself. Having little experience with this genre, having not played too much since I picked up a copy of Myst, oh so long ago, perhaps I find the puzzles to be as I&rsquo;ve stated above due to my inexperience, and others, of more experience, will find the puzzles to be quite easy. However, if they have any taste in quality graphics, they may be distracted in such a way that the puzzles are, if not difficult, not quite easy.</p>
<p>Having said all of the above, are there any things that I don&rsquo;t like about the game? One thing that I can&rsquo;t say I really like is the amount of time you have to move back and forth between areas, especially if you&rsquo;ve failed to notice something that you were supposed to search, to pick up some necessary object. However, this is more a failing of my own, than a failing of the game.</p>
<p>At times, the characters can be a bit too much. I can think of a couple of Kate&rsquo;s phone conversations that I could have easily skipped through, among other conversations she has had. However, these do add a certain level of depth to the characters, and if I so chose, I could have easily skipped through them. In addition, since I haven&rsquo;t played through the game entirely as of yet, I can&rsquo;t say whether these will have any role in the later parts of the game.</p>
<p>Update: Having played another hour or so of the game, I can confirm that you should always listen to the conversations you hear &ndash; you may never know when some obscure fact that one of the characters drops may come in handy.</p>
<p>Thus far, then, I must admit that I&rsquo;ve enjoyed playing this game immensely. In fact, it&rsquo;s not too often that I take the time to write a review of a game that I&rsquo;ve only played for a few hours on approximately the day I bought it (it now being almost one in the morning of the day after the bought date). If you&rsquo;d like an aesthetically pleasing adventure game, that involves puzzles and interaction, I highly recommend this title. The Game of the Year edition is the one I bought, and it only set me back $19.99 (but I was expecting to pay $29.99 for it, and was quite willing to fork out that much, having heard how graphically pleasing the game was).</p>
<p>At this time, you can find out more about this game at the Adventure Company site, <a rel="external" href="http://www.adventurecompanygames.com/tac/syberia/">http://www.adventurecompanygames.com/tac/syberia/</a>, as well as about Syberia&trade; II, the sequel (which I will buy, if Syberia&trade; continues to impress me as it does), at <a rel="external" href="http://www.syberia2.info/syberia2/english/">http://www.syberia2.info/syberia2/english/</a>.</p>
<p>Comments or questions about this piece are always welcomed and appreciated.</p>
<h3>Notes</h3>
<p><strong>Created</strong>: October 31st 2004<br /><strong>Modified</strong>: October 31st 2004; December 18th 2004; February 5th 2005<br /><strong>Notes</strong>: I did end up picking up a copy of Syberia II&trade;, before I finished Syberia&trade;, since I enjoyed the game so much, and since the sequel was only twenty dollars. I did finish Syberia&trade; today (12/18), and still highly recommend the game.</p>
