+++
title = "Guide on Installing Jeskola Buzz, Version 2"
description = "Guide to installing Jeskola Buzz, written by James Skemp.  Originally written in February of 2003, but revised in November of 2003.  This guide was written based upon an installation with Windows XP SP1, but any Windows operating system that will run Jeskola Buzz follows these procedures."
draft = false
comments = true
date = "2003-11-07T00:01:00-06:00"
modified = "2009-12-21T08:05:47-06:00"
slug = "Guide-on-Installing-Jeskola-Buzz-Version-2"
blogengine = "82901a62-1024-40c1-aee0-e63bffc4ea76"
categories = ["article", "software"]
tags = ["jeskola buzz"]
+++

<p>Originally written in February of 2003, but revised in November of 2003. This guide was written based upon an installation with Windows XP SP1, but any Windows operating system that will run Jeskola Buzz follows these procedures.</p>
<!--more-->
<p><strong>Notes:</strong> Special thanks to all of the individuals who have let me know they appreciate the guide - your comments tell me where I need to make improvements, and that my work is appreciated. Keep the comments coming :) Special thanks to Nool, over at Noolmusic.com, for the on-point suggestions.</p>
<hr />
<h3>Table of Contents</h3>
<ol>
<li><a href="#intro">Introduction</a> (can safely be skipped)</li>
<li><a href="#install">Installing Jeskola Buzz, Version 2</a></li>
<li><a href="#conclude">Conclusions</a> (w/ links)</li>
</ol><!--nextpage-->
<h4><a title="intro" name="intro"></a>Introduction<br />(Can safely be skipped)</h4>
<p>A long while ago I was searching for information regarding World Machine, and a stop took me to the official site of the program. After a bit of looking around, I found something regarding a program in the 'thanks area'. After a bit more searching, I found <a href="http://www.buzzmachines.com/">http://www.buzzmachines.com/</a>, which appears to be the center of the Buzz world. <a href="http://www.buzzmanual.com/">http://www.buzzmanual.com/</a> is the place to find the manual for Buzz (which is also available in the download), and which also appeared to be what World Machine's creator was talking about. So, I decided to install the program and give it a try. However, for one reason or another, I decided that I would write a tutorial about setting Buzz up. I published my tutorial back in February of 2003, a little later, in May of 2003, I noticed that quite a few people were hitting my Buzz page. I was, naturally, curious as to why this was, so I looked through around a bit and noticed that I had been linked to on one of the big Buzz sites (and perhaps the biggest Buzz site). A short while after that, I was contacted regarding my pages, and asked if I would allow them to host my site on their site. Of course, as I wrote this tutorial for consummation by others, I was more then happy to help out as I could. Since then, hits to my page decreased, but, people still visited in a steady stream (which was quite nice :)).<!--adsense--></p>
<p>However, a couple of months ago (August/September of 2003) I realized that my site was quite out of date. I really wanted to update the guide to the newest downloads. However, my laptop soon after became very unstable, and the project was postponed (again and again). Today, after reminding myself that I have had to update the guide for the past 5 months, I decided to sit down and get it done, even if it means that I don't get to sleep tonight ;)</p>
<p>Of course, before I conclude, I should make note of a few things. First, since the original writing of the guide I have updated the site fairly heavily. Because of that, these guides do not reside where they once did, and the background (thankfully perhaps) has changed. Secondly, I apologize to everyone that may have come upon my tutorial, wherever it may have resided, and found that the guide was quite out-of-date. I'm a big fan of the Internet because I see it as a place for people to share the information that they have, and, by doing so, help each other out. For me to let things slide so that my guide was this out of date is, quite frankly, a poor show on my part.</p>
<p>Without further ado, since I've already talked too much, I introduce the guides. Instead of doing what I had originally planned of doing, back in February of 2003, I'm just going to focus on installing Buzz (since I seem to have been helpful in this regard). I'll be including my original, February 2003 tutorial, as well as a newly updated tutorial. I would appreciate that this page be linked to (if any) since I may just add a new tutorial somewhere down the line for the next version (etcetera). Also, if you link to me, and point people towards this resource, I would be more then happy to include your link on my site (in other words, let me know if you link to me) :). Without further rambling, I present my Guide on Installing Jeskola Buzz: Guide Version 2.</p>
<p>Update 2005.10.31: While new downloads are available (with Jeskola Buzz 1.2 (fixed exe), the substance should remain the same. Since I was unable to download an install file when updating this article, I can't verify that (but I'm sure some reader who read this before using the below guide, will happily verify this for me, in return for a shout out :)).</p>
<!--nextpage-->
<h4 style="text-align: center"><a title="install" name="install"></a>Installing Jeskola Buzz, Version 2</h4>
<p>The first thing that you will want to do, if you want to install Jeskola Buzz is to head on over to <a href="http://www.buzzmachines.com/">http://www.buzzmachines.com/</a> and register at the site.<!--adsense--></p>
<p>Next, on the left hand side of the screen, in the navigation bar, you'll see a section called 'Info', and within that section you'll see a link to a couple of pages, 'What is Buzz?' and 'Buzz FAQ'. You may want to look over these pages before you click on the link (in the same section, called '<strong>Download Buzz</strong>'. When you are ready, click on this link to continue.</p>
<p>When you land here, you should see a page referring to three different packs; the (in this case) <em>May 2003 update pack</em>, the <em>Stealth Buzz Pack</em> and the <em>Massive Buzz Pack</em>. I'll be assuming that you have not setup Jeskola Buzz before, and will therefore not be discussing the update pack, so we'll move past this for the moment.</p>
<p>If we look at the other two packs, we see a few differences. The following table is a copy of the two different packs' features:</p>
<table style="width: 100%; border: black 1px solid; padding: 0px;" border="0" cellspacing="0">
<tbody>
<tr>
<td style="width: 50%; vertical-align: top;">
<p>Stealth Buzz Pack (Stealth Buzz installation file - 8.22 MB)</p>
<p>This Buzz pack features:</p>
<ul>
<li>Jeskola Buzz 1.2 </li>
<li>28 Generators </li>
<li>33 Effects </li>
<li>Overloader 1.4.9E </li>
<li>Improved VST2 Support by Polac </li>
<li>2 VSTi's </li>
<li>3 VST FX </li>
<li>Manual </li>
<li>5 tools </li>
</ul>
</td>
<td style="width: 50%; vertical-align: top;">
<p>Massive Buzz Pack (Massive Buzz installation file - 39.8 MB)</p>
<p>This Buzz pack features:</p>
<ul>
<li>Jeskola Buzz 1.2 </li>
<li>188 Generators </li>
<li>358 Effects </li>
<li>Overloader 1.4.9E </li>
<li>Improved VST2 Support by Polac </li>
<li>4 VSTi's </li>
<li>4 VST FX </li>
<li>Manual </li>
<li>76 Templates </li>
<li>194 Demo songs </li>
<li>and many more features.... </li>
</ul>
</td>
</tr>
</tbody>
</table>
<p>Since I assumed above that you've not installed Buzz before, I'm also going to assume that you'd like to try Buzz out before you spend too much effort on it. In fact, it's best to start with a limited amount of features, and then work your way up to more features as you become accustomed to the program. So, we'll download the <em>Stealth Buzz Pack</em>, since this will give us quite a bit to play around with. To download the file, click on the name of the <em>Stealth Buzz Pack</em> (in other words, click on "Stealth Buzz Pack" to continue).</p>
<p>Since the file size of this pack is 8.22 MB, depending on your connection speed, you may have to wait a bit to download the file. When you have successfully downloaded the file, we'll continue with the actual setup.</p>
<p>If you decided to keep the default file name of the downloaded setup file, then your program should be called something like: "BuzzMachines_Stealth.exe". Go ahead and open this up to move onto the next step.</p>
<p>When you first start the above file you'll be confronted with a window with a title of "Buzzmachines Stealth Pack - January 2003", and a large bit of text saying that:</p>
<blockquote>
<p>BM Stealth Pack / January 2003</p>
<p>Important Information</p>
<p>*Mono2Stereo Patcher</p>
<p>This program allows you to make stereo out versions of mono out machines.</p>
<p>It has not been included in the BM Stealth Pack. It is downloadable at Buzzmachines.com</p>
<p>The BM Stealth Pack (BMSP) is missing many of the features found in the BM Massive Pack (BMMP).</p>
<p>BMSP contains:</p>
<p>28 Generators (Synthesizers/Samplers/VST-Soundfont Loaders)<br />33 Effects<br />5 Tools/Utils (plus 2 html conversion tables)<br />2 VSTi's<br />3 VST FX</p>
<p>BMMP contains:</p>
<p>188 Generators (Synthesizers/Samplers/VST-Soundfont Loaders)<br />358 Effects<br />20 Tools/Utils (plus 2 html conversion tables)<br />4 VSTi's<br />4 VST FX<br />3 SoundFonts<br />16 Buzz Themes<br />Plus many more features.</p>
<p>For more info pls read the "BMSP.htm" located in your<br />Buzz Main Directory<br />All of the above statements are subject to change.</p>
<p>_____________________________________________________________</p>
<p>For machine updates and Utilities visit:</p>
<p>http://www.buzzmachines.com</p>
<p>_____________________________________________________________</p>
<p>Stealth Pack Compiling Freak: XionD<br />With much assistance and thanx to Mikko Apo.</p>
<p>I would like also to thank Stijn Kuipers (Zephod) for some hints and<br />tips on the index and other things.<br />Marc van Agteren (Mva) for being so patient and Raul Reales (djlaser)<br />for the critisism and some helpful ideas.</p>
</blockquote>
<p>Okay, so, once again, we see that the Stealth Pack is missing many of the features that the Massive Pack has... We already got a feeling of this when we compared the <em>Stealth Buzz Pack</em> and the <em>Massive Buzz Pack</em> above.</p>
<p>Now, we can either 'Accept' or 'Decline' this window. Declining it will simply cancel the installation (without a warning). Accepting this window (which is what you should probably do) will move us to the next step.</p>
<p>After selecting okay, we move onto a prompt asking us where to install Jeskola Buzz. I have decided to save in the default location: "C:\Program Files\Jeskola Buzz" (and will be assuming that you have too). After pressing Install, we see all of the files that are being placed. After the program has been installed we see the following:</p>
<p style="text-align: center"><img style="width: 251px; height: 126px;" title="FixKit" src="http://strivinglife.com/files/2003/jeskolabuzzinstall/image001.jpg" alt="FixKit" width="251" height="126" /></p>
<p>If we recall our look above, there was indeed something referring to 'but Buzz Fix kit' being started automatically. So, select 'OK' and move onto a 'License Agreement &amp; Instructions' window. Reading this, we see that we should not run more then one fix at a time, and that we should 'Setup Buzz' first. So, we select 'I Agree', choose "Setup Buzz" from the pull down menu (it reads 'Default' when the window first comes up), and press "Next &gt;".</p>
<p>On the next screen, make sure that the location is the same as the one where you installed Buzz to ("C:\Program Files\Jeskola Buzz" was where I did it, so, it should be the same in this prompt) and press "Start!". Mine asks me if I want "to show start menu entries for all users?" and I say "OK" to this prompt. Since I said okay, I get an option of where I want the Start Menu folder to go, and I'm just going to use the default location ("C:\Documents and Settings\All Users\Start Menu\Programs"), as well as the default 'Start menu folder' name ("Buzz Studio (lite)" - this determines what the folder in the Start menu containing Buzz shortcuts will be called), and press the "Next &gt;" button.</p>
<p>The program will then continue creating files, and, after a very short while, it will ask if you would like to create a quicklaunch icon for Buzz, and I select 'Cancel' (but, most people probably select 'OK').</p>
<p>Next, we see a pop up window called "Lee Dragon's Mono To Stereo Wrapper v2.0", which one can read and press "OK" to dismiss. Upon pressing okay, we get a prompt that asks for us to "Please select your Buzz effect's folder by choosing a DLL...". I think I messed this up the first time, but, after reading the "Lee Dragon's Mono To Stereo Wrapper.txt" file (which should also pop up at the same time as the window above), I see now what we must do. You should be in your Jeskola Buzz folder. Now, what we are going to do is; find the Buzz 'Effects' folder. Mine is in "Gear -&gt; Effects" (so: "C:\Program Files\Jeskola Buzz\Gear\Effects\"). When I get here, I select a dll (I choose 'Jeskola Cross Delay.dll', since it appears to be an official DLL) and press Select. I then got this pop-up:</p>
<p style="text-align: center"><img style="width: 384px; height: 252px;" src="http://strivinglife.com/files/2003/jeskolabuzzinstall/image002.jpg" alt="Mono to stereo 1" width="384" height="252" /></p>
<p>As well as one telling me that I had "Completed Step One!". Then, after pressing OK to that window, the window above changed to:</p>
<p style="text-align: center"><img style="width: 384px; height: 252px;" src="http://strivinglife.com/files/2003/jeskolabuzzinstall/image003.jpg" alt="Mono to stereo 2" width="384" height="252" /></p>
<p>Followed by a window telling me that "Patching is Done! You have now 3 new machines!", so I press OK to dismiss both windows (by pressing 'OK' on the 'patching' window both windows will close). Pressing 'Close' to the 'Buzz FixKit' window (seen below) finishes the patching/setup:</p>
<p style="text-align: center"><img style="width: 426px; height: 295px;" src="http://strivinglife.com/files/2003/jeskolabuzzinstall/image004.jpg" alt="FixKit completed" width="426" height="295" /></p>
<p>If you still have the text file open from "Lee Dragon's Mono To Stereo Wrapper v2.0", that can also be closed, after you have read it ('Lee Dragon's Mono To Stereo Wrapper.txt'). Since we don't have any other windows up, we can now start Buzz up and see if it works :)</p>
<p>You can start Buzz either using the "Jeskola Buzz" shortcut on your Desktop, or via the Start Menu. Note that if you're using Windows XP, you may have to enable compatibility mode in order for Buzz to run correctly. You can find out more about how to do this by visiting <a title="Buzz problems (and their solutions)" href="http://web.hibo.no/~mva/buzzproblems.php">http://web.hibo.no/~mva/buzzproblems.php</a></p>
<p>Once you have started Buzz up, you should be ready to begin creating music :) There are a number of great sites out there listing information on how to do this (I've linked to a few sites that have such resources, below).</p>
<p>Before I close, I should make note of something. The "BuzzMachines_Stealth.exe" installation/setup file is 8.22MB. After installation, your Buzz program folder ('C:\Program Files\Jeskola Buzz\' if you used the default location) is 16.9MB (or thereabouts). So, you should have about 35MB free in order to perform this installation (allowing for a bit extra space).</p>
<!--nextpage-->
<h4 style="text-align: center"><a title="conclude" name="conclude"></a>Conclusions</h4>
<p>I've been lucky enough to have my content listed on the official Jeskola Buzz site. This has been a great honor, and I'm glad that I've been able to help people with installing Jeskola Buzz, since without this program World Machine wouldn't have been created the way it was, and may not have helped me create some interesting terrains for Terragen.<!--adsense--></p>
<h5><a title="links" name="links"></a>As for the people that deserve some notice:</h5>
<ul>
<li>Buzz - Official Online Manual - <a href="http://www.buzzmanual.com/">http://www.buzzmanual.com/</a> 
<ul>
<li>Last Checked: 2005.11.01</li>
<li>Great resource on actually using Buzz.</li>
</ul>
</li>
<li>BuzzWiki - <a href="http://buzzwiki.wipe-records.org/">http://buzzwiki.wipe-records.org/</a> 
<ul>
<li>Last Checked: 2005.11.01</li>
<li>"This is a Wiki for the Buzz scene. The goal of this project is to build up a user-driven knowledge base for Buzz." Wikis can be great community resources, and this is indeed such a resource.</li>
</ul>
</li>
<li>Buzzworkers - <a href="http://www.buzzworkers.com/">http://www.buzzworkers.com/</a> 
<ul>
<li>Last Checked: 2005.10.31 </li>
<li>Downloads available showcasing music possible with Buzz </li>
</ul>
</li>
<li>Noolmusic - <a href="http://www.noolmusic.com/">http://www.noolmusic.com/</a> 
<ul>
<li>Last Checked: 2005.10.31</li>
<li>"This is where Nool mp3s, bmxs, links, music, radio, etc are available" We're talking hundreds of mp3s, BMX files, templates, etcetera</li>
</ul>
</li>
</ul>
<p>If you'd like to be included, please contact me and I'll include your information here.</p>
<h3>Revision history</h3>
<p><strong>Created:</strong> November 7 2003<br /><strong>Modified:</strong> February 2 2003; June 29 2003; August 3 2003; September 4 2003; July 7 2004; January 4 2005; October 31 2005; November 1 2005<br />Taken from information written February 2nd 2003, and edited/updated June 29th 2003; August 3rd 2003; September 4th 2003.</p>
