+++
title = "Guide to One Philosophy of Life: Revision 1"
description = "Part of my philosophical perspectives on life, from January 30, 2002 to September 29, 2002."
draft = false
comments = true
date = "2002-09-29T21:25:00-05:00"
modified = "2009-01-30T08:31:47-06:00"
slug = "Guide-to-One-Philosophy-of-Life-Revision-1"
blogengine = "4c09520e-5177-4f9b-84da-9e472ae8f4d3"
categories = ["article", "philosophy", "StrivingLife"]
tags = []
+++

<div class="note">
<p>
The following was written from January 30, 2002 to September 29, 2002, but I am just now (January 30, 2009) getting around to posting this.
</p>
<p>
I can honestly admit that I haven&#39;t read over this in a very long time, but the skimming that I have done reminds me of certain things ... As time progresses I may go back and re-purpose this content.
</p>
<p>
(Of particular note, also, will be at what time these were written and when I was reading certain philosophical works.)
</p>
</div>
<p>
One has to question many of the things that many people take as being commonplace, or common knowledge. The ancient philosopher Socrates, or rather Plato, states that one truly does not know anything, that the one thing that one does know is that one knows nothing. Common knowledge is not always that common, or at least it differs in one way or another from other common tidbits. Often times, one&rsquo;s views are not tested until they are questioned. However, criticism of one form or another often leads to one taking great offense at the questions, and for that matter, the questioner himself.
</p>
<p>
I would like to say, and in fact will state, that I am in fact sexist. I cannot stand men that cannot think of things with their higher capacities. I hold great respect for women, as they can talk about themselves, and at least some of those that I have talked to, with out boring me. Sit me in front of a man talking about the last big game, and with all that action that they might bring into their review, I will quickly become bored.
</p>
<p>
Now that you know that I am sexist, in that I hold higher respect for most women then most men, I am sure you will accept my use of himself, or he, or guy, instead of the more &lsquo;correct&rsquo; terms, such as person, or he/she. If you will not allow me to write he, instead of he/she, or whatever the new term is, then I suggest you add what term will make you the happiest in place of my terms. If one does not like something, then one should strive towards changing it. However, if possible, and if it is permissible, then one should not force others to perform a change that will not allow them happiness. If one would like to be treated as an individual, one must treat others as individuals.
</p>
<p>
Now that we have that all squared away, as they say&hellip; we can get back to the point of digression. Socrates often waited, perhaps one would say like a vulture, for people to walk near enough to him that he could test their believes. Not long after he began his questioning, the person would walk away enlightened with information about themselves. Often, they did not like their newfound knowledge. It is often true that ignorance is bliss. However, sometimes that is not the case.
</p>
<p>
What are some examples of each? Let us take the former first and search for examples. Ignorance is bliss, that is lack of knowledge is &lsquo;wonderful&rsquo;, when knowledge will lead to unhappiness. If one knew that one was going to die in two days, that would, for many people, bring about great distress. Things that could wait before, no longer can wait for another day, as those days are indeed numbered. Ignorance of one&rsquo;s own true desires could bring about some great distress, as after one finds out about these things that they desire, they will often no longer be happy with that which they already have. Or perhaps, you were to buy a book&hellip; Perhaps that is asking too much. Perhaps I want to go buy a book. I go to the local bookstore and pick up a particular book for five dollars. Then, later on that week, I go to that same bookstore and find that that same book now costs only three dollars. I would obviously think how distressing this all is. Why, they sold me this book for five dollars, and now are selling it for a mere three dollars, which leads me to believe that I have been ripped off! Instead of thinking that it is my own desires that have lead me to buy the book when I did, instead of waiting for a potential drop in price&hellip; but I fear that it is far too early to go off on that tangent. I should take one thing at a time.
</p>
<p>
I do hope that those examples have fully exemplified when ignorance can be bliss. When is ignorance not bliss? I can think of many examples for this, that will strike you as being quite true. The first example that passes through my mind is that which deals with money. Say one was being cheated of money. No, you were being cheated of money. Every day that you received a pay check, before your total hours were added up and your pay scale was multiplied to that, someone would take a few minutes off of your time. The scoundrels you say, or perhaps you do not, how could they do such a thing to me. I have worked with them for over five years. Five years of my life have gone into making them a more productive whole. This is how I am paid for all my work? That is right, you are being cheated, and you are mad. No, you are furious. You will go to them and tell them how it is and demand your back dues. Here your ignorance would have cost you a great deal. I hope that this example has so struck you that you no longer need any other examples to show how ignorance is not always bliss.
</p>
<p>
Why did I bother to tell you about how ignorance is bliss and not bliss? Well, because of what I stated before about criticism. I mean to write this document for a couple of reasons. Often times, I think of some particular tidbit in which I would like to explore in further detail when I again have time to come back to it. However, to write purely for one&rsquo;s own good would be selfish according to many. I am in no way a great writer, but my desire to write something that has a lasting effect is a goal in which I strive towards at all times. Nothing will be held back here, I will attempt to always tell it as I see it. Perhaps this will strike many people as a slap across the face would. Perhaps even the things that I say will strike me as the reasoning of a man that is not me&hellip; perhaps we will just have to wait and see. Each man, it is said, has a kind of underground within him. I hope to bring into light that man, that presence, that resides within the underground within myself. By doing this, I hope to gain some reasoning into why I have my underground situated and filled the way that I do. If the reader of this, even if it only happens to be me, will have patience with the words that are written, looks at the words for what they say, and what they imply, perhaps some gain can be attained. In no way am I stating that it will be a pleasurable read, in no way at all am I stating that. However, it will perhaps be enriching. Even boring things, things that one is forced to read, forced to sit through and endure, adds to one&rsquo;s essence, one&rsquo;s being. If anything, it tells exactly what is admired, or desired, by he that reads this document. If one reads this document and cannot stand the writer, then that is fine. As long as you try something, you have the right to have an opinion on it. &lsquo;Everyone has a right to an opinion, as long as there is concrete reasoning behind it&rsquo; as is said.
</p>
<p>
As I feel that that is enough chatting on and on, this will suffice as an introduction, with only a few things that perhaps could be added, but will not.
</p>
<hr />
<p>
Now that the introduction has been finished, I can move onto matters that are more important. However, there is some question as to how I should begin. Should I just begin by throwing out an idea and commenting on it? Should I go about things in a logical matter, such as starting with an earlier idea, or one that would serve as a foundation for my later thoughts? A foundation would be nice, but I fear that I lack the knowledge on where exactly that would be. There are some potential foundations, but I fear that to get into them would cause the first tens of pages to be nothing but theory, things that I have not quite made a justified stand on. No, it is better to start with something, anything, out of the blue, and continue on from there. It is possible that upon starting in the middle, as it was, I will haphazardly come upon the beginning, or an idea of that which is the beginning.
</p>
<p>
Now, should I start with something broad, such as my moral outlook on life? I think not. To start on something that could stretch over many different fields, or ideas, would be foolish. Rather, I should start at a particular point, something not so broad as to bring in many different ideas, but rather only a few. I could possibly talk about religion, and my outlook on it. I could go on that for quite a while. I could also talk about how I deal with people, and my outlook on how to properly deal with them. However, I fear that that would stretch too far out. What then could I discuss? Certainly not current events, as I am not very interested in what is happening in the world and it&rsquo;s relation to me. It is not that I do not care what is going on in the world, but rather world, and even local events, are often very depressing. I would obviously like to begin on something that I have a stand on, and not go into the theory right away. Perhaps I have it; perhaps I will talk about that which has awakened me from my slumber. I see that that includes two things, but I talk of the first awakener, which is literature.
</p>
<p>
I do not exactly remember when it was that I began to read with any great passion. I remember that I used to be very math and science based, throughout middle school and high school and right up to my first semester in college. After that, my ambition in those subjects died. I still enjoyed the sciences dealing with people, that of psychology and sociology, but I never really enjoyed biology that much, and that first semester firmly planted my feelings on the subject. However, biology is, for a good reason, required in the study of psychology. However, there is another aspect in which biology should not be required. I suppose that that is what an introductory course is for though, often times no classes are needed for such introductions. When one has taken those introductory courses, what does one do next? Ah, but I was talking about math and science. I did enjoy math at an early age, at least from what I remember, but after my first semester of college, I no longer seemed to receive that enjoyment. It was Calculus and Analytical Geometry and I can remember that many of the people in that class were as confused as I was. Of course, that was my first taste of those people that did not show up except for during the tests and would pass those with &lsquo;flying colors&rsquo;. I did fine enough at first, but laziness caught up with me, or perhaps kicked in, and my scores began to drop. I passed the class, and although I was not exactly happy with the grade that I got, I was in a way happy&hellip; There then are the dieing embers of my desire for math and science.
</p>
<p>
I know that before this point I loved books, but my true love came a little after this period. I have never had a real knowledge of what I wanted to do with my life. I believe that after this first college semester, I was in a way a wanderer, yet I did not entirely know this at the time. Anyways, it is not necessary to find the exact moment in which I fell in love with reading, which would be impossible with the liar that I would have to depend upon; rather I can say with dignity that I am at the moment a lover of literature, and can not see myself as being anything but for quite sometime.
</p>
<p>
I suppose that the first books that I enjoyed were those dealing with mysteries. I can remember, and this memory was triggered by seeing these books, that I read the Hardy Boys and learned of all their adventures. I can remember with almost crystal clarity the situation at the local library, which I no longer have the pleasure of being able to enter, in fact, in may no longer exist&hellip; it&rsquo;s quite sad how fast things change in this life of ours&hellip; Nonetheless, I can remember reading the Hardy Boys as well as those books dealing with the supernatural. I still have many of the books that I bought at various school sponsored book sales. It is true that most of them are from middle school, but I still have a book from elementary school on John F. Kennedy, and know of a few others that I had at the time. Yes, the supernatural was a great subject of joy for me. I can remember that the particular section was by the fire exit, which had some poor lighting, not enough to read the titles, but enough to give me a certain fear of going over there. Add to the effects that the lighting had on me with those that the genre had on me, and it is a wonder that I read as much of those books as I did.
</p>
<p>
It is amazing that we read and this in turn adds to our imagination. This reading becomes something of an addiction, something that we need in order to be happy, in order to be complete or whole. Once the foundation of our imagination is begun, it becomes necessary to continue adding to the foundation until we are able to build up a sturdy, self-sufficient entity from that foundation. After a great while, depending more on quantity of literature, or stimuli to the imagination in one form or another, then quantity of time, we no longer need these external stimuli to use our imagination to its fullest. However, that is not to say that the addiction is satisfied. It is in fact quite the contrary. Now we have not only added this new addiction of using our imagination, but we also have to build after our initial building is complete.
</p>
<p>
In other words, we start by adding, or creating a foundation to our building. Upon this, after it is sufficiently started, or completed, we allow our imagination to build upon this foundation. We will say that this is our first floor. Perhaps we still read, this then is the foundation for those wings, or sections, which will come off that first room. However, soon our ceiling is reached with those materials that we have. We can not be happy with this achievement of a first floor, rather we must have a second floor in this house of ours. This then is where we seek out yet more to add to our imagination. Perhaps this new foundation, or floor, is started by philosophical, or theoretical, readings, or literature. Perhaps more of our initial readings start this floor; it is of course entirely possible. However it is that we start this floor, we must add to our foundation much like we did before. As I see it, this material that we use must have some higher &lsquo;value&rsquo; than that which we used to build our first floor&rsquo;s foundation. If it were not, then it would that material that we use to add on our wings. Therefore, this second floor must be something higher, we no longer are happy with our first level, and must necessarily move unto the second. For some people, myself included, this is as high as our building will rise. This building will then suffice as our home, created, perhaps, for a desire for something warm. What then could be that third level that we wish to attain or is there in fact a third level? You would think that at some times we would become satisfied with that which we have, this splendid &lsquo;house on the hill&rsquo; as it were. Yet there are some who would not, and could not for all that they have, be satisfied with what they have achieved. There are those that will hit that ceiling, and need to add yet another floor. We cannot add our roofs yet, they will say, as there is far higher to go. Oh, to reach the heavens and look down on all that is below&hellip; They should be forgiven though, and perhaps even praised, as they have achieved yet another level, one that we should be so lucky as to attain. This level must be described by those that attain it however, as I can see nothing but the achievement, the goal, of my second floor ceiling.
</p>
<div class="note">
Above written through January 30, 2002.
</div>
<hr />
<p>
I did state however that there was another awakener from my slumber. A particular professor at my college, during my sophomore year, was that stimuli.
</p>
<p>
I was at the time in somewhat of a hurry. That day, or perhaps the day before, was my designated day to begin registering for my next semester, that of the fall, of classes. However, before I could register, it was necessary for me to choose not only my minor, but also my major. I was, to say the least, in great trouble at the time. I knew that Humanistic Studies would be a good minor, as you can do almost anything with it. Well, rather, it will help you in any field that you choose. However, the matter of my major was in great question. What exactly did I want to do? I have stated before that the sciences no longer captivated, and the same was with math. Those two were out, right along with most of the other majors that I could study.
</p>
<p>
I should make a note about my early beginnings with Philosophy. My freshman year of college, second semester in fact, I had taken an introductory course to the field. I was, to say the very least, not at all happy with the class. I did fairly fell, however I did not gain much from it, at least not consciously. However, being one that cannot dislike something until I have sufficiently tried it, I decided to once again try my luck with the field two semesters later. Social and Political Philosophy was a course that, I believe, even in the beginning, I enjoyed immensely. The professor of the course radiated some kind of feeling, which struck those that were paying attention with a magnet-like effect. I was drawn to the course by his enthusiasm in teaching it.
</p>
<p>
Therefore, on that day when I was attempting to decide my major, I went to him with the piece of paper. I had tried the head of the department, but I am a timid man, and did not want to &lsquo;bother him&rsquo; with such things as me wanting to get into the field. My sheet was signed, and my future was sufficiently nudged into that which it is today.
</p>
<p>
Literature and Philosophy were the two things that have opened my eyes. Literature and Philosophy are two of my addictions. As with all addictions, Literature and Philosophy demand just as tolling a price.
</p>
<p>
Plato, in <em>Republic</em>, talks about The Cave. He talks about this cave in order to exemplify why it is that philosophers ought to be king, and why philosophers are persecuted like they are. In this analogy, he states that man is like one who is bound to a chair, unable to move in any way. His eyes are bound to always look straight ahead, towards a wall of the cave, however, no one who is bound knows that this is in fact just a wall on the cave. On this wall that the bound look upon, images appear. They see these things as real objects, but they are in fact only shadows being played on the wall. This then, this wall and it&rsquo;s shadows are what they take to be the real world. One individual is at one time or another allowed to walk free, and break from his bonds. This individual looks around and sees the others bound to their places, unable to move, much like he was. He walks on, up towards a bright light. After his eyes adjust, he sees that this bright light is a fire, and that between the fire and the cave wall, the wall that he was required to look at, are objects, that upon blocking the light, cast shadows on the wall, thereby creating the objects that those bound take as real.
</p>
<p>
He sees this, and realizes that these are the true objects, and that those images down below, cast on the wall, are but representations of these objects up here. Once again, he sees a light, even brighter then the fire that he stands before. He walks up, up towards the light. He sometimes may even wish to turn back, as the light is so very bright. But he does not, and he soon finds himself at the entrance to the cave, looking out upon a whole new world. The light radiates from the sky, and everything is aglow. He is unable to look up, as when he does is eyes close, trying to keep out the light. So instead, he looks down, and sees water, with objects displayed in it. He sees people, like those that are bound below, as well as some of those objects that were being paraded around the fire. He sees now that these are the real things, and that even those objects below, that cast those representations on the wall, are but mere representations of these objects above.
</p>
<p>
Soon he is able to look up, more and more his eyes rise, and he sees that those objects in the water are in fact being cast on the water, much like the shadows on the wall were being cast from the fire. He sees that the brightness all around, especially above, is casting the &lsquo;shadows&rsquo;, or reflections, of other objects. Much like the parading of objects before the fire to cast them on the wall, here objects are paraded and cast upon the water. He sees now that this world above is much like the world below; what he took for real objects were merely representations of real objects.
</p>
<p>
He sees now that the sun above, and the objects lighted by it are real things, and that all else are merely representations of these things. As he rose out of the dark, things became more and more clearer, as things were illuminated more and more. Now that he knows what the truth is, he can no longer be deceived by what he saw before.
</p>
<p>
Now he has seen the truth however, and he must go back down into that dark cave. There are still others bound below, just as he was, that he must show the truth too. He knows what he will sound like; to find out that all you believe is an illusion is no little news. He does not want to, but he knows that he must. Down below, he tries to untie them, to free them from their bindings, but they must actively help. He stands before them perhaps even stumbling, not only over his words, as how does one tell them what he has seen, but also in the dark, his eyes not yet, and perhaps never again, being able to become adjusted to the conditions down below.
</p>
<p>
This then, according to Plato, is the curse of knowledge, the curse of the truth. Once one has it, one cannot let it go, even if they wish they could, nor can they completely hold on to it, as there are those that do not have it, and perhaps never will.
</p>
<div class="note">
Above written through January 31, 2002.
</div>
<hr />
<p>
Here then we see the price of studying philosophy. Upon thinking of these greater things, philosophers, at least those that are unwilling to go back into the cave, are unable to talk to others with any respect. Once one has seen the real world, in all its radiance, it is truly dismal in the cave, as you now have something to compare it to.
</p>
<p>
These two addictions are powerful ones, perhaps two of the most powerful addictions that there are. Literature and Philosophy spark within oneself ideas that soon run amok. The one thing that is hardest to run from is one&rsquo;s own mind. Buddhism teaches that one should take refuge within oneself, but what does it say if one desires to take refuge from oneself? No matter where one turns in one&rsquo;s own labyrinth, the Minotaur is always there waiting. The rope is being used for quite a different purpose, no longer is it salvation, but rather a chain.
</p>
<p>
If one were to no longer see it as a chain, would it cease to be such? For some it might, and for others it might not. Even for the same person that rope can change&hellip;
</p>
<p>
That is the price that we pay for our addictions&hellip;
</p>
<div class="note">
Above written through February 1, 2002.
</div>
<hr />
<p>
I also dabble in psychology, meaning that I like to read about people and their thoughts and actions. Of course, one does not tell others that one knows psychology, or they begin to watch what they say, unless they want you to &lsquo;analyze&rsquo; them. Since I enjoy listening to people, mostly females over males, for reasons to be explained momentarily, I am hesitant to tell anyone my knowledge. Perhaps that is why I keep to myself so much. The less one talks, the more the other must talk, the more they get used to and enjoy it, the more you know about them and the less they know about you. This, however, causes an imbalance, which, at the present time, I am unable to balance except by talking much too much when I have the &lsquo;chance&rsquo;&hellip; However, I am not one that waits to talk; instead, one could say that I wait to listen. Whether I listen to myself, or I listen to someone else, I listen. Of course, one does not get ahead by listening, or being passive, one must act, or at least in the world that I live in. However, how do we know this is how to &lsquo;get ahead&rsquo;? Perhaps it is not, but one can never truly know until after the fact. So I suppose all this is a way of stating that another addiction I have is listening. It does not necessarily have to be people as it can be nature&hellip; well external or internal stimuli. Some things I do not like to listen to, because they are not calming, but perhaps that is something that I need to work on&hellip;
</p>
<div class="note">
Above written through February 4, 2002.
</div>
<p>
Now, why is it that I prefer to listen to females rather then males? Well, from my experience, men typically do not talk about topics that interest me. I am not a sports person. To briefly explain why, I find sports, which is the typical interest, to be insignificant. Instead of building up a music program, funding goes instead to a new field for one sport or another. Instead of helping to fund college students, those students who participate in sports receive extra funding help. Overall, it seems to me that to rely on physical strength, as opposed to mental facilities, is to get ahead in this world. Of course, there are some obvious benefits of sports, if one looks at it from a few different views. However, I said brief. Women, from my experience, are very good at talking about their lives. Men usually do not like to talk about how they are feeling, but women typically will. I speak mainly from my personal experience here, so if there is someone that defies this &lsquo;classification&rsquo;, well, that is what you get when you try to sum up people&hellip;
</p>
<p>
I talked earlier about my psychology background, perhaps that is why I enjoy this &lsquo;other self-attention&rsquo;. However, I do not think that that is the case, at least not the complete case. If one is not able to do one thing, then one does something that one can do. In other words, if you cannot meet with one person, then you search for someone that you can meet with. If solution A does not solve your problem, then you try solution B, etcetera.
</p>
<p>
Ah, but what is &lsquo;other self-attention&rsquo; that I spoke of earlier? &lsquo;Attention&rsquo; is a simple word, and therefore needs no definition. I will use the common meaning of the word, as in: what one does with one&rsquo;s attention. Focus would be a good way of stating it. &lsquo;Self&rsquo; is that which deals with that which is me, or in your case, you. Therefore, taken together, self-attention would be, in my case, my focus on me. On the other hand, another way of putting it would be the focus on you. However, this requires the word self to be known. Anyways, &lsquo;other&rsquo; is that which is not you. Taken completely together, &lsquo;other self-attention&rsquo; is &lsquo;attention&rsquo; on the &lsquo;self&rsquo; of an &lsquo;other&rsquo;, id est: paying attention to another person. This &lsquo;other self-attention&rsquo; is then one &lsquo;policy&rsquo;, or, &lsquo;view&rsquo;, or, &lsquo;philosophical outlook&rsquo; that I hold. There are a great many others, and perhaps upon the completion of this document I will be able to get to them all.
</p>
<p>
Relating to &lsquo;other self-attention&rsquo;, I find that this even deals with my own interaction with myself. I like to think to myself; however, I often find that I have little control over those thoughts. As I stated earlier, they run amok, doing as they please, going where they want. It is hard, unless one has practiced, to completely calm one&rsquo;s thoughts. Perhaps it is not even possible. Meditation is one possible way, but perhaps that is merely focusing on something else, which does not calm, but rather &lsquo;displaces&rsquo; the thoughts. After all, one can &lsquo;lose consciousness&rsquo; of one&rsquo;s surroundings, is that not mere &lsquo;displacement&rsquo;, or ignoring, of, rather then calming of? Besides that, just because something appears calm, or one way, does not mean that it is so. Something may appear one way to a child, or for that matter an adult, which is in fact another way. Of course, it is hard for things to be truly known&hellip;
</p>
<p>
What is this thing called knowledge for that matter? Is it merely the way that we believe things to be or is it concrete truths? I do not wish to go into that at this time, but it is something that brings about certain questions&hellip;
</p>
<hr />
<p>
What then is something that I would like to talk about? What a question&hellip; Well then, &ldquo;Is it better to live a lie, or know the truth and cry?&rdquo; That is a satisfactory topic, but one that I do not believe that I will be able to fully answer. Let us look at this question. The wording is mine, if that liar of all liars has not deceived me at least. The first part &ldquo;is it better to live a lie&rdquo; is along the same lines as &ldquo;ignorance is bliss&rdquo;, or at least that is how I think of it. Now, that last line is one that I have thought over often enough. There are times in which I, and I have a feeling most people, wish that I was young and stupid. That last sentence is not meant to be disrespectful. By stupid, I mean ignorant, and although ignorance is not a great thing&hellip; Ah, but there I have stated it. There is the problem that &lsquo;ignorance is bliss&rsquo; faces. How can it be and not be?
</p>
<p>
&ldquo;Is it better to live a lie, or know the truth and cry&rdquo; can be easily, and with no major complaints, changed to &ldquo;Is ignorance bliss, or not&rdquo;. Stating it this way, it can easily be backed either way with examples. Our first example could be along the lines of fantasy, in fact, both ways can be shown with this. Santa Clause is one fantasy, or fiction. Now, as a young child, Santa Clause is something that brings a certain amount of happiness. If, at an early age, that young child is told, with no warning, that Santa Clause does not exist, then that truth brings about a certain amount of tears. If the child is able to find the truth for himself, then there are little to no tears shed. However, what if the child never realizes the truth?
</p>
<div class="note">
Above written through February 5, 2002.
</div>
<p>
Here again I am talking about that statement that plagues me. Any serious thinking that I do dealing with it brings about only questions, questions which can only be answered by more searching. Even if one day I believe I have found the answer, I cannot but question whether it is the truth.
</p>
<div class="note">
Above written through February 6, 2002.
</div>
<hr />
<p>
But enough: the subject must be changed, and change it I will. Here I will insert, for the sole purpose of producing thought, a short paragraph from February 6, 2002 that I came upon while looking through my notebook.
</p>
<p>
&ldquo;If one wants something, then one should do the best/most that one can to achieve it. If one does not want something, then one should do that which will lead to that goal. If one does not want, nor dis-want, that is, if one is neutral pertaining to the thing, then one should be passive, as opposed to assertive. Things can either work out, or not. There is no &lsquo;particular&rsquo; way that things must happen.&rdquo;
</p>
<p>
It seems to me that this is indeed a true statement, a true way of going about things. Distance one-self from that which displeases you, and get closer to that which pleases you. However, there are certain problems with this. For one, &lsquo;that which does not kill us makes us stronger&rsquo;. If one turned tail and ran every time something that was unpleasant to them came around, then not only would they miss out on the hardships, but they would also miss out on the glorious gains. At one time, some of the things that one dislikes were those things that one enjoyed, and vice versa. Experience is gained by good times, but so much more by the bad times.
</p>
<p>
There are other problems with the statement mentioned before, especially with the last two sentences, but perhaps I will get to them later, as I do not wish to discuss this topic any further. Instead, I would like to recall a &lsquo;dream&rsquo;, or daydream, that I had the day previous. In this dream of mine, I was working at my normal summer job. This involves flipping burgers. There is one particular person that has worked there for quite sometime. He is a tad abnormal according to most of the people that work there. I, on the other hand, have a newfound respect for him.
</p>
<p>
A new person, whom I will designate as &lsquo;A&rsquo;, finding that I enjoy speaking with this person, whom I will designate as &lsquo;B&rsquo;, asks me why. I tell him that I have great respect for B, as he is a wise man, and much can be gained from him. A however, does not see this truth. I ask A if he is normal. He tells me that in fact he is. I ask who else is normal, and he lists out some people.
</p>
<p>
I do not want a list of people though, I tell him. Instead, I want those characteristics that make one normal. He, like the prey of Socrates, does not know. In order to prevent him from thinking to hard about it, I give a suggestion. Perhaps, since he does not know what normal is, he has gained this lacked knowledge from others. Id est, people other then him have told him what normal is. I ask whether it is normal to get ones opinions of others from others. After all, that is quite absurd, is it not? He however does not see this fact&hellip;
</p>
<p>
This then brings up another good question that I have. If one gains one&rsquo;s ideas of normality from others, and this is method of gaining truth is faulty, then what about the method used to judge one&rsquo;s insanity? I for one would like to sit down and take a test to see if I am insane or not. However, how would one do something like this? Id est, how would one make up this test? How would one grade this test of ours? It would be near impossible. Think about many of the things that we take as normal, which would be abnormal to someone else&hellip;
</p>
<p>
Have you ever tried to explain a color to someone without using other colors words or comparing it to something? It is next to impossible. Explain the color yellow. One cannot say, look at the sun. One cannot say that it is the mix between two other colors or any other such things. I had a professor that pointed out that it is impossible to think of a new color. This in fact seems to be true&hellip; If we can not explain in limited words that which is in our minds, then how can we properly test whether our thoughts are normal or not?
</p>
<div class="note">
Above written through February 17, 2002.
</div>
<hr />
<p>
I have been away from this document for a while. I will try to write to it more often. There is something that has been on my mind a lot&hellip; a whole lot. It is this girl actually. This, perfect girl&hellip; I have a hard time trying to &lsquo;enter relationships&rsquo; with females, I mean, it&rsquo;s easy to talk to women, a lot easier then men, due to my blatant distrust and dislike of men, but&hellip; this girl, she&rsquo;s perfect.
</p>
<p>
I would like to go up to her, say hello and all that, but&hellip; I just can&rsquo;t drive myself to do it. I am so lonely, but I cannot break my loneliness&hellip; I wish I could. I fear rejection quite simply. I have this distrust of all humans; I always fear that they are going to hurt me. I mean, if I try to get to know them, they are going to break off communications after a while, after I have fulfilled their need. I think of many of the people that I know right now. I mean, the last time I talked to a lot of them was a while ago. They have other friends, but I don&rsquo;t&hellip; I look forward to when my sister is online, because then we can talk, but we never talk about anything.
</p>
<p>
At work, at least at school, everyone says that they appreciate me, but I cannot help but doubt it. I have a hard time with people complimenting me, and I have to wonder why&hellip;
</p>
<p>
Anyways, I was thinking a while ago, while in class, and thought about the following:
</p>
<p>
&ldquo;Universal truth should not be based upon the opinion of the masses.&rdquo; &ldquo;We are all sadists.&rdquo; There is more, but I want to discuss these two quotes first.
</p>
<p>
As far as I know, they are my own. They may be well known, but, I can put no name behind them. The first deals with truth. Obviously, one would hope that truth is not contingent, but rather self-sufficient. If it is self-sufficient, then one does not have to worry that the opinion of the masses could have sway over it. However, it seems as though the masses are told what will make them happy. You do not want to tell the majority that they are wrong. We are, after all, based upon a democratic society. Those who search the truth should not do it for the people, but rather for the truth&hellip; But, then again, isn&rsquo;t the truth for the people, as well as those who are not people, meaning the plants and animals?
</p>
<p>
The second quote, also seems to be true, but we are also masochists it would seem. How can someone say that they have not gotten pleasure from hurting someone, or themselves, with a clear conscience? If one searches something out, doesn&rsquo;t that mean that he derives pleasure from it? I search for things that I know will make me unhappy, but still I search them out. Am I not a masochist? I know that I have caused people to be sad, I am sure of it. I have probably cut a few hearts in my time, and now my own heart is cut. Doesn&rsquo;t that mean that I am a sadist? So many questions, so few answers &ndash; one could restate a question many different ways, but an answer can be restate only so many ways&hellip;
</p>
<p>
On September 26, 2002, I wrote the following on a page of paper in a notebook.
</p>
<p>
&ldquo;The question of reality and truth, how one discovers about these &lsquo;ideas&rsquo;, is a hard one to answer.
</p>
<p>
&ldquo;Is truth subjective or objective? Are there relative truths as well as universal truths? Or, do truths lean one way or another?
</p>
<p>
&ldquo;The fact is, we really cannot know about truth(s) until we know about reality. Reality, however, may be the hardest thing/&lsquo;idea&rsquo; to understand, and prove, one way or another.
</p>
<p>
&ldquo;There are many different aspects of reality that can be questioned. For example, there is no true way by which one could prove that any other individual is &lsquo;real&rsquo;. While I believe that I think, I cannot &lsquo;know&rsquo; that others do. For all I know, the person next to me could be an automaton. While this may seem absurd, considering that I know very little about anyone that I meet, such as what they do, how old they are, etc., it is not, in fact, that hard to believe, to make that extra step.&rdquo;
</p>
<p>
This is what I said on the 26th of September&hellip; I also wrote that &lsquo;relativism&rsquo; is equal to &lsquo;universalism&rsquo; if and only if &lsquo;I&rsquo; is equal to &lsquo;all&rsquo;. That is, if I were the only really existing being, the only &lsquo;real&rsquo; being, wouldn&rsquo;t what I think be what everyone thought? It is said that one should not hold one&rsquo;s beliefs as the only beliefs there are, that we should not think our beliefs to be better then everyone else&rsquo;s. However, if I were really the only one here, really, then what I hold to be true would be all that anyone holds to be true. However, that does not mean that I could not be wrong. My truths may not be true at all. They would, however, be what everyone holds to be true, because I am everyone. This is, of course, assuming that I am the only real individual.
</p>
<p>
What if all others were part of a hive mind &ndash; or, perhaps, there were two hive minds. First, if there were one hive mind, that I was not a part of, then I would be in a group by myself, with everyone else part of another group. True paranoia indeed. Now, with two hive minds, and then me, there would not be the same thing. They, the hive minds, would have something that I did not have though, which is safety in numbers. Naturally, they would have more people, in their groups, than I would in my group of one. Obviously, it would be best the best idea for the hives to get rid of me first, so that they would not have to worry about a lone wolf. Then, they could attack each other, or form an alliance&hellip;
</p>
<p>
In <em>The Truman Show</em>, one could liken the actors, which knew they were actors, to the people in the hive mind(s). They have a purpose, a set goal; they are a part of a team. Truman was by himself, he had no set goal &ndash; he may have had some goals, true, but not as set, not as determined, as the actors. Perhaps my writing implies that I would like to be a part of a flock of sheep, as Philip K Dick has brought up. One likes to be a part of a flock, of a group. People do not like individuality, not always at least. Perhaps what I strive for is to fit in.
</p>
<p>
Don&rsquo;t all people strive to fit in in one way or another though? People are social animals, they need to communicate, it is part of our nature. To remove that would be to remove a part of our nature&hellip;
</p>
<div class="note">
Above written through September 29, 2002.
</div>

