+++
title = "Hegel and Plato's Principle of Activation: The Dialectic"
description = "Paper attempting to answer what Hegel's dialectical method is, how it works, and why it is so important for his philosophy."
draft = false
comments = true
date = "2003-09-29T01:01:00-05:00"
modified = "2007-11-01T21:37:21-05:00"
slug = "Hegel-and-Platos-Principle-of-Activation-The-Dialectic"
blogengine = "392bc1cd-77ae-4b97-8ff2-bd2584a9670f"
categories = ["article", "philosophy"]
tags = []
+++

<p>
According to Georg Wilhelm Friedrich Hegel, the dialectic &quot;is in general the principle of all motion, of all life, and of all activation in the actual world&quot;, as well as &quot;the soul of all genuinely scientific cognition.&quot; [1: 171] In other words, Hegel believes that the dialectic is the soul - the spirit one may say - of scientific cognition, or thought, as per the second quote. Because of this, if one wants to perform science, if one wants to study, and understand, the world around oneself, the dialectic must be used, and understood. So the question is, why is the dialectic so important to understanding the world? In addition to this question, it would be a good idea to ask what the dialectic is - how does the dialectic work? These questions, then, will be the questions that I will attempt to answer in this paper.
</p>
<p>
First of all, since Hegel acknowledges that Plato is &quot;the inventor of the dialectic&quot; [1:171], perhaps we can first look at how Plato goes about finding knowledge, and then see if Hegel does something similar. After all, since the dialectic is the foundation of science, Plato must use it as his primary method of gaining knowledge. How, then, does Plato gain knowledge? In Plato&#39;s works there exists a man, Socrates, who starts with a basic thing or idea, and attempts to find out what that thing is. For example, Socrates starts with &#39;justice&#39; and attempts to find out what &#39;justice&#39; really is. Socrates&#39; main method is to ask people that he happens upon what the term, in this case &#39;justice&#39;, is. Of course, defining what &#39;justice&#39; is, or any of the other terms that he attempts to learn about, is not as easy as it first appears. Because of this, Socrates and those that he speaks with never really seem to know what the term means, which often results in some pretty harsh feelings towards Socrates by those that he was speaking with, especially after having they set upon various paths, all leading toward dead ends.
</p>
<p>
Of course, Socrates realizes that he has in fact learned something, and so have the ones that he has spoken with - they have learned that they don&#39;t really know what the thing is. While this may appear to be of little consolation, knowing that the paths that lead you towards a dead end, with definitions that did not answer what the term is, at least shows that you know what the term is not. Stemming from this, we learn, according to Hegel, as well as from others, from our mistakes.
</p>
<p>
Hegel too realizes that even though you may not know what a thing is, as long as you know what it is not, you have some knowledge about the thing. The reason that we gain knowledge about what a thing is, when we know what a thing is not, is because the two are closely linked. In other words, in logical terms, if we know that some thing is A, then it cannot be not A (being A implies that it is not not A).
</p>
<p>
The above is the basics of the dialectic. By starting at a thing, and attempting to describe what it is, we come upon definitions. Taking these definitions and attempting to define key words within them better clarify the thing or, if they turn out to not describe the thing, tell us that we have erred and need to go back and redefine the thing. Within Hegel&#39;s &#39;Science of Logic: Doctrine of Being&#39;, we see an example of this.
</p>
<p>
Hegel attempts here to determine what &#39;Being&#39; is. That is, when we say that some thing is such a way we say that &#39;it is&#39; - or crudely, &#39;it be&#39; - some way. However, Hegel first wants to determine what &quot;<em>pure being</em>, without any further determination&quot; is [1:187]. That is, he wants to know what &#39;Being&#39; is, without looking at any specific object - without assigning any other qualities to &#39;Being&#39;. Hegel follows from this to say that &quot;[i]t is pure indeterminateness and emptiness&quot; - it &quot;is in fact <em>nothing</em>, and neither more nor less then <em>nothing</em>.&quot; [1:187]
</p>
<p>
The next question is, what is pure nothing? Again, Hegel determines that, like pure being, pure nothing has no other qualities assigned to it - has no &quot;reference outwards.&quot; [1:187] It is, in other words, &quot;simply equality with itself, complete emptiness, absence of all determination and content.&quot; [1:188] Because of this absence of determination that &#39;nothing&#39; has, it is, in this way, the same as pure being. For this reason pure being and pure nothing are, according to Hegel, the same.
</p>
<p>
Yet, &quot;it is equally true that they are not undistinguished from each other, that, on the contrary, they are not the same, that they are absolutely distinct, and yet that they are unseparated and inseparable and that each immediately <em>vanishes in its opposite</em>.&quot; [1:188] From this we see that they are not the same since there is, it seems, according to Hegel, a certain passing from being to nothing, and from nothing to being. Hegel calls this movement, from one to another, &#39;becoming.&#39;
</p>
<p>
Within Hegel&#39;s first remark (&#39;The Opposition of Being and Nothing in Ordinary Thinking&#39;) he better clarifies this by speaking of what &#39;nothing&#39; means in ordinary usage. &#39;Nothing&#39; is, typically, contrasted with something - one is either thinking of something, or of nothing. In addition, when one&#39;s thoughts move from one thing to another, they change to, or become, something else. For example, when I think about some bottle, and then move my thoughts to some table, I am first thinking about some thing (thing 1, the bottle) and then thinking about some other thing (thing 2, the table).
</p>
<p>
Of course, Hegel seems to hint at the question of whether &#39;nothing&#39; can in fact exist, since he notes that some of the oriental philosophies say that only &#39;becoming&#39; exists, and that &quot;all <em>flows</em>&quot;, or &quot;all is a <em>becoming</em>.&quot; [1:189] This does not tie into the dialectic, per se, but it does point out the branches that one&#39;s thoughts take when one performs the dialectical method.
</p>
<p>
It seems, then, that we have found the answers to the questions posed above. The question of how the dialectic works has been outlined, to some extent, above. Briefly, it works by taking some idea and following it through, breaking it down into its parts, and following each of those ideas. To know what &#39;being&#39; is, one must know what it&#39;s opposite (in ordinary thinking of course), &#39;nothing&#39;, is. From these terms, we come upon the term that links them together, &#39;becoming&#39;. Plato, being the first to use the dialectical method, showcases this method in his writings as well, when he attempts to define some often used term or another.
</p>
<p>
The question of why the dialectic is important to understand the world has been touched upon, but may need a bit of clarification. As we have seen above, there comes a time when we are confronted with a term that is used to mean some thing, but that is not perfectly defined in our minds. Instead of merely forgetting, or setting aside the question of what the term means, it is our responsibility (according to some) to determine what the term means. Or, to put it in more physical/general terms, there may be a time in which we may want to know what some thing is. Only by looking at the thing, and determining what it is not, can we determine what it is. Only by taking a look at the parts, can we truly understand the whole. Hegel is quite correct when he says that the dialectic is the source of all activity, for the dialectic is the method by which we learn what things - of all kinds - really are.
</p>
<h3>Bibliography:</h3>
<ol>
	<li>Houlgate, Stephen (Editor), The Hegel Reader, Blackwell Publishers Ltd, 1998.</li>
</ol>
<h3>Notes</h3>
<p>
<strong>Created:</strong> September 24th &ndash; 29th 2003<br />
<strong>Modified:</strong> September 30th 2003; October 1st 2003; February 5th 2005<br />
<strong>Notes:</strong> See also my papers titled: <em>Schopenhauer&#39;s Relationship with Aesthetic Contemplation and Asceticism; Kierkegaard&#39;s Method for Filling his Pieces with Content; Can One Find a Philosopher in Nietzsche?; A Brief Discussion Amongst 19th Century Thinkers</em>
</p>

