+++
title = "Heidegger's Principle of Reason Lectures"
description = "A look at Heidegger's view of the principle of reason, as detailed in his lectures and address in <cite>The Principle of Reason</cite>."
draft = false
comments = true
date = "2004-06-17T00:01:00-05:00"
modified = "2009-08-19T17:50:58-05:00"
slug = "Heideggers-Principle-of-Reason-Lectures"
blogengine = "8f76f279-b22b-4a8e-9a88-184570b250e2"
categories = ["article", "philosophy"]
tags = []
+++

<p>
The reason I picked up Martin Heidegger&#39;s <cite>The Principle of Reason</cite> was quite simple - having read Arthur Schopenhauer&#39;s <cite>The World as Will and Representation</cite> and agreed with many of his points, I attempt to further my knowledge of his principles as much as possible. While Heidegger doesn&#39;t mention Schopenhauer a single time in his thirteen Lectures, nor in his Address, Schopenhauer certainly discusses the Principle of Reason, pulling off of Leibniz, and is therefore a blatant oversight of Heidegger&#39;s to not mention Schopenhauer at all. Whether this is unintentional one cannot know from simply the text, but for a German philosopher to not know another German philosopher who covered the same content is quite surprising, to say the very least.
</p>
<!--more-->
<p>
Having read Heidegger&#39;s work, I can&#39;t say he&#39;s moved much beyond Schopenhauer. If this is what progress has given us since Schopenhauer&#39;s time, I can&#39;t say I&#39;m too impressed with the progression. Nonetheless, Heidegger deserves to be mentioned, which is what I shall attempt to do here, in as few words as possible.
</p>
<p>
&ldquo;The principle of reason reads: <em>nihil est sine ratione</em>. One translates it: nothing is without a reason. What the principle states is illuminating. When something is illuminating we understand it without further ado. Our understanding doesn&rsquo;t labor on in order to understand the principle of reason. How is this so? It is because human understanding, whenever and wherever it is active, always and everywhere keeps on the lookout for the reason why whatever it encounters is and is the way it is. &hellip; The understanding demands that there be a foundation for its statements and assertions.&rdquo; [1: 3]
</p>
<p>
Heidegger has already told the principle of reason, and will tell us at the beginning of the next handful of lectures. One must keep in my mind that these were lectures, and some level of content had to be reiterated over and over in order to make it stick in the minds of the individuals he was lecturing.
</p>
<p>
We should make note that Heidegger would like us to look at this principle from another perspective at many points in the series of lectures, namely from that of the affirmative, instead of the negative. Instead of simply looking at &lsquo;nothing is without reason&rsquo;, we should also examine &lsquo;everything is with reason&rsquo;. Yet, at this point Heidegger appears to get lost, almost seeming to believe that beings are only those things with reason &ndash; a form of intelligence. We must not allow Heidegger to take us on this path. While it is true that we can examine the principle from this direction, this is not how the principle is presented, exactly for this reason. We are not talking about what beings have, rather what they cannot <em>not</em> have &ndash; what they must necessarily have. We are not talking about reasoning &ndash; we are talking about justification and grounds.
</p>
<p>
Later Heidegger shows his inability to leave this kind of reason alone when he discusses the saying of Angelus Silesius: &ldquo;The rose is without why, it blooms because it blooms&hellip;&rdquo; [1: 36] Heidegger hear discusses what is best called &lsquo;reflection&rsquo;. The rose does not have reason because it does not reflect, yet it&rsquo;s blooming does have reason &ndash; it&rsquo;s very nature is it&rsquo;s reason. He seems to accept that something can happen because it happened, which will end up causing no small trouble later, if the proposition is followed through. To say that a thing does something because it does something is as troublesome as looking for a first cause (which Heidegger does, and which devolves into <em>x</em> is <em>x</em> because <em>x</em> is <em>x</em>).
</p>
<p>
Heidegger will also ask us to place stress upon certain words of the phrase, which makes the phrase appear to belong only to human beings, or rational animals. We must not allow ourselves to go down this path either, for it leads down the same dark path I have just warned of above. If anything, we should attempt to eradicate the &lsquo;reasoning mind&rsquo; from Heidegger&rsquo;s discussion on the principle of reason. We are concerned with grounds and foundations, not reasoning of the mind.<!--adsense-->
</p>
<p>
Heidegger finds it interesting that the principle of reason doesn&rsquo;t really tell us what &lsquo;reason&rsquo; is, but rather states that everything that is has a reason for being the way it is. In addition, Heidegger accepts that the principle of reason is without reason, for as soon as we ask for the reason that the principle of reason is true, we affirm that the principle of reason is true &ndash; otherwise, why would we even bother asking for a reason if no reason was necessary?
</p>
<p>
Heidegger also points out that &ldquo;[r]eason, which insists on its being rendered, at the same time requires that it, as a reason, be sufficient, which means, completely satisfactory. For what? In order to securely establish an object [<em>Gegenstand</em>] in its stance [<em>Stand</em>].&rdquo; [1:33] Later, &ldquo;reason must itself be sufficient&rdquo;. [1:33] In other words, only when we clearly understand the reason behind an object&rsquo;s existence do we understand the object. If any part of the reason is missing we are left with an incomplete object.
</p>
<p>
Yet, Heidegger also states that reason is like cause. This leads me to believe that, Heidegger is also pointing out that every effecting cause &ndash; every cause that has an effect &ndash; is perfect in that it is sufficient for an event/effect. If the cause were not sufficient, or perfect, there would be no effect. The problem that comes from this, though, is that every cause is perfect, and perhaps so too every effect. Certainly the causes could be no different. Yet, perhaps perfection here is not a universal perfection, in that it is the best, but rather a relative perfection, in that it is perfect in that it is sufficient (which all causes are).
</p>
<p>
Moving on, Heidegger shows that he understands the principle of reason, when he states that &ldquo;[<em>t</em>]<em>he principle of reason is, according to the ordinary way of understanding it, not a statement about reason, but about beings, insofar as there are beings</em>&rdquo;. [1:44] It&rsquo;s good that Heidegger points this out, for there are a great many portions in the previous lectures where Heidegger himself seems to have lost this point of important information. Later Heidegger states, &ldquo;the principle of reason says that to being there belongs something like ground/reason.&rdquo; [1: 50] Stated another way, a being implies that there is a foundation or ground for the being&rsquo;s existence. This being can be any object, material or nonmaterial, that is said to exist, and that has certain properties (&ldquo;in an Object something which is thrown over against and brought to the cognizing subject simultaneously stands on its own&rdquo; [1: 81]). A thought in my mind and a glass on a table both share at least one property &ndash; they have a reason they exist.
</p>
<p>
We could make a point, and Heidegger seems to lean in this direction slightly, that the only things that exist are, in a way, things brought to our consciousness. While there may be a glass sitting on a table in the other room, until I see the table and the glass upon it I do not know the existence of that state of affairs (the glass upon the table). &ldquo;Subsequently, being reveals itself as objectness for consciousness, and this at once says: being brings itself to light as will.&rdquo; [1: 65] It&rsquo;s important to mention this, as well as Arthur Schopenhauer, for this seems to suggest that Heidegger has dabbled, at the very least, in Schopenhauer&rsquo;s philosophy. I leave this point simply at this, for to draw any further discussion from this point would be to move from Heidegger to Schopenhauer in this article.
</p>
<p>
One could argue, as Heidegger points out, that Descartes also says something to the effect of &ldquo;I place something as something in front of myself&rdquo; [1: 77]. I think, I am: I doubt, I am. When I think of something as something &ndash; myself as doubtful &ndash; I place that idea at the front of my attention &ndash; I focus upon it and analyze it. This analysis attempts to find some reason, some answer to the questions of &lsquo;Is this the case? Why?&rsquo; To not question is like saying the sky is green, but never attempting to even look at the sky &ndash; to say that there are fifteen elephants in the room on the other side of a wall, but not even look to make sure that there is a room on the other side of the wall (not to mention fifteen elephants within it). We, as rational animals, constantly look for &ldquo;the sufficient ground of the objects of experience&rdquo; insofar as we look for an explanation of what, how, and why, the object is what, how, and where, it is. [1: 78]
</p>
<p>
Moving onto Heidegger&rsquo;s Address, we see another reiteration of the basics of the principle of reason. &ldquo;Whatever happens to be actual has a reason for its actuality. Whatever happens to be possible has a reason for its possibility. Whatever happens to be necessary has a reason for its necessity. <em>Nothing</em> is <em>without</em> reason.&rdquo; [1: 117]
</p>
<p>
Yet, it is important to note that it is not the reason, per se, that causes that which is to be. Rather, the principle of reason makes it clear to us, as rational animals, that everything that is is for some reason. The laws of nature do not dictate the laws of nature &ndash; rather the laws of nature explain why nature is as it is. Nature conforms only to itself &ndash; laws simply allow us to understand, and communicate, how nature works. It is the same for reasons, grounds, foundations, and justifications.
</p>
<p>
&ldquo;[O]ne can always render as to why the matter has run its course this way rather than that.&rdquo; [1: 119] It certainly seems as though the principle of reason applies to the past &ndash; we can only apply reasons to things that have already occurred. Certainly this is true. But, the repetition of certain events when certain factors are present means that reasons can be applied to future events as well. Since <em>a</em> caused <em>b</em>, it is highly probable that if <em>a</em> occurs, <em>b</em> will occur thereafter.
</p>
<p>
The final point, and an important one, is that the questioning of reasons/grounds allows no rest. Asking &lsquo;Why?&rsquo; leaves us constantly striving towards an answer. Our only options are to continue after the answers to the unending questions, or to withdraw our question, leaving one answer as the final answer. Some will argue that the former is the best route. Some will argue that one can never reach infinity, and that we therefore ought to do the latter. Some will argue that we should do the former, but say that the former ends up being the latter (Heidegger even points to this when he mentions that Leibniz finds the first cause in God). Yet, to be honest, the principle of reason does not afford us this conclusion, for better or worse. Nothing is without reason.
</p>
<hr />
<h4>Bibliography:</h4>
<p>
1: Heidegger, Martin. <cite>The Principle of Reason</cite>. Translated by Reginald Lilly. Indiana University Press: Bloomington and Indianapolis, 1996.
</p>

