+++
title = "Heilbroner's Inquiry Into the Human Prospect"
description = "A brief article regarding thoughts on Robert Heilbroner's inquiry into the human prospect."
draft = false
comments = true
date = "2004-02-06T01:01:00-06:00"
modified = "2009-03-13T21:30:59-05:00"
slug = "Heilbroners-Inquiry-Into-the-Human-Prospect"
blogengine = "d58ca52d-4de2-42a2-88d4-76c200408e37"
categories = ["article", "philosophy"]
tags = []
+++

<p>
I must admit that Robert Heilbroner&#39;s <em>An Inquiry Into the Human Prospect</em> was not quite the book that I thought it was going to be. The title and cover were what drew me to the book, and the back cover information had little impact, if any, because I realized after reading the book that I may not have read it...
</p>
<p>
Of course, Heilbroner refers to Hobbes at least once, and Marx quite a few times, and since these two are political philosophers, and since philosophy runs through everything, I wasn&#39;t displeased with the book in the least. Rather, I found Heilbroner to be quite interesting and enlightening, even though much of his information is thirty years out of date. The future that Heilbroner sees is, in one way, here, yet, in quite another way, not here.
</p>
<p>
Heilbroner&#39;s question is &quot;Is there hope for man?&quot; [1: 13] The question is not so much a philosophical one, but rather a practical one. Given the way that human beings are by nature, given the way human beings are within socio-economic systems, and given the way nature is treated, can we expect human beings to exist in the future? Will war or nature drastically change humankind as we now know it? The ultimate answer is that something is going to have to give. Either man will realize that things need to change, or nature, through her checks and balances, will deal with the problem.
</p>
<p>
Heilbroner&#39;s inquiry is quite interesting, in that he desires to seek the answers to the questions that arise without bringing his own wishes and desires into the mix. After all, it is one thing to say what you think you would do in a situation, and quite another to do it when the situation arises. Similarly, then, it is one thing to say what you wish would happen - optimistically or pessimistically - and another to actually see how it progresses. Heilbroner&#39;s conclusions are certainly something that I doubt many people would willingly put forth, save a great deal of radicals, because of the solution&#39;s ties to a strong military, or controlling force. However, it&#39;s often difficult to understand exactly where Heilbroner stands - from the view that his stand is divorced from his actual desired position - on particular issues.
</p>
<p>
Overpopulation is one of these troublesome areas. Tied with this is the question of whether greater civilizations ought to help other civilizations become industrialized as well as with their population problems, by the way of aid. On the one hand, giving aid to such countries only brings the environmental threat that much closer. Yet, if countries do not provide aid, then the possibility of strife, by way of - here nuclear - war is a great possibility. Yet, to speak in Heilbroner&#39;s favor, he does in fact state that this three issues - overpopulation, environmental issues, and war - are tied very closely together. On the one hand, providing aid, especially technologically, would perhaps enable us to come up with better solutions to the environmental issues - as more people working on a problem means, often times, faster results - and at the same time prevent the outbreak of war, and aid against overpopulation. Yet, on the other hand, providing aid means a decrease in benefits to a class of individuals, which may facilitate the outbreak of war, as well as the chance that aid may do nothing but lead towards a closer environmental threat, as well as the higher chance of war - as higher technology equals greater weapons.
</p>
<p>
Heilbroner has quite a few other things to say, and I found quite a lot of it to be noteworthy. However, instead of going into any great detail about this, I want to move to the original intention that I had when thinking of writing this article. Heilbroner gives two definitions, one of capitalism and one of socialism, that I thought were quite noteworthy.
</p>
<p>
Capitalism is &quot;an <em>economic</em> order marked by the private ownership of the means of production vested in a minority class called &#39;capitalists,&#39; and by a market system that determines the incomes and distributes the outputs arising from its productive activity. It is a <em>social</em> order characterized by a &#39;bourgeois&#39; culture, among whose manifold aspects the drive for wealth is the most important.&quot; [1: 63] We have here a economic description, as well as a social description of capitalism, which is not characterized &#39;typically&#39; by the United States, as he takes great care to point out.
</p>
<p>
Socialism is a tad different, in that we can give an economic description, but not a single social description - rather we can give three of these. Heilbroner would describe socialism as &quot;an <em>economic system</em> by its replacement of private property and the market with some form of public ownership and planning.&quot; [1: 71] As for the three social orders, we have first a type that has &quot;an industrial apparatus closely resembling that of capitalism, both in structure and in outlook, and a highly centralized, bureaucratic, and repressive social and political &#39;superstructure&#39;.&quot; [1: 71-72] Another type exists in which &quot;political centralization and social repression&quot; are present, &quot;but not the framework of industrialism characteristic of the first type&quot;. [1: 72] Finally, the third type &quot;seeks to combine a high degree of industrialism with a considerable amount of political freedom and decentralization of control.&quot; [1: 72]
</p>
<p>
Heilbroner also points out that socialism and capitalism both live by the clock, both systems desire to control nature, and both systems place a heavy emphasis on the priority of production. It&#39;s interesting to note that while such societies may be rich, they are not necessarily happy, proving that money does not in fact buy happiness. Industrialized styles of life, &quot;in contrast with non-industrial civilizations, seem dazzlingly rich in every dimension except that of the cultivation of the human person.&quot; [1: 77]
</p>
<p>
Finally, before I leave this topic, and therefore this article, it&#39;s interesting to point out the justifications of power that Heilbroner states. Perhaps these justifications would make an interesting discussion at some future point. We have &quot;the preservation of property, the conduct of war, the establishment of law, or [...] the safeguarding of a society threatened by war.&quot; [1: 105] Whether these are the only possible justifications is an interesting question, but one that I cannot discuss here, as this article is finished.
</p>
<h3>Bibliography</h3>
<p>
1: Heilbroner, Robert L. <em>An Inquiry Into the Human Prospect</em>. New York: W.W. Norton &amp; Company, Inc., 1974.
</p>
<h3>History</h3>
<p>
<strong>Created:</strong> February 6th 2004<br />
<strong>Modified:</strong> June 20th 2004; December 20th 2004; February 5th 2005 
</p>

