+++
title = "History and Analysis of Thebes, Greece"
description = "Paper regarding the history of Thebes (Greece) from it's origin to 336 B.C."
draft = false
comments = true
date = "2003-12-01T00:01:00-06:00"
modified = "2007-07-04T14:01:32-05:00"
slug = "History-and-Analysis-of-Thebes-Greece"
blogengine = "ca38f613-a857-40db-bae9-e105af9b7c2e"
categories = ["article"]
tags = []
+++

<p>
While the exact date of the foundation of Thebes, located 30 miles northwest of Athens in eastern Boeotia, has not been clearly established, ruins have been found dating back to 1300 B.C. (Wiseman, p.624). One of the reasons that so little is known about Thebes is that it doesn&#39;t play any major roles in history until the sixth century B.C. However, one myth concerning Thebes&#39; origin does exist that is important to mention due to its inclusion of known figures of Greek tragedy.
</p>
<!--more-->
<p>
According to this myth it was a barbarian, a term used by the Greeks for all non-Greeks, by the name of Cadmus, who founded the city of Thebes. Cadmus&#39; father Agenor, bore three sons, Cadmus, Phoenix and Cilix, and one daughter, who was named Europa. Zeus, acting on his frequent desire for mortal women, became a bull and carried Europa off with him. Agenor tells his sons that they must either bring Europa back to him or never return themselves again. A consultation with the oracle at Delphi leads Cadmus to not seek Europa and the bull that took her (Zeus), but rather to found a city on the exact spot where a specific cow collapses in exhaustion. (Internet Source 1) Cadmus&#39; importance in Greek tragedy becomes apparent in later works, especially the works of Sophocles. In his famous tragedy he tells of two individuals further down the birthline, named Antigone and Oedipus, who also still live in Thebes.<!--adsense-->
</p>
<p>
However, while Thebes played no major part in the rest of Greece before the sixth century B.C., it was the principal settlement in, &quot;the large fertile region of Boetia.&quot; (Pomeroy, p. 85-6) This seems to have been one factor that allowed Thebes to not only control the area surrounding it, but also to deal with the neighboring cities on a somewhat equal stance, thereby having an important part in this region.
</p>
<p>
Thebes first really enters play around the early and mid sixth century B.C., when, under the leadership of Thebes, a Boeotian league is formed. (Pomeroy, p. 127) The driving force of the creation of this league was the presence of two other major powers in the area, the militaristic Thessaly and the Athenians. Another league was formed in 546 B.C., the Peloponnesian League, which contained Sparta and it&#39;s nearby allies, including Corinth, resulting in most of Greece being a part of one league or another.
</p>
<p>
Around 492 B.C. the Persians, lead by King Darius, send an expedition into Greece, by way of land to the north of Greece, to enter, and defeat, Athens, after Athens had helped the Ionians fight against Persia. Many of the island cities that the Persian force came upon, as well as mainland cities such as Thebes, yield to occupation. However, while Persia is able to get to Athens, due in part to the fact that Northern Greece puts up little resistance; however the Persians are later defeated at the Battle of Marathon in 490 B.C. (Pomeroy, p. 187-8) When Persia&#39;s next leader Xerxes sends another force into Greece around 482 B.C., Thebes, along with Thessaly, yields to Persia, leaving Athens and the Peloponnesian League with the responsibility of removing the Persian forces from Greece.
</p>
<p>
In order to unite the Greeks against any further attacks from Persia, the Delian League was set up in Delos in 477 B.C. and headed by Athens. This league would later become the Athenian League in 454 B.C. The Athenian League existed in opposition to the Peloponnesian League, which contained Sparta and it&#39;s allies, including Corinth. (Pomeroy, p. 204-6) While Thebes doesn&#39;t appear to have been a part of either league, it was drawn into the conflict between the two around 457 B.C., when Sparta and Corinth had joined forces to fight Athens in the Boeotia area. Instead of harming Athens, however, Sparta&#39;s action allows Athens to move into Boeotia and conquer much of the area, save Thebes. (Pomeroy, p. 213)
</p>
<p>
Thebes was able to hold itself out of first the Delian and then Athenian League until the league fell apart in 445 B.C., at which time Thebes resumed control of the Boeotian area. (Pomeroy, p. 215) Thebes reappears in Greek history in 431 B.C., when, as an ally of Sparta and the Peloponnesian League, it attacks Athens&#39; ally Plataea, thereby starting the Peloponnesian War. (Pomeroy, p. 254) The quick temper of Thebes is apparent in 405 B.C. at the end of the war, when Thebes, as well as other allies of Sparta, advocate killing the Athenian men and selling the women and children into slavery. However, perhaps because Corinth and Thebes could gain quite a bit of power in the area if Athens was destroyed, the walls were instead brought down. (Pomeroy, p. 319)
</p>
<p>
Interestingly enough, around 403 B.C., Thebes and Athens have combined forces. After Athens&#39; walls had been taken down, a group of thirty tyrants were set into place to rule over the Athenians. In addition, a great number of people were banned from returning to Athens. However, Thebes and Megara, another city near Athens but to the west, allow these Athenians shelter from the tyrants and their bloody and extreme actions. Because of Thebes and Megaras help, the Thirty Tyrants are eventually overthrown and removed from control of Athens by the banned Athenians. (Pomeroy, p. 322-3)
</p>
<p>
Sparta, which became the dominant power in Greece after Athens&#39; fall and had set up the Thirty Tyrants in Athens, suffered alienation after the Tyrants downfall and eventually collapsed much the way Athens did. (Pomeroy, p. 322, 333) In 395 B.C., Sparta&#39;s previous allies united against it, waging various wars until around 371 B.C. In 382 B.C., after the first round of conflict, the Corinthian War, had ended, Thebes was eventually captured by Sparta, due to a pro-Spartan Thebian faction. However, with the help of Athens, the Spartan garrison stationed at Thebes was eventually ousted, in 379 B.C. (Pomeroy, p. 337)
</p>
<p>
Later, after joining with Athens, informally in 377 B.C. and formally in 375 B.C., Thebes was able to defeat Sparta on the battlefield in 371 B.C. Then, in that same year, Thebes marched into Spartan territory and freed the Messenians from Spartan control. Eventually, however, the leader that had made a great deal of this possible, Epaminondas, was killed in battle and revolts within the Thebes/Athens alliance tore it apart. (Pomeroy, p. 333) Even if Epaminondas would have lived, he had no real plans for the future other then, following in the footsteps of Athens and Sparta, the desire to unite Greece under their control.
</p>
<p>
Thebes was able to gain territory to it&#39;s north, which eventually resulted in fighting against the Macedonians around the 370&#39;s B.C. and in Thebes taking Philip II hostage between 369 B.C. and 367 B.C., before he was ruler. Philip&#39;s capture and the resulting time spent in Thebes had a great impact on Philip, as well as Greece itself. Philip&#39;s time spent in Thebes, in addition to learning about Greek politics and fighting, would lead him to head back into Greece when he does become a leader. (Pomeroy, p. 377)
</p>
<p>
In the 350&#39;s B.C., Philip was asked by Thebes and Larisa to come to Greece to aid them in their conflict with Phocis and Pherae. Coming to the aid of his now allies, Philip took over Thessaly in order to secure a foothold in Greece. (Pomeroy, p. 381) While Philip was taking over Thessaly, Phocis had sacked the treasures of Delphi in order to free itself from the corner in which Thebes had backed it. Thebes again asked for Philip&#39;s help with Phocis, and Philip eventually intervenes in 347 B.C. While fighting against Phocis with Thebes, Philip also was offering Phocis terms by which it could surrender and, in 346 B.C., Phocis accepted the terms. In this way, Philip was not only able to gain some level of respect from Thebes, but was also able to increase the power and territory of Macedon. (Pomeroy, p. 382)
</p>
<p>
Philip, having quite a hold in northern Greece, then continued further into Greece, and conquered a mostly Theban and Athenian contingency sent out to hold Philip off in 338 B.C. This, in turn, led to Philip eventually gaining control of all of Greece not too long thereafter, as well as the destruction of Thebes two years later. (Pomeroy, p. 387)
</p>
<p>
Having read the above history of Thebes, it&#39;s fairly easy to make at least a couple comments about Thebes. First of all, Thebes is extremely ambitious, always seeming to want more and more, yet, knowing, such as in the case of Persia&#39;s invasion, when not to push too hard to get more then what you have. Tying in with this, like many other states and leagues at this time, Thebes wants power and will do whatever it takes to get it, even if it means befriending states that it had previously fought against, or even argued for the complete destruction of. For example, after Athens&#39; conquest at the hands of Sparta, we see Thebes calling for Athens&#39; complete destruction. Yet, a short while later, Thebes is helping build Athens&#39; walls and is fighting on the field against the same enemy as Athens. Of course, we see this with various other groups as well, such as when Persia comes to the aid of Sparta, so perhaps Thebes isn&#39;t too unlike any other Greek state at this time.
</p>
<p>
While I would also like to conclude from the history of Thebes above that it&#39;s a strong military force, I&#39;m afraid I can&#39;t really say that. It&#39;s true that Thebes was a great military power while under the command of Epaminondas, which allowed them to liberate various parts of Sparta&#39;s territory, but Epaminondas was the only real thing that Thebes had going for it. Comparing Thebes to Sparta, for example, we see that Spartan troops are considerably stronger - that each individual man is strong - and that a good general only adds to Sparta&#39;s strength. On the other hand, based on Thebes&#39; previous history of allowing Persia to pretty much walk past them, the strength of Thebes is not in its individuals, but rather in it&#39;s leaders. In this way, Thebes is much like Athens, in that while Athens had a great navy, the true strength of Athens is in its thinkers and generals.
</p>
<p>
However, even though I don&#39;t believe that Thebes was a great military force, perhaps the greatest event of Thebes&#39; history was when it&#39;s military defeated Sparta. Of course, Thebes attack on Plataea in 431 B.C. was certainly important, in that it started the Peloponnesian War, but, as I stated above, I attribute this more to impatience, as well as resentment, then to any kind of military strategy. When you add to this the fact that Thebes wanted Athens completely destroyed after the war, I think the case for the attack being based on resentment is sufficiently backed. Yet, that is not to say that there wasn&#39;t some justification for why Thebes wanted Athens destroyed, as it was Athens that took away and controlled much of Boeotia during the war. Athens was certainly a threat to their region, so it would make sense to try to remove that threat when possible.
</p>
<p>
Keeping this in mind, we actually see that this explains why Thebes, and any other city in Greece, would form alliances one minute and put them aside the next. After all, as we&#39;ve already seen from the above, Sparta becomes a threat to Thebes, albeit not a very serious one to their city but rather to their path to power, so Thebes joins with Athens in order to deal with Sparta. Alliances, or in fact any outside influences, are only good if they are acting in the cities best interests.
</p>
<p>
Tied with this, it&#39;s interesting that Thebes&#39; most important event, being in control of Greece, is exactly what its downfall was as well. It is because Thebes and every other city is so concerned with themselves, and seek alliances that conform with their needs, that they fall due to these very ways. It&#39;s unfortunate that Epaminondas dies before Thebes is able to secure it&#39;s hold over Greece, in that perhaps Thebes could have accomplished what Sparta and Athens were unable to do. However, I find it highly unlikely that any power could reign supreme, without having some external force driving Greece to unification.
</p>
<p>
So, to wrap up, I suppose Thebes&#39; most significant moment was it&#39;s rise to power, which, I hold, was based on Epaminondas and the current state of affairs in Greece, most importantly that all of the other major powers were not so major anymore. Thebes, like any other city in Greece at this time, was seeking the glory and power of being the controllers of Greece, using alliances in order to secure ways of doing this, and for no other reason.
</p>
<h4>Bibliography:</h4>
<p>
S. Pomeroy et al., <u>Ancient Greece: A Political, Social and Cultural History</u>, New York: Oxford University Press, 1999.
</p>
<p>
Wiseman, James R. &quot;Thebes.&quot; <u>Encyclopedia Americana: International Edition</u>, 1990 Edition.
</p>
<p>
<em>Cadmus - Founder of Thebes - Grandfather of Dionysus and Pentheus</em>, <a href="http://ancienthistory.about.com/library/weekly/aa050801a.htm">http://ancienthistory.about.com/library/weekly/aa050801a.htm</a> (Accessed November 13th 2003)
</p>
<h4>Modification history</h4>
<p>
Created: November 13th &ndash; 18th 2003<br />
Modified: December 1st 2003
</p>

