+++
title = "If you're not in Google, you're probably dead"
description = "If we can't find something in a search online, what does that mean?"
draft = false
comments = true
date = "2007-07-29T20:07:00-05:00"
modified = "2007-07-31T18:49:22-05:00"
slug = "If-youre-not-in-Google-youre-probably-dead"
blogengine = "6b972bef-27d7-4a90-89d6-5452f18600c9"
categories = ["article", "Internet"]
tags = []
+++

<p>
A few weeks ago, I believe, a coworker and I were talking about
Google, in particular, how he happens to search for people, he once
knew, online. Of course, I don&#39;t think I know anyone who hasn&#39;t at
least done this once (even if that individual they searched for
happened to be themselves).
</p>
<p>
The question is, is it true that, if someone can&#39;t find a record
of you online, that you&#39;re dead? After all, isn&#39;t it true that an
obituary might be available online?
</p>
<p>
Seriously, in today&#39;s world this question actually suggests quite
a bit about the world in which we live in. To some extent, the
Internet has become an essential aspect of the world, in that many
are turning to it for answers, or revelations, about the world.
</p>
<p>
In fact, many things are actually turning up on the Internet
before they show up offline, which suggests that the Internet can, at
times, trump the rest of reality (for the Internet too is a reality
itself).
</p>
<p>
Of course, there&#39;s also things which only show up on the Internet.
This very article, for example, will probably never be read offline.
This is why we must accept the Internet as a kind of reality, albeit
one that is, in itself, intangible, to some extent.
</p>
<p>
This is also why we cannot say that there is a one-to-one
relationship between the Internet and the rest of the world. Not only
is it possible for there to be things on the Internet that are not
available elsewhere, but vice versa.
</p>
<p>
This, as we can see, brings us back to the original question, of
whether not being on Google means that the thing does not exist.
</p>
<p>
First, we have to clarify that when we say Google, we really mean
&#39;not seen on a basic search, such as by a provider like Google.&#39;
</p>
<p>
To some extent, not even Google knows everything that&#39;s available
on the Internet, since Google can only see so many things, which is
also the case with most other, publicly available, search engines.
This means, of course, that even if we were to search across every
public search engine, we still may not be able to find information
contained within private sites, or even those sites which may just
happen to have not been found.
</p>
<p>
For example, if there&#39;s no link to a page, and never has been,
then the page probably won&#39;t be indexed.
</p>
<p>
Now, if we could search across every page on the Internet, whether
it was public, private, or just not linked to (for example, if we
could access each server directly and search on it, with no
restrictions) we&#39;d have a deal more information at our disposal. But
would it be enough?
</p>
<p>
If we were to accept that not everything is available on the
Internet, then clearly we would not. So, we seem to have already
reached the conclusion that, even if we don&#39;t find something on the
Internet, it tells us only that we were unable to find what we were
looking for. It does not tell us whether that information is really
unavailable.
</p>
<p>
At this point we&#39;ve determined that just because you can&#39;t be
found on Google, or any other search engine, doesn&#39;t mean that you&#39;re
dead, it just means that you either that there is no information on
the Internet about you, or that that information is not available via
search.
</p>
<p>
But that doesn&#39;t mean that this question has no importance. As we
mentioned earlier, it sheds some light on the world in which we live
in.
</p>
<p>
First, there&#39;s the assumption that the Internet does contain real
information. While this is often the case, it&#39;s incorrect to thereby
assume that there is a one-to-one relationship, as we&#39;ve already
discussed.
</p>
<p>
Second, there&#39;s the assumption that everyone is on the Internet,
whether directly or indirectly. For example, while someone may be
dead, it&#39;s possible that someone else, who knows that person, may
have, at one time or another, mentioned that person.
</p>
<p>
To some extent, this raises another interesting point, namely,
that if you&#39;re not found on the Internet, but do have access to the
Internet, something appears to be rather fishy. Id est, one has to
wonder about someone who accesses the Internet, but is unsearchable.
Is that person trying to keep themselves out of search? If so, to
what purpose?  Or, are they simply not going to the right places, and
not leaving the correct tracks?
</p>
<p>
Third, there&#39;s the assumption that, once something is on the
Internet, it stays on the Internet. However, that&#39;s unfortunately not
the case. While it&#39;s true that systems are in place to cache, or
store, data, as means of an archive, as we&#39;ve pointed out before, not
all information is accessible, due to it being either privately
available, or not publicly linked.
</p>
<p>
&nbsp;
</p>
<p>
So, until all information is available on the Internet, and that
same information is available to anyone, we must realize that, just
because we cannot find someone via a search does not necessarily mean
that that individual is not on the Internet, or that the person is
deceased. Rather, we must remember that the Internet is not the
entire world ... yet.
</p>
<h4>Update July 31, 2007&nbsp;</h4>
<p>
The nameless coworker mentioned above was actually Dan Conderman. You can find Episode 2 in the archives of the <a href="http://hockcast.podshow.com/" target="_blank">HockShow PodShow</a>, where Matt and Dan discuss this and much more. Episode 1 seems to be sadly missing, however, but Episode 3 is now available. 
</p>

