+++
title = "Initial thoughts on a square image canvas for fractals"
description = "Just how does one determine the best canvas for a fractal?  Should they almost always be square, because of the nature of most fractals, or does a rectangular canvas work just as well?"
draft = false
comments = true
date = "2006-06-09T15:44:00-05:00"
modified = "2007-08-11T18:51:27-05:00"
slug = "Initial-thoughts-on-a-square-image-canvas-for-fractals"
blogengine = "44846d97-7637-4941-bae0-21b9bc2281af"
categories = ["article", "software"]
tags = []
+++

<p>
I&#39;ve been a part of a number of boards in my years, but the one that I&#39;ve probably stayed on with for the longest is the board at <a href="http://www.fractovia.org/">Fractovia</a>.  In response to an image, I mentioned the canvas which turned into it&#39;s own thread (<a href="http://fractovia.org/bb/index.php?topic=16.0">Squares?</a>).  Here&#39;s my intial reply, which I just had to save:<!--more-->
</p>
<hr />
<p>
This question is in regard especially to the image Baileau III, discussed at http://fractovia.org/bb/index.php?topic=15.0<!--adsense-->
</p>
<p>
In this particular image, as with a great number of fractal images (ah, and notice my use of image instead of picture, to bring up an older thread), we see a fairly symmetrical fractal; that is, if I copy the image into Photoshop and rotate it 180-degrees, it looks fairly like the original image (as opposed to a 90-degree rotation, but a great many fractals will look very similar even after a 90-, or even 45-degree shift).
</p>
<p>
(There are a number of differences, but they are fairly small, considering all things.  For the most part, it is a twin.)
</p>
<p>
This raises the question, then, of whether symmetrical fractals, of which I&#39;d argue a vast number of fractals are, would best be presented in a square canvas.  Does the very nature of a symmetrical fractal impose a certain constraint upon how the canvas should be sized?
</p>
<p>
Perhaps it&#39;s a question of aesthetics.  In your comment, you pointed out that you like the yellow in the two opposite corners.  I replied that I would have liked to have seen the yellow in all four corners.
</p>
<p>
Having not seen the image presented on a square canvas, how would I come to expect (and rightly I think, again not really knowing, but rather just presuming) yellow in the two hidden corners?  I&#39;d respond that it&#39;s because the nature of the fractal suggests that I would in fact see yellow in those two corners.
</p>
<p>
Looking closer at the fractal, however, I&#39;d see that the four corners would not match up 1:1.  Rather, they would match up diagonally - 2:1.  I need merely move my way from the four corners - two shown, two hidden - to the &#39;heart&#39;/middle of the image to see that the two hidden corners would actually be larger than those shown.
</p>
<p>
===
</p>
<p>
Perhaps, however, the rectangle <em>is</em> the best way to present this image.  When we first look at the image, I think we notice the horizontal movement, as opposed to the vertical movement; this is a flight of stairs that we are looking down at, watching as the steps go further and further into the depths of the earth.  We, as earth-bound creatures, would walk around the column sinking into the ground, for that is where the stairs are put.  We&#39;d in fact start to our right to go in deeper, so to the right we look.
</p>
<p>
On the other hand, if the image was square, we&#39;d start in a corner instead, or perhaps at the bottom, neither of which is what we&#39;d really want to draw attention to.
</p>
<p>
===
</p>
<p>
Which leaves me at a stand-still (oh what a surprise).  Square canvas seem to be what fractals would like to reside in, by their very nature, but man being man, perhaps our imposing of rectangles upon them is a sign of our creativity and our desire to move the natural to the beautiful.
</p>
<p>
?
</p>
<p>
~James
</p>
<hr />
<p>
I encourage you to visit <a rel="nofollow" href="http://www.fractovia.org/">Fractovia</a> if you have any interest in fractals - he&#39;s still got the best listing of fractal programs available.
</p>

