+++
title = "Installing CollabNet Subversion Server 1.6.3 and TortoiseSVN 1.6.3 on Windows Server 2003"
description = "In this article I install CollabNet Subversion Server 1.6.3, with TortoiseSVN 1.6.3, on Windows Server 2003 R2, Enterprise Edition, Service Pack 2."
draft = false
comments = true
date = "2009-07-03T10:00:00-05:00"
modified = "2009-12-20T12:35:57-06:00"
slug = "Installing-CollabNet-Subversion-Sever-163-and-TortoiseSVN-163-on-Windows-Server-2003"
blogengine = "40bca5ce-9201-4f62-a5a5-5ae676f50039"
categories = ["tutorials / guides"]
tags = ["subversion", "tortoisesvn", "windows server 2003", "virtualbox", "virtualization", "svn"]
+++

<p>For a business to implement version control, they typically want some kind of support, preferrably that they need to pay for, and that may or may not be used,&nbsp;and that&nbsp;may or may not be helpful.</p>
<p>Luckily, CollabNet offers certified binaries of <a rel="external" href="http://www.open.collab.net/products/subversion/">Subversion</a>, available for the low price of the time needed to register. Additionally, they offer support, training, installation, and hosted solutions, in addition to the large Subversion community. Compared to the other solutions out there, including Microsoft's, there's really no question on what your first choice should be.</p>
<p>In this article I'll be going over the base installation of CollabNet Subversion Server 1.6.3 and TortoiseSVN 1.6.3.16613, on Windows Server 2003 R2 Enterprise Edition, Service Pack 2, running on Sun VirtualBox. Screenshots are available by clicking on the appropriate links. (Due to the size, they are not included here, but I might do some jQuery to have them display nicely, at some point.)</p>
<h3>Downloading installers</h3>
<p>The first step is to download the installers for <a rel="external" href="http://www.open.collab.net/downloads/subversion/">CollabNet Subversion Server</a> and <a rel="external" href="http://tortoisesvn.net/downloads">TortoiseSVN</a>. At this time, the current versions of each are 1.6.3.</p>
<h3>Installing CollabNet Subversion Server</h3>
<p>CollabNet Subversion Server relies upon Apache to serve repositories, due to the various benefits (security and etcetera) that it provides. However, for this installation I'll assume that you want to keep IIS running and available.</p>
<p>Start the installer and read and click Next on the <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_01.jpg">first</a> and <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_02.jpg">second</a> screens. On the <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_03.jpg">third</a> screen you'll be able to choose whether you want svnserve to run as a Windows service, as well as Apache. For these, you want to keep the default of having both checked.</p>
<p>Assuming you've done that correctly, on the <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_04.jpg">fourth screen</a>&nbsp;you'll be able to choose what port Subversion should use (default is 3690) and the directory to store repositories (default is c:\svn_repository).</p>
<p>On the <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_05.jpg">next screen</a> you'll setup Apache. If you wish to continue running IIS on port 80, you'll need to use a different port (80 changed to 8080 in my case) and/or change the host to a name that IIS is not using. You'll also set where the repositories are being stored (from the previous screen) and what path to use when navigating via HTTP.</p>
<p>You can also enable viewVC, but Active Python 2.5 must be installed. By default viewVC is not enabled (and I don't go through that installation here).</p>
<p>Finally, you'll choose the location to install CollabNet Subversion Server on <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_06.jpg">screen six</a>, and be presented with the <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_07.jpg">Finished screen</a> once the installation is complete, which includes links to CollabNet products and services.</p>
<p>A <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_08.jpg">restart</a> will be required in order to start the necessary services. Once the restart is complete you can verify that you can access Apache through the browser, as well as run the <code>svnadmin --version</code> command to verify that Subversion is installed. <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/collabnetsubversion_1.6.3_install_09.jpg">See this</a>.</p>
<h3>Installing TortoiseSVN</h3>
<p>The next step is to install TortoiseSVN. <a href="http://strivinglife.com/words/?tag=/tortoisesvn">I've covered TortoiseSVN</a> a number of times on this site, and installing this version isn't much different.</p>
<p>Accepting the defaults will get you through the install process (captures: <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_01.jpg">1</a>, <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_02.jpg">2</a>, <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_03.jpg">3</a>, <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_04.jpg">4</a>, <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_05.jpg">5</a>, <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_06.jpg">6</a>), and you'll need to <a href="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.6.3_install_07.jpg">restart</a> once the installation is complete.</p>
<h3>Testing repository creation and usage</h3>
<p>At this point, you should be set to begin working with Subversion.</p>
<p>Create <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_01.jpg">a new directory</a> in your repository directory (default is C:\svn_repository). Then <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_02.jpg">right-click on the directory</a> and select TortoiseSVN &gt; Create repository here.</p>
<p>The <a href="http://media.strivinglife.com/graphics/collabnet_subversion/repotest_03.jpg">repository will be created</a>, and you can <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_04.jpg">verify</a> by opening the directory as well as navigating to it via HTTP.</p>
<p>We can now checkout a copy by right-clicking anywhere and selecting <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_05.jpg">SVN Checkout ...</a>.</p>
<p>Enter the URL of the repository and a checkout directory to continue. <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_06.jpg">See this</a>.</p>
<p>You should then be able to browse to that path and see that you have <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_07.jpg">a current directory</a>. You can then <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_08.jpg">create a test file</a> and <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_09.jpg">commit</a> your <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_10.jpg">changes</a> to verify things are <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_11.jpg">working correctly</a>.</p>
<p>You can make <a href="http://media.jamesrskemp.com/graphics/collabnet_subversion/repotest_13.jpg">another change</a>, verify that things commit, and then browse, via HTTP or the repository browser, to ensure that you're at the appropriate number of commits.</p>
<h3>Next steps</h3>
<p>And with that, you've successfully installed CollabNet Subversion Server 1.6.3 and TortoiseSVN 1.6.3. Now you just need to use Subversion during development.</p>
<p>CollabNet also offers free tools for Eclipse and Visual Studio, to help you integrate with your favorite IDE.</p>
<p>You can also play around with the security options that are available due to Apache, to make Subversion as secure as you need it.</p>
