+++
title = "Installing TortoiseSVN to Windows Vista"
description = "In this article I'll be installing TortoiseSVN 1.4.8 to a Windows machine, running Vista Ultimate. [slnet0514:ed428114-f660-445d-a5ae-5ef4756fd2b3]"
draft = false
comments = true
date = "2008-06-08T09:00:00-05:00"
modified = "2010-01-28T22:16:21-06:00"
slug = "Installing-TortoiseSVN-to-Windows-Vista"
blogengine = "ed428114-f660-445d-a5ae-5ef4756fd2b3"
categories = ["software", "tutorials / guides"]
tags = ["tortoisesvn", "subversion", "windows", "vista", "svn"]
+++

<p>In a previous article, I <a href="/words/post/Installing-Subversion-and-TortoiseSVN-to-a-Windows-XP-Home-Edition-SP2-local-machine-with-Dreamweaver-8.aspx">installed Subversion and TortoiseSVN to a Windows XP Home Edition machine</a>. Later, I <a href="/words/post/Upgrading-Subversion-and-TortoiseSVN-on-Windows-(140-to-142).aspx">upgraded the installation</a>.</p>
<p>Just recently I covered <a href="/words/post/Installing-Subversion-to-Windows-Vista.aspx">installing Subversion 1.4.6 to Windows Vista</a>. This time I'll be installing TortoiseSVN on that same machine.</p>
<h3>The setup</h3>
<p>The system I'm using is a HP Pavilion a6360t, with 4GB install RAM, 2.20 GHz, with two cores, running Windows Vista Ultimate SP1, 32-bit.</p>
<h3>Downloading TortoiseSVN</h3>
<p>Since TortoiseSVN is for Windows, it makes it even easier to&nbsp;find the version to download. Right on the <a href="http://tortoisesvn.tigris.org/" target="_blank">home page</a> we&nbsp;see a link for the download page, where we can get a copy of the most current version.</p>
<p>At the time of this writing that's version 1.4.8, built against version 1.4.6 of Subversion.</p>
<p>I'll be downloading the file TortoiseSVN-1.4.8.12137-win32-svn-1.4.6.msi.</p>
<h3>Installing TortoiseSVN</h3>
<p>Running the program, you'll work your way through a number of installation screens.</p>
<h4>Install screens</h4>
<p><img style="width: 513px; height: 396px;" title="TortoiseSVN Setup Screen 1" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_01.jpg" alt="TortoiseSVN Setup Screen 1" width="513" height="396" /> <img style="width: 509px; height: 396px;" title="TortoiseSVN Setup Screen 2" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_02.jpg" alt="TortoiseSVN Setup Screen 2" width="509" height="396" /> <img style="width: 509px; height: 396px;" title="TortoiseSVN Setup Screen 3" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_03.jpg" alt="TortoiseSVN Setup Screen 3" width="509" height="396" /> <img style="width: 509px; height: 396px;" title="TortoiseSVN Setup Screen 4" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_04.jpg" alt="TortoiseSVN Setup Screen 4" width="509" height="396" /> <img style="width: 509px; height: 396px;" title="TortoiseSVN Setup Screen 5" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_05.jpg" alt="TortoiseSVN Setup Screen 5" width="509" height="396" /> <img style="width: 376px; height: 176px;" title="TortoiseSVN Setup Screen 6" src="http://media.jamesrskemp.com/graphics/tortoisesvn/tortoisesvn_1.4.8_install_06.jpg" alt="TortoiseSVN Setup Screen 6" width="376" height="176" /></p>
<h3>Post-Installation</h3>
<p>With TortoiseSVN installed, we can now interact with Subversion in a Windows-friendly way, instead of relying upon the command line.</p>
<p>In a later article, we'll actually use Subversion and TortoiseSVN to put a Web site under source control, as well as a Windows application (based upon the .NET Framework).</p>
<p>While I've covered <a href="/words/post/Installing-Subversion-and-TortoiseSVN-to-a-Windows-XP-Home-Edition-SP2-local-machine-with-Dreamweaver-8.aspx">Dreamweaver</a> in the past, I'll be looking at using Subversion with Visual Studio, to see if it's indeed possible.</p>
