+++
title = "Installing WordPress 2.9.2 on Windows Server 2003 using Microsoft's Web Platform Installer"
description = "Microsoft's Web Platform Installer has become a little better known, but how easy does it really make installations? In this article I use the Web Platform Installer to install WordPress (with MySQL, PHP, and etcetera) on Windows Server 2003."
draft = false
comments = true
date = "2010-03-12T12:40:00-06:00"
modified = "2010-03-12T12:43:51-06:00"
slug = "Installing-WordPress-292-on-Windows-Server-2003-using-Microsofts-Web-Platform-Installer"
blogengine = "9c97ba49-8510-4a68-8dc8-63d675dfcd45"
categories = ["tutorials / guides"]
tags = ["windows server 2003", "mysql", "wordpress", "microsoft web platform installer"]
+++

<p>I recently had need to install and test WordPress for some possible work. While I was tempted to go the Linux route, shortly after the OS was setup I decided to skip that and stick with Windows. Since Microsoft has released a platform that supposedly makes it easy to install Web-related applications, I decided to give it a try to determine just how simple it was.</p>
<p>What follows is an overview of the setup process to install WordPress 2.9.2 on Windows Server 2003, using Microsoft's Web Platform Installer.</p>
<h3>Web Platform Installer</h3>
<p>The <a rel="external" href="http://www.microsoft.com/web/platform/default.aspx">Microsoft Web Platform Installer</a> can be downloaded from Microsoft.com and acts as middle-ground between all of the various applications that it covers, which is fairly robust (a <a rel="external" href="http://www.microsoft.com/web/gallery/">full listing</a> is available).</p>
<p>As you can see in <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_01.jpg">Figure 1</a>, WordPress is available along with a handful of other blogging applications. Upon selecting this and pressing Install, you're presented with the listing of dependencies and other applications that may be required (Figures <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_02.jpg">2</a>, <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_03.jpg">3</a>, and <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_04.jpg">4</a>).</p>
<div class="note">
<p>While I was going to install MySQL on a dedicated virtual machine, and was able to deselect that, for ease I've kept in selected here. At this time I'm not sure (yet)&nbsp;of how that would impact the installation process.</p>
</div>
<p>Since MySQL was being installed, I was prompted, right away before anything was downloaded, for an administrator password, as seen in <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_05.jpg">Figure 5</a>. Even though I thought&nbsp;I had everything installed for IIS, I was also prompted, as shown in <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_06.jpg">Figure 6</a>, for a Windows Server 2003 disc.</p>
<p><a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_07.jpg">Figure 7</a> alludes to the fact that the individual requirements are downloaded and installed, moving right into the setup of any Web sites as required, as seen in <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_08.jpg">Figure 8</a>. In this case I kept the defaults. Additional WordPress setups are shown in Figures <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_09.jpg">9</a>, <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_10.jpg">10</a>, <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_11.jpg">11</a>, and <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_12.jpg">12</a>, where the database is setup. It's been a while since I've <a href="http://strivinglife.com/words/post/Installing-MySQL-and-phpMyAdmin-on-a-local-Windows-based-Apache-server.aspx">installed MySQL</a>, so how this relates to that installation is unknown.</p>
<p>Once all components have been installed, you're presented with a nice little screen, like <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_13.jpg">Figure 13</a>. You can then launch WordPress and go through the setups necessary (Figures <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_14.jpg">14</a> and <a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_15.jpg">15</a>), log in (<a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_16.jpg">Figure 16</a>) and view the administrative interface (<a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_17.jpg">Figure 17</a>) and home page (<a href="http://media.jamesrskemp.com/graphics/windowsServer2003/webPlatformInstaller_WordPress_18.jpg">Figure 18</a>).</p>
<h3>Thoughts on the Platform Installer</h3>
<p>While I initially didn't think much of the installer, having actually used it, I'm pleasantly surprised. It's an extremely simple process, similar to how one might install applications through, say, Ubuntu.</p>
<p>It takes a lot of the guess-work out of the process, which is rather nice. On the other hand, while I can get going with WordPress at this point (and I was able to do my testing fairly quickly), the disadvantage of this is that I don't know any of the complexities of the setup process. I haven't installed WordPress (or PHP, or MySQL), but rather an installer has. But, I like the challenge of figuring things out on my own.</p>
<p>Which is why while I like the Installer, and will definitely use it when I need to quickly test something, for the most part I'll probably stick with old-fashioned methods of installation.</p>
