+++
title = "It's time to grow up - Why IE 7 means we all win"
description = "IE7 doesn't mean that Firefox, or any other browser has won, but that we've all won."
draft = false
comments = true
date = "2006-10-25T18:59:00-05:00"
modified = "2007-10-27T23:35:59-05:00"
slug = "It's time to grow up - Why IE 7 means we all win"
blogengine = "1e931e31-0f72-41b0-98c8-543f3255dafa"
categories = ["software"]
tags = ["internet explorer"]
+++

<p>
Earlier today I ran across an article titled &quot;IE7 vs. FireFox: Why Microsoft Lost the Battle,&quot; which stated at the end that &quot;All in all, IE evolution is not impressive at all. It will still have one advantage though: after installing/reinstalling XP or Vista, IE7 will be the first and only browser used to download Opera, BonEcho or FireFox&hellip;&quot; Unfortunately, this article, as well as the numerous other articles that state that Microsoft&#39;s IE 7 is &#39;too little, too late,&#39; are way off base, which is quite the good thing.
</p>
<h3>Points 1 and 2. The average user is not you, and all they really care about is getting online</h3>
<p>
These two points go together quite naturally. First, just because you&#39;ve got an &#39;alternative&#39; (defined here for Windows users, my target audience, as a browser other than Internet Explorer) doesn&#39;t mean that the average user does, or that they even care to use one. My &#39;over-40&#39; year old mother doesn&#39;t care what browser she&#39;s using to connect to the Internet - she just wants to be able to get on and get shtuff done. I can install Firefox on her computer, and show her how to use it, but if Internet Explorer seems to work just as well, what does she care? 
</p>
<p>
Now I know when I would want to use Internet Explorer (6.0) and when I&#39;d want to use Firefox, or Opera, or Netscape, but the average user doesn&#39;t know that. And, if they run into a problem in Firefox, they may not know that it&#39;s because the site hasn&#39;t been coded correctly - since it worked in the old browser, it must be a problem with the new browser. 
</p>
<h3>Point 3. Almost every average Windows machine in current use has some flavour of Internet Explorer installed</h3>
<p>
If you listen to some people, Internet Explorer 7 was a complete waste of Microsoft&#39;s time. &quot;It still sucks.&quot; Sure it does, I&#39;m not going to disagree with you. But, even though it took Microsoft years to get off their hands and bring their browser up to speed, it was anything but a waste of time. 
</p>
<p>
While it&#39;s true Internet Explorer 7 can only be installed on machines with current patches, using an older version of Windows is a security risk in itself. Is it shady that Microsoft doesn&#39;t release IE 7 for older versions of Windows? Sure, but it makes good business sense. Almost every software developer has to, yes, <em>has to</em>, decommission older versions at some point or another.<!--adsense--> 
</p>
<p>
For Windows, the obvious reason that people don&#39;t upgrade is because of the cost. Yet, there&#39;s people out there that still use Netscape 4 for almost everything, even though the new version of Netscape is available for free download, and even though there are better browsers out there. 
</p>
<p>
But, by &#39;letting&#39; people use older technology, what are we really encouraging? Are we encouraging the free spirit, or stubbornness? Yes, Netscape has changed, and it is a different experience, but it&#39;s time to upgrade. 
</p>
<p>
Yes, you need to upgrade to Windows XP SP 2, but there&#39;s a good reason for that. By using an older version of Windows, you not only harm yourself, you also potentially harm everyone else. 
</p>
<p>
Some people don&#39;t have a choice, of course, and there&#39;s always the technical people who otherwise secure their computers because they know about the security risks. Yet, for the average person, we need to convince them to upgrade. &quot;Yeah, you just use Firefox, that&#39;s a safer browser and you won&#39;t have to upgrade.&quot; Does one hand know what the other is doing? 
</p>
<p>
Back to IE7, while those of us who are technical may not be impressed with IE7, as far as compliance or security, there are a lot of people who are just going to use whatever version of IE they&#39;ve got on their computers. I&#39;d rather they upgrade to IE7 then continue using IE6, because at least IE7 is an improvement, and a sign of better things to come. 
</p>
<h3>Point 4. You&#39;ve heard of Firefox 1.5.0.x, but you talk about IE 8 as the next release?</h3>
<p>
Here&#39;s what really gets me. People are slamming IE 7, talking about what they&#39;d like to see in the next release, but they refer to it by IE 7.5, or IE 8. This is a <em>very bad thing</em>. AOL does this, but we&#39;re smarter than that. 
</p>
<p>
The majority of &#39;good&#39; software these days is not marked by a dot release, but rather by a dot-dot(-dot) release. There&#39;s still a ways to go, such as Firefox skipping from 1.0 to 1.5 to 2.0, but, being fairly low in the major revision number, Firefox can get away with saying that the browser has changed in a big way. 
</p>
<p>
But, what I want to see before IE 8 is IE 7.0.1, and IE 7.1, and then maybe a 7.5. I want regular updates, not an update every year. And, let&#39;s be honest, if you want all of those things you&#39;re requesting, it&#39;s going to take a year if they have to release them at once. 
</p>
<p>
Technical users: push for a roadmap from Microsoft for IE. Push for more minor release versions that add new functionality. Do <em>NOT</em> push for the next release of IE to be 7.5 or 8.0, or you&#39;ll get exactly what you asked for. 
</p>
<h3>Point 5. Pushing IE 7 out as an automatic update is a <em>good thing</em></h3>
<p>
There&#39;s a lot of noise about Microsoft pushing IE 7 out as an automatic update. I say this is a <em>good thing</em>&trade;. When a new version of AVG is released, it&#39;s usually downloaded and installed onto my computer that day or the next. This is a <em>good thing</em>&trade; because it doesn&#39;t require any action on my part to upgrade my security. 
</p>
<p>
If IE 7 was something that the average user had to manually install, they wouldn&#39;t install it. Again, they want to browse. 
</p>
<p>
Yet, by pushing it out, Microsoft forces some action from the sleeping giants, like the banking industry, and a number of software publishers. Have you run into any sites that tell you that their software doesn&#39;t work with the new IE 7? Do you think those sites work any better with Firefox, or Opera? 
</p>
<p>
Not only have they had advance notice that this was coming from Microsoft, but they also had the signs from the various alternative browsers gaining market support. But, still they slept on. You&#39;ve got to break eggs to make an omelet, so I say let&#39;s get cracking. 
</p>
<h3>In short ...</h3>
<p>
In short, Internet Explorer 7 is a good thing - it&#39;s not something that we need to bash anyone about. IE7 may have taken a hell of a long time, but it&#39;s a good sign. Not only does it have a positive effect on the average user, it also has a positive effect on every technical user, from tech support, to product support, to Web developers. After all, I&#39;d rather design for an evolving browser market then one where the major player is asleep at the machine. Wouldn&#39;t you? 
</p>
<h3>Note</h3>
<p>
I probably missed something, or didn&#39;t word something correctly, because I was tired and cranky at the time I wrote this article. Let&#39;s work together, later, to make sure the above is reasonable, eh? 
</p>
<p>
The article mentioned above, IE7 vs. FireFox: Why Microsoft Lost the Battle, can be found at <a rel="nofollow" href="http://www.playfuls.com/news_04876_IE7_vs_FireFox_Why_Microsoft_Lost_the_Battle_.html">http://www.playfuls.com/news_04876_IE7_vs_FireFox_Why_Microsoft_Lost_the_Battle_.html</a>, and was accessed October 25, 2006. 
</p>

