+++
title = "July 2015 tablet recommendations"
description = "The following is an email I sent on July 23, 2015, to someone who was looking to purchase her first tablet. It's now a month out of date, but I hope it helps someone, or is historically interesting."
draft = false
comments = true
date = "2015-08-29T15:12:33-05:00"
modified = "2015-08-29T15:13:07-05:00"
slug = "July-2015-tablet-recommendations"
blogengine = ""
categories = ["review"]
tags = ["review", "android"]
+++

<div class="note"><p>The following is an email I sent on July 23, 2015, to someone who was looking to purchase her first tablet. It's now a month out of date, but I hope it helps someone, or is historically interesting.</p></div>

<p>Fair warning this is a long email, but you don't have to read it all. If you want to skip ahead I've put bold text to help you skip around. You can either keep reading now, or skip ahead to the bold text in parens below.</p>

<p>My first question was going to be whether you have a smartphone, but when I was talking to Jenn this morning she told me that you have a Samsung smartphone, which I'm guessing means you have an Android-based phone. If that's not the case, let me know, as that opens options a bit more.</p>

<p>I'd say if you're comfortable with your phone, that's good, as you have tons of Android-based tablets to select from (and they're cheaper than the iPad variants :)). There are some nice 2-in-1 tablets, but based upon what you've said I don't think you need one. And if you stick with Android any games or apps you purchase should be able to be installed on either your phone or tablet.</p>

<p>The next question is price range. I'm going to keep it near the low end, but not cheap range. Ignoring the iPad I bought years ago, I don't think I've spent more than $300 on any of the three tablets I've purchased.</p>

<p>Since my standard recommendation appears to be harder to find (Nexus 7), I'm going to pretend that I'm going to purchase one. I did talk to my mom, who got my old Nexus 7 tablet, and who appears to have usage similar to what you're looking for. She noted she would like one that has a larger screen, so I'll keep that in mind. I'm also going to try to recommend stuff that is local, so you can hopefully go to a store and actually try them out (and take a look at how nice it looks, speaker sound, and weight).</p>

<p><strong>(Here's the first area you can skip to.)</strong></p>

<p>Something you might want to keep in mind is the <a href="http://amzn.to/1CT70Wo">Amazon Fire TV Stick</a>. They're about $40 from Amazon and use an HDMI connection on your TV. It uses your home's wireless to connect into a number of streaming services like Netflix, Hulu, Amazon Video, and YouTube. I've been happy with mine and my mom has had no issues with the one I got for her. You can use an Android phone or tablet as a remote, and at least for the YouTube part you can search for a video and then have your TV actually play it.</p>

<p>Another alternative is the <a href="http://amzn.to/1JhZzc6">Chromecast</a> which offers similar functionality. I haven't personally used one, but I have some friends who purchased them and were happy with them. They're a little older now, but $10 cheaper. I think this might also require either a laptop, phone, or tablet, while the Amazon stick can be standalone.</p>

<p>The reason I mention these is because casting from a tablet to your TV is either going to require that your tablet have an AV connection out (rare, and then you've got a cord) or some sort of dongle for your TV. So, it's another piece of hardware, but it might be cheaper and easier than buying a tablet that supports the connection out.</p>

<p>Okay, tablet time. <strong>If you don't want to read through all that I wrote (I don't blame you, I wrote way more than I thought I would :) ), if you scroll to the end of this message I list my three recommendations.</strong></p>

<p>The first thing I'm going to do is head over to bestbuy.com so we can actually physically see the tablet. They've got decent prices, but they do tend to cycle through items fast. I'm going to limit my search to tablets in the $100-$500 range (but realistically $100-$300), Android, 4 or 5 star, and available through Best Buy, and not their marketplace.</p>

<p>Given how many good results this gives us, I'm going to change my limit to the $100 to $249 range.</p>

<p>I've used Samsung, Asus, and Lenovo hardware and have been pretty happy with all three, except the Lenovo had mediocre screen resolution.</p>

<p>There's not many Lenovo models, so I'm going to strike those.</p>

<p>Asus has a <a href="http://www.bestbuy.com/site/asus-zenpad-7-85-intel-atom-32gb-black/7650139.p?id=1219681450081&amp;skuId=7650139">ZenPad</a>, but it just came out last month. Despite positive reviews so far, I wouldn't want to recommend that to you at this point. It also has no reviews on Amazon, and I always like to look at Amazon reviews. But, it does have a nice amount of space, Android 5.x (current), and a very nice screen. Seeing speakers on the front also suggests it might have nice sound.</p>

<p>That brings us down basically to the Samsung Galaxy Tab A and Tab 4. I'm striking the Tab 3 because they're putting them on clearance to get them out the door, and they're an older version of Android, which means they might not get new updates. I'm also not a fan of the border size on them, and the screen resolution isn't that hot.</p>

<p>The Tab 4 has Android 4.x, while the Tab A has 5.x. Honestly, version 4 of Android is pretty stable, so I wouldn't instantly jump to the Tab A. You'll also notice that the Tab A has a lower resolution, despite being an inch larger. Amazon reviews seem to consistently bring up the poor resolution. Given your requirements, and my personal experience with a tablet with a poor resolution (but great sound), I'd take the Tab A out of the running.</p>

<p>Which leaves us with the <a href="http://www.bestbuy.com/site/samsung-galaxy-tab-4-7-8gb-black/5420045.p?id=1219127073673&amp;skuId=5420045">Tab 4</a>. Reviews are quite good about this, and while the 8 GB of space is pretty low, it does support a microSD card up to 32 GB. But it's also a 7 inch tablet, which might be a little small.</p>

<p>Sadly, while Best Buy lists an 8.4 inch Tab Pro, it's on clearance and there doesn't appear to be any in stock locally. But <a href="http://amzn.to/1MqO2cq">Amazon has one listed</a> for ~$240. Reviews are positive, and the screen resolution appears to be (from reviews and specs) pretty dang good. It's also got double the space and supports an SD card too.</p>

<p>Switching over to Amazon and starting fresh, with similar filtering, the Samsung Tab 4 tops <a href="http://amzn.to/1ekH4qy">that list</a> as well.</p>

<p><strong>All that said ... if it were me, I would:</strong></p>

<ol>
<li>Take a look at the <a href="http://www.bestbuy.com/site/samsung-galaxy-tab-4-7-8gb-black/5420045.p?id=1219127073673&amp;skuId=5420045">Samsung Galaxy Tab 4</a> at a local Best Buy. $150</li>
<li>If you think you might like the extra 1.4 inches, you could see if you could find a <a href="http://amzn.to/1MLnb88">Samsung Galaxy Tab Pro 8.4</a> locally, or take a chance and buy one online. $240</li>
<li>If you want to live on the edge, maybe take a look at the <a href="http://www.bestbuy.com/site/asus-zenpad-7-85-intel-atom-32gb-black/7650139.p?id=1219681450081&amp;skuId=7650139">Asus ZenPad 7.85"</a> at a local Best Buy. It's early in the product's lifecycle, so if you're not in a hurry you should be able to wait and see how it reviews over the next couple months. $200</li>
</ol>

<p>Sorry about the length of the email, but hopefully that helps. I'd be curious what you end up doing, and if you decide to wait a bit can certainly take another look at things for you.</p>
