+++
title = "Know thyself - or - On the examined life"
description = "Lingering questions to the 2006 essay Should We Examine Life?, by Gavin Schmitt."
draft = false
comments = true
date = "2006-10-18T20:52:00-05:00"
slug = "Know-thyself-or-On-the-examined-life"
blogengine = "12c79699-e2a6-4eee-b3b1-8be383c45fa8"
categories = ["philosophy"]
tags = []
+++

<p>
In Gavin Schmitt&#39;s 2006 essay <cite><a href="http://framingbusiness.net/2006/should-we-examine-life/">Should We Examine Life?</a></cite>, Gavin attempts to arrive at some solid decision on the two following questions, &quot;Is there value in examining our lives and the world around us? Is there value in ignoring our selves and our world?&quot;, having come to this questions based upon Socrates&#39; claim that &quot;the unexamined life is not worth living&quot;.  However, while Gavin attempts to answer these questions, and perhaps succeeds, he opens himself up to an even larger question, which will be the topic of this essay.
</p>
<h3>The quote</h3>
<p>
Some background is required for how the quote came about.
</p>
<blockquote>
	&quot;... the greatest good of man is daily to converse about virtue, and all that concerning which you hear me examining myself and others, and that the life which is unexamined is not worth living ...&quot; [<cite>The Essential Plato</cite>, translated by Benjamin Jowett, pg 540-541 (Apology)]
</blockquote>
<p>
At this point, Socrates has been found guilty of the things brought against him, and he is arguing what his penalty should be.  He states that he could not leave Athens, for to do so would be &quot;a disobedience to a divine command.&quot; (Jowett, pg 540)  He believes that he is helping the citizens of Athens examine life.
</p>
<p>
Here, we must see that by life he means a man&#39;s life, from birth to death.  By examining your life, as well as how life is governed, you are doing the greatest good.
</p>
<h3>The question</h3>
<p>
The question is, does the examined life lead to fulfillment?  Or, as he asks, &quot;We must ask ourselves: is the value of life grounded in happiness or fulfillment?&quot;
</p>
<h3>Happiness and fulfilllment</h3>
<p>
According to Gavin, &quot;Happiness will feed our carnal desires.&quot;  In other words, happiness feeds our immediate needs.  Like food, however, happiness is exhaustable, and must constantly be replenished from some source.
</p>
<p>
Fulfillment, on the other hand, &quot;comes from filling other desires: the desires of the mind and the soul.&quot;  Unlike fulfillment, there is no gradient - at any one moment you are either fulfilled or you are not.
</p>
<h3>How do we attain fulfillment?</h3>
<p>
Gavin states that &quot;Fulfillment can only come through a complete examination of our beliefs&quot;, and later that this examination leads to our beliefs becoming &quot;more valuable as it is informed and enriched&quot;.  Yet, this suggests that fulfillment is in fact a gradient, and that there can be different levels of fulfillment.  Which begs the question of whether once fulfilled, you will forever be fulfilled.  Truly if we are to become one with ourselves, no doubt must be left from within or without us.  Unless of course the fulfilled man can become unhappy.
</p>
<h3>Man and god</h3>
<p>
Socrates himself states that &quot;God only is wise&quot; and that &quot;the wisdom of men is little or nothing.&quot; [Jowett, pg 520-521]  It is for this reason that (some) philosophers state that Socrates was the wisest of all men, for he always knew that he did not know.
</p>
<p>
Given that god only is wise, can man ever reach fulfillment?  If it&#39;s true that man may be presented at any time with some &#39;fact&#39; that shatters his beliefs, can man ever move from happiness to fulfillment?  Does man&#39;s very nature preclude him from this lofty ideal?
</p>
<h3>On the path towards fulfillment</h3>
<p>
Truly, the only way to know whether man can be fulfilled is to move down the path, and many have.  Quite correctly, Gavin states the following, which I take as a correct summary of what then occurs.
</p>
<blockquote>
	What happens is actually an incredible paradox: to know if you should examine life, you must examine life. In the event you decide you shouldn&#39;t examine life, you already have. Though the examination will most likely lead you to conclude that you should examine more, thus setting off a chain reaction.
</blockquote>
<p>
Of course, some do not examine life any more.  Instead, they throw up their hands and dive into whatever will satisify the needs they have at present.  In fact, the initial quest can have a number of effects.  A man can either keep examining his life, go back to how he was before, correct his life in some number of steps, or go completely insane.  Truly, the closer man comes to fulfillment, in seems the more like he is to move towards insanity, for the paradox runs quite deep and long.
</p>
<h3>Another kind of fulfillment</h3>
<p>
According to at least one tradition, the true way towards fulfillment is not through examining thyself, but rather knowing the cosmos, or losing thyself.  If we are to take some of the previous statements as true, then the limitations of man preclude him from attaining fulfillment.  His very nature as a physical being precludes him from a life of fulfilled desires (for desires we will always have).  We may be able to fulfill individual needs as they arise, but we can never escape them completely, while remaining as a self.
</p>
<h3>What does this mean?</h3>
<p>
It seems then that one must ask whether one can ever be fulfilled by knowledge of thyself and others, or rather whether the belief in having said knowledge actually keeps you from fulfillment.  If each question leads to another, without end, is examination for everyone, or should it only be a select breed, with some particular traits, whether it be through nature or nurture?  If the examined life leads through the realm of a lack of happiness, can we really say that attempting to attain fulfillment, which may be unattainable, is worth the lose of happiness?
</p>
<br />
<h3>A side note on material objects</h3>
<p>
Our very nature as physical, or material, beings points out a troublesome point with some endeavors into the realm of philosophy, one which Gavin himself touches upon.
</p>
<p>
Material objects, or truly material possessions, are to be shunned, according to many philosophies.  In fact, some of these same traditions say that fulfillment cannot be reached while remaining a self.  Others, which claim that the self remains after death, say that you cannot bring physical items with you, and they therefore only take focus away from what truly matters (whether it be communing with a god or improving thy faith).
</p>
<p>
Yet, to shun material objects in whole is to ignore the value that such things can bring to our life.  Man cannot live by faith alone.  Id est, give that man some food!
</p>
<p>
Of course, to believe that such things can bring happiness or fulfillment is folly.  Yet, that is still not to say that they don&#39;t bring some good.  It was commonly held that money doesn&#39;t bring happiness, but that has been found to not be the case.  By having money, you don&#39;t need to worry about getting sick and not being able to work, and thereby losing your home.  Money may not be able to buy friends, but it will at least allow you to get together with others in some social atmosphere, as well as travel around the world to find just where friends can be found.
</p>
<p>
Shall we destroy the things we own?  Hardly, but we must always be on guard, lest the things that we own end up owning us.  A weakness of man, indeed, but truly we could say what we want about the proverbial million dollars, but until we actually have it, we really don&#39;t know what we would do.
</p>
<h3>Assorted miscellaneous comments</h3>
<p>
By knowing thyself, one must not only learn the good, but also the bad.  If you&#39;ve never killed a man, can you truly say what it&#39;s like to do so?  If you&#39;ve never tripped, can you truly say whether it&#39;s good or bad?  And more importantly, can you truly say you know thyself?
</p>

