+++
title = "Linking to documents online: the good and bad"
description = "This article will discuss the fluidness of documents online, as well as whether it's beneficial to link to documents online, and if it is, how to best do it."
draft = false
comments = true
date = "2005-02-01T23:34:00-06:00"
modified = "2008-07-13T09:51:33-05:00"
slug = "Linking-to-documents-online-the-good-and-bad"
blogengine = "c091d30d-70b3-460b-93e7-8842e2c74de3"
categories = ["article", "Internet"]
tags = []
+++

<p>
Linking to documents that are found online is almost always a troublesome issue. Unlike print documents, that one could purchase online, read in the library, or read in a bookstore &ndash; for those that don&rsquo;t like to purchase books &ndash; online documents are fairly fluid. This is because one major reason, as well as a few other reasons. This article will discuss that main reason, as well as whether it&rsquo;s beneficial to link to documents online, and if it is, how to best do it. 
</p>
<p>
Documents are fairly fluid online because of a couple of very fundamental reasons. The major reason, and the most important one that jumps to my mind is that the Internet itself is extremely fluid by its very nature. That is, the Internet is not a specific location in a particular place, but is instead dispersed throughout the world, hence the &lsquo;World Wide Web&rsquo;. 
</p>
<p>
What this dispersion means is that it&rsquo;s fairly difficult to pin a document down to a particular location. While the document may be located at one place at one particular time, it could move around fairly easily. This includes moving around on a particular domain, as well as moving to a completely different domain. For example, while a document may be available at http://domain.net/somedocumentx.html one day, it could be at http://domain.net/articles/somedocumentx.html the next, and http://domain.com/somedocumentx.html the very next. 
</p>
<p>
However, the fluidity is not restricted solely to location. Location changes, after all, can also occur within an actual building. Perhaps the periodicals moves from one floor to another &ndash; this appears to be quite similar to the situation mentioned above. Data changes, the second kind of fluidity I&rsquo;ll mention, can also occur on the Internet quite easily, and often occur quite frequently. 
</p>
<p>
What this kind of fluidity means, or is, is that a document can be changed with little physical evidence that the document was otherwise. So, if a typo is made, it&rsquo;s quite easy to make the spelling correction. However, it&rsquo;s also possible to add a new paragraph, or even strike a paragraph or more from the document. 
</p>
<p>
Further more, if we follow this to the extreme, we come upon the third kind of fluidity, namely that documents can be completely stricken from the Internet. In other words, somedocumentx.html is no longer available anywhere, unless some particular individual, or some particular site, happens to save a copy of the document. 
</p>
<p>
Based on these three kinds of fluidity of documents online &ndash; documents moving in location, documents being changed, and documents being removed from the Internet &ndash; one can question whether documents online should be referred to, or cited. There are certainly some good reasons to cite documents, as well as some fairly easy-to-see reasons why one should not. 
</p>
<p>
To deal with the latter first, since it is the easiest to show, if you cite a document <em>x</em> as saying some things <em>A</em> and <em>B</em> you&rsquo;ll be correct in citing this document <em>x</em> as saying these things as long as it does. However, the fluidity of the Internet suggests that it is possible that either the document could no longer be at the location pointed to, or could no longer say these things, or anything at all if it were removed. 
</p>
<p>
However, the Internet is indeed a helpful resource, even if it is also true that &ldquo;the Internet makes you stupid&rdquo;, which means that citing documents online may be quite necessary. However, the fluidity of the Internet certainly makes meaningful citation difficult over time. With this in mind, how can we balance the good with the bad? 
</p>
<p>
First, we must always remember that the Internet is fluid, and can change. This means that if we find something we like, we should attempt to save a copy of the &lsquo;thing&rsquo;. So, if we find an image, we should attempt to save it. If we find a particularly interesting document, we should attempt to save it. It often happens that a resource cannot be saved locally, which should therefore initiate a conversation with whomever is hosting the resource. Typically, pointing out that the Internet is fluid, and that the document may become unavailable, should elicit some reasonable response. On the other hand, some individuals are particularly interested in keeping resources to themselves. Pointing out that the document will not be made publicly available may aid in this conversation, but may not. 
</p>
<p>
Secondly, we should keep a reference to the online resource, even though it may change. This also includes contact information, if that information is available. Reference information may allow us to contact the writer, or someone involved with the document or site, should the document or site no longer be available. This information should also be checked on a regular basis, which is not to say monthly, but at the very least yearly. 
</p>
<p>
This checking will allow missing resources to be found fairly quickly, or at the very least allow some individual to possibly be found who can give some information regarding the resource. &ldquo;Yes, we just moved that and now it&rsquo;s located at ...&rdquo; or &ldquo;I&rsquo;m sorry, we removed that document, but I think we do have a copy if you&rsquo;d like one.&rdquo; 
</p>
<p>
Of course, if nothing else, saving screenshots or screen captures can be a step in the right direction. If a particular image cannot be saved, or if a particular document cannot be saved, using the Print Screen feature in Windows can at least create image-based copies. While this removes some flexibility, it does preserve the record for further use. 
</p>
<p>
I personally believe that, with the ways one can capture information online, it&rsquo;s far better to cite an online resource than to not. While the fluidity does add another level to keeping the reference to the document, this fluidity also enables documents to say timely &ndash; for better or worse. 
</p>
<p>
Finally, it&rsquo;s important to discuss two major questions, which are very frequently merged into one. &ldquo;Should I get permission to link to a document? Should I tell someone that I&rsquo;m linking to them?&rdquo; 
</p>
<p>
These questions appear to answer the dilemma of documents disappearing or changing location. Not only does it open communication between the resource owner and resource viewer, it also gives the owner an idea of what document(s) are referenced. Unfortunately, most people do not remember that so-and-so was interested in a particular document, especially as time goes by. It may also be the case that the person interested in the document is no longer interested within a couple of months. 
</p>
<p>
This last point is compounded when we think about the number of bookmarks that we may all have, that we have not referenced in a number of months. To add a personal note, I have a number of bookmarks on my current computer, as well as zipped bookmarks from other computers, as well as bookmarks still sitting on other computers. With the large amount of data on the Internet, it&rsquo;s fairly difficult to keep up with everything that we may happen upon. 
</p>
<p>
So, while telling an individual that you are linking to them may appear to be a beneficial idea, in practice it is not, in so far as keeping resource references current1. Yet, there is always the case where the usual is not the actual, so while I do not suggest that individual&rsquo;s ask for permission to link to a document, telling an individual that you are linking to them may be beneficial after all &ndash; not every time, but perhaps that one time in a thousand2. 
</p>
<p>
In conclusion, while the fluidity of the Internet makes referring to documents fairly difficult, that does not mean that documents should not be cited. Rather, citations to resources online should be backed up by; copies of the resource saved on a local computer, printed off, or captured by way of images. This will allow resources to be referred to on the Internet, but will also allow the document to continue to be referenced, even after the original source is unavailable. 
</p>
<h3>Notes: </h3>
<ol>
	<li>However, telling someone that you liked an article that they wrote, or that you found it helpful, or even that you are going to cite or refer to it, is an extremely easy and kind thing to do. If someone includes their contact information along with some resource that they are making available, chances are they would like to hear about it. This means praise as well as criticism (although the last should be tempered with compassion). After all, why include contact information if you don&rsquo;t want, or don&rsquo;t expect, to be contacted? </li>
	<li>I believe it&rsquo;s fairly obvious, but just to say it, do not email a resource owner if you are going to bookmark their resource &ndash; this is almost completely unnecessary. Creating a link to a document suggests that you are putting a reference to a document either online, more commonly, or in print. Communication regarding the latter is more important, as the owner may have a better suggestion for where to link to (such as if there is more current information at another location).</li>
</ol>
<p>
This document is based upon comments scribed January 26, 2005. It was modified on February 5, 2005.
</p>

