+++
title = "Man's Quest for Dominance over Nature within Frankenstein"
description = "Paper regarding man's quest for dominance over nature, with particular reference to Mary Shelley's Frankenstein."
draft = false
comments = true
date = "2002-09-18T01:01:00-05:00"
modified = "2007-10-25T22:00:37-05:00"
slug = "Mans-Quest-for-Dominance-over-Nature-within-Frankenstein"
blogengine = "f9ee4f1d-97e3-48b8-a2e9-269cdfe2280c"
categories = ["article"]
tags = []
+++

<p>
During the period of Romanticism, art and literature was attempting to get back to, and raise interest in, the natural. With more people in cities, as well as the effects of Industrialization, many were feeling that man was moving too fast. For this paper, I am going to talk about man&#39;s quest for dominance over nature, with particular interest in Mary Shelley&#39;s <em>Frankenstein</em>.
</p>
<p>
Throughout history, man has been trying to become a controller of nature. With the harnessing of fire, man was able to see even during the night, when the sun could not give him light. Various waterways, as well as the wind, were harnessed in order to be a power source at wheat mills, lumber mills, etc. Industrialization was a great step towards the &#39;progress&#39; of man, in that he no longer really needed to depend as much on nature. He could reside completely within a manufactured system, or environment.
</p>
<p>
However, during the Romantic period, many people wished to see a return to nature. Their paintings reflected this, and so did their literature. We see paintings that show beautiful landscapes with hills and trees. We see Native Americans, in their &#39;primitive&#39;, but working societies. A longing for the natural world was apparent. The literature of the period is in many ways very similar. We have authors talking about how nature can give insight and perhaps relief from, our day-to-day lives. If one wants to know how to live their life, they need look no further then nature.
</p>
<p>
<em>Frankenstein</em> can very easily be seen as a romantic novel, as it seems to lean towards the idea that &#39;man cannot completely control nature, and should not even attempt to&#39;. Instead, man should let nature take its course and not try to change the natural order of things. While <em>Frankenstein</em> may have seemed a tad outlandish at the time of its publication, looking at it from our time it does not seem that unbelievable. People today are still attempting to have some great impact on nature. The question then, is whether <em>Frankenstein</em> has a message about nature, and whether that question is one that has an effect upon the readers.
</p>
<p>
<em>Frankenstein</em> starts with an introduction to a man who wishes to sail to the North Pole, in order to explore and open up shipping routes. To say that this man does not wish to have some effect upon nature would be a blatant misreading. He does it for the betterment of the current shipping routes, he does it for glory, and he does it to prove that &#39;where there is a will, there is a way&#39;. He will risk anything, even the lives of his men, as well as his own life, in order to achieve his goal. In a way, he cares more about the conquest of nature, then about nature itself, as he will allow the destruction of nature, the deaths of his own men, in order to conquest nature.
</p>
<p>
It is easy to say the same things about those who were pushing for industrialization at the time. They destroy the land by cutting down trees for production purposes, and otherwise level the land, so that they can build their great cities. They also cause the pollution of the air and water by way of the byproducts of their production of goods. The price that nature pays is typically said to be nothing when one compares it to what man is able to produce.
</p>
<p>
Victor Frankenstein is another individual driven by the pursuit of knowledge of nature. Like Darwin, and other scientists, Victor would like to gain knowledge about the nature of human beings. Specifically, after his mother dies, he wants knowledge of life and death - he wishes to be able to control them, and bring about their cessation. Like time, life and death appear to be the greatest feats of nature that man will ever attempt to prevail over and will be no small task.
</p>
<p>
In <em>Frankenstein</em>, however, Victor is able to do just this. By assembling various parts to assemble a body, he is able to bring &#39;life&#39; into this construct, and thereby create a living being. He justifies his experiments and attempts by saying that he can perfect man, make him into something that is &#39;better&#39; then nature. He wishes in fact to be able to control life and death itself. Death, to Victor, is one of the greatest mistakes that nature has made.
</p>
<p>
The problem is, however, that to him, his creation&#39;s animated form is an absolute horror to behold. While it is true that he has bested nature, that he has given life to the dead, the price is that the creation is unnatural, is against nature. He of course wishes to have nothing to do with this monstrosity, much like those who destroy nature wish to have nothing to do with those effects that they bring about.
</p>
<p>
Perhaps we could forgive Victor if he were to attempt to do something about the problem that he has created, but instead, he waits until his creation has killed those that he loves. Victor is only willing to do something about his creation when it has had such a profound effect upon him. In much the same way, deforestation, and other similar problems, caused by the spreading of man were seen as small problems, if indeed they were considered even that, during the Romantic period. Perhaps, if the effect that man had on nature was clearly apparent, and was having an effect upon their loved ones right away, they would have limited their influence on nature. Then again, looking at man&#39;s inability to look far ahead, perhaps they would not have.
</p>
<p>
To sum up what has been said so far, then, is that man attempts to control nature believing to be the master over all. However, some people do not believe that man should attempt to do so, as it would be, and is found to be, &#39;unnatural&#39;. In fact, man&#39;s effect is just that, an unnatural one, in that it works against nature instead of with nature. The question then, is why man is unable to emulate nature, why he is unable to work with nature without harming it in some way, as we have seen above.
</p>
<p>
One answer is that man is unable to see ahead, that he refuses to see the purpose in everything that nature does. Victor Frankenstein is so obsessed with his mother&#39;s death and with his desire to remove it, that he does not see the purpose that death has.
</p>
<p>
For example, there can be no growth without death. If his mother, or father, or any other parental figure, never died, then he would never feel any need to do without him. A sense of lose helps one realize what kind of person the dead was, and that they are. Romantics, I am sure, would agree with the statement that one should &#39;cultivate the individual&#39;, that one should go off and try to get to know oneself. Only by removing oneself from familiar situations can one do that. Instead of accessing what his mother was to him, companion and motivator, he was blinded by the desire to stop &#39;unnecessary&#39; death.
</p>
<p>
In addition, without death, there would be no sense of life. If one could live forever, then they would feel in no rush to do anything, as it could easily be put off until later. In other words, death is a necessary part of nature and life in general. Man attempts to change things, but instead removes necessary parts and offers nothing to replace them.
</p>
<p>
All of this is not to say that man has no beneficial effect upon nature. It is only when he wishes to drastically change nature that he has a problem. By attempting to make things easier for humankind, he in fact makes it that much harder. Nowhere else can we see that so well put as in <em>Frankenstein</em>. By attempting to &#39;cheat death&#39;, he only brings upon more of it.
</p>
<p>
Therefore, man can, and does, have an effect upon nature. However, just because he has the power to do something, does not necessarily mean that he must, or should. Instead, perhaps he should respect the natural course of things. It is one thing to learn about something, and quite another to change something to your liking.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> September 18th 2002<br />
<strong>Modified:</strong> February 13th 2004<br />
<strong>Notes:</strong> See also my papers tiled: <em>Can Man and Society Exist Without Religion?</em>; <em>Dostoevsky&rsquo;s Underground Man as the Creation of Society</em>; <em>The Increase of the Power of Man and Science as the Main Theme of the Nineteenth Century</em>.
</p>

