+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: I. Transcendental Doctrine of Elements: First Part. Transcendental Aesthetic: General Observations and Conclusion"
description = "During the months of December 2007 and January 2008, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to the General Observations on, and the Conclusion of the, Transcendental Aesthetic, of the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements. [slnet0514:78ce7f8d-7bf1-4257-83ca-86f5c4af2ea7]"
draft = false
comments = true
date = "2007-12-16T19:15:00-06:00"
modified = "2007-12-16T19:24:08-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-I-Transcendental-Doctrine-of-Elements-First-Part-Transcendental-Aesthetic-General-Observations-and-Conclusion"
blogengine = "78ce7f8d-7bf1-4257-83ca-86f5c4af2ea7"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes to the General Observations on, and the Conclusion of the, Transcendental Aesthetic, of the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the months of December 2007 and January 2008, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages 82 to 91 of this edition. 
</p>
</div>
<p>
&quot;... [A]ll our intution is nothing but the representation of appearance; [...] the things which we intuit are not in themselves what we intuit them as being, nor their relations so constituted in themselves as they appear to us, and that if the subject, or even only the subjective constitution of the senses in general, be removed, the whole constitution and the relations of objects in space and time, nay space and time themselves, would vanish. As appearances, they cannot exist in themselves, but only in us. What objects may be in themselves, and apart from all this receptivity of our sensibility, remains completely unknown to us. We know nothing but our mode of perceiving them - a mode which is peculiar to us, and not necessarily shared in by every being, though, certainly, by every human being. With this alone have we any concern.&quot; [82] 
</p>
<p>
When I look upon, or sense,&nbsp;a table, I do not see the table <em>itself</em>, but rather an appearance of a table. This appearance is based upon my mode, or way,&nbsp;of perception of objects. I can then have thoughts, internally, about this table, which&nbsp;still does not give me the object <em>itself</em>, but rather again as an object of my experience, &#39;perceived&#39; by my particular way of thinking about &#39;inner&#39; objects. &quot;This mode of intuiting in space and time need not be limited to human sensibility. It may be that all finite, thinking beings necessarily agree with man in this respect, although we are not in a position to judge whether this is actually so.&quot; [90] However, Kant does not clearly justify that we can ascribe these modes of intuiting to other human beings, unless we are to assume that all appearances of beings like ourselves are human beings. 
</p>
<p>
To move back on track, we are unable to move beyond these appearances to the object in itself, even if our senses were to become magnified, or clarified as much as possible. 
</p>
<p>
&quot;Even if we could bring our intuition to the highest degree of clearness, we should not thereby come any nearer to the constitution of objects in themselves. We should still know only our mode of intuition, that is, our sensibility.&quot; [83] 
</p>
<p>
However, we are not to think that objects are mere illusions. &quot;For in an appearance the objects, nay even the properties that we ascribe to them, are always regarded as something actually given.&quot; [88] &quot;Our mode of intuition is dependent upon the existence of the object, and is therefore possible&nbsp;only if the subject&#39;s faculty of representation is affected by that object.&quot; [90] 
</p>
<p>
There must be some &#39;thing&#39; that is sensed by our intuition. What this is, we can judge only by how it appears to us, or how we perceive it. Unlike an illusion, however, these appearances are accessible to other beings that perceive as we do. The table is not an illusion because you too can&nbsp;perceive the table. 
</p>
<p>
Having covered the transcendental aesthetic, Kant moves onto the transcendental logic, before leaving the Transcendental Doctrine of Elements. 
</p>

