+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: I. Transcendental Doctrine of Elements: First Part. Transcendental Aesthetic: Introduction"
description = "During the month of December 2007, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to the Introduction of the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements. [slnet0514:b4399814-4c9e-461c-a43b-0ad8a634ff84]"
draft = false
comments = true
date = "2007-12-06T21:30:00-06:00"
modified = "2007-12-07T07:34:17-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-I-Transcendental-Doctrine-of-Elements-First-Part-Transcendental-Aesthetic-Introduction"
blogengine = "b4399814-4c9e-461c-a43b-0ad8a634ff84"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes on the Introduction to the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the month of December 2007, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages 65 to 67 of this edition. 
</p>
</div>
<p>
As promised in Kant&#39;s Introduction, we proceed into the first division of the Critique of Pure Reason: the transcendental doctrine of elements. By the end of the Introduction, we&#39;ll learn that this doctrine of elements will be further split into two parts; the first part is the <em>transcendental aesthetic</em>, while the second part is the <em>transcendental logic</em>. [66-67] Up until that point, Kant attempted to define the terms necessary to understand these two terms. 
</p>
<h3>The Transcendental Aesthetic and Logic</h3>
<p>
The first part of the transcendental doctrine of elements is the transcendental aesthetic. It is &quot;[t]he science of all principles of <em>a priori</em> sensibility.&quot; [66]&nbsp;This is distinct from the second part, transcendental logic, &quot;which deals with the principles of pure thought.&quot; [67] 
</p>
<p>
To understand this, we must understand what Kant means by sensibility. 
</p>
<h3>Sensibility, in Kant&#39;s words</h3>
<p>
&quot;The capacity (receptivity) for receiving representations through the mode in which we are affected by objects, is entitled <em>sensibility</em>.&quot; [65] Kant immediately continues. &quot;Objects are <em>given</em> to us by means of sensibility, and it alone yields us <em>intuitions</em>; they are <em>thought</em> through the understanding, and from the understanding arise <em>concepts</em>.&quot; [65] We also learn that&nbsp;all thought relates to sensibility, &quot;because in no other way can an object be given to us.&quot; [65] 
</p>
<p>
&quot;The effect of an object upon the faculty of representation, so far as we are affected by it, is <em>sensation</em>. That intuition which is in relation to the object through sensation, is entitled <em>empirical</em>. The undetermined object of an empirical intution is entitled <em>appearance</em>. 
</p>
<p>
&quot;That in the appearance which corresponds to sensation I term its <em>matter</em>; but that which so determines the manifold of appearance that it allows of being ordered in certain relations, I term the <em>form</em> of appearance. That in which alone the sensations can be posited and ordered in a certain form, cannot itself be sensation; and therefore, while the matter of all appearance is given to us <em>a posteriori</em> only, its form must lie ready for the sensations <em>a priori</em> in the mind, and so must allow of being considered apart from all sensation.&quot; [65-66] 
</p>
<h3>Sensibility, again</h3>
<p>
We&#39;ve successfully quoted Kant, but what does&nbsp;he&nbsp;really mean? 
</p>
<p>
Looking through the text, we have the following list of terms. 
</p>
<ul>
	<li>
	<div>
	objects 
	</div>
	</li>
	<li>
	<div>
	representations 
	</div>
	</li>
	<li>
	<div>
	intuitions 
	</div>
	</li>
	<li>
	<div>
	thought 
	</div>
	</li>
	<li>
	<div>
	understanding 
	</div>
	</li>
	<li>
	<div>
	concepts 
	</div>
	</li>
	<li>
	<div>
	sensation 
	</div>
	</li>
	<li>
	<div>
	appearance 
	</div>
	</li>
	<li>
	<div>
	matter 
	</div>
	</li>
	<li>
	<div>
	form 
	</div>
	</li>
</ul>
<p>
First, we have an object, such as a box. I, a man, sense the box; I see it, touch it, etcetera. I see that it is brown (color), it is fairly hard (hardness), it takes some force to put holes in it (impenetrability), etcetera. All of this is sensation. My understanding thinks of this box that it is a substance, that it can be broken up (divisibility), and etcetera. All of these are intuitions based upon the sensations; upon the experiences. 
</p>
<p>
There is an appearance, of which there is a corresponding matter: the object box. However, Kant claims that there is another intuition, a <em>pure</em> intuition, which determines the form of the appearance. In our object, this would be its extension and figure. There can be no appearance of an object&nbsp;without either of these two &#39;things.&#39; 
</p>
<h3>Where we are going next</h3>
<p>
As we continue through the transcendental aesthetic, this will hopefully become clearer. We learn that we shall take sensibility, removing from it until we have &quot;empirical intuition&quot; and &quot;pure intuition and the mere form of appearances.&quot; [67] 
</p>
<p>
We will also learn more about the &quot;two pure forms of sensible intuition, serving as principles of <em>a priori</em> knowledge, namely, space and time.&quot; [67] 
</p>
<h3>A note on the word &#39;aesthetic&#39;</h3>
<p>
The word &#39;aesthetic&#39; is often used,&nbsp;today, in classes of the arts. In these areas, aesthetics is &quot;the critique of taste.&quot;[66] 
</p>
<p>
Kant, however, calls the attempt to &quot;bring the critical treatment of the beautiful under rational principles, and so to raise its rules of the&nbsp;rank of science,&quot; fruitless.&nbsp;[66] This is because he sees it&nbsp;related so closely to man&#39;s experiences, and cannot be&nbsp;attributed to <em>a priori</em> laws. 
</p>
<p>
Therefore, when Kant uses the word &#39;aesthetic&#39; he means the doctrine of sensibility, and not the critique of taste. 
</p>

