+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: I. Transcendental Doctrine of Elements: First Part. Transcendental Aesthetic: Space and Time"
description = "During the month of December 2007, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to Sections I and II, on Space and Time, of the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements. [slnet0514:ce337a28-8dfd-4d2b-a7b5-8c632ad0c11d]"
draft = false
comments = true
date = "2007-12-09T22:15:00-06:00"
modified = "2007-12-09T22:24:22-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-I-Transcendental-Doctrine-of-Elements-First-Part-Transcendental-Aesthetic-Space-and-Time"
blogengine = "ce337a28-8dfd-4d2b-a7b5-8c632ad0c11d"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes on Section I and II, on Space and Time, to the First Part (the Transcendental Aesthetic) of the Transcendental Doctrine of Elements of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the month of December 2007, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages 67 to&nbsp;82 of this edition. 
</p>
</div>
<p>
In the Introduction to the Transcendental Aesthetic, which makes up the first part of the Transcendental Doctrine of Elements, Kant told us that we&#39;d be first investigating the &quot;two pure forms of sensible intuition, serving as principles of <em>a priori</em> knowledge, namely, space and time.&quot; [67] 
</p>
<h3>Section I: Space</h3>
<p>
&quot;By means of outer sense, a property of our mind, we represent to ourselves objects as outside of us, and all without exception in space. In space their shape, magnitude, and relation to one another are determined or determinable.&quot; [67] Kant sums up his investigation of space near the end of the section. 
</p>
<p>
&quot;Space does not represent any property of things in themselves, nor does it represent them in their relation to one another. That is to say, space does not represent any determination that attaches to the objects themselves, and which remains even when abstraction has been made of all the subjective conditions of intuition.&quot; [71] 
</p>
<p>
&quot;Space is nothing but the form of all appearances of outer sense. It is the subjective condition of sensibility, under which alone outer intuition is possible for us. [...] Is it, therefore, solely from the human standpoint that we can speak of space, of extended things, etc. If we depart from the subjective condition under which alone we can have outer intuition, namely, liability to be affected by objects, the representation of space stands for nothing whatsoever. This predicate can be ascribed to things only in so far as they appear to us, that is, only to objects of sensibility.&quot; [71-72] 
</p>
<p>
&quot;The taste of wine does not belong to the objective&nbsp;determinations of the wine, not even if by the wine as an object we mean the wine as appearance, but to the special constitution of sense in the subject that tastes it. Colours are not properties of the bodies to the intuition of which they are attached, but only modifications of the sense of sight, which is affected in a certain manner by light Space, on the other hand, as condition of outer objects, necessarily belongs to their appearance or intuition. Taste and colours are not necessary conditions under which alone objects can be for us objects on the senses. They are connected with the appearances only as effects accidentally added by the particular constituition of the sense organs. Accordingly, they are not <em>a priori</em> representations, but are grounded in sensation, and, indeed, in the case of taste, even upon feeling (pleasure and pain), as an effect of sensation. [...] Through space alone is it possible that things should be outer objects to us.&quot; [73-74] 
</p>
<p>
&quot;[S]pace is not a form inhering in things in themselves as their intrinsic property, [...] objects in themselves are quite unknown to us, and [...] what we call outer objects are nothing but mere representations of our sensibility, the form of which is space.&quot; [73-74] 
</p>
<p>
Before we move from these quotes to what Kant is saying, we shall move to time. 
</p>
<h3>Section II: Time</h3>
<p>
&quot;Inner sense, by means of which the mind intuits itself or its inner state,&nbsp;yields indeed no intuition of the soul itself as an object; but there is nevertheless a determinate form [namely,&nbsp;time] in which alone the intuition of inner states is possible, and everything which belongs to inner determinations is therefore&nbsp;represented in relations of time.&quot; [67-68] 
</p>
<p>
&quot;Time is not something which exists of itself, or which inheres in things as an objective determination, and it does not, therefore, remain when abstraction is made of all subjective conditions&nbsp;of its intuition. [...] [T]ime is nothing but the subjective condition under which alone intuition can take place in us.&quot; [76] 
</p>
<p>
&quot;Time is nothing but the form of inner sense, that is, of the intuition of ourselves and of our inner state.&quot; [77] 
</p>
<p>
&quot;Time is the formal <em>a priori</em> condition of all appearances whatsoever. Space, as the pure form of all <em>outer</em> intuition, is so far limited; it serves as the <em>a priori</em> condition only of outer appearances. But since all representations, whether they have for their objects outer things or not, belong, in themselves, as determinations of the mind, to our inner state; and since this inner state stands under the formal condition of inner intuition, and so belongs to time, time is an <em>a priori</em> condition of all appearances whatsoever. It is the immediate condition of inner appearances (of our souls), and thereby the mediate condition of outer appearances. Just as I can say <em>a priori</em> that all outer appearances are in space, I can also say, from the principle of inner sense, that all appearances whatsoever, that is, all objects of the senses, are in time, and necessarily stand in time-relations.&quot; [77] 
</p>
<p>
Time &quot;has objective validity only in respect of appearances, these being things which we take <em>as objects of our senses</em>. [...] Time is therefore a purely subjective condition of our (human) intuition (which is always sensible, that is, so far as we are affected by objects), and in itself, apart from the subject, is nothing.&quot; [77-78] 
</p>
<p>
&quot;[S]ince our intuition is always sensible, no object can ever be given to us in experience which does not conform to the condition of time. [...] [W]e deny that it belongs to things absolutely, as their condition or property, independently of any reference to the form of our sensible intuition.&quot; [78] 
</p>
<h3>Space and time, in other words</h3>
<p>
We have experience of the world outside of us through sensation. Our mind processes these experiences as appearances of objects, or appearaces of the world as being a certain way. We have both an outer sense, of objects outside of us, as well as an inner sense, of states of our mind. 
</p>
<p>
For example, when I taste a drink, I give it the property of tasting a certain way. I also see the drink as being in one place, for example, on the table, and then in another, such as in my hand. It is space which is the form of our outer intuitions; objects having certain properties, including shape and location. Time is a form of our inner intuitions; objects moving or changing, as well as&nbsp;states succeeding other states. 
</p>
<p>
Time is something that we add to the experience of the object; something that we use to make sense of our experiences, to aid in our understanding of those objects. As such, since they apply to the appearances of those objects, we cannot ascribe them to the objects themselves, but only to the objects as they appear to us. 
</p>
<p>
Time is presupposed of all of our experiences. This is because for every external experience, we have an internal one as well, but not vice-versa. 
</p>
<p>
Space and time must be <em>a priori</em> in order to be general, true, rules. If, instead, they were based upon experience, they, like our experiences, would have the possibility of being wrong, or false. 
</p>
<p>
Just as their is one space, there is only one time. No intuition that we (as man)&nbsp;have exists outside of both space and time, since all our intuitions are sensible. We can not think of an external object as existing outside of space; it must necessarily be some where. Likewise, our thoughts flow through time; it is impossible to think of a thought, or a state of our mind as not coming either before or after another thought. 
</p>
<p>
Since space and time are the form of appearances, they really exist, albeit not as objects themselves. 
</p>
<h3>Idealism&nbsp;</h3>
<p>
In &sect;7 of this part, Kant confronts idealism, &quot;which teaches that the reality of outer objects&nbsp;does not allow of strict proof. On the other hand, the reality of the object of inner sense (the reality of myself and my state) is [...] immediately evident through consciousness. The former may be merely an&nbsp;illusion; the latter is, on their view, undeniably something real.&quot; [80] 
</p>
<p>
If one were to believe that Kant is denying that time, or change, is real, he replies that it is indeed real. &quot;Time is [...] to be regarded as real, not indeed as object but as the mode of representation of myself as object.&quot; [79] It is &quot;the condition of all our experiences.&quot; [79] 
</p>
<p>
&quot;Time and space, taken together, are the pure forms of all sensible intuition, and so are what make <em>a priori</em> synthetic propositions possible. But these<em>&nbsp;a priori</em> sources of knowledge, being merely conditions of our sensibility, just by this very fact determine their own limits, namely, that they apply to objects only in so far as objects are viewed as appearances, and do not present things as they are in themselves.&quot; [80] 
</p>
<p>
So, both time and space are real, but only in so far as they are the form of all of man&#39;s sensible intuition. We cannot, however, make this same claim of objects outside of their appearances (to us), since&nbsp;have no experiences of these things in themselves (outside of sensation). 
</p>

