+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: I. Transcendental Doctrine of Elements: Second Part. Transcendental Logic: Introduction"
description = "During the months of December 2007 and January 2008, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to the Introduction of the Second Part (the Transcendental Logic) of the Transcendental Doctrine of Elements. [slnet0514:06d9307d-16b9-4f27-a356-78d2bdef0843]"
draft = false
comments = true
date = "2007-12-17T22:15:00-06:00"
modified = "2007-12-17T22:22:20-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-I-Transcendental-Doctrine-of-Elements-Second-Part-Transcendental-Logic-Introduction"
blogengine = "06d9307d-16b9-4f27-a356-78d2bdef0843"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes to the Introduction of the Second Part (the Transcendental Logic) of the Transcendental Doctrine of Elements of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the months of December 2007 and January 2008, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages 92 to 101 of this edition. 
</p>
</div>
<h3>General logic&nbsp;</h3>
<p>
&quot;Our knowledge springs from two fundamental sources of the mind; the first is the capacity of receiving representations (receptivity for impressions), the second is the power of knowing an object through these representations (spontaneity [in the production] of concepts. Through the first an object is <em>given</em> to us, through the second the object is <em>thought</em> in relation to that [given] representation (which is a mere determination of the mind). Intuition and concepts constitute, therefore, the elements of all our knowledge, so that neither concepts without an intuition in some way corresponding to them, nor intuition without concepts, can yield knowledge.&quot; [92] 
</p>
<p>
Intuitions and concepts &quot;may be either pure or empirical. When they contain sensation (which presupposes the actual presence of the object), they are empirical. When there is no mingling of sensation with the representation, they are pure.&quot; [92] 
</p>
<p>
&quot;Our nature is so constituted that our <em>intuition</em> can never be other than sensible; that is, it contains only the mode in which we are affected by objects. The faculty, on the other hand, which enables us to <em>think</em> the object of sensible intuition is the understanding. [...] Without sensibility no object would be given to us, without understanding no object would be thought. Thoughts without content are empty, intuitions without concepts are blind. [...] The understanding can intuit nothing, the senses can think nothing. Only through their union can knowledge arise.&quot; [93] 
</p>
<p>
&quot;We therefore distinguish the science of the rules of sensibility in general, that is, aesthetic, from the science of the rules of the understanding in general, that is, logic. Logic, again, can be treated in a twofold manner, either as logic of the general or as logic of the special employment of the understanding. The former contains the absolutely necessary rules of through without which there can be no employment whatsoever of the understanding. [... The latter] contains the rules of correct thinking as regards a certain kind of objects. The former may be called the logic of elements, the latter the organon of this or that science.&quot; [93] 
</p>
<p>
&quot;General logic is either pure or applied. In the former we abstract from all empirical conditions under which our understanding is exercised, <em>i.e.</em> from the influence of the senses, the play of imagination, the laws of memory, the force of habit, inclination, etc., and so from all sources of prejudice, indeed from all causes from which this or that knowledge may arise or seem to arise. [...] General logic is called applied, when it is directed to the rules of the employment of understanding under the subjective empirical conditions dealt with by psychology.&quot; [94] 
</p>
<p>
General logic &quot;abstracts from all content of the knowledge of understanding and from all differences in its objects, and deals with nothing but the mere form of thought.&quot; [94] It &quot;abstracts from all content of knowledge&quot; and &quot;it treats of the form of thought in general.&quot; [95] 
</p>
<p>
Pure general logic &quot;has nothing to do with empirical principles, and does not [...] borrow anything from psychology. [...] What I call applied logic [...] is a representation of the understanding and of the rules of its necessary employment <em>in concreto</em>, that is, under the accidental subjective conditions which may hinder or help its application, and which are all given only empirically. It treats of attention, its impediments and consequences, of the source of error, of the state of doubt, hesitation, and conviction, etc.&quot; [95] 
</p>
<h3>Transcendental logic</h3>
<p>
Transcendental logic &quot;concerns itself with the laws of understanding and reason solely in so far as they relate <em>a priori</em> to objects.&quot; [97] 
</p>
<p>
&quot;The&nbsp;term &#39;transcendental&#39; [...] signifies such knowledge as concerns the <em>a priori</em> possibility of knowledge, or its <em>a priori</em> employment. Neither space nor any <em>a priori</em> geometrical determination of it is a transcendental representation; what can be alone entitled transcendental is the knowledge that these representations are not of empirical origin, and the possibility that they can yet relate <em>a priori</em> to objects of experience.&quot; [96] 
</p>
<p>
&quot;It would also treat of the origin of the modes in which we know objects, in so far as that origin cannot be attributed to the objects.&quot; [96] 
</p>
<h3>General logic as analytic or dialectic</h3>
<p>
General logic can be divided into either analytic or dialectic logic. 
</p>
<p>
Before going into that, however, Kant first discusses &#39;truth.&#39; The normal definition, which is assumed, is that truth is &quot;the agreement of knowledge with it object.&quot; [97] However, there is another kind of truth, as regards truth in general. This truth, separate from content, is concerned more with the form&nbsp;of knowledge. It is &quot;the agreement of knowledge with the general and formal laws of the understanding and reason.&quot; [98] 
</p>
<p>
If we do not abide by these rules, we are sure to not reach the truth. &quot;Its rules must be applied in the examination and appraising of the form of all knowledge before we proceed to determine whether their content contains positive truth in respect to their object.&quot; [98] 
</p>
<p>
&quot;But since the mere form of knowledge, however completely it may be in agreement with logical laws, is far from being sufficient to determine the material (objective) truth of knowledge, no&nbsp;one can&nbsp;venture with the help of logic alone to judge regarding objects, or to make any assertion.&quot; [98] Earlier, &quot;[i]t has no touchstone for the discovery of such error as concerns not the form but the content.&quot; [98] 
</p>
<p>
&quot;We must first, independently of logic, obtain reliable information; only then are we in a&nbsp;position to enquire, in accordance with logical laws, into the use of this information and its connection in a coherent whole, or rather to test it by these laws.&quot; [98-99] 
</p>
<p>
Dialectic logic is &quot;a <em>critique of dialectical illuision</em>,&quot; which is &quot;the sophistical art of giving to ignorance [...] the appearance of truth, by the device of imitating the methodical thoroughness which logic prescribes, and of using its &#39;topic&#39; to conceal the emptiness of its pretensions.&quot; [99] 
</p>
<h3>Transcendental logic as transcendental analytic or dialectic</h3>
<p>
&quot;That part of transcendental logic which deals with the elements of the pure knowledge yielded by understanding, and the principles without which no object can be thought, is transcendental analytic. [...] [T]his transcendental analytic should be used only as a canon for passing judgment upon the empirical employment of the understanding [...]&quot; [100] 
</p>
<p>
It is when we move beyond this, that dialectical illusion comes into play. &quot;The second part of transcendental logic must therefore form a critique of this dialectical illusion, and is called transcendental dialectic [...]&quot; [100] 
</p>
<h3>Continuing on ...</h3>
<p>
The remainder of the Transcendental Doctrine of Elements will concern these last two; the transcendental analytic, and the transcendental dialectic.
</p>

