+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: Introduction"
description = "During the month of December 2007, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to the author's Introduction. [slnet0514:50762fdb-0765-4a9c-bdc9-2390d1eb7ec1]"
draft = false
comments = true
date = "2007-12-03T23:00:00-06:00"
modified = "2007-12-06T21:36:19-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-Introduction"
blogengine = "50762fdb-0765-4a9c-bdc9-2390d1eb7ec1"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes on the&nbsp;Introduction&nbsp;of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the month of December 2007, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages&nbsp;41 to&nbsp;62 of this edition. 
</p>
</div>
<p>
Having now covered the two Prefaces, we find ourself at Kant&#39;s Introduction to the <em>Critique of Pure Reason</em>. Since we are now within the actual work, it is not so easy to single out just the first (A) from the second (B) edition. Therefore, all future notes will cover both, dispersing them as necessary. 
</p>
<p>
For example, Kant&#39;s Introduction was impacted by a number of removals and additions, in an attempt to clarify and simplify the text. When something that was in the first edition, was removed in the second, but which I believe still helps clarify a point, I am not against adding it back in. 
</p>
<p>
That said, there are a few terms which it would be helpful to explain right away, since Kant disperses them throughout his Introduction. 
</p>
<h3><em>A priori</em> and <em>a posteriori</em></h3>
<p>
We have first <em>a priori</em> and <em>a posteriori</em> knowledge. 
</p>
<p>
<em>A priori</em> knowledge is &quot;knowledge absolutely independent of all experience.&quot; [43] He will also call this knowledge &#39;pure&#39; knowledge if it has no &#39;basis&#39; on experience. 
</p>
<p>
<em>A posteriori</em> knowledge is &quot;empirical knowledge,&quot; &quot;through experience.&quot; [43] 
</p>
<p>
<em>A priori</em> knowledge allows us to say that it is both necessary and universal. This is contrary to <em>a posteriori</em> (empirical) knowledge, since experience can only teach us from what we have seen. &quot;Experience tells us [...] what is, but not that it must necessarily be so, and not otherwise.&quot; [42] 
</p>
<h3>Analytic and synthetic</h3>
<p>
Next, we have analytic and synthetic judgments. 
</p>
<p>
If we have the general statement &#39;A is B,&#39; we have a subject or concept, A, and a predicate, B. 
</p>
<p>
In analytic judgments, &quot;the predicate B belongs to the subject A, as something which is (covertly) contained in this concept A.&quot; [48] 
</p>
<p>
In synthetic judgments, the predicate &quot;B lies outside the concept A, although it does indeed stand in connection with it.&quot; [48] 
</p>
<p>
An analytic judgment is one like &quot;&#39;All bodies are extended&#39;,&quot; while a synthetic is one like &#39;All bodies are heavy&#39;.&quot; [48-49] In other words, when we think of a body we necessarily include extension. The connection of weight and body, however, is gained from experience. 
</p>
<p>
Since this latter idea is somewhat confusing, it may be helpful of thinking about removing the predicate from the subject, or replacing it with the negation. For example, we can think of a body without weight, floating in our mind. However, we can not think of a body without extension or dimensions. 
</p>
<p>
As we&#39;ve seen, analytic judgments break the subject into parts, or the concepts, that make up the subject. Synthetic judgments add to the subject, by way of experience. 
</p>
<p>
Later, Kant gives us two examples, from the realm of logic, of analytic propositions. &quot;<em>a</em> = <em>a</em>; the whole is equal to itself&quot; and &quot;(<em>a</em> + <em>b</em>) &gt; <em>a</em>, that is, the whole is greater than its part.&quot; [54] 
</p>
<p>
We also find that synthetic judgments do not necessarily have to come from experience, and can be <em>a priori</em>. 
</p>
<h3><em>A priori</em> synthetic judgments</h3>
<p>
Kant states that &quot;the proper problem of pure reason is contained in the question: How are <em>a priori</em> synthetic judgments possible?&quot; [55] Later, &quot;the mere analysis of the concepts that inhere in our reason <em>a priori</em>, is by no means the aim of, but only preparation for, metaphysics proper, that is, the extension of its <em>a priori</em> synthetic knowledge.&quot; [57] 
</p>
<p>
But, what are <em>a priori</em> synthetic judgments? 
</p>
<p>
He first provides us with the proposition &quot;&#39;Everything which happens has its cause.&#39;&quot; [50] Since &quot;the concept of a &#39;cause&#39; lies entirely outside the other concept, and signifies something different from &#39;that which happens,&#39; we do indeed have a synthetic judgment. However, this cannot be <em>a posteriori</em> knowledge, since it claims &#39;universality&#39; and &#39;necessity,&#39; &quot;on the basis of mere concepts.&quot; [51] 
</p>
<p>
In short, we make an &#39;<em>a priori</em> synthetic judgment&#39; when we state that everything is caused. 
</p>
<p>
&quot;[T]hat in all changes of the material world the quantity of matter remains unchanged; and that in all communication of motion, action and reaction must always be equal&quot; are two principles of physics which are also <em>a priori</em> synthetic judgments. [54] In addition, &quot;metaphysics consists, at least <em>in intention</em>, entirely of <em>a priori</em> synthetic propositions.&quot; [55] 
</p>
<p>
We might say, then, that <em>a priori</em> synthetic judgments are those necessary and universal judgments that prescribe some predicate to some object, independent of experience, which is not already contained within the identity of the object. For instance, all actions are caused. 
</p>
<p>
While we now have an idea of what <em>a priori</em> synthetic judgments are, we are also back to the question of how <em>a priori</em> synthetic judgments are possible. 
</p>
<h3>Transcendental philosophy and the critique of pure reason</h3>
<p>
Unfortunately, little progress has been made in answering this question, the question of how <em>a priori</em> synthetic judgments are possible. Yet, despite that, &quot;in all men, as soon as their reason has become ripe for speculation, there has always existed and will always continue to exist some kind of metaphysics.&quot; [56] 
</p>
<p>
Contradictions arise from man&#39;s &quot;mere disposition to metaphysics,&quot; which raise the question of whether a science of metaphysics is possible. [57] If we were to perform a critique of this possibility, we would therefore be performing a critique of pure reason (pure reason, as we saw earlier, concerns the question of how <em>a priori</em> synthetic judgments are possible). We would not be building a system of pure reason, but rather merely examining it, seeking &quot;not to extend, but only to clarify our reason, and keep it free from errors.&quot; [59] 
</p>
<p>
Kant also calls this a &#39;transcendental critique.&#39; It is to &quot;supply a touchstone of the value, or lack of value, of all <em>a priori</em> knowledge.&quot; It is to serve as a preparation by which &quot;the complete system of the philosophy of pure reason [...] may be carried into execution.&quot; [59] 
</p>
<p>
However, the transcendental critique, or critique of pure reason, is not equivalent to transcendental philosophy, for this would &quot;have to contain an exhaustive analysis of the whole of /a priori/ human knowledge,&quot; while the critique concerns itself with the framework or foundation for this analysis. 
</p>
<h3>Elements and methods</h3>
<p>
Since we are pursuing a science, it is customary, and indeed wise, to make divisions as necessary. The two chief divisions are a doctrine of the elements of pure reason, and the method of pure reason. Reviewing the table of contents, we see that this is indeed how the <em>Critique</em> proceeds, with subdivisions beneath each. 
</p>

