+++
title = "Notes on Immanuel Kant's Critique of Pure Reason: Preface to First Edition"
description = "During the month of December 2007, I'll be reading the Critique of Pure Reason, with Gavin Schmitt, and taking notes, which I'll be posting here. These are the notes to the first edition's Preface. [slnet0514:ec9e6eff-5488-4680-990f-ec21146bf981]"
draft = false
comments = true
date = "2007-11-30T23:30:00-06:00"
modified = "2007-12-03T13:24:10-06:00"
slug = "Notes-on-Immanuel-Kants-Critique-of-Pure-Reason-Preface-to-First-Edition"
blogengine = "ec9e6eff-5488-4680-990f-ec21146bf981"
categories = ["article", "philosophy"]
tags = ["immanuel kant", "critique of pure reason"]
+++

<div class="note">
<p>
The following are notes on the Preface of the first edition of Immanuel Kant&#39;s <em>Critique of Pure Reason</em>. For the month of December 2007, I&#39;ll be reading the <em>Critique</em> and writing notes as I go. 
</p>
<p>
For all citations, I am using the edition published by Palgrave Macmillan (ISBN 1-4039-1195-9), and translated by Norman Kemp Smith. The following article covers pages 7 to 15 of this edition. 
</p>
</div>
<p>
According to Kant, human beings find themselves asking questions which can be neither ignored, nor answered. Using reason and experience, man deals with aspect after aspect of these questions, finally resorting to principles outside of empirical experience, eventually leading to contradictions and controversy. These questions are in the realm of metaphysics. 
</p>
<p>
While metaphysics was once honored, Kant believes it is now not even common, but rather scorned. While the dogmatists controlled metaphysics, it relied on despotism;&nbsp;the truth was hidden, known to only a select view which had received the right knowledge, or &#39;vision.&#39; Traces of barbarism remained, however,&nbsp;leading to chaos and the sceptics, where we question whether we can really know what is beyond experience, or even if we can know what we experience. New systems came around, however, such as Locke&#39;s, but despite it all, indifferentism seemed to take hold. 
</p>
<p>
Luckily, those who claim indifference are anything but, since our reason finds itself drawn back to these questions. Instead, indifferentism has done something to remove the majority of traces of metaphysics&#39; troubled history. 
</p>
<p>
The matured judgment of the age of which Kant is part has, because of its refusal to rely on illusory knowledge, has undertaken the task of self-knowledge, and to &quot;institute a tribunal which will assure to reason its lawful claims, and dismiss all groundless pretensions, not by despotic decrees, but in accordance with its own eternal and unalterable laws.&quot; [9] This is an &quot;age of criticism.&quot; [9] 
</p>
<p>
This is a critique of pure reason, a critique of &quot;the faculty of reason in general, in respect of all knowledge after which it may strive <em>independently of all experience</em>.&quot; [9] 
</p>
<p>
Kant believes he has found a way to prevent &quot;those errors which have hitherto set reason, in its non-empirical employment, at variance with itself.&quot; [9-10] He did not need to rely on dogma to get to this method, which are &quot;not within the intention of the natural constitution of our reason.&quot; [10] 
</p>
<p>
Instead, he has used &quot;nothing save reason itself and its pure thinking,&quot; which he found within himself. [10] After all, the question he&#39;s seeking to answer is &quot;how much we can hope to achieve by reason, when all the material and assistance of experience are taken away.&quot; [10-11] Put another way, &quot;what and how much can the understanding and reason know apart from all experience?&quot; [12] 
</p>
<p>
As is necessary for certainty, &quot;it is in no wise permissible to hold opinions&quot; during this enquiry. [11] Kant will also employ concepts for discursive (logical) clearness, but may not be able to provide examples and illustrations. This is due primarily to the amount it would add to the work, which, he feels, would actually make the work less clear as it would detract from the grasp of the whole. &quot;For the aids to clearness, through they may be of assistance in regard to details, often interfere with our grasp of the whole.&quot; [13] 
</p>
<p>
Kant understands that this will make the book less accessible for &quot;popular consumption,&quot; but should not deter &quot;genuine students of the science&quot; (of metaphysics). [13] 
</p>

