+++
title = "Obsessive-Compulsive Disorder"
description = "An old paper for a high school psychology course. [slnet0514:3e38333b-1f47-49c0-aae0-4212361eaea2]"
draft = false
comments = true
date = "1999-03-18T02:01:00-06:00"
modified = "2009-09-12T21:08:55-05:00"
slug = "Obsessive-Compulsive-Disorder"
blogengine = "3e38333b-1f47-49c0-aae0-4212361eaea2"
categories = ["article"]
tags = []
+++

<h3>Introduction</h3>
<p>Obsessive-compulsive disorder, or OCD, is defined as having continued thoughts about performing a certain act over and over (McMahon 643). For people living with obsessive-compulsive disorder, it can be very scary to not have control over what you are thinking, and sometimes, even doing. For example, one woman would spend thirteen hours a day washing her hands and her house and if she accidentally touched something else while cleaning, it could set her off and make her spend even more time cleaning (Friedland 70). She said she didn't really think there were germs there. It was just a feeling. As you can see from the example, OCD can be quite devastating. For my paper, I will be talking about the characteristics of OCD and describing a few case examples. I will also be talking about some treatments.</p>
<h3>Characteristics of OCD</h3>
<p>Obsessive-compulsive disorder involves thinking thoughts and/or do things that you do not want to do. Something like compulsive gambling, would not be considered a type of OCD because they get some pleasure out of it. One of the most common compulsive acts, or rituals, is to constantly wash your hands because you believe your hands to be dirty or infected (Melville 154). Another interesting obsession is a superstitious obsession. When you have this obsession, you might not wear certain colors, such as red or black, you may not leave your house on the thirteenth, or you may fear objects believed to bring bad luck. A fairly commonly known obsession is saving in an excessive degree. No matter what it is. One woman would "write only on scraps of paper: notes to myself, phone numbers, appointments, directions, assignments, beginnings of essays, and phrases I do not want to forget. This sounds ordinary enough, except for the fact that every couple of weeks I assemble my hundreds of scraps, sort them into piles, and transcribe them into yellow legal pads in dozens of lists. I save the scraps and the pads" (Wilensky 142). Two other common obsessions are checking and rechecking things, such as making sure that their doors and windows are locked, "having fastidious, or excessively careful and precise, order" (Gelman 71).</p>
<p>The hardest thing about OCD is the formation of a loop. Often, one will keep checking and rechecking because they have become trapped in a loop. The doubt remains even if they stare or write down that they have done it. What follows is an example of this kind of loop.</p>
<p>"You leave your house, now officially on vacation. But as you slide into the backseat of the taxi the doubts hit you: "Did I turn off the stove?" You try to ignore these thoughts, but, try as you might, you can't recall turning the gas off. Your feelings of uncertainty grow until they become unbearable. Finally, you give in and tell the taxi driver to turn around. As he waits outside, you turn the gas on and off endlessly. No matter how much you stare at the stove, you can't be certain that it is off; instead, each check adds to your nagging uncertainty. Your eyes can see that it is off, but it doesn't register in your mind. After what feels like hours, you finally drag yourself from the stove and back to the taxi. But as you drive away you picture flames engulfing you house because of your carelessness. All through your vacation, awful thoughts of your life's treasures being incinerated torment you. Despite all your efforts, you can't drive the doubts from your mind" (Baer 3).</p>
<p>Another loop is avoiding the situation entirely. They do not help defeat the thoughts, but rather make the obsession stronger. If the individual does encounter the situation, the thoughts overwhelm them and they again try to avoid the situation.</p>
<p>One of the oddest things about obsessive-compulsive disorder is how normal victims seem. OCD can strike anyone, no matter the age, and three to seven million Americans will suffer from OCD at sometime in their life: twenty-five percent have one close relative with OCD (Gelman 71-72). The average age of diagnosis is nineteen to twenty-five, and the National Mental Health Association estimates that one million children and teenagers have OCD (Mannarino 133).</p>
<h3>Causes of OCD</h3>
<p>No one really knows what causes obsessive-compulsive disorder, but there are some beliefs. Obsessive-compulsive behavior seems to be genetically transmitted. This would explain why, as stated earlier, twenty-five percent have one close relative with OCD.</p>
<p>Another hypothesis, is that they may have a chemical imbalance. This also is fairly true because of a neurotransmitter called Serotonin, which will be discussed later.</p>
<p>Early life experiences are probably closely related to OCD. Harsh punishment for making mistakes or watching a relative carry out compulsions, could lead to the learning of the compulsions.</p>
<h3>Treatment</h3>
<p>For a long time obsessive-compulsive disorder was referred to as a secret disorder. Why? Because patients would very rarely come forward to talk to a doctor about it. The main reason for this is because public awareness of the disorder was minimal. Public awareness about OCD has increased, however, there is still misunderstandings about OCD. When the NMHA (National Mental Health Association) asked one thousand Americans about OCD and other anxiety disorders, they found that over one half of those surveyed believed that these disorders can be cured if the patient tries hard enough (Mannarino 135). OCD can never really be cured. The only thing that you can do is to try and decrease the symptoms. Whether it be through therapy or drugs, many individuals have found relief from OCD.</p>
<h4>Therapy</h4>
<p>The most common form of therapy used in the treatment of OCD is called exposure and response prevention. It involves exposing the patient to their obsession and then preventing them from responding (Mannarino 135). Four steps that are used during exposure and response prevention are:</p>
<ol>
<li>Confront the things you fear often.</li>
<li>If you want to avoid something, don't.</li>
<li>If you want to do something, don't.</li>
<li>Continue steps one, two, and three for as long as possible (Baer 34).</li>
</ol>
<p>Research about exposure and response prevention therapy has determined that it is effective in helping around seventy-five percent of OCD patients.</p>
<p>But, there are also two problems with exposure and response prevention. Number one is that if you believe that your compulsions are needed, the chances that exposure and responsive prevention will be able to help you decrease. The second problem is that if they are severely depressed, they will not have the motivation needed to confront their problems and will be unable to complete exposure and response prevention therapy. If exposure and response prevention therapy does not work, another thing that you can do is set long-term goals in how you would like to fight your OCD symptoms.</p>
<p>One of the first things that you want to do when you set goals is to work on one symptom at a time. It may take longer to decrease symptoms then trying to do a bunch at once, but because most obsessions overlap, you will notice a decrease in other obsessions. Another thing that you want to do is to set goals that you can meet. If you are trying to battle OCD, you want to decrease the symptoms that you worry the least about, working your way to problems that create the most anxiety. By doing this, you will also gain confidence in your ability to set goals and meet them. You shouldn't beat yourself up if you lapse back into your old habits. You should be happy even if you make only small gains, because it is a lot better then nothing. The last thing that you want to do is never think that you will be unable to accomplish your goals.</p>
<p>Because depression is linked to obsessive-compulsive disorder, electroconvulsive therapy (ECT) is sometimes effective in treating OCD. It involves electric shock to the patient's temples. It is painless, and although memory is sometimes lost, it does come back.</p>
<p>Psychotherapy, talking about your symptoms and problems, has also been used in the treatment of OCD. This does very little to get rid of symptoms, but it does help afterwards to help with other related problems.</p>
<p>Another possible solution could be brain surgery. By performing a cingulotomy, it has been found that obsessive and compulsive symptoms can be reduced. A cingulotomy is when a brain surgeon makes small cuts in the cingulum. The cingulum is made up of nerve fibers that control feelings and actions. Because of the risks, cingulotomy is a last resort, but a successful cingulotomy rarely has side effects and decreases symptoms.</p>
<h4>Medication</h4>
<p>Medication can also be used for the treatment of OCD. The first anticompulsive drug is one called Clomipramine. Clomipramine has been released in Canada, Mexico, and Europe. In 1990, the U.S. Food and Drug Administration approved it as the first anticompulsive drug in the United States (Baer 43). Clomipramine, or Anafranil (it's brand name), increases levels of serotonin, a neurotransmitter that regulates mood and impulsiveness (Gelman 75). Fluoxetine is an antidepressant that like Clomipramine, affects levels of serotonin. Because of there common links to obsessive-compulsive disorder, almost any antianxiety or antidepressant drug can help certain people. Other drugs which help are; Prozac, Zoloft, Paxil, and Luvox (Mannarino 135).</p>
<p>In order to truly treat OCD, one must combine medication, prescribed by a psychiatrist, with exposure and response prevention therapy, provided by a psychologist. Therapy does work well alone, but that is not the case for medication because of three things.</p>
<p>Number one: Some patients will not take medications because they believe the side effects will be severe, or because of health conditions. Number two: Some patients notice small changes or do not improve at all. Number three: Usually patients who use medication will still keep half of their symptoms.</p>
<h3>Conclusion</h3>
<p>Obsessive-compulsive disorder can be a severely crippling disorder. I have talked about characteristics of OCD and causes. Although there is no way to cure OCD, unlike what many people believe, you can certainly try to lessen the symptoms through many possible treatments that are available to help regain yourself, both through medication and therapy, such as exposure and response prevention.</p>
<h3>Bibliography</h3>
<p>Baer, Lee. <span style="text-decoration: underline;">Getting Control: Overcoming Your Obsessions and</span> <span style="text-decoration: underline;">Compulsions</span>. Boston: Little, Brown and Company, 1991.</p>
<p>Friedland, Bruce. <span style="text-decoration: underline;">Personality Disorders</span>. New York: Chelsea House Publishers, 1991.</p>
<p>Gelman, David. "Haunted by Their Habits." <span style="text-decoration: underline;">Newsweek</span> March 27, 1989: 71-75.</p>
<p>Mannarino, Melanie. "Force of Habit." <span style="text-decoration: underline;">Seventeen</span> February 1999: 133-135.</p>
<p>McMahon, Judith W. and Frank B. and Romano, Tony. <span style="text-decoration: underline;">Psychology and You</span>. New York: West Publishing Company, 1995.</p>
<p>Melville, Joy. <span style="text-decoration: underline;">Phobias and Obsessions</span>. New York: Coward, McCann &amp; Geoghegan, Inc, 1977.</p>
<p>Wilensky, Amy. "I watch myself do things I know are crazy" <span style="text-decoration: underline;">Self</span> February 1998: 141-143, 152.</p>
<h3>Notes</h3>
<p><strong>Created:</strong> March 18th 1999<br /><strong>Modified:</strong> September 10th 2004<br /><strong>Notes:</strong> Modifications in 2004 included spelling mistakes and cleanup of document style. No content changes (save fixing spelling mistakes) were made.</p>
