+++
title = "On Mohandas and Arun Gandhi's Blunders of the World"
description = "The eight blunders of the world (seven from Mohandas Gandhi and one from Arun Gandhi), with descriptive text from Arun, and commentary by myself."
draft = false
comments = true
date = "2004-08-16T01:01:00-05:00"
modified = "2008-08-10T20:30:48-05:00"
slug = "On-Mohandas-and-Arun-Gandhis-Blunders-of-the-World"
blogengine = "71e81b3b-e93f-4043-b843-aa312dd44036"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
Any indented text is my own regarding the particular blunder outlined above.&nbsp; The rest of the text is Arun Gandhi&rsquo;s. 
</p>
</div>
<p>
Mohandas K. Gandhi was convinced much of the violence in society and in our personal lives stems from the passive violence that we commit against each other. He described these acts of passive violence as the &quot;Seven Blunders.&quot; Grandfather gave me the list in 1947 just before we left India to return to South Africa where my father, Manilal, Gandhi&#39;s second son, and my mother, Sushila, worked for nonviolent change. In the Indian tradition of adding one&#39;s knowledge to the ancient wisdom being passed on, and in keeping with what Grandfather said and wrote about responsibility, I have added an eighth item to the list of blunders.<br />
----Arun Gandhi 
</p>
<p>
<strong>The &quot;Blunders of the World&quot;</strong>
</p>
<ul>
	<li>
	<div>
	Wealth Without Work
	</div>
	</li>
	<li>
	<div>
	Pleasure Without Conscience
	</div>
	</li>
	<li>
	<div>
	Knowledge Without Character
	</div>
	</li>
	<li>
	<div>
	Commerce Without Morality
	</div>
	</li>
	<li>
	<div>
	Science Without Humanity
	</div>
	</li>
	<li>
	<div>
	Worship Without Sacrifice
	</div>
	</li>
	<li>
	<div>
	Politics Without Principles
	</div>
	</li>
	<li>
	<div>
	Rights Without Responsibilities 
	</div>
	</li>
</ul>
<h3>What Did M. K. Gandhi Mean?</h3>
<p>
1) Wealth Without Work 
</p>
<p>
This includes playing the stock market; gambling; sweat-shop slavery; and over-estimating one&#39;s worth, like some heads of corporations drawing exorbitant salaries which are not always commensurate with the work they do. Gandhi&#39;s idea originates from the ancient Indian practice of Tenant Farmers (Zamindari). The poor were made to slog on the farms while the rich raked in the profits. With capitalism and materialism spreading so rampantly around the world, the gray area between an honest day&#39;s hard work and sitting back and profiting from other people&#39;s labor is growing wider. To conserve the resources of the world and share these resources equitably with all so that everyone can aspire to a good standard of living, Gandhi believed people should take only as much as they honestly need. 
</p>
<p>
The United States provides a typical example. The US spends an estimated $200 billion a year on manufacturing cigarettes, alcohol and allied products which harm people&#39;s health. What the US spends in terms of providing medical and research facilities to provide and find cures for health hazards caused by over-indulgence in tobacco and alcohol is mind-blowing. There is enough for everyone&#39;s need but not for everyone&#39;s greed, Gandhi said. 
</p>
<blockquote>
	<p>
	An interesting question &ndash; in the utopians I&rsquo;ve read about I&rsquo;ve seen nothing regarding money being traded regarding the prices of goods (stock market activity).&nbsp; The question is, with the numbers of people on this world, could we actually provide for everyone?&nbsp; Would the number of people currently working still work as much as they do?&nbsp; For example, we don&rsquo;t need electronic products like CDs, or DVDs &ndash; the manufacture of these items would be removed from the system.&nbsp; The same goes for movies (being replaced by plays perhaps) and music (being replaced by bards and the like).&nbsp; Entertainment television (not to be confused with the news media) could also be removed.&nbsp; Yet, don&rsquo;t these provide a necessary part of human existence (one could argue)?&nbsp; What would our lives be like without this available as it is now?&nbsp; See also blunder 4 for more regarding this issue. 
	</p>
</blockquote>
<p>
2) Pleasure Without Conscience <br />
<br />
This is connected to wealth without work. People find imaginative and dangerous ways of bringing excitement to their otherwise dull lives. Their search for pleasure and excitement often ends up costing society very heavily. Taking drugs and playing dangerous games cause avoidable health problems that cost the world hundreds of billions of dollars in direct and indirect health care facilities. Many of these problems are self-induced or ailments caused by careless attitudes. The United States spends more than $250 billion on leisure activities while 25 million children die each year because of hunger, malnutrition, and lack of medical facilities. Irresponsible and unconscionable acts of sexual pleasure and indulgence also cost the people and the country very heavily. Not only do young people lose their childhood but innocent babies are brought into the world and often left to the care of the society. The emotional, financial, and moral price is heavy on everyone.<br />
<br />
Gandhi believed pleasure must come from within the soul and excitement from serving the needy, from caring for the family, the children, and relatives. Building sound human relationships can be an exciting and adventurous activity. Unfortunately, we ignore the spiritual pleasures of life and indulge in the physical pleasures which is &ldquo;pleasure without conscience.&rdquo; 
</p>
<blockquote>
	<p>
	In Plato&rsquo;s <em>Republic</em>, he states that children should be left to the care of society.&nbsp; In fact, I think he would argue that the very fact that people are emotional beings dictates this responsibility of the state.&nbsp; No matter how individuals are trained they will always revert to their inner essence of being emotional (and not just rational) beings.&nbsp; By allowing the state to guide the education of the students, you remove this emotional component, as long as each child is treated the same (favoritism is the number one problem with parents guiding their children&rsquo;s actions). 
	</p>
</blockquote>
<p>
3) Knowledge Without Character 
</p>
<p>
Our obsession with materialism tends to make us more concerned about acquiring knowledge so that we can get a better job and make more money. A lucrative career is preferred to an illustrious character. Our educational centers emphasize career building and not character-building.<br />
<br />
Gandhi believed if one is not able to understand one&#39;s self, how can one understand the philosophy of life? He used to tell me the story of a young man who was an outstanding student throughout his scholastic career. He scored &quot;A&#39;s&quot; in every subject and strove harder and harder to maintain his grades. He became a bookworm. However, when he passed with distinction and got a lucrative job, he could not deal with people, nor could he build relationships. He had no time to learn these important aspects of life. Consequently, he could not live with his wife and children, nor work with his colleagues. His life ended up being a misery. All those years of study and excellent grades did not bring him happiness. 
</p>
<p>
Therefore, it is not true that a person who is successful in amassing wealth is necessarily happy. An education that ignores character building is an incomplete education. 
</p>
<blockquote>
	<p>
	Taken as a whole, the last sentence doesn&rsquo;t fit in with the first two.&nbsp; Change that to &ldquo;Therefore, it is not true that a person who is successful in amassing knowledge is necessarily happy. An education that ignores character building is an incomplete education.&rdquo; and it makes more sense.&nbsp; In today&rsquo;s world, if this character existed he wouldn&rsquo;t hold his job without the ability to work with others, unless he&rsquo;s a webmaster, or other techie person (J).&nbsp; Seriously, today&rsquo;s business world requires communication with others.&nbsp; Also, some hold that true happiness can be found when one is alone &ndash; others are not a necessary part of this.&nbsp; After all, if one is not happy with oneself, then one can never be happy (truly happy) with others (and thinking otherwise is to deny the truth). 
	</p>
</blockquote>
<p>
4) Commerce Without Morality 
</p>
<p>
As in wealth without work, we indulge in commerce without morality to make more money by any means possible. Price gouging, palming off inferior products, cheating and making false claims are a few of the obvious ways in which we indulge in commerce without morality. There are also thousands of other ways in which we do immoral or unethical business. When profit making becomes the most important aspect of business, morals and ethics usually go overboard. We cut benefits and even salaries of employees. If possible we employ &quot;slave&quot; labor, like the sweatshops and migrant farm workers in New York and California where workers are thoroughly exploited. Profit supersedes the needs of people. 
</p>
<p>
When business is unable to deal with labor it begins to mechanize. Mechanization, it is claimed, increases efficiency, but in reality it is instituted simply to make more money. Alternate jobs may be created for a few. Others will fall by the wayside and languish. Who cares? People don&#39;t matter, profits do. 
</p>
<p>
In more sophisticated language what we are really saying is that those who cannot keep up with the technological changes and exigencies of the times do not deserve to live--a concept on which Hitler built the Nazi Party. If society does not care for such people, can we blame them if they become criminals? 
</p>
<blockquote>
	<p>
	First, it should be noted that today the first paragraph&rsquo;s issues are even stronger.&nbsp; With work going to India and China (and other Asian countries) we&rsquo;re losing out.&nbsp; With more work going overseas, and more people coming into America, the amount legal American&rsquo;s are able to spend goes down and down &ndash; the only way to survive is with debt.&nbsp; Yet, the way the entertainment industry is going, perhaps the way we&rsquo;ll survive is by way of reality television&hellip; 
	</p>
	<p>
	Second, there are serious philosophical faults with &ldquo;If society does not care for such people, can we blame them if they become criminals?&rdquo;&nbsp; If society fails, it&rsquo;s okay for the people of that society to break into anarchy?&nbsp; The commercial system failing and the people revolting against that is one thing (perhaps falling into a barter system, or a government run system), but it&rsquo;s quite another to overthrow the government because one part is broken. 
	</p>
</blockquote>
<p>
5) Science Without Humanity 
</p>
<p>
This is science used to discover increasingly more gruesome weapons of destruction that threaten to eventually wipe out humanity. The NRA says guns don&#39;t kill people, people kill people. What they do not say is that if people didn&#39;t have guns they wouldn&#39;t have the capacity to kill as quickly or as easily. If hunting can be considered a sport, it is the most insensitive and dehumanizing sport on earth. How can killing animals bring fun and excitement to anyone? This is pleasure without conscience. 
</p>
<p>
When we cease to care for any life, we cease to respect all life. No other species on earth has wrought more destruction than man. Materialism has made us possessive. The more we possess the more we need to protect and so the more ruthless we become. As punishment, we will kill if some one steals to buy bread. We feel violated. But we will not bother our heads to find out why, in times of plenty, people have to live in hunger. In order to protect and secure our homes, our neighborhoods, our countries from attacks, we use science to discover frightening weapons of destruction. 
</p>
<p>
The debate over the use of the atom bomb on Hiroshima and Nagasaki is a question that falls under this category. War is sometimes inevitable only because we are such ardent nationalists that we quickly label ourselves by our country of origin, by gender, by the color of our skin, by the language we speak, by the religion we practice, by the town or the state we come from and so on. The labels dehumanize us, and we become mere objects. Not too long ago even wars were fought according to rules, regulations, ethics and some semblance of morality. Then Hitler changed the rules because of his monumental hate and the rest of us followed suit. Now we can obliterate cities and inhabitants by pressing a button and not be affected by the destruction because we don&#39;t see it. 
</p>
<blockquote>
	<p>
	Just as the theory of gravity does not make gravity, materialism does not make man materialistic.&nbsp; Rather, the theory of gravity explains gravity, and materialism explains man&rsquo;s tendency to want to possess materials.&nbsp; And people do kill people &ndash; while the gun is the immediate cause, it is the man behind the gun that uses it.&nbsp; No, without guns people wouldn&rsquo;t be killed with guns &ndash; man would use swords instead.&nbsp; Before that, blunt objects.&nbsp; I recently cut my finger &ndash; that hurts.&nbsp; Would I rather have someone cut me with a sword, bash me with a rock, or shoot me with a gun?&nbsp; I&rsquo;d rather go with the gun, thanks.&nbsp; No, I shouldn&rsquo;t have to make that distinction, but, unfortunately I do.&nbsp; To ignore reality is the most dangerous evil. 
	</p>
</blockquote>
<p>
6) Worship Without Sacrifice 
</p>
<p>
One person&#39;s faith is another person&#39;s fantasy because religion has been reduced to meaningless rituals practiced mindlessly. Temples, churches, synagogues, mosques and those entrusted with the duty of interpreting religion to lay people seek to control through fear of hell, damnation, and purgatory. In the name of God they have spawned more hate and violence than any government. True religion is based on spirituality, love, compassion, understanding, and appreciation of each other whatever our beliefs may be -- Christians, Jews, Hindus, Muslims, Buddhists, Atheists, Agnostics or whatever. 
</p>
<p>
Gandhi believed whatever labels we put on our faith, ultimately all of us worship Truth because Truth is God. Superficially we may be very devout believers and make a tremendous public show of our worship, but if that belief, understanding, compassion, love and appreciation is not translated into our lives, prayers will have no meaning. True worship demands sacrifice, not just in terms of the number of times a day we say our prayers, but in how sincere we are in translating those prayers into life styles. 
</p>
<p>
In the 1930&#39;s many Christian and Moslem clergy flocked into India to convert the millions who were oppressed as untouchables. The Christian clergy stood on street corners loudly denouncing Hinduism and proclaiming the virtues of Christianity. Months went by without a single convert accepting the offer. Frustrated, one priest asked Grandfather, &quot;After all the oppression and discrimination that the &#39;untouchables&#39; suffer under Hinduism, why is it they do not accept our offer of a better life under Christianity?&quot; Grandfather replied, &quot;When you stop telling them how good Christianity is and start living it, you will find more converts than you can cope with.&quot; 
</p>
<p>
These words of wisdom apply to all religions of the world. We want to shout from rooftops the virtues of our beliefs and not translate them into our lives. 
</p>
<blockquote>
	<p>
	&ldquo;Truth is god&rdquo; &ndash; and I will accept it.&nbsp; And certainly those who preach should practice first (and allow their practice to preach).&nbsp; And yes, all people should be philosophers, the true seekers of the truth, but they are unfortunately not (and even philosophers say that they have found the truth and try to spread it &ndash; a true philosopher, one who truly seeks the truth, will never be able to do this). 
	</p>
</blockquote>
<p>
7) Politics without Principles 
</p>
<p>
Gandhi said those who firmly believe in nonviolence should never stand for elections, but they should elect representatives who are willing to understand and practice the philosophy. 
</p>
<p>
Gandhi said an elected representative is one on whom you have bestowed your power of attorney. Such a person should be allowed to wield authority only as long as s/he enjoys your confidence. When politicians indulge in power games, they act without principles. To remain in power at all cost is unethical. Gandhi said when politicians (or anyone else, for that matter) give up the pursuit of Truth they, or in the case of parties, would be doomed. Partisan politics, lobbying, bribing, and other forms of malpractice that are so rampant in politics today are also unprincipled. 
</p>
<p>
Politics has earned the reputation of being dirty. It is so because we made it dirty. We create power groups to lobby for our cause and are willing to do anything to achieve our goal. Not many among human kind have learned how to resist temptation, so who is to blame for the mess we find ourselves in? 
</p>
<blockquote>
	<p>
	Deny human nature?&nbsp; Or mold human nature into something else?&nbsp; Is human nature natural?&nbsp; Or is it not?&nbsp; If it is not natural, how did it become so?&nbsp; What in the system change our nature?&nbsp; Ourselves?&nbsp; But how could nature produce something which is unnatural (supernatural perhaps, but unnatural&hellip; how)? 
	</p>
</blockquote>
<p>
8) Rights Without Responsibilities 
</p>
<p>
We are generally willing to do anything to safeguard our rights but not much to shoulder our responsibilities towards creating a peaceful, harmonious, and understanding society. We believe that our only responsibility in a democracy is to cast our vote once in four or five years, but for a democracy to be healthy and honest, we need to do much more. Should we allow someone to abuse rights under a constitution so that we can preserve our own rights? Under the Freedom of Speech can we allow people to incite violence and perhaps revolution through hate, prejudice, and other forms of bigotry? Under the Right to Bear Arms can we allow people to walk about with weapons and use them freely to protect themselves and their possessions when it means killing others? If an individual can become judge, jury, and executioner, can there be a viable Rule of Law? 
</p>
<p>
It might be argued that violence is a form of expression of discontent. If a householder can shoot someone for trespassing with the intent to steal, why should a hungry or homeless person not have the right to kill those he suspects of having stolen his/her opportunities for livelihood? When we possess more than we deserve, we are stealing from those who do not have the opportunity to compete with our talents. Readers of Parade magazine were recently asked if parents or schoolteachers should teach children about right and wrong. Shockingly, the overwhelming response was NO. We must not impose our rights and wrongs on other people, even our own children, they argued. Isn&#39;t our entire sense of law and community and society grounded in basic concepts of right and wrong, i.e. don&#39;t harm others? Why do we try and condemn murderers and thieves? Doesn&#39;t that impose our sense of right and wrong on them, even when they believe their behavior was justified if not right? Can we build a healthy and viable democracy on double standards? 
</p>
<blockquote>
	<p>
	Actually, the right to bear arms is for a standing militia &ndash; so, the original purpose was to protect the nation (something attacked in blunder 5).&nbsp; So, yes, I suppose one could argue that the right to bear arms can be extended to property in general (as it has).&nbsp; If we remove the original intention behind this right, then we also remove this problem.&nbsp; Killing on possibility (you stole my opportunity, even though it wasn&rsquo;t directly) is not the same as killing on actuality (you raped my wife, here&rsquo;s the video/evidence showing it). 
	</p>
	<p>
	&ldquo;Why do we try and condemn murderers and thieves? Doesn&#39;t that impose our sense of right and wrong on them, even when they believe their behavior was justified if not right?&rdquo;&nbsp; Throughout this piece the rights of the masses were placed above the rights of the individual.&nbsp; Here this right is questioned &ndash; can we really allow ourselves to become enslaved to the desires of others?&nbsp; What is more important &ndash; the individual or a group of individuals?&nbsp; <em>Do unto others that which you would want them to do onto you, and do not onto others that which you would not want them to do onto you.</em> 
	</p>
</blockquote>
<h3>Notes</h3>
<p>
July 1st, 2001, is when I first viewed these blunders.&nbsp; Over three years later I found the document again, and am now inserting my own comments. 
</p>

