+++
title = "On Rest"
description = "On activity and inactivity, commonly called rest."
draft = false
comments = true
date = "2004-06-13T01:01:00-05:00"
slug = "On-Rest"
blogengine = "577182c2-5fb9-4df0-b894-7e3cdcf09aa4"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Rest. Passivity. Inactivity. All speak of the absence of movement &ndash; the absence of activity &ndash; in common language. Yet, when I stand still is it really very different than when I am moving about? Is inactivity really the absence of activity?
</p>
<p>
Let us say I am walking down the street. I see a beautiful manikin in a storefront window with short, shoulder length, red hair. While it is true that I am no longer in motion &ndash; I no longer advance down the street, I still made a choice to stop at the particular storefront window and look in. In addition, I continue to look at the green eyes of the manikin, and advance no further. I arrest my movement and by doing so perform an action. Ignoring the activities related to moving my head and eyes, beating my heart and lungs, I stop, and stand, and therefore act.
</p>
<p>
It is no different when I awake in the morning. I can either get up, or stay in bed. Certain factors may make me more agreeable to one over the other, but I am still faced with a choice and must make one &ndash; even I choose not to make a choice I have made a choice; in this case I choose to stay in bed and close my eyes, hoping for another glimpse. People are, after all, told to &lsquo;go get some rest&rsquo;. This is clearly a request that an individual go do some action &ndash; go and lay down, slow your heart and breathing, and try to sleep.
</p>
<p>
It is important to note that the very choice is the action relevant, not the fact that some muscles move, while others do not. Of course, if we agree with the above then we must also say that every time we make a decision we act, and not just when we move our physical bodies. Since we make decisions about almost every moment, whether we recall it or not, combined with the moments in which we move we are always active.
</p>
<p>
Since activity implies reason &ndash; there must be some justification for the actions we take, and some cause for every motion &ndash; we could say that we are always acting towards some goal.
</p>
<p>
Since we are always acting towards some goal, we are also moving towards that goal in an attempt to achieve it &ndash; to fulfill it.
</p>
<p>
The fact that we are always acting towards some goal means that either we never achieve our goal, that our goal always changes, or that we have a plethora of goals that spring up one after the other.
</p>
<p>
If our goal always changes that either means that we have one fluid goal or that we have many transitory goals. Either way, that means that we can lower our number of choices in the paragraph above to two; we have one goal or we have many goals.
</p>
<p>
As far as many goals, it is never the case that we have more than one goal in site, immediately. That is, while I may have two goals in mind, I only work towards one at a time.
</p>
<p>
&lsquo;I want to get married and have two girls as beautiful as their mother.&rsquo; &nbsp;While two goals are present, one is really contained within the other. In this particular case, I cannot have two girls as beautiful as their mother if they have no mother. Since I am of the opinion that two people should be married if they want to start a family (and since two girl children sounds like a family to me) I would hope that I would get married before I have these two beautiful girls. So, while they both may be in mind, I must attain, and therefore work towards, one before the other.
</p>
<p>
My example seems to suggest, then, that we do not have one goal, or one changing goal. After all, I point towards the existence of two particular goals. Yet, one could argue that I am in fact not talking of two goals, but rather one multi-faceted goal. The question then becomes, have I always had this goal in mind? Clearly I have not, for there was once a time &ndash; when I was a child, for example &ndash; when I did not think of getting married and having children. And, something may occur in my future that will change my present goal(s).
</p>
<p>
Another example that comes to mind is the desire for wealth. Yet, it is not wealth that I really want, rather it is a pleasant life that I really desire. As soon as I get my wealth, and see that I am not happy, I find that wealth is simply a means towards an end. This example seems to suggest to me that my goal has changed. Yet, is it not as though my original goal was not fully what I wanted, but after modification it became so? While some may argue that it is not, it sounds as though my goals have changed in such a way it is as though I adopted a new goal.
</p>
<p>
Whether there is one changing goal or many different goals it does not really matter. What does matter is that I strive towards a goal (I can say this and it holds true even if we have multiple goals in our lifetime, for we can only actively pursue one at a time) when I am active. Since I am always active, I am always striving. Even if I were to accomplish my goal I would still be active (after accomplishment) and would still, therefore, be striving towards something else, even if it is towards enjoying the fulfillment of my goal (a short lived fulfillment for I must actively act within my &lsquo;fulfilled state&rsquo; in order to say that I have accomplished, and still bask in the accomplishment of, my goal).
</p>
<p>
So, rest is activity. Passivity is activity. Even inactivity is activity, and is therefore not the absence of activity at all.
</p>

