+++
title = "On the Difference Between Business and Personal Sites on the Internet"
description = "On the differences between a business website, and a personal one - dos and don'ts."
draft = false
comments = true
date = "2004-03-31T01:01:00-06:00"
modified = "2008-02-23T13:06:49-06:00"
slug = "On-the-Difference-Between-Business-and-Personal-Sites-on-the-Internet"
blogengine = "6b65745a-5081-4e84-818c-091159013d4c"
categories = ["article", "Internet"]
tags = []
+++

<p>
The Internet consists of a couple different kinds of sites. In the first place, we have educational sites, such as universities, libraries, and working groups. We also have business sites, which include sites that sell products online, as well as those that offer technical support through their site. Personal sites, another category, take up another chunk of the Internet. Personal sites can vary between a journal of an individual, to a compilation of multiple individuals (either in design or content). We also have news sites, which can have a print product behind them, but do not necessarily need one. There is also the ever prevalent guide sites, which offer to guide you through the content on the Internet, either in a particular area, or for the entire Web/web.
</p>
<p>
Unfortunately, sites are fairly hard to categorize, since they can have elements of any of these types, and even these types do not sum up the whole of the Web. For that reason, I&rsquo;ll be looking at the extremes of two kinds of sites; business sites, which attempt to sell a product, and personal sites, which are for an individual and are non-business in nature. The main focus will be design dos and don&rsquo;ts.
</p>
<p>
One difference between personal and business sites is the intended audience. Business sites typically have an audience to which they are attempting to persuade to purchase a product. Personal sites are usually a way for an individual to communicate with a larger audience, about what they enjoy, whether it be a hobby, or a view. Of course, it&rsquo;s not even necessary for this kind of site to have an audience other than the individual.
</p>
<p>
For example, if an individual would like to be able to access files and/or bookmarks (perhaps the most popular no-site-audience justification) from almost anywhere. As long as the site address is remembered, the individual can locate almost any file that they had previously setup on this page.
</p>
<p>
Recently, I&rsquo;ve created a secure area on my own site where I placed a couple of bookmarks. Previously, I had used the note-taking capabilities of my email provider (<a rel="nofollow" href="http://www.fastmail.fm/" target="_blank">FastMail.fm</a>) to secure some of this information. While I may continue to use this latter route for some things, placing it on my site allows me greater flexibility, as I can point friends to this page, if I decide to place files online.
</p>
<p>
Unfortunately, most sites do not secure this kind of content, for the main reason that most personal sites do not have this ability. Free site providers like <a rel="nofollow" href="http://www.tripod.lycos.com/" target="_blank">Tripod</a> and <a rel="nofollow" href="http://geocities.yahoo.com/" target="_blank">Geocities</a> only allow the minimal features &ndash; secure content being one of the unavailable features. However, even if security was available, putting this content behind security would leave the site with little else in the way of content. This is not always the case, but it unfortunately often is (especially in the case of bookmarks, as I hinted at above).
</p>
<p>
A discussion of intended audience naturally brings up accessibility specifications. Various groups have created accessibility standards, most significantly the W3C, or <a rel="nofollow" href="http://www.w3c.org/" target="_blank">World Wild Web Consortium</a>. Accessibility standards attempt to set up rules by which designers of sites can use to create pages that are accessible to a wide audience of individuals. Such individuals include; the colourblind, the hearing impaired, the blind, as well as the elderly, and those without full use of their arms and hands, as well as those who may not be using the most popular browsers, such as those individuals who use Lynx. The push is to have all developers use these standards so as to create a place that is accessible to everyone, no matter their physical or technological limitations.
</p>
<p>
Unfortunately, not everyone takes the time to follow these standards. Even larger sites, with large numbers of people, and with an intended audience of everyone (CNN and AOL come to mind), have problems with certain kinds of technology, or with certain individuals. However, due to the fact that such sites are doing fairly well thus far, these sites tend to stick with what works, until it becomes a large issue, at which point they fix it. There may be some development happening behind closed doors, but, due to its nature, we can never be completely sure.
</p>
<p>
Moving back to our personal/business discussion, personal sites rarely care about accessibility standards. Such sites are developed on a particular computer, and are designed to work on that computer, using that technology. Personal sites involving others almost naturally have some level of testing, however. If a group of young individuals create a site, they&rsquo;ll almost always have the need to view the site on a different computer, although the technology may be very similar. In such cases, however, anything that is not working will be noticed by the individuals, and will be worked with until it is fixed on those computers. This often involves posts to message boards or forums, not a perusal of specification documents (although this is not always the case, fortunately).
</p>
<p>
Business sites, on the other hand, have to pay much more attention to accessibility standards. A good business site will test their site on a wide variety of computers, with a wide variety of technology. What may look and work on a Windows-based machine may look and work incorrectly on a Mac or Linux machine. Sites that sell content online by way of a shopping cart, or marketplace, will especially be concerned with accessibility. However, this is usually taken care of by the provider of the shopping area (although this is not always the case), and on the other hand, starters often do not take this into account.
</p>
<p>
This discussion leads us to a discussion of who is developing the site. Personal sites almost always involve a very small number of individuals. In many cases, there is one person developing a personal site (hence the name &lsquo;personal&rsquo; site). Business sites, on the other hand, often are developed by a much larger group of individuals. Development here means not only the design of the site, but also the (primary) content of the site. In some cases, design of a site is left to professional designers outside of the company. The company merely suggests what they would like their site to look like, who they would like to communicate with, and what they would like to say. Personal sites rarely depend upon other people to design the site, and more importantly, implement the design. A personal site owner will usually take care of almost every aspect of site development.
</p>
<p>
Due to the fact that the development team is typically smaller for the personal site than for the business site, this gives another reason personal sites don&rsquo;t follow standards as often as business sites. This also gives a reason for why personal sites are often, but not always, smaller than business sites. The size of a site is the memory necessary for the files on the site &ndash; not necessarily those on other sites.
</p>
<p>
Many personal sites link to other bits of content online (see the mention of bookmarks above). Sometimes you&rsquo;ll find these links annotated, but not always. Of course, an issue may be addressed on a site, without any links to other content. A personal site that includes a journal, for example, may discuss the day&rsquo;s events, or may discuss a particular site or news article that was read. While the first may not involve any external content, the latter items may. Of course, personal sites involving images do not follow this rule, since image files are typically fairly large. A personal site may also be the writings of an individual, such as <a rel="nofollow" href="http://heptapod.org/index.php" target="_blank">http://heptapod.org/index.php</a>, which means that the site content could be quite large in quantity.
</p>
<p>
Business sites, on the other hand, are typically fairly centralized, as far as content goes. These sites typically include information about their product(s), and possibly troubleshooting and technical support. Depending upon the product, the site could be even larger. For example, a business selling a computer program may have downloads available for demonstration, as well as software updates. A site selling articles may include the articles online. For example, many newspapers offer online subscriptions of articles, and some educational sites offer papers for sell.
</p>
<p>
Moving back to our discussion of accessibility, content is usually crafted, on business sites, to appeal to the visitor. A site that is bland, and hard to navigate, is going to direct potential business customers to <a rel="nofollow" href="http://www.google.com/" target="_blank">Google</a> or a competitor&rsquo;s site. If the site design only works on 50% of the visitors computers, the business has lost over half their potential customer base (for customers will likely tell friends if they enjoy a particular thing).
</p>
<p>
Because the business site must take into account the needs of individuals outside of the business, the direction of the site is often in the hands of the visitors, or potential customers. While a large opening animation may be fairly interesting, if it doesn&rsquo;t directly relate to advertising, it must be cut from a business site. A personal site, on the other hand, can use these animations on whim, so long as the designer likes the animation. The audience not only influences the design of the site, as we pointed at in regards to accessibility, but also the content of the site. Showing off is okay on personal sites, but may not necessarily be okay on business sites (again, unless it acts as advertising).
</p>
<p>
This also brings up the point that business sites will usually want customers to return to their site, to purchase additional items from them. A personal site also wants visitors to come back, usually because they want their visit count to increase. After all, while a business has to make money so as to continue successfully, a personal site isn&rsquo;t in it for the money, or at the very least, isn&rsquo;t depending upon it. A personal site and a business site both want to be famous, but for slightly different reasons.
</p>
<p>
This also means that a personal site and business site, if they are going to be successful, have to offer interesting content to visitors. A site that offers what other sites offer will keep visitors only so long as the visitors do not find a site that offers more. There must be something that makes the site unique and appealing. While the content doesn&rsquo;t necessarily have to be made so as to reach a wide audience, it should necessarily be made to appeal to the audience it is striving for.
</p>
<p>
For example, if a site has an audience of motorcycle enthusiasts, it does not have to make sense to someone that does not know anything about motorcycles. However, it should appeal to motorcycle enthusiasts. If a site attempts to appeal to both audiences, it will only succeed in separating itself from both audiences. However, if a site separates itself so as to deal with each individual group in their own right, a site can pull this off. <a rel="nofollow" href="http://www.findlaw.com/" target="_blank">FindLaw</a>, for example, attempts to give information to law professionals, as well as non-law individuals (the public). Because it doesn&rsquo;t meld the content together, but rather separates the content when necessary, it becomes a resource for both groups.
</p>
<p>
Using our motorcycle example, if a site can successfully create an area that has content relevant to motorcycle enthusiasts (such as upgrading techniques, or news on meetings), as well as another area that has content for non-enthusiasts (such as someone who is looking at making a purchase as a gift), with common ground between the two (such as a marketplace), they will be able to safely appeal to a larger audience.
</p>
<p>
Personal and business sites both offer something to the Internet. Business sites give individuals the ability to research and purchase a product online, even though they may not live in the marketed area of the product. Personal sites give individuals the ability to tell others about their interests, and the chance for individuals to find out about someone else, or learn more about an interest they may even have.
</p>
<p>
Both kinds of sites have to take into account the audience that the site is developed for. With personal sites, this often means that the audience is small enough that the owner can do as they wish. With business sites, unless the business is willing to loss potential customers, the needs and desires of the visitors must always be kept in mind, as well as the technology and time the user may have. Business sites must keep in mind accessibility, design, and content, whereas the personal site need only keep in mind the whims of the site owner.
</p>
<p>
While the Internet is constantly changing, it&rsquo;s best for the personal site to keep in mind many of the things that the business site has to be concerned with, for these concerns will never change. A personal site should keep accessibility in mind, and should check their site on other computers accessible, and should solicit comment from visitors. If a visitor to a site sees something wrong with it, the visitor should email the site developer so that they can be aware of this problem (even if they decide not to fix it). This means that business and personal sites should include current contact information (something missing from many personal sites), which is regularly checked. A backup contact should also always be in place, in case the first contact fails or changes.
</p>
<p>
While no one may be too interested in the personal life of Billy Bob, if Billy Bob is online he needs to be aware that people will expect a level of design at par with similar sites. Likewise, if Company X is online, they need to be aware that people &ndash; potential customers &ndash; will be able to find them and peruse their site. If a business doesn&rsquo;t appeal to an audience, whether by design or chance, that audience will not turn to that business.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> March 31st 2004; October 2nd 2004
</p>

