+++
title = "On The Lady or the Tiger, and Other 'Questions with no answers' in the Media"
description = "On the relevance of open-ended questions in literature and movies."
draft = false
comments = true
date = "2005-02-19T05:01:00-06:00"
modified = "2010-05-27T21:46:01-05:00"
slug = "On-The-Lady-or-the-Tiger-and-Other-Questions-with-no-answers-in-the-Media"
blogengine = "5dd240af-261d-4008-b36f-b10cb4d9b1dc"
categories = ["article"]
tags = []
+++

<p>
In Frank Stockton&rsquo;s 1882 piece <em>The Lady or the Tiger</em>, Stockton asks us to determine the ending of the story. While one thinks they have enough information to make an informed decision and come to the correct answer, they in fact do not. His later piece, <em>The Discourager of Hesitancy</em>, also continues this tradition. Of course, Stockton is not the only writer to use this method to capture an audience. However, Stockton is one of the few to take this method to such a level. For this article I&rsquo;ll be discussing Stockton&rsquo;s pieces, as well as other cases of this in the media, including Tarantino&rsquo;s movie <cite><a href="/words/post/Pulp-Fiction-A-Timeline-of-the-Events-of-the-Movie.aspx">Pulp Fiction</a></cite>.
</p>
<!--more-->
<h4><em>The Lady or the Tiger?</em> and <em>The Discourager of Hesitancy</em></h4>
<p>
I had the privilege to read <em>The Lady or the Tiger</em> in one of my middle school or high school English courses. For those who have not read this extremely interesting piece, I highly suggest that you do. For those who have not, or for those who have not read this piece in a while, I include the following overview of the story.<!--adsense-->
</p>
<p>
In <em>The Lady or the Tiger?</em> a princess from a semi-barbaric land is found by her semi-barbaric father, the king, to be having a love affair with a lowly courtier. As soon as the king finds out about this affair he has the man imprisoned and &lsquo;schedules&rsquo; the youths trial at the king&rsquo;s arena.
</p>
<p>
The arena was &ldquo;the king&rsquo;s semi-barbaric method of administrating justice.&rdquo; [1: 13] &ldquo;This vast amphitheatre, with its encircling galleries, its mysterious vaults, and its unseen passages, was an agent of poetic justice, in which crime was punished, or virtue rewarded, by the decrees of an impartial and incorruptible chance.&rdquo; [1: 12]
</p>
<p>
The accused would enter the arena and see before him two doors. The accused would pick either the left or the right, and their choice would determine their guilt or innocence. Behind one door stood a hungry tiger, and behind the other stood a beautiful maiden. If the tiger were found behind the door, the accused would be guilty of the crime and would soon be food. If the maiden were found, the accused would be innocent and would soon have a (new) wife. Of course, which was behind which was the question that no one knew, least of all the accused.
</p>
<p>
In this particular trial, however, the princess was able to secure the knowledge of behind which door stood the tiger and which the maiden, or lady. The question then becomes, which door does the princess signal to the courtier to open?
</p>
<p>
On the one hand, if she tells him to open the door with the tiger she&rsquo;ll lose her lover to the teeth and claw of the tiger. On the other hand, if she tells him to open the door with the lady she&rsquo;ll lose her lover to another women, one who, in this case, she does not particularly like (she knows who the lady is, and that the courtier and the lady have often exchanged whispered words).
</p>
<p>
Stockton leaves the ending open in such a way that one believes that the answer is fairly simple. However, in most cases, if you get a group of people together and ask them to tell you how it ends, they&rsquo;ll be fairly evenly split.
</p>
<p>
Will the semi-barbaric princess allow her lover to love no other, which means she follows her barbaric instincts, or will she allow her lover life and happiness, following her rational compassion?
</p>
<p>
<em>The Discourager of Hesitancy</em> is &ldquo;A Continuation of &ldquo;The Lady or the Tiger?&rdquo;&rdquo;, and while it offers an answer to the question asked in the first story, it instead gives the reader another case to ponder.
</p>
<p>
In this story five travellers from another land visit the same kingdom to ask whether the lady or the tiger was found behind the door the courtier picked. The high officer of the court who meets them, instead of giving them an answer, relates to them an incident which happened a little after this event.
</p>
<p>
A very handsome prince, having heard that this semi-barbaric king kept the company of a great many beautiful ladies in his court, asked the king permission to marry one of these ladies. The king, although upset, kept his tongue in check and announced that the prince could marry one of the ladies the next day. While the prince suggested that he might be the best to choose, the king dismissed him without a further word.
</p>
<p>
After the prince had been hurried away to his apartments for preparation, he questions whether the king&rsquo;s notions are not perhaps quite different than his own.
</p>
<p>
&ldquo;At that moment an attendant whom the prince had not before noticed came and stood beside him. This was a broad-shouldered man of cheery aspect, who carried, its hilt in his right hand, and its broad back resting on his broad arm, an enormous scimitar, the upturned edge of which was keen and bright as any razor. Holding this formidable weapon as tenderly as though it had been a sleeping infant, this man drew closer to the prince and bowed.
</p>
<p>
&ldquo;&lsquo;Who are you?&rsquo; exclaimed his Highness, starting back at the sight of the frightful weapon.
</p>
<p>
&ldquo;&lsquo;I,&rsquo; said the other, with a courteous smile, &lsquo;am the Discourager of Hesitancy. When our king makes known his wishes to any one, a subject or visitor, whose disposition in some little points may be supposed not wholly to coincide with that of his Majesty, I am appointed to attend him closely, that, should he think of pausing in the path of obedience to the royal will, he may look at me, and proceed.&rsquo;
</p>
<p>
&ldquo;The prince looked at him, and proceeded to be measured for a coat.&rdquo; [1: 156]
</p>
<p>
The next morning, the prince asks when he might see the ladies, only to be shown the excellence of the edge of the scimitar held by the Discourager of Hesitancy, after which the prince continues on his way.
</p>
<p>
When the prince meets the king, he begins to interject, only to have a scarf wrapped around his head, effectively blinding him. He makes a move to remove it, but the Discourager of Hesitancy reminds him that he is near. A priest comes into the room, and the prince hears the rustle of a dress, and clasps a women&rsquo;s petite hand. He makes his vow and the scarf around his head is removed.
</p>
<p>
However, there is no woman beside him. Instead, the king leads him to a room containing a row of forty ladies. The king tells the prince to go to his wife, but to not make the wrong choice. The prince paces back and forth twice, and on the second time sees one lady frown as he walks by, while another smiles as he walks by. The Discourager of Hesitancy is close, the king tells him he must go to his wife within ten seconds&hellip; and he makes the correct decision.
</p>
<p>
However, we do not find out which he takes, for that is what the high official asks the five strangers, none of whom can tell for sure. Did the one lady smile because the prince was a very attractive husband, or because the prince had passed her by for his true wife? Did the one lady frown because the prince had p?ssed her by, or because he was not very attractive, or because she didn&rsquo;t want the prince to pick her, the one he had not just married?
</p>
<p>
We then have the same situation we had in <em>The Lady or the Tiger?</em> &ndash; we appear to have all the knowledge we need, but we are in fact missing an essential piece of the puzzle.
</p>
<h4>Pulp Fiction </h4>
<p>
Of course, Stockton&rsquo;s method is not completely revolutionary. At its root, Stockton is giving us a tale that we believe we have enough information to solve. However, without the confirmation of the author, we can never really be sure whether or not we have the solution. We can certainly give evidence that suggests one solution, but a different solution is just as plausible. This is even more compounded when the author may not have had a true ending in mind. Perhaps Stockton himself did not know what came out from behind the door? The only true way to know, after all, would be to know how it ended up, and the ending would thereby confirm one solution over the other.
</p>
<p>
One other piece comes to mind when I think of Stockton&rsquo;s two pieces &ndash; <cite><a href="/words/post/Pulp-Fiction-A-Timeline-of-the-Events-of-the-Movie.aspx">Pulp Fiction</a></cite>. The main focus of questioning in this movie is &ldquo;What&rsquo;s in the briefcase?&rdquo; There&rsquo;s a glow to it, which suggests that it could be gold. Some suggest that it&rsquo;s actually a soul. The fact that people are awestruck when they see it, as well as that one person asked whether that was what they thought it was doesn&rsquo;t help us too much. Noticing that there appears to be a piece of paper attached to the top of inside of the briefcase doesn&rsquo;t help us too much either.
</p>
<p>
Of course, perhaps there actually is someone who knows what the briefcase was supposed to hold, but if they do, they aren&rsquo;t saying anything. So, it appears we are in the same position as we are after having read Stockton&rsquo;s pieces. So what can we get from these stories, even if we don&rsquo;t know what the solution to an important piece of the story is?
</p>
<p>
Perhaps, on the one hand, we are never meant to find the answer. As soon as an answer is found, the question is closed to those who know the answer - we no longer need ponder over the question. To a certain extent, then, we remove some of the power of the question.
</p>
<p>
We also lose a piece of the connection the movie, and the literature, has with reality. In our ordinary lives we are sometimes meet with extraordinary circumstances, or with events that we cannot explain. In addition, every individual that we meet is, to a certain extent, closed off from us. Like the princess and the two ladies, we are unable to know what it is that others are thinking. Because of this, we are unable to clearly understand why it is that one decision was made over another. Given this piece, perhaps we would know what decision was going to be made.
</p>
<p>
If anything, I think that this is what Stockton&rsquo;s pieces gives us, as well as what Pulp Fiction gives us &ndash; something to ponder over and attempt to digest. It gives us an excuse to use our rational, in that we must be able to draw upon experiences in order to backup our claim. Finally, it keeps us thinking (even if it is pushed to the back of our mind) about the piece long after we have put it down.
</p>
<p>
So, perhaps these pieces point us towards a philosophical questioning, for philosophers ponder over these same questions.
</p>
<p>
It&rsquo;s important to point out, before this piece is finished, that almost any piece is fairly open-ended. It&rsquo;s true that a few pieces conclude with &ldquo;And they lived happily ever after&rdquo;, but even these endings allow us to ponde? what it is that the characters did for ever after.
</p>
<h4>Sources:</h4>
<p>
1. Stockton, Frank. <em>The Lady or the Tiger and Other Stories</em>, Airmont Publishing Company, Inc. New York, 1968.
</p>

