+++
title = "On the purpose of life (with a bonus on the meaning of life)"
description = "Paper on the purpose of life. Includes the bonus of a brief discussion on the meaning of life."
draft = false
comments = true
date = "2008-07-10T07:50:00-05:00"
modified = "2008-07-10T07:51:23-05:00"
slug = "On-the-purpose-of-life-with-a-bonus-on-the-meaning-of-life"
blogengine = "a974d6b1-4a3e-4440-8fba-8d2d36b31884"
categories = ["article", "philosophy"]
tags = []
+++

<p>
It&#39;s been a while since I&#39;ve written a philosophical piece, so please be kind.
</p>
<h3>Two necessary definitions <br />
</h3>
<p>
First, we must begin with definitions<sup>1</sup> of the key words in our topic. 
</p>
<p>
<a rel="nofollow" href="http://www.answers.com/life" target="_blank">life</a>: 
</p>
<blockquote>
	<p>
	1 a. The property or quality that distinguishes living organisms from dead organisms and inanimate matter, manifested in functions such as metabolism, growth, reproduction, and response to stimuli or adaptation to the environment originating from within the organism. 
	</p>
	<p>
	1 b. The characteristic state or condition of a living organism. 
	</p>
</blockquote>
<p>
<a rel="nofollow" href="http://www.answers.com/purpose" target="_blank">purpose</a>: 
</p>
<blockquote>
	1. The object toward which one strives or for which something exists; an aim or a goal.
</blockquote>
<blockquote>
	2. A result or effect that is intended or desired; an intention.
</blockquote>
<blockquote>
	3. Determination; resolution.
</blockquote>
<blockquote>
	4. The matter at hand; the point at issue.
</blockquote>
<blockquote>
	<ol>
	</ol>
</blockquote>
<h3>What the question entails</h3>
<p>
The question of the meaning of life has rich history, one that people have been debating since before time itself. The question I write about, however, is slightly different, for I talk of purpose, and not meaning.
</p>
<p>
If we look up <a rel="nofollow" href="http://www.answers.com/meaning" target="_blank">meaning</a>, we&#39;d see something like the following:
</p>
<blockquote>
	1. Something that is conveyed or signified; sense or significance.
</blockquote>
<blockquote>
	2. Something that one wishes to convey, especially by language.
</blockquote>
<blockquote>
	3. An interpreted goal, intent, or end.
</blockquote>
<blockquote>
	4. Inner significance.<br />
</blockquote>
<p>
These definitions suggest that meaning conveys something more philosophical, while purpose is much more apparent to &#39;the naked eye.&#39; 
</p>
<p>
These two particular lines show this quite well:
</p>
<blockquote>
	<p>
	The object toward which one strives or for which something exists; an aim or a goal. (Purpose)
	</p>
	<p>
	An interpreted goal, intent, or end. (Meaning)
	</p>
</blockquote>
<p>
<a rel="nofollow" href="http://www.answers.com/interpret" target="_blank">interpret</a>:
</p>
<blockquote>
	1. To explain the meaning of.<br />
</blockquote>
<blockquote>
	2. To conceive the significance of; construe.
</blockquote>
<blockquote>
	1. To offer an explanation.<br />
</blockquote>
<p>
Meaning suggests something that is known, whether rightly or not. A purpose, on the other hand, does not need to be known, although it can be.
</p>
<p>
While asking for the meaning of life is valid, it is a much more difficult question than asking for the purpose of life, as we&#39;ll see in a moment.
</p>
<h3>The purpose of life</h3>
<p>
The purpose of life is really quite simple, although its methods may not be.
</p>
<p>
The purpose of life is simply to recreate, or to continue living.
</p>
<p>
Some, including myself at a younger age, may have determined that the purpose of life is death. While there is some truth to this, I&#39;ve now come to realize that this is not the purpose of life, but rather a side-effect of it.
</p>
<p>
If the purpose of life was death, there are far better ways to attain that result than to have mechanisms in place to keep us alive while we&#39;re at our most vunerable; generally speaking, that is when life is young.
</p>
<p>
Since the majority of (healthy<sup>2</sup>) life is able to move beyond that stage, either the purpose of life is to die a slow death, or the purpose of life cannot be death.
</p>
<p>
Beyond that stage the life form in question has some way to continue on by a kind of &#39;dirty&#39; replication. Dirty compared to clean, being an exact copy. However, again, a life is usually not a copy of another life, and for good reason. Were the first the same as the later one(s), death of the first may be the same, or very similar, for the latter as well.
</p>
<p>
Life stemming from multiple &#39;parents&#39; or influenced by mutation is of the best kind, if diversity is needed, which for life&#39;s purpose it is.
</p>
<h3>What about the meaning? <br />
</h3>
<p>
The purpose of life, as we&#39;ve seen, is merely to continue, or procreate, reproduce, etcetera.
</p>
<p>
In this respect, the purpose is as has been stated before; a blind striving. A healthy<sup>3</sup> life wants to live. That&#39;s all there is to it. That is the purpose, whether the individual form knows it or not. 
</p>
<p>
Meaning, however, is much more philosophical in nature, and seems then to suggest some amount of analysis.
</p>
<p>
Yet, as we stated earlier, no life is the copy of another. If then we are to analyze one life to come up with its meaning, we cannot automatically assigned that same meaning to another life. Instead, we must provide a fresh analysis for the other. Certainly we can take shortcuts, and use the analysis of one as a starting point.
</p>
<p>
In short, if two forms of life have the same meaning of life, they must be nothing more than copies of each other, if not in form, then in function.
</p>
<p>
As a man (human), this seems to go against what I know it is to be a man, and therefore, I cannot rely upon another to come up with my meaning of life. I may have the same purpose as another man, but not the same meaning. Am I not an individual, with my own unique ideas and experiences? 
</p>
<h3>Experiences</h3>
<p>
Ah, how does <a rel="nofollow" href="http://www.answers.com/experience" target="_blank">experience</a> play into life?
</p>
<blockquote>
	<p>
	3 a. An event or a series of events participated in or lived through.
	</p>
	<p>
	3 b. The totality of such events in the past of an individual or group. 
	</p>
</blockquote>
<p>
We can then have life experiences in general, as well as the experiences of a group and personal experiences.
</p>
<p>
All of these have some effect upon my own, individual life. &quot;If a butterfly flaps it&#39;s wings ...&quot; Therefore, they all have influence, however limited, upon the meaning of my life.
</p>
<p>
As for their influence on the purpose of life, if we are to believe that is the continuation of life, or reproduction, then these experiences would have an impact on whether we are able to attain that end, as well as how well.
</p>
<h3>Purpose and meaning for man</h3>
<p>
I stated before that the purpose of life is to live. What then of those beings who bring about an end of their own life?
</p>
<p>
The examples are numerous.
</p>
<ol>
	<li>One individual pushes another out of the path of a deadly object.</li>
	<li>One individual leads another deadly individual away from others.</li>
	<li>One individual allows themself to be killed, so that it can kill another, deadly individual.</li>
</ol>
<p>
There are also those cases of suicide, where one seems to bring about death when there is no threat of it, either to the individual or to others.
</p>
<p>
In all these cases the purpose of life is intentionally cut short, by some action of a being that may not have otherwise been in danger<sup>4</sup>.
</p>
<p>
These cases can suggest any number of things.
</p>
<p>
On the one hand, from the point of nature, if there is a sick life and a healthy life, and one must die, it is generally &#39;better,&#39; in regards to the <em>purpose</em> of life, that the sick die instead of the healthy. Similarly, it is generally better for a life that is able to reproduce to continue, as opposed to one that can no longer do so.
</p>
<p>
This gives some<sup>5</sup> indication of why the old will lead danger away from the young, or why the old will generally attempt to <em>save</em> the young. 
</p>
<p>
As regards suicide<sup>6</sup>, while other animals do commit suicide, it is most known in man. In these cases either the individual must be physically healthy, or unhealthy. If healthy, or even for those cases where the young sacrifice themselves for the old, we seem to see these cases as ones where perhaps the meaning of life has negated the purpose of life.
</p>
<p>
If the discussion so far as not made it clear, all life has a purpose. But not all life has a meaning.
</p>
<p>
A meaning must, in some respect, be determined, as I&#39;ve suggested, by analysis. Meaning too is unique to the life, which all combines to the realization that the meaning we give to (a) life may be wrong.
</p>
<p>
Most commonly we think of man being the only life form able to provide analysis. Assuming this to be true, it is man, then, that worries<sup>7</sup> about the meaning of life, while all others worry only about staying alive, not knowing that this serves the purpose of life. This too must mean that only man can determine that the meaning of his life can be more important than merely his purpose, for this is the only purpose of man - to live and to strive - while his meaning can be so much more. 
</p>
<h3>Conclusions</h3>
<p>
An hour and a half ago I set out to write on the purpose of life. I have done so.
</p>
<p>
The purpose of life, as I&#39;ve suggested, is to continue.
</p>
<p>
However, I also couldn&#39;t talk about the purpose of life without also touching upon the meaning of life.
</p>
<p>
This, I&#39;ve suggested, is not as clear cut. While the purpose of life is the same for all life, the meaning of life is particular to the individual life we&#39;re looking at, and must be determined through analysis. 
</p>
<p>
I&#39;ve left a number of things open for further discussion, but my original goal is met. 
</p>
<p>
&nbsp;
</p>
<h3>Endnotes:</h3>
<ol>
	<li>As always, I&#39;m grateful to Answers.com for making their definitions available online.</li>
	<li>The discussion of the continuation of non-healthy life will undoubtedly get me into a good deal of trouble. Hence, it remains for a later date.</li>
	<li>See endnote 2.</li>
	<li>Note that I&#39;m speaking here of self-sacrifice, and not normal survival. Me dying while someone is just trying to kill me is different than me dying after putting my own life in danger, when it wasn&#39;t before.</li>
	<li>Note that I said <em>some</em>. This is a complex topic which I&#39;m only skimming over. After all, in some cases the young are left in a worse position than they were before, and it may have been better, from a suffering standpoint, for them to have not been saved. I suppose this would also get me in trouble if I went into it too much further, so ... see note 2. </li>
	<li>You&#39;ll excuse me if I don&#39;t dig too deep into suicide here, since it&#39;s a complex topic. </li>
	<li>Perhaps that should have been &#39;it is <em>the philosophical</em> man&#39; instead ...<br />
	</li>
</ol>
<p>
&nbsp;
</p>

