+++
title = "On the Saying \"A Penny Saved is a Penny Earned\""
description = "Brief discourse on the saying \"A penny saved is a penny earned.\""
draft = false
comments = true
date = "2003-12-01T01:01:00-06:00"
modified = "2007-10-06T21:06:57-05:00"
slug = "On-the-Saying-A-Penny-Saved-is-a-Penny-Earned"
blogengine = "bda027e3-487f-4c9d-b8b2-4b07b64fec81"
categories = ["article", "philosophy"]
tags = []
+++

<p>
It&#39;s said that &quot;a penny saved is a penny earned,&quot; but is that really true? How can it be that by saving something you earn it? Doesn&#39;t the fact that you already have, in this case, a penny prohibit you from earning it, since we usually give something to someone and say they earned it...? After some thought regarding this topic I have come to find a possible answer to the question of what this saying means. My primary method to showcase the possible meaning will be by way of examples, one of which I present now.
</p>
<p>
Imagine that, while looking through ads, you are confronted with an item saying that you can purchase a $20 pair of pants for only $15 - &quot;a savings of $5&quot;. Seeing this, and needing a pair of pants, you go out a pick up a pair of these pants, spending $15.
</p>
<p>
On the one hand, you have saved 500 pennies, in that instead of spending 2000 you only spend 1500. Yet, on another hand, you haven&#39;t saved any pennies at all, but have rather spent 1500 pennies. Let us deal with the first case/hand first, since that will showcase what I believe the saying really means.
</p>
<p>
In the first case, we could say that what you are really doing is spending $20 to buy a pair of pants, and then getting back $5. This would satisfy the statement in that what you have done is saved - as well as earned by your thriftiness/carefulness - 500 pennies. Yet, this example has changed to a case in which we get a refund - such as when you pay $20 but can send in to get a $5 refund check in the mail in 4 to 6 weeks. I think we would all agree that having an item on sale is different from having a refund attached to an item.
</p>
<p>
Items on sale have a price reduction taken directly at the register. That is, if you purchase a pair of pants that are regularly $20, but are on sale for $15, then you pay only $15. On the other hand, purchasing a pair of pants that are regularly $20, but that have a refund of $5 attached to them, requires you to pay $20, as well as send in the refund form, as well as waiting for the refund check to be sent to you.
</p>
<p>
If we continue to hold that saving money refers to not spending money, and earning money refers to getting money, then it seems as though what we really have is a paradox. Of course, it would probably be best to examine definitions of these words before we accept this as so.
</p>
<p>
According to <a href="http://dictionary.reference.com/search?q=saved" target="_blank">Dictionary.com</a>, <em>saved</em> is something to the effect of &quot;To set aside for future use; store&quot; or &quot;To avoid waste or expense&quot;. Again, according to <a href="http://dictionary.reference.com/search?q=earned" target="_blank">Dictionary.com</a>, <em>earned</em> is something to the effect of &quot;To acquire by labor, service, or performance&quot; or &quot;gained or acquired; especially through merit or as a result of effort or action&quot;.
</p>
<p>
According to these definitions, my above statements really were not that far off. Let us now compare <em>saved</em> and <em>earned</em> with sales and refunds (as exemplified above). It seems as though a refund best fits with <em>earned</em>, in that in order to get a price reduction one has to actively send in a refund form, in addition to buying the particular item that the refund applies to (versus any other similar item). Getting a price reduction at the register, on the other hand, best fits with <em>earned</em> as well, versus <em>saved</em>, in that, again, you have to actively pick the particular &#39;on sale&#39; item, versus another similar item. It appears, then, that compared with <em>earned</em>, neither sale nor refund items are an example of <em>saving</em>.
</p>
<p>
But one thing has crossed our path which we haven&#39;t stopped yet. In a case in which the item is absolutely required, when you absolutely have to spend x pennies (in this case 2000 pennies for the pair of pants) being able to purchase the item for some amount (y) less then x is better then spending x and then getting some other amount back (x-y).
</p>
<p>
That is, if one person buys a pair of pants for 1500 pennies, while another buys a pair of pants for 2000 pennies and then gets 500 pennies back (even if it is seconds later), we would have to say, I think, comparatively speaking, that the first person saved more money then the second person, in one sense. It&#39;s quite true that they ended up spending the same amount, but person one actually spent 1500, while person two spent 2000 but got 500 back at some later time.
</p>
<p>
Now that we&#39;ve laid the foundation, let&#39;s try spicing things up a bit. Let us imagine that there are four people, person <strong><em>b</em></strong>, person <strong><em>c</em></strong>, person <strong><em>d</em></strong>, person <strong><em>e</em></strong>. Person <strong><em>b</em></strong> gets some item and pays some amount <strong><em>v</em></strong> on it. Person <strong><em>c</em></strong> gets the same item and pays <strong><em>v-x</em></strong> for the item. Person <strong><em>d</em></strong> gets the same item and pays <strong><em>v</em></strong> for the item, but can get some amount <strong><em>x</em></strong> back by sending in a refund form. Person <strong><em>e</em></strong> gets the exact same item as the others and pays some amount <strong><em>w</em></strong> for the item, but can get some amount <strong><em>y</em></strong> back by sending in a refund form We then have something like the below (assuming that person <strong><em>d</em></strong> and <strong><em>e</em></strong> send for and get their refund).
</p>
<ol>
	<li>Person <strong><em>b</em></strong> spends <strong><em>v</em></strong> </li>
	<li>Person <strong><em>c</em></strong> spends <strong><em>v-x</em></strong> </li>
	<li>Person <strong><em>d</em></strong> spends <strong><em>v</em></strong> but gets <strong><em>x</em></strong> back </li>
	<li>Person <strong><em>e</em></strong> spends <strong><em>w</em></strong> but gets <strong><em>y</em></strong> back </li>
</ol>
<p>
The question is, what can we make of this? Well, without knowing the relative amount status of <strong><em>v</em></strong> and <strong><em>w</em></strong> and <strong><em>x</em></strong> and <strong><em>y</em></strong> we really can&#39;t say too much. Let us assume that <strong><em>v</em></strong> is less then <strong><em>w</em></strong>, <strong><em>v</em></strong> is greater then <strong><em>x</em></strong>, <strong><em>v</em></strong> is greater then <strong><em>y</em></strong>, <strong><em>w</em></strong> is greater then <strong><em>x</em></strong>, <strong><em>w</em></strong> is greater then <strong><em>y</em></strong>, and that <strong><em>y</em></strong> is greater then <strong><em>x</em></strong>. Let us also assume that <strong><em>v</em></strong>-<strong><em>x</em></strong> is greater then <strong><em>w</em></strong>-<strong><em>y</em></strong>.
</p>
<ol>
	<li><strong><em>v</em></strong> &lt; <strong><em>w</em></strong> </li>
	<li><strong><em>v</em></strong> &gt; <strong><em>x</em></strong> </li>
	<li><strong><em>v</em></strong> &gt; <strong><em>y</em></strong> </li>
	<li><strong><em>w</em></strong> &gt; <strong><em>x</em></strong> </li>
	<li><strong><em>w</em></strong> &gt; <strong><em>y</em></strong> </li>
	<li><strong><em>y</em></strong> &gt; <strong><em>x</em></strong> </li>
	<li><strong><em>v</em></strong>-<strong><em>x</em></strong> &gt; <strong><em>w</em></strong>-<strong><em>y</em></strong> </li>
</ol>
<p>
We can compress this list by saying the following.
</p>
<ol>
	<li><strong><em>w</em></strong> &gt; <strong><em>v</em></strong> &gt; <strong><em>y</em></strong> &gt; <strong><em>x</em></strong> </li>
	<li><strong><em>v</em></strong>-<strong><em>x</em></strong> &gt; <strong><em>w</em></strong>-<strong><em>y</em></strong> </li>
</ol>
<p>
Of course, I could make our example much more complicated, but I&#39;ll skip that for the moment and save it for later (if necessary). Since most people don&#39;t like variables, I&#39;ll make things easier (the above was for fun) and state some specific values.
</p>
<ol>
	<li>Bobby spends 2000 [<strong><em>v</em></strong>] </li>
	<li>Casey spends 1500 [<strong><em>v-x</em></strong>] (2000 - 500 since the item is on sale) </li>
	<li>Danny spends 2000 [<strong><em>v</em></strong>] but gets 500 [<strong><em>x</em></strong>] back (money back comes from a refund) </li>
	<li>Erin spends 2100 [<strong><em>w</em></strong>] but gets 601 [<strong><em>y</em></strong>] back (money back comes from a refund) </li>
</ol>
<p>
In this case, Bobby would end up spending a total of 2000 pennies, Casey would end having spent 1500 pennies, Danny would have spent 1500 pennies, and Erin would have spent 1499 pennies. Given this, let us make some comments/conclusions about these four people.
</p>
<p>
Bobby was thrown in solely as a unchanging value, and therefore can be dismissed without too much fuss.
</p>
<p>
Casey was a big saver, compared to Bobby, in that they got the same item but Casey immediately spent less on the item. Perhaps we would also like to say that Casey was the big earner as well, again compared to Bobby, in that Casey actively found the best deal (I am, of course, assuming here, but, we can move over this safely I think).
</p>
<p>
Danny was a big saver and earner, compared to Bobby. However, compared to Casey it&#39;s hard to really determine this. Danny spent more at first, but was able to get everything more that was spent back after some amount of time. In the end, then, both end up with the same loss in pennies. Yet, Danny had to <em>spend</em> more in order to end up with the same amount. This is important and will be discussed shortly.
</p>
<p>
Erin, while spending more at first, ended up spending less total on the same item (in this case, by one penny, in order to refer back to the saying, but, having <strong><em>y</em></strong> kicking out this amount was fairly arbitrary, and we can, therefore change this value to some other amount less then 2000 to show an even bigger change). However, as we&#39;ll see in a moment this may not be that important, or, if we want it to be, then we may have to change certain statements (such as the one we are discussing here).
</p>
<p>
As I said for Danny, Danny had to spend more in order to end up at that the same place as Casey. While Danny certainly earned, in one sense, more then Casey, we may not want to say that Danny saved more then Casey, I think. Again, Danny had to spend extra money to end in the same place.
</p>
<p>
For way of example, let us imagine two squirrels, Harry and Larry. Harry and Larry both have 25 nuts. Harry wants to go to some place <strong><em>x</em></strong> and needs to spend 10 nuts to get there. Larry wants to go to some other place <strong><em>y</em></strong> and needs to spend 15 nuts to get there, but, when Larry gets to place<strong><em> y</em></strong> he&#39;ll get 5 nuts. While not at all unlike our sale/refund examples above, I think this showcases the difference between <em>earning</em> and <em>saving</em>. Harry is clearly the <em>saver</em>, while Larry is clearly the <em>earner</em>. They both end up with the same total nuts, but they got to this point by different means.
</p>
<p>
Of course, I can easily complicate this situation by throwing in some more statements - such as that each squirrel will lose half (rounded down) of what they don&#39;t spend between their present location and their future location (<strong><em>x</em></strong> and <strong><em>y</em></strong>) so that Harry would actually end up with (25-10)/2 = 8 nuts while Larry would end up with ((25-15)/2)+5 = 10 nuts - in order to throw off any attempts to make a value judgment about this (whether it is better to end up in the same location by saving or earning), but let us move past such an attempt for the moment.
</p>
<p>
Looking at Erin, Erin had to spend even more then any other person at first, but ended up spending, total, less then any other person. Yet, as with the case of Danny, Erin had to spend <em>more</em> in order to get to this position. Erin ended up <em>earning</em> more, and perhaps even <em>saving</em> more, but not <em>necessarily</em>. That is, we have forgotten one of the major draws of refunds - one has to send them off in order to receive the refund money.
</p>
<p>
First, one must send the refund off, via the mail (usually), which requires a few pennies for a stamp and a few pennies for an envelope. In addition, secondly, one must wait for the refund to arrive in the mail. If we look back at our example of the two squirrels, one <em>saves</em>, compared to another, when one doesn&#39;t spend as much as another to get an item. One <em>earns</em>, again compared to another, when one gets back more then another (&#39;when getting an item&#39; we can say if we wish). So, while Erin is the big <em>earner</em> in our person example far above, Erin is not the big <em>saver</em>. Rather, I think it would be safe to say that Casey is. This is contrary to what many people would say, but they could only say so in hindsight - by looking back at the total pennies exchanged in each case. While it is true that Erin spends less, we must ask if this is because of <em>saving</em> or <em>earning</em>.
</p>
<p>
Another example may help. Let us say that three people Frank, Greg, and Hal go to the casino, each with $25 in their pockets. Frank decides that he isn&#39;t going to spend any of his money but is going to people-watch instead, and therefore ends with $25. Greg decides that he is going to spend $20, and does, but, through his gaming experiences wins $20, and therefore ends with $25. Hal decides that he is going to spend $20, and does, but wins $40 while playing the various games, ending with $45.
</p>
<p>
In the above casino case, Frank is the primary <em>saver</em>, while Hal is the primary <em>earner</em>. Of course both Greg and Hal save their money, but not to the extent that Frank does. Greg also wins quite a bit of money, but not to the extent that Hal does. We can complicate this case a bit by saying that again Frank spends no money, Greg again spends (and in a way loses) $20 and wins $20, but Hal spends (and, again, in a way loses) $25 and wins $50.
</p>
<p>
Hal is the mover in this case, so we&#39;ll examine him, leaving our examinations of Frank and Greg as they are. With Hal we have a couple of different cases that could be. On the one hand, it could be that Hal spent all of his money at once but then won $50 when he did ($25 to $0 to $50). In this case, Hal wouldn&#39;t be a saver at all. On the other hand, it could be that Hal spent just a bit of his money at first, and used his winnings for the rest of the betting ($25 to $20 to $20+10 to $20+0 to $20+20 to $20+10 to $20+30). If such was the case it may be that Hal saved more then Greg (if Greg spent all $20 at once but won it right back). It could also be that Hal lost a few games at first but won right near the end of his money ($25 to $20 to $15 to $10 to $5 to $0 to $50). In such a way it could be that Hal was, again, not a saver at all.
</p>
<p>
It appears, taking a pause here, that we&#39;ve moved quite a ways towards our goal of finding what the saying &#39;a penny saved is a penny earned&#39; means. Let us state here what this statement means, based on the above. Basically, those who hold this statement believe that by spending less to get some thing then one would normally spend it is as though you have more money. For example, if you have $60, and find some $20 pants on sale for $15, then instead of being able to buy only 3 pairs of pants ($60/$20 = 3) you can get 4 pairs of the same pants ($60/$15 = 4). In this way, you have &#39;earned&#39; another pair of these pants. You could decide that you don&#39;t want to get more then 3 pairs of pants, and spend only $45, but, you have still spent $15 less then you normally would have, saving money, comparatively speaking, when you normally would not have.
</p>
<p>
By the way, it was Benjamin Franklin who, in <em>Poor Richard&rsquo;s Almanack</em>, said &ldquo;a penny saved is a penny earned&rdquo;. As I recall, this was most important and true within the printing industry, where words were shortened so as to save printing costs. Some examples that still exist today include color instead of colour, and old instead of olde.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> December 1st 2003<br />
<strong>Modified:</strong> November 8th 2004
</p>

