+++
title = "On the Saying 'Change is Good'"
description = "Brief discourse on the saying \"Change is good.\""
draft = false
comments = true
date = "2003-11-24T02:01:00-06:00"
slug = "On-the-Saying-Change-is-Good"
blogengine = "5f20ece9-f843-4fe2-a88b-2d6357bc5b2c"
categories = ["article", "philosophy"]
tags = []
+++

<p>
I recently, while daydreaming yet again in a class, happened upon the phrase residing on the side of a McDonald&#39;s cup stating that &quot;Change is Good&quot;. I, of course, am quite familiar with this saying, however, I was a tad confused. Because of this confusion, I decided that it would be best for me to go ahead and examine the saying &quot;Change is Good&quot; in order to see just what was meant by this saying. The following is my attempt at this.
</p>
<p>
Quite simply, and to borrow from <a rel="nofollow" href="http://dictionary.reference.com/search?q=change" target="_blank">http://dictionary.reference.com/</a>, change (as a verb) is &quot;to cause to be different&quot;. Change could also be (as a noun) &quot;the act, process, or result of altering or modifying&quot; or &quot;something different; variety&quot;. Good, also from <a rel="nofollow" href="http://dictionary.reference.com/search?q=good" target="_blank">http://dictionary.reference.com/</a>, is, well, quite a few things. Since &#39;good&#39; is so dang hard to define, let us skip what &#39;good&#39; is in this saying/statement, and instead focus on change (as a verb).
</p>
<p>
We could say that if some thing, A, changes into some thing B, then, in logical terms, A does not equal B, or that it is not the case that A is equal to B. This can be stated as (A &sup1; B) or as [~(A &equiv; B)]. Let us stick with the latter of the two, since it is more logical, in that it uses set logical symbols.
</p>
<p>
Now, keeping the above in mind, let us say that we can symbolize the change from A to B by &#39;&THORN;&#39;. So, if A changes into B, then we can say that ( A &THORN; B). This should not be confused with &#39;implies&#39;, since A does not necessarily have to change to B. Rather, we are only talking about when A does change to B.
</p>
<p>
So, when we look at change, we look at the difference between A and B.
</p>
<p>
Now, let us try to tackle good, just in passing, even though it is so difficult to define (but B.F. Skinner and Nietzsche perhaps come close...). I think the common idea of good that is being mentioned in this statement is something like: change is for the best, or is valuable, or the final/changed-to thing (B in this case) is superior to the original thing (A in this case).
</p>
<p>
Again, to use logic, if A &lt; B and B &gt; A (if A is less then B and B is greater than/superior to A), then A &THORN; B (the change of A to B) is &#39;good&#39;. Also, if A &gt; B and B &lt; A (if A is greater than/superior to B and B is less than A), then A &THORN; B (the change of A to B) is &#39;good&#39;.
</p>
<p>
However, I think that what we really mean to say for our last example is that change is not &#39;good&#39;. That is, if we change some object to something lesser then what it is, then we have traded something okay/good for something bad/not as good. However, if all change is good, which may or may not be the case, then change, no matter what our starting and ending point/object is good, necessarily.
</p>
<p>
In other words, saying that &#39;change is good&#39; is not a good idea, since we leave things far too open ...
</p>
<p>
Instead of saying that &#39;change is good&#39;, we should instead say that &#39;change is good if what we end with is superior to what we started with&#39;. However, even this definition is not very good.
</p>
<p>
For example, let us say that we change from A to B and then from B to C. In a way, we have changed from A to C (of course, there could be some objections to this, but, it is true in many cases, such as when you change one dollar to four quarters and four quarters to eight dimes and four nickels - we could easily say that we changed one dollar to eight dimes and four nickels, but, saying so would skip the middle step, which may or may not be important...). We could say that what we have done is A &THORN; B &THORN; C as well as A &THORN; C. Now, if &#39;change is good&#39;, and that is all, then (A &THORN; B) = (B &THORN; C) = (A &THORN; C) in that each change is good (of course, it&#39;s a good question on whether it should be &#39;=&#39; or &#39;&equiv;&#39;, but we&#39;ll leave that aside for the moment). We have no real way of knowing if one change is any better then any other change, at least from the statement that &#39;change is good&#39;.
</p>
<p>
Now, let us say that A is less then B but that C is less than B [(A &lt; B) &middot; (C &lt; B)]. If we follow from the above that if A &lt; B then A &THORN; B is good, while if A &gt; B then A &THORN; B is not necessarily good, then A &THORN; B is good but B &THORN; C is not necessarily good. In fact, we don&#39;t even know if A is superior to C or not (if A &gt; C or A &lt; C). It could be that if we take A and C together we still have something less then B. In such a case, while it&#39;s true that A &THORN; B is good, it would have been superior if we would have stopped at B, instead of changing to C (B &THORN; C).
</p>
<p>
But, let us move back to A &THORN; B &THORN; C where C &gt; A and C &gt; B. We said that we could say that this could be changed to A &THORN; C. However, we must deal with a problem here. Let us say that A &gt; B and C &gt; B. Let us even go so far as saying that A &gt; B + A and C &gt; B + C (where B + A or B + C is equal to &#39;B and A combined&#39; or &#39;B and C combined&#39;). In such a case the change to B is _really_ not good. If we attribute numbers to each number (to show this, where each number is the value of the changed to thing) we could have something like A (5) &THORN; B (-2) &THORN; C(7). In this case we would change from 5 to -2 (a change of -7) to 7 (a change of +9).
</p>
<p>
Of course, this assumes that the number is the total value, opposed to the number that we gain by changing from one to another. Let us say that we start at 0 and have something like the following instead. &THORN; A (+2) &THORN; B (-5) &THORN; C (+3)
</p>
<p>
That is, changing to A gives us 2, changing to B takes from us 5, and changing to C gives us 3. In this case, C is still superior to A and B and A is also superior to B. However, if we move to A, then to B, then to C, we end up going from 0 to 2 to -3 to 0. In this case it is not the same as moving to A and then to C, which would give us 0 to 2 to 5. Also, change is not, as we see above, necessarily good, as the saying that we have looked at seems to suggest.
</p>
<p>
In this case we also see that B alone removes any advantages that we may have gained from A and C, since we end up exactly where we have begun (at zero) if we follow through the complete steps. In addition, we haven&#39;t even looked at the fact that by changing to B we could have removed any chance of being able to change to C, or that C is contingent upon B happening. For example, we typically don&#39;t see disaster relief being handed out (C being a state of the world in which disaster relief is being handed out) without there being some disaster necessitating this (B being a state of the world in which some disaster has happened or is happening).
</p>
<p>
Of course, it&#39;s worth pointing out that some people believe that we end up exactly where we are at the end of all things anyways. That is, if we look at Schopenhauer, we see that this world is striving (changing) towards no goal in particular (towards no set <em>telos</em>) but rather towards any goal whatsoever - whichever goal is at hand. We see some thing before us and strive towards it, believing that it will change things for the better, and this is true for a short time, but, after a short while, we learn that we haven&#39;t really solved anything - we haven&#39;t really added anything to our current condition. Rather, all we have really done is keep ourselves busy for a short time (see <em>On the Saying &quot;Idle Hands Are The Devil&#39;s Tools&quot;</em>) only to land in a state in which we must find yet another thing to keep us busy. In this way, perhaps, change is good in that it prevents boredom/stagnation, which could be seen as one and the same idea.
</p>
<p>
So, to conclude, &#39;Change is Good&#39; is a flawed statement, and should not be relied upon for any reason whatsoever.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> November 24th 2003<br />
<strong>Modified:</strong> November 26th 2003; December 1st 2003; February 5th 2005
</p>
<p>
Thanks to <a href="http://framingbusiness.net/">Gavin</a> for pointing out some errors with the first version of this article.
</p>

