+++
title = "On the Saying 'Idle Hands are the Devil's Tools'"
description = "Brief discourse on the saying \"Idle hands are the devil's tools\"."
draft = false
comments = true
date = "2003-06-02T00:00:00-05:00"
modified = "2009-08-28T06:50:14-05:00"
slug = "On-the-Saying-Idle-Hands-are-the-Devils-Tools"
blogengine = "c3ccffeb-1e44-4f12-922b-159b237fbf59"
categories = ["article", "philosophy"]
tags = []
+++

<p>
It is said that &quot;Idle Hands Are The Devil&#39;s Tools&quot;, meaning that when one is bored, one tends to get into trouble. I have a problem, or concern, with this statement however. Let&#39;s say I&#39;m bored and I end up setting fire to a kerosene soaked blanket which ends up leading to my home becoming engulfed in flames. Now, if we want to get technical, which is exactly what I want to do, then as soon as my hands are no longer idle - as soon as I begin to do something with my hands - they are not the devil&#39;s tools, right?
</p>
<!--more-->
<p>
To put it into logical terms, &quot;Idle hands are the devil&#39;s tools&quot; seems to be something like: I &equiv; D, where I is &#39;Idle Hands&#39; and D is &#39;the Devil&#39;s Tools&#39;, meaning that &#39;Idle Hands&#39; are &#39;the Devil&#39;s Tools&#39;.<!--adsense-->
</p>
<p>
According to logic, we can change I &equiv; D to [(I &sup; D) &middot; (D &sup; I)] via the Equivalence rule (see my article titled <em>Rules for Sentential Logic</em> for more information). This means that &#39;Idle Hands&#39; implies &#39;the Devil&#39;s Tools&#39; and &#39;the Devil&#39;s Tools&#39; implies &#39;Idle Hands&#39;. So, if we were to say that Little Johnny has the property of having idle hands it also means that he has the property of having the Devil&#39;s Tools.
</p>
<p>
Now, since we cannot both have a property and not have a property (I cannot both be all red and all blue at the same time), we can say that something either has idle hands or it does not. In other words, either I or ~I is the case. Logically this would be something like: {(I &or; ~I) &middot; ~(I &middot; ~I)} - &#39;Idle Hands or not Idle Hands&#39; and not &#39;Idle Hands and not Idle Hands&#39;.
</p>
<p>
Now, since I implies D, and vice versa, as above, we could &#39;change&#39; either I or ~I to D or ~I. Either something has &#39;the Devil&#39;s Tools&#39; or it does not have &#39;Idle Hands&#39;. We can also change &quot;(I &or; ~I) &middot; ~(I &middot; ~I)&quot; to &quot;(D &or; ~I) &middot; ~(D &middot; ~I)&quot;. What this boils down to is that something cannot have the property of having &#39;the Devil&#39;s Tools&#39; while they do not have &#39;Idle Hands&#39;.
</p>
<p>
Therefore, what this all boils down to (once again) is that once hands are no longer idle, they cannot be the tools of the Devil. It then appears that as soon as one&#39;s hands are no longer idle they can no longer be used by (can no longer be tools of) the Devil.
</p>
<p>
Now, since I don&#39;t think anyone would want to say that whenever hands are not idle they are not the Devil&#39;s tools, we must add to the above statement something like &quot;and sometimes non-Idle Hands are the Devil&#39;s Tools as well&quot; so that we get a new statement like &quot;Idle Hands are the Devil&#39;s Tools and Sometimes Non-Idle Hands are too.&quot;
</p>
<p>
Now that we have cleared that up, let&#39;s talk about &#39;sometimes&#39;. What exactly does sometimes mean? That is, when do we know when non-idle hands are being used by the Devil and when they are not? Should we just let the &quot;Jesus People&quot;1 decide? As much as I&#39;d like to do that, I think that we should have some kind of rule in place that is not based upon whim, but is rather &#39;solid&#39;.
</p>
<p>
Honestly, I&#39;m not sure how to treat this &#39;sometimes&#39; issue, but that&#39;s for everyone else to think about ...
</p>
<p>
Kierkegaard, in <em>Either/Or</em>, discusses boredom and idleness, as was pointed out to me by Gavin Schmitt. What does Kierkegaard have to say about boredom and idleness, and how does it relate to what I&#39;ve spoken of above? Good question, and one that I was confronted with, and one that I hoped to answer.
</p>
<blockquote>
	<p>
	&quot;Boredom is the root of all evil.&quot; [2: 22]
	</p>
</blockquote>
<p>
Kierkegaard, continues on to say that:
</p>
<blockquote>
	<p>
	&quot;It is usual to say that idleness is a root of all evil. To prevent this evil one is advised to work. ... Idleness is by no means as such a root of evil; on the contrary, it is a truly divine life, provided one is not himself bored.&quot; [2: 24]
	</p>
</blockquote>
<p>
Kierkegaard seems to agree with what I hope I have gotten across above, namely that idle hands are not the devil&#39;s tools. Instead, it is when one is in action, when one acts, that the hands become the devil&#39;s tools.
</p>
<p>
Consider, for example, A, which is some evil act, such as throwing a flaming book into a child&#39;s tree house. Normally, usually, it is said that thinking of A - id est, thinking of throwing a flaming book into a child&#39;s tree house - is far better (comparatively speaking) then doing A - id est, actually throwing a flaming book into a child&#39;s tree house.
</p>
<p>
Briefly, to get a bit off track, one may argue that thinking of throwing a flaming book into a child&#39;s tree house is just as bad as actually throwing a flaming book into a child&#39;s tree house. However, I must argue that this is not the case. To say that thinking of some evil act A is as bad as doing some evil act A is, quite simply, a fallacy of the highest order. If this were true, then we would open up multiple, severe, difficulties with some of the most popular beliefs of our time. However, this is not the place for this discussion.
</p>
<p>
Now, moving back on track, let&#39;s think about what Kierkegaard means by boredom being the root of evil, and therefore, I argue, that which leads to our hands becoming the devil&#39;s, instead of idleness as being the cause.
</p>
<p>
When one is bored, one typically attempts to find some way to become un-bored. For example, if I am bored with writing this article, then I will attempt to find something else to attract my attention, whether it be the insects outside or the thoughts in my head.
</p>
<p>
When one is idle, one could act in various ways. First, one could continue to be idle, such as when one sits and mediates, or clears everything from their mind (such as in Buddhism). Second, one could bring oneself to action, if one no longer wishes to be idle. For example, if one is sitting on one&#39;s couch, thinking of what one is going to do, they could decide to do some action, and then begin to do it. However, this second choice means that they no longer wish to be idle - have become bored with being idle. We see, then, that boredom again is the culprit.
</p>
<p>
Of course, the other issue is, what is idleness? Doing a search for idleness (<a href="http://dictionary.reference.com/search?q=idleness">http://dictionary.reference.com/search?q=idleness</a>) brings up a rather interesting find:
</p>
<blockquote>
	<p>
	&quot;idle - Not in use or operation: <em>idle hands.</em>&quot; [3]
	</p>
</blockquote>
<p>
Well, isn&#39;t that interesting. It would seem that a living thing could never, really, be idle. After all, if a living thing were idle, then that would mean that it is no longer operating, which is, when applied to a living thing, another way of saying that the thing is dead. Perhaps, then, applying the property of &#39;idle&#39; to any living thing means that the thing is no longer living - is, in other words, a dead thing.
</p>
<p>
Can a dead thing be a tool of the devil? Well, quite certainly. A rock, a &#39;dead&#39; thing one would argue, can certainly be a tool, and can certainly be used for evil, such as when on takes a rock and pounds someone&#39;s head in with it. Of course, a living thing can, just as easily (ignoring resistance for a moment), be a tool as well. But, if we are speaking of the tools of the devil that are idle, we cannot be speaking about any thing that is living, because of the statements above.
</p>
<p>
It seems then that saying that idle hands are the devil&#39;s tools means either that boredom is the devil&#39;s tool or that non-living hands are the devil&#39;s tools.
</p>
<p>
&quot;But James&quot;, someone may say, &quot;I think that you have completely analyzed this far too much. &#39;Idle Hands are the Devil&#39;s Tools&#39; is supposed to mean, is supposed to show, that inactivity - doing nothing when you should be doing something - is evil/bad. Whether the statement actually makes any sense, when you rationally examine the statement, doesn&#39;t really matter. After all, we are only trying to come up with a statement that the masses, and the youth of the masses in particular, can use and take as a motto. Your analysis of the statement may be correct, in a way, but it in no way in validates the truth of the statement, to a point.&quot;
</p>
<p>
My concern with this is that, well, let&#39;s start with this instead. I learned the above statement as a child. I also picked it up through various sources in the media (there was a movie with a title similar to the above statement). Because of all these experiences with it from the/my environment, I began to believe that the statement was not only true, but something that I should use in conversion with others, and, therefore, that I should, in my own way, spread. Yet, knowing what I know now (the above mentioned problems with this statement - problems which show that the state of affairs is not as clear-cut as the statement makes us believe) I regret having done so. After all, I know have to hope that people will see my article and realize that idle hands are not necessarily the devil&#39;s tools, and that the devil&#39;s tools aren&#39;t always idle hands.
</p>
<p>
Of course, I will confess that it is often because of our idle hands that we end up in trouble (id est, doing something wrong), but I have argued above that our hands are no longer idle, and therefore it isn&#39;t idle hands that are doing the work, but rather quite often busy hands that are. One could say that idle hands lead to trouble - lead to the hands being able to be used by the devil - but I hardly think that all would stand behind this when we ask about those kneeling down to prey in churches. Are the hands clasped together in front of such an individual idle? They are not dead, true, but they are without motion (as a car that is sitting at a stop light is idle, even though it is running). Again, the statement has said that idle hands are the devil&#39;s tools. Perhaps it would be better if one&#39;s hands were not clasped, but rather in motion, beating/clapping the rhythm for the song that is playing (as is seen in the church scene in <em>The Blues Brothers</em>) - but such a scene is hardly one normally sees in a church.
</p>
<p>
The basic point, perhaps, is that idle hands are not necessarily the tools of the devil, and that it is never as simple as a common phrase will have us believe.
</p>
<p>
Of course, there is always more to be said, but I will await comments before I go much further.
</p>
<h4>Notes:</h4>
<p>
1: Saying &quot;Jesus People&quot; to refer to a particular group of people in a derogatory way goes against my &quot;don&#39;t be (c)rude&quot; rule, I could not not put it in.<br />
2: R Bretall (Editor), <em>A Kierkegaard Anthology</em> (Princeton: Princeton University Press, 1973)<br />
3: <a href="http://dictionary.reference.com/search?q=idleness" target="_blank">http://dictionary.reference.com/search?q=idleness</a>, August 26, 2003
</p>
<h4>Revision history</h4>
<p>
Created: June 2nd 2003<br />
Modified: July 31st 2003; August 26th 2003; October 28th 2003; September 24th 2004; February 5th 2005
</p>

