+++
title = "On the Saying \"If God exists, let him strike me down where I stand\""
description = "Brief discourse on the saying 'If God exists, let him strike me down where I stand'."
draft = false
comments = true
date = "2003-04-13T01:01:00-05:00"
modified = "2008-08-10T19:07:49-05:00"
slug = "On-the-Saying-If-God-exists-let-him-strike-me-down-where-I-stand"
blogengine = "11487903-bb78-4ac8-b782-41ffed342279"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Often times we will hear one say to another that they do not believe in God. They will then say, as a way to prove to the other that they are right, that God does not exist, that if God exists then God would have the power to strike him down, as he is a non-believer. Of course, this cannot happen for various reasons, which I will attempt to discuss below. The statement, or saying, which I will word as &quot;If God exists, then let him strike me down where I stand&quot; - symbolized as IGETLHSMDWIS - assumes a great many things. Those assumptions I will here attempt to make clear, as well as a few possible counter statements. Whether I succeed in my quest will depend on a great many matters... 
</p>
<h3>Assumption #1: If God Exists</h3>
<p>
This, our first assumption, is, by far, the most troublesome. However, since it is clearly an assumption that is being made, it must also be the first assumption that is mentioned. In order to better speak of this matter, and the assumptions, let us come upon some system by which we can differentiate the two types of people that are showcased by the saying in question. 
</p>
<ul>
	<li>Individual <em>GE</em> believes that God does exist and is the one who must deal with the saying above.</li>
	<li>Individual <em>NG</em> does not believe that God exists, and presents the above mentioned argument/saying so as to disprove that God exists.</li>
</ul>
<p>
It will be important to keep these two individuals, <em>GE</em> and <em>NG</em> distinct in mind while reading this, as I will often use just these &#39;names&#39;, or values, to speak of one or the other. <em>GE</em> is an abbreviation for &#39;God Exists&#39; and <em>NG</em> is one for &#39;No God&#39;. 
</p>
<p>
Now, Assumption #1, or A1, is one which <em>GE</em> believes to be true at all times.&nbsp; <em>NG</em>, on the other hand, does not believe that A1 is true, but is assuming that it is while claiming IGETLHSMDWIS. It follows then that whether A1 is true, both <em>GE</em> and <em>NG</em> are, for our purposes, assuming that it is true. Therefore, we will also assume that A1 is true. Of course, it is also possible that A1 could be seen as not being true, but, we will assume that it is true until it can be refuted, or rebutted, later. 
</p>
<h3>Assumption #2: God can strike people down</h3>
<p>
This assumption is just as clearly stated, or implied, as A1 is. This assumption, while not quite as tricky as A1, is tricky enough. This assumption, that God can strike people down, also makes some assumptions. 
</p>
<h4>A2-1: God can influence the world that we live in</h4>
<p>
While many people would say that this is true, that God can have an influence on the world that we live in, there are others that say he cannot - that God is only the creator, and not a mechanic. Of course, there are multiple ways that this can be interpreted. The first way is that God created everything at one time (so to speak) and planned how things would be from that point on. In other words, he is the primary cause, and only the primary cause. Of course, this leads to determinism, as I believe it should, which is a troublesome issue. But, this is not the place for that discussion... 
</p>
<p>
A second way to read that statement is that God exists in a plane outside of our world, and can only have an influence through people, such as the &#39;saints&#39; and prophets. And, of course, this also assumes that God exists, which he may not (but which we have assumed that he has for simplicities sake). 
</p>
<h4>A2-2: It would be best for God to strike people down</h4>
<p>
Now it is quite possible that God has the power to strike people down, people like <em>NG</em>, but that he does not desire to use his power because God is a) good, b) willing to let his believers take control of things, and/or c) willing to let people dig themselves even deeper into Hell. 
</p>
<p>
A2-2a, which is that God is good, and would not strike people down, ties in with A2-2b, which is that God is willing to let his followers/believers take control of things, at least in the area of non-believers. While, on the one hand, we have the often quoted &#39;it is only God that can judge&#39; we often see that this is not the case, even among the &#39;believers&#39;, for it is often the case that believers will judge others, which is what no one but God should be able to do. A2-2c is, according to many, against God&#39;s goodness, so, if this were the case, then one must question whether God is all good. While it is possible to say that God could allow someone to sin, so as to have free will, which is good, how can there also be a Hell in which beings spend eternity? Therefore, if we accept A2-2c, we must assume, in my opinion, that either God can do evil or that Hell is but a place for sinners to experience, before they see the error of their ways. If we assume the first then God can do evil, and he can therefore deceive us. Also, the first allows determinism to come into play. The second, that Hell is but a stopping point, is by far the lesser evil. 
</p>
<p>
However, I will assume that A2-2b is the case, that God does not act as he knows that his people will act. However, this also allows evil to occur, as we can see from the past. If one were to take the sum total of all the things that have been done in God&#39;s name... well... that&#39;s quite a bit of the evil that has occurred... 
</p>
<h3>Conclusions...</h3>
<p>
So, to conclude (perhaps a bit early), there are various reasons why God does not strike the non-believer down. 
</p>
<ul>
	<li>God does not exist.</li>
	<li>God would not strike a human being down because, to do that, would be to commit an evil/vengeful act, which God cannot do if he is all good.</li>
	<li>God does not have the power to strike someone down because he only had an influence upon the creation of the world.</li>
	<li>God has already determined that the non-believers will say IGETLHSMDWIS, so it is by God&#39;s will that this happens.</li>
	<li>God wishes to test the believers.</li>
</ul>
<p>
Hopefully I have done some of what I wanted to do when I set out. Unfortunately, this is not what I am most interested in and I therefore did not complete this 100%. In fact, the percentage that I have completed is fairly low. However, until I get comments on this piece, what is here will suffice. 
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> April 13th 2003<br />
<strong>Modified:</strong> October 28th 2003; February 5th 2005<br />
<strong>Notes:</strong> See also my papers titled: <em>On Rest</em>; <em>On the Saying &ldquo;A Penny Saved is a Penny Earned&rdquo;</em>; <em>On the Saying &ldquo;Change is Good&rdquo;</em>; <em>On the Saying &ldquo;God is Odd&rdquo;</em>; <em>On the Saying &ldquo;Idle Hands Are The Devil&rsquo;s Tools&rdquo;</em>; <em>On the Saying &ldquo;The Customer is Always Right&rdquo;</em>; <em>On the Saying &ldquo;Terrorists Will Put Bush in Office&rdquo;</em>.
</p>

