+++
title = "On the Saying 'Is it better to live a lie, or know the truth and cry?'"
description = "On the saying, or really the question, that I may have coined, \"Is it better to live a lie, or know the truth and cry?\""
draft = false
comments = true
date = "2005-04-27T00:00:00-05:00"
modified = "2007-09-02T19:57:04-05:00"
slug = "On-the-Saying-Is-it-better-to-live-a-lie-or-know-the-truth-and-cry"
blogengine = "e84efd32-8594-4b51-92e3-033cc31a18a6"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Back on the second of February 2002, I first, as far as I can recall or prove, wrote down the question &ldquo;Is it better to live a lie, or know the truth and cry?&rdquo; The item that this was written in was an item called <em>Guide to One Philosophy of Life: Revision 1</em>, and consisted of twelve pages of material from January 30, 2002 to September 29, 2002. While I kept saying that I was going to get back to it and revise it, I never did.
</p>
<p>
A recent item on a LiveJournal journal, along with something I had read earlier in the day on the same area, reminded me of this quote that I had written so long ago. After some searching, I found it in the item mentioned above.
</p>
<p>
My task here is to discuss this question that I have raised. Of course, it being April 27 2005, I should point out that I do not have an answer to this question as of yet. Perhaps that suggests that I am doing more of the former than the latter, or perhaps it is because the latter has gotten me no closer to the answer of this question.
</p>
<!--more--><!--adsense-->
<p>
We first break the question up. &ldquo;Is it better to live a lie, or know the truth and cry?&rdquo; The form of the question is &ldquo;Is it better to <em>x</em>, or <em>y</em>?&rdquo;, and therefore calls upon us to make a value judgement. We must determine if <em>x</em> is better than <em>y</em>. Of course, the question arises of, better by what standards? Looking at the <em>x</em> and <em>y</em>, better by the standard of life, I would argue.
</p>
<p>
We can sum up <em>x</em> and <em>y</em> by saying that the question deals with truth and lies. The question asks if the truth is better than lies, or perhaps more strongly, if living with the truth is better than living with lies. This is not a question of whether telling the truth is better than telling lies, per se, although that certainly plays into this, for the question implies that we can either be satisfied with lies, or seek the truth. However, along with the truth, we can also expect to cry, or so the question implies.
</p>
<p>
Perhaps it is best to ponder why the truth is connected with crying, in order to determine where the question stems from. Since this is my own question, which I have coined (from what I can tell, and from what I have been able to determine), I will take the liberty of suggesting what it is that I mean by this question.
</p>
<p>
In my opinion, one can either live their life by listening to lies, or by listening to the truth. One can pick which-so-ever they desire, at any point they desire. So, while I could listen to the truth at some time t1, I could listen to lies at some other time t2 (where, for the logically minded, t1 does not equal t2). For any tx, therefore, I can either listen to the truth or to the lie.
</p>
<p>
As far as lies go, they can come either from within or from without. So, someone could tell me a lie that I could listen to, or I could tell myself a lie that I listen to. In order to know that something is a lie, one would have to know what the truth is or at least that the truth is not what is being stated by the lie. By this last point, &lsquo;the truth is not what is being stated by the lie&rsquo;, I also mean that the &lsquo;lie&rsquo; may not be the whole truth. Half-truths are covered by the &lsquo;lie&rsquo;.
</p>
<p>
Now one that followed the truth in their life would necessarily, I think, seek the truth as well. After all, to follow something but not seek it would be like falling someone through a forest, but not first finding the person that you&rsquo;re going to follow. If you don&rsquo;t know the truth, how can you follow it?
</p>
<p>
So, if one doesn&rsquo;t seek the truth, then it appears as though they are living a lie, or the lie, or the lies. Lying also, then, suggests passivity, instead of activity, for one must be active to seek the truth, or is active when they seek the truth.
</p>
<p>
Can the truth lead to crying? I believe it can in many different ways. First, the truth can be elusive. Prolonged elusiveness can lead to frustration, which is broadly crying. Second, the truth may not be what we want to hear. Lies have the benefit of being able to be used to further one&rsquo;s own agenda. While lies can certainly be told to me that hurt me, lies can also be fabricated to cover up the hurtful lies. The truth, however, cannot be so easily swayed. Rather, the truth is what it is, and nothing more.
</p>
<p>
Further analysis into this question is necessary, but will not necessarily lead to an answer. Of course, one can wonder if the answer that we come up tells us more not only about the question itself, but also about how we examine the question. After all, if we determine that lies are the way to go, are we in fact lying to ourselves about the answer to the very question that we answer?
</p>
<p>
Further analysis will come soon, but will come sooner based upon feedback.
</p>

