+++
title = "On the Saying \"The Customer is Always Right\""
description = "Short discourse on the saying that \"the customer is always right,\" or correct."
draft = false
comments = true
date = "2003-05-19T01:01:00-05:00"
modified = "2007-10-06T21:41:16-05:00"
slug = "On-the-Saying-The-Customer-is-Always-Right"
blogengine = "db547c48-0fa1-4ff0-bf47-4f4991463721"
categories = ["article", "philosophy"]
tags = []
+++

<p>
One of the most heard sayings in the customer service business is &quot;the customer is always right&quot;. The common meaning of this statement is that no matter what the customer says, they are to be treated as though they are correct. Let us take an example.
</p>
<p>
Customer orders a burger with no ketchup and with no cheese. They ask for it to be this way. Then, after getting their burger, they come up to the counter and say that they didn&#39;t get the cheese on the burger, even though they asked for it. Often, this is done in order to save the twenty-five cents that the cheese will cost them. Sometimes, they think they know what they ordered and, due to them not listening or to the person taking their order not repeating the order to them, they do not realize that they did not order what they wanted to.
</p>
<p>
The problem with the customer always being right is a complex one. On the one hand, we can look at it logically.
</p>
<p>
If the customer is always right, what about when they think that they were wrong?
</p>
<ol>
	<li>The customer is always right.</li>
	<li>The customer says a statement, which is hereafter designated as <em>x</em>.</li>
	<li>The customer, after a moment of thought, says the opposite of the previous statement, or ~<em>x</em>, where &#39;~&#39; is not.</li>
	<li>The customer has just stated <em>x</em> and not <em>x</em> (id est, for example, I want to walk and I want to not walk)</li>
	<li>Something cannot both be and not be at the same time (id est, I cannot not both want some thing and not want that same thing at the same time).</li>
	<li>Therefore, the customer cannot be right when they state two contrary things - only one can be correct, not both.</li>
	<li>The customer is not always right, since they have stated something contrary to what they are now stating.</li>
</ol>
<p>
Of course, <em>x</em> could be something like &quot;It&#39;s raining&quot;, but we will assume for this that it was something else like &quot;I gave you a twenty&quot; and the next statement was &quot;No, I guess I only gave you a ten.&quot;
</p>
<p>
Therefore, it&#39;s possible that the customer could be wrong, and is in fact sometimes wrong.
</p>
<p>
Yet, if this is true, why is the saying still used?
</p>
<p>
An interesting question, with a straightforward answer. The customer must be seen as being always right or otherwise one would have to point out to a customer that they were wrong. Sometimes, when one is shown that they were incorrect in some area, that someone gets a tad upset. If a customer gets upset with the business they are at, they will typically complain, and perhaps even stop visiting the business. Now, for a business, the customers are the driving force of the business. In other words, &quot;no customers&quot; is equal to &quot;no business&quot;. Therefore, we must state that the customer is always right, otherwise someone may point out that they were wrong, bringing about the possibility of anger from that customer, and a loss of that customer.
</p>
<p>
Of course, sometimes it&#39;s best to lose a customer, versus keeping them. If the customer ends up costing the business more then they are bring in from the person, or total, call the person/customer out. It&#39;s also possible that the customer could end up making a horrible mistake, which can then be blamed upon the business.
</p>
<p>
For example, let us say that a customer believes that a particular insurance plan is right for them. The insurance seller, being a customer-orientated, as well as a business orientated person, tells the customer that the insurance plan they are looking at is not adequate for their purposes, for whatever reason. Another example: a small business owner wants to buy a computer for their business (notice that the business is now the customer, proving that almost everyone is a customer at some point - save those who do not purchase any items) and chooses a particular model that they want. However, looking at what the purpose of the computer, the seller points out a different model (cheaper or more expensive - the point remains) that the seller believes, by experience, will be better for their business purposes. Both examples show that in some cases the customer may not be well equipped - may not be experienced enough in the area - to make a wise decision. Sometimes people will accept the fact that it was their decision, but sometimes they won&#39;t - sometimes, if the business didn&#39;t question them it can be seen as a fault of the business. After all, the business should have known better then the customer, since it&#39;s the businesses business to know what they are selling.
</p>
<p>
Therefore, the saying &quot;the customer is always right&quot; doesn&#39;t mean that they are always right, it just means that one should act as though they are, to some extent. After all, sometimes you have to ask yourself whether you want quantity, or quality.
</p>
<h3>Notes</h3>
<p>
Special thanks to Michal for pointing out a grammar error :)
</p>
<p>
<strong>Created:</strong> May 19th 2003<br />
<strong>Modified:</strong> September 3rd 2003; October 24th 2003; January 31st 2004; February 18th 2004
</p>

