+++
title = "On the Speed Limit"
description = "Thoughts on the speed limit and speeding, with a look at the numbers and percentages behind the latter."
draft = false
comments = true
date = "2004-02-04T00:00:00-06:00"
slug = "On-the-Speed-Limit"
blogengine = "81705751-68b4-42c3-b6a2-4f17f9cf303a"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Let&#39;s assume, firstly, that you are driving in a 55 mile per hour (mph) zone. Now, that is the speed limit, or, in other words, the limitation of traffic/vehicle speed. Now, if you are going 55 mph, then you are going 100% of the allocated speed. That is, you are going 55 in a 55 zone.
</p>
<p>
Now, if you are going 50 mph, in that same 55 mph zone, then you are going 90.90% of the allocated speed (50 / 55). So, you are going ~ 9.1% under the speed limit (5 / 55). Now, if you are going 5 mph over the speed limit, or 60 mph, then you are going ~ 9.1% over the speed limit, or, 109% of the allocated speed limit (60 / 55). Now, 109% over the posted speed limit is not that bad.
</p>
<p>
Now, let us assume that you are going 65 mph in a 55 mph zone. 65 / 55 is equal to 1.18, so, you are going 118% over the speed limit. Now, what about 7 mph over the speed limit (in a 55 mph zone)? Well, 62 mph translates to ~ 113% of the speed limit, or 13% over the speed limit.
</p>
<p>
Now, let us take that 7 mph and translate it to a few different speeds, which tend to be common road speeds (at least in Wisconsin), as well as what 5 mph over the speed limit would be, as well as 10 mph over. All percentages are rounded to the nearest percent (1%) in this and in later tables.
</p>
<!--more-->
<table border="1" cellspacing="0" cellpadding="0" width="100%">
	<tbody>
		<tr>
			<td width="18%">
			<p style="text-align: center">
			   Zone Speed Limit<br />
			in mph<br />
			(ZSL) 
			</p>
			</td>
			<td width="27%">
			<p align="center">
			5 mph over the speed limit<br />
			in %<br />
			[(ZSL + 5) / ZSL] * 100
			</p>
			</td>
			<td width="27%">
			<p align="center">
			7 mph over the speed limit<br />
			in %<br />
			[(ZSL + 7) / ZSL] * 100
			</p>
			</td>
			<td width="28%">
			<p align="center">
			10 mph over the speed limit<br />
			in %<br />
			[(ZSL + 10) / ZSL] * 100
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			10
			</p>
			</td>
			<td width="27%">
			<p align="center">
			150%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			170%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			200%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="27%">
			<p align="center">
			133%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			147%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			167%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			25
			</p>
			</td>
			<td width="27%">
			<p align="center">
			120%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			128%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			140%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="27%">
			<p align="center">
			117%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			123%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			133%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="27%">
			<p align="center">
			114%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			120%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			129%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="27%">
			<p align="center">
			113%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			118%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			125%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="27%">
			<p align="center">
			111%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			116%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			122%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
			<td width="27%">
			<p align="center">
			109%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			113%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			118%
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
			<td width="27%">
			<p align="center">
			108%
			</p>
			</td>
			<td width="27%">
			<p align="center">
			111%
			</p>
			</td>
			<td width="28%">
			<p align="center">
			115%
			</p>
			</td>
		</tr>
	</tbody>
</table>
<p>
Which means, of course, that going 5 mph over in a 45 mph zone is the same as going 7 mph over in a 65 mph zone, percentage-wise.<!--adsense-->
</p>
<p>
Now, truth be told, the speed limit is the speed at which no vehicle should exceed. That is, if the speed limit is 65 mph, then no vehicle, save emergency vehicles, should go over 65 mph. However, as most people know, people speed. Not only that, but police officers do not tend to pull people over, and hand out tickets, if someone is going 57 mph in a 55 mph zone. There is, of course, some amount of leeway. After all, people do go 50 mph in a 55 zone, and tickets are not handed out to those kind of people. However, if someone is going really slow, then they may be pulled over (such as if they are going 35 in a 55 zone) because there is a chance that someone may run into them, believing that they are at, or near, the speed limit.
</p>
<p>
So, therefore, some amount of speeding is allowed, or acceptable, for one reason or another, in this day and age. After all, if you are in a group of 5 other cars, and you are all going ~ 5 to 10 mph over the speed limit, it&#39;s probably safe to assume that you will not be pulled over (assuming you are in a 55 to 65 mph zone). So, the first question is, if some amount of speeding is allowed, how much is allowed? The second question is, should people be allowed to speed that amount (the amount found in answering the first question), if indeed any amount is found? So, these two questions should be attempted, and then, I am sure, we will find other questions that will arise.
</p>
<p>
Now, as for our first question, of what a good speed over would be. Now, we could say that going 5 mph over the speed limit is acceptable. After all, typically, if you go 60 mph in a 55 mph zone, you are not pulled over. Likewise, if you are going 70 in a 65, you are not pulled over. If we take a look at the % that you are exceeding the speed limit, we find that you are not exceeding 10% over the speed limit.
</p>
<p>
Of course, if we take the premise that &quot;It is okay to go 5 miles per hour over the posted speed limit&quot; we run into some problems. For example, if we go a mere 5 mph over the posted speed limit in a 10 mph zone, then you are going a full 50% over the speed limit, or, 150% of (1&frac12; times) the speed limit.
</p>
<p>
One may argue that speeds below 25 mph are not often seen, and if they are, most people know to go near the speed limit, as they tend to be seen in residential zones. Ignoring the fallacy of one of the points in that statement, we may agree, and look only at 25 mph and over. Going 120% of the speed limit does not indeed seem too bad (that is, going 30 in a 25 zone).
</p>
<p>
Perhaps the premise that &quot;It is okay to go 5 miles per hour over the posted speed limit, as long as the posted limit is 25 mph or over&quot; is acceptable. Of course, someone may use our premise to say the following premise. &quot;It is okay to go 120% of the posted speed limit, as long as the posted limit is 25 mph or over.&quot; After all, we are allowing that in the 25 mph zone with our premise. Therefore, why not allow it as our rule? So, the following table would show this in action.
</p>
<div align="center">
<table border="1" cellspacing="0" cellpadding="0" width="100%">
	<tbody>
		<tr>
			<td width="18%"> 
			<p style="text-align: center">
			Zone Speed Limit in mph<br />
			(ZSL) 
			</p>
			</td>
			<td width="18%">
			<p align="center">
			120% of the Speed Limit in mph<br />
			ZSL * 1.2
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			10
			</p>
			</td>
			<td width="18%">
			<p align="center">
			12
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="18%">
			<p align="center">
			18
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			25
			</p>
			</td>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="18%">
			<p align="center">
			36
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="18%">
			<p align="center">
			42
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="18%">
			<p align="center">
			48
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="18%">
			<p align="center">
			54
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
			<td width="18%">
			<p align="center">
			66
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
			<td width="18%">
			<p align="center">
			78
			</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<p>
Comparing the two premises:
</p>
<div align="center">
<table border="1" cellspacing="0" cellpadding="0" width="100%">
	<tbody>
		<tr>
			<td width="18%"> 
			<p style="text-align: center">
			Zone Speed Limit in mph<br />
			(ZSL) 
			</p>
			</td>
			<td width="18%">
			<p align="center">
			5 mph over the speed limit in mph<br />
			ZSL + 5
			</p>
			</td>
			<td width="18%">
			<p align="center">
			120% of the Speed Limit in mph<br />
			ZSL * 1.2
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			10
			</p>
			</td>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="18%">
			<p align="center">
			12
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="18%">
			<p align="center">
			20
			</p>
			</td>
			<td width="18%">
			<p align="center">
			18
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			25
			</p>
			</td>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="18%">
			<p align="center">
			36
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="18%">
			<p align="center">
			42
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="18%">
			<p align="center">
			48
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="18%">
			<p align="center">
			50
			</p>
			</td>
			<td width="18%">
			<p align="center">
			54
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
			<td width="18%">
			<p align="center">
			60
			</p>
			</td>
			<td width="18%">
			<p align="center">
			66
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
			<td width="18%">
			<p align="center">
			70
			</p>
			</td>
			<td width="18%">
			<p align="center">
			78
			</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<p>
Therefore, we see that while they start at the same point, the second premise rapidly begins to distance itself from the first premises results. In fact, the following numbers are the differences, beginning at ZSL = 25. {+0, +1, +2, +3, +4, +6, +8}
</p>
<p>
Expanding the table further, we would see that for ZSL of 75, the first premise would yield 80, while the second would yield 90! Perhaps, we could use a slightly different premise, that uses both of the above premises.
</p>
<ul>
	<li>Premise #3 
	<ol>
		<li>If ZSL is less then, or equal to, 25 mph, then one may drive up to 120% of the speed limit. </li>
		<li>If ZSL is greater then, or equal to, 25 mph, then one may drive up to 5 mph over the speed limit. </li>
	</ol>
	</li>
</ul>
<p>
The first line (#1) will allow us acceptable speeds in 10 and 15 mph zones, while the second (#2) will allow us acceptable speeds in zones 25 mph and above. Allowing 5 mph over is unacceptable in speeds below 25 mph, while 120% is unacceptable over 25 mph.<br />
So,
</p>
<div align="center">
<table border="1" cellspacing="0" cellpadding="0" width="75%">
	<tbody>
		<tr>
			<td width="18%"> 
			<p style="text-align: center">
			Zone Speed Limit in mph
			</p>
			</td>
			<td width="18%">
			<p align="center">
			Premise #3 in mph
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			10
			</p>
			</td>
			<td width="18%">
			<p align="center">
			12
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="18%">
			<p align="center">
			18
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			20
			</p>
			</td>
			<td width="18%">
			<p align="center">
			24
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			25
			</p>
			</td>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="18%">
			<p align="center">
			50
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			50
			</p>
			</td>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
			<td width="18%">
			<p align="center">
			60
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			60
			</p>
			</td>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
			<td width="18%">
			<p align="center">
			70
			</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<p>
Of course, some people are bound to say that going a mere 70 mph in a 65 mph zone is far too slow... So, the question is, is 70 mph too slow? It is, after all, a mere 108% of the posted speed limit, and we are allowing above that for lower speeds. In fact, if going 75 mph were allowed (or 10 mph over), then the car would be going only 115% of the speed limit. Or, 7 mph over would be going very close to 110% (111% in fact) of the speed limit. So, why not allow 110% or 115% of the speed limit for higher speeds? So, we could have something like (with mph rounded to the nearest mph):
</p>
<div align="center">
<table border="1" cellspacing="0" cellpadding="0" width="100%">
	<tbody>
		<tr>
			<td width="25%">
			<p style="text-align: center">
			Zone Speed Limit in mph
			</p>
			</td>
			<td width="25%">
			<p align="center">
			Premise #3 in mph
			</p>
			</td>
			<td width="25%">
			<p align="center">
			7 mph over in mph
			</p>
			</td>
			<td width="25%">
			<p align="center">
			115% of the speed limit in mph
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			10
			</p>
			</td>
			<td width="25%">
			<p align="center">
			12
			</p>
			</td>
			<td width="25%">
			<p align="center">
			17
			</p>
			</td>
			<td width="25%">
			<p align="center">
			12
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			15
			</p>
			</td>
			<td width="25%">
			<p align="center">
			18
			</p>
			</td>
			<td width="25%">
			<p align="center">
			22
			</p>
			</td>
			<td width="25%">
			<p align="center">
			17
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			20
			</p>
			</td>
			<td width="25%">
			<p align="center">
			24
			</p>
			</td>
			<td width="25%">
			<p align="center">
			27
			</p>
			</td>
			<td width="25%">
			<p align="center">
			23
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			25
			</p>
			</td>
			<td width="25%">
			<p align="center">
			30
			</p>
			</td>
			<td width="25%">
			<p align="center">
			32
			</p>
			</td>
			<td width="25%">
			<p align="center">
			29
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			30
			</p>
			</td>
			<td width="25%">
			<p align="center">
			35
			</p>
			</td>
			<td width="25%">
			<p align="center">
			37
			</p>
			</td>
			<td width="25%">
			<p align="center">
			35
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			35
			</p>
			</td>
			<td width="25%">
			<p align="center">
			40
			</p>
			</td>
			<td width="25%">
			<p align="center">
			42
			</p>
			</td>
			<td width="25%">
			<p align="center">
			40
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			40
			</p>
			</td>
			<td width="25%">
			<p align="center">
			45
			</p>
			</td>
			<td width="25%">
			<p align="center">
			47
			</p>
			</td>
			<td width="25%">
			<p align="center">
			46
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			45
			</p>
			</td>
			<td width="25%">
			<p align="center">
			50
			</p>
			</td>
			<td width="25%">
			<p align="center">
			52
			</p>
			</td>
			<td width="25%">
			<p align="center">
			52
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			50
			</p>
			</td>
			<td width="25%">
			<p align="center">
			55
			</p>
			</td>
			<td width="25%">
			<p align="center">
			57
			</p>
			</td>
			<td width="25%">
			<p align="center">
			58
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			55
			</p>
			</td>
			<td width="25%">
			<p align="center">
			60
			</p>
			</td>
			<td width="25%">
			<p align="center">
			62
			</p>
			</td>
			<td width="25%">
			<p align="center">
			63
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			60
			</p>
			</td>
			<td width="25%">
			<p align="center">
			65
			</p>
			</td>
			<td width="25%">
			<p align="center">
			67
			</p>
			</td>
			<td width="25%">
			<p align="center">
			69
			</p>
			</td>
		</tr>
		<tr>
			<td width="25%">
			<p align="center">
			65
			</p>
			</td>
			<td width="25%">
			<p align="center">
			70
			</p>
			</td>
			<td width="25%">
			<p align="center">
			72
			</p>
			</td>
			<td width="25%">
			<p align="center">
			75
			</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<p>
So, we could have the following premise:
</p>
<ul>
	<li>Premise #4 
	<ol>
		<li>If ZSL is less then, or equal to, 25 mph, then one may drive up to 120% of the speed limit. </li>
		<li>If ZSL is greater then 25 mph, then one may drive up to 115% of the speed limit. </li>
	</ol>
	</li>
</ul>
<p>
So, our new table would be:
</p>
<div align="center">
<table border="1" cellspacing="0" cellpadding="0" width="75%">
	<tbody>
		<tr>
			<td width="18%">
			<p style="text-align: center">
			Zone Speed Limit in mph
			</p>
			</td>
			<td width="18%">
			<p align="center">
			Premise #4 in mph
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			10
			</p>
			</td>
			<td width="18%">
			<p align="center">
			12
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			15
			</p>
			</td>
			<td width="18%">
			<p align="center">
			18
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			20
			</p>
			</td>
			<td width="18%">
			<p align="center">
			24
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			25
			</p>
			</td>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			30
			</p>
			</td>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			35
			</p>
			</td>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			40
			</p>
			</td>
			<td width="18%">
			<p align="center">
			46
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			45
			</p>
			</td>
			<td width="18%">
			<p align="center">
			52
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			50
			</p>
			</td>
			<td width="18%">
			<p align="center">
			58
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			55
			</p>
			</td>
			<td width="18%">
			<p align="center">
			63
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			60
			</p>
			</td>
			<td width="18%">
			<p align="center">
			69
			</p>
			</td>
		</tr>
		<tr>
			<td width="18%">
			<p align="center">
			65
			</p>
			</td>
			<td width="18%">
			<p align="center">
			75
			</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<p>
Of course, if we follow this to 75 mph (as we did a bit ago above), we would have an allowed speed of 86 mph, or 11 mph over the speed limit, which is not that bad. Now, the problem is, if we allow Premise #4, we have a lot of percentages. And, of course, not many people know their percentages very well. I&#39;m sure, if you ask some waiters and waitresses, that they will agree with this statement. People, typically, would prefer to have a concrete number (such as what was in Premise #3, which stated &quot;5 mph over&quot;). &#39;No one&#39;, will be the argument, &#39;has the time to do the math of acceptable speeds. Only a math wiz could do it...&#39;
</p>
<p>
So, while Premise #4 appears to be more real to life, it could never really be implemented. Of course, let us assume, for the sake of argument, that Premise #4 is allowed. That is, &quot;If the posted speed limit is less then, or equal to, 25 mph, then one may drive up to 120% of the speed limit.&quot; and &quot;If the posted speed limit is greater then 25 mph, then one may drive up to 115% of the speed limit.&quot;
</p>
<p>
Now our question is, ought we allow there to be an accepted speeding law? That is, ought we allow Premise #4, or any other accepted premise, to be abided by by law officials? This, of course, brings up a lot of grief. &#39;The posted limit is the posted limit, and you should not go above that limit. Limits are set by review (that is, limits are based upon the roads features and typical traffic volume) and are there for a reason.&#39; Also, &#39;If it is acceptable to go x over (or x% - assuming x is &gt; 100 - of the speed limit), why couldn&#39;t someone argue that it&#39;s okay to go x + 1 over the speed limit? Or, how about x + 2?&#39; And, yet again, &#39;If one limit is not followed (that is, if the posted speed limit is not followed), then why should we believe that another limit would be followed?&#39;
</p>
<p>
These are excellent questions which perhaps need to answered before we set up an accepted &#39;speeding limit&#39; ...
</p>
<p>
As for myself, I believe that going the speed limit is a good idea in areas in which the speed limit is less then 25. I think going a couple over in areas from 25 mph to 40 mph is acceptable, and in areas 45 to 50 (or so) that 5 mph over is acceptable. In 55 to 65 mph zones, I think that from 7 to 10 mph over is acceptable. Of course, I have an older car, so I try not to exceed 72 mph. Personally, I find that sometimes speeders are a good thing, because if I can see them not get pulled over, then I know that up to that point there are not cops out ;)
</p>
<hr />
<p>
Originally was <cite>Thoughts on the Speed Limit</cite>.
</p>
<p>
This article was created January 5, 2003, and was modified October 28, 2003, and February 4, 2004.
</p>

