+++
title = "Overview of B.F. Skinner's Beyond Freedom & Dignity: Chapter 6"
description = "An overview of chapter six of B.F. Skinner's Beyond Freedom & Dignity."
draft = false
comments = true
date = "2003-12-09T00:00:00-06:00"
modified = "2007-10-06T21:44:53-05:00"
slug = "overview-of-b-f-skinners-beyond-freedom-and-dignity-chapter-6"
blogengine = "da4dcb19-843d-4362-aaba-2e3c69b2c972"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
<em><strong>Note: </strong>Mainly, I will be quoting Skinner, interceding my own comments if/when necessary. This should not be taken as something which explains this particular chapter, rather as something which points out some of the things that I found to be important (and that I made notes regarding in the margins). Notes regarding mistyped statements would be greatly appreciated (since I had to type all of these quotes myself). Originally titled: B.F. Skinner&rsquo;s Beyond Freedom &amp; Dignity: Chapter 6: A Sectional Overview.</em> 
</p>
</div>
<p>
&quot;In what we may call the prescientific view (and the word is not necessarily pejorative) a person&#39;s behavior is at least to some extent his own achievement. He is free to deliberate, decide, and act, possibly in original ways, and he is to be given credit for his successes and blamed for his failures. In the scientific view (and the word is not necessarily honorific) a person&#39;s behavior is determined by a genetic endowment traceable to the evolutionary history of the species and by the environmental circumstances to which as an individual he has been exposed.&quot; [101] 
</p>
<p>
&quot;As we learn more about the effects of the environment, we have less reason to attribute any part of human behavior to an autonomous controlling agent.&quot; [101]<!--adsense--> 
</p>
<p>
&quot;Autonomous man is not easily changed; in fact, to the extent that he is autonomous, he is by definition not changeable at all.&quot; [101] 
</p>
<p>
&quot;But for whom is a powerful technology of behavior to be used? Who is to use it? And to what end? We have been implying that the effects of one practice are better than those of another, but on what grounds? What is the good against which something else is called better? Can we define the good life? Or progress toward a good life? Indeed, what is progress? What, in a word, is the meaning of life, for the individual or the species?&quot; [102] 
</p>
<p>
See Nietzsche&#39;s <em>Beyond Good and Evil</em>, especially section 2. See my own <em>Overview of Friedrich Nietzsche&#39;s Beyond Good and Evil: Part I: On the Prejudices of Philosophers</em>. 
</p>
<p>
&quot;Questions of this sort seem to point toward the future, to be concerned not with man&#39;s origins but with his destiny. They are said, of course, to involve &#39;value judgments&#39; - to raise questions not about facts but about how men feel about facts, not about what man <em>can</em> do but about what he <em>ought</em> to do.&quot; ... &quot;Physics may tell us how to build a nuclear bomb but not whether it should be built.&quot; [102] 
</p>
<p>
&quot;If a scientific analysis can tell us how to change behavior, can it tell us what changes to make?&quot; [103] 
</p>
<p>
&quot;People act to improve the world and to progress toward a better way of life for good reasons, and among the reasons are certain consequences of their behavior, and among these consequences are the things people value and call good.&quot; [103] 
</p>
<p>
&quot;Is there then some physical property possessed by all good things? Almost certainly not.&quot; [103] 
</p>
<p>
&quot;[P]lain paper feels smooth if we have been feeling sandpaper or rough if we have been feeling plate glass...&quot; [103] 
</p>
<p>
&quot;Some part of what we call red or smooth or sweet must therefore be in the eyes or fingertips or tongue of the beholder, feeler, or taster. What we attribute to an object when we call it red, rough, or sweet is in part a condition of our own body, resulting (in these examples) from recent stimulation.&quot; [103] 
</p>
<p>
&quot;When we say that a value judgment is a matter not of fact but of how someone feels about a fact, we are simply distinguishing between a thing and its reinforcing effect. Things themselves are studied by physics and biology, usually without reference to their value, but the reinforcing effects of things are the province of behavioral science, which, to the extent that it is concerned with operant reinforcement, is a science of values.&quot; [104] 
</p>
<p>
&quot;To make a value judgment by calling something good or bad is to classify it in terms of its reinforcing effects.&quot; [105] 
</p>
<p>
&quot;[T]hings were reinforcing long before they were called good or bad - and they are still reinforcing to animals who do not call them good or bad and to babies and other people who are not able to do so. The reinforcing effect is the important thing, but is this what is meant by &#39;the way men feel about things&#39;? Are things not reinforcing <em>because</em> they feel good or bad?&quot; [105] 
</p>
<p>
&quot;A person who is teaching a child to distinguish among his feelings is a little like a color-blind person teaching a child to name colors. The teacher cannot be sure of the presence or absence of the condition which determines whether a response is to be reinforced or not.&quot; [106] 
</p>
<p>
&quot;In general the verbal community cannot arrange the subtle contingencies necessary to teach fine distinctions among stimuli which are inaccessible to it. It must rely on visible evidence of the presence or absence of a private condition.&quot; [106] 
</p>
<p>
&quot;The evidence may be good, and the child may learn to &#39;describe his feelings&#39; with some accuracy, but this is by no means always the case, because many feelings have inconspicuous behavioral manifestations. As a result the language of emotion is not precise. We tend to describe our emotions with terms which have been learned in connection with other kinds of things; almost all the worse use were originally metaphors.&quot; [106] 
</p>
<p>
&quot;We may teach a child to call things good by reinforcing him according to how they taste, look, or feel to <em>us</em>, but not everyone finds the same things good, and we can be wrong.&quot; [106] 
</p>
<p>
&quot;Stimuli are reinforcing and produce conditions which are felt as good for a single reason, to be found in evolutionary history.&quot; [107] 
</p>
<p>
&quot;Even as a clue, the important thing is not the feeling but the thing felt. It is the glass that feels smooth, not a &#39;feeling of smoothness.&#39; It is the reinforcer that feels good, not the good feeling.&quot; [107] 
</p>
<p>
&quot;Men do not work to maximize pleasure and minimize pain, as the hedonists have insisted; they work to produce pleasant things and to avoid painful things.&quot; [107] 
</p>
<p>
&quot;What is maximized or minimized, or what is ultimately good or bad, are things, not feelings, and men work to achieve them or to avoid them not because of the way they feel but because they are positive or negative reinforcers. (When we call something <em>pleasing</em>, we may be reporting a feeling, but the feeling is a by-product of the fact that a pleasing thing is quite literally a reinforcing thing. ...)&quot; [107-108] 
</p>
<p>
&quot;Reinforcement by another person need not be intentional. One person learns to clap his hands to attract the attention of another, but the other does not turn in order to induce him to clap again.&quot; [108] 
</p>
<p>
Act <em>x</em> is done primarily for the purpose of he who acts... 
</p>
<p>
&quot;A person acts intentionally, as we have seen, not in the sense that he possesses an intention which he then carries out, but in the sense that his behavior has been strengthened by consequences. A child who cries until caressed begins to cry intentionally.&quot; [108] 
</p>
<p>
&quot;Anyone who has the necessary power can treat others aversively until they respond tin ways that reinforce him. Methods using positive reinforcement are harder to learn and less likely to be used because the results are usually deferred, but they have the advantage of avoiding counterattack.&quot; [109] 
</p>
<p>
&quot;We reinforce a person positively by saying &#39;Good!&#39; or &#39;Right!&#39; and negatively by saying &#39;Bad!&#39; or &#39;Wrong!&#39; and these verbal stimuli are effective because they have been accompanied by other reinforcers.&quot; 
</p>
<p>
While primarily brought about my physical/other things, the words become practical by/in them selves. We no longer have to give the child a piece of candy and say &#39;Good!&#39;, rather, we need only give them a sticker and a &#39;Good!&#39;, and then only a &#39;Good!&#39;, etcetera. 
</p>
<p>
&quot;Behavior is called good or bad - and the ethical overtones are not accidents - according to the way in which it is usually reinforced by others. Behavior is usually called right or wrong with respect to other contingencies. There is a right and a wrong way to do something; a given move in driving a car is right rather than merely good and another move wrong rather than merely bad.&quot; [109] 
</p>
<p>
&quot;[A]ll conditioned reinforcers derive their power from personal reinforcers (in traditional terms, public interest is always based on private interest)...&quot; [110] 
</p>
<p>
&quot;A person does not act for the good of others because of a feeling of belongingness or refuse to act because of feelings of alienation. His behavior depends upon the control exerted by the social environment.&quot; [110] 
</p>
<p>
&quot;Suppose, for example, that a group is threatened by a predator (the &#39;monster&#39; of mythology). Someone possessing special strength or skill attacks and kills the monster or drives him away. The group, released from threat, reinforces the hero with approval, praise, honor, affection, celebrations, statues, arches of triumph, and the hand of the princess. Some of this may be unintentional, but it is nevertheless reinforcing to the hero. Some may be intentional - that is, the hero is reinforced precisely to induce him to take on other monsters.&quot; [111] 
</p>
<p>
&quot;A person drives a car well because of the contingencies of reinforcement which have shaped and which maintain his behavior. The behavior is traditionally explained by saying that he possesses the knowledge or skill needed to drive a car, but the knowledge and the skill must then be traced to contingencies that might have been used to explain the behavior in the first place. We do not say that a person does what he &#39;ought to do&#39; in driving a car because of any inner sense of what is right. We are likely to appeal to some such inner virtue, however, to explain why a person behaves well with respect to his fellow men, but he does so not because his fellow men have endowed him with a sense of responsibility or obligation or with loyalty or respect for others but because they have arranged effective social contingencies.&quot; [113] 
</p>
<p>
&quot;Once we have identified the contingencies that control the behavior called good or bad and right or wrong, the distinction between facts and how people feel about facts is clear. How people feel about facts is a by-product. The important thing is what they do about them, and what they do is a fact that is to be understood by examining relevant contingencies.&quot; [113] 
</p>
<p>
&quot;Long before anyone formulated the &#39;norm,&#39; people attacked those who stole from them. At some point stealing came to be called wrong and as such was punished even by those who had not been robbed. Someone familiar with these contingencies, possibly from having been exposed to them, could then advise another person: &#39;Don&#39;t steal.&#39; If he had sufficient prestige or authority, he would not need to describe the contingencies further. The stronger form, &#39;Thou shalt not steal,&#39; as one of the Ten Commandments, suggests supernatural sanctions. Relevant social contingencies are implied by &#39;You ought not to steal,&#39; which could be translated, &#39;If you tend to avoid punishment, avoid stealing,&#39; or &#39;Stealing is wrong, and wrong behavior is punished.&#39; Such a statement is no more normative than &#39;If coffee keeps you awake when you want to go to sleep, don&#39;t drink it.&#39;&quot; [114] 
</p>
<p>
&quot;A construction worker follows a rule by wearing a hard hat. The natural contingencies, which involve protection from falling objects, are not very effective, and the rule must therefore be enforced: those who do not wear hard hats will be discharged. There is no <em>natural</em> connection between wearing a hard hat and keeping a job; the contingency is maintained to support the natural but less effective contingencies involving protection from falling objects.&quot; [115] 
</p>
<p>
&quot;In the long run people behave more effectively if they have been told the truth, but the gains are too remote to affect the truthteller, and additional contingencies are needed to maintain the behavior. Telling the truth is therefore called good. It is the right thing to do, and telling lies is bad and wrong. The &#39;norm&#39; is simply a statement of the contingencies.&quot; [115] 
</p>
<p>
&quot;Laws are useful to those who must obey them because they specify the behavior to be avoided, and they are useful to those who enforce them because they specify the behavior to be punished.&quot; [115] 
</p>
<p>
&quot;A religious agency is a special form of government under which &#39;good&#39; and &#39;bad&#39; become &#39;pious&#39; and &#39;sinful.&#39;&quot; [116] 
</p>
<p>
&quot;As organized agencies induce people to behave &#39;for the good of others&#39; more effectively, they change what is felt. A person does not support his government because he is loyal but because the government has arranged special contingencies. We call him loyal and teach him to call himself loyal and to report any special conditions he may feel as &#39;loyalty.&#39; A person does not support a religion because he is devout; he supports it because of the contingencies arranged by the religious agency. We call him devout and teach him to call himself devout and report what he feels as &#39;devotion.&#39; Conflicts among feelings, as in the classical literary themes of love versus duty or patriotism versus faith, are really conflicts between contingencies of reinforcement.&quot; [116-117] 
</p>
<p>
&quot;As the contingencies which induce a man to behave &#39;for the good of others&#39; become more powerful, they overshadow contingencies involving personal reinforcers. They may then be challenged.&quot; [117] 
</p>
<p>
&quot;&#39;What is so wonderful about money - do I need all the things it buys?&#39; &#39;Why should I study the things set forth in a college catalogue?&#39; In short, &#39;Why should I behave &#39;for the good of others&#39;?&#39;&quot; [118] 
</p>
<p>
Schopenhauer may have something to say about this, especially in <em>The World as Will and Representation</em>... 
</p>
<p>
&quot;If people do not work, it is not because they are lazy or shiftless but because they are not paid enough or because either welfare or affluence has made economic reinforcers less effective.&quot; [119] 
</p>
<p>
&quot;Such proposals to strengthen old modes of control are correctly called reactionary. The strategy may be successful, but it will not correct the trouble.&quot; [119] 
</p>
<p>
&quot;Behavior cannot really be affected by anything which follows it, but if a &#39;consequence&#39; is immediate, it may overlap the behavior.&quot; [120] 
</p>
<p>
If some act <em>y</em> always brings about some pleasant thing <em>z</em>, then it is implied that by doing <em>y</em> <em>z</em> will follow (repeatability of the past). However, it is quite possible that it may not follow. 
</p>
<p>
&quot;The only useful relation was temporal: a process could evolve in which a reinforcer strengthened any behavior it followed. But the process was important only if it strengthened behavior which actually produced results. Hence, the importance of the fact that any change that follows closely upon a response is most likely to have been produced by it.&quot; [120] 
</p>
<p>
&quot;... reinforced even though it has had not part in the production of the reinforcing event.&quot; [120] 
</p>
<p>
Quite a cut here... The point of this is something like this. X causes Y. A new thing, C, is added to this sequence in that X and C together appear to cause Y (even though only X is necessary). So, even though C is not necessary, it looks as though it in fact is. 
</p>
<p>
&quot;A person who has frequently <em>escaped</em> from rain by moving under shelter eventually <em>avoids</em> rain by moving before rain falls.&quot; [121] 
</p>
<p>
&quot;One advantage in being a social animal is that one need not discover practices for oneself.&quot; [122] 
</p>
<p>
&quot;Rousseau&#39;s great principle - that &#39;nature has made man happy and good, but that society depraves him and makes him miserable&#39; - was wrong...&quot; [124] 
</p>
<p>
&quot;Even those who stand out as revolutionaries are almost wholly the conventional products of the systems they overthrow. They speak the language, use the logic and science, observe many of the ethical and legal principles, and employ the practical skills and knowledge which society has given them.&quot; [124] 
</p>
<p>
Perhaps Nietzsche wouldn&#39;t like this too much, but, I&#39;m sure Hegel would (and I suppose I could be called a Hegelian for saying here that I believe Skinner is exactly right. Even those who wish to tear systems down create a system by doing this... 
</p>
<p>
&quot;Some things have become &#39;good&#39; during the evolutionary history of the species, and they may be used to induce people to behave for &#39;the good of others.&#39; When used to excess, they may be challenged, and the individual may turn to things good only to him.&quot; [125] 
</p>
<h3>Bibliography:</h3>
<p>
Skinner, B.F., <em>Beyond Freedom &amp; Dignity</em>, Alfred A. Knopf, New York, 1971. 
</p>

