+++
title = "Overview of Descartes' Meditations on First Philosophy"
description = "A brief overview of René Descartes’ Meditations on First Philosophy for those who are reading his work."
draft = false
comments = true
date = "2004-09-03T01:01:00-05:00"
modified = "2007-10-15T23:01:37-05:00"
slug = "Overview-of-Descartes-Meditations-on-First-Philosophy"
blogengine = "6c1c5d96-e2d8-45fc-8127-7073c47ccc32"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Ren&eacute; Descartes&rsquo; <em>Meditations on First Philosophy</em> consists of three parts; a preface to the reader, a synopsis, and the six mediations themselves.&nbsp; Heralded as the first &lsquo;modern&rsquo; thinker in philosophy, Descartes introduces the problem encompassed by &lsquo;dualism&rsquo;: how is it that mind and body can interact with each other?&nbsp; Descartes also questions how it is that we can know reality.&nbsp; While the quick answer is through our senses, depending upon our senses opens us up to questions of how we know that our senses are correct. 
</p>
<p>
The preface to the user, written after the <em>Meditations</em>, need not be discussed here, save a few interesting points.&nbsp; The main reason we can skip over the preface (which is not to say that the reader should skip over the preface) is that they give an indication of what Descartes is going to discuss.&nbsp; Hopefully I will be able to clear up any problems, problems that Descartes had, in my overview.&nbsp; But, as I said, there are a few interesting points that are worth discussing. 
</p>
<p>
First, we have Descartes&rsquo; response to the atheists.&nbsp; According to Descartes, there are two things that atheists do when they talk of God; they either ascribe &ldquo;human affections to the Deity&rdquo;, or attempt to &ldquo;determine and comprehend both what God can and ought to do&rdquo;. [51]&nbsp; According to Descartes, as long as we remember that Deity is &ldquo;incomprehensible and infinite&rdquo;, while humans are finite, we will have no problems with the atheists allegations to the non-existence of God. 
</p>
<p>
Descartes also asks us, the readers, to read the <em>Meditations</em> only if we can meditate with him &ndash; only if we can actually perform that which Descartes himself performs.&nbsp; We must be able to wipe our mind completely (or at least set aside) of all prejudice and of our senses (meaning here our five senses).&nbsp; We must also be willing to completely read his work, including his replies to the objections raised by others (which, interestingly enough, are not included in full in the version of Descartes that I initially read). 
</p>
<p>
Having warned us of what we must endure, Descartes then enters into a synopsis of the six meditations.&nbsp; Even reading these few pages will give us some understanding of what it is that Descartes discusses in each meditation.&nbsp; That is not to say that we can read merely his synopsis, but rather that Descartes had enough skill to sum up each part of his writings fairly well, something that few people can do, even today. 
</p>
<p>
Since Descartes is fairly clear, I state here the most prevalent of his synopsis, with analysis to follow. 
</p>
<ol>
	<li>&ldquo;In the First Meditation I expound the grounds on which we may doubt in general of all things, and especially of material objects, so long, at least, as we have no other foundations for the sciences than those we have hitherto possessed.&rdquo; [52]</li>
	<li>&ldquo;In the Second, the mind which, in the exercise of the freedom peculiar to itself, supposes that no object is, of the existence of which it has even the slightest doubt, finds that, meanwhile, it must itself exist.&rdquo; [52]</li>
	<li>&ldquo;In the Third Meditation, I have unfolded at sufficient length, as appears to me, my chief argument for the existence of God.&rdquo; [54]</li>
	<li>&ldquo;In the Fourth, it is shown that all which we clearly and distinctly perceive (apprehend) is true; and, at the same time, is explained wherein consists the nature of error; points that require to be known as well for confirming the preceding truths, as for the better understanding of those that are to follow.&rdquo; [54]</li>
	<li>&ldquo;In the Fifth, besides the illustration of corporeal nature, taken generically, a new demonstration is given of the existence of God...&rdquo; [54-55]</li>
	<li>&ldquo;Finally, in the Sixth, the act of the understanding (<em>intellectio</em>) is distinguished from that of the imagination (<em>imaginatio</em>); the marks of this distinction are described; the human mind is shown to be really distinct from the body, and, nevertheless, to be so closely conjoined therewith, as together to form, as it were, a unity.&rdquo; [55]</li>
</ol>
<p>
It is important to note that in the synopsis of the Second Meditation Descartes states that this is one of the most important points of his meditations.&nbsp; It is at this point that we realize what pertains to the mind, and what to the body: the dualism between mind and body arises. 
</p>
<p>
This synopsis of Descartes puts things clearly into focus, for what he will be doing during his Meditations.&nbsp; In fact, as stated above, this synopsis is enough to get anyone through the basics.&nbsp; However, determining how he comes upon each conclusion or result, is another matter.&nbsp; It also leaves us in the dark whether Descartes &ldquo;single aim in these Meditations to establish&rdquo; really is established. [55]&nbsp; The &lsquo;single aim&rsquo; here being the conclusion that &ldquo;reasonings which conduct us to the knowledge of our mind and of God [&hellip;] are, of all which come under human knowledge, the most certain and manifest.&rdquo; [55] 
</p>
<p>
Having now looked at Descartes&rsquo; preface and synopsis, and keeping in mind the six major steps leading to the one final aim, we can now begin with Descartes&rsquo; First Meditation, assuming that we can work through his thoughts along with him, and without prejudice. 
</p>
<p>
Descartes&rsquo; First Meditation is titled &ldquo;Of the things of which we may doubt&rdquo;, giving us a good indication of what we can expect (even if we had not read his synopsis).&nbsp; Perhaps many of us have had the same doubt that Descartes discusses &ndash; the doubt that the things we take for truth are merely false opinions.&nbsp; Perhaps we have also desired to remove these false opinions from our mind, so that they would no longer influence our decisions.&nbsp; Yet, if we have, how many of us have attempted to do so?&nbsp; Where is it that we would even start questioning those things we take for true? 
</p>
<p>
Descartes, having reached a point in his life where he need not worry about any external passions, decides to do just this &ndash; he readies himself to wipe away all of the false opinions that he takes for truths. 
</p>
<p>
At which point does one start? &ldquo;[A]s the removal from below of the foundation necessarily involves the downfall of the whole edifice, I will at once approach the criticism of the principles on which all my former beliefs rested.&rdquo; [56]&nbsp; Id est, if I am to tear away a building, the easiest (but perhaps not the safest or cleanest) way is to destroy the foundation.&nbsp; Without a foundation, the building cannot stand. 
</p>
<p>
&ldquo;All that I have, up to this moment, accepted as possessed of the highest truth and certainty, I received either from or through the senses.&nbsp; I observed, however, that these sometimes misled us; and it is the part of prudence not to place absolute confidence in that by which we have even once been deceived.&rdquo; [56] Yet, can I doubt, as I type this, that I am sitting at my desk with my computer before me? Can you, the reader, doubt that you are where you are, reading what I, or what Descartes, have written? 
</p>
<p>
But could you be asleep, merely dreaming that you are doing what you are doing, that you are wearing what you are wearing, with the body you perceive you have?&nbsp; It sometimes happens that dreams seem to us to be reality.&nbsp; Let us posit &ndash; assume &ndash; that we are dreaming and that all of this is merely an illusion.&nbsp; Even if we assume that all this is an illusion, we must ask where the illusion came from.&nbsp; Where did I get the idea of a computer, of a desk, of a chair?&nbsp; It seems probable that I know these objects through really existent objects &ndash; the objects I perceive while asleep and dreaming are merely representations of those things that really exist in reality.&nbsp; Perhaps, like Pegasus, the objects when I am asleep are the result of combinations of existent objects.&nbsp; Nevertheless, the objects still come from objects, or combinations of objects. 
</p>
<p>
These objects seem to also share some commonalities.&nbsp; First, each object as a body (or thing) appears to be corporeal &ndash; things have extension, quantity, place, and time. 
</p>
<p>
But Descartes has &ldquo;the belief that there is a God who is all-powerful, and who created me, such as I am&rdquo; (and having this belief, we must remember that this is a prejudice, one that must be doubted and affirmed after doubt). [58]&nbsp; Assuming this, could it be that even the most simplest of reasoning, such as two and three make five, could be faulty?&nbsp; After all, since we have already been deceived before (in the case of our senses), it would seem that such a (assumed) God is not completely against deception, and could in fact be deceiving us at every moment.&nbsp; Or, it could be that some malignant demon is doing the deceiving.&nbsp; Either way, we are now left with universal doubt, for we can assume that we are deceived at every moment. 
</p>
<p>
This means that nothing we take for truth &ndash; that we have a body, that a body has extension, that two and three make five or one and one make two &ndash; can be assumed to be true. &nbsp;But, what&rsquo;s the use?&nbsp; Questioning, and thinking about, our beliefs is hard, hard, work.&nbsp; I belief that my senses tell me the truth &ndash; when I knock upon the table I feel something hard, and hear a noise &ndash; and, from that, can easily continue to assume that my senses are true. 
</p>
<p>
The Second Meditation leaves off slightly after where the First ended.&nbsp; In this Meditation Descartes comes back to the task of questioning everything, even though it is an arduous task.&nbsp; This Meditation is titled &ldquo;Of the nature of the human mind; and that it is more easily known than the body&rdquo;.&nbsp; As before, even without reading the synopsis we have a pretty good idea of where Descartes will be heading in this Meditation.&nbsp; We also see, just from the title, that Descartes believes that there is a distinction between the mind (which can be known) and body (which is not so easily known). 
</p>
<p>
So, despite the task, Descartes tells us that &ldquo;I will, nevertheless, make an effort, and try anew the same path on which I had entered yesterday, that is, proceed by casting aside all that admits of the slightest doubt, not less than if I had discovered it to be absolutely false; and I will continue always in this track until I shall find something that is certain, or at least, if I can do nothing more, until I shall know with certainty that there is nothing certain.&rdquo; [60-61] 
</p>
<p>
We call into question all that we see or otherwise perceive through our senses.&nbsp; We call into question our memory.&nbsp; We even call into question our very senses (that we have any) and body.&nbsp; What, if I assume that all is false, is left remaining?&nbsp; When all is said and done, what is it that calls into questions these things, is it God or some malignant demon?&nbsp; Or is it myself &ndash; is it I? 
</p>
<p>
&ldquo;Am I so dependent on the body and the senses that without these I cannot exists?&nbsp; But I had the persuasion that there was absolutely nothing in the world, that there was no sky and no earth, neither minds nor bodies; was I not, therefore, at the same time, persuaded that I did not exist?&nbsp; Far from it; I assuredly existed, since I was persuaded.&nbsp; [&hellip;]&nbsp; I am, I exist, is necessarily true each time it is expressed by me, or conceived in my mind.&rdquo; [61] 
</p>
<p>
&ldquo;But I do not yet know with sufficient clearness what I am, though assuredly that I am.&rdquo; [61]&nbsp; Id est, while I know that I am, I do not know what I am (since I have already called into question my senses, which were used in the past to tell me what I am, namely a body having particular features. 
</p>
<p>
If we begin by asking what I believed I was, we can attempt to determine whether there is any proof behind that belief.&nbsp; When all is said and done, Descartes believes that we would agree with his line of thought.&nbsp; Descartes tells us that he believed &ldquo;that I possessed a countenance, hands, arms, and all the fabric of members that appears in a corpse, and which I called by the name body.&nbsp; It further occurred to me that I was nourished, that I walked, perceived, and thought, and all those actions I referred to the soul; but what the soul itself was I either did not stay to consider, or, if I did, I imagined that it was something extremely rare and subtile, like wind, or flame, or ether, spread through my grosser parts.&nbsp; As regarded the body, I did not even doubt of its nature, but thought I distinctly knew it.&rdquo; [62] 
</p>
<p>
He goes on to say that body is &ldquo;all that can be terminated by a certain figure; that can be comprised in a certain place, and so fill a certain space as therefrom to exclude every other body; that can be perceived either by touch, sight, hearing, taste, or smell; that can be moved in different ways, not indeed of itself, but by something foreign to it by which it is touch [and from which it receives the impression]; for the power of self-motion, as likewise that of perceiving and thinking, I held as by no means pertaining to the nature of body.&rdquo; [62] 
</p>
<p>
When these attributes of the body are examined, can we find any truth within them?&nbsp; Based upon what we know at this point (namely that some &lsquo;I&rsquo; exists), we cannot.&nbsp; The only thing that we can attribute to anything is thinking to the soul.&nbsp; When I doubt, I think, and thereby exist.&nbsp; It is only when I do not think, that I do not exist.&nbsp; Id est, it is my doubting which shows my existence.&nbsp; If I had not called into question everything, I could not find that I cannot doubt that I doubt. 
</p>
<p>
Therefore, I am a thinking thing, &ldquo;a thing that doubts, understands, [conceives], affirms, denies, wills, refuses, that imagines, also, and perceives (<em>res</em> . . . . <em>sentiens</em>).&rdquo; [64]&nbsp; So what is perception by way of our senses?&nbsp; Perceiving (<em>sentire</em>) is nothing more than me seeming &ldquo;to see light, hear a noise, and feel heat.&rdquo; [65] 
</p>
<p>
What then are bodies?&nbsp; I place a piece of wax before a fire, watching it soften and eventually melt.&nbsp; While it has physically changed, from a solid thing with a particular shape, to a puddle, I still know it to be a piece of wax.&nbsp; Is this because of its body, or is it from something else?&nbsp; Clearly, it cannot be from it&rsquo;s physical body, for it has changed numerous times &ndash; if I had not seen the steps between, I would be unable to determine whether the piece of wax and the puddle of wax were once the same object.&nbsp; Yet, through my intellect, I know the thing to be a piece of wax, even though it no longer takes that shape. 
</p>
<p>
In fact, the knowledge from my single perceptions of the wax is nothing compared to the knowledge of the wax from my intellect.&nbsp; Had I merely perceived the wax at various points of its progression from solid to liquid, I would have missed out on much of what I know from watching the wax in its progression and tying these points together.&nbsp; Knowledge gained through mere perception of an object is nothing compared to knowledge gained through perception backed up by the intellect. 
</p>
<p>
&nbsp;
</p>
<p>
&hellip;&hellip;.Third Meditation&hellip;&hellip; 
</p>
<p>
&nbsp;
</p>
<h3>Source for Descartes&rsquo; writing:</h3>
<p>
Smith and Grene, <em>Philosophers Speak for Themselves: From Descartes to Locke</em>, Chicago and London, The University of Chicago Press, 1967. 
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> September 3rd 2004<br />
<strong>Modified:</strong> February 5th 2005<br />
<strong>Notes:</strong> See also my paper titled <em>Descartes, Meditations and the Problem of the Dualism</em>. 
</p>

