+++
title = "Overview of Leibniz's The Principles of Philosophy, or, the Monadology"
description = "An overview of Gottfried Wilhelm Leibniz's <cite>The Principles of Philosophy</cite>, or, the <cite>Monadology</cite>."
draft = false
comments = true
date = "2004-06-12T00:01:00-05:00"
modified = "2009-01-14T08:22:21-06:00"
slug = "Overview-of-Leibnizs-The-Principles-of-Philosophy-or-the-Monadology"
blogengine = "f3c892d5-4736-4529-897d-e70225c35973"
categories = ["article", "philosophy"]
tags = []
+++

<p>
The following is meant to be an overview of <em>The Principles of Philosophy</em>, or, the<em> Monadology</em> (1714), by Gottfried Wilhelm Leibniz (1646-1716). My main interest in Leibniz is to see how his work relates to the works of Arthur Schopenhauer. Any notes that I make should be read with this in mind. 
</p>
<!--more-->
<p>
The <em>Monadology</em> consists of ninety short passages, numbered from 1 to 90. Some of the passages are only a line or so, while others are quite a few lines. The main focus of his piece is to discuss, in a condensed form, some of his philosophical principles. Only by reading his other works, along with this one, can one get a complete, or near complete, understanding of what Leibniz believes. Each line below is associated with a number, or numbers, which stand for each of the passages of Leibniz. I have tried to sum up, in as few words as necessary, what the main point of his passage is. It is my hope that, although the <em>Monadology</em> is already fairly short, this article will allow even a layperson to understand this work. However, my faith in my own ability to communicate these ideas with a layperson is lacking, and any assistance, by way of questions, would be greatly appreciated. Comments and critiques, which are always welcome and appreciated, can be sent to me at the email listed in the footer of this document, or in the space below. 
</p>
<p>
1. A monad is a partless whole/object that combines with other wholes/objects to create wholes/objects that contain parts. 
</p>
<p>
2. Monads must be because composites are collections of simples. Without simples, there could be no composites. 
</p>
<p>
3. Monads do not extend, are shapeless, and are indivisible (monads cannot be broken into parts). 
</p>
<p>
4-7. Composites can have their parts altered, but since monads have no parts, any influence upon a monad influences the whole monad &ndash; not an individual part of the monad. 
</p>
<p>
8-9. However, monads must have properties and must be unique. If they did not have properties they would not be, since all things that are are some way. If they were not unique, they would not be natural, for no two things in nature are identical. 
</p>
<p>
10. Everything, even monads, are subject to continual change. 
</p>
<p>
11. From passages 7 and 10, changes to monads must come from within the monad, not from without. 
</p>
<p>
12-13. Change involves a gradual passing from one state to another &ndash; something changes and something remains. All things, including monads, must therefore have multiple properties. 
</p>
<p>
14. Perception is what changes in the monad. 
</p>
<!--adsense-->
<p>
15. Appetite is what brings about changes in perception. 
</p>
<p>
16-17. Perceptions (and the necessary passing between perceptions) are all the monads contain. 
</p>
<p>
18. Monads are perfect and sufficient since they contain all they need to act, internally. 
</p>
<p>
19. Souls have, in addition to those properties prescribed to monads, more distinct perceptions as well as memory. 
</p>
<p>
20. However, souls can be in a state much like a monad, but it does not last. 
</p>
<p>
21. Perception, and perceptions, is, and are, the only property/properties of monads. A perception always exists &ndash; a great multitude of small, indistinct, perceptions can give the false impression that no perception exists. 
</p>
<p>
22. Every present state is a consequence of the preceding state. &ldquo;[T]he present is pregnant with the future.&rdquo; [1: 71] 
</p>
<p>
23. Even though it appears otherwise, there can never be a perception that did not arise from another &ndash; even before awakening from a deep sleep, we perceived. 
</p>
<p>
24. Bare monads have no distinct perceptions, and therefore are as if in a deep sleep &ndash; without the impression of a perception. 
</p>
<p>
25. Because nature has given animals five senses, which work together, animals are able to collect heightened perceptions. 
</p>
<p>
26. Representations (or re-presentations) in memory give animals/souls a sequence which imitates reason, but not fully. 
</p>
<p>
27. The magnitude and multitude of all the preceding perceptions influence present and future perceptions. 
</p>
<p>
28. Men act like animals most of the time, following the mere sequencing of their memory. &lsquo;The sun will rise tomorrow because it always has.&rsquo; 
</p>
<p>
29. It is the knowledge of eternal and necessary truths that distinguishes us from animals. It is this same knowledge that gives us reason and science. The rational soul, or mind, is what provides this knowledge. 
</p>
<p>
30. It is this same rational soul, or mind, that allows us to reflect upon our actions &ndash; which allows us to consider the &ldquo;I&rdquo;. 
</p>
<p>
31-32. Reasoning &ndash; science &ndash; is based upon the great principles of contradiction and sufficient reason. Contradiction tells us that if something is false, the opposite is true, and that if something is true, the opposite is false. The principle of sufficient reason tells us that a thing is a certain way only because there is sufficient reason for it to be that way &ndash; it could not be otherwise. 
</p>
<p>
33-34. There are two kinds of truths. &ldquo;The truths of reasoning are necessary and their opposite is impossible; the truths of fact are contingent, and their opposite is possible.&rdquo; [1:72] Truths of reasoning can always be broken down into simpler truths, which is how mathematical theorems are analyzed. 
</p>
<p>
35. Simples ideas cannot be defined. Primitive principles cannot be proven, but need no proof. 
</p>
<p>
36. Truths of fact &ndash; contingent truths &ndash; must also have sufficient reason. Truths of fact are the way that they are because of every motion (or event, or activity) that occurred before. 
</p>
<p>
37. Since every reason needs a reason, we could forever move into the past, if every reason is within the sequence. In order to escape from the infinite sequence, there must be some initial reason with it&rsquo;s own reason. 
</p>
<p>
38-39. God is that primary/ultimate reason which contains, within itself, sufficient reason for diversity. Since this God is sufficient for all further reason, there need be only one God. 
</p>
<p>
40. God, the ultimate/supreme substance, contains all of reality, since all that exists exists from it. 
</p>
<p>
41. God is perfection because God is without limitation. 
</p>
<p>
42-43. All animals derive perfection from God. All animals derive imperfection from their own limitation. In addition, everything derives existence from God &ndash; without God there would be nothing (no things) for God is the initial reason for all things, and therefore for all possible things (and for all possibility). 
</p>
<p>
44-45. Possibility is grounded in that which is &ndash; what which exists. There must be at least one thing which, if possible, must also exist, and in this case it is the necessary being, or God. 
</p>
<p>
46. Even though necessary truths could not be without God, they are not determined by God. Contingent truths are based upon the principle of the best. 
</p>
<p>
47. From God came all initial monads. 
</p>
<p>
48. God has power, knowledge, and will. Power is the source of everything, knowledge contains the diversity of ideas, and will brings about changes in accordance with the principle of the best. In other words, because God is the initial reason, and is therefore the source of all reason, God has power. Because the present is pregnant, and the past was pregnant, with the future, and the future is full of diversity, God has knowledge. Because contingent truths are based upon the principle of the best, and because contingent truths come from reason, God has will. 
</p>
<p>
49. To be acted upon is imperfect, while the opposite is perfect. A monad has the attribute of action because it has distinct perceptions, while it is has the attribute of passion because it has confused perceptions. 
</p>
<p>
50. One thing is more perfect than another if the one provides a reason for the existence of the other. The cause is more perfect than the effect. 
</p>
<p>
51-52. Only God can allow, or cause, one monad to influence another. For this reason, God compares the two and finds reasons to allow influence of one over the other. &ldquo;What is active in some respects is passive from another point of view: <em>active</em> insofar as what is known distinctly in one serves to explain what happens in another; and <em>passive</em> insofar as the reason for what happens in one is found in what is known distinctly in another.&rdquo; [1: 75] 
</p>
<p>
53-55. Since each choice allows a possibility, and since only one choice can be made, a reason must determine God towards one thing rather than another. This reason is based upon perfection &ndash; through God&rsquo;s wisdom and goodness, he chooses that which is the best possibility. 
</p>
<p>
56. The interconnection or accommodation of all created things to each other &ndash; the fact that all things are united in that one&rsquo;s actions/activities end up influencing the actions/activities of another &ndash; means that each thing relates to everything, and is something like a mirror of the universe. 
</p>
<p>
57. When a city is viewed from different directions the city appears to be completely different. In the same way, when the universe is looked at from different directions/perspectives, it looks as though the universe is different. However, it is not the universe that is different, rather it is the viewpoint. 
</p>
<p>
58. By way of differing perspectives we achieve variety, but with order. This ordered variety allows the obtainment of as much perfection as possible. 
</p>
<p>
59. The above &ndash; universal harmony allows the relation of each thing to every other thing &ndash; is the only hypothesis that adequately shows God&rsquo;s greatness. 
</p>
<p>
60. Monads are limited insofar as the degrees of their distinct perceptions &ndash; they are unable to see the whole as a whole, but can instead only focus upon the parts of the whole. 
</p>
<p>
61. Because each monad has a relationship with each other monad, and since composite substances are composed of monads (or simple substances), composite substances are like simple substances, when it comes to activity. Influencing a part of the composite substance, in turn ends up influencing the whole substance. Since the present is pregnant with the past, one who sees everything could determine what will happen. But, souls can only see what is distinctly seen in itself, and cannot see into the infinite future. 
</p>
<p>
62. While each monad is a mirror of the universe, it is first (or more distinctly) itself, a smaller part of the universe. 
</p>
<p>
63. Bodies of living beings, together with a soul, constitute an animal. Each living body or animal belongs to a monad. Bodies of living beings or animals are always, like the universe, ordered/organized in a perfect way. 
</p>
<p>
64. Each body of a living being/animal is like a natural automaton. Unlike an artificial automaton, where all parts, as parts, are not artificial, a natural automaton is always natural, in all of it&rsquo;s parts. The difference between nature and artifact (which hear means any man made object) is that artifacts, at some point, consist of nature (the metals used, for example). 
</p>
<p>
65. Each thing is &ldquo;divisible to infinity&rdquo; &ndash; each thing is &ldquo;subdivided without end&rdquo; &ndash; and each part has &ldquo;some motion of their own&rdquo;. [1: 78] 
</p>
<p>
66-68. From this, every thing is like &ldquo;a garden full of plants, and as a pond full of fish&rdquo; &ndash; even taking a portion of a plant, or a drop of the pond, we still have another garden or pond. Even the very air is full, at a smaller level, or living beings &ndash; of plants and fish. 
</p>
<p>
69. Only in appearance does something look dead in the universe. 
</p>
<p>
70. Every part of the body of a living being is full of other living beings, which in turn have their own living beings. 
</p>
<p>
71. All bodies are in constant change, just like rivers, with parts coming into, and exiting from, all the time. 
</p>
<p>
72. The soul changes, therefore, the body only part by part, little by little. The soul is never completely without a body. 
</p>
<p>
73. Generations are never completely new, but merely developments and growths. Deaths are simply diminutions. 
</p>
<p>
74. The form of bodies comes from that which came before. The tree&rsquo;s form comes from the seed that it grows from. In the same way, each body already has a soul &ndash; each body already has what it is to be contained within it. 
</p>
<p>
75-77. The soul and, because the soul is a mirror of the universe, the universe are both indestructible. Because of this, animals are also indestructible. Animals merely change in part. 
</p>
<p>
78-79. The soul and body each follow their own laws, but together work in unity. Souls act according to the laws of final causes &ndash; appetite, means, and ends. Bodies act according to sufficient reason and motion. 
</p>
<p>
80-81. Souls can change the direction of bodies. The natural law of conservation states that the total direction in matter is preserved. According to the system of pre-established harmony, bodies and souls have no influence upon each other. 
</p>
<p>
82. Minds, or rational souls, are like animals and living beings until they attain human nature by conception, by reasoning. 
</p>
<p>
83-84. Minds are capable of knowing the system of the universe, and are capable of emulating it. This fact allows man to the ability to share a relationship with his creations like God with his creations. 
</p>
<p>
85. The city of God is full of these like-minded minds, ruled over by God. 
</p>
<p>
86. The glory of God depends upon the admiration of minds, and the knowledge of God&rsquo;s greatness and goodness by minds. 
</p>
<p>
87. Just as there is harmony between the soul and the body, there is harmony between the moral and the physical &ndash; between the city of God and the universe. 
</p>
<p>
88-89. Life must be destroyed when the city of God requires it. Moral wrong must also have an effect upon the physical and moral right must have an effect upon the physical, but not necessarily (in either case) immediately. 
</p>
<p>
90. Therefore, no good action goes unrewarded, no bad action goes unpunished. The world is as perfect as possible &ndash; it could not be any other way. The current state is the state determined by the most perfect of beings &ndash; God. 
</p>
<hr />
<h4>Bibliography:</h4>
<ol>
	<li>Leibniz, G.W.; <em>Discourse on Metaphysics and Other Essays</em>, Hackett Publishing Company, Indiana, 1991. Translated by Daniel Garber and Roger Ariew.</li>
	<li>Leibniz, Gottfried Wilhelm; <em>Philosophical Writings</em>, Everyman, London, 1995. Translated by Mary Morris and G.H.R. Parkinson.</li>
</ol>

