+++
title = "Perceptions of Immanuel Kant Before a Reading of the Critique of Pure Reason"
description = "Thoughts on Immanuel Kant, before I've ever really read one of his major works."
draft = false
comments = true
date = "2007-10-30T22:45:00-05:00"
modified = "2007-10-30T22:10:50-05:00"
slug = "Perceptions-of-Immanuel-Kant-Before-a-Reading-of-the-Critique-of-Pure-Reason"
blogengine = "4f0f563b-84a8-44c6-9992-910c9b340768"
categories = ["article", "philosophy"]
tags = ["immanuel kant"]
+++

<p>
In 2003, I received a bachelor&#39;s in philosophy from the University of Wisconsin: Green Bay. 
</p>
<p>
During my four and a half years at Green Bay, I studied a deal of philosophy, without ever really deciding that I&#39;d go for a degree in philosophy; philosophy was actually meant to just satisfy the necessary requirement of picking a degree in my sophmore year. Nonetheless, gradate with philosophy I did. 
</p>
<p>
During those years, I studied a number of philosophers, some more than others. Often I would find myself drawn to one philosophy, only to later find that another philosophy answered the same questions, with seemingly similar, or more,&nbsp;validity and proof. One of the problems of philosophy, or so I consider it, is that each system of philosophy has its own strengths and weaknesses, but no one is all of one. 
</p>
<p>
Of course, that&#39;s not to say that I didn&#39;t leave with my favorites, some of whom may not even be philosophers, but that I&#39;ve discussed elsewhere; figures like Schopenhauer and&nbsp;Plato (being my favorites, as I don&#39;t believe there&#39;s any question about these two being philosophers, but there is supposedly some question of Nietzsche being a philosopher). 
</p>
<p>
However, with a mere four and a half years, and being an undergraduate, some philosophers were necessarily left out, or covered in courses that I did not have the privilege of attending. One of the philosophers that I did not read much of, but who is seemingly a major figure in philosophy, is Immanuel Kant. Because of that, I undoubtedly have misconceptions about these philosophers, as well as gaps in my knowledge. 
</p>
<p>
For this article, I&#39;ll be briefly going over what I currently think of Immanuel Kant, recalling only the minor details that I can remember, without consulting any other articles I&#39;ve written for a refresher, or online or printed resources. The plan is to read Kant&#39;s <em>Critique of Pure Reason</em> in December of 2007, and then report back with what I&#39;ve learned from said experience. 
</p>
<h3>Current thoughts on Kant</h3>
<ul>
	<li>
	<div>
	Kant is a major&nbsp;figure in philosophy 
	</div>
	</li>
	<li>
	<div>
	&quot;Kant get enough&quot; - I&#39;m&nbsp;unsure what this really means, but this poster comes to mind when I think of Kant. Is he really interesting, or really deep? 
	</div>
	</li>
	<li>
	<div>
	Kant&nbsp;had an influence on a number of philosophers after him, including Schopenhauer and Husserl. He may be the most referenced of all the philosophers, in modern philosophy books, save the ancients (Socrates, Plato, Aristotle) 
	</div>
	</li>
	<li>
	<div>
	According to many books, Kant ranks with Plato and Aristotle as the giants of philosophy. 
	</div>
	</li>
	<li>
	<div>
	Kant was interested in metaphysics and&nbsp;political philosophy. 
	</div>
	</li>
	<li>
	<div>
	While Descartes raised the mind-body problem, and the empiricists and rationalists had their &#39;opposing&#39; &#39;answers,&#39; Kant was able to bring both together. 
	</div>
	</li>
	<li>
	<div>
	Kant, like many German philosophers, is long-winded and difficult to read. 
	</div>
	</li>
	<li>
	<div>
	Kant wrote a number of <em>Critiques</em>, but&nbsp;&#39;of Pure Reason&#39; is most read (?), or at least most referred to in relation to Kant, from a <em>general</em> philosophical perspective. 
	</div>
	</li>
	<li>
	<div>
	Both the A and B versions are included in good translations of his work, for whatever reason. Possibly because it is important to see how his views changes, perhaps because he assumes that the former has been read before the latter. 
	</div>
	</li>
</ul>
<p>
Since I have until December 1st to build this list, I&#39;ll be adding additional thoughts as they come, with appropriate dates added, below. I&#39;m keeping comments on, but <strong>I am not</strong> looking for comments on where I am wrong <em>or</em> right. A new article entirely will follow with my &#39;concluding&#39; thoughts of Kant, after I have read the <em>Critique</em>, where people can correct me as necessary. I will also be posting my rough comments to this site, for future reference. 
</p>

