+++
title = "Perspectives on Human Values: The Renaissance: Final Paper: Montaigne"
description = "For this final paper, I will be discussing Montaigne's use of the self and the main points of the pieces that we read, followed by what I think about Montaigne's writing."
draft = false
comments = true
date = "2001-12-12T01:01:00-06:00"
modified = "2008-08-10T20:15:34-05:00"
slug = "Perspectives-on-Human-Values-The-Renaissance-Final-Paper-Montaigne"
blogengine = "6a8b2111-7932-4e14-9f48-deac05b93d6c"
categories = ["article", "philosophy"]
tags = []
+++

<p>
So far this semester, we have looked at four different writers of the Renaissance period. Of all of them, I personally found Montaigne to be the most interesting and appealing author. For this final paper, I will be discussing Montaigne&rsquo;s use of the self and the main points of the pieces that we read, followed by what I think about Montaigne&rsquo;s writing.
</p>
<p>
The first piece that we read by Montaigne was Essay 14 in Book I: <em>&ldquo;That the taste of good and evil things depends in large part on the opinion we have of them&rdquo;</em>. Montaigne starts out with the Greek saying that &ldquo;men are tormented not by things themselves but by what they think of them&rdquo; (Montaigne, 52). Montaigne believes that if this statement were to be found true in all circumstances then human beings could gain the upper hand and do with evil as they will. Therefore, Montaigne would like to show that evil things are in fact not evil, but that humans make things evil by the opinions that they hold. 
</p>
<p>
&ldquo;If the original essence of the thing which we fear could confidently lodge itself within us by its own authority it would be the same in all men.&rdquo; (Montaigne, 52-53) Since each man has a different opinion on a great many things, one of which is evil, then it is possible that the minority of people know the true essence, whereas the majority of people believe in something other then the truth. Montaigne&rsquo;s reasoning behind saying this is to show that if a contrary opinion is held, then it&rsquo;s possible for either, or both, of their beliefs to be incorrect. 
</p>
<p>
Montaigne first states &ldquo;our main enemies are held to be death, poverty and pain&rdquo; and then continues by proving that there exists a differing view of death. Some hold death to be an evil, something to be avoided with all one&rsquo;s strength, whereas others went forward to embrace it. &ldquo;We find that most of the philosophers either deliberately went to meet death, or else hastened and helped it along.&rdquo; (Montaigne, 53) If philosophers, who are lovers of knowledge, look forward to death, is it not possible that death is not something to be avoided? Montaigne also recalls a few instances of people making jokes, or acting as if after their death their lives would continue as they had in the past. 
</p>
<p>
Immediately after, Montaigne starts looking into the customs of other cultures. He talks about wives being buried alive or cremated right along with their dead husband. He also talks about people who&rsquo;s lands are defeated so often that they eventually take either own lives to get away from their misery. Conviction also leads to people taking their own lives. If one holds their beliefs so high, they will be unable to be persuaded away from it, even by the threats of death. Another tale he tells is of how people would not convert to a different religion, even though to hold on to their belief meant their persecution. 
</p>
<p>
After listing these things dealing with people&rsquo;s response to death, Montaigne asks if our reason &ldquo;was placed in us for our torment&rdquo; (Montaigne, 57) or whether we can use our reason for achieving the good. &ldquo;Intelligence was given us for our greater good: shall we use it to bring about our downfall by fighting against the design of Nature and the order of the Universe, which require each creature to use its faculties and resources for its advantage?&rdquo; (Montaigne, 57) 
</p>
<p>
Next Montaigne talks about pain, which he grants as &ldquo;the worst disaster that can befall our being&rdquo; (Montaigne, 59), his main reason being that he greatly dislikes it himself. However, he states that we should use our intelligence to lessen the amount of pain that we feel so that we still are able to think rationally. Pain allows us to &ldquo;respect manly courage, valour, fortitude, greatness of soul and determination&rdquo; (Montaigne, 59) which are not evil qualities at all. Montaigne then goes on to point out many examples where people are able to put off the effects that pain would normally have incapacitated them. 
</p>
<p>
The final evil that Montaigne talks about is poverty. Much like death and pain, poverty is something that everyone views differently. Someone on the streets who is considered to be in poverty might be happy, whereas someone who is rich may be very unhappy. In fact, even those people who are somewhat well off, or at least not living on the streets and worried about food, believe that they are living a poor man&rsquo;s life. Obviously, poverty is not as evil as some people believe. 
</p>
<p>
By the end of the essay, Montaigne hopes that he has proven his point that good and evil actions are based largely on what individuals hold. This essay clearly shows Montaigne&rsquo;s view of the importance of the self in analyzing day-to-day affairs. 
</p>
<p>
The second piece that we read by Montaigne was Essay 31 in Book I: <em>&ldquo;On the Cannibals&rdquo;</em>. In this essay, Montaigne would like to discuss &lsquo;Barbarians&rsquo; and natives. Montaigne starts out the essay with the story of King Pyrrhus, and how when he entered Italy, he found that the people there were in fact not barbarous, contrary to what he had been told. Montaigne tells us that &ldquo;We should be similarly wary of accepting common opinions; we should judge them by the ways of reason not by popular vote&rdquo; (Montaigne, 228). Instead of blindly following others, one should go out and try to find things out for oneself. However, he realizes that sometimes it is impossible for someone to see something for himself, so one must rely upon others. 
</p>
<p>
He also tells us that he found that those who are &lsquo;common&rsquo;, or uneducated, are better then the educated when giving an account of what they had seen. &ldquo;Those clever chaps notice more things more carefully but are always adding glosses; they cannot help changing their story a little in order to make their views triumph and be more persuasive&rdquo; (Montaigne, 231). Clearly, it would be better to get an unbiased view, so that it is as if you were there, and could make up your own view. 
</p>
<p>
Next, Montaigne states that he believes that &ldquo;every man calls barbarous anything he is not accustomed to&rdquo; (Montaigne, 231) and his opening story of King Pyrrhus, appears to show this. Montaigne begins by talking about the &lsquo;savages&rsquo; of the new world. 
</p>
<p>
First, Montaigne states that he believes that &lsquo;savages&rsquo; are still close to nature, as opposed to man who is much further away. Because of this, he believes that they have a kind of purity that a philosopher like Plato would have liked to have found in his time. Montaigne believes that these &lsquo;savages&rsquo; would in fact be the citizens of the perfect state, like that described in Plato&rsquo;s <em>Republic</em>. He assures that he has been told that &ldquo;they inhabit a land with a most delightful countryside and a temperate climate&rdquo; and that &ldquo;they never saw a single man bent with age, toothless, blear-eyed or tottering&rdquo;. He goes on to list many of the other things that make their lives so simple and joyous. 
</p>
<p>
There is war as well as peace, but they fight hand to hand and have no fear of death. He describes what happens to those that are killed, as well as those who are taken captive. Although their ways may seem barbaric, Montaigne also tells us that they abandoned their previous way of eating their captives and began to use one that they learned from explorers. Montaigne tells us that he is not saddened that we realize that they do such horrible things, but that &ldquo;while judging correctly of their wrong-doings we should be so blind to our own&rdquo; (Montaigne, 235). 
</p>
<p>
Montaigne points out that doctors use dead bodies in order to further their knowledge of the human body while the &lsquo;savages&rsquo; use it because it is a part of their warring methods. Their methods are much better then the methods of various methods of torture by other nations as he described above. How is it that they can be cannibals when &lsquo;civilized&rsquo; humans do much worse? 
</p>
<p>
Montaigne finishes his essay by describing a meeting he had with three natives that made three very valuable points, one of which most applies to his topic. &ldquo;Since they have an idiom in their language which calls all men &lsquo;halves&rsquo; of one another &ndash; that they had noticed that there were among us men fully bloated with all sorts of comforts while their halves were begging at their doors, emaciated with poverty and hunger: they found it odd that those destitute halves should put up with such injustice and did not take the others by the throat or set fire to their houses&rdquo; (Montaigne, 241). They may have some things that seem barbarous to us, but we have some things that seem barbarous to them. 
</p>
<p>
As with the first essay, he continues with the belief that good and evil, or civilized and uncivilized, are based on what individuals hold. 
</p>
<p>
Montaigne&rsquo;s third essay was the first part of Essay 12 in Book II: <em>&ldquo;An apology for Raymond Sebond&rdquo;</em>. The part we read had to deal with whether or not humans are superior to animals. Montaigne deals with eight attributes that supposedly make us better then the animals. 
</p>
<p>
The first attribute that he talks about is language. He eliminates this attribute by saying that other animals appear to have languages as well. How can we say that they have no language simply because we cannot understand them? Can we understand a foreigner if we don&rsquo;t know their language? The second attribute that he discusses is their incapacity to form societies. He eliminates this attribute by stating that other animals do in fact form groups and packs. The third attribute that he discusses is that animals do not develop technology. This he eliminates by stating that other animals use tools and do simple calculations. This too is not purely an attribute of human beings. The fourth attribute that he speaks of is that animals have no morality. However, Montaigne shows that animals do care about other animals, and even recognize harm that they do to other animals and human beings. 
</p>
<p>
The fifth attribute is religion. However, Montaigne tells us that elephants seem to thank some higher being when they raise their trunks to the sky. He also uses elephants to eliminate the sixth attribute friendship, by giving an example of elephants taking projectiles out of their human companions. The seventh attribute is human beings beauty. This however Montaigne believes to be untrue in the first place, since human beings dress themselves not only to hide their ugliness, but also to look more like animals. The last attribute that humans believe make them superior to the animals is their ability of high-level reason. This Montaigne says do not make us superior since our reasoning does not necessarily make us happy. 
</p>
<p>
After stating each attribute and eliminating it from making humans superior to animals, we see that we are in fact no better then the animals, which is what Montaigne wished to prove in this essay. Following with his beliefs of the importance of the self, we see that one would naturally believe himself to anyone, or anything, else. 
</p>
<p>
The last essay that I will briefly touch on is Essay 2 in Book III: &ldquo;<em>On repenting</em>&rdquo;. In this, Montaigne wishes to prove that repentance is unnecessary. To sum up what he states in this piece, he believes that since the only constant is change, it is impossible to regret anything that one has previously done. After all, what is wrong today may very well be accepted in the near future. 
</p>
<p>
He also believes that should &ldquo;live the life of man in conformity with his natural condition&rdquo; (Montaigne, 913). Since each man normally does what he believes is the best for himself, every act that follows your will cannot be wrong. To do otherwise would be to go against nature. Since we do what is natural, we cannot repent for previous actions, although we can regret them, which is different then repentance. Montaigne gives an example of his speaking Latin after fainting, even though he had not used it in many years, which is clearly an example of &ldquo;nature, against long nurture, breaking forcibly out and finding expression&rdquo; (Montaigne, 914). Once again, we see no matter what we do, nature will eventually have the final say. Because of this, Montaigne never has, nor never will, repent since there is nothing he or anyone else, truly has to repent for. 
</p>
<p>
Overall, as I stated above, I find Montaigne to be the best writer that we looked at this semester. One of the main reasons that I find him so interesting is the fact that he looks within himself for the answers. He uses self-reflection to find out what he thinks about things, and then writes them down; much like one would do for a journal. From that, he looks at what others think about the same topic and either agrees or disagrees their view. 
</p>
<p>
For Montaigne, he is the one that he should follow; his ideologies are primary, not secondary after another&rsquo;s. Montaigne&rsquo;s ideas often times contradicted the popular beliefs of the time. For example, in his essay <em>&ldquo;On the Cannibals&rdquo;</em> he attacks poverty and the upper classes, and could have brought himself under fire about stating the natives view on this. However, the knowledge of this possibly happening did not stop him. Along with this, his view that animals are no different then humans, especially stating that animals seem to worship a higher being could also have got him into a lot of trouble. Montaigne knows what he believes in, and lets others know as well. 
</p>
<p>
I too believe that the ideas that you hold should have prevalence over all other ideas. For me, the self plays almost as an important role in my life as it did in Montaigne&rsquo;s. The only ideas that you can truly know are your own, and the only person that you can truly know is yourself. An example of this from Montaigne is in his essay on repentance where he states that one should &ldquo;live the life of man in conformity with his natural condition&rdquo; (Montaigne, 913). To me the natural condition of man is a dependency on himself. Although this may seem to be outrageous, I do not believe it is. We must consider that we must make our own choices in life, even if one of those decisions is to forfeit our choice to make decisions to another. 
</p>
<p>
Another reason that I believe that the self is the most important authority in one&rsquo;s life is because all other authorities are made up of, or created by, groups of individuals (if not solely individuals). Why is it that one individual, or group of individuals, knows more then I know? As Montaigne states, you need to find things out for yourself. If someone tells me that I should do something, and either their explanation fails or my happiness with their explanation fails, then there is no reason that I should follow them. 
</p>
<p>
Another thing that I agreed with Montaigne about was our difference, or lack of, from animals. When thinking about the self it&rsquo;s important to not forget completely about other people and that they too wish to guide their lives by their own authority. In the essay, he shows, pretty well in my opinion, that we are not different from animals. This too can be applied to people that are different from us because of various reasons, such as locale or mental capacity. In <em>On Cannibals</em>, he states this better in his opening paragraph about King Pyrrhus and his impressions of a &ldquo;barbaric&rdquo; people. These supposedly barbaric people were in fact fairly well off. It is simple to draw similarities between animals and barbarians, and from are other readings we find that many people believed this way. From this, I see that although the self can be an authority, it&rsquo;s important to look at other authorities. 
</p>
<p>
This too is something that Montaigne did. By taking other authorities, and using them, but keeping the self as his primary authority, he was able to see from many different perspectives. Perhaps that is why I see Montaigne as the most important writer of this time, because he has a perspective that not only uses some of the same authorities as the other authors that we&rsquo;ve read but also his own. 
</p>
<h3>Bibliography:</h3>
<p>
Michel Eyquem de Montaigne. <u>The Complete Essays</u>. M.A. Screech, Editor. Viking Penguin, 1993. 
</p>

