+++
title = "Philosophy, Politics, and Law Final Regarding Justice and Various Philosophers"
description = "Paper regarding the philosophical question of justice, from a political-philosophical perspective, drawing upon various philosophers."
draft = false
comments = true
date = "2002-12-18T01:01:00-06:00"
modified = "2008-01-25T21:17:34-06:00"
slug = "Philosophy-Politics-and-Law-Final-Regarding-Justice-and-Various-Philosophers"
blogengine = "d5e6cd50-175e-40a1-aa59-3af9f4d47f44"
categories = ["article", "philosophy"]
tags = []
+++

<p>
For over 2500 years, philosophers have debated on such issues as rights, reality, freedom, and justice. In all of those years, one decision on what is meant by these terms has never been set in stone; a final definition - or answer - has never been reached. Therefore, when someone asks the philosopher, or even one who has merely studied philosophy, what justice is, or what any of the other terms mean exactly, there is typically not one answer that is prevalent to all. Indeed, if there is one common answer, it is &#39;I do not know.&#39; However, while some people would argue that, since we have not come to a conclusion in all that time, perhaps there is no one set answer, others would say that there is indeed, in fact, an answer and it needs to be found. For this paper, I will be discussing why I believe that the question of what justice is has been answered, to some extent, by showing some of the commonalities of some of the philosophers that we have read this semester.
</p>
<p>
It is my belief that justice is doing what is congruous with your rights and duties as set out by your relationships with others. That is, if people do what they are allowed to do - doing what they have a right to do - and do not do what they have a duty not to do, then they are acting in a just way. The way in which we gain these rights and duties is by our interaction with other people.
</p>
<p>
For example, in Hobbes&#39; <em>Leviathan</em>, Hobbes talks about the state of nature, in which man lives in fear, as there is only chaos. If any man wants what another has, he merely kills, or incapacitates, the individual who has what he wants. Hobbes tells us that it is only by choosing someone, or something, to lead over them, can people live in peace. This watcher will keep each individual in check, as each individual will know that if he steps out of line, then each other individual will join together against him.
</p>
<p>
Locke points out this same idea. Without forming together and formulating some laws by which everyone should abide by, each person will have to watch out for themselves, and their own interests. However, once a contract has been set up, each individual can fulfill their desires, as long as they are not stopping anyone else from fulfilling their respective desires. Not only that, but by forming together, many things that were hard for one person to do by himself now become much easier. That is, individuals are now able to specialize and therefore become better at what they can do.
</p>
<p>
Later, Kant, in <em>On the Common Saying: &quot;This May Be True in Theory, but It Does Not Apply in Practice,&quot;</em> states that rights are those things which restrict &quot;each individual&#39;s freedom so that it harmonises with the freedom of everyone else&quot; (782). In other words, Kant is telling us to act in the same way that we would want everyone else to act. Therefore, it appears as though these three philosophers have come to the same basic idea, that individuals have interests that they wish to fulfill and that the only plausible way to fulfill those interests is to join together with each other in order to protect their ability to do so.
</p>
<p>
Unfortunately, some people would not act in this way, because they have not yet realized the truth of the things that Hobbes and Locke have pointed out, about the state of nature. Namely, that if one does not act in the way prescribed above then they are destined to be attacked by people that feel the same way, but are stronger. It is then the state that shows these individuals that what they wish is in fact not what they really want.
</p>
<p>
In fact, if we look at Machiavelli&#39;s writing, <em>The Prince</em>, we see that Machiavelli is more interested in how the Prince should run his kingdom then if he should be just to his people. Furthermore, if we look at many of the things that Machiavelli suggests, they may be called unjust by many philosophers, because the state is acting in a way that the people under it are not respected as the individuals who first allowed the power to step into play. Therefore, one of the reasons that Machiavelli doesn&#39;t go into justice is because he does not believe that politicians always need to care about justice, but that they should instead care about keeping their power. Machiavelli also shows us what has been stated above, that people do not often realize that they should act in the way that Kant prescribes. After all, Machiavelli is writing this in order to gain some prestige in the eyes of the rulers. Therefore, Machiavelli can give us little insight into how we come upon what justice is, as he is looking only to improve his own standing, but he can give us insight why a state is important, as well as what it should not be like.
</p>
<p>
Machiavelli and Hobbes, and perhaps even Plato, argue that the leader, or the state, is inviolable. Hobbes argues against revolution by the people, and Machiavelli would probably argue that those in power should do whatever they can do to stay in power. On the other hand, Locke and Kant do not agree with this. The state should serve the best interests of those whom it watches over, and, should the people that it watches over wish, they may break from the contract - even through revolution.
</p>
<p>
Hegel and Marx also play a somewhat limited role in the debate over what justice is. Hegel argues that the philosopher cannot make policies, and therefore makes an argument against Plato&#39;s idea of the &#39;Philosopher King&#39;.
</p>
<p>
One of the questions that has not yet been resolved concerns who exactly will lead the people. Even if one allows the fact that people sign into a contract of sorts in order to be able to do what they want, as long as it does not stop another from doing what they want, there still is the question of who will lead. Plato, in the Republic, argues that it is the philosopher who is best suited to fulfill this function. Therefore, the question of who should rule is brought to the front.
</p>
<p>
Marx also asks a similar question. While Marx is specifically talking about the workingman&#39;s revolution against the business owners, his words have some importance. For example, Marx raises the question of whether the whole &#39;state of nature&#39; story is just that, a mere story. Marx also argues against Machiavelli, Hobbes, and Plato, in that revolution should be allowed by the people.
</p>
<p>
Therefore, we have so far come to some vastly differing conclusions. Every philosopher that we have looked at would probably believe that everyone has some desires that they wish to fulfill. Also, there either was an original state of nature, as told by Hobbes and Locke, or there was not. If there was not a state of nature, then it is merely a story that is being used to get the people to believe what those in power want the people to believe, as Marx believes. If there was indeed a state of nature, then it was either brutish, as Hobbes tells us, or it was not, as Locke tells us. Either way, Hobbes and Locke both tell us that we, the people, entered into a contract to remove ourselves from the state of nature, and enter into a society.
</p>
<p>
According to Plato, the society should be run by a philosopher, who is also the king. However, Hegel argues that the role of the philosopher is to look to the past and talk to others about the conclusions that he reaches. However, the philosopher does not have the ability to talk about the future, merely the past. After all, the philosopher seeks the truth, and one can only know if some policy was the correct one after seeing how things turned out. Therefore, if the philosopher were to make a policy, as Plato&#39;s Philosopher King would have to do, and the policy ended up being the wrong policy, then the Philosopher King is no longer a true philosopher.
</p>
<p>
In fact, if we do not allow the philosopher to search out the leader, if we only allow him to speak to those that will listen, than we can effectively deal with Machiavelli&#39;s philosopher, who acts more like a puppet master - pulling the strings of those in charge to gain some prestige - then a philosopher.
</p>
<p>
Of course, then the question becomes, if the philosopher believes that his theory is correct, why can&#39;t he try to convince others? After all, most people believe that the truth is good and that if someone knew the truth, but wasn&#39;t sharing it with others, that that person would be acting unjustly.
</p>
<p>
The main goal of a philosopher is to find the truth. One of the truths that has yet to have been found is what justice is. However, I have argued that combining the theories of Hobbes, Locke, and Kant, along with the consideration of Plato, Machiavelli, Hegel, and Marx, can lead to a definition of what justice is. To sum up, I believe that justice is performing your rights and duties, as per Kant&#39;s writings. However, some sort of power to watch over the involved individuals is necessary. In addition, the power too must be watched over as well, so that it does not become a hindrance to any individual.
</p>
<p>
Of course, there are others who will disagree with my conclusions, and this is the fundamental problem that keeps popping up. As we have seen, while Plato, or Kant, or any other philosopher, may believe that they have the correct answer to the philosophical question that they are pursuing, there will always be someone else, such as Hegel or Marx, who will either come along and say that what they believe is nonsense, because there is a different way to look at the problem, or that what they are suggesting is merely a story and cannot be proven, one way or another, and therefore cannot be the truth.
</p>
<p>
So, while I set out to find what justice is, I cannot say that I have. Instead, I have found a &#39;working&#39; definition that works for me, but one that others may not agree with. Of course, if I were to come across another definition, one that was superior to the one that I now hold, then I would examine the new definition, and perhaps take it as my own. After all, is that not what the philosopher is supposed to do?
</p>
<h3>Bibliography:</h3>
<p>
Steven M. Cahn, Classics of Political and Moral Philosophy (Oxford, 2002).
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> December 17th &ndash; 18th 2002
</p>
<p>
<strong>Modified:</strong> February 13th 2004; February 5th 2005
</p>

