+++
title = "Psychology and Life Paper - Into the Next Millennium"
description = "Paper regarding violence in today's (read: in 1999's) world."
draft = false
comments = true
date = "1999-12-20T02:01:00-06:00"
slug = "Psychology-and-Life-Paper-Into-the-Next-Millennium"
blogengine = "20ce8ef6-1374-4bb0-b291-76270a43a495"
categories = ["article"]
tags = []
+++

<p>
In May 1998, at Thurston High School in Springfield, Oregon, Kip Kinkel opened fire on his fellow students and his own parents. In April 1999, at Columbine High School in Littleton, Colorado, two students opened fire on teachers and students, and then killed themselves. What caused these students to kill other students? What attracts humans to violence, and what causes some people to push aside their moral values to actually be able to commit such violent acts? Many people are searching for those answers, and some find these answers in media, entertainment, and our upbringing. So what can be done? What causes people to like watch violence? What gives us this unquenchable thirst for blood and hate? What causes people to cross that line to actually become violent? Using psychology, we may be able to answer these questions and lower the amount of violence.
</p>
<p>
From television newscasts and shows to schoolyard shootings and weapons in our classrooms to a five year old&rsquo;s favorite cartoons, violence is everywhere and is beginning to surround us, threatening to suffocate our society. In many cities, merely being on the streets at night is not the kind of thing that you want, or dare, to do. Shootouts can and do occur in many cities, often fatally wounding innocent people, including children. It seems that as the years go by, more and more violence occurs in our schools, on our streets, and all across the world. Will this violence become a greater problem in the next millennium?
</p>
<p>
Violence is most prominent on television, and many believe that this violence leads us to violence. For example, on Jerry Springer, a popular talk show, people from around the United States come on and attack each other while the audience watches and cheers, encouraging the dirty fights. Instead of maturely sitting down and talking out their problems with each other, they go on national television and usually tell the world something personal and intimate that purposely devastates the other person. Perhaps the most violent television show is the nightly news, where you can find out as much as you want about some sort of violent act, and rarely hear about the good things. Not only television, but movies contain violence, and often the highest grossing movies are those with the most shootings and car crashes and bloody fight scenes. Humans love to watch this kind of entertainment, or else it would not exist.
</p>
<p>
Some psychologists believe that the reason that youth commit violence is because it instills a sense of power in them that they are otherwise unable to feel. Some people believe that the amount of violence in media, such as television, movies, and video games is the cause. When people watch violence on television and do not see the true impact of the violence, they are getting a false view of violence. Most people watch movies that are violent because they are exciting, and can get their heartbeat up, and their adrenaline pumping. Instead of running, or actually doing something, people are able to get the same &#39;rush&#39; from simply watching a movie. However, most people don&rsquo;t go and commit violence after only seeing it in movies or games. Just think if everyone who has ever played Mortal Kombat, a bloody martial arts video game, went out and tried to kill someone! While I&rsquo;m sure this sort of violence in our media cannot help, there must be something else that drives people to commit these crimes. Most people know, morally, that committing violence is wrong. Unfortunately, there are always the few that either forget or were never fully capable to understand that.
</p>
<p>
Many social factors can lead to violence. Many young people today believe that the only way that they can be happy or to be liked is to join a group of people. Sometimes this group may be a gang, or a particularly rowdy group of people. Some of these groups go out and commit violent acts or do other unlawful or harmful acts. Because of group pressure, children and teenagers might do things that normally they would not think of doing. Along with fitting in, not fitting in can also lead to violent acts. Frustration built up from constantly being picked on, or from being continuously rejected by people can lead to that person getting &lsquo;fed up&rsquo; and committing violence.
</p>
<p>
In some families, abuse can lead to the children becoming violent. In some cases, it has been found that abuse in the family, particularly spouse abuse, can be learned or picked up by the children. Usually, the children will go on to abuse their spouses. In these kinds of cases, people view violence and, since it might be common place in their home, do not see that it is unacceptable behavior. Another common occurrence is prejudice when the peers of the individual act prejudiced towards a particular race or religion, and thinking that this is okay, begin to do or say the same things. Albert Bandura studied observational learning, which is how both of the above are learned. Observational learning is when one person sees someone else doing something, and they imitate that person.
</p>
<p>
There are many ways to reduce violence. Increasing public awareness could help. The more people know, the better off they are. Parenting classes could be developed in communities, in which parents could go and learn techniques to make sure that kids grow up to be the best they could be. Also, young people should be told about help that they could get. This would really help in cases of abuse, where some children believe that it is there fault. If there is more public awareness, many cases of violence could be stopped before they take place.
</p>
<p>
Violence can be found almost everywhere these days. It is very probable that this will become a major problem in the next millennium. Using psychology, it may be possible to decrease the amount of violence in today&rsquo;s society, by reversing the effects of observational learning and other psychological problems.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> December 20th 1999<br />
<strong>Modified:</strong> September 10th 2004; November 26th 2004<br />
Modifications are purely superficial and were not changes to content (save any spelling mistakes).
</p>

