+++
title = "Religion and Medieval Philosophy: Final Take Home Exam"
description = "Final take home exam for a Religion and Medieval Philosophy course."
draft = false
comments = true
date = "2003-05-07T17:35:00-05:00"
modified = "2008-06-28T13:20:20-05:00"
slug = "Religion-and-Medieval-Philosophy-Final-Take-Home-Exam"
blogengine = "06412f9d-600e-4442-a652-8a8576ad0109"
categories = ["article", "philosophy"]
tags = []
+++

<h3>1. Present Algazali&rsquo;s argument for the incoherence of the philosophers and Averroe&rsquo;s response to it. Also present your own critique.</h3>
<p>
Algazali, in <em>The Incoherence of the Philosophers</em>, argues that &ldquo;what is customarily believed to be cause and what is believed to be an effect is not necessary, according to our opinion; but each of the two [namely, cause and effect] is independent of the other.&rdquo; [1: 283] In other words, while philosophers believe that there exists such a law that if <em>x</em> occurs then <em>y</em> occurs &ndash; that there is a system of cause and effect &ndash; Algazali believes that there is no relationship between cause and effect. Instead, it is God that is the cause of everything. &nbsp;Also, Algazali states that God is not affected by anything. So, it would appear then, that there is nothing but causes, all occurring because of God&rsquo;s will. 
</p>
<p>
So, &ldquo;it is within the power [of God] to create satisfying hunger without eating, to create death without decapitation, to let life continue even if decapitation occurs, and so forth for all connections.&rdquo; [1: 283] In other words, to use his example, the philosophers do not believe that cotton, or any other flammable material, could turn into ash except for by coming into contact with fire. Algazali, however, states that it is within God&rsquo;s power to turn cotton to ash, just as he can make it so that a prophet, thrown into a fire, will not be burned. 
</p>
<p>
His main argument is that one cannot know whether or not fire really is the acting cause of the thing, as observation does not show us all of the causes of something being one way. Just because a blind man one day opens his eyes and is able to see things around him, where once he could not, does not mean that his opening of his eyes was the cause of the things that he sees, as those things were there before he opened his eyes. 
</p>
<p>
Another point which he attempts to discuss is whether or not fire can refrain from causing something to burn, as the philosophers say that &ldquo;fire acts by nature not by choice.&rdquo; [1: 284] Of course, following from above, it is God who causes fire to burn, not the nature of fire. So, just because a man is thrown into a fire and does not burn does not mean that fire has changed, but rather that it is true that God is the cause of all things. 
</p>
<p>
Of course, Algazali does not think that free will does not exist, as it does, both in God and in us. However, it is God&rsquo;s generosity, or will, that allows such and such to be. 
</p>
<p>
Another main argument for the incoherence of the philosophers, in addition to the fact they believe that cause and effect is a law, when in fact it is God that is the cause of all things, is that they believe that God can do the impossible, when he cannot. God cannot make something completely black and completely white at the same time. Algazali says that &ldquo;no one [not even God] has power over the impossible&rdquo;, which is the &ldquo;simultaneous affirmation and denial of something.&rdquo; [1: 289] Also, one thing cannot be changed into another thing (genera-wise, such as blackness to power) because if the first thing no longer exists, how can it have changed into the second, especially since there is no common material between the two? 
</p>
<p>
Averroes, in <em>The Decisive Treatise Determining the Nature of the Connection Between Religion and Philosophy</em>, talks about philosophy&rsquo;s role in religion, and whether or not philosophy is of use. Averroes argues that philosophy does have a role, a very important one, to religion, as one should seek the truth, no matter where it comes from. To say that philosophy &ndash; all philosophy &ndash; is of no use would be to ignore an important body of texts, many of which have truths hidden within them. 
</p>
<p>
To put it quite simply then, Averroes does not believe that philosophers are incoherent, as a whole, but instead that they can be of some use in finding the truth. Also, one cannot call someone an unbeliever because of something that they believe because no one can really know how something really works, it is only God that can know these things. 
</p>
<p>
To be quite frank, I found Algazali to be quite incoherent on his end. His basic points seem to be that cause and effect do not exist, that God can do anything but the impossible, and that while we have free will, it is God that determines whether or not something will happen, being the sole causer of things. To me, this seems as though it would point instead to a very deterministic look at the world, or, at the least, that we are but puppets controlled by God. In addition, I cannot see how God cannot be affected by anything, as it would seem as though God would have some reason for causing some thing to happen how it does. Even if we belief that he has free will, it cannot be absolute free will in that he is completely free from any influence, as he cannot cause it to rain in a place when it is already raining. If he caused it to rain, for example, in Madison, then he is not going to cause it to start raining until after the original rain shower stops. Because he already caused it to start raining, because it is raining in the location already, it causes him to not cause it to start raining until after his first rain shower ends. 
</p>
<p>
Even if one does not admit that the state of the world has an effect on what God causes, they must admit that God&rsquo;s previous actions influence, or have an effect, on his later actions. One may state that God exists outside of time, but, to me, this cannot be proven, and then one must wonder what this really means. From my very limited knowledge of the Bible, such as the creation myth &ndash; or story of creation if one prefers &ndash; it would seem that the Bible points towards God existing in time, as he created the universe in 6 days. Otherwise, the ceaseless arguments about what 6 days means would be frivolous activity on the part of the religious individuals that partake in the debate. 
</p>
<h3>2. Explain Aquinas&rsquo; five ways and present your critique of them in detail.</h3>
<p>
In Thomas Aquinas&rsquo; <em>Summa Theologica</em>, Aquinas discusses the existence of God &ndash; specifically how we can know that God exists. He has 5 ways by which man can know that he exists, as described in the first part of the <em>Summa Theologica</em>, within article three of question two. 
</p>
<p>
The first way to know that God really exists is the &ldquo;argument from motion.&rdquo; [1: 525] In this argument he proposes something like the following: 
</p>
<ul>
	<li>In the world there are things that are in motion.</li>
	<li>Something can only be moved by something else in motion. </li>
	<li>Something cannot move itself &ndash; something cannot make itself move it is in a state of not moving.</li>
	<li>Something can only be moved by something outside of itself.</li>
	<li>There cannot be an infinite regress of movers. That is, if everything is moved by something else, (so A moves B and B moves C and C moves D and D moves E and E moves F&hellip;) then one could argue that there is an infinite number of movers (in that A must be moved by something, and that thing must be moved by something) which could not be.</li>
	<li>Therefore, there must be an unmoved mover, something which is not moved yet moves, which must be God.</li>
</ul>
<p>
The second way to know that God exists is &ldquo;from the nature of efficient cause.&rdquo; [1: 526] This argument, quite simply, states that, like the first way, something cannot be the cause of itself, and yet everything needs to have a cause. It, like above, is not possible to continually go back in the &lsquo;cause and effect chain&rsquo; so, we must say that there is an uncaused thing, which is God &ndash; the efficient first cause. 
</p>
<p>
The third way is &ldquo;taken from possibility and necessity.&rdquo; [1: 526] This argument states that if everything has the possibility of not being, there is a possibility that there could be a time in which nothing exists. However, since something can only exist because of something that already exists, it cannot be that there could possibly be a time in which nothing exists, or nothing would be able to exist after that time. Therefore, like the first and second ways, God has not possibility of not existing, as there must be something which must always &ndash; which must necessarily &ndash; exist. 
</p>
<p>
The fourth way is &ldquo;taken from the gradation to be found in things.&rdquo; [1: 526] According to this argument, since all things have some amount of a property in them &ndash; such as goodness, nobleness, etcetera &ndash; there must be something which is the &lsquo;goodest&rsquo;, noblest, etcetera. This is because Aquinas believes that there is something which these things take a part of, or try to emulate. This thing which is the cause of all the gradations of properties must be God. 
</p>
<p>
The fifth way is &ldquo;taken from the governance of the world.&rdquo; [1: 527] According to this argument, some &ldquo;intelligent being exists by whom all natural things are directed to their end&rdquo; [1: 527] &ndash; there must be something which makes sure that all things obtain the best result, or obtain their end &ndash; and this thing is God. 
</p>
<p>
The only ways that I really have a problem with are the ones that conclude that God exists. Honestly, how can it be that God is not caused, as we must wonder how he came to exist. The typical answer is that God has always existed, but then aren&rsquo;t we arguing that God has existed for an infinite amount of time, meaning that there was never a point in which God first began to exist? We have not removed an infinite regress, we have simply said that God causes these things to be or to move. We could, I think, just as easily say that the &lsquo;big bang&rsquo; causes things to move and be, and state that there was no time before the &lsquo;big bang&rsquo;. This then is my problem with the first and second ways, which I cannot articulate as well as I would like. 
</p>
<p>
The third way is a problem for me because I am under the impression that there are certain things which are the building blocks of everything else. They were once atoms, and are now strings, or some such. To me, these are the things which must exist, as everything has these blocks within them. Why not say that it was not God, but these basic building blocks that have always existed, and, through their motion, of which has always existed in them, the things around us have been created. 
</p>
<p>
As for the fourth way, just because things have varying degrees of properties within them does not mean that there is one thing which has all of these properties. Quite simply, how can God be beautiful, which is one property which has varying degrees of gradation, if God is immaterial and beauty refers to animate things? Also, if one person thinks that a painting is beautiful, and another person does not, how can it be that there is one thing which is beautiful to everyone? If we say that it is an idea, then that is quite alright, however, the problem is, could someone say that &lsquo;<em>x</em> is the most beautiful thing that you could see&rsquo;? If so, then it must be God that they are referring to, mustn&rsquo;t it &ndash; but how could that be? 
</p>
<p>
Finally, the fifth way, which says that there must be an intelligence that governs the world, is not adequately proven. If I continue with what I stated in my comments for the third way, then it could be that the nature of the basic building blocks is what determines that the world is how it is. While man wishes to believe that everything which has order must be that way because of some intelligence, I do not see that this is the case, as I believe that it is because of the nature of the thing itself. Of course, one will say that that proves that God is the governor of the world since God creates the things and their natures. Basically, then, while I disagree with this final way, I can make no adequate argument against it. 
</p>
<h3>3. Aquinas argues that we have a free choice. Explain Aquinas&rsquo; concept of free choice.</h3>
<p>
In the first part of the <em>Summa Theologica</em>, in the first article of question 83, Aquinas argues against the claim that man does not have free choice. According to Aquinas, &ldquo;Man has free choice, or otherwise counsels, exhortations, commands, prohibitions, rewards and punishments would be in vain.&rdquo; [2: 203] The main reason that man has free choice is because he is rational, as opposed to the animals or to inanimate objects, which must act in a certain way. Inanimate objects can only act in such a way based upon the one who acts in them, since they cannot act by themselves. Animals act, but only in so far as their instincts guide their actions. They, unlike inanimate objects, can also sense, but, what they do when they sense something is based upon a certain pattern, which, based on Aquinas&rsquo; other works, is created/formed/set down by God. 
</p>
<p>
Humans, like animals, can act and can sense. In addition, they also have rationality which allows them to choose how they would like to act. However, just because they have the decision to do one thing, and not another, does not mean that they will be able to act how they wish, as it is God that determines whether or not one will be able to do what they will. This does not imply &ndash; one&rsquo;s inability to act according to what one wills &ndash; that they have no free choice, as a prisoner can still will to act in a certain way, even though the cell that they are in confines their available actions that they can actually do. 
</p>
<h3>Bibliography:</h3>
<p>
1: A Hyman &amp; J Walsh, <em>Philosophy in the Middle Ages: Second Edition</em> (Indianapolis/Cambridge: Hackett Publishing Company, 2001).
</p>
<p>
2: Handouts/Photocopies.
</p>

