+++
title = "Religion and Medieval Philosophy: Mid Term Take Home Exam/Essays"
description = "Midterm take home exam/essays for a Religion and Medieval Philosophy course."
draft = false
comments = true
date = "2003-03-24T02:48:00-06:00"
modified = "2008-06-28T13:25:44-05:00"
slug = "Religion-and-Medieval-Philosophy-Mid-Term-Take-Home-Exam-Essays"
blogengine = "14aeae18-e432-47bd-aa19-32a2e08bb510"
categories = ["article", "philosophy"]
tags = []
+++

<h3>1. According to Augustine, God is not responsible for the existence of evil. What is his argument? Present the argument in detail.</h3>
<p>
In On Free Will, Augustine speaks of man&rsquo;s freedom to will, or make decisions, for himself. He also speaks of evil, and how a man can do evil, as well as where evil comes from. Now, Augustine believes that man is inclined to do Good, which is to follow God and seek out happiness, through virtuous activity, and not through the goods of this physical world. However, there are those that do not seek out happiness through God, but rather by attempting to emulate others that are happy &ndash; or that appear to be so &ndash; and seeking out personal satisfaction by material means. This, according to Augustine, is evil. 
</p>
<p>
The question is where does evil come from? One might say that since it is God that has created everything, it must be God that has created evil as well.&nbsp; However, Augustine disagrees. While it is true that &ldquo;nothing of any kind can happen which is not of God&rdquo;, it is also true that &ldquo;all good is from God&rdquo; and good, as well as God, are of perfection. How can something as perfect as God create evil, or sin, which is a defect [1:55]? Instead of coming from God, evil/sin/defection &ldquo;comes from nothing&rdquo; [1:56]. 
</p>
<p>
However, evil doesn&rsquo;t appear to come solely from nothing, as it is because of a human beings voluntary will &ndash; because they decide to do evil instead of the good &ndash; that evil comes into being. He continues speaking of evil when he says that &ldquo;if you fear it, all you have to do is simply not will it. If you do not will it, it will not exist&rdquo; [1:57]. 
</p>
<p>
It is also important to note that Augustine stresses that we do indeed have free will. While Evodius, the individual that he is having this dialogue with, compares the soul to a stone, Augustine disagrees, in that he believes that the stone must follow a path, while the soul can do things of it&rsquo;s own will. A stone cannot stop itself from falling down if it dropped at a distance from the ground, but a soul can stop itself from falling to evil &ndash; it can, at almost any time, decide to follow the path towards the good/God instead of that towards evil &ndash; it need merely will it. 
</p>
<p>
Therefore, it cannot be the case that God creates evil, as God is perfection and therefore cannot create a defect, and sin/evil is a good example of a defect. Instead, it is human beings, because of their ability to will freely, that bring about evil. If they only seek out the good, then evil would not exist, so to speak. 
</p>
<h3>2. Present Augustine&rsquo;s proof of God&rsquo;s existence and Anselm&rsquo;s proof of God&rsquo;s existence in detail.</h3>
<p>
Augustine&rsquo;s proof of the existence of God is best seen in On Free Will where he specifically wishes to discuss this question. However, before they prove the existence of God, Augustine would like to prove the existence of the self with Evodius. The question of existence is quite simple for Augustine, just like it was/will be for Descartes, as Augustine knows that if you think you can be deceived, then you must exist, as &ldquo;if you did not exist it would be impossible for you to be deceived&rdquo; [1: 34]. Also, Augustine believes that it is also apparent that, since one knows that they exist, they must also know that they are alive and that they have intelligence. After all, that which does not live &ndash; something like a rock, for example &ndash; does not question whether or not it is alive, and an animal, which is living, does not question if it exists, as it has no intelligence to do so. 
</p>
<p>
Augustine next questions how one knows of things outside of the self. Clearly it is the senses &ndash; sight, hearing, taste, touch and smell &ndash; which cause us to know the properties of things outside of us, such as that they exist. However, what if one has damage inflicted to their eyes, so that they can no longer see, during some time of rest? If this were to happen, they would no longer be able to see. They would know that they can no longer see not by their eyes, which normally see things, but rather by their reason, or some internal/interior sense. This would be true for all of the exterior senses &ndash; those senses which tell the self about the external world &ndash; they are all under the &lsquo;rule&rsquo; or &lsquo;jurisdiction&rsquo; of the interior sense. Also, only the interior sense can know of itself, while the exterior senses cannot (one cannot hear hearing, or taste taste, but one can reason about reason). 
</p>
<p>
Augustine goes on to say that it appears to him that whatever is superior to man&rsquo;s interior sense, or reason &ndash; as the interior sense is superior to the five exterior senses &ndash; must be called God. Wisdom, Augustine and Evodius find, is one thing which is even greater then reason. Since there is then something which is higher then reason, there must be a God. Augustine does not state whether or not God is wisdom, but he does say that God is truth, as well as the Good &ndash; the ultimate, highest good &ndash; and Augustine only need to show that there was something over and above reason, which he did. 
</p>
<p>
Anselm has a different approach to the existence of God (one which I did not agree with when Dr. Jeffreys went over, and one that I still do not agree with). His &lsquo;proof&rsquo; is contained in the <em>Proslogion</em> and is fairly short. The basic idea of Anselm&rsquo;s proof is that there must be something, some thought, which is the highest thought. That is, unlike numbers, for example, which do not have a ceiling (in that one could always just add 1 to, or put a zero at the end of, the last number) Anselm believes that there must be &ldquo;something-than-which-no-greater-can-be-thought&rdquo; [1:150] and that it could only be God which is this thing. Not only that, but God must exist in reality as well; otherwise there would be something greater, namely something that has God&rsquo;s properties and also exists. Clearly then, according to Anselm, there must be some thought which is greater then any other thought, namely the thought of a God that is God, and God must exist, otherwise there would be some thought that would be greater then the thought of God (namely the thought of a God that really existed). 
</p>
<h3>3. What is the Problem of Universals? Explain why this problem is a real problem. What is Abelard&rsquo;s position concerning this matter? Present the argument in detail.</h3>
<p>
The question of universals is, does &lsquo;blackness&rsquo; or &lsquo;whiteness&rsquo;, or something similar, exist along with specific things? That is, we use the word &lsquo;man&rsquo; to categorize all human beings. At the same time, we could take all items that are black and put them into a group of one kind or another. The question is, does &lsquo;man-ness&rsquo; &ndash; that which makes something belong to the category of man &ndash; really exist somewhere, or is it but a word that we use to categorize things? Plato and Aristotle dealt with this question, along with many other philosophers, and Abelard wishes to as well. However, he believes that he has an answer to the problem of universals. In <em>The Glosses of Peter Abailard on Porphyry</em>, Abelard states that he would like to discuss genera and species &ndash; or universals and particulars &ndash; as well as answer some questions that commonly arise related to them. Abelard&rsquo;s first question &ndash; &ldquo;namely, whether genera and species subsist or are placed in the naked understandings alone, etc., as if he were to say: whether they have true being or whether they consist in opinion alone&rdquo; &ndash; best sums up the problem of universals [1:170]. 
</p>
<p>
To quote from what I wrote in another paper, the first question is whether or not genera and species really exist someplace, or whether they are merely things of the imagination. For example, we have the class of all animals which consist of the various birds, lions, tigers, bears, monkeys, humans, etcetera. In our example, &lsquo;animals&rsquo; would be the genera, and the various animals under the genera &ndash; such as lions and tigers and bears &ndash; would be the species. Every species &ndash; lions and tigers and bears &ndash; &lsquo;belongs to&rsquo; the genera &ndash; animal(s) &ndash; in that they all have some similar property by which they can be categorized. Does &lsquo;animal&rsquo; exist in some realm, or, is &lsquo;animal&rsquo; simply a word that man created in order to order the various animals? 
</p>
<p>
Clearly this is a question worth asking, as it makes one wonder whether or not, if everything were to be destroyed, there would still be those things which were destroyed. For example, if all tulips were destroyed, would &lsquo;tulip&rsquo; also cease to exist, or would it really exist somewhere? Also, would it exist solely in the mind, or would it be able to exist without the mind? After all, one could argue that all of the T-Rexes are gone, in that they are no longer living, but we still know what a T-Rex is, and they therefore must exist somewhere. If they existed solely in the mind, then if there were no minds, that would mean that if every mind was destroyed, there would be no T-Rexes. 
</p>
<p>
To this question Abelard answers that genera and species exist in so far as they name things which exist in reality. In other words, &lsquo;animal&rsquo; exists in that it is used by man to classify things which exist in reality, namely animals. Abelard continues on, in his other answers to questions that he had asked, to state what seems to be an argument that there is no &lsquo;Domain of the Universal&rsquo;, or a place in which universals really exist. Instead, universals, to Abelard, appear to be a way by which man categories things so as to be able to better understand the things around himself. 
</p>
<h3>4. Abelard&rsquo;s ethics can be described as an ethics of intention. Abelard argues that a bad desire or a bad action cannot be identified as morally wrong or sin. Present his argument in detail. Also, discuss whether Abelard&rsquo;s position is acceptable.</h3>
<p>
My father is a very sick man and has been laid up for a few months. Wishing to hasten his death, as well as my inheritance, I meet with an individual who gives me a pill that is guaranteed to kill my father, and leave no traces that would bring blame to me. I slip the pill into my father&rsquo;s food, and he falls asleep. After a few hours, my father awakens, and is able to stand up and walk around, something which he had not been able to do for many months. After an examination, the local doctor finds no traces of the disease that had once plagued his body. The pill that I gave him appears to have not killed him, but rather given him back his old way of living, and with that his life. 
</p>
<p>
Clearly, if someone where to find out my involvement in this, I would be praised, until it became clear that I wished, or intended, that the pill would have killed him, and not saved him. To borrow from an old saying, &lsquo;it&rsquo;s how you play the game, not whether you win or lose&rsquo;. Any judge &ndash; but especially God for Abelard &ndash; &ldquo;weighs the intention rather than the deed in his recompense. Nor does the deed, whether it proceed from a good or an evil will, add anything to the merit&rdquo; [1:191]. This is an ethics of intention, or an ethics of will. However, Abelard does not stop there, as there is more. 
</p>
<p>
Will is linked very closely with desire. What one desires &ndash; to use the example above, the desire to kill my father so as to gain his money &ndash; is usually what one intends to have, or what one wishes to happen, or occur. Of course, it is one thing to desire something, or wish something to come about, and another to actually bring it about, or continue with your desire. It may be my intention to ask a particular girl out, but it is another to follow through, and actually ask the particular girl out. So too may I desire the death of my father, but not actually make any steps towards hastening his death. Consenting to fulfill your desire, if the desire is one which is not good, is a sin, according to Abelard &ndash; simply having the desire is not. 
</p>
<p>
To clarify, we have various combinations by which we can look at an action, and that which lead up to the action. Using a table would best showcase this, as we will see in the following table which shows the relationship between intentions and results of an act. 
</p>
<table border="0" summary="The relationship between intentions and results of an act">
	<tbody>
		<tr>
			<td valign="top" style="width: 33%">
			<p>
			&nbsp;
			</p>
			</td>
			<td valign="top" style="width: 33%">
			<p>
			Good, or neutral result 
			</p>
			<p>
			(ex: not acting on a bad desire, or acting on a good one) 
			</p>
			</td>
			<td valign="top" style="width: 33%">
			<p>
			Bad result 
			</p>
			<p>
			(ex: acting on a bad desire, such as causing harm) 
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			Good, or neutral intention 
			</p>
			<p>
			(ex: Wishing health for someone) 
			</p>
			</td>
			<td valign="top">
			<p>
			Since the intention is good, and the result is as well, the individual did not sin. 
			</p>
			</td>
			<td valign="top">
			<p>
			While the intention was good, the result was not, and therefore, the individual has sinned. 
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			Bad intention 
			</p>
			<p>
			(ex: Wishing harm to someone) 
			</p>
			</td>
			<td valign="top">
			<p>
			Bad intention cancels out the good result. Therefore, the individual has sinned. 
			</p>
			</td>
			<td valign="top">
			<p>
			A bad intention, and a bad result means that the individual has sinned. 
			</p>
			</td>
		</tr>
	</tbody>
</table>
<p>
It is important to note, looking at this table, that the sin committed by the individual with a good intention is not the same kind of sin as those committed by the individual(s) with the bad intentions. The &lsquo;good intention-bad result&rsquo; sin is an involuntary one, while the &lsquo;bad intention-good/bad result&rsquo; sins are voluntary sins. This is an important distinction to keep in mind. 
</p>
<p>
As stated in the essay question, &lsquo;Abelard argues that a bad desire or a bad action cannot be identified as morally wrong or sin&rsquo;. This can be clearly seen from the examples above. One cannot rely solely on looking at the desires of an individual to see if they are a sinner, as it is possible that they have a desire that would be considered a good one, but that has a bad result. For example, one could believe that they are doing a person good by doing the Heimlich on them, but, while doing it, they may accidentally kill the person. Recall that Abelard would still consider such a case a sin, even if it is an involuntary one. 
</p>
<p>
This also ties in with why one cannot look solely at the action that an individual performs. After all, one might argue, as Abelard points out, that lying to someone is a bad action. However, if it is done with a good intention, and has a good result, it cannot be called a sin. To take an example from Gavin Schmitt, imagine if someone were to knock on your door asking your help in hiding them from a murderer, or someone in a similar vein. Clearly, you would be justified in lying to the murderer about the individual that you are protecting. So too would an individual be justified in lying in a time of war, such as a politician lying about the true plans of their forces &ndash; so as to prevent the enemy from gaining an upper hand. Therefore, one must also take a look at the intentions of the individual doing the bad action in order to get a clear understanding of whether or not the individual is committing a sin. 
</p>
<p>
In my opinion, Abelard has an important point when he points out that an ethics on intention is what one should be concerned with, as intention, or desire, is key. However, Abelard also believes that even if you have good intentions, you can sin if you end up performing an action that has a bad result. If an individual is trying to save someone, yet inadvertently kills them, how can one say that they are guilty of murder? Of course, I could easily argue against that as well. Since I find the field of ethics to be a troublesome one, one which I cannot easily resolve, I will leave it at that. Looking at what one desired to occur is important, but so is the action that they perform and the result of their action. 
</p>
<h3>Bibliography:</h3>
<p>
1: A Hyman &amp; J Walsh, Philosophy in the Middle Ages: Second Edition (Indianapolis/Cambridge: Hackett Publishing Company, 2001). 
</p>

