+++
title = "Religion and Medieval Philosophy: Text Analysis 2"
description = "The material of this text analysis will be Peter Abailard and his work The Glosses of Peter Abailard on Porphyry. [slnet0514:]"
draft = false
comments = true
date = "2003-02-23T22:27:00-06:00"
modified = "2008-06-28T12:39:39-05:00"
slug = "Religion-and-Medieval-Philosophy-Text-Analysis-2"
blogengine = "8e627eeb-c006-4fdc-950e-232c8bef33a1"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
This paper was written for a Religion and Medieval Philosophy course. 
</p>
</div>
<p>
The material of this text analysis will be Peter Abailard and his work <em>The Glosses of Peter Abailard on Porphyry</em>. As Abailard tells us,
</p>
<blockquote>
	<p>
	&ldquo;There are then three questions, as Boethius says, secret and very useful and tried by not a few philosophers, but solved by few. The <em>first</em> is as follows, namely, whether genera and species subsist or are placed in the naked understandings alone, etc., as if he were to say: whether they have true being or whether they consist in opinion alone. The <em>second</em> is, if they are conceded to be truly, whether they are corporeal essences or incorporeal, and the <em>third</em> is whether they are separated from sensibles or are placed in them. For the species of incorporeal beings are two, in that some incorporeal beings, such as God and the soul, can subsist in their incorporeality apart from sensibles, and others are in nowise able to be beyond the sensible objects in which they are, as line cannot be found except in a body.&rdquo; [1: 170]
	</p>
</blockquote>
<p>
After stating the questions, of which so many philosophers attempt to answer, but few do, Abailard adds another question, one which derives off of the above questions, namely,
</p>
<blockquote>
	<p>
	&ldquo;whether genera and species, so long as they are genera and species, must have some thing subject to them by nomination, or whether, if the things named were destroyed, the universal could still consist of the meaning only of the conception, as this noun <em>rose</em> when there is not a single rose to which it is common&rdquo; [1: 171]
	</p>
</blockquote>
<p>
Having set forth four questions, Abailard then begins to tell the reader how he comes to the answers that he will state later.
</p>
<p>
First, one must understand the questions. The first question is whether or not genera and species really exist someplace, or whether they are merely things of the imagination. For example, we have the class of all animals which consist of the various birds, lions, tigers, bears, monkeys, humans, etcetera. In our example, &lsquo;animals&rsquo; would be the genera, and the various animals under the genera &ndash; such as lions and tigers and bears &ndash; would be the species. Every species &ndash; lions and tigers and bears &ndash; &lsquo;belongs to&rsquo; the genera &ndash; animal(s) &ndash; in that they all have some similar property by which they can be categorized. Does &lsquo;animal&rsquo; exist in some realm, or, is &lsquo;animal&rsquo; simply a word that man created in order to order the various animals?
</p>
<p>
If one answers the first question by saying that the genera &lsquo;animal&rsquo; really exists in some realm, then the second question is whether or not the genera or species are corporeal &ndash; tangible or consisting of a material that can be touched &ndash; or incorporeal.
</p>
<p>
The third question is, are the genera and species like a line, or length and width and height, which can only be know if there is a body, or are they like God, or the soul, which can be even if there are no bodies? The fourth question ties in strongly with this, in that it asks if all of things which the &lsquo;universal&rsquo; groups &ndash; as the universal &lsquo;rose&rsquo; groups all &lsquo;particular&rsquo; roses and &lsquo;man&rsquo; groups all particular men &ndash; were to be destroyed, would the universal cease to exist, or would it continue to exist? In other words, if every individual/particular rose were to be wiped out by some disaster, would the universal &lsquo;rose&rsquo; still exist?
</p>
<p>
To the first question, Abailard answers that genera and species exist in so far as they name things which exist in reality. In other words, &lsquo;animal&rsquo; exists in that it is used by man to classify things which exist in reality, namely animals.
</p>
<p>
To the second question, Abailard answers that the genera and species are corporeal in some regards, yet incorporeal in others. That is, the genera and species specifically regard actually existing things, as was pointed out in his response to the first question, and therefore deal with corporeal things, but at the same time they name an infinite amount of things, and therefore are also incorporeal, in that they are not completely specific to every member of what they group. So, while &lsquo;rose&rsquo; names an actually existing plant, it does not name every existing plant specifically, but only generally.
</p>
<p>
For the third question, Abailard asks what one means by sensible &ndash; whether one means able to be tangible by the senses, or to be grasped by the mind as having significance. On the one hand, they are part of the thing itself, on the other hand they can exist without the thing that they are a part of. Once one knows what a &lsquo;rose&rsquo; is, then one will be able to see that a particular rose has &lsquo;rose&rsquo; in it &ndash; can see that this individual rose participates in &lsquo;roseness&rsquo; &ndash; but, if the particular rose is destroyed, one will still be able to know what &lsquo;rose&rsquo; signifies.
</p>
<p>
The fourth question is then answered by Abailard when he answers the third question, in that he tells us that the universal &lsquo;rose&rsquo; can exist without any particular roses &ndash; or that we can know what &lsquo;dinosaur&rsquo; means, even though there are no dinosaurs &ndash; as long as one still understands what &lsquo;rose&rsquo; signifies, or points to.
</p>
<p>
That then is Abailard&rsquo;s attempt to tackle the questions which many philosophers have attempted to solve, namely those dealing with species and generas, or universals and particulars.
</p>
<h3>Bibliography:</h3>
<p>
1: A Hyman &amp; J Walsh, <em>Philosophy in the Middle Ages: Second Edition</em> (Indianapolis/Cambridge: Hackett Publishing Company, 2001).
</p>

