+++
title = "Religion and Medieval Philosophy: Textual Analysis Paper 1"
description = "Paper regarding scholasticism, as I now understand it. [slnet0514:]"
draft = false
comments = true
date = "2003-03-13T22:46:00-06:00"
modified = "2008-06-28T12:53:23-05:00"
slug = "Religion-and-Medieval-Philosophy-Textual-Analysis-Paper-1"
blogengine = "b421ee2f-4bff-4b9b-838f-58ae5bbcf55b"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
The following is a paper written for a Religion and Medieval Philosophy course. 
</p>
</div>
<p>
Every time I heard someone speak of scholasticism I never quite knew what they meant. Having heard of it in many classes in the philosophy of religion &lsquo;genera&rsquo;, I was convinced that it was something that refers to philosophers who dealt with the philosophy of religion, and specifically in the time period of the medieval era &ndash; especially around the years of St Thomas Aquinas and St Augustine. However, after reading Josef Pieper&rsquo;s book <em>Scholasticism</em>, I believe that I have a better grasp of the material of, as well as the history of, what the term &lsquo;scholasticism&rsquo; refers to.
</p>
<p>
However, before going into Pieper&rsquo;s book in more detail, I wanted to briefly speak of the format that Pieper uses, and his book in general, as that is often part of a &lsquo;book report&rsquo; as well as speaking of what one learns by reading the book (and as it may be important for whether or not I enjoyed reading the material and is therefore an enjoyable read which could be used in another semester of this class). I found that the way Pieper organizes the text, particularly his way of giving a very detailed contents page, enhanced the book in no small way. Being able to take a look at the contents pages, after having read the material so as to make sure that the major points were picked up or to review, or before reading the material so as to know the direction that Pieper was going in, was invaluable, and it is unfortunate that one does not see this in more texts. The &lsquo;Chronological Table&rsquo; was also a helpful addition, but one that would have been better at the beginning of the text. Another thing that I did not like of Pieper&rsquo;s book was his use of phrases in Latin that he didn&rsquo;t take the time to translate into English for the reader. However, this was not a common occurrence and was therefore a small problem.
</p>
<p>
Having spoken of the layout of the book very briefly, I will now focus on what I believe the term &lsquo;scholasticism&rsquo; refers to, as well as why it was so important &ndash; or at least why one must speak of scholasticism &ndash; during the medieval era.
</p>
<p>
Pieper tells us that scholasticism &ldquo;was above all an unprecedented process of learning, a scholarly enterprise of enormous proportions that went on for several centuries&rdquo; [1: 23]. The important thing to keep in mind is that the &lsquo;Medieval&rsquo; era, or, the &lsquo;Middle Ages&rsquo;, can best be remembered by the role of the Church, and especially Catholicism/Christianity, during the period. One of the things that I most remember of this period, and something which Pieper briefly discusses in relation to some of the philosophers of the time, is the Crusades that took place. When I think of the Crusades I think of serfs and nobility, kings and knights and monks and priests, God and country.
</p>
<p>
Each of these pairs has some significance. The &lsquo;serfs and nobility&rsquo; refers to the various classes at the time. One class, the lower class, called the serfs, were illiterate, &lsquo;unintelligent&rsquo;, individuals who were susceptible to superstition and were but slaves to the upper classes, most easily defined as the &lsquo;nobility&rsquo;. The nobility were typically literate, while, as I stated, the serfs were typically not, and where those people that did the most study of &lsquo;higher&rsquo; ideas.
</p>
<p>
The &lsquo;kings and knights and monks and priests&rsquo; pair &ndash; or rather pair of pairs &ndash; ties into another important aspect of the time. Kings and knights were the ruling class, in that most of the rulers at this time were kings &ndash; monarchies were prevalent at this time &ndash; and knights were an important part of this rule as it is the knights who were the &lsquo;protectors of the realm&rsquo;. The monks and priests tie into this as it is they who were right beside the kings in the power structure, but sometimes above them in rule, especially so during this time period.
</p>
<p>
The third pair, &lsquo;God and country&rsquo; works in for the reason that we have two ideas here: the spiritual versus the material. One could also tie this into the <em>fides</em> and <em>ratio</em> that is also an important aspect of this period. <em>Fides</em>, as discussed by Pieper, is faith, while <em>ratio</em> is rational.
</p>
<p>
How all of the above ties into scholasticism is what I will be discussing for the rest of this paper. First of all, one must keep in mind that there were two classes of people, one of which was illiterate and made up the majority of the population, and another which was literate and made up a smaller portion. Also, most of these people were under the rule of single ruler &ndash; that is they lived under a monarchy of one kind or another &ndash; which was often related closely to the church of one religion or another, most commonly Catholicism.
</p>
<p>
Catholicism, or Christianity, was in no way a new idea, but it was one that was gaining popularity all the time. In addition, the ideas of, or the truths of, Christianity were never really called into question or critically analyzed. However, during this time period more people started to look at Christianity in order to better understand what it was teaching. These people were not attempting to &lsquo;debunk&rsquo; the ideas, but rather to better understand them so as to gain more knowledge of God. One could easily, and I believe justifiably, say that scholasticism was an unprecedented process of learning through literature about God and nature &ndash; a search for what can be known about these matters.
</p>
<p>
The reason that scholasticism &ndash; the scholarly pursuit of knowledge &ndash; focused on religious matters is quite clear. Those that could read were of the upper class and those of the upper class were, for the most part, religious individuals. In addition, if one wanted to hold a position within a church, one had to be able to speak of the teachings of God, and the best way to do so would be to know of his word, of the Bible. The best way to do this would be to read it for oneself and to gain consul among one&rsquo;s fellows. This is one of the things which they did in those newly constructed, and created, monasteries &ndash; where one could go to learn through reading, and perhaps discussion, of God.
</p>
<p>
Recalling that most people during this time period, during the Middle Ages or the Medieval era, could not read, and were not educated in a systematic way as is true today, believed the truth of God&rsquo;s word and of the teaching of Christianity based upon faith. For the most part, these people could not read the teachings for themselves and then come to a rational conclusion using their rational. Instead, they must learn, and accept, the word based on faith in those who are telling them of it.
</p>
<p>
However, of those that could read, that were educated, there were some who believed that rational could work with faith to show that God&rsquo;s word and teachings is in fact true. In other words, they were attempting to use reason to supplement faith and thereby come to the truth, which they believed would verify that God did exist as faith dictated. They wished to show for themselves that the &lsquo;translation&rsquo; of God&rsquo;s work was a true one, not one that was based on a false reading of God&rsquo;s word.
</p>
<p>
Anselm is one philosopher who attempted to join faith and reason. However, as with many of the attempts, one often had to first have faith, in order for the reasoning to have faith in the truth make sense. As Pieper points out, Anselm states that: &ldquo;I do not seek the insight of reason in order to believe; but I believe in order to gain insight; indeed, I also believe this: that I should never be able to attain insight if I did not believe.&rdquo; [1: 64] In other words, one must believe first, and then insight is possible. Perhaps this idea remain constant until the time of Descartes, who throws everything into question &ndash; all of this faiths are thrown behind him &ndash; and finds by his rational that he cannot doubt his doubt. So, whether scholasticism is ever able to separate <em>fides</em> from <em>ratio</em> is a question which I must answer &lsquo;no&rsquo; to, as will be shown later (as it will be this that will destroy Scholasticism).
</p>
<p>
However, Anselm, and others, showed that faith and reason can go together and solidify one&rsquo;s faith in God. Of course, for some this did not work. For some, reason showed that faith in God was not enough. There in fact appeared to be many contradictions within the canonical works of Christianity that brought up answers which were harmful to one&rsquo;s faith. These people did not believe that faith ruled over reason, but instead believed that reason should be on equal ground as faith (at least this is how I took Pieper&rsquo;s book) and if faith plus reason brought up problems, then one of the two was at blame, and the way to find out which was by looking at each, and not simply taking one over the other.
</p>
<p>
It is around this time that the Church steps in and begins to condemn certain propositions, or statements, which certain Scholastics held or had stated. Up until this time, for the most part, the Church had allowed, at the very least, these thoughts to come about and be known. After all, many of the philosophers were members of the clergy &ndash; they held positions within the structure of the Church &ndash; as one almost necessarily had to be in that area in order to be a Scholastic &ndash; as these were the people that read in the area of religion.
</p>
<p>
So we have then the condemnations that occurred during 1277 which are of particular interest for this topic. It is then that the Church and papacy states that it is faith which wins over reason, as well as that one cannot know God by the latter (<em>ratio</em>), but only by the former (<em>fides</em>). This of course does not set well with those who believe the condemn propositions, as the condemnation is clearly based on the idea that faith is more important then, and holds precedence over reason.
</p>
<p>
The end of Scholasticism comes somewhere near this time. Scholasticism is, in many ways, an attempt to bring faith and reason together. It is those that work with God, the clergy, which were attempting to do this and once the Church that they are a part of begins to suppress their attempts, saying that it is faith by which one knows God, scholasticism begins to fall apart. If one has rule over the other, can it be a fruitful &lsquo;marriage&rsquo; (to use Pieper&rsquo;s word for this union) or is it simply slavery?
</p>
<p>
To summarize then, Scholasticism, as I see it from reading this book, was founded by members of the Church in order to use the knowledge that they obtain through readings of God, together with the faith that they have in &ndash; and from &ndash; the teachings, to come to prove of God&rsquo;s existence as well as to know of God&rsquo;s nature. While Scholasticism was able to put faith and knowledge together for a short time, it was not able to withstand its own internal conflicts and lead to a separation of faith and reason in the &lsquo;Modern&rsquo; era of Philosophy.
</p>
<h3>Bibliography:</h3>
<p>
1: Josef Pieper, <em>Scholasticism</em> (South Bend, Indiana: St Augustine&rsquo;s Press, 2001).
</p>

