+++
title = "Review: Alienware Steam Machine ASM100-4980BLK Desktop Console (Intel Core i5, 8 GB RAM, 1 TB HDD) NVIDIA GeForce GTX GPU"
description = "The following is a review of the Alienware Steam Machine ASM100-4980BLK Desktop Console, featuring an Intel Core i5, 8 GB RAM, 1 TB HDD, and NVIDIA GeForce GTX GPU, received as part of the Amazon Vine program."
draft = false
comments = false
date = "2016-03-01T19:03:15-06:00"
slug = "review-alienware-steam-machine-asm100-4980blk-desktop-console"
blogengine = ""
categories = ["gaming", "review"]
tags = ["review", "steamos", "alienware"]
+++

The following is a review of the [Alienware Steam Machine ASM100-4980BLK Desktop Console, featuring an Intel Core i5, 8 GB RAM, 1 TB HDD, and NVIDIA GeForce GTX GPU][1], received as part of the Amazon Vine program.

## A weird hybrid

First I've got to say I'm not sure how to review the Alienware Steam Machine ASM100-4980BLK. Do I compare it to the consoles, as that's what they're trying to make (especially with SteamOS being the OS on this machine)? Or do I compare it to a Desktop computer, since the games you play are those you'd typically play on a PC? Or is it something new, like tablets were many years ago?

Personally, I've come to think of it as a hybrid between the two, so that's how I'll review it, for better or worse. I'll also be focusing solely on the SteamOS version of this system. Since that's how they sell it, that's how I'm going to review it. If you want to know how it performs with Windows, you'll have to look elsewhere.

First, we compare it to a console. With the processing power being what it is, and the ability to upgrade some components of it, I consider the system to be on-par with a current gen console, which to me means the PlayStation 4 and Xbox One.

As far as the operating system, I put SteamOS somewhere between the PS4 and Xbone. The PS4 has, what I consider, to be a great interface. Not as good as the PS3's, but good nonetheless. The Xbone's interface is nowhere near as good as the 360's interface was, and isn't even as easy as the Windows 8.1/10 interface it tries to replicate.

SteamOS's interface shares some similarities with the standard desktop interface, but does have a learning curve. This is especially noticeable when you use the Stream controller, as the d-pad must be used to navigate, as opposed to the d-pad or left stick. It baffles me that they'd do this. There's also the issue of being unable to access pieces of the interface you see, such as being able to press up to get into the downloads/settings area, even though you see them, unless you back out far enough. Either don't show components I can't access, or show them differently.

Games are definitely at the center of the SteamOS interface, much like on the PS4 (and not so much on the Xbone), but given the nature of the library being shared between all your PCs, the library, by default, contains all games you own, not just those that you can install and play on the console. The library can be filtered, but as far as I've seen this has to be done every single time. The games you've downloaded do display in a different area, so there's at least that.

Next up we have the controller itself, which the console (noted as 'Console Only' on Amazon) does include. It's, quite frankly, pretty dang cool. It's effectively a reversed Xbox 360/One controller, but with only one actual stick. However, the pads work pretty dang good. However, the button placement, especially of the Start, Back, and bumpers, are still taking me a while to get used to. The face buttons too, mess me up for a little bit, as they're placed in a location contrary to the PS and Xbox controllers.

However, after a couple long sessions, I can honestly say I never noticed the controller in my hand, like I would with the Xbox 360/One, and to a lesser extent, the various PlayStation controllers. I don't know if it's the balance, or the way the grips are bent, or something else, but it just feels good. Heck, it might even be the placement of the face buttons.

I also played one game with the controller mapping to a keyboard (I actually had to create a custom controller mapping for the game), and for the simple tasks I needed to do, it worked quite well.

Now that we've looked at it from the console perspective, how about from a desktop? Since it's running a version of Linux behind the curtain, Windows-only games aren't going to run. However, some have had luck running non-SteamOS games, that would normally run on Linux, on this console. I was tempted to try this out with a couple GOG games, but after reading through the forum posts on it, decided it wasn't worth a try yet (although might be if GOG releases a Linux client for their interface).

Since I wanted to try out the SteamOS, and not purchase a Windows license, about a quarter of the games I own on Steam could run on the [Alienware Steam Machine ASM100-4980BLK][1]. This included some high-end games (BioShock Infinite, Pillars of Eternity) and mid-range games (City Skylines), but also a lot of lower end, or indie, games. Sadly, for me this meant that while I tried to go SteamOS-only, I ended up back on my main machine more than I would have liked.

The biggest problem is probably developer support, and having seen it first-hand, I'm not sure what the future of the SteamOS is. If Steam puts a lot of weight behind it, then it might do well. If developers don't keep releasing their games for SteamOS/Linux, then ... at least you can install Windows on the machine.

So compared to a console, it's probably on par, more if you don't expect to be able to play every Steam game on it, and less the smaller the percentage of games in your library that will run on it.

Compared to a typical Windows machine running Steam, it's a lesser experience, assuming SteamOS is left on the machine. The controller is nice, but you could save yourself some money and just purchase the controller by itself. Or just get the standard which is a wired Xbox 360 controller.

The last note to make before my closing is that my machine restarted way more than I would have expected. It seemed to have been increased after installing the beta updates, but even before I was running into random restarts when navigating around the interface. Thankfully the system didn't restart when I was playing any games, but it worries me when I'm just navigating around the interface and the machine just goes black and restarts.

I also had one game which wouldn't download (0 bytes downloaded of 0 bytes). I tried numerous things to debug this, but it seems to strike some users with some games. Download speeds also seemed a little slower than usual, but I attribute this more to the Steam network, as I very rarely get the maximum speeds from even the Windows client.

So all that said ... it's so hard to rate the [Alienware Steam Machine ASM100-4980BLK Desktop Console][1]. If you come into it expecting something on par with a Windows gaming PC, you'll be sorely disappointed. But if you come into it as someone wanting to get a taste of what PC gaming is like, and you don't have a big catalog of games, this might not be a bad way to get started. I've yet to find a SteamOS game that doesn't also run on Windows, so you'd be free to upgrade (and upgrade is what it would be) to a real gaming PC down the line.

As someone with a big catalog of games, it's a solid middle of the road for me; 3 of 5 stars. As a console, it's 4 stars. As a gaming PC running SteamOS, it's 3 stars. If this were the Windows version, the latter would probably (considering all else) jump to 4 stars. But would the console aspect suffer? That I don't know.

[Read my review of the Alienware Alpha and Steam Machine Carrying Case (A7888952)][2].

[1]: http://amzn.to/1L3RU4m
[2]: {{< relref "review-alienware-alpha-and-steam-machine-carrying-case-a7888952.md" >}}
