+++
title = "Review: Apache JMeter"
description = "A book review of Apache JMeter, written by Emily H. Halili."
draft = false
comments = true
date = "2008-07-24T20:45:00-05:00"
modified = "2008-07-24T20:42:23-05:00"
slug = "Review-Apache-JMeter"
blogengine = "628b72f5-bf72-418a-9140-67d8e71a7c61"
categories = ["review", "software"]
tags = ["validation"]
+++

<div class="note">
<p>
The following is&nbsp;a book review of <a href="http://www.amazon.com/gp/product/1847192955?tag=strivinglifen-20" target="_blank">Apache JMeter</a>, written by Emily H. Halili. 
</p>
</div>
<p>
First off, my experience with automated software/application testing is extremely limited. For the most part any testing I&#39;ve done has been manual testing. Recently, however, I was introduced to, and began using, Microsoft&#39;s Web Application Stress Tool. 
</p>
<p>
Because of this level of experience, Emily Halili&#39;s Apache JMeter was the perfect book for me, as it contains an analysis of automated testing (including when best to do it, versus manual testing), in addition to the introduction to Apache JMeter. 
</p>
<p>
In short, by the end of this book you&#39;ll not only be able to feel confident running a basic test of a Web application (a Web site), but you&#39;ll also be in a very good position to expand into advanced JMeter tactics, as well as reach out into other aspects of online applications, such as database, FTP, and mail services. For these advanced techniques, and non-Web server testing, you will need to do research outside of this book. If you expect to be an advanced/power user of JMeter, you&#39;ll be disappointed. 
</p>
<p>
That said, this book is truly a great little&nbsp;introduction to JMeter. While the material will almost definitely apply to other automated testing tools, basic JMeter functionality is the focus, in particular for Web site testing. 
</p>
<p>
Reading it straight through, you can probably tackle the&nbsp;entire book in four hours. There&#39;s a couple of parts - the beginning of chapter 4 and chapters 6 and 7 - that will bog you down in a first read. Regarding chapter 4, in particular, it begins with an overview of the various elements/components that JMeter offers, and ends with a basic test plan for a Web site. To me, this seemed backwards, as I&#39;d rather work just through the components that I need first, and then get an introduction to all of them. Sometimes it&#39;s easier to see the big picture for how it all comes to together. 
</p>
<p>
Chapter 7 is nice in that a sample (PHP) site is provided, via a download, and then a test is created against it. This is in fact something that could probably be created, very easily, for chapter 4 as well (as a static site) to supplement the test (bringing us all on the same page for when we do our first real test). Outside of that, I think chapter 7 could have easily been expanded, as the later topics seem to be covered very quickly, and the database and FTP aspects could be moved into another chapter. 
</p>
<p>
This is my first Packt book, and I was quite impressed with the quality of the book. It&#39;s small in dimensions, but the binding and pages seem extremely sturdy. 
</p>
<p>
As to whether or not the list price is warranted, this is definitely a book that you&#39;ll want to pick up online. At around 120 pages of content, and *delivering* a basic understanding of JMeter, 40 USD is a bit high. 
</p>
<p>
Because I believe they could easily have provided a basic site for download for chapter 4 (and even beyond), and the higher-end price, I&#39;ve given this book 4 stars. 
</p>
<p>
Emily promises an introduction to JMeter, as well as a step-by-step guide to using it, and on that she delivers. 
</p>

