+++
title = "Review: Borderlands"
description = "Review of Borderlands, for the Playstation 3 and Xbox 360. (Playstation 3 version played.)"
draft = false
comments = true
date = "2010-01-24T20:19:00-06:00"
modified = "2010-01-24T21:16:51-06:00"
slug = "Review-Borderlands"
blogengine = "1d1f2ea8-0d50-4f18-8d96-e7b8cad75bb1"
categories = ["review"]
tags = ["playstation 3", "xbox 360"]
+++

<div class="note">
<p>The following is a review for <a rel="external" href="http://www.amazon.com/gp/product/B000WMEEBM?tag=strivinglifen-20">Borderlands</a>, available for the Playstation 3 and Xbox 360. I specifically played the Playstation 3 version, but my review should be applicable to the Xbox 360 version as well.</p>
</div>
<h3>What I was expecting</h3>
<p>After all the hype and reviews I was expecting a ripe-off, albeit a&nbsp;fairly good&nbsp;one, of Fallout 3. Of course, Diablo II with it's randomly generated baddies and weapons (and drops in general) was also mentioned. Seeing as how I played Diablo II and its expansion quite a bit when they were released, and absolutely enjoyed Fallout 3 (purchasing all of the DLC and even getting into the double-digit levels for a second evil/neutral player), this sounded like something I would enjoy. One thing I wasn't sure about was the first-person aspect, having a generally weak stomach for 'twitch' games.</p>
<p>Because of this I decided to hold off until the price dropped, after a handful of months. But as I had a coupon that I wanted to use towards a game (since I was in one of those moods where I just needed something new to play) I decided to pick this up.</p>
<h3>What I got</h3>
<p>A pleasant surprise. Having just beaten the game after playing for around 2 weeks (with two batches of the flu in there) this is probably one of my favorite games of the last year; definitely in the top 5.</p>
<h3>RPG elements</h3>
<p>Borderlands has a fairly robust skill tree, for each of the four character classes, similar to Diablo II versus Fallout 3; the former having a small set of skills, within a couple of skill trees, that&nbsp;you can increase in skill, and the latter having a wide variety of skills, without too much in the way of skills requiring other skills. This makes it extremely simple, ignoring the decisions you have to make when gaining new skill points, to work with this element. In fact, the decision making process is fairly flexible, as you can always reset your skill points (without losing any) to try a different style.</p>
<p>Having played a game with a skill implemention like this, I'll honestly have a slightly harder time going back to games that don't allow you to reset (although within the story this element makes sense).</p>
<p>Speaking of story, it's actually much better than what I thought it would be, after the various reviews. The ending seems a bit abrupt, but everything is tied together, so it may be more an issue with the open-endness of the game. Which brings us to mission&nbsp;structure.</p>
<p>There are seemingly well over a hundred missions, only a small quantity of which are required to advance the story. The rest serve to help increase your level (more on this later) to what is required for the story missions. Generally they tie into the story enough that it makes sense to just do them, especially for the rewards (whether you're going to just sell them or not).</p>
<p>Back-tracking, an essential element of RPGs, is present in this game, but isn't too bad once you gain access to an 'instant-travel network.' With enemy respawns being fairly quick (approximately two in-game days, which seems to be less than an hour) and vehicles available for most large areas, the travel isn't tedious.</p>
<h3>Shooter elements</h3>
<p>Borderlands is&nbsp;a fairly standard FPS, made interesting by the art style it uses and the plethora of weapon choices. While there are a handful of weapon types, most weapons are randomly generated, making it fairly hard in the beginning and middle of the game to choose just four weapons (the most you can have equipped). Generally you'll probably have at least one or two kept in your backpack to swap in.</p>
<p>This randomization and weapon type scope is what really makes this aspect of the game interesting, in my opinion. But when you add in class-specific skills, you end up with something completely more. In fact, I think it's fairly easy to miss out on the importance of your core skills, often forgetting to use them. I personally didn't use my character's skill all that often until near the end of the game, and having played with others online, that seems to be fairly common for lower-level first-timers. Perhaps that just serves to show the deepness of this game.</p>
<p>As already mentioend, I have a hard time with FPS games usually, if they're twitch. While Borderlands can be, generally you survey the area and come up with some kind of plan; rushing straight at enemies at or above your level is suicide.</p>
<p>Which brings us to the level aspect. Each enemy has a set level, excluding one-off mission-related enemies, which is consistent throughout the game. Higher level enemies give great rewards, but are also more difficult. This is the same with the quests/missions. Thankfully there's almost no grinding required (although I should note that I did all optional missions in addition to the story-related ones). Experience also changes based on this, so targeting lower level enemies eventually becomes near useless.</p>
<p>Death is interesting in this, allowing you to get a 'second wind' if you kill an enemy before you bleed out. Failing that, a certain amount of money is deducted and you are resurrected at the nearest 'station' (saying no more in case of minor spoilers) ready to go back up against them.</p>
<h3>Multiplayer</h3>
<p>Borderlands offers on- and offline cooperative play. Offline coop is okay, with the split screen (side-by-side) a little hard to use. Online multiplayer (using Playstation Network) was fairly quick and without issue. You can choose what game you join, making it fairly easy to find a group at your level (or higher/lower if you so choose). (Unlike on Xbox, Playstation owners typically don't have mics, so I can't comment on communication.)</p>
<p>Having let my Xbox Live Gold subscription lapse a few weeks ago, online multiplayer was actually the reason I picked this up for the Playstation 3; surprising since I usually don't care too much about online play with games.</p>
<h3>Replayability</h3>
<p>With a new game plus mode (keep everything, replay the story again with enemy levels increased) and four classes, as well as the online multiplayer and two currently DLC (with one more in the works), replayability is pretty high. Once&nbsp;I finish the DLC and a few&nbsp;upcoming games - Mass Effect 2, BioShock 2, and probably Heavy Rain - I'll be back on Pandora.</p>
<h3>Overall</h3>
<p>Overall, Borderlands is, again, one of the top 5 games I've played in the last year (in no particular order, Fallout 3, Muramasa: The Demon Blade, Uncharted 2: Among Thieves, and Lost Odyssey, with Batman: Arkham Asylum getting bumped). A good, long, game, with an&nbsp;interesting&nbsp;story, and high replayability means I give Borderlands 5 of 5 stars.</p>
