+++
title = "Review: Draconis Invasion: Wrath"
date = 2021-02-04T19:00:00-06:00
draft = false
description = "The following is a review of the board game Draconis Invasion: Wrath."
author = "James Skemp"
tags = [ "review" ]
categories = [ "review" ]
+++

The following is a review of the board game Draconis Invasion: Wrath.

## New cards, new stages, and new setup options

> If you find this review useful you can [give it a thumbs up on Board Game Geek](https://boardgamegeek.com/thread/2595011/article/36923010).

### Context:

This is based upon two players going through the entire expansion, Draconis Invasion: Wrath, one stage at a time. Once we started, we played through the entire 12 stage campaign over the course of 15 days.

I backed the Kickstarter for this campaign, and while I was slightly disappointed it didn't make it's original deadline, I'm happy with how it turned out.

This isn't a standalone expansion, so I'll mostly assume that you already own, or have read reviews of, the core game.

My SO and I are pretty big fans of deck builders. Dominion was one of the first games I played after a 15+ year hiatus from board games, and various deck builders (Ascension, Harry Potter: Hogwarts Battle, ...) have been gateway games I've used to get others interested in playing games.

However, Draconis Invasion had been sitting unplayed in my collection for a while. I heard about it (possibly via the KS) and picked up a retail copy, then backed the expansion (also picking up all the promo cards from the first game's KS). We didn't realize it was going to take so long to deliver, so it just kind of sat, only getting played once when we got the expansion.

### The box:

One of the things I worry about with expansions released in the last couple of years is how much space they'll take up. Thankfully Wrath comes in a nice box that's just large enough to contain the new contents of the expansion. With a bit of stretching of the dividers, it will fit in the core game's box if you put it in the middle slot.

We opted to take the cards out and integrate them with the core game once we played a stage that used them, so ultimately the expansion box will likely end up in storage, since it does require the box dividers to be stretched ever so slightly. (Although having typed all of the below, now I'm wondering if perhaps we can put gold and core cards or the like into it ...)

We also opted to sleeve half the cards (since I'm a dummy and only got half the packs we need ...) but once all cards are sleeved there will still be plenty of room in the core box.

### New components:

Taking a cue from legacy games, the expansion adds 12 new stages to Draconis Invasion, with each stage having one sealed pack of cards (Stage 1 has three sealed packs). These stages contain their own recommended setups, and the packs include new actions and defenders, monsters, or events, as well as slight tweaks to the rules.

The cards are just shrink wrapped, so you can get a pretty good idea of what each pack includes based upon the shape.

These rule changes aren't necessarily permanent changes to all the future stages, but most change the starting cards and/or play off of who won and/or lost the previous game.

Once you've played all the expansion's stages 99% of the cards can be used in any future game, and any of the new setup rules could be added.

Also included is a single double-sided rule sheet, replacement turn cards for those with a 1.0 copy of the core game, and dividers for all the new cards. (And a bag which is nice, but we never used.)

### How it plays:

As mentioned above, like the core game this game adds 12 new stages with predefined cards to use, as well as tweaks to the setup when playing those stages.

This might include new cards or changes to the initial setup. For the most part these are pretty easy to understand, however it'll likely prompt at least a half dozen new FAQs to the official FAQ.

There's generally a mix of core and new cards in each stage, so the stages don't just throw a bunch of completely new cards at you again and again.

The story the stages tell is pretty simple, but is fleshed out with a title and short intro, giving it slightly more than what the core game has. It flowed pretty well, although there was one stage that had more take-that play than the story would have suggested.

As mentioned above, the new components can almost all be integrated into the core game (randomizers are included for almost all the new cards), and there don't appear to be any obviously broken cards, or cards that are stage-setup specific.

There's no marks that show them as being part of the expansion, so if you do decide to later separate them out you'll need to either set the dividers apart from the others, or consult each of the stage rule cards to see what the new cards are.

Also note that there are a few stages that use non-retail cards for their setup. However, a thread has been posted to BGG on what replacements should be made.

Note also that other than including cards that detail the v1.1 turn options, no large changes are made to the core game itself.

### How we organized it during play:

While the rules suggest waiting to open the pack of dividers until after all of the stages have been completed, we opted to start pulling out dividers after the first five (or so) stages had been completed.

The new cards can be kept in the expansion's box, and then slid into the core game, but after a while it was just easier to integrate them so they could be found during setup. If we wouldn't have played a new stage almost every day, being integrated in would have been even more important.

### What's missing:

I would have loved to have seen a cooperative, or semi-cooperative, variant.

I also think it would have been nice to have included a small booklet with all the new cards and/or the new rules so that it could be slipped into the original game's manual.

Spoiler: there's still no way to get rid of Terror cards. The lack of any card, even if it had a very targeted use, to get rid of Terror cards knocked at least one point off this game for my SO.

This relates more to the core game, but some of the stages in the expansion really do force you to play smart with Terror/just force a lot of Terror into decks; even at just two players there would be rounds in which we would trigger a new event very quickly.

Having played Trains which has a nice way of getting rid of excess Waste (skip your turn to trash all Waste in your hand), it would be nice if there ends up eventually being a way, that takes into account Terror serving multiple purposes (taking up space in your deck + triggering events/the end of the game), to get rid of these in a future expansion or variant.

### Recommendation

As mentioned above, we had enough fun with the game to play all 12 stages over the course of 15 days. The large number of stage setups provided in the expansion (and core game) adds a nice level of predefined options. The changes added in the various stages also provided a nice little change of pace.

Once we're able to be in the same room as other people, I think we'll definitely be bringing this out to play.

I have zero regret picking up this expansion. It adds quite a lot of additional cards that can be used, as well as the one-off rule tweaks that could easily be integrated in as desired.

Highly recommended if you have the base game and want more cards and new options for Draconis Invasion.

> If you found this review useful you can [give it a thumbs up on Board Game Geek](https://boardgamegeek.com/thread/2595011/article/36923010).
