+++
title = "Review: JavaScript: The Definitive Guide, Sixth Edition, by David Flanagan"
description = "Review of JavaScript: The Definitive Guide, Sixth Edition, by David Flanagan."
draft = false
comments = true
date = "2011-05-23T21:50:00-05:00"
modified = "2011-05-23T22:21:05-05:00"
slug = "Review-JavaScript-The-Definitive-Guide-Sixth-Edition-by-David-Flanagan"
blogengine = "662014d1-9f63-4d60-a17f-277de12627cc"
categories = ["review"]
tags = ["review", "javascript"]
+++

<div class="note">
<p>The following is a review of <a rel="external" href="http://www.amazon.com/gp/product/0596805527?tag=strivinglifen-20">JavaScript: The Definitive Guide, Sixth Edition</a>, written by David Flanagan. Also <a rel="external" href="http://oreilly.com/catalog/9780596805524/">available on O'Reilly Media</a>.</p>
</div>
<h3>Provides a deep dive into JavaScript development</h3>
<p>JavaScript: The Definitive Guide is not just a complete reference of the language, like O'Reilly's other 'thick books,' but also provides a deep dive into JavaScript development. However, if you're just starting out and will be using one of the various libraries (like jQuery), this book may not (yet) be for you.</p>
<p>First, the sixth edition is the first I've read, so I can't speak to any changes. Instead, my review is focused on the book as a first-timer reader to the 'series.'</p>
<p>JavaScript: The Definitive Guide is broken up into four parts; Core JavaScript, Client-Side JavaScript, the Core JavaScript Reference, and the Client-Side Reference. If you've ever picked up one of O'Reilly's other reference books, like <a rel="external" href="http://www.amazon.com/gp/product/0596527403?tag=strivinglifen-20">Dynamic HTML: The Definitive Reference</a>, you know about what to expect from those last two parts - a deep reference to the language.</p>
<p>The first two parts, however, are a 'deep dive' into the actual language itself. Unlike a mere reference book,&nbsp;JavaScript: The Definitive Guide actually teaches you how to develop in JavaScript, starting at the core fundamentals, and working your way up to more advanced topics.</p>
<p>Part of the 'deep dive' aspect also includes following best practices, making numerous references to Douglas Crockford's <a href="/words/post/Review-JavaScript-The-Good-Parts-by-Douglas-Crockford.aspx">JavaScript: The Good Parts</a>&nbsp;throughout the first part of the book, which is about 30% of the book. Alone, the first part of the book provides an <em>excellent</em>, near-complete, tutorial on the language.</p>
<p>Historical information is also included, which I found to be very interesting when it came up, as well as implementation-specific functionality, that has limited use at this time (and as such, I personally found it distracting, and began skimming over later instances, but it's still nice that it's provided).</p>
<p>The second part focuses on the Web aspects, which is quite honestly where most people will be making use of JavaScript. This part covers about what you'd expect, as well as jQuery, client-side storage, and HTML5 functionality.</p>
<p>The jQuery information is around 60 pages of content, covers version 1.4, and also includes a bit about jQueryUI (a very little bit). It's quite refreshing to see jQuery included in the book, but as noted initially, if you're looking at focusing just on using a library, it may be better to get a resource focused on just that.</p>
<p>The second part is approximately 40% of the book.</p>
<p>The third and fourth parts are similar to O'Reilly's other reference books, and are therefore fairly detailed, with examples included. Depending upon your preference, you may find the reference valuable, or prefer searching online. The examples included give the book a slight advantage over the average Web site. Honestly, I generally prefer using online resources, so I don't see myself consulting these later parts very often, if at all.</p>
<p>Finally we come to the actual book itself. I received an electronic copy of the book, through the O'Reilly Blogger Review Program, so I can't speak to the quality of a physical copy. However, in the past I have generally found O'Reilly books to be well made, with bindings that last. I have a PDF copy of the book, which I read using GoodReader on an iPad, and was absolutely amazed by how much linking was setup within the book itself. Additionally, <a rel="external" href="http://oreilly.com/ebooks/">O'Reilly's electronic books</a> are DRM free, with no watermarking, which shows real trust in, and respect for, their customers.</p>
<p>And now comes the rating.</p>
<p>After the first part of this book I was impressed by <a rel="external" href="http://www.amazon.com/gp/product/0596805527?tag=strivinglifen-20">JavaScript: The Definitive Guide</a>, and could easily have stopped there and been happy. The jQuery inclusion was a nice touch, which may be sufficient to push people who weren't thinking about using a library in their development to doing so, and may actually provide enough information for someone who wants to start learning JavaScript via jQuery. It is, in short, a true guide to JavaScript, and not just a reference book.</p>
<p>For these reasons, I must give JavaScript: The Definitive Guide, 5 of 5 stars.</p>
