+++
title = "Review: JavaScript: The Good Parts by Douglas Crockford"
description = "Review of JavaScript: The Good Parts, written by Douglas Crockford."
draft = false
comments = true
date = "2011-04-29T16:50:00-05:00"
modified = "2011-04-29T17:42:24-05:00"
slug = "Review-JavaScript-The-Good-Parts-by-Douglas-Crockford"
blogengine = "67b213a9-a2bc-4165-932f-ced05b547f0c"
categories = ["review"]
tags = ["review", "javascript"]
+++

<div class="note">
<p>The following is a&nbsp;review of <a rel="external" href="http://www.amazon.com/gp/product/0596517742?tag=strivinglifen-20">JavaScript: The Good Parts</a>, written by Douglas Crockford.</p>
</div>
<h3>Focused discussion on the parts of JavaScript to learn more about</h3>
<p>At the beginning of last month Scott Hanselman had a Hanselminutes episode titled "JavaScript and jQuery: Moving beyond Alert()." During this episode he spoke with two JavaScript ...&nbsp;(experts? gurus?)&nbsp;users, and this book was mentioned as one to read if you wanted to get a better understanding of JavaScript. I primarily use jQuery, but since advanced JavaScript users recommend you go beyond that, I figured it was worth looking into what the author had to say.</p>
<p>Douglas Crockford also has videos available on Yahoo!, so I started there, where he talks about some of the items brought up in this book. However, since I couldn't focus long enough on the videos, and find reading to be a better experience, I picked up a copy of his book.</p>
<p>There were two things I wanted to get out of this book. First, I wanted to understand the best way to write my code, to have the least impact on others. Second, I wanted to gain at least a couple good tips about how JavaScript works 'under the hood.'</p>
<p>Having read the book I now have a better idea of what avenue to pursue for the first, to make my JavaScript code much more object-orientated (Closures). I also gained more than a dozen helpful tidbits reading the book, that did indeed further my knowledge of JavaScript, that will result in better code, no matter whether I use a library/framework or not.</p>
<p>The book is indeed short, and I was able to sit down with it and read it over the course of a handful of hours, although I expect to go back and read at least one of the chapters again (and keep the book around as a reference, since I purchased an electronic copy).</p>
<p>There are a handful of sections that are stepping stones to the functionality that should actually be used, and if you have no plans to use his JSLint analyzer, then one chapter will be unnecessary. However, while I was on the fence about passing code through it before, having now read his book, and the chapter where he details, again, the specifics on why JSLint flags certain JavaScript code, I believe I'll now actually run some code through it, once I implement his other recommendations.</p>
<p>But, as noted above, I did indeed learn a number of new things about JavaScript, that will help me write better code.</p>
<p>As already mentioned, I purchased an electronic copy of the book, and therefore can't speak to the quality of physical copies. However, I've generally found O'Reilly books to be well made.</p>
<p>Four of five stars, since I believe the free videos he did will help a number of people that learn that way, thereby making the purchase of this book unnecessary, as well as that he could have trimmed some of the extraneous material from this book to make it that much more concise.</p>
