+++
title = "Review of David Woodruff Smith's Husserl"
description = "A review of David Woodruff Smith's Husserl."
draft = false
comments = true
date = "2007-08-23T20:45:00-05:00"
modified = "2008-06-29T17:17:27-05:00"
slug = "Review-of-David-Woodruff-Smiths-Husserl"
blogengine = "9024e20f-de87-4d22-acb7-3d04636e3963"
categories = ["philosophy", "review"]
tags = ["husserl"]
+++

<p>
In January of 2002, I bought a copy of the two volume set of <em>Logical Investigations</em> for a college course regarding major figures in philosophy, or some such. Later that year I picked up a copy of the <em>Ideas</em>, for another course, the next semester. Unfortunately, Husserl remained something of a mystery to me, despite having attempted to make my way through his primary works. 
</p>
<p>
With <em><a href="http://www.amazon.com/gp/product/0415289750?tag=strivinglifen-20" target="_blank">Husserl</a></em>, part of Routledge&#39;s new series of introductory works on Western philosophers, David Woodruff Smith attempts to give an overview and analysis of what makes Husserl such an &#39;influential philosopher.&#39; With the hope that D.W. Smith would clear away the fog I believed I was still in, I picked up a copy. 
</p>
<p>
First, I must comment on the book itself, since that was what had the biggest impact on me. 
</p>
<p>
As another reviewer mentioned, the price of this book is quite amazing for both the number of pages within, as well as the content itself (more on that in a bit). 
</p>
<p>
However, the copy I received had a fairly major issue as concerns the binding. The first 48 pages (at the 16-17 and 48-49 page marks) threaten to fall out at any moment. I consider myself a fairly careful reader, and as such, believe this is only the second book where I have had pages falling out (and the first such book already had the pages detached when I purchased it). 
</p>
<p>
This binding issue seems to be an issue with Routledge books in general, in that they don&#39;t allow for the book to be spread open too far at all. Since I do believe I&#39;ll consult this book again, it&#39;s really unfortunate that the binding was done so poorly. This is also why I can only give <em>Husserl</em> four stars, instead of the five it would otherwise have received. 
</p>
<p>
That said, we come to the contents of the book. 
</p>
<p>
It&#39;s clear from the very beginning that D.W. Smith has an angle on his writing, putting Husserl alone with Aristotle and Kant as the greatest systematic philosophers. True to this, we won&#39;t see Smith being too critical of Husserl which works well enough in the book. 
</p>
<p>
We&#39;re presented with an overview of Husserl&#39;s life and works, followed immediately by an overview of his philosophy (in Chapter 2). The overview is then supplemented by six chapters dealing with each issue in further detail (Logic, Ontology, Phenomenology x 2, Epistemology, and Ethics). The main book closes with a very short chapter on Husserl&#39;s legacy. 
</p>
<p>
We are also given an in-depth glossary and bibliography. The glossary itself is well worth the book&#39;s price. 
</p>
<p>
Overall, each of the chapters is well written, shedding light on Husserl. For the most part, no previous knowledge of Husserl is required, which makes this volume a resource to both those already interested in, as well as those new to, Husserl. 
</p>
<p>
For those who may have read only his &#39;first&#39; work, the <em>Logical Investigations</em>, the chapter on ethics will be of particular interest, as it sheds a very human side to Husserl (as does the initial chapter on his life). 
</p>
<p>
The legacy chapter seems very short, as if it was merely tacked on for looks. Smith mentions terms but doesn&#39;t spend enough time on them, serving only to confuse rather than enlighten or interest. I daresay that someone new to Husserl should skip the chapter entirely. 
</p>
<p>
=== 
</p>
<p>
Overall, as I said before, I have given <em>Husserl</em> four stars of five merely because I&#39;ve never purchased a Routledge book that I thought was &#39;built to last.&#39; Other than that, there is no reason not to buy this book, especially given the value for the price. 
</p>
<p>
I believe this book will both serve to interest those new to Husserl, clarify and expand upon some of his more complex points to those of intermediate knowledge, and point the way to those paths taken from Husserl to those who may be considered more advanced. 
</p>
<p>
As to whether D.W. Smith has helped to lift the fog for me, I can say that I feel comfortable with my previous decisions regarding Husserl. However, I&#39;m not quite ready to put him up there with Kant and Aristotle ;) 
</p>
<div class="note">
<p>
This review was originally written for Amazon.com and this site, and therefore may refer to Amazon.com (such as when I refer to other reviewers). 
</p>
</div>

