+++
title = "Review of Steve Krug's Don't Make Me Think: 2nd Edition (with notes)"
description = "A review of Steve Krug's Don't Make Me Think: 2nd Edition, plus my notes on the book."
draft = false
comments = true
date = "2007-09-28T15:00:00-05:00"
modified = "2008-06-29T17:12:00-05:00"
slug = "Review-of-Steve-Krugs-Dont-Make-Me-Think-2nd-Edition-(with-notes)"
blogengine = "5eba8676-6c14-43a0-9f8e-c1f38edf686c"
categories = ["general programming", "Internet", "review", "software"]
tags = []
+++

<p>
As it promises, <a href="http://www.amazon.com/gp/product/0321344758?tag=strivinglifen-20" target="_blank">Steve Krug&#39;s <em>Don&#39;t Make Me Think: 2nd Edition</em></a>, is a quick, but extremely usable, guide to Web usability and design. The book took me less than a day to read (less than 3 hours total over the days of September 26 and 27, of 2007), but has become, in my mind, a requirement for even beginners (like myself) of Web design. Since everyone who develops for the Web should have some idea of design and usability, this book should really be a mandatory requirement for said work. 
</p>
<p>
In short, there&#39;s no reason not to read this book if you&#39;re developing for the Web (writing content, programming, etcetera), or working with a team that does so. 
</p>
<h3>Notes on the book</h3>
<p>
The following are notes that I took while reading the book. They are broken up by chapter. These notes will <strong>not</strong> replace a reading of the book. 
</p>
<h4>Chapter 1</h4>
<ul>
	<li>Eliminate question marks - &quot;what does this do?&quot; ...</li>
	<li>use common language</li>
	<li>keep things obvious<br />
	</li>
</ul>
<h4>Chapter 2</h4>
<ul>
	<li>satisficing - first, best, option 
	<ul>
		<li>guessing</li>
		<li>back button most used browser feature</li>
	</ul>
	</li>
</ul>
<h4>Chapter 3</h4>
<ul>
	<li>billboard design</li>
	<li>clear visual hierarchy 
	<ul>
		<li>size, grouping, nesting<br />
		</li>
	</ul>
	</li>
	<li>use conventions</li>
	<li>clearly define page areas</li>
	<li>make clickable areas obvious</li>
	<li>minimize noise 
	<ul>
		<li>busyness</li>
		<li>background noise</li>
		<li><em>everything</em> is noise until proven otherwise<br />
		</li>
	</ul>
	</li>
	<li>replace text with a foreign language - does it still make sense (where things are)?<br />
	</li>
</ul>
<h4>Chapter 5</h4>
<ul>
	<li>get rid of happy-talk - they&#39;re not going to read it, but they may think they have to ... (but they still won&#39;t read it)</li>
	<li>kill instructions&nbsp;</li>
</ul>
<h4>Chapter 6</h4>
<ul>
	<li>navigation = getting from one place to another = figuring out where you are<br />
	</li>
	<li>navigation <em>reveals content</em></li>
	<li>presistent navigation - comfort for user; it&#39;ll be here, but it may change</li>
	<li>simpler navigation for forms and the like (where they need to perform a specific action)</li>
	<li>common elements; home, search, sections (nav), utilities (help use site: about us, contact, help, site map), site id/logo, title, indication of where you are</li>
	<li>home page != sub pages</li>
	<li>let people filter results (simple search) - more useful at that point (instead of before you even search)</li>
	<li>you need to know navigation from top-level to bottom-most level (id est, don&#39;t stop mocking up at the second or third level, keep going as necessary)</li>
	<li>every page needs aname - largest text</li>
	<li>visual cues of where you are can&#39;t be subtle; maybe two things, not just one</li>
	<li>breadcrumbs were an oddity - not a substitute for two levels of main nav 
	<ul>
		<li>move them out of page - don&#39;t let them conflict with primary nav<br />
		</li>
	</ul>
	</li>
	<li>tabs are self-evident, like the Recycle Bin on computes to delete files 
	<ul>
		<li>connect w/ secondary nav (like real life) 
		<ul>
			<li>have one tab selected by default<br />
			</li>
		</ul>
		</li>
	</ul>
	</li>
	<li>don&#39;t rely on color as the only cue</li>
	<li>&#39;trunk&#39; test: look at a page from a distance, or with nonsense text 
	<ul>
		<li>what site am I on?</li>
		<li>what page?</li>
		<li>what/where are the major sections?</li>
		<li>options at this level?</li>
		<li>where am I in scheme of things?</li>
		<li>search/find?<br />
		</li>
	</ul>
	</li>
</ul>
<h4>Chapter 7 (home pages)</h4>
<ul>
	<li>common elements 
	<ul>
		<li>site identity/mission</li>
	</ul>
	<ul>
		<li>site hierarchy</li>
	</ul>
	<ul>
		<li>search</li>
	</ul>
	<ul>
		<li>teaser</li>
	</ul>
	<ul>
		<li>timely content</li>
	</ul>
	<ul>
		<li>deals</li>
	</ul>
	<ul>
		<li>shortcuts</li>
	</ul>
	<ul>
		<li>registration</li>
	</ul>
	</li>
	<li>show me what I&#39;m looking for (and what I&#39;m not looking for)<br />
	</li>
	<li>show me where to start</li>
	<li>establish credibility and trust</li>
	<li>must appeal to all visitors</li>
	<li>?s: what is this?, what can I do here? what do they have here? why should I be here and not elsewhere? where do I start?</li>
	<li>tagline and brief, blocked, welcome blurb 
	<ul>
		<li>tagline = value proposition (like &#39;the single best source for facts on the net&#39;)<br />
		</li>
	</ul>
	</li>
	<li>max of four features (to point out)</li>
	<li>should be able to answer where to start to search, browse, sample (the best)</li>
	<li>nav layout changes are oaky, but don&#39;t change the order (home page vs. sub-pages) <br />
	</li>
</ul>
<h4>Chapter 8</h4>
<ul>
	<li>there is no average user</li>
	<li>there is no average user :D</li>
	<li>Web teams don&#39;t argue about big things (usually), just the minor issues (and these may not have right answers)</li>
	<li>testing is a good thing - get people to use proposed idea(s) and <em>see</em> how it <em>really</em> functions&nbsp;</li>
</ul>
<h4>Chapter 9</h4>
<ul>
	<li>focus groups vs. usability testing 
	<ul>
		<li>focus groups = group; wants, needs, likes &gt; marketing; do it early, not late in the game (do it before you start designing)<br />
		</li>
		<li>usability testing = individual, task based; whether site <em>works</em><br />
		</li>
	</ul>
	</li>
	<li>if people are getting lost, don&#39;t add more text - remove (distractions/noise)&nbsp;</li>
</ul>
<h4>Chapter 10</h4>
<ul>
	<li>keep photos/figures in print-friendly pages, but don&#39;t include nav, ...<br />
	</li>
</ul>
<h4>Chapter 11</h4>
<ul>
	<li>easy accessibility (first steps) 
	<ul>
		<li>add alt tags to images</li>
		<li>use labels in forms</li>
		<li>skip to main content link (before any other content)</li>
		<li>make all content accessible by keyboard</li>
		<li>don&#39;t use JS without a good reason&nbsp;</li>
	</ul>
	</li>
</ul>
<p>
&nbsp;
</p>

