+++
title = "Review: Professional ASP.NET MVC 1.0"
description = "Review of Professional ASP.NET MVC 1.0, written by Rob Conery, Scott Hanselman, Phil Haack, and Scott Guthrie."
draft = false
comments = true
date = "2009-10-18T09:26:00-05:00"
modified = "2009-10-18T09:31:59-05:00"
slug = "Review-Professional-ASPNET-MVC-10"
blogengine = "002ad2c9-c7ac-49b0-bbc5-2064294fb1d5"
categories = ["review"]
tags = ["asp.net", "c#", "asp.net mvc"]
+++

<div class="note">
<p>The following is a review of <a href="http://www.amazon.com/gp/product/0470384611?tag=strivinglifen-20">Professional ASP.NET MVC 1.0</a>, written by Rob Conery, Scott Hanselman, Phil Haack, and Scott Guthrie.</p>
<p>I received a free copy of this book for review purposes from Amazon Vine, but was planning on purchasing the book nonetheless (I just had the good fortune to get a copy before they were all taken).</p>
</div>
<h3>A great introduction to ASP.NET MVC</h3>
<p>Professional ASP.NET MVC 1.0 was my first real look at ASP.NET MVC. I had heard a great deal about the NerdDinner tutorial, which was released on the Internet for free, and which composes the first (164 page) chapter of the book, but never sat down and read it. Part of that is because I like to read physical copies of books, and part of that was because I was just so busy.</p>
<p>Nonetheless, this book remained on my list of 'must read' if I want to learn ASP.NET MVC.</p>
<p>It's unfortunate that it's taken me this long to get a copy and read it.</p>
<p>I started on the Web using HTML, graduating to CSS, and eventually picked up PHP 3.x as my first real dynamic language. ColdFusion followed, with a bit of Classic ASP, and only recently (the last couple of years) did I start looking at ASP.NET as a language.</p>
<p>Having dabbled in Visual Basic 6 many years ago, .NET attracted me far more than ASP.NET did; because of my background, I'm not afraid to dig into HTML and CSS and JavaScript - I like the ability to control my output. Because ASP.NET was so component based, and ViewState was a clever hack (in my opinion), and MasterPages screwed with my ids, I was rather turned away from having to use ASP.NET to create a fully functional Web site (despite all it's other great advances, and that it was built on .NET).</p>
<p>Thankfully, ASP.NET MVC is the best of both ASP.NET and classic Web design. Not only does this book make this clear, it helps you understand just how to go about it.</p>
<p>As already stated, a full Web site is created in the first 164 page chapter, with a large number of images within. The source code (the book uses C# throughout)&nbsp;and the complete text of the chapter are available for free online. By all means, go out and download the chapter, and read through it. In my opinion, this serves rather well as the 'beginning' aspect of ASP.NET.</p>
<p>The 'professional' aspect comes from the remaining chapters, which go deep into ASP.NET MVC, using what was taught in the first chapter. With information about why things were done the way they were done, coming straight from the people who worked on the technology, I felt I had a very firm grasp of ASP.NET MVC; knowing how and why is better than just knowing the former.</p>
<p>The only downside is that because they wanted to make the NerdDinner tutorial the first chapter, I believe the chapter ordering suffered slightly. I personally read chapter 2, which covers the MVC pattern, before I tackled chapter 1.</p>
<p>While some people have stated that they believe the book needs more editorial review, to clean up the voice of the book, I rather enjoyed it, and would really like to read more books by this group of individuals; you can tell, I think, that there's a real relationship among the writers.</p>
<p>Unfortunately, a few minor errors did sneak their way into the book, the only major one being that they mention crafting code differently later, but never go about doing it. Otherwise, no swapped images in this Wrox book (which I think almost every other Wrox book I own suffers from). The headings could also use slightly different sizing to make it a little more obvious what level we're at. But, these are minor concerns, and concern the layout, and not the content.</p>
<p>In fact the only real content concern I can think of is that the ending seemed abrupt, as if they had either removed a chapter from the end, or reordered the chapters.</p>
<p>Overall, I enjoyed the book immensely, and give it a full 5 stars. I will most definitely consult this book in the future for the advanced topics covered in those chapters after the first, especially for those topics that seemed to be more advanced (testing for example, as that's not something I've worked with in the past).</p>
<p>Go read the NerdDinner tutorial for an introduction to ASP.NET MVC, then purchase this book and get the rest of the story.</p>
