+++
author = "James Skemp"
categories = ["review"]
date = "2016-10-22T16:27:37-05:00"
description = "The following is a review of the Raspberry Pi User Guide, Fourth Edition, written by Eben Upton and Gareth Halfacree, and received as part of the Amazon Vine program."
draft = false
tags = ["review", "raspberry pi"]
title = "Review: Raspberry Pi User Guide, Fourth Edition"

+++

The following is a review of the Raspberry Pi User Guide, Fourth Edition, written by Eben Upton and Gareth Halfacree, and received as part of the Amazon Vine program.

## A good basic overview of the Raspberry Pi

My experience with the [Raspberry Pi][raspberry-pi-3] is limited to a year of owning three Pi 2s (one that I turned into a backup server, one into a RetroPie machine, and one that never left the box) and one Pi 3 (that I just started to get setup as an updated RetroPie machine). However, a part of me was always interested in doing more with the machines, especially when it came to trying out the camera module and attaching components to the Pis.

When I saw the [Raspberry Pi User Guide][review] available as an option, with part of the description mentioning that I could "[b]uild amazing creations with the ultimate beginner's guide to the Raspberry Pi," I was hoping that I'd be guided toward creating some interesting applications with Python, as well as further understand the actual Raspberry Pi hardware. Having now read the book I definitely have a much better understanding of the Pi's hardware, and some very basic knowledge of how to program with Python.

The Raspberry Pi User Guide starts with an overview of the various iterations of the Raspberry Pi, from the Model A/B to the Raspberry Pi 3. Next getting the Pi setup is covered, from connecting to a display to installing an OS. Next there's a basic, but robust enough, overview of how to work with the Raspbian OS, followed by sections on troubleshooting, networking, and Raspberry Pi configuration.

Next there's two sections on setting up a home theatre PC and a productivity machine, and then three sections on programming, covering Scratch, Python (including a bit on pygame), and Mincraft Pi Edition. Finally there's four sections covering hacking the hardware, using the GPIO port, camera module, and the official add-ons.

Personally, I found the sections on the hardware iterations, working with the Raspbian OS, and part on programming, the most interesting. A number of the other sections are fairly basic, and could easily be found online from various sources.

Ultimately, the [Raspberry Pi User Guide][review] is definitely for beginner's of the Raspberry Pi. For someone who purchases [a Raspberry Pi kit][raspberry-pi-3], which includes NOOBS, a number of these sections won't be necessary. You can also find individual program installs covered online (and generally with more current information). But despite this, the user guide may actually be what true beginners need.

For these reasons I actually give the [Raspberry Pi User Guide][review] four of five stars. While you certainly won't be building 'amazing creations' right out of the bat, this book is certainly a good way for beginners to get a basic understanding of the hardware, and an interest in actually creating their own software. For more advanced users, this is something that can be skipped.

[review]: http://amzn.to/2ebDsdn
[raspberry-pi-3]: http://amzn.to/2dZ83sF
