+++
title = "Review: The Role-Playing Game Primer and Old School Playbook"
date = 2019-08-19T21:22:57-05:00
draft = false
description = "The following is a review of The Role-Playing Game Primer and Old School Playbook, by Chris Gonnerman."
author = "James Skemp"
tags = [ "review", "book" ]
categories = [ "review" ]
+++

The following is a review of [*The Role-Playing Game Primer and Old School Playbook*][review], by Chris Gonnerman.

## A Quick and Helpful Read, Especially For Basic Fantasy
About a year and a half ago I was on a temporary kick to read up on different pen-and-paper RPGs, having lost track in early/mid-2000. Around then I discovered the Open Game License, and Basic Fantasy.

Fast forward a year and change and I was once again looking into 'OSR' RPGs, having dusted off Basic Fantasy, and picked up [Dungeon Crawl Classics](https://amzn.to/2KKy41T), Swords & Wizardry, Blood & Treasure, and a few others.

As I had been in college, I was once again interested in how these games had developed their gaming systems. However, this time I was also interested in putting that knowledge to use, and perhaps even developing content.

[*The Role-Playing Game Primer and Old School Playbook*][review] is written by Chris Gonnerman, who also authored [Basic Fantasy](https://www.basicfantasy.org/) and [Iron Falcon](http://www.ironfalconrpg.com/), both of which are modern games designed to have the same feel as the first tabletop RPGs, and have rules and supplements that are completely free to download (and at a small cost elsewhere). The fact that he authored those other books, and provides them at little to no cost made purchasing this book a no-brainer.

Despite that, I wasn't expecting all that much from this book, given its length of 68 pages (which includes the cover page, table of contents, and OGL), and was purchasing it more to support the author. Having read it over the course of a couple hours, however, I'm glad I picked up a copy, as this provides a number of valuable insights for players and those who would DM/GM/etcetera.

[*The Role-Playing Game Primer and Old School Playbook*][review] consists of six parts, covered below.

Part one, An Example of Play, goes over starting an adventure, including how characters in Basic Fantasy are generated. It's told through the interactions of four people, one of whom is teaching the three other players how to play. While there are some forced bits, it comes across rather well, and could be applicable to any other system.

Part two, Advice for New Players, is meant to be given to and read by individuals who will be playing characters in a game. While some aspects are again specific to Basic Fantasy, the key concepts can be used in any system. The dialog is dropped from this section, which makes it much more to-the-point.

Part three, Running An Adventure, is meant to be read by a game master, and doesn't expect that they've run an adventure before. It includes a short adventure that can be used for an actual session, with extra detail provided to make it easier to run. This is probably worth the price alone, as it could easily be converted from Basic Fantasy.

Part four, Creating An Adventure, gives a basic overview of how to create an adventure, including creating a map (with graph paper or a free online tool) and stocking the dungeon. Again, this specifically references [Basic Fantasy](https://www.basicfantasy.org/), but the basic principles could easily be used in other systems.

Part five, Game Mastery, covers what 'old school' RPGs are, and gives general tips to individuals who are interested in being a GM for such a game. As an aspiring one, I personally got a lot out of this chapter, especially in regards to the story. The story isn't written by the GM guiding the players, but rather the GM and players working together. While a GM could certainly have a story in mind, players can, and should be allowed to, completely ignore it and do something else entirely.

Part six, Other Games, covers OSRIC, Labyrinth Lord, and Swords & Wizardry, three other popular 'retro-clones' like Basic Fantasy. While short, this includes a short blurb on each as well as a handy guide on converting armor, movement, and morale from one system to the other. This is probably the weakest part of the book, but I appreciate the conversion work.

In conclusion, if you're new to [Basic Fantasy](https://www.basicfantasy.org/), or want to try GMing with players new to it, I highly recommend this book. If you're a new GM, for Basic Fantasy or a different system, I would also recommend this book. If you've been GMing a modern system, and want to try your hand with the 'old school,' I would recommend this book also.

However, if you've been GMing for many years, you may not get much out of the book, other than a basic adventure for starting characters, and perhaps a reminder of pitfalls GMs should avoid.

[*The Role-Playing Game Primer and Old School Playbook*][review], by Chris Gonnerman, is highly recommended.

[review]: https://amzn.to/2TKQXoc
