+++
title = "Review: Smashing CSS"
description = "Reviewing of Smashing CSS, written by Eric A. Meyer."
draft = false
comments = true
date = "2011-03-25T19:20:00-05:00"
modified = "2011-04-04T22:10:31-05:00"
slug = "Review-Smashing-CSS"
blogengine = "9c28f249-0cf4-43ae-8062-0174c0223d9f"
categories = ["review"]
tags = ["css", "review"]
+++

<div class="note">
<p>The following is a review of <a rel="external" href="http://www.amazon.com/gp/product/047068416X?tag=strivinglifen-20">Smashing CSS</a>, written by Eric A. Meyer.</p>
</div>
<h3>Mixed signals lead to a mixed review</h3>
<p>I think this may technically be the first Eric Meyer book I've ever read. I've read a number of his articles online, in various forums, but just haven't gone out of my way to read one of his books.</p>
<p>So I'm not sure exactly what I was expecting, but I do know it was more then I believe I got.</p>
<p>First, the book itself is beautiful. The pages are crisp, smooth, and colorful. The binding seems very well put together, suggesting this will last a good number of years. At a list price of $40 and running at ~270 pages, the page count seems a little low, but ... it all depends upon the content, right?</p>
<p>Before I get into the content, I've been using CSS for a number of years, although only 'strongly' since around 2004. But I didn't really look too much into CSS 2.1 or 3, and have only begun looking at HTML5 in the last handful of months, so I expected the book to have a good deal of items I could learn from. And of course, it's Eric Meyer, so surely he's got some great tips.</p>
<p>The book is broken up into Fundamentals, Essentials, and Cutting Edge. The first covers Tools and Selectors, the second Tips, Layouts and Effects, and the third Tables and 'The (Near) Future.'</p>
<p>The first two chapters were pretty much old news to me. I'm well aware of the various tools and how selectors work, although some of the CSS 2.1/3 items were valuable enough, but nothing that wasn't completely new to me.</p>
<p>The chapter of tips was okay, but again, nothing really new here, with far too much about lists, in my personal opinion.</p>
<p>However, chapter four, covering layouts, really got me interested. To quote, chapter four is when the book "started getting good." The various layouts which we've always struggled with in CSS are nicely laid out in one place. Hurrah!</p>
<p>Then chapter five starts, where we learn about effects. Unfortunately, the chapter starts out with CSS that's been in place since 2001. It may be "an oldie but a goldie," but ... it was a bit of a scary start. Then we get into CSS pop-ups and navigation, and some rather cool 'box punching.' Then we're back to old-school rounded corners, followed by the CSS3 way to do these.</p>
<p>Which is as good a time as any to point out that perhaps 'Smashing CSS' suggests that the goal of this book is fairly vague, or wide. More on this in a moment.</p>
<p>In chapter six we're introduced to tables, although, as scary as that sounds, it's really about making tabular data look good. He has an example of using tabular data on a map which seems a bit ... forced, but the charting example is fine enough. (Hopefully people realize that this is for simple things, and don't overlook more powerful JavaScript alternatives.)</p>
<p>Finally we have chapter seven, which covers (worth quoting again) "The (Near) Future." An odd title for what I thought the book was going to be about, but ... okay. We have three pages of content about HTML5, we touch on media queries a bit (I did have a couple 'ah ha!' moments, when cool design ideas popped out), and then colors, shadows, multiple backgrounds, and transforms, the last of which featured some pretty boring grey boxes. A real disappointment, but it served to solidify that there's not much practical use for this functionality now.</p>
<p>And then ... no closing. Which left me honestly wondering what I thought the purpose of this book was. There's old-school tricks, some new features, a nice section on layouts, a listing of tools (which can be found on dozens, if not more, sites online), ... But what's the purpose?</p>
<p>So I reviewed the back of the book again, and really it's just a hodge-podge of techniques. And it also appears jQuery was going to be discussed, but JavaScript is intentionally left out in many places (and jQuery only shows up once in the index).</p>
<p>So, I just don't know.</p>
<p>Finally, there's a number of typos, incorrect graphics, and grammar mistakes throughout the book. Only a little more than a dozen, so nothing too horrible. Only one mistake stopped me from understanding a bit of the book, but I honestly didn't care that much about the technique being shown (icicles moving at different speeds), so no big loss.</p>
<p>Overall, because of the lack of a defined purpose, that ties the book together (in my opinion), I have to give the book 3 of 5 stars.</p>
<p>It's a good book, but chapter 4 is really the only thing I'm going to flip back to. I could certainly see myself giving someone newer the book to read chapter 2 and 3. As for chapters 5-7, ... I think enough time has passed since the book has been published that online resources provide more than chapter 7, and I can think of nothing in the other two that I'm not already doing, or have no plans to do.</p>
<p>I'd recommend this book much more for those who are beginning with CSS. If you're looking for HTML5 and CSS3 information, look elsewhere.</p>
<p>&nbsp;</p>
