+++
title = "Rousseau's Social Contract and the Foundation of Western Culture"
description = "A short discussion of Rousseau's The Social Contract."
draft = false
comments = true
date = "2001-03-07T02:01:00-06:00"
modified = "2009-12-20T19:20:21-06:00"
slug = "Rousseaus-Social-Contract-and-the-Foundation-of-Western-Culture"
blogengine = "c17c094b-6b7b-4695-95f9-e043b5beb6ff"
categories = ["article", "philosophy", "political"]
tags = ["college papers"]
+++

<p>&ldquo;Man is born free; and everywhere he is in chains.&rdquo; (Rousseau, Chapter I). Jean-Jacques Rousseau and <em>The Social Contract</em> had a large impact on Western Civilization in the late 18th century. Rousseau based his ideas on some of the writings of previous philosophers, trying to form a good political theory.</p>
<p><em>The Social Contract</em> was developed by Jean-Jacques Rousseau around 1762, during the time of the scientific revolution and the Enlightenment. <em>The Social Contract </em>was based on the ideas of Baron de Montesquieu and John Locke. Rousseau was attempting to find a solution to the problems of individual rights and restrictions. He questions what will legitimatize the power masters have over others. Rousseau talks about both rule by the strongest individuals, or groups of individuals, and also discusses slavery.</p>
<p>Rousseau first discredits rule by the strongest. He states that &ldquo;all power comes from God, I admit; but so does all sickness: does that mean that we are forbidden to call in the doctor?&rdquo; (Rousseau, Chapter III). His point in saying this is that if the strongest is right, then, since God is the strongest, we should not go against his will and seek an end to an illness. Instead, we should accept it. Rousseau then states that rule by the strongest is not always the correct way to do things, and therefore a better way must exist.</p>
<p>Rousseau then goes on to talk about slavery, which in a way deals with his previous subject of rule by the strongest. He compares slavery with rule by a king, saying that individuals can alienate their freedom to a slave master, and that a group of individuals could do the same to a king. Rousseau tells us that &ldquo;To alienate is to give or to sell&rdquo; (Rousseau, Chapter IV). A slave sells himself to a master for protection and food, and in a way, people can sell or give themselves to a king for the same things. However, Rousseau tells us that kings also take individuals possessions as well, and eventually the people no longer have anything that they can call their own. At this time, and even before this, the upper class is taking a lot from the lower and middle class, in property, goods and services. Rousseau also tells us that no one can alienate another&rsquo;s freedom, so therefore, people are born free to decide if they wish to join the compact.</p>
<p>Continuing with the attack of slavery, Rousseau then talks about war and how it relates to the state and the individual. He tells us that war is between to different societies or &ldquo;...between State and State, and individuals are enemies only accidentally&rdquo; (Rousseau, Chapter IV). Therefore, if someone surrenders to the opposing State, they can not be killed, since they are no longer part of their State and because no one can take away their freedom, or life. Since people can not be killed after they surrender, they also cannot be enslaved against their will. He talks about this to prove what he said earlier about rule of the strongest and how it cannot be.</p>
<p>Next Rousseau talks about the actual contract, and the problem that it must deal with. &ldquo;The problem is to find a form of association which will defend and protect with the whole common force the person and goods of each associate, and in which each, while uniting himself with all, may still obey himself alone, and remain as free as before.&rdquo; (Rousseau, Chapter VI). In other words, each person, and their goods or property, should be equally protected by all. Also, each person should still be free to choose what they wish to do, as long as it doesn&rsquo;t go against the good of all. This makes sense since according to Rousseau, the Sovereign is made up of the people that formed the compact, and they will decide best for all.</p>
<p>Rousseau then talks about voting, and how it should not be drawn out in constant talks. He also tells us that fear will cause people to vote for those who hold power over them, once again attacking slavery. Rousseau also tells us that the majority wins in all votes, except for that which brings about the social compact, which needs to be chosen by all. If there is anyone who disagrees with the compact, then that doesn&rsquo;t mean that it isn&rsquo;t formed, rather that those who disagreed should leave, or follow the compact.</p>
<p>Next, Rousseau explains why the majority wins in debates. He tells us that upon formation of the compact, &ldquo;This citizen gives his consent to all the laws, including those which are passed in spite of his opposition, and even those which punish him when he dares to break of them.&rdquo; (Rousseau, Chapter II). Also that &ldquo;When therefore the opinion that is contrary to my own prevails, this proves neither more nor less than that I was mistaken, and that what I thought to be the general will was not so.&rdquo; (Rousseau, Chapter II).</p>
<p><em>The Social Contract</em> has influenced western political institutions in a couple of ways. First of all, our view of slavery is similar to that of Rousseau&rsquo;s, that people should not be enslaved against their will. Secondly, vote by the majority is popular as well, and we no longer are controlled by a king, but by the general will of all.</p>
<p><em>The Social Contract</em> was a very important writing of it&rsquo;s time. Not only did it have an influence when it was written, but it also has had an influence on some of today&rsquo;s political policies and ideas.</p>
<h3>Bibliography</h3>
<p>Jean-Jacques Rousseau. <em>The Social Contract: Extracts</em>. 1762. UW Green Bay. July 1998, &lt;http://www.uwgb.edu/ganyardc/493102/library/rousseau.htm&gt;.</p>
<p>Dennis Sherman and Joyce Salisbury. <em>The West in the World</em>, volume II. McGraw-Hill: Boston, 2001.</p>
<h3>Notes</h3>
<p>Originally written as a mid-term for a Foundations of Western Culture 2 course.</p>
<p><strong>Modified:</strong> May 12th 2005</p>
