+++
title = "Rules for Sentential Logic"
description = "The basic rules for sentential logic. Does not include an analysis of the rules, merely an outline of them."
draft = false
comments = true
date = "2002-10-29T00:01:00-06:00"
modified = "2009-12-21T08:07:59-06:00"
slug = "Rules-for-Sentential-Logic"
blogengine = "a5548d04-76f9-45b0-a9bd-dd5da32103a0"
categories = ["article", "philosophy"]
tags = []
+++

<p>It is important to mention what sentential logic is. While my guide has been out for almost two years now, I&rsquo;ve yet to discuss what these rules are for. Sentential logic is one logical system, by which conclusions can be reached via premises, which may or may not be true. The truth of the premises does not concern sentential logic. Rather, sentential logic will tell you what conclusions necessarily come from the premises posited.</p>
<!--more-->
<p>The simplest rule is addition, but the one that we use most frequently is conjunction. This states that if I say that my car is a Volkswagen, and I also say that my car is a 1987 model, I can conclude that my car is a 1987 Volkswagen. Logically speaking, the implicational argument forms (laid out in rules one through eight) are the ones that we typically use in common speech, and that will come fairly easy to use. The other rules are not quite as easy, but build upon the &lsquo;first&rsquo; eight rules, so are therefore easy to pickup.<!--adsense--></p>
<p>When I constructed this list I used many different sources. One of the sources was the second logic book that I picked up &ndash; but the first textbook &ndash; called <em>Logic &amp; Philosophy</em>. The printing we used in my Elementary Logic course was the eighth edition, but I later picked up a copy of the third edition, since it was so cheap :)</p>
<p>The order of the rules below is not by the book (Paul Tidman and Howard Kahane's <em>Logic &amp; Philosophy: A Modern Introduction, Eighth Edition</em>), but rather alphabetical. The same rules can be found in Howard Kahane's <em>Logic and Philosophy: Third Edition</em>, which is merely a previous edition of the book above, as stated previously.</p>
<p>Also, different books use different notation, some of which are noted below (for the main 5 connectors). Whatever symbolism you use, these rules will apply.</p>
<div>
<table style="width: 75%;" border="1" cellspacing="0" cellpadding="0">
<tbody>
<tr>
<td width="33%">
<p align="center">and</p>
</td>
<td width="34%">
<p align="center">&bull;</p>
</td>
<td width="34%">
<p align="center">&amp;</p>
</td>
</tr>
<tr>
<td width="33%">
<p align="center">or</p>
</td>
<td width="34%">
<p align="center">&or;</p>
</td>
<td width="34%">
<p align="center">v</p>
</td>
</tr>
<tr>
<td width="33%">
<p align="center">not</p>
</td>
<td width="34%">
<p align="center">~</p>
</td>
<td width="34%">
<p align="center">-</p>
</td>
</tr>
<tr>
<td width="33%">
<p align="center">implies</p>
</td>
<td width="34%">
<p align="center">&sup;</p>
</td>
<td width="34%">
<p align="center">-&gt;</p>
</td>
</tr>
<tr>
<td width="33%">
<p align="center">is exactly equal to</p>
</td>
<td width="34%">
<p align="center">&equiv;</p>
</td>
<td width="34%">
<p align="center">=</p>
</td>
</tr>
</tbody>
</table>
</div>
<p>If you&rsquo;d like more information regarding logic, I have a couple of pages dealing with the subject. As far as books, I recommend the <em>Logic &amp; Philosophy</em> books (information above). I&rsquo;ve also had time to look through <em>The Logic Book: Second Edition</em>, by Merrie Bergmann, James Moor, and Jack Nelson. I unfortunately cannot recommend this latter book as much as <em>Logic &amp; Philosophy</em>, for a quick glance tells me that the former is a better resource. That said, I present the following sentential logic forms.</p>
<ol>
<li>Valid <strong>Implicational</strong> Argument Forms 
<ul>
<li>Addition (Add) </li>
<li>Conjunction (Conj) </li>
<li>Constructive Dilemma (CD) </li>
<li>Disjunctive Syllogism (DS) </li>
<li>Hypothetical Syllogism (HS) </li>
<li>Modus Ponens (MP) </li>
<li>Modus Tollens (MT) </li>
<li>Simplification (Simp) </li>
</ul>
</li>
<li>Valid <strong>Equivalence</strong> Argument Forms 
<ul>
<li>Association (Assoc) </li>
<li>Commutation (Comm) or (Com) </li>
<li>Contraposition (Contra) or Transposition (Trans) </li>
<li>DeMorgan's Theorem (DeM) </li>
<li>Distribution (Dist) </li>
<li>Double Negation (DN) </li>
<li>Equivalence (Equiv) </li>
<li>Exportation (Exp) </li>
<li>Implication (Impl) </li>
<li>Tautology (Taut) or Idempotence (Idem) </li>
</ul>
</li>
<li>Conditional and Indirect Proof 
<ul>
<li>Conditional Proof (CP) </li>
<li>Indirect Proof (IP)</li>
</ul>
</li>
</ol>
<h3>Rules for Sentential Logic:</h3>
<h4>Valid Implicational Argument Forms:</h4>
<h5>1. Addition (Add):</h5>
<p>p /&there4; p &or; q</p>
<h5>2. Conjunction (Conj):</h5>
<p>p<br />q /&there4; p &bull; q</p>
<h5>3. Constructive Dilemma (CD):</h5>
<p>p &sup; q<br />r&nbsp;&sup; s<br />p&nbsp;&or; r&nbsp;/&there4;&nbsp;q &or;&nbsp;s</p>
<h5>4. Disjunctive Syllogism (DS):</h5>
<p>p &or; q<br />~p /&there4; q<br />p &or; q<br />~q /&there4; p</p>
<h5>5. Hypothetical Syllogism (HS):</h5>
<p>p &sup; q<br />q &sup; r /&there4; p &sup; r</p>
<h5>6. Modus Ponens (MP):</h5>
<p>p &sup; q<br />p /&there4; q</p>
<h5>7. Modus Tollens (MT):</h5>
<p>p &sup; q<br />~q /&there4; ~p</p>
<h5>8. Simplification (Simp):</h5>
<p>p &bull; q /&there4; p<br />p &bull; q /&there4; q</p>
<h4>Valid Equivalence Argument Forms:</h4>
<h5>9. Associaton (Assoc):</h5>
<p>[p &or; (q &or; r)] :: [(p &or; q) &or; r]<br />[p &bull; (q &bull; r)] :: [(p &bull; q) &bull; r]</p>
<h5>10. Commutation (Comm):</h5>
<p>(p &or; q) :: (q &or; p)<br />(p &bull; q) :: (q &bull; p)</p>
<h5>11. Contraposition (Contra):</h5>
<p>(p &sup; q) :: (~q &sup; ~p)</p>
<h5>12. DeMorgan's Theorem (DeM):</h5>
<p>~ (p &bull; q) :: (~p &or; ~q)<br />~ (p &or; q) :: (~p &bull; ~q)</p>
<h5>13. Distribution (Dist):</h5>
<p>[p &bull; (q &or; r)] :: [(p &bull; q) &or; (p &bull; r)]<br />[p &or; (q &bull; r)] :: [(p &or; q) &bull; (p &or; r)]</p>
<h5>14. Double Negation (DN):</h5>
<p>p :: ~~p</p>
<h5>15. Equivalence (Equiv):</h5>
<p>(p &equiv; q) :: [(p &sup; q) &bull; (q &sup; p)]<br />(p &equiv; q) :: [(p &bull; q) &or; (~p &bull; ~q)]</p>
<h5>16. Exportation (Exp):</h5>
<p>[(p &bull; q) &sup; r] :: [p &sup; (q &sup; r)]</p>
<h5>17. Implication (Impl):</h5>
<p>(p &sup; q) :: (~p &or; q)</p>
<h5>18. Tautology (Taut):</h5>
<p>p :: (p &bull; p)<br />p :: (p &or; p)</p>
<h4>Conditional and Indirect Proof:</h4>
<h5>19. Conditional Proof</h5>
<p>p&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; AP<br />.<br />.<br />.<br />q<br />p &sup; q&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; CP</p>
<h5>20. Indirect Proof</h5>
<p>~C&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; AP<br />.<br />.<br />.<br />p &bull; ~p<br />C&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; IP</p>
<p>&nbsp;</p>
<h3>Notes:</h3>
<p>See also my paper titled <a href="/words/post/The-Three-Kinds-of-Inference.aspx"><cite>The Three Kinds of Inference</cite></a>.</p>
<p><strong>Created:</strong> October 29th 2002<br /><strong>Modified:</strong> September 11th 2003; October 5th 2003; November 24th 2003; February 4th 2004; February 9th 2004; August 6th 2004; October 3rd 2004</p>
