+++
title = "Samurize configurations across my systems"
description = "The Serious Samurize configurations I have setup on the various machines I use."
draft = false
comments = true
date = "2010-03-21T13:01:00-05:00"
modified = "2010-03-21T13:10:32-05:00"
slug = "Samurize-configurations-across-my-systems"
blogengine = "6c59b123-ee9c-43da-803d-7eadcff80b6b"
categories = ["StrivingLife"]
tags = ["samurize"]
+++

<p>One of the applications that I consistently run across all my machines is Serious Samurize. After first finding it, years and years ago, it's quickly become a requirement&nbsp;for getting work done.</p>
<p>While some people may have much <a rel="external" href="http://forums.samurize.us/index.php?app=gallery">prettier, and extensive, configurations</a>, I prefer something that I can let sit on my screen on top of everything&nbsp;(assuming Windows doesn't let other applications bump on top of it every once in a while), giving me only the information I need. However, each still ends up being slightly different.</p>
<p>What follows is a listing of my machines, a preview of what the config looks like, with details about placement and what's where.</p>
<div class="note">
<p>The captures below are from the Samurize config editor. Black or grey is used as the background for semi-consistency.</p>
</div>
<h3>Home configuration - Windows XP Home - PC</h3>
<p><img title="Samurize configuration on Windows XP Home (home PC)" src="http://media.jamesrskemp.com/graphics/samurize/Config-WindowsXpPc.png" alt="Samurize configuration on Windows XP Home (home PC)" /></p>
<p>I've had this configuration the longest and I'm pretty happy with it. It sits on the bottom center of my screen (the only non-widescreen monitor I use). The blue in the far left graph is the same blue on my background (solid color).</p>
<p>From left to right we have; CPU usage over time, current memory used (there's 2 GB on that machine, so the fill is off), network traffic currently followed by total network traffic since the last reboot, hard drive usage (only one drive on this machine), uptime since the last reboot, date and time (which sometimes gets stuck on this machine, probably because I reboot/shut down&nbsp;only when I have to for updates). Had to add the background so that I could see this, this being the only one that sits on the bottom of the screen.</p>
<p>(Before Windows Vista and Windows 7 I put all my start bars on the top of the screen. I could get away with keeping Samurize on the top at work because I put it on my second screen, but wasn't so lucky with my home machine.)</p>
<h3>Home configuration - Windows 7 Home Premium - PC</h3>
<p><img title="Samurize configuration on Windows 7 Home Premium (home PC)" src="http://media.jamesrskemp.com/graphics/samurize/Config-Windows7Pc.png" alt="Samurize configuration on Windows 7 Home Premium (home PC)" /></p>
<p>I haven't had this configuration very long. It sits in the top center of my main, left, monitor.</p>
<p>From left to right we have; memory usage (it was nicer when I only had 4 GB - having recently upgraded to 6 GB I need to go back in and split that into 6 sections), processor 1 and 2 usage (like the next one, I like how the two meet in the middle and work their way out), current upload (top) and download graphically, textually, and since last reboot.</p>
<p>With two fairly large hard drives, I don't care too much about space on this box, and I've yet to keep this machine on for more than 12 hours, if that, so uptime doesn't matter either. I'm tempted to grab a plugin that displays what iTunes is playing, but I haven't been pushed over the edge yet.</p>
<h3>Home configuration - Windows 7 Home Premium - Laptop</h3>
<p><img title="Samurize configuration on Windows 7 Home Premium (home laptop)" src="http://media.jamesrskemp.com/graphics/samurize/Config-Windows7Laptop.png" alt="Samurize configuration on Windows 7 Home Premium (home laptop)" /></p>
<p>This is a configuration I've had&nbsp;a very short time, and one that I'm not quite happy with. This sits in the top center of the screen.</p>
<p>I made this very barebones, so it's obvious, but to be consistent, from left to right we have; hard drive usage (I believe that's free as opposed to full though), total CPU usage,&nbsp;memory usage, download and upload graphically, and textually.</p>
<p>I mostly use this for browsing, so having network activity much more visible, as well as showing total down/up, would make this much nicer.</p>
<h3>Work configuration - Windows XP Professional - PC</h3>
<p><img title="Samurize configuration on Windows XP Professional (work PC)" src="http://media.jamesrskemp.com/graphics/samurize/Config-WindowsXpPc_Work.png" alt="Samurize configuration on Windows XP Professional (work PC)" /></p>
<p>I've had this for a little while, and the only thing I wish is that I could see a larger network graph, since I regularly get a horizontal line when moving files over the network. This sits in the top center of my right, secondary, monitor, which is also where I commonly do development in Dreamweaver and Visual Studio (except during my recent days of converting ColdFusion pages to ASP.NET, where VS stays in the right monitor).</p>
<p>Again, pretty obvious, but from left to right we have; hard drive free (it's a tiny drive, and for a while I kept running out of space), CPU usage, memory usage, network activity down and up graphically, textually, and since the last reboot. This sits on top of other applications that I regularly use, so I dropped in a slight background so that I could see it and drag it about, if needed.</p>
<p>I have to restart this machine each night when I go home or it gets bogged down, and once again, there's 3 GB of memory in this machine, so the graphic is incorrect.</p>
