+++
title = "Schopenhauer's Prefaces to The World as Will and Representation"
description = "An analysis of the prefaces of the three editions of Arthur Schopenhauer's The World as Will and Representation."
draft = false
comments = true
date = "2007-02-11T15:09:00-06:00"
modified = "2010-05-31T08:49:25-05:00"
slug = "Schopenhauers-Prefaces-to-The-World-as-Will-and-Representation"
blogengine = "1add2475-2fbf-4975-adef-2b347156007b"
categories = ["article", "philosophy"]
tags = ["arthur schopenhauer", "19th century"]
+++

<p>Arthur Schopenhauer's <cite>The World as Will and Representation</cite> (<span><cite>Die Welt als Wille und Vorstellung</cite></span>) went through three editions in Schopenhauer's lifetime, and accordingly there are three prefaces, one for each edition. The first was written in 1818, the second in 1844, and the third in 1859.</p>
<p>Today I'll be looking at the preface of each of the three editions, and providing an analysis of what he has attempted to get across within each.</p>
<!--more--><!--adsense-->
<h4>Page count of the first, second, and third edition prefaces</h4>
<p>Before looking at each preface by itself, there is one simple thing we can first do. By comparing the three prefaces, one thing is readily apparent; the size of the prefaces changed a good deal from one to the next. Looking at the translation's published by Dover Publications, the first preface is six pages, the second ten, and the third just one.</p>
<p>Among the questions we will ask, the one we must make sure we answer is what this signifies. Why is it that the number of pages changed so much?</p>
<h4>The first edition</h4>
<h5>In relation to Schopenhauer's life</h5>
<p>The date of the preface to the first edition is written as August 1818. Born in 1788, Schopenhauer would have been around 30 years of age at the writing of this preface, and by this time had released two works; <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite> (<span><cite>&Uuml;ber die vierfache Wurzel des Satzes vom zureichenden Grunde</cite></span>), in 1813, and <cite>On Vision and Colors</cite> (<span><cite>&Uuml;ber das Sehn und die Farben</cite></span>) in 1816.</p>
<p>The first edition of <cite>The World as Will and Representation</cite> consisted solely of the first volume of the work. The second volume would not be included until the second edition.</p>
<h5>Preface to the first edition</h5>
<p>Schopenhauer sets out to do one thing in the preface to the first edition of <cite>The World as Will and Representation</cite>, but through this one thing, actually does two other things. We need look no further than the first sentence to see what he sets out to do;</p>
<blockquote>
<p>&ldquo;I purpose to state here how this book is to be read, in order that it may be thoroughly understood.&rdquo; [xii]</p>
</blockquote>
<blockquote>
<p>&rsaquo;Wie dieses Buch zu lesen sei, um m&ouml;glicherweise verstanden werden zu k&ouml;nnen, habe ich hier anzugeben mir vorgesetzt.&lsaquo; [7]</p>
</blockquote>
<p>To this end, he sets forth three demands upon the reader who would pick up his work.</p>
<p>The first demand is that the reader read his book twice, the first time with great patience. [xii-xiii] Schopenhauer argues that this is absolutely necessary, as &ldquo;the beginning presupposes the end almost as much as the end the beginning, and that every earlier part presupposes the later almost as much as the later the earlier.&rdquo; [xiii]</p>
<p>&ldquo;Moreover, the earnest desire for fuller and even easier comprehension must, in the case of a very difficult subject, justify occasional repetition.&rdquo; [xiii]</p>
<p>The second demand is that two of his works be read before this one; <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite> and the first chapter of <cite>On Vision and Colors</cite>. [xiii-xiv] As already stated, these were nothing more than the two works he had already released, and which he calls in this preface his introduction to this new work. Please note that my piece <a href="http://strivinglife.net/wordpress/2005/06/01/64/arthur-schopenhauers-principle-of-sufficient-reason/">Arthur Schopenhauer&rsquo;s Principle of Sufficient Reason</a> covers this book in some detail, at least as regards the four roots, or laws, of the principle of sufficient reason.</p>
<p>What's truly interesting is that Schopenhauer states that he would have preferred incorporating both works into this new one - the first with some corrections, and the second word for word.</p>
<p>While one might argue arrogance at this point - and indeed they may not be too wrong - what's really important is that Schopenhauer sees his three writings as one whole work. If, as we must, we rely solely on what he wrote here, then we get the impression that, were time not a factor, he would have incorporated this thoughts into this single volume.</p>
<p>Moving to the third demand, he requires that the reader have an acquaintance with the principal works of Kant. [xv-xvi] In addition to this, he requires that the appendix, Criticism of the Kantian Philosophy (<span>Kritik der Kantischen Philosophie</span>) be read &ldquo;as its subject-matter has special reference to book one of the present work.&rdquo; [xv] Of course, like the main work, the appendix should also be read twice. Yet, if we read him correctly, this is perhaps his only writing that he would not want incorprated into main work, as he has specifically made it a separate appendix.</p>
<p>Schopenhauer also ties in additional works, namely Plato's and the <cite>Vedas</cite>, specifically the <cite>Upanishads</cite>, and states that if the reader has read these works, they will be better prepared to hear what Schopenhauer has to say.</p>
<p>To those that would not meet these demands, Schopenhauer has very little to say. He's willing to wait for those who will come to his work having meet these demands, and for the rest, they can either review it nonetheless, which is the best course, or use the book for other purposes (including filling a gap in one's library).</p>
<p>He closes the preface by stating that he's &ldquo;confident that, sooner or later, it will reach those to whom along it can be addressed.&rdquo; [xvii]</p>
<h4>The second edition</h4>
<h5>In relation to Schopenhauer's life</h5>
<p>The date listed in the preface to the second edition is February 1844, almost twenty-six years after the previous preface. Now approximately 56, Schopenhauer has released three additional writings; <cite>On the Will in Nature</cite> (<span><cite>&Uuml;ber den Willen in der Natur</cite></span>), in 1836, and <cite>On the Basis of Morality</cite> (<span><cite>Preisschrift &uuml;ber die Grundlage der Moral</cite></span>) and <cite>On the Freedom of the Will</cite> (<span><cite>Preisschrift &uuml;ber die Freiheit des Willens</cite></span>), both released in 1841.</p>
<p>It is in the second edition that Schopenhauer adds the additional volume to <cite>The World as Will and Representation</cite>, and makes small changes to the first.</p>
<h5>Preface to the second edition</h5>
<p>Schopenhauer's preface to the second edition begins with an introduction to why he is writing this work, something that he only alluded to in his first preface. In the first he states that the book attempts to impart a single thought, and hence the true necessity of reading the work twice. In the second, he states that he is writing his work for mankind, confident that one day they will be able to see beyond &ldquo;the false and the bad, [&hellip;] the absurd and the senseless.&rdquo; [xviii]</p>
<p>As stated earlier, this edition's preface is the longest of the two, and it does not take us too long to see why, for in this preface he writes a good deal on how he sees current philosophy in Germany. In fact, only two and half pages of the preface deal with what has changed since the previous edition.</p>
<p>First, he explains why he has choosen to add a second volume to the work, instead of incorporating these changes into the first volume. [xxi-xiii] &ldquo;This I have done because I wanted to guard against spoiling the work of my earlier years by the carping criticism of old age.&rdquo; The second volume is to be read only after the first has been read, and during the second reading. Yet, if one is not going to read the first volume again, Schopenhauer states that the second should still only be read after the first has been completed.</p>
<p>He assumes that the first edition's preface will have already been read, for he makes mention to it in these pages, reiterating that knowledge of Kant is presupposed. Yet, he goes even further to state that this knowledge must be from an actual reading of the work, and not second-hand knowledge. &ldquo;The man who imagines he can become acquainted with Kant's philosophy from the descriptions of others, labours under a terrible mistake.&rdquo; [xxiv] And further, &ldquo;it is true of him in the highest degree, as indeed of all genuine philosophers, that only from their own works does one come to know them, not from the accounts of others.&rdquo; [xxiv]</p>
<p>This brings us to the rest of the preface, which speaks on the current affairs of philosophy. He attacks Hegel and others who, in the current philosophical movement, across Germany and Europe, persue philosophy with material interests in mind, whether they be personal, official, ecclesiastical, or political.</p>
<p>These pretend philosophers will receive no accomodations from Schopenhauer, for there efforts will not find the truth. On the contrary, anything that does not comply with their purposes and intentions will be condemned and given no consideration, or otherwise suppressed, no matter it's true value. [xix-xx]</p>
<p>It is for these reasons that Schopenhauer takes particular aim at the professors of philosophy, for they must make their living, yet deal with "a thousand considerations," for they must consider "the fear of the Lord, the will of the ministry, the dogmas of the established Church, the wishes of the publisher, the encouragement of students, the goodwill of colleagues, the course of current politics, the momentary tendency of the public, and Heaven knows what else." [xxvi]</p>
<p>On the contrary, one who follows the maxim <em>primum vivere, deinde philosophari</em> (first live, then philosophize) is driven only by philosophy itself.</p>
<p>It is these discussions, on the state of philsophy in the world, that drive the size of this preface up, which otherwise would have been of a length shorter than the first, but longer than the third.</p>
<h4>The third edition</h4>
<h5>In relation to Schopenhauer's life</h5>
<p>The date listed in the preface to the third edition is September 1859, over fifteen years since the second, and more than forty-one years since the first. Now in his seventy-second year, he has released all of his writings that he will release, which include a revision to <cite>On the Fourfold Root of the Principle of Sufficient Reason</cite> in 1847, and the two volumes of <cite>Parerga and Paralipomena</cite> (<span><cite>Parerga und Paralipomena</cite></span>) in 1851.</p>
<h5>Preface to the third edition</h5>
<blockquote>
<p>&ldquo;The true and the genuine would more easily obtain a footing in the world, were it not that those incapable of producing it were at the same time pledged not to let it gain ground. [&hellip;] For me the consequence of this has been that although I was only thirty years of agewhen the first edition of this book appeared, I live to see this third edition not until my seventy-second year.&rdquo; [xxviii]</p>
</blockquote>
<p>It is in this preface, the shortest of the three, that hear satisfactation in Schopenhauer's voice, for it is at the end of his life that his influence on philosophy truly begins.</p>
<p>Again, although <cite>Parerga and Paralipomena</cite> have been released separately, he tells us that these writings, especially those in the second volume, would have been included within <cite>The World as Will and Representation</cite>, were it not for question of how much time he had left. Yet, that has not stopped him from adding &ldquo;136 pages&rdquo; to the current work. [xxviii]</p>
<h4>Sources</h4>
<p>E.F.J. Payne's translation of <cite>The World as Will and Representation</cite> (published by Dover Publications) was used for all English-version quotes, and page numbers for English text therefore refer to the first volume of this version. <a href="http://strivinglife.com/words/post/English-language-books-by-or-on-Arthur-Schopenhauer.aspx">Read more about the English translations</a>.</p>
<p>German quotes and titles were pulled from <span><cite>S&auml;mtliche Werke</cite></span>, published by Suhrkamp. Page numbers for German quotes therefore refer to pages from the first book of this collection. <a href="http://strivinglife.com/words/post/Arthur-Schopenhauers-books-in-Samtliche-Werke.aspx">Read more about the German books</a>.</p>
