+++
title = "Schopenhauer's Relationship with Aesthetic Contemplation and Asceticism"
description = "Paper on Schopenhauer's discussion of Aesthetic contemplation and asceticism, as seen in <cite>The World as Will and Representation</cite>."
draft = false
comments = true
date = "2003-10-22T22:01:00-05:00"
modified = "2007-07-22T19:37:27-05:00"
slug = "Schopenhauers-Relationship-with-Aesthetic-Contemplation-and-Asceticism"
blogengine = "1bf32add-77db-4955-b97c-3eddca06260d"
categories = ["article", "philosophy"]
tags = ["arthur schopenhauer"]
+++

<p>
Starting from the truth that &quot;the world is my representation&quot; [3], Arthur Schopenhauer&#39;s <em>The World as Will and Representation</em> lays down what Schopenhauer believes the world is. After determining that the world is not only representation, but also will, he goes on to discuss how this all works together, and how other philosophers work into this system. For this paper, I will be focusing on the relationship between aesthetic contemplation and asceticism within this work.
</p>
<!--more-->
<p>
Before I can discuss the relationship between aesthetic contemplation and asceticism, I must first determine what each is for Schopenhauer. Asceticism is denial of the self, and the body. An ascetic cares neither about suffering, nor pleasure. Aesthetics, on the other hand, deals with art, such as paintings and sculpture. Aesthetic contemplation, then, would be contemplation, or examination, of art. Schopenhauer argues that aesthetic contemplation should specifically look for &quot;knowledge of the object not as individual thing, but as Platonic <em>Idea</em>&quot;, or as the eternal form of the thing - what all like things share. [195]<!--adsense-->
</p>
<p>
Having explained the basics of these two terms, we can now investigate what the relationship between the two is for Schopenhauer. If we continue with the quote above, we see that Schopenhauer begins to lay it out for us. Schopenhauer&#39;s aesthetic method consists of two things; &quot;knowledge of the object not as individual thing, but as Platonic <em>Idea</em>&quot;, as stated above, and &quot;the self-consciousness of the knower, not as individual, but as <em>pure, will-less subject of knowledge</em>.&quot; [195] That is, his method consists of seeing the perceived object - a painting for example - not only as representing a Platonic Idea, but also without relation to the perceiver - outside of the principle of sufficient reason.
</p>
<p>
In an attempt to clarify, and to showcase what I believe Schopenhauer is saying, imagine a landscape painting by some famous artist. In this painting we see a meadow, mountains off in the background, a darkening sky, and a few clumps of trees. While this painting may represent - may have been inspired by - some particular plot of land that the artist has seen, the painting should not inspire that kind of feeling into us. Rather, we should look at it as showcasing the Platonic Ideas of those objects within the painting.
</p>
<p>
In a similar way, we should not portray our selves into the painting, imagining that we are, for example, sitting in the meadow drawn, or walking towards the mountains/trees painted, but, rather, should forget that we are, and contemplate solely those Platonic Ideas that the painting shows us. It is, therefore, by aesthetic contemplation that we can become ascetics, denying the self, and not allowing it to move us, allowing only the art to do so, or perhaps, only the Platonic Ideas to do so.
</p>
<p>
Schopenhauer details this further when he tells us that &quot;when ... an external cause or inward disposition suddenly raises us out of the endless stream of willing ... the attention is now no longer directed to the motives of willing, but comprehends things free from their relation to the will. Thus it considers things without interest, without subjectivity, purely objectively.&quot; [196] Like an ascetic, the perceiver becomes &quot;lost in the object, forgetting all individuality&quot; or all sense of a self, of a body, while in aesthetic contemplation.
</p>
<p>
It is worth noting that the self is, as a manifestation of the will, will, and therefore striving. What the will strives towards is that which applies directly to it, which will attempt to fulfill its desires, but which will instead only bring about the arousal of new desires, of new things towards which the will will strive towards. Only by contemplating the Ideas, through aesthetic contemplation, can we be free of this striving, by losing our self in the Ideas, or perhaps equally true, the moment. It&#39;s also important to state here that philosophy, according to Schopenhauer, &quot;can never do more than interpret and explain what is present and at hand.&quot; [271] This ties into this because we are not concerned with how it effects us - the events that will lead from what we are contemplating, which is covered under Etiology - but rather solely with what it is presenting.
</p>
<p>
Music is another part of this, both in so far as it is an art, and is therefore open to aesthetic contemplation, as well as in so far as it allows us to attend to things free from striving. However, as I see it, music is superior to the other arts, as there is no object, per se of art. That is, while when we look at a painting, or at a sculpture, we see an individual thing, that is meant to show us the way to that which is contained in all individuals of the same kind, music has no perceivable object. It is &quot;the way in which music is perceived, namely in and through time alone, with absolute exclusion of space&quot; [266] that better clarifies this point. Just as the Platonic Ideas do not reside in space, per se, neither does music. That is, while objects representing the Platonic Ideas reside in space - such as trees - the Platonic Ideas do not reside in space, just as, while music can fill a space, music cannot be physically grabbed or moved. For these reasons, music and the Platonic Ideas, according to Schopenhauer, are both copies &quot;<em>of the will itself</em>&quot;. [257]
</p>
<p>
There is another aspect of the relationship between aesthetic contemplation and asceticism that needs to be brought up. Aesthetic contemplation is not something which can be kept up for long periods of time. That is, while we can indeed lose our self in the contemplation of some piece of art, or of some particular piece of music, there will always be some striving that will bring us back into our self. We can certainly contemplate Bach for an extended amount of time, but we will undoubtedly become hungry after a while. This is the will &#39;pulling&#39; us back into a self perspective, back into a subjective perspective, as a hungry human standing in some particular gallery listening to some particular music - the music of Bach - coming from some particular, brown and black, box in the wall.
</p>
<p>
On the other hand, asceticism strives towards a permanent separation from the self, or a permanent withdrawal from a subjective perspective. While aesthetic contemplation actively pursues the withdrawal, or tearing, from the will, asceticism pursues the destruction, or negation, of the will. This destruction occurs by denying the will of what it wills - striving does not cease, but fulfillment does. When the self realizes that it is a hungry human being, in need of food, it can either fulfill it&#39;s desire for food, or it cannot. Only by doing the latter - by denying the will of it&#39;s importance - can one work towards asceticism.
</p>
<p>
Yet, in both instances, aesthetic contemplation and asceticism, there still is a constant conflict of self-negation, however perhaps stronger in the latter case. That is, while in aesthetic contemplation suffering is of no matter and is forgotten, while as an ascetic, the suffering is still there, and not forgotten, but is of no matter - or, if of any concern, only as a reason for further asceticism.
</p>
<p>
This, then, is the relationship between aesthetic contemplation and asceticism. Both require the denial of a self, of being a subject, and, in addition to that, the denial of the importance, or significance, of the will. While aesthetic contemplation arises above the will for a short time, asceticism attempts to deny the will for a much longer, even permanent, time. For this reason, one may argue that both are striving for the same thing, however, one seeks it more as a permanent solution, while the other seeks it temporarily. One also strives for it out of knowledge that all is suffering, and there is no individuation - asceticism - while the other strives for it because it is free from suffering - aesthetic contemplation.
</p>
<h4>Bibliography:</h4>
<p>
Schopenhauer, Arthur; <em>The World as Will and Representation Volume I</em>, Dover Publications, Inc., New York, 1969.
</p>
<h4>Article history</h4>
<p>
Created: October 23rd 2003<br />
Modified: November 5th 2003; December 1st 2003; January 26th 2004; June 5th 2004
</p>

