+++
title = "Science and Human Values Final: What makes an experiment ethical?"
description = "Paper written for a course dealing with the question of what makes an experiment ethical."
draft = false
comments = true
date = "2002-12-08T01:01:00-06:00"
modified = "2008-08-10T20:20:33-05:00"
slug = "Science-and-Human-Values-Final-What-makes-an-experiment-ethical"
blogengine = "5dff78f1-5973-4b5a-b5d7-2d58cb758fe3"
categories = ["article", "philosophy"]
tags = []
+++

<h3>Part I</h3>
<p>
The question of what it is that makes one particular experiment ethical while another is unethical is a troublesome question. Is the ethicalness of a scientific experiment based upon whether the subject is harmed, whether the subject&#39;s rights have been in some way infringed upon, or is it based upon some other criteria? In this paper, I will take the position that it is not whether the subject was harmed, or whether their rights were infringed upon, but rather that it is ultimately power that determines the ethicalness of an experiment (position IV).
</p>
<p>
Many different people have many different ideas of what some of the above criteria mean. It is difficult to write a definition to a word that one uses so often, as the exact meaning is lost over time. Therefore, I will attempt to explain what I mean by some of the important criteria - harm, rights, and power - that will then give us a foundation for justification of these criteria.
</p>
<p>
There are many different kinds of harm. Harm, most generally, is causing damage to something, whether it is living or not. Normally, in scientific experiments, we care more about physical or psychological harm that can be done to a living thing than physical harm to a non-living thing. For example, a particular experiment could be done in order to determine the release of certain chemicals into the bloodstream during a fearful experience. Subjects are then submitted to an experiment in which they are in contact with that which they fear the most - such as the subject&#39;s head being placed in a cage of rats. The rats might gnaw on the subject&#39;s face causing physical damage, or, they might just cause great psychological damage in that the person will never be able to see a cage nor a rat without thinking of the experiment and the harm they received. Harm directly deals with the next criterion, which concerns the rights of the subject.
</p>
<p>
To define what one means when they say that they have &quot;rights&quot; is a difficult feat. The definition of this word has been in debate for centuries, and probably will remain in debate for many more. We can talk about rights of animals, microbes, as well as human beings. I happen to find Kant the most convincing, when he says that rights are that which others have the duty to allow you to do, while at the same time you have the duty to allow others to do. If you have the right to do X, then others have the duty to allow you to do X, but, if someone else wants to do X, then you must allow them to do X.
</p>
<p>
Kant also believes in the Categorial Imperative, which can be stated as: <em>act only how you would want everyone else to act - as if how you act will become a law that will apply to everyone</em>. Anything that acts should take this basic idea into consideration before it acts. Kant suggests a few laws in order to show that this makes sense, as well as to show a few acts that should not be rights.
</p>
<p>
One of the examples that he uses is lying - can one have the right to lie in order to reap some reward, or not? Kant suggests that if one follows this system, that X has the right to lie if X can gain some benefit from doing so, then any other individual also has the right to lie to gain some benefit. However, X would clearly not want to lie, as X would be unable to trust anyone, and would instead believe that they are out to gain something for them self. Kant has a few other examples, to show that theft is wrong, as well as that one should help other beings, as one may need help from others in the future. We therefore see that people should act towards others how they would want others to act towards them.
</p>
<p>
The third criterion that I have suggested is power. By power, I mean that which is in control of the rules in a particular area - whether it be in the area of biology, psychology, medicine, politics, culture, etc - because of consensual agreement among those involved. Those that exercise power have the duty to serve the best interests, as well as preserve the rights, of all persons over whom they exercise power in their particular area.
</p>
<p>
Before I go any further, I would like to explain why it is that power is an important criterion for the ethicalness of an experiment, as well as why it is that causing harm and/or infringing rights are not enough to judge an experiment&#39;s ethicalness. First of all, to say that harm is the only criterion by which an experiment is deemed unethical is clearly a fallacy. If one says that the right to not be harmed is a criterion, then the right to have rights must be another. In other words, to say that an experiment is deemed unethical because it causes harm to the subject is the same as saying that the subject has a right not to be harmed in an ethical experiment. Since harm and rights are so closely linked, it is impossible to include one and not the other.
</p>
<p>
While it would be nice to say that these are the only two criteria which determine whether a scientific experiment is ethical or not, we cannot say that. The question of where rights come from, and why we can have them, brings up yet another criterion. Commonly it is believed that we are born with certain rights, but this is not something that appears to be true everywhere. Rather, an individual has rights only when he has some power by which to exercise that statement. This is why the third criteria, power, is justified - because rights by themselves are not enough.
</p>
<p>
There is a clarification that needs to be made in order to explain the above statement. Power can come from either within the individual, or from outside of the individual, in other words, from another person or group. The best way to show this is by way of an example. If there is a man, out in the woods and off by himself, then he will probably act in a way that will be the most beneficial to his own being. On the other hand, if there is another individual, or a group of people, with him, then he will probably act in the best interests of the group.
</p>
<p>
Let us continue with this last example: however, we must also add a few details to it. In the first place, we will say that there are three individuals - A, B, and C - off in the woods. Individual A is much stronger physically then both B and C. Individual A decides that he doesn&#39;t really want to do any work, so, he tells B and C to go out and gather food, and build a shelter for the group. In a way, B and C are both enslaved to A, in that, if they wished to do something else which is contrary to what A wants, then A will simply beat them into submission.
</p>
<p>
This explains why rights are not enough, and why power must come into play. While B and C believe that they have the right to &#39;do their own thing&#39;, they cannot because they do not have the power to overcome A. However, if B and C were to unite, they could easily overcome A and enslave him to do their bidding. It is for this reason that A would not want to enslave B and C, as they could gang up against him. Instead, it would be in the best interests of all those involved - A, B, and C - to join together as a group, and help each other out. In this example, while A, B, and C originally had power over themselves, they ended up giving it, in a way, to each other, in order for the ultimate best interests of everyone to be upheld.
</p>
<p>
So, an individual could have power over himself, and he would be the sole power over himself, or there could be another individual, such as a group of individuals, which would have power over him. It is also possible for an individual outside of the group - in our example neither A, B, nor C - to have power over the group. However, it would be in the best interests of whoever yields power to respect those whom they exercise the power over, for the same basic reason.
</p>
<p>
This clarification is necessary for our discussion of rights. If one has complete control and power over oneself, then one would allow oneself to do as one wishes - there is no conflict of interests. However, once others are involved, in any way, there is a possibility for someone to disagree with those in power. The question that arises in these situations is who is correct when there is a conflict of interests - is it the power, or is it those that the power has the duty to serve?
</p>
<p>
This question also ties in with a few hypothetical problems. For example, if a dictator were to seize control of the power in a country, then it would seem as though the dictator could have the populace do things that infringe the rights of the subjects, as well as cause harm to them - for instance, perform involuntary torture in order to find thresholds of pain. His justification would be that he is power, and he chooses what is ethical and what is not. My only answer against this important problem is that our tyrant in this example is not what is in power. That is, while it is true that he exercises control over the populace, the citizens did not agree to his control and the power/tyrant does not serve the best interests of the populace.
</p>
<p>
Locke, in his <em>Second Treatise of Government</em>, discusses this in better terms. His basic idea is that we, as individuals, have rights. However, without a government, or what is defined in this paper as power, our rights are not abided by - there is no duty of others to allow others to have and practice their rights. This can be seen in the example above, where one powerful person took over, only to have two other individuals take power from him. So, we consent to some power coming in and &#39;watching over&#39; those that have consented. In a way, there is a contract made between power, on the one hand, and an individual, on the other, with certain responsibilities for each side.
</p>
<p>
Those that are to exercise power are given an amount of control over each and every individual that they normally would not have had. In return for this right to exercise power, they have a duty to use that power how each individual would want that power to be used - in other words, a duty to serve the best interests of each individual. Those individuals, who consent to this contract with a power outside of themselves, gain a certain amount of freedom, in that they need not worry about their rights being disturbed. However, in return for this safety, they must agree to work along with the collective - they must take everyone&#39;s rights into effect - and can no longer worry solely about themselves.
</p>
<p>
With any contract, there is a promise made. In this case, the promise is outlined above. If any side decides that they no longer wish to abide by the contract, then they may get out of it. However, upon breaking that contract they lose that which they gained because of it. For example, if an individual no longer wishes to be controlled by the decided upon power in any way, then they must be ready to exercise control over their own self. If power decides that it no longer wishes to abide by the interests of the people that it watches over, then it may no longer exercise control over them.
</p>
<p>
Therefore, and as is stated in Locke&#39;s <em>Treatise</em>, only if the power does its duty of exercising power in a way that is in the best interest of the people, can the power&#39;s will be equal to the people&#39;s will. To bring us back to the example of the tyrant that has seized control, the tyrant is not acting in the best interests of the people, and therefore it is not even a question of whether the tyrant can make something ethical or not, because he has no say in the matter.
</p>
<p>
Somebody might ask about a leader who is given power by everyone involved. Then, a short time later, the power decides that a specific portion of the populace, 10% of the populace, can be experimented on ethically, while, if the experiment were done on the other 90% of the populace, then it would be unethical. One could argue that a great majority of the populace&#39;s rights were still upheld and protected, and therefore, while not in the best interests of all - which may be impossible anyways - it is in the best interests of the majority, especially if they believe that the 10% is the cause of evil in the land. Also, in this example, 100% of the populace consented to the power being in power, so there is no question of a &#39;seizing.&#39;
</p>
<p>
This is a great question that is fairly easy to answer. As we have seen above, power is given certain rights, as well as certain duties. In return, the populace is also given certain rights and duties. Those in power must exercise power in a way in which would serve the best interests of all. Each individual in the populace must act in a way such that everyone ought to act - this is one of their rights and duties. Therefore, in the example above, it would sound like nonsense for the populace to agree that anyone may be killed, or enslaved, if it serves the best interests of the majority. Any other individual would have to agree to this as a &#39;law&#39; and there would be few people that would agree to that. The majority of the populace would be hard pressed to explain why only particular people are less than everyone else, especially when they realize that they too could be part of the minority.
</p>
<p>
The next question is, what if the power is found to be incorrect in their decision of what is ethical or not? For example, lobotomies and sterilizations were once used frequently in order to &#39;cure&#39; some mental illnesses. After time, however, it was realized that such an endeavor was unethical, and did more harm then good. At one point in time an experiment may appear to be ethical, however, at another point in time, it may change to being deemed unethical. So the question is - what if power is wrong? Clearly people are wrong sometimes - everyone makes mistakes - and is it not people who exercise this power?
</p>
<p>
While power ought to do what it believes is in the best interests of the populace that it controls, it is possible that it may make a wrong decision. It is also possible that the best interests of the populace may change unexpectedly. If the populace so chooses, it can ask for a change in power, or for their control back. In other words, the contract can be nullified, with both sides going their own way. However, because anyone can make a mistake, there should be some leeway by which power can justify itself as well as its actions. While we cannot simply dismiss mistakes made by those in control, we can allow them leeway if they were going by information that at the time, was correct, and was something that appeared to be in the best interests of the populace.
</p>
<p>
Therefore, it is for these reasons that we must state that the criteria that deem a scientific experiment ethical or not is based upon, ultimately, power, as it is power that enforces, and protects, the rights of the individuals that it has governance over.
</p>
<h3>Part II</h3>
<p>
Given the conclusion reached in the first part of this paper, that it is ultimately power that determines the ethicalness of a scientific experiment, the next question is what thesis this position would support. For this second part, I will suggest that it is morally permissible to experiment unrestrictedly on non-living, but not on living things (thesis 8). The question is; what is my justification for this claim?
</p>
<p>
First of all, the difference between a living thing and a non-living thing is that living things have interests, while non-living things do not. Non-living things cannot act and do not have wills, but since not all living things can act or will, this cannot be a fundamental difference. Nonetheless, it is necessary to point out.
</p>
<p>
If I were to say that the ethicalness of an experiment is based upon the causing of harm, then one would need to find out if non-living things can be harmed. The answer to this question is yes. After all, a statue of Abraham Lincoln can indeed be harmed by defacement. The reason for this is because we have given this statue value, and damage to it is as if we ourselves were damaged. However, I do not hold that a criterion is harm.
</p>
<p>
I also stated that people have rights, one of which is to not be harmed. Do non-living objects then have rights, like people? No: while many people say that non-living objects have rights, they in fact do not. It is not the object that has rights, but rather the individuals that own the object, or feels some connection to the object.
</p>
<p>
For example, while certain precious metals have value attached to them, it would be a fallacy to state that these metals have rights. One could argue that these metals give some amount of power to those that possess them - the ability to exchange them for goods - and in that way aid power, much in the way that people aid power when they give power the ability to exercise some of their rights. But the power is not inherent in the metal itself; rather, it is in the individuals who believe that the metals have value.
</p>
<p>
The question then becomes can individuals, under the power of another, have the right to give objects rights? The first question to ask is why something needs rights. The answer appears to be that something needs rights in order to preserve its interests. Since non-living things do not have interests, then they would certainly not be &#39;interested&#39; in having rights. However, anything that is living would have at least one interest, namely survival.
</p>
<p>
For example, let us take the statue of Abraham Lincoln, as stated in the example above, and add a living organism growing next to it, such as a daisy. Now, most people would agree that the statue of Abraham Lincoln is not alive and that the daisy growing beside it is alive. The daisy seeks out and takes in nourishment, while the statue of Abraham Lincoln does not seek nourishment, as it does not need it. While one would probably get a strange look for saying that the statue has an interest in survival, saying the same thing for the daisy would not be so strange. For example, many plants will bend toward light sources, and seek out water with their roots, so as to be able to grow and survive.
</p>
<p>
Also, while we would not say that the statue of Abraham Lincoln does not want to be defaced, we would indeed agree that a plant would not want to be cut. That is, a plant would not want, in some kind of sense, to have its roots destroyed, as it would no longer be able to obtain nourishment. Therefore, we further see that the statue has no rights, because it has no interests, while a plant, or any living organism, would have at least some rights, because it has at least an interest in survival.
</p>
<p>
Therefore, non-living things can be experimented on unrestrictedly for the reasons stated above. Briefly, non-living things have no interests, and because of this, they have no rights. Because they have no rights, there are no rights of non-living things that power must preserve. Therefore, because power need not perform any duties towards non-living objects, no scientific experiment which is preformed on a non-living thing can be unethical. Living things, however, due to their inherent interests which give them rights, may not be experimented on without restrictions; no experiment should destroy their ability to seek out their best interests.
</p>
<h3>Part III</h3>
<p>
Having stated in Part II that my position in Part I supports Thesis 8, that it is morally permissible to experiment unrestrictedly on non-living, but not on living things, I will now attempt to justify why the other nine theses are inconsistent with my position.
</p>
<p>
1. The thesis that it is morally permissible to experiment unrestrictedly on non-U.S. citizens, but not on citizens of the United States, cannot be justified because there is no difference between citizens of different countries. Anyone, and everyone, ought to act in a way in which they would want others to act towards their own self. Also, living beings have interests and cannot ever be unrestrictedly experimented on, as per my thesis stated above in Part II.
</p>
<p>
2. The thesis that it is morally permissible to experiment unrestrictedly on humans of a particular race, but not on humans of other races, cannot be justified for the same reasons that are stated in number 1 above. If you put yourself in their place, and would not want to be acted on in a particular way, then you ought not act in that way.
</p>
<p>
3. On the thesis that it is morally permissible to experiment unrestrictedly on non-humans, but not on humans, the same justification that applied to the previous two theses, applies against this one. If you put yourself in a non-human&#39;s place, and come to the conclusion that you might not like what you are suggesting, then you cannot act in that way.
</p>
<p>
4. The thesis that it is morally permissible to experiment unrestrictedly on some animals, but not on others, must be rejected as well. The reason for this is because animals are living beings, and as living beings they have interests. Because they have interests, they can not be unrestrictedly experimented on.
</p>
<p>
5. Now, concerning the thesis that it is morally permissible to experiment unrestrictedly on plants, but not on animals. Plants, animals, humans, and other living beings have interests. Because they have interests, these interests must be considered and not directly violated in any experiment in which they participate in. Because of this fact, neither plants nor animals can be experimented on unrestrictedly, because, they at least have an interest in survival.
</p>
<p>
6. It is morally permissible to experiment unrestrictedly on inorganic life-forms, but not on any organic life-forms, is the next thesis. As in the previous thesis, the problem with this thesis is that I have stated that living subjects cannot be experimented on unrestrictedly, and, just because one organism is inorganic, while the other is organic, does not justify sufficiently why one can be unrestrictedly experimented on.
</p>
<p>
7. The next thesis is that it is morally permissible to experiment unrestrictedly on non-intelligent life-forms, but not on intelligent life-forms. The problem with this thesis is that I have stated that living subjects cannot be experimented on unrestrictedly, and, while our first subjects are non-intelligent in this case, the subjects are living, and therefore cannot be unrestrictedly experimented on.
</p>
<p>
8. The next thesis is that it is morally permissible to experiment unrestrictedly on freely consenting subjects, but not on involuntary or non-voluntary subjects. We cannot say that it is permissible to experiment unrestrictedly on freely consenting subjects, because no one can give up all of their rights and duties, which is fundamentally what one does when one allows oneself to be experimented on unrestrictedly. Also, one would want to make sure that they are not being taken advantage of - that the experimenter is doing things that are good in the short run, but not in the long run. The only way to make sure of this is to have someone watch over experimentation.
</p>
<p>
9. The thesis that it is morally permissible to experiment unrestrictedly on anything if doing so &quot;serves the Common Good,&quot; but on nothing otherwise, is another thesis which must be rejected. The reason that we cannot accept this thesis is because sometimes what appears to be the &#39;Common Good&#39; is not. Instead, it is what is the good for all, for all individuals that are being served.
</p>
<h3>General Source:</h3>
<p>
Steven Luper, Social Ideals and Policies: Readings in Social and Political Philosophy, Mayfield Publishing Company, 1999.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> October 26th 2002 to December 8th 2002<br />
<strong>Modified:</strong> February 13th 2004
</p>

