+++
title = "Searching for a Friend: The Quest for a Definition of 'Friend' -or- What is a Friend? -or- Relationships with Others"
description = "What exactly is it that makes an individual a 'friend'?  Why is one person a 'friend', while another not, and yet another your 'best friend'?  How should we define 'friend' in our lives?"
draft = false
comments = true
date = "2002-10-29T00:01:00-06:00"
slug = "Searching-for-a-Friend-The-Quest-for-a-Definition-of-Friend-or-What-is-a-Friend-or-Relationships-with-Others"
blogengine = "610680e1-fbc6-4a68-87a5-5439c481fc97"
categories = ["article", "philosophy"]
tags = []
+++

<h4>The Problem</h4>
<p>
What exactly is it that makes an individual a &lsquo;friend&rsquo;? Why is one person a &lsquo;friend&rsquo;, another not, and yet another your &lsquo;best friend&rsquo;?
</p>
<!--more-->
<p>
According to <a href="http://dictionary.reference.com/">Dictionary.com</a>, a friend is;
</p>
<ol>
	<li>A person whom one knows, likes, and trusts.</li>
	<li>A person whom one knows; an acquaintance.</li>
	<li>A person with whom one is allied in a struggle or cause; a comrade.</li>
	<li>One who supports, sympathizes with, or patronizes a group, cause, or movement: friends of the clean air movement.<sup>1</sup></li>
</ol>
<p>
Looking up some other related words, we find;
</p>
<ol>
	<li>Knowledge of a person acquired by a relationship less intimate than friendship.<sup>2</sup></li>
	<li>A person whom one knows.<sup>2</sup></li>
	<li>A person who shares one&#39;s interests or activities; a friend or companion.<sup>3</sup></li>
	<li>A fellow member of a group.<sup>3</sup></li>
	<li>A person who accompanies or associates with another; a comrade.<sup>4</sup></li>
	<li>A person employed to assist, live with, or travel with another.<sup>4</sup></li>
	<li>One of a pair or set of things; a mate.<sup>4</sup></li>
</ol>
<p>
Definitions 1 and 2 bring up yet another question: are there levels of friendship? If someone isn&rsquo;t a friend, what are they (or what could they be)? Just because you like someone, does that mean that you are their friend? Must friendship be a mutual agreement (see definition 4, but contrast that with definition 8).<!--adsense-->
</p>
<p>
For this article, I would like to discuss these questions, as well as posit a few possible answers. It is extremely doubtful that I will ever be able to come up with a concrete answer to this question, in any universal sense. However, I, for my own personal sake would like to be able to come up with <em>some</em> definition that I can give to others. For these reasons, while this article will never <em>really</em> be completed, I <em>will</em> state a few possible conclusions that I have come to by means of this article, and which may be specific to me. Just because I come up with a definition of &lsquo;friend&rsquo; does not mean that everyone will agree with it, but a good definition would allow anyone to come to the same conclusions.
</p>
<h4>&sect;1: Beginning Opinions of Relationships in General</h4>
<p>
As I see it, we must start at the basics. In my opinion, people have relationships with other people. There are various levels of relationships (I posit four at this point);
</p>
<ul>
	<li>A simple, state of nature, relationship</li>
	<li>An acquaintance relationship</li>
	<li>A friendship relationship</li>
	<li>A love/spiritual/whole-body relationship</li>
</ul>
<p>
A &ldquo;simple, state of nature, relationship&rdquo; (definition R1) is one in which we have a relationship with an individual only in that they are another individual living on the planet, or the city, or whatever region you would like to apply. I have a relationship with my fellow human beings. Whatever I do, will have some effect upon everyone in one way or another.
</p>
<p>
&ldquo;An acquaintance relationship&rdquo; (definition R2) is something more then the &lsquo;state of nature&rsquo; relationship. When you have some kind of interaction, direct interaction, with an individual, then one could say that you have an acquaintance relationship. No longer are they some nameless/faceless individual that you know only the basic, foundational, things about. You have directly shared some moment in time, or some common idea with this person.
</p>
<p>
&ldquo;A friendship relationship&rdquo; would also be something more then the &lsquo;state of nature&rsquo; relationship, as well as the &lsquo;acquaintance&rsquo; relationship. A friendship is something more then an acquaintance, in one way or another &ndash; perhaps it is longer interaction. Exactly in what way the two differ is the question that we are here seeking an answer to.
</p>
<p>
&ldquo;A love/spiritual/whole-body relationship&rdquo; is, obviously, something more then a &lsquo;friendship&rsquo; relationship, and therefore those relationships before it. In my opinion, this type of relationship is one that you would have with someone that you have consented to love, such as a spouse. At least, in theory (which is yet another problem...).
</p>
<p>
One could easily argue, I think, that there are varying levels within each relationship. For example, people commonly talk of their &lsquo;best friend&rsquo;, meaning someone that fulfills a &lsquo;friendship&rsquo; relationship, but not the &lsquo;love/spiritual/whole-body&rsquo; relationship.
</p>
<p>
The problem with all of the above opinions is that we don&#39;t <em>really</em> know what these words mean. Unfortunately, we have to have some basic idea of what we mean in order to determine whether these &lsquo;criteria&rsquo; work.
</p>
<h4>&sect;2: Examples for the Four Relationships Posited Thus Far</h4>
<h5>A simple, state of nature, relationship</h5>
<p>
 Each of us has a relationship with everyone else, even those people that we have not yet met. What I do will have some kind of effect upon any other person, no matter whether I like it, or not. This, then, is what I would call a &lsquo;simple, state of nature&rsquo; relationship, as it is the first, primary, most basic, relationship that we can have. People that I pass in the street would have this kind of relationship with me (assuming that no language - of any sort - is exchanged).
</p>
<p>
  At the lowest level, I do not even know what the individual looks like. At the highest level, I know what they look like, have some basic information about them - what I have learned from what I perceive about them - but have little other knowledge. Knowing the individual&rsquo;s name may or may not mean that I have this type of relationship with the person. If I am told the name, but make no attempt to remember it, such as reading their name-tag, then one might argue that this does not qualify as an &lsquo;acquaintance&rsquo; relationship. These types of relationships do not require any kind of benefit to occur on any side (contrast this versus an acquaintance relationship).
</p>
<h5>An acquaintance relationship</h5>
<p>
 As soon as you are introduced to an individual, or introduce yourself to an individual, with the purpose of starting a &lsquo;relationship&rsquo; (in the sense that you wish to get to know each other better, to open up conversation with each other) beyond that of the simplest, state of nature, relationship, you enter into an &lsquo;acquaintance&rsquo; relationship. No longer is the other person a nameless face, or a bodiless individual, now they are something much more.
</p>
<p>
  Sitting at a bus stop, you start a conversation with the individual next to you. If you never see each other again, then you <em>have not</em> entered into an acquaintance relationship. If, you were to met this individual again, and have another conversation, or a sharing of a nod, then we might argue that you <em>have</em> entered into this closer relationship. Perhaps one would like to argue that both examples, that of further conversation, and that of no further conversation, are examples of an acquaintance relationship. I, however, would not like to say that. Until convinced otherwise, I will not hold this belief then.
</p>
<p>
  These relationships tend to have a &lsquo;subject&rsquo;, or &lsquo;topic&rsquo;, about them, in that they came about for this reason, this &lsquo;topic&rsquo;. An example would be a &lsquo;work acquaintance relationship&rsquo; in which you have met the person because you work with them. Other &lsquo;topics&rsquo; may be passing in the hall, similar tastes - in books, movies, clothing, etcetera, etcetera. These are typically not continuing through time because of the person them self, but because of the topic. Also, these types of relationships are usually such that they are created for the benefit of one over the other or to the benefit of both, but not to the &lsquo;un-benefit&rsquo;/harm of either, in a short term period, in order to gain some good - such as your relationship with the person at the register of a checkout lane, at a store that you have never frequented before.
</p>
<h5>A friendship relationship</h5>
<p>
  A friendship relationship is something more then an acquaintance relationship. In a friendship, one would hope that you have some idea of what the other person likes, what they are like, some background on the individual, as well as their name. To say that you are a friend of an individual whom you only met while waiting for the bus, would seem, to me, to be a severe cheapening of one&rsquo;s friendships. That is, if one enters into a friendship relationship with people that easily, then this relationship would be easy to get into. If there is no &lsquo;challenge&rsquo;, so to speak, then a friendship relationship would be similar to an acquaintance relationship...<br />
One might argue that friendship is based on trust, and information. Trust, in that one should have a great level of trust in their friends - a trust that is not given to mere acquaintances. Information, in that one should have a greater deal of background on their friends. With this background, you will have an idea of how to best be that other person&rsquo;s friend. What makes the person happy, what they like to talk about, do, etcetera. These relationships tend to continue because of the person and not only for a topic of conversation.
</p>
<h5>A love/spiritual/whole body relationship</h5>
<p>
  A love/spiritual/whole body relationship is a relationship in which, one would hope, two people that are in love with each other would be in. I find it hard to believe that a love/spiritual/whole body relationship can be shared with more then one, perhaps two, individuals, at least at the highest level. A parent&rsquo;s love for their children would probably be near the top of this type of relationship, but a children&rsquo;s love for their parents would not be at that same level. Of course, this is assuming a great deal, which is not necessary for this discussion.
</p>
<h5>Examples of the four types of relationships</h5>
<ul>
	<li>A simple, state of nature, relationship 
	<ul>
		<li>Lowest sense: Your relationship with an individual, in some region or other, whom you have never met nor heard anything about, such as a poor child in a third world country. Note that this example points out that generalizations about anyone, or any ones, is not, by this view, knowledge about the one or ones. Only by meeting someone can you truly know them, and to meet the person would transform this lower sense into either a higher sense, or to an acquaintance relationship. </li>
		<li>Higher sense: Your relationship with the busboy at a local restaurant. </li>
	</ul>
	</li>
	<li>An acquaintance relationship 
	<ul>
		<li>Lowest sense: Your relationship with a person that you have seen a few times before, and have some ideas about them, such as someone that you pass in the halls and say &lsquo;hello&rsquo; to, or that you nod to. </li>
		<li>Higher sense: Someone who you see in class three days out of the week and that you have met with a few times for a project for that class. Also someone who you began to know because of a shared interest, or similar cause, which developed into a relationship, but a limited one, in other topics (see the lowest sense of a friendship relationship). </li>
	</ul>
	</li>
	<li>A friendship relationship
	<ul>
		<li>Lowest sense: Someone who you began to know because of a shared interest, or similar cause, which developed into a relationship, but a limited one, in other topics. For example, while you first met the person because you were in the same class, after a while you began to spend some amount of your free time with the other person, meeting at bars, or what have you, in order to &lsquo;pass the time&rsquo;. </li>
		<li>Higher sense: Someone whom you have known for many years, whatever many years may be, and that you have an almost intimate relationship with. You know what this person &lsquo;likes&rsquo;/enjoys, in many different senses of the word(s), and like this person for who they are. You feel comfortable around this person, and enjoy your time with this person. </li>
	</ul>
	 </li>
	<li>A love/spiritual/whole body relationship
	<ul>
		<li>Highest sense: An example can showcase this, but the example may be quite flawed... Two people have been known each other for their <em>entire</em> lives, and are married to one another. They have had children together, etcetera. Imagine the couple that is celebrating some insanely high numbered anniversary and you will have some idea of what I imagine this type of relationship to be. This <em>does not</em> have to be a male-female relationship, but, in many ways, is one of the most well known. </li>
	</ul>
	</li>
</ul>
<h4>&sect;3: Not Yet Available.</h4>
<p>
n/a
</p>
<h4>Notes</h4>
<ol>
	<li><a href="http://dictionary.reference.com/search?q=friend">http://dictionary.reference.com/search?q=friend</a> &ndash; Checked October 29th 2002, August 1st 2004.</li>
	<li><a href="http://dictionary.reference.com/search?q=acquaintance">http://dictionary.reference.com/search?q=acquaintance</a> &ndash; Checked August 1st 2004.</li>
	<li><a href="http://dictionary.reference.com/search?q=comrade">http://dictionary.reference.com/search?q=comrade</a> &ndash; Checked August 1st 2004.</li>
	<li><a href="http://dictionary.reference.com/search?q=companion">http://dictionary.reference.com/search?q=companion</a> &ndash; Checked August 1st 2004.</li>
</ol>
<h4>Modification history</h4>
<p>
Created: October 29th 2002; August 1st 2004<br />
Modified: April 20th 2003; December 5th 2003; March 8th 2004; February 5th 2005
</p>
<p>
Notes: Originally titled <cite>The Search for a Definition 1: &#39;Friend&#39;</cite>.  Includes material that was originally written in <cite>Relationships with Others</cite>.
</p>

