+++
title = "Should Doctors Always Tell Patients the Truth?"
description = "Do medical doctors have an ethical obligation to tell the truth to their patients? The larger question, whether it is acceptable for individuals to lie, is also discussed."
draft = false
comments = true
date = "2004-12-31T02:01:00-06:00"
slug = "Should-Doctors-Always-Tell-Patients-the-Truth"
blogengine = "2927bf3d-dbdb-450d-b3a1-4ea342baa3d7"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Looking through an old philosophy anthology, <em>Biomedical Ethics: Fifth Edition</em>, I found and read <em>On Lying to Patients</em>, by Mack Lipkin. After reading this piece, I was again made to realize how much I dislike ethics. While Lipkin sets out to give us a theory, or method, he leaves us with more questions than answers. For this article, I would like to discuss whether doctors have an ethical obligation to tell the truth to their patients.
</p>
<p>
Answering the question of whether doctors can lie to their patients, or withhold the truth, either in part or whole, is deemed an ethical question necessary of an answer. Unfortunately, I&rsquo;ve never been able to find a single article that gave an opinion or theory regarding this that I liked and found satisfactory rationally.
</p>
<p>
We can enlarge the question, for a moment, to the question of whether individuals, no matter their status or function in society, should ever lie to another individual. Some argue that one should never lie to another. Kant, for example, asks us to act according to how we would want everyone else to act. Since we wouldn&rsquo;t want to be lied to, Kant argues, we should not lie to others.[1]
</p>
<p>
Opposed to this, some argue that it is okay to lie on occasion. If, for example, some man were thrust a gun into my ribcage and demand that I tell him where I lived and what my wife&rsquo;s name was, I would not be wrong to either not tell him anything, or not tell him the truth. Taking another example, sometimes children that are left alone for a brief time are told to not say that their parents are not around. We also have the case where a surprise party may be planned for some date. If the individual who is to be surprised asks what is occurring on the date, it would cause no harm to lie to the individual.
</p>
<p>
I have, in the last sentence of the previous paragraph, suggested how it is that a lie could be acceptable. If a lie does not harm the individual that is lied to, then the lie should be acceptable. However, to guard against any problems, let us expand this to &lsquo;A lie is acceptable if it causes no harm to the individual lied to, or if it is honestly believed or known that telling the truth would cause more harm to some individual than telling a lie.&rsquo;
</p>
<p>
So, to use the three examples already stated above, with this suggestion in mind, are the lies told acceptable? In the case of the man thrusting a gun into my ribcage, I think we can safely assume that the man may intend to cause some harm to me and/or my wife. If I honestly believed that the man might bring some harm to my wife if I tell the man the truth, I believe it would also be acceptable to lie to this individual.
</p>
<p>
Looking at the children lying about being alone, I think we could also argue that telling the truth may cause more harm than lying. For example, some individual(s) may attempt to take advantage of the children, knowing that they are alone. However, if under the impression that the children are not alone, they would be deterred in their actions. The only case that I can presently think of which telling a lie would potentially cause more harm than telling the truth is in the case of the authorities asking the children the question. If the children were left alone for an extended amount of time, it would be better for the children if the authorities were alerted that the parents were derelict, or remiss, of their duty.
</p>
<p>
Our last example from above is the surprise party. If a party was being thrown for an individual, it would cause more &lsquo;harm&rsquo; to the individual if I told them that a party was being thrown, rather than lying to the individual and saying that nothing was occurring. &nbsp;Counter examples exist, such as if the individual would cause some harm to them self, thinking that no one cared about them. Another reason lying could be harmful is if the individual made plans to do something else. However, in this latter case, telling another lie that something may be occurring, or that the person and yourself should do something, is often employed, and is acceptable.
</p>
<p>
Our above examples, then, appear to comply with the argument that &lsquo;a lie is acceptable if it causes no harm to the individual lied to, or if it is honestly believed or known that telling the truth would cause more harm to some individual than telling a lie.&rsquo; Can we think of any new examples that would nullify this claim?
</p>
<p>
One may argue that since we cannot know how another person would act, we can make no claim regarding what would or would not harm someone. However, educated guesses, and guesses based upon experience, are always possible. We may not always be correct, especially when it comes to individuals that we just met, but we can use experience to guide our judgement.
</p>
<p>
This leads to the question of how someone could determine whether they should lie to someone. As pointed out, the argument posited above does not answer every possibility. If we add Kant&rsquo;s theory &ndash; that we should act according to how we would want someone to act if the positions were reversed &ndash; after what we&rsquo;ve stated above as a point, then every possibility should be covered.
</p>
<p>
Moving to our original question, should doctors always tell their patients the truth? Clearly, based on the above, I cannot argue that doctors should always tell their patients the truth. Rather, doctors should follow the guidelines stated above regarding the acceptability of lies - &lsquo;a lie is acceptable if it causes no harm to the individual lied to, or if it is honestly believed or known that telling the truth would potentially cause more harm to some individual than telling a lie, but if left in doubt, ask, if the positions reversed, what you would want told to you&rsquo;.
</p>
<p>
Some argue that doctors have a particular interest in telling the truth to patients, which would seem to supersede what I have argued above. However, doctors primarily have an interest in helping their patients lead a health life. Stress has an extremely powerful effect upon an individual&rsquo;s health, or well-being, and it is with this in mind that a doctor should sometimes lie to a patient.
</p>
<p>
Yet what if a patient specifically asks to be told the truth, meaning the whole truth &ndash; nothing is to be left out, or specifically asks to not be told about anything that is particularly life-threatening, or a particular ailment? Should a doctor abide by the individual&rsquo;s desires?
</p>
<p>
As stated above, the effect the truth or a lie would have on the individual must be taken into account. If the doctor has found that there is the chance the individual has some life-threatening ailment, it may be better to tell the patient that the results have not come in, than to tell the patient that they may potentially have the ailment. Life-threatening ailments, in particular, cause problems because some people would rather die than suffer from some ailment. If the patient is willing to die before they begin suffering, it may be necessary to withhold a potentially rehabilitating ailment from them until it can verified. I believe this follows from what I have stated above.
</p>
<p>
As far as the patient asking to not be told about something, we must look at whether telling the individual would benefit them more from not telling them. For example, if the individual is particularly worried about cancer, but if the individual was told they had cancer, and began receiving treatments, they may feel some harm by being told that they had cancer, but would be able to receive treatments, lessening the chances they would have to be harmed in the future.
</p>
<p>
One problem with the medical profession that gives this all a level of fuzziness is the problem of the care patients receive. The days of a family doctor have come and gone. By losing these kinds of doctors, we have also lost the relationship that doctors once had with patients. It used to be that doctors would understand their patients &ndash; in particular their beliefs and past judgements. In today&rsquo;s world, a doctor meets many more patients, and may only meet with a patient a few times throughout their career.
</p>
<p>
Because of this, a doctor may not be able to make an informed decision regarding how their patient, for the moment, would be able to handle the breaking of serious news. There are few other fields where a question this powerful arises. Can anything be done regarding this?
</p>
<p>
I believe that there is a way to resolve this issue. If each patient were asked, hypothetically, how they would act, or what they would and would not want to know (and why), then a doctor would be able to access how much potential harm the truth or a lie would cause. If a patient was required to fill out a questionnaire regarding any number of the various ailments deemed serious, with particular names of ailments listed, a doctor could examine this questionnaire, and the patients reasons, before making an assessment of what should be told.
</p>
<p>
 The question is, can we find any fault with this idea? One may say that a patient may not fill out the form honestly, or may not give a sufficient reason for why they would or would not want to be told about something. However, if the patient did have to give a justification for particularly serious questions, the consulting doctor, or another member of the medical staff, would be able to eliminate any of the less than serious answers. Furthermore, lying on this form would only harm the patient &ndash; if the patient puts something on the form that they do not honestly believe, it can only be the patient&rsquo;s fault for any harm that may come about, so long as the form makes this quite clear (in order to prevent any claims of negligence). As an aside, it&rsquo;s unfortunate that people fight for the ability to make a choice yet dislike it when their choice leads down the wrong path.
</p>
<p>
It would also be acceptable, and in fact recommended or mandatory, for the patient to look over their choices before any further meeting with the doctor, with older versions of the questionnaire stored in order to secure against any vastly different answers. The problem of storing these forms in a safe environment, as well as allowing the form to move from doctor to doctor, would be a serious concern, based upon the fragmentary nature of the medical profession today. The insurance companies would also play an important role in the creation of these forms, for companies may argue that they have a vested interest in the answers that patients provide. At this point, I can only offer my biased opinion that insurance companies should not be allowed access to these forms, under any circumstance. In a way, the filling out of these forms is the individual stating how they feel about the very question of life and death &ndash; what constitutes life, and when life should lead to death.
</p>
<p>
The ethical question or whether doctors should always tell the truth to patients is not a difficult question to answer with a &lsquo;no&rsquo;, but justifying when a doctor can lie is extremely difficult. Hopefully my argument that &lsquo;a lie is acceptable if it causes no (potential) harm to the individual lied to, or if it is honestly believed or known that telling the truth would cause more (potential) harm to some individual than telling a lie, but if left in doubt, ask, if the positions reversed, what you would want told to you&rsquo; is a working possibility. However, I feel that the best chance of putting this question to rest with a necessary answer is to put the question to the patient, when they can think and give an honest answer.
</p>
<p>
As a postscript to this conclusion, while it is true that an individual will think one way when healthy, and another when sick, and the individual will undoubtedly be filling this out when they believe they are healthy, it is hoped that the individual will keep both the healthy and sickly states of life in mind when they are filling out any such form, or more generally, making any arguments about how they feel about a particular issue. Hopefully, by keeping past versions of questionnaires, as stated above, any major changes to answers can be seen by staff and justified by patients.
</p>
<h3>Notes:</h3>
<p>
1. Kant may argue something closer to what we argue, something based upon circumstances. However, based upon the little that I know of Kant, I would argue, at this point, that he would like truth telling to be universal, and lying, of any kind, removed. However, I welcome comments on where in his works he states something contrary to this.
</p>
<p>
Thanks to Gavin S. for pointing out that potential harm should be made more clear. Hopefully the addition of this word, as well as the presence of &lsquo;may&rsquo;, will show that all harm here discussed is potential, not necessarily actual (although potential does not dismiss actual harm).
</p>
<p>
<strong>Created:</strong> December 31st 2004<br />
<strong>Modified:</strong> January 2nd 2004
</p>

