+++
title = "Stoplights: Is it better to be the first one at the light, or the last one through?"
description = "Thoughts on stopping at a yellow light versus automatically accelerating."
draft = false
comments = true
date = "2005-01-19T02:01:00-06:00"
modified = "2007-09-21T17:28:29-05:00"
slug = "Stoplights-Is-it-better-to-be-the-first-one-at-the-light-or-the-last-one-through"
blogengine = "18b14456-cf1a-4275-ab37-e216f507a378"
categories = ["article"]
tags = []
+++

<p>
Something has been on my mind for a number of months as of late regarding stoplights and cars. People tend to, and perhaps naturally, speed, and my article regarding speed limits (<em>On the Speed Limit</em>) is fairly popular because of it. However, people also tend to not stop for yellow lights, and sometimes even for red lights, but would much rather drive through them. This raised the question of whether it really is best to be the last one through a stoplight (speed up while the light is yellow), or if it makes more sense to not &lsquo;run&rsquo; the light, and instead be the very first one in &lsquo;line&rsquo; at the light. What follows are my personal reflections upon the advantages of not stopping at the light versus stopping at the light.
</p>
<p>
Overall, I happen to believe that both actions have their own benefits. For the most part, however, I believe that longer distances favour one, while shorter distances favour the other. In like manner, having a lot of traffic on the road favours one, while being in a situation where traffic is scarce favours the other.
</p>
<p>
On the first hand, I would argue that when there is a great deal, or moderate amount of traffic, it makes more sense to stop at the light, then go through it. I would argue this because it seems to me that I would rather have a fairly clear road before me than a fairly full road.
</p>
<p>
Let us imagine that we are on our way to some location, perhaps work. The main roads are fairly busy because many people are going to the location we are going to, or many people are out on the roads at this time. We&rsquo;ve been following behind a row of cars, going around the speed limit. The light is changing yellow and the car in front of us is not putting on the brakes, and we therefore assume that it will not be stopping. Assuming that we can stop, we do so with a few thoughts in mind.
</p>
<p>
If we continue through the light, we will also continue going about the same speed that we are going now, unless the next traffic light turns red, in which case we would be forced to stop behind the row of cars. On the other hand, let us imagine that we stop instead, and sit as the first car in our lane. If we were in this position we would not have to wait for, or configure our speed to, any cars before us. Rather, we would be the car that would first move all cars behind us. This also gives us the advantage of being able to have a relatively open space before us, assuming that cross traffic, or traffic being diverted into our lane and going our direction, is fairly scarce, or is at least less than the traffic that we left.
</p>
<p>
These considerations suggest to me that it would be much better to stop at the light than continue through, in such a case. This also suggests to me why it would be better to stop at lights for longer distances than to not stop. After all, longer distances often suggest that we&rsquo;ll want to move fairly quickly, or we&rsquo;ll want to enjoy the scenery all the more.
</p>
<p>
If we don&rsquo;t mind the distance, and don&rsquo;t have to be at the location at any particular time, stopping for lights will allow us to listen to the radio that much longer and not have to fight with traffic so much, as well as take a look about us.
</p>
<p>
Contrary to this we have both trips that consist of a fairly short distance as well as trips during times when traffic is fairly scarce. In these cases, I believe it&rsquo;s often better to continue through lights than to stop. If for example I&rsquo;m merely going a couple of blocks, it makes more sense to try to get there as quickly as possible, and back as quickly as possible. I also remind my readers of the Taco Bell commercial of a number of months, perhaps years, ago. While I didn&rsquo;t really like the commercial, it did make a fairly clear point.
</p>
<p>
In this commercial an individual was trying to get to the Taco Bell, which was just a few blocks away. However, every light that he came to was red, causing the few blocks to expand from taking a few moments to a couple of minutes. The point that this commercial makes is that man (and here I include women as well), for the most part and in most cases, is impatient &ndash; if something rests right before him that he desires, he will attempt to reach the thing, stopping only when they have been shown time and time again that they cannot reach it, or after having reached it.
</p>
<p>
So, unless the drive is leisurely, it makes more sense to attempt to be the last one through a light, for short trips, than to be the first one stopped by the light.
</p>
<p>
Driving while traffic is scarce is slightly different. In this case, you don&rsquo;t often get stuck behind a row of cars. When traffic is fairly scarce, changing lanes or passing, if in the country or on a particular road, is much easier to do. As above, it may make more sense to stop at the light, even if traffic is scarce, if the drive is leisurely.
</p>
<p>
<img style="width: 187px; height: 187px; float: right" src="http://strivinglife.com/files/2005/stoplights_intersection.jpg" alt="Example intersection" />Before I conclude, it&rsquo;s important to touch upon one aspect of this that I have not discussed, and was not planning to discuss. Because of some of the searches that found my article, <em>On the Speed Limit</em>, I believe it&rsquo;s necessary to point this out at this time. The main reason the yellow light exists is to allow cars that are almost through a light to be able to get through the light, as well as allow some level of cushioning space, or better, time.
</p>
<p>
Let us think of an intersection with one road going north to south and another going east to west. Let us also see that there is a stoplight for both roads (north-south and east-west).&nbsp; However, these stoplights are fairly basic, in that they only have a red light, yellow light, and green light. In other words, while anyone can turn onto any road, there are no turn arrows in the lights. This means that if someone going south on the north-south road wanted to turn left, and therefore go east on the east-west road, they would have to wait until the traffic going north on the north-south road was scarce enough to allow them through. We can see this on the image to the right.
</p>
<p>
In this case, the more people that are going to the north that go through the light while it is yellow, the less time those that are attempting to cross traffic have to get through before the east-west traffic gets slowed down. On the other hand, if the northbound traffic were to stop for the yellow, it would allow those attempting to turn plenty of time to do so.
</p>
<p>
The reason this even comes into play is because a) many lights do not have turn arrows as a part of their structure, and b) many people attempting to cross traffic tend to inch out in the middle of the intersection, often so that they can see. If cars that inch out like this are not able to pass before the light turns red, they unnecessarily impede traffic going in the alternative directions.
</p>
<p>
So, it&rsquo;s well worth pointing out that it&rsquo;s often better to stop for a yellow light, if traffic from the other direction is attempting to cross over your lane. That said, I feel it&rsquo;s time to conclude.
</p>
<p>
To conclude, there is a time for stopping at a yellow light, and a time for not stopping. It seems sometimes that people are so rushed to run through lights that they never take the time to question whether it makes the most sense to rush through or not. In many cases, being the first person at stopped at a light makes more sense than &lsquo;riding&rsquo; someone&rsquo;s back bumper.
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> January 19th 2005<br />
<strong>Modified:</strong> February 5th 2005
</p>

