+++
title = "The Analytic and Phenomenological Traditions in Relation to Intentionality"
description = "Paper on the analytic (as seen in Michael Corrado's and Tim Crane's pieces) and the phenomenological (as seen in the articles on Edmund Husserl, as well as based upon previous reading of Husserl's work) traditions in relation to the Theory of Intentionality."
draft = false
comments = true
date = "2003-05-11T01:01:00-05:00"
modified = "2008-03-21T16:32:06-05:00"
slug = "The-Analytic-and-Phenomenological-Traditions-in-Relation-to-Intentionality"
blogengine = "cc76067c-26b0-4a0c-bfdb-c632419cab7e"
categories = ["article", "philosophy"]
tags = []
+++

<p>
This semester, we looked at Michael Corrado&rsquo;s <em>Analytic Tradition in Philosophy: Background and Issues</em>, Tim Crane&rsquo;s <em>Elements of Mind: An Introduction to the Philosophy of Mind</em>, and <em>The Cambridge Companion to Husserl</em>. Through these writings we have learned more about the Theory of Intentionality, from two different perspectives, the Analytic Philosophy tradition &ndash; as shown by Corrado and Crane &ndash; and the Phenomenological tradition &ndash; as showcased by Husserl, or, more perhaps more appropriately, the individuals writing on Husserl. Since this paper is supposed to be on &lsquo;the role of intentionality of the mental to perception and thought in Husserl&rsquo;s Phenomenology and the Analytic Philosophy of Mind,&rsquo; it would probably be worthwhile to reiterate some of the things that I had discussed in the interim papers, followed by a bit on Husserl&rsquo;s works, and then finishing by wrapping these traditions up.
</p>
<p>
To take from what I said in a previous paper, when we speak of the terms &lsquo;perception&rsquo; and &lsquo;thought&rsquo; we can rely almost solely upon a particular individual. For example, imagine that we have one individual, whom we will call Gavin, looking at some object, which, for simplicity, we will say is a particular bottle of Mountain Dew sitting in front of him. One would say that Gavin has a perception of a Mountain Dew bottle. One would also say that he has, or had, a thought of a Mountain Dew bottle, as long as it is true that he perceived it at some time. In this way, one might argue that perception and thought can only truly be described in relation to some individual. However, we must also have an object of perception in the first place in order to begin the &lsquo;chain&rsquo; of events. Perception of some thing x is that which will lead us to some thought about x.
</p>
<p>
Perception, which is what initially gives us an object, is also the way by which we gain more information about that object. Each new perception gives us more information about the object, as well as more evidence that the object is how we perceive it to be. After all, the first time that you experience something, you typically do not know anything about it. Once you see it, touch it, etcetera, you instantly gain more knowledge about the thing. If, for example, it looks and feels solid, then you know that it probably won&rsquo;t act like a liquid, in that you will probably not be able to put your hand through the middle of it.
</p>
<p>
However, it could be that when you move your hand through the object, the Mountain Dew bottle in the case above, it wavers and disappears. The possibility that what we perceive is not how it at first appears to be, one important aspect of intentionality, is something which most people can appreciate. Generally, intentionality needs these things, stated above, namely a point about there being someone, who is perceiving a thing as being a specific way, as well as realizing that the thing that they perceive could not be the way that they perceive it to be. Having stated the basic idea of intentionality, that one appears to reach after examining literature on intentionality, we can now take a look at the Analytic tradition, and the role that it plays in this.
</p>
<p>
As Corrado tells us, most of the founders of the analytic tradition were empiricists &ndash; individuals who believed that one could gain knowledge of the world by one&rsquo;s experiences. Because of this, they must have a certain amount of confidence in the ability of the senses, experience, to gain knowledge. Intentionality is an extremely important issue for the analytic tradition then, because intentionality has a lot to do with the senses and experience, as per above.
</p>
<p>
Analysts also, in addition to the senses, believe that logic and language, particularly a language that is logical, are important in the area of perception and knowledge. That is, when one perceives, one should do their best to translate what they perceive into a language, by which one can construct the perception. This object constructed out of language can then be analyzed in order to see whether the perceptions add up &lsquo;neatly&rsquo;, or whether there is some level of contradiction within the object. So, for example, if we know that all things that have property <em>x</em> are such and such a way, then if we find something that has <em>x</em>, but does not act in the way that things with <em>x</em> act, we know that we have made some faulty conclusion, or had some faulty perception somewhere. Whether it is the fact that things with property <em>x</em> behave in some particular way, or that the thing has property <em>x</em>, or that the thing does, or does not, act in the particular way is the next question, which can be answered only by more (sense) experiences.
</p>
<p>
There is, of course, more to the Analytic tradition then the basics &ndash; as they most apply to intentionality &ndash; stated above. However, this is, in my opinion, enough to have an idea of what the analysts are interested in when it comes to intentionality, namely sense experience &ndash; since they are empiricists &ndash; and analysis &ndash; hence the name of analysts and analytic philosophy.
</p>
<p>
Husserl, who best showcases the phenomenological tradition, at least based upon the experiences that I have had, would agree with the analytic tradition for the most part. Husserl too believes that experience is important, being one who is interested in intentionality. He also believes that one should analyze the perceptions that we have and, perhaps, make sure that the perceptions have been recorded so as to be able to verify that such a thing has occurred like this previously.
</p>
<p>
So, if it is true that the Theory of Intentionality is, at it&rsquo;s center, about an individual perceiving things and feeling a certain way about them, or believing that the perceived things are such and such (have such and such properties), then, both traditions are on the same page. In addition, if this is true, that both traditions hold that the Theory of Intentionality is at the center of perception &ndash; should be known in order to best gain knowledge through perception &ndash; then both would also probably hold that it is through intentionality, with the help of the experiences of the senses, that we are able to know the world. Then, if this were true, it would also be the case that both would say that intentionality needs to be studied first, before any other philosophical theories.
</p>
<p>
In other words, if we accept the fact that we are thinking things &ndash; as per Descartes &ndash; and that we gain knowledge about the world through thinking about our sense experiences &ndash; which give us objects on which to think about &ndash; we would have to learn about the connection between our thoughts and our perceptions or experiences, which is exactly what intentionality attempts to discuss.
</p>
<p>
So, intentionality is, for both the phenomenological and analytic traditions, a theory which ought to be studied, I would think, as soon as possible in one&rsquo;s study of philosophy. Later, after learning about how the theory of intentionality works, one can then practice it so as to make it their own &ndash; so that the theory is used by force of habit &ndash; and use it to add to their knowledge of the world. This then is the role of intentionality in the phenomenological and analytic traditions.
</p>
<h3>Bibliography:</h3>
<p>
1: M Corrado, <em>Analytic Tradition in Philosophy: Background and Issues</em> (Chicago: American Library Association, 1975).
</p>
<p>
2: T Crane, <em>Elements of the Mind: An Introduction to the Philosophy of Mind</em> (New York: Oxford University Press, 2001).
</p>
<p>
3: B Smith &amp; D W Smith (eds), <em>The Cambridge Companion to Husserl</em> (Cambridge: Cambridge University Press, 1995).
</p>
<h3>History:</h3>
<p>
<strong>Created:</strong> May 10th &ndash; 11th 2003<br />
<strong>Modified:</strong> October 30th 2003; February 5th 2005
</p>

