+++
title = "The Foundations of Western Culture and Nationalism"
description = "On the nationalism as a foundation of western culture."
draft = false
comments = true
date = "2001-05-13T17:05:00-05:00"
slug = "The-Foundations-of-Western-Culture-and-Nationalism"
blogengine = "98d77b8e-1a4d-4e40-9363-2f7b7f7dfe3b"
categories = ["article", "political"]
tags = []
+++

<p>
&ldquo;O my brothers, love your Country! Our country is our Home, the house that God has given us&hellip;&rdquo; (Mazzini). It&rsquo;s not hard to see why nationalism doesn&rsquo;t sound like a good idea. Nationalism is the idea that the nation that you live in is important, and that when you look at yourself, you should see your nation, and its ideals. Nationalism has been around for a very long time, probably as long as there have been nations. Nationalism can be seen as the driving force for most of history, and will probably be the driving force for as long as there are people alive.
</p>
<p>
Whether nationalism is a good thing or not is debatable. Nationalism can lead to peace and unification, or it can lead to war and separation. I&rsquo;d like to discuss major events that we talked about in class, that help to show the good and the bad of nationalism.
</p>
<p>
&ldquo;Nationalism promised to unify nations, liberate subject peoples from foreign rule, create a sense of fraternity among members of a national community, and lead that community to a common destiny&rdquo; (Sherman and Salisbury, 607). As we will see, nationalism did in fact do this. The French were among the first to develop nationalist ideals in the early 1800s. After the Revolution, nationalism helped the people become more unified, and gave them strength.
</p>
<p>
In Italy, Mazzini, who was quoted above in the first sentence, wanted nationalism to blossom into benefit for the entire world. He believed that nationalism and the growth of the nation that we lived in would eventually benefit everyone. Mazzini hoped that once we progressed enough, we would help those around us progress to a greater good.
</p>
<p>
Not only can nationalism unite, it can also tear apart countries. Austria, which contained Germans, Italians, Magyars, Romanians, Poles, Slovaks, and other ethnic groups, was split apart by nationalism. Each ethnic group wished to have its own nation, and become independent of the others. &ldquo;Parliamentary sessions in Austria frequently degenerated into shouting matches, in which representatives from different language groups hurled inkstands at one another&rdquo; (Sherman and Salisbury, 664).
</p>
<p>
The Ottoman Empire also fell apart due to many groups, including the Romanians, wanting to be separate from the current nation, and have their own nation. Many other groups of people were lead by nationalism to separate and go off on their own.
</p>
<p>
Comte de Gobineau and Houston Stewart Chamberlain, due to the increasing rights of Jews, came up with the Aryan myth. An extremely nationalistic idea that Germans were superior to all promoted and strengthened anti-Semitism in Germany. The Christian Socialist Party and the German Nation Party used anti-Semitism in Austria to gain votes for their respective parties. Anti-Semitism and nationalism both contributed to the expulsion of the Jewish population out of their area.
</p>
<p>
Around this time, imperialism grew because of nationalism amongst the Western powers. Expansion into Asia and Africa was due mainly to people wanting the ideas of their nation to reach out to every country. The desire for land, money, honor, and glory for their nation didn&rsquo;t hurt either.
</p>
<p>
Imperialism and the influence of the West had different results on different nations. In 1899, the Boxers in China rebelled against the West&rsquo;s influences under the belief that their religion and customs were being destroyed due to imperialism. The Japanese, however, opened their arms, and changed their ways due to the imperialism of the West.
</p>
<p>
&ldquo;Politicians justified huge expenditures for the military buildup with nationalistic slogans and claims that military spending promoted industry, jobs, and trade&rdquo; (Sherman and Salisbury, 723). Military buildup, the alliances formed in Europe, and nationalism lead to the two most significant events of the 20th Century. World War I was started due to nationalism in the Balkan area, and was further feed by the nationalism of the recruits and citizens of European countries. Each side was lead by a desire to win this war, whatever the reason for it being started in the first place.
</p>
<p>
After the war, Germany was blamed for the entire war and suffered devastating economic problems. The popularity of fascism grew in the 1920&rsquo;s due to this. Leaders promised better times, unification, and a return to normal. Military leaders promised strength and were away from politics, which had seemed to fail the people before. Adolf Hitler began to gain popularity in Germany after the Great Depression due to the nationalistic ideas that he grabbed a hold onto. After gaining power of Germany, Hitler expanded to include its old lands, and allowed anti-Semitism to grow, and eventually began the exportation of the Jews to camps. He was able to feed off the people&rsquo;s fear of the Jews, and also appeal to their desires to be a part of a more powerful nation.
</p>
<p>
Eventually Germany was defeated in World War II, and, instead of making the same mistake again, knowing that nationalism would probably cause the same thing to happen again, Germany was not punished as harshly as it was after WWI. Instead, it was helped to grow, so that it would no longer feel as alienated from the other countries.
</p>
<p>
In the early 1990s, nationalism and a variety of ethnic groups lead to civil wars in Yugoslavia. After the fall of communism, nationalism united the people, and unfortunately caused fighting. The fighting became brutal and ethnic cleansing began to appear. Camps were set up, much like what occurred in Germany during WWII. Nationalism once again showing its face.
</p>
<p>
As we&rsquo;ve seen from history, nationalism can unite a country, or tear it apart. Right along with that, nationalism can cause the separation of large groups of people by the creation of new, separate nations, or the killing of the minorities. Nationalism can go hand in hand with other ideas, such as imperialism, and can probably be one of the major drivers of history.
</p>
<h3>Bibliography</h3>
<p>
Giuseppe Mazzini. <em>The Duties of </em><em>Man</em>. Dennis Sherman. <em>Western Civilization: Sources, Images and Interpretations</em> 5th ed., vol. II since 1600. Boston: McGraw-Hill 2000
</p>
<p>
Dennis Sherman and Joyce Salisbury. <em>The West in the World</em>, volume II. McGraw-Hill: Boston 2001.
</p>
<h3>Notes</h3>
<p>
<strong>Modified:</strong> May 12th 2005<br />
<strong>Notes:</strong> Originally written as a final essay exam paper in a Foundations of Western Culture 2 course.
</p>

