+++
title = "The Four Dimensions: A Brief Introduction"
description = "A brief discourse upon the four dimensions; length, height, width, time."
draft = false
comments = true
date = "2002-10-23T01:01:00-05:00"
modified = "2009-10-25T10:03:09-05:00"
slug = "The-Four-Dimensions-A-Brief-Introduction"
blogengine = "c65f96b8-61f5-4f96-8106-0defcf905f75"
categories = ["article"]
tags = []
+++

<p><strong>Primarily Written/Added:</strong> October 23rd 2002<br /><strong>Edited/Updated:</strong> November 21st 2002; October 30th 2003; January 19th 2004<br /><strong>See also:</strong> <a rel="external" href="http://tetraspace.alkaline.org">Fourth Dimension: Tetraspace</a> (the most comprehensive site on the four dimensions I've seen on the web)</p>
<div class="note">
<p>Note: Having a basic high school level of education would probably help in understanding this page, however it is not completely necessary. If you want a greatly in-depth look at this information, I suggest you visit the site above (<a rel="external" href="http://tetraspace.alkaline.org">Fourth Dimension: Tetraspace</a>) since it is updated on a much more regular basis then this page :)</p>
</div>
<p>When you begin to learn about numbers, you learn that they are situated upon a number line. You first learn about the numbers that go from 0 on up. For example; 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, ... Shortly thereafter, you learn about the negative numbers; ..., -11, -10, -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, ...</p>
<p>Therefore, you have learned the number line, which can be shown by the image below.</p>
<p style="text-align: center"><img src="http://media.jamesrskemp.com/graphics/misc/length.jpg" border="0" alt="Length" width="192" height="144" /><br />Figure 1: Length</p>
<p>Of course, this image is not completely correct. A true one-dimensional line would be unperceivable to the eye, since it cannot, technically, have any height or width. Yet, creating an image of such a line would be impossible, so, we can only assume, for all of these images, that all lines signify solely the dimension of length.</p>
<p>Moving back to Figure 1, there is a point on this line which represents 0, as well as one that represents 1, 2, 3, etcetera. Points on this line could be stated by simply stating &lt;5&gt;, or '5', which would mean five points to the right of zero. After much study, you learn about numbers leading up to the real numbers, by which any point could be determined. Length is necessary for any kind of measurement, for telling how long something is, whether it be a material object or something immaterial. With length we can now make lines, which is helpful for a great number of things.</p>
<p>Length is one of the dimensions of the broader category of space. After learning about length, you learn about height. For example, when you learn about graphs, it is necessary to bring in another length. This new dimension can be shown by the image below.</p>
<p style="text-align: center"><img src="http://media.jamesrskemp.com/graphics/misc/height.jpg" border="0" alt="Length and Height" width="192" height="144" /><br />Figure 2: Length and Height.</p>
<p>The point in which the two lines meet is called the origin and represents the point &lt;0, 0&gt;. Any other point could be defined by stating it's x-coordinate and it's y-coordinate ( &lt;x, y&gt; ), where x is typically for length, the red line (horizontal) and where y is typically for height, the green line (vertical).</p>
<p>Armed with length and height, we can now make two dimensional figures, such as squares and circles. This is much better then being able to make simply lines. However, these are only two of the dimensions. Width is the third dimension. Width can be shown by the image below. We have slanted the camera angle so that width can be shown, but if you want a better way of doing it, then imagine a straight line raising out of the screen, or the paper towards and away from you while you are looking at the image above (Figure 2).</p>
<p style="text-align: center"><img src="http://media.jamesrskemp.com/graphics/misc/width.jpg" border="0" alt="Length, Height and Width" width="192" height="144" /><br />Figure 3: Length, Height, and Width</p>
<p>With this third dimension, we can now adequately define objects in space, such as boxes and spheres, with three coordinates &lt;x, y, z&gt; or &lt;l, h, w&gt;. No longer need our objects be flat and one sided - they can now be as many sided as we wish, and as is so in reality.</p>
<p>However, there is one other dimension that we have so far left out. That dimension is time, or the temporal dimension. So far we have only discussed the dimensions that make up space. However, in reality, things move. Because of this, we need to be able to describe objects that exist in time, as well as space. Einstein, in his theory of relativity makes this point clear. However, I will not go into that at this time, nor in this document.</p>
<p>There are many ways we can think about time using our figures above. However, I want to combine figures that I have already used, namely Figure 3, with your imagination. Therefore, you will need an imagination to continue :)</p>
<table style="width: 100%; border-collapse: collapse;" border="1" cellspacing="0" cellpadding="0" align="center">
<tbody>
<tr>
<td width="25%" align="center"><img src="http://media.jamesrskemp.com/graphics/misc/width.jpg" border="0" alt="Time = 0" width="192" height="144" /></td>
<td width="25%" align="center"><img src="http://media.jamesrskemp.com/graphics/misc/width.jpg" border="0" alt="Time = 1" width="192" height="144" /></td>
<td width="25%" align="center"><img src="http://media.jamesrskemp.com/graphics/misc/width.jpg" border="0" alt="Time = 2" width="192" height="144" /></td>
<td width="25%" align="center"><img src="http://media.jamesrskemp.com/graphics/misc/width.jpg" border="0" alt="Time = 3" width="192" height="144" /></td>
</tr>
<tr>
<td width="25%" align="center"><strong>Time = 0</strong><br />&lt;0, 0, 0, 0&gt;<br />&lt;0, 0, 0, 0&gt;</td>
<td width="25%" align="center"><strong>Time = 1</strong><br />&lt;0, 0, 0, 1&gt;<br />&lt;0, 0, 0, 1&gt;</td>
<td width="25%" align="center"><strong>Time = 2</strong><br />&lt;0, 0, 0, 2&gt;<br />&lt;0, 0, 0, 2&gt;</td>
<td width="25%" align="center"><strong>Time = 3</strong><br />&lt;0, 0, 0, 3&gt;<br />&lt;1, 0, 0, 3&gt;</td>
</tr>
</tbody>
</table>
<p>Focusing solely on the images and their names, imagine, if you will, that each of these images stands for a moment in time, a snap shot at a specific time period. Let us say that each of the numbers stands for how many minutes have passed since we began watching what we are watching. In other words, we take a snap shot and call that image "Time = 0". After 1 minute has passed we take a snap shot and call it "Time = 1". After another minute has passed we take another snap shot and call it "Time = 2". Finally, another minute passes and we call our new snap shot "Time = 3".</p>
<p>Now, imagine that there is a point at the origin, &lt;0, 0, 0&gt; in the first image, that which stands for Time = 0. We could say then that the point, the sphere if you would like, resides at &lt;0, 0, 0, 0&gt;. Now, imagine that the point/sphere does not move in our given time frame.</p>
<p>For example, there is a ball on the floor which is lying at a specific spot on the floor. You watch it for 4 minutes, and it does not move. Therefore, the ball has not moved in space (it's still in the same spot), but time has passed. Therefore, the first set of coordinates would apply to that ball.</p>
<p>Now imagine that you go up that ball after the snap shot "Time = 2" has been taken, that is, after two minutes has gone by, and kick it in a straight line. Let us say that the ball has moved from the 3-dimensional point &lt;0, 0, 0&gt; to &lt;1, 0, 0&gt; - it has moved along the x-coordinate 1 unit. The second sets of points would therefore be a good indicator/representation of where the ball now resides. While it did not move for the first three shots, it did for the fourth one.</p>
<p>Now, this is for snap shots which have been taken one minute apart. However, this is not how we see reality. Rather, we see first one 'snap shot', one 'picture in time', and then another an <em>extremely</em> short time later, followed by another, followed by another, etcetera... Also, we would never see an object 'jump' from one place to the next, if we always maintained the object in our gaze, contrary to what we saw in the example(s) above. We cannot 'see' movement above, but we can 'see' movement... That is, we assume that it has moved the distance from one shot to the other because it is in a different space coordinate. We see only the end result, the final effect, and not the cause that lead to the effect - the moving of the ball.</p>
<p>That then, is my basic, and brief introduction, to the four dimensions of space and time. To sum them up briefly,</p>
<ul>
<li>length</li>
<li>height</li>
<li>width</li>
<li>time</li>
</ul>
<p>Comments are always appreciated...</p>
