+++
title = "The Great Learning of the Confucian School"
description = "Paper looking at the Confucian text, the Great Learning."
draft = false
comments = true
date = "2002-03-30T01:01:00-06:00"
modified = "2009-03-13T21:27:15-05:00"
slug = "The-Great-Learning-of-the-Confucian-School"
blogengine = "0165ca9a-8ee2-4a6b-a46f-29f6b0338286"
categories = ["article", "philosophy"]
tags = []
+++

<p>
From the introductory material, we learn that the <em>Great Learning</em> &quot;gives the Confucian educational, moral, and political programs in a nutshell&quot; (1: 84). These ideas are summed up as, and consist of; manifesting the clear character of man, loving the people, and abiding in the highest good. There are also eight steps that should be followed; &quot;the investigation of things, extension of knowledge, sincerity of the will, rectification of the mind, cultivation of the personal life, regulation of the family, national order, and world peace&quot; (1: 84). Following these eight steps will allow the application, or bringing, of humanity (<em>jen</em>) into normal, day-to-day, living.
</p>
<p>
The particular configuration of the <em>Great Learning</em> in this book is that of Chu Hsi, who believed that &quot;only with a clear knowledge of things can one&#39;s will become sincere&quot; (1: 84). This is contrary to another &#39;configuration&#39;, done by Wang Shou-jen, who held that &quot;sincerity of the will, without which no true knowledge is possible, must come before the investigation of things&quot; (1: 84-5).
</p>
<p>
The <em>Great Learning</em> consists of the words of Confucius, as given by Tseng Tzu, followed by commentary which consists of the views of Tseng Tzu. It is, in other words, an explanation of the text. The order of the commentary changes depending on the individual (whether it be Ch&#39;eng I, Chu Hsi, Wang Shou-jen, etc...).
</p>
<p>
&quot;The Way of learning to be great (or adult education) consists in manifesting the clear character, loving the people, and abiding (<em>chih</em>) in the highest good.&quot; (1: 86) As noted in the footnotes, <em>chih</em> can stand for, or mean; abiding, staying, and resting. Therefore, we can see that the highest good should be followed, and striven for, at all times.
</p>
<p>
We can see why Chu Hsi may be correct, in wanting to understand the things before striving to follow them with the will in the second paragraph. &quot;Only after knowing what to abide in can one be calm.&quot; (1: 86) Calmness then leads to tranquility, peaceful repose, deliberation, and lastly, the Way.
</p>
<p>
The third paragraph deals with the steps towards world peace. When things are investigated, knowledge is extended; when knowledge is extended, the will becomes sincere; when the will is sincere, the mind is rectified; when the mind is rectified, the personal life is cultivated; when the personal life is cultivated, the family will be regulated; when the family is regulated, the state will be in order; and when the state is in order, there will be peace throughout the world.&quot; (1: 86-7)
</p>
<p>
We therefore see that world peace starts with the individuals, and their growth, or cultivation.&nbsp; &quot;There is never a case when the root is in disorder and yet the branches are in order.&quot; (1: 87) Id est, only with sufficient foundation can a capable society be formed.
</p>
<p>
Looking next at the ten chapters of commentary, we see that these are helpful in better understanding the text.
</p>
<p>
The first chapter deals with the first sentence of the third paragraph: &quot;that the ancient kings manifested their own character&quot; (1: 87).
</p>
<p>
The second chapter deals with renovating of the people. We see two things that the superior man should do. &quot;If you can renovate yourself one day, then you can do so every day, and keep doing so day after day.&quot; (1: 87) &quot;Arouse people to become new.&quot; (1: 87) The superior man renovates himself as well as others.
</p>
<p>
The third chapter deals with abiding in the highest good. Abiding in the good will not only bring about growth and goodness, but remembrance as well. Those who follow the good are not easily forgotten.
</p>
<p>
The fourth chapter deals with knowledge of the root. Following with Confucius&#39; main doctrines, &quot;those who would not tell the truth will not dare to finish their words&quot; (1: 88).
</p>
<p>
The fifth chapter, which consists primarily of Chu Hsi&#39;s remarks, deals with the investigation of things. &quot;The first step in the education of the adult is to instruct the learner, in regard to all things in the world, to proceed from what knowledge he has of their principles, and investigate further until he reaches the limit.&quot; (1: 89) Therefore, one should look deep into all things for their root, or foundation. This is similar to Plato and Aristotle, who looked for the basic properties, or the forms, of things.
</p>
<p>
The sixth chapter deals with the sincerity of the will. &quot;When the inferior man is alone and leisurely, there is no limit to which he does not go in his evil deeds&quot; (1: 89). The superior man, on the other hand, always guards against self-deception, which is what the inferior man falls to. 
</p>
<p>
The seventh chapter deals with the rectification of the mind. Wrath, fear, fondness, worries and anxieties, all lead to incorrectness in the mind. This then leads to looking, but not seeing; listening, but not hearing; as well as many other oversights.
</p>
<p>
The eighth chapter deals with the influence of the personal life upon the regulation of the family. Partiality of any kind - being more inclined to see things one way then another - brings around ignorance in the true state of affairs. &quot;There are few people in the world who know what is bad in those whom they love and what is good in those whom they dislike&quot; (1: 90)
</p>
<p>
The ninth chapter deals with the influence of the family life upon the regulation of the state. &quot;There is no one who cannot teach his own family and yet can teach others&quot; (1: 91). Id est, if one cannot teach (or love, as seen in another teaching) those close to them, how can one teach those a step away? If one cannot regulate a smaller group (one&#39;s family), how can one one regulate a larger group (community).
</p>
<p>
The tenth chapter deals with the order of the state. The ruler should treat those who they deal with with respect and compassion. We see here a reiteration of many of the previous concepts. &quot;What a man dislikes in his superiors, let him not show it in dealing with his inferiors; ... what he dislikes in those on the right, let him not apply it to those on the left...&quot; (1: 92) Here then we see the idea of not doing to others what one does not want done to them. &quot;He likes what the people like and dislike what the people dislike.&quot; (1: 92) &quot;When wealth is gathered in the ruler&#39;s hand, the people will scatter away from him; and when wealth is scattered [among the people], they will gather round him.&quot; (1: 93) Here we again see the idea of the ruler giving to others what it is that he would wish, discussed previously in <em>Mencius</em> 1B:5 (1: 61).
</p>
<p>
The <em>Great Learning</em> therefore is indeed a good way of seeing the application of humanity into the daily affairs of all.
</p>
<h3>Book(s) used as source material:</h3>
<p>
<strong>1</strong>: <em>A Source Book in Chinese Philosophy</em>; Translated and Compiled by Wing-Tsit Chan; Princeton University Press - ISBN 0-691-01964-9; Pages applicable to the <em>Great Learning</em>: 84-94; Other applicable pages: 49-83
</p>
<h3>History</h3>
<p>
Created: March 30th 2002<br />
Modified: March 31st 2002; October 30th 2003 
</p>

