+++
title = "The Increase of the Power of Man and Science as the Main Theme of the Nineteenth Century"
description = "Short essay regarding the major theme of the nineteenth century, as I see it, namely the increase of the power of man and science. [slnet0514:]"
draft = false
comments = true
date = "2002-12-15T01:01:00-06:00"
modified = "2008-05-06T21:53:05-05:00"
slug = "The-Increase-of-the-Power-of-Man-and-Science-as-the-Main-Theme-of-the-Nineteenth-Century"
blogengine = "04b2a442-2d46-4a31-a713-b2c9bcffb2c1"
categories = ["article", "philosophy"]
tags = []
+++

<p>
The nineteenth century could be described as containing three major movements; Romanticism, Realism, and Modernism. Each movement has its own important features and major themes that have had an effect on the present day world. If I had to state one of the major themes of the entire nineteenth century, it would be the increase of the power of man and science.
</p>
<p>
The beginning of the nineteenth century saw writers such as Mary Shelley, with her work <em>Frankenstein</em>. In this book, the main character of the novel is Victor Frankenstein, a man of science, who believes that any of nature&#39;s faults can be fixed by the use of science. Victor sets out to conquer death - to create something that transcends nature - and succeeds. However, his creation soon ends up turning on him, and kills his friends and family. The story ends with the death of Victor, as well as the death of his creation. So, we see here the beginnings of scientific thought in literature, which will eventually be far more widespread.
</p>
<p>
For example, in the middle of the nineteenth century, we see the interest in evolution, as brought up by Charles Darwin. From Darwin&#39;s theory of evolution, that man has evolved from primate, which directly contradicted the prevalent religious view of creation by a higher power, we once again see a further increase in man&#39;s power. Man now knows that he is the driving force of his own existence; it is not merely some higher power which directs man.
</p>
<p>
The later period sees more of man&#39;s search for the truth through science, and an increase of man&#39;s power as his knowledge increases. Of course, the church, which was the main power over man in the earlier centuries, does its best to keep control. The <em>Syllabus of Errors</em> is released by Pope Pius, in an attempt to bring the sheep that is mankind back to the flock and shepherd. However, this attempt, along with similar attempts, is seen for what it is by the majority of man, as mere cries for help. Lourdes, and similar sites that were once considered sacred and attracted people because of the miracles associated with them, are seen as mere hysteria - in that they are seeing what they wish to see, and not what is actually occurring.
</p>
<p>
So, while there are a few people who still hold to the old beliefs, most of mankind is realizing that they have been deceived for too long. No longer will man let himself be controlled by a select few, whether they be Kings, slave owners, or priests, but rather they will learn to live life as they wish, and seek their own happiness, free from the old ways of coercion.
</p>
<p>
Therefore, it is my view that it is man&#39;s increase in knowledge and power over himself that is the main theme of the nineteenth century. The man of pre-nineteenth century was characterized by belief in the supernatural, while the man of the post-nineteenth century will be characterized by his belief in science and man&#39;s own ability to know the truth.
</p>
<h3>Update history</h3>
<p>
<strong>Created:</strong> December 5th &ndash; 15th 2002<br />
<strong>Modified:</strong> February 4th 2004<br />
<strong>See also my papers titled:</strong> <em>Can Man and Society Exist Without Religion?</em>; <em>Dostoevsky&rsquo;s Underground Man as the Creation of Society</em>; <em>Man&rsquo;s Quest for Dominance over Nature within Frankenstein</em>.&nbsp;
</p>

