+++
title = "The Problems of Perception and Thought as Discussed by Michael Corrado"
description = "The problems of perception and thought as seen in Michael Corrado's book Analytic Tradition in Philosophy: Background and Issues."
draft = false
comments = true
date = "2003-02-16T01:01:00-06:00"
modified = "2010-02-14T12:50:39-06:00"
slug = "The-Problems-of-Perception-and-Thought-as-Discussed-by-Michael-Corrado"
blogengine = "a6393864-01a7-49ad-8e54-079670c80bff"
categories = ["article", "philosophy"]
tags = ["Michael Corrado"]
+++

<p>In Michael Corrado&rsquo;s <em>Analytic Tradition in Philosophy: Background and Issues</em>, we are introduced to the analytical tradition in a way that has not been attempted since the time of this book. Instead of bundling philosophical works into an anthology Corrado attempts to explain what the fundamental characteristics are that tie these thinkers together. For this paper, I focus solely on the problems of perception and thought in the earlier analytic tradition, as Corrado discusses in this work, particularly on the first part, in which he discusses the background of the tradition &ndash; and therefore the earlier tradition.</p>
<p>The first question is; in what order should the problems of perception and thought be discussed? Should perception first be discussed, and thought afterwards, or vice versa? Corrado tells us that the analysts &ndash; those philosophers of the analytic tradition &ndash; are typically those philosophers who:</p>
<blockquote>
<p>"have been influenced by Bertrand Russell and G. E. Moore, Ludwig Wittgenstein, the logical positivists, especially Rudolf Carnap, and American pragmatists, especially C. I. Lewis, or else they have been influenced by men who were influenced by those philosophers." [1: xii]</p>
</blockquote>
<p>As we find out, most of the founders of the analytic tradition were empiricists &ndash; individuals who believed that one could gain knowledge of the world by one&rsquo;s experiences &ndash; so perception appears to have a higher place then thought when it comes to reality for the members of this tradition. Therefore, most analysts would probably start with perception &ndash; how we can perceive the world &ndash; and move into thought &ndash; how we think of the world.</p>
<p>The first thing to do is to look at how the philosophers who started the tradition deal with perception, and then how that deals with thought. For Russell and Wittgenstein, things that we say about reality can be stated in a logical way. However, the current language that we use is not adequate for the task, and a new language must be brought into play. Anything that cannot be stated in the new language is &lsquo;nonsense&rsquo;.</p>
<p>After learning about a fact of reality from experience, as per their empiricist background, the next step would be to translate these perceptions into their logical language &ndash; a truth-functional language &ndash; so that one can see not only if the proposition makes sense, but also to see whether the proposition is true or false.</p>
<p>However, it does not seem to be that easy. For example, as I sit here typing this paper on my computer I must perceive a computer to type on. That is, I must believe that there is a computer that I can sit down in front of and use to write this paper. If someone were to ask me if I know that there is a computer here, I would say that I do know that there is a computer here. I put my hands on the keys, press a few of them down, and notice that text appears on the screen which is lighting my fingers up. Because I can perceive that the computer is there through my senses, I would say that I know that the computer is there. I could then state a proposition, such as &lsquo;the computer that I am working on is mostly black&rsquo;, which can then be put into the language and assigned a truth value.</p>
<p>The question that arises is; do I know that the computer is sitting before me, or do I think that the computer is sitting before me? Most people belief that since I perceive the computer &ndash; and since I can ask others and they too will say that the computer is here &ndash; then the computer must, in reality be here. However, if one were to accept that in fact the computer could not be here, that I merely believe that the computer is here, then any proposition stating something about the computer can no longer be put into logical terms. Our proposition changes from &lsquo;the computer that I am working on is mostly black&rsquo; to &lsquo;I believe that the computer that I am working on is mostly black&rsquo;. This statement could be either true or false, but one cannot tell from the statement itself. I would say that the statement is true, but, someone else may believe that I think the computer is grey instead, and would say that the statement is false.</p>
<p>Another issue of importance is how objects exist. There are two possibilities that are brought up; either objects are constructed out of our experiences or our experiences are constructed out of objects. Russell&rsquo;s answer to this, according to Corrado, is that:</p>
<blockquote>
<p>&ldquo;physical objects, seen traditionally as distinct from experience, were essentially unreachable, that their existence could never be known but only inferred from our experiences; that is, insofar as they are distinct from our experience, they are merely inferred entities.&rdquo; [1: 30]</p>
</blockquote>
<p>In other words, when one perceives an object, such as when I perceive the computer before me, I perceive the physical object, have an experience of the object, and then from that experience have a perception, or thought, about the object. So, between the physical and the mental, there is a something that connects the two. Russell proposes that from our senses, our experiences, we construct the world around us.</p>
<p>Later, Carnap takes what Russell has done and adds more to it. He too believes that we construct the world around us from our senses, or experiences, of the world. By using logic, Carnap believed that philosophers could create, and use, a &lsquo;logical method of analysis&rsquo; to aid the sciences in their quest to know reality. The main focus of philosophers, according the analytic tradition, should be towards creating this language.</p>
<p>This then, is the basis of the analytic tradition, how it all began for the tradition. Starting with attempting to solve the problem of perception, how we know the world around us, the analysts determine that we know the world around us by our senses. From that, they attempt to put experiences into a new language, one in which propositions can be given a value of either &lsquo;true&rsquo; or &lsquo;false&rsquo;. By doing this translation, one can not only learn about what someone is saying &ndash; what one means by a proposition &ndash; but also whether a proposition makes sense, and through that, one can order one&rsquo;s thoughts in a clear, and logical, way.</p>
<h3>Bibliography:</h3>
<p>1: M Corrado, <em>Analytic Tradition in Philosophy: Background and Issues</em> (Chicago: American Library Association, 1975).</p>
<h3>Notes:</h3>
<p><strong>Created:</strong> February 16th 2003<br /><strong>Modified:</strong> May 7th 2003; October 30th 2003; February 5th 2005</p>
