+++
title = "Thomas Aquinas' Summa Theologica and the Question of the Will"
description = "Paper regarding Thomas Aquinas' Summa Theologica in relation to the question of the will."
draft = false
comments = true
date = "2003-05-13T01:01:00-05:00"
modified = "2007-11-01T21:29:56-05:00"
slug = "Thomas-Aquinas-Summa-Theologica-and-the-Question-of-the-Will"
blogengine = "9fc94398-7491-4dae-9c23-f314674e95bb"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Whenever I think about Medieval Philosophy, from this point on after taking this class, I will also think about religion. When I think about religion I think about God and free will. So, since I need to have a topic for this final analysis, I decided that I should probably take one of these topics, and find some writer who would be the best to analysis in this area. After looking at the articles, I decided that I would take Thomas Aquinas&rsquo; <em>Summa Theologica</em> and look at how he answers the question of what the will is, and whether it acts of its own accord. Then, lastly, I&rsquo;m going to input some of my own comments about what I got out of the <em>Summa Theologica</em> in this area.
</p>
<p>
First, it is important to note, since this is an analysis, how Aquinas does his philosophy. Aquinas has various parts to his work, within which there are various questions. Within those questions are articles, which have a question, as well as objections to that question, and finally Aquinas&rsquo; answer to the objections, which then answers the question of the article.
</p>
<p>
To comment on this, I find Aquinas&rsquo; way of doing philosophy, namely by stating the question of study, and then having possible answers, that one may say, to be an extremely good way of carrying out philosophical study. That way, instead of giving simply one answer, the &lsquo;correct&rsquo; one, one also gives some of the incorrect answers, as well as justification for why they are incorrect. Not only does the philosopher doing their study this way show that they have an idea of what the answer is, they also show that they are familiar with some of the other answers that seem like possible solutions. Therefore, because of this, Aquinas shows that he is looking for the truth, and not merely giving an opinion of what he believes, or a reiteration of doctrine.
</p>
<p>
Now that his way of doing philosophy has been analyzed, I can move unto the will. Keeping in mind how Aquinas does his philosophy, instead of dealing with the objections to the question, I am going to instead focus primarily on what Aquinas comes to conclude about the will, especially in respect to freedom. In other words, I will be focusing on his rebuttals to the objections, as well as the bit between the objections and his replies, since that too is what he finds to be true about the material referred to in the question. That said we can now begin looking at <em>Summa Theologica</em> and its answers to the question of what the will is.
</p>
<p>
In Part One, Question 82, the First Article, Aquinas wishes to focus on &ldquo;whether the Will Desires Something of Necessity.&rdquo; [1: 192 or 2: 431] If we were to find that the will does desire something of necessity, then it would imply that the will is not free. In other words, human beings have certain desires/wishes. When they desire something, then they probably will it. So, for example, if I desire a piece of a particular cake, then I probably would like to have that piece of cake. Because of this desire, this want, I will probably end up willing that I could have, or that I will have, that piece of cake, so as to be able to eat it, or give it someone else, etcetera.
</p>
<p>
The question is; is there anything which the will always desires? If there is such a thing, that the will always desires, or always leans to, then that would naturally be an important thing to know, as it will later help us understand our freedom in our actions.
</p>
<p>
Aquinas, in response to this question, tells us that, first of all, there are different definitions of necessity. Being a philosopher, Aquinas has some desire in understanding the words that we use to describe things, and therefore knowing what we mean when we say something. There are, according to Aquinas, three different kinds of necessity. The first kind is &lsquo;natural and absolute necessity&rsquo;, the second is &lsquo;necessity of the end&rsquo;, and the third, and last, is &lsquo;necessity of coercion.&rsquo; [1: 193 or 2: 432]
</p>
<p>
Natural and absolute necessity is necessity in which the necessity is intrinsic to the thing itself. So, a triangle, for example, must necessarily have three angles, which add up to 180 degrees, as a triangle is defined by having three angles, which add up to 180 degrees.
</p>
<p>
The second kind of necessity, necessity of the end, is best shown by way of his examples. &ldquo;Food is said to be necessary for life, and a horse is necessary for a journey.&rdquo; [1: 193 or 2: 432] While the second example no longer works as well, we see what he is trying to get at: in order to sustain life, we must (it is necessary that we) eat food and drink water.
</p>
<p>
The third, and last, kind of necessity is necessity of coercion. This is necessity imposed by an agent outside of the thing itself. So, for example, if someone forces another individual to sign a document, by actually guiding their hands through the motions of signing the forced individuals name, that would be a case of this kind of necessity.
</p>
<p>
According to Aquinas, just because a thing is necessary because of the first kind of necessity &ndash; natural necessity &ndash; does not mean that the will is not free. Human beings cannot float up into the air or fly because their bodies are not made in such a way that they can do that. This would be a natural necessity &ndash; the necessity of not being able to fly &ndash; but that does not mean that they are not free. Instead, freedom is lost only by means of necessity of, or by, coercion. Also, even if we all lean towards the good, as the final end, that does not necessarily mean that we are not free either, as we have the choice of how we are going to attain the good. That is, when it comes to the means of reaching the end, we have the choice of picking which means we would like to take. If the end is something like money, then we can either choose to gain our money by means of cheating others, by working hard, or by begging, to name but a few ways of attaining money.
</p>
<p>
However, reading more of Aquinas, we find that it is not as simple as it seems after all. Later, in Question 83, in the first article, Aquinas raises the question of &ldquo;whether man has free choice.&rdquo; [1: 202 or 2: 436] While he concludes that we do, there is another aspect of note. According to Aquinas man cannot do what he chooses without the help of God &ndash; &ldquo;free choice is not sufficient thereto unless it be moved and helped by God.&rdquo; [1: 203 or 2: 436] Aquinas goes on to explain what he means when he says this.
</p>
<p>
Aquinas seems to be drawing on the philosopher Algazali who, in <em>The Incoherence of Philosophers</em>, says that God is what connects cause with effect, or, more correctly, it is God who causes all things to happen. In other words, while I may will that I reach my hand out and pick up the can of Dr. Pepper in front of me, it is God who causes me to reach out and grab the can. In this way, because God helps me do what I will, free will is not all that one needs to act out one&rsquo;s will.
</p>
<p>
This then, to move away from the reading for a moment so as to be able to comment on this, seems to imply that we are not free, contrary to what Aquinas says. &ldquo;Man&rsquo;s way is said not to be his in the execution of his choice, wherein he may be impeded, whether he will or not. The choice itself, however, is in us, but presupposes the help of God.&rdquo; [1: 204 or 2: 437] God, then, helps us execute our will, in that he &lsquo;listens&rsquo; to what we would like to do, and takes that into consideration, in a manner of speaking, and then causes something to happen, either contrary to, or with, what we will.
</p>
<p>
If it is God that makes the ultimate decision, then what matter the means? In other words, if a fight or game is already determined, and it will necessarily be that way, then why bother with the fight or game, except as a farce, or as a mere show. In the same way, why have the choice if our choice isn&rsquo;t really what is listened to?
</p>
<p>
Yet, drawing from Aquinas, I believe he would say that we still have free will, just as he describes in another reply, in which he says that our choice moves us to act. In other words, we are not puppets, but we move by our own inclination. Even if we move in predetermined movements, we are still the ones that internally determine what we are going to do.
</p>
<p>
To continue on with what Aquinas says then, the next article of importance in this discussion is the one in which he asks whether the will is of good only, which is contained in the first part of part two, question 8. This question asks whether the will can direct itself towards evil. While one would normally think that the will could head towards evil, it is not the case. Aquinas is absolutely correct when he says that we will only the good, or, more correctly, what appears to be the good.
</p>
<p>
While someone would desire to commit an act of crime, which is normally seen as bad, they do that act not because it is bad, but rather because they think some good would come out of it. Even people who will for something bad to happen to them will for such a thing to happen because they see it as containing some good. They believe that such a thing should happen, and things should happen only if one believes that they should happen &ndash; only if one believes that they should be and that if they were it would be for the best. &ldquo;It is requisite, not that this be good in very truth, but that it be apprehended as good,&rdquo; says Aquinas. [1: 210 or 2: 655]
</p>
<p>
Question 9, of the same part, contains the next articles which are of importance in the topic of the will and freedom. The first article asks whether the will is moved by the intellect, which is, according to Aquinas, the power of the soul to reason and use intelligence. Aquinas&rsquo; answer is that the will is moved by the intellect, in so far as the intellect gives us an idea of which of various possible actions would be best to pursue. However, the intellect does not necessarily determine the will, in that the will could act contrary to what the intellect determines to be the best way to act.
</p>
<p>
For example, I may be confronted with doing one of two different acts. When I rationalize about them, I find that the first is more favorable then the second. However, I decide, for whatever reason, that I would rather do the second then the first. Instead of staying home and studying, I decide that I would rather go out and party. My rational tells me that I ought to stay home, but I decide to not study and go out instead. The will acts contrary, in this case, to what the intellect &lsquo;suggests.&rsquo;
</p>
<p>
The second article asks whether the will is moved by the sensitive appetite, which is the desire of the senses. Like the first article, Aquinas seems to be suggesting that while the senses have an influence on the will it is not a necessity relationship. So, while we are predisposed to choose something over something else, we must not necessarily act in the way determined by our senses.
</p>
<p>
If we add in the third article, which asks if the will moves itself, we can better understand just what Aquinas is trying to get at. In the third article he states that the will does not move itself, in so far as the rational appetite, or desire, also has some impact, at some times, as we have seen from article one.
</p>
<p>
In other words, it seems to be something like the following. I am an individual who makes choices about what I want, and what I want to do. When I am confronted with a choice, I need to make a choice between the different choices. Sometimes I choose to do one thing rather then another thing because I rationally determine that it is better then any other choice. Sometimes, however, I pick one thing because it appeals to my senses. Whatever caused me to decide that one is better then any other, I then carry out my choice, in so far as I decide that that choice is the one that I will pursue &ndash; the one that I will will.
</p>
<p>
Now, as he states in the fourth article, the will is, in some respect, moved by things outside of it, in addition to what is stated above. After all, the choices that we can decide between are what initiate our need to make a choice. Because I am confronted with two different choices, of which I can only will one or the other, I must will something &ndash; I must make a choice.
</p>
<p>
The next article of note is the sixth article, which asks if the will is moved by God alone. Aquinas answers that God is the &lsquo;Universal Mover&rsquo;, as we saw in Question 83 far above. That is, while we will something, the causer is always God &ndash; God is always what moves us in the movement of doing what we will. In addition, one may argue, but I&rsquo;m not sure that Aquinas would, that it is God who presents us with the choices that we have to make. Whether this is true is arguable, but it is something that is not eliminated completely &ndash; and which I will speak of in a moment.
</p>
<p>
However, while it is true that God is the &lsquo;Universal Mover&rsquo;, &ldquo;man determines by his reason to will this or that, which is true or apparent good.&rdquo; [1: 223 or 2: 662] That is, as we saw above, it is man who determines what he will towards, based upon what he perceives to be, or knows to be, the good. He still is confronted with the choice, and makes one, free of coercion. Therefore, one, in a manner of speaking, picks the means, but not necessarily the ends.
</p>
<p>
Since I have now spoken of the main aspects of Aquinas&rsquo; work, the next question is what I think about his answers. First of all, I don&rsquo;t personally believe in God. Therefore, I cannot agree with what he says about God being the &lsquo;Universal Mover&rsquo;, or the &lsquo;First Cause&rsquo;, or any other similar phrase. Second, despite this, I find Aquinas&rsquo; articles, his questions and answers, to be, for the most part, fairly true to what I believe.
</p>
<p>
When I see something before me I automatically feel a certain way towards it. If I have never seen the thing before, then I feel the way towards the object the way I feel towards any thing else that I do not know. If I see something that I have seen before then I feel a certain way towards it &ndash; the same way I would feel towards things of a similar type.
</p>
<p>
The question is, if I am naturally inclined to feel a certain way, am I free? In one sense of the word I suppose I am not, yet, I suppose we would have to say that we are free. Now, if I am socially inclined to feel a certain way, then the argument gets a little trickier. To clarify, if society teaches me that I ought do such and such when I am confronted with such and such a situation, then, if I think that I ought do one more then the other because of what society has taught me, I am, in a sense, being coerced. Now, I could decide to go against society, but perhaps the fear has been taught to me in such a way that to go contrary to society seems impossible. While they may not be holding my hand, they have taught me in such a way that they don&rsquo;t need to physically hold it anymore. Isn&rsquo;t this the case with parents who teach their children not to play with fire, or not to play in the streets, or not to do drugs? Parents hope that the children will remember what they were taught. While not coercion completely, it is in some sense of the word.
</p>
<p>
Of course, this is done for the best, we hope, because then we don&rsquo;t have to make the same mistakes over and over, instead we learn from the mistakes of others. We must, however, accept that they are acting in our best interests, and not only for the interests of themselves or for another.
</p>
<p>
In addition, if we accept that God does exist, and that it is he that causes things to occur &ndash; that God &lsquo;listens&rsquo; to our willing and helps us perform an action &ndash; then why isn&rsquo;t God the &lsquo;Ultimate Parent&rsquo;, or &lsquo;Ultimate Teacher&rsquo;? After all, God is said to help guide us towards the good &ndash; not the perceived good, but the actual good &ndash; much like a parent or teacher helps us towards knowledge of the world, so as to be able to act in a way best for the situation. Since God is always there, and guides us down the correct path, then it seems as though every action is good. Wars and conflict &ndash; in all of its forms &ndash; are then striving towards some good. If that is true &ndash; which it must be if God is what causes things to occur, if he is what connects things together so that they appear to be cause and effect &ndash; then perhaps we do not have free will.
</p>
<p>
After all, if the reason we are presented with a particular choice is ultimately because of God, since he has brought upon the effects that lead to this/that moment, then, while it may be true that we have a choice, our choices are limited to those that God allows us. Once again, we need not be coerced at the moment &ndash; we could have been coerced in such a way before that moment that we did not even realize we were/are being coerced.
</p>
<p>
In addition, if God knows all, and has an idea of the future, then it would seem as though we do not have real free will, especially if he connects cause and effect, as above. Perhaps, this does not suggest that we do not have free will, but rather that our will is always checked, and can always be superceded. Aquinas states this in the <em>Summa</em>: &ldquo;nevertheless, sometimes God moves some specifically to the willing of something determinate, which is good; as in the case of those whom He moves by grace.&rdquo; [1: 223 or 2: 662] Is our will really free if it can be, and is, coerced?
</p>
<p>
I suppose I was incorrect, I suppose that Aquinas is perhaps correct in saying that we have free will. After all, even though I may be locked in a jail cell, I still have the choice of where I would like to go within that cell. Yet, how can I really know that I have free will, and am not just coerced into believing that I do have free will? Perhaps one need look at Descartes, much later then this period, in order to get the answer. However, Aquinas suggests that God guides us towards the good. And, if we are coerced every once in a while towards the good, does it really matter if our will is not always free, and that our actions are always checked?&nbsp; Does accepting this mean that the ends justify the means?
</p>
<p>
With that, I conclude this analysis. Aquinas tells us in the <em>Summa Theologica</em> that we are free, when it comes to the will, ultimately. Perhaps, I too must agree with this as well, as my analysis has lead to that conclusion as well.
</p>
<h3>Bibliography:</h3>
<p>
1: Handout with the writings of Aquinas &ndash; the <em>Summa Theologica</em>.
</p>
<p>
2: Aquinas, Saint Thomas.&nbsp; <em>Great Books of the Western World 17: Aquinas I</em>.&nbsp; (Encyclop&aelig;dia Britannica, Inc., Chicago, 1990)
</p>
<p>
3: Aquinas, Saint Thomas.&nbsp; <em>Great Books of the Western World 18: Aquinas II</em>.&nbsp; (Encyclop&aelig;dia Britannica, Inc., Chicago, 1990)
</p>
<h3>Notes</h3>
<p>
<strong>Created:</strong> May 13th 2003 <br />
<strong>Modified:</strong> February 13th 2004; June 24th 2004; October 18th 2004; February 5th 2005; June 2nd 2005<br />
<strong>Notes:</strong> See also my paper titled <em>Josef Pieper&rsquo;s Scholasticism</em>.&nbsp; See the online version of the <em>Summa Theologica</em> at <a href="http://www.ccel.org/a/aquinas/summa/home.html">http://www.ccel.org/a/aquinas/summa/home.html</a>, as well as those listed at <a href="http://www.ccel.org/ccel/aquinas/summa.html">http://www.ccel.org/ccel/aquinas/summa.html</a>.
</p>

