+++
title = "Thoughts and comments on Waking Life: The Holy Moment"
description = "A short discussion on a particular section of the movie 'Waking Life' - in this case, Chapter 11: The Holy Moment."
draft = false
comments = true
date = "2003-12-11T16:07:00-06:00"
modified = "2007-08-06T21:59:47-05:00"
slug = "Thoughts-and-comments-on-Waking-Life-The-Holy-Moment"
blogengine = "4df7a7cd-513d-40b8-a272-d54fbf82ce7a"
categories = ["article", "philosophy"]
tags = ["waking life"]
+++

<div class="WPArticleInfo">
<p>
Primarily Written/Added: May 14th 2003<br />
Edited/Updated: September 18th 2003; November 10th 2003; December 11th 2003
</p>
</div>
<p>
This article is based upon Chapter 11 of Waking Life.  See the complete script for <a href="/waking-life-transcript-with-revisions/">Waking Life</a>.
</p>
<p>
There is more to this then the discussion about God. This is packed full with a lot of various things, all of which deserve some time. I&#39;ll start with this passage first. However, before I do that, I should point out that I&#39;m not sure whether or not these two are both film directors. I think that that is extremely questionable...
</p>
<blockquote>
	<p>
	<em>Cinema, in its essence, is, well it&rsquo;s about an introduction to reality, which is that, like, reality is actually reproduced. And for him, it might sound like a storytelling medium, really. And he feels like, um &hellip; like &hellip; like &hellip; like literature is better for telling a story. You know, and if you tell a story or even like a joke, like you know &quot;This guy walks into a bar and, you know, he sees a dwarf.&quot; That works really well because you&rsquo;re imagining this guy and this dwarf in the bar and there&rsquo;s this kind of imaginative aspect to it. But in film, you don&rsquo;t have that because you actually are filming a specific guy, in a specific bar, with a specific dwarf, of a specific height, who looks a certain way, right?</em>
	</p>
	<p>
	<em>So like, um, for Bazin, what the ontology of film has to do is it has to deal with, you know, with what photography also has an ontology of, except that it adds this dimension of time to it, and this greater realism. And so, like, it&rsquo;s about that guy, at that moment, in that space.</em>
	</p>
</blockquote>
<p>
On the one hand, we have literature. Literature, by means of words, attempts to tell you a story. So, to take the example from the movie, there is a story which starts out with a dwarf entering a bar. It may describe the dwarf more then that, such as the dwarf had red hair, or it may leave it open, so that you have to fill in the details. Each person, if the description is not absolute - is not completely complete - is going to have a different idea of what the dwarf, or the locations/people/objects, in the story, or stories, looks like.
</p>
<p>
On the other hand, with movies, we have a particular dwarf which looks a particular way. With imagination the characters characteristics are confined only by what the author tells you, and what you pick up. With video, on the other hand, where there is an image, you are greatly confined by what the director decides. The director picks certain people to play the roles and, when you think of the character, you think of that person. This would be true for anyone that has seen the video. No longer is the dwarf so open to possibilities, it is now confined to a certain actor.
</p>
<p>
Clearly, this is why they say that literature is better for the imaginative, as the imaginative have no problem in supplying the characters. On the other hand, if you don&#39;t want to think, if you aren&#39;t good at imagining, then you are better off to stick with video. It gets even better when one considers the following.
</p>
<blockquote>
	<p>
	<em>Everything is layers, isn&#39;t it? I mean, there&rsquo;s the holy moment and then there&rsquo;s the awareness of trying to have the holy moment, in the same way that the film is the actual moment really happening, but then the character pretending to be in a different reality. And it&rsquo;s all these layers.</em>
	</p>
</blockquote>
<p>
The actor is no longer himself, but rather the part that he is playing. Film captures a particular period of time and space in which individuals play a certain role, which is not them. Actual space and time is recorded, but, at the root, the events are scripted, are false, yet are still true, still real, in some respect. The difference between reality and fiction/fantasy is blurred, in some respects.
</p>
<p>
<strong>Bringing Hegel into this...</strong>
</p>
<p>
It&#39;s not hard, I think, to see a bit of Hegel in this quote. Looking at <em>The Hegel Reader</em> (Blackwell Publishers, 1998, Edited by Stephen Houlgate), specifically at Hegel&#39;s <em>Phenomenology of Spirit: Spirit. Absolute Knowing</em> (pg 120-123), we see the following;
</p>
<blockquote>
	<p>
	<em>But the other side of its Becoming, </em>History<em>, is a  </em>conscious<em>, self-</em>mediating<em> process - Spirit emptied out into  Time; but this externalization, this kenosis, is equally an externalization of  itself; the negative is the negative of itself. This Becoming presents a  slow-moving succession of Spirits, a gallery of images, each of which, endowed  with all the riches of Spirit, moves thus slowly just because the Self has to  penetrate and digest this entire wealth of its substance. As its fulfilment  consists in perfectly </em>knowing<em> what </em>it is<em>, in knowing its  substance, this knowing is its </em>withdrawal into itself<em> in which it  abandons its outer existence and gives its existential shape over to  recollection.</em>
	</p>
</blockquote>
<p>
Of importance is the line: &quot;This Becoming presents a slow-moving succession of Spirits, a gallery of images, each of which, endowed with all the riches of Spirit, moves thus slowly just because the Self has to penetrate and digest this entire wealth of its substance.&quot; In other words, life/history is a bunch of moments - a succession of images/experiences. Everything, everything in the world around/about us, is made up of Spirit, of life, of Tao, of God, etcetera (pick your favorite). While we don&#39;t normally take note, allow ourselves to &#39;penetrate and digest this entire wealth of substance&#39; - while we don&#39;t allow ourselves to realize that each moment is holy, or full of Spirit, or full of life - that does not mean that it is not there. Rather, we have come to take for granted that each moment is full of life/Spirit, and lose our wonderment with the world.
</p>
<p>
In a similar way, we do not realize that each moment leads to the next - that what we do (cause) leads to future events (effects) - instead believing that we live in chaos, when in fact we live in a world that flows from one moment to the next. If we were to take time to make note of the moment - of day-to-day, second-to-second, and even lower, events/effects/situations - we would notice that every moment is full of life, of Spirit, of possibilities...
</p>

