+++
title = "Thoughts on objects and their underlying structure"
description = "Brief thoughts on objects and their underlying structure."
draft = false
comments = true
date = "2009-08-14T07:57:00-05:00"
modified = "2009-08-17T10:13:38-05:00"
slug = "Thoughts-on-objects-and-their-underlying-structure"
blogengine = "930d30a4-7846-4da1-bb60-da404efb1736"
categories = ["philosophy"]
tags = []
+++

<p>Image for a moment two sheets of paper. On the first we have a design of a Web page. On the second we have the code (all of it) needed to generate that page.</p>
<p>If we were to overlap the sheets of paper, so that the design covered the code, let us imagine that the overlapping sheet's background&nbsp;would turn transparent.</p>
<p>With this in mind, we could overlap the two sheets of paper equally, with the right side of the design's sheet overlapping the left side of the code's sheet.</p>
<p>Now really, these two have absolutely no physical dimensions at all, in particular, no thickness; they're just a stream of bytes.</p>
<p>So while before, when we&nbsp;imagined/saw them as sheets with a thickness of 0.5mm, they have a thickness of 0. This also means that by overlapping the two we no longer have 0.5 *2, but 0 + 0.</p>
<p>Since the two overlap in how we perceive them (due to the transparency), they seem to become one, which, again, because they have no dimension, 1 + 1 = 1.</p>
<p>Or, is it really that we can remove the left side of the equation and simply say 1?</p>
<p>To some extent the two are different and separate. Yet, looking at it from another perspective, they are the same; it's merely our perspective that changes. Or perhaps the depth at which we know/understand the thing.</p>
<p>With the exception of abstract methods (and not even then), I find that I tend to think with both perspectives in mind.</p>
<p>Since they say that the gods can look at a thing and know everything about it, this seems to be a good place to be, even if it's only with code, and not physical objects.</p>
