+++
title = "Thoughts on primary and secondary sources"
description = "Recently, Gavin Schmitt asked me what my thoughts were on philosophy books about philosophers. When it comes to philosophy, of what import are primary and secondary sources? [slnet0514:7af76473-97d0-4f15-8f75-e708af525d48]"
draft = false
comments = true
date = "2007-11-09T18:45:00-06:00"
modified = "2007-11-11T10:21:16-06:00"
slug = "Thoughts-on-primary-and-secondary-sources"
blogengine = "7af76473-97d0-4f15-8f75-e708af525d48"
categories = ["article", "philosophy"]
tags = []
+++

<p>
Recently, Gavin Schmitt asked me what my thoughts were on philosophy books about philosophers. 
</p>
<blockquote>
	<p>
	Does that ever bother you, by the way? Philosophy books about other philosophers? Either you read it ahead of time and you don&#39;t know what the hell the author is talking about, or you read it afterwards and you end up not recalling the exact passages the author is referring to. It&#39;s like you need a FIRM grasp on the material to appreciate a book on the philosopher, but if you have that firm grasp you probably don&#39;t need to read the book (besides as a refresher). 
	</p>
</blockquote>
<p>
This article serves as a more complete response to Gavin. 
</p>
<h3>It depends</h3>
<p>
Like a good philosopher, I suppose I have to say that it really depends. 
</p>
<p>
When I was in college, I had one professor who was of the opinion that primary sources, in philosophy, should be the first source, and therefore the first thing you read. 
</p>
<p>
However, there would be times in which we&#39;d actually go ahead and read secondary sources. 
</p>
<h3>A brief comparision of the two sources</h3>
<p>
Primary sources are sources direct from the individual. For philosophy, this typically means that the written material was written by the philosopher. For example, John Rawls&#39; <em>A Theory of Justice</em>. 
</p>
<p>
Secondary sources are sources from another individual, commenting on the original philosopher(s) and their content. For example, <em>The Cambridge Companion to Schopenhauer</em>. 
</p>
<p>
However, there are cases where the primary source is not, per se, written by the philosopher. For example, if I read E. F. J. Payne&#39;s translation of <em>The World As Will and Representation</em>, Payne has translated the original source material from German to English. Yet, most of the time, we consider this to be of let import (although that&#39;s not to say that we don&#39;t keep in mind that it is a translation, and not their actual words). 
</p>
<h3>What about other areas of study?</h3>
<p>
When Gavin first asked me about this, I slept on it. What came to mind was history. For the most part, from elementary school to college, we typically spend most of our time reading secondary sources when we read history books. So, instead of reading the founding father&#39;s writings, we instead read books that summarize those writings. 
</p>
<p>
Of course, most students in the United States end up having to read some of those primary source materials, such as the Constitution, so there are cases where primary sources are read. For the most part, though, we read secondary sources. 
</p>
<p>
Why? 
</p>
<p>
With the large amount of history that needs to be covered, if we needed to read the primary sources directly, we&#39;d have little time to cover everything. With reading the secondary sources, we&#39;re given more time to read the primary sources that are deemed to be &#39;important&#39; as well as cover more history over a smaller amount of time. 
</p>
<p>
In addition, we&#39;re given more information about what else was happening around the same time of a particular event. This information answers questions about why the material was created, what other material was being created, and what material was most prevalant at the time. 
</p>
<h3>So what about philosophy?</h3>
<p>
Philosophy is much like history. Not only do we have the writings, we&#39;ve also got the state of affairs at the time of the writings. This includes other philosophies, political and social affairs, and etcetera. 
</p>
<p>
The advantage of reading a secondary source is that, if the source is a good one, these outside affairs will be covered by the materials, and placed in relation to the primary source. 
</p>
<p>
For example, around the time of Schopenhauer, Kant&#39;s philosophy was still fairly big, and Hegel was also fairly important. 
</p>
<p>
While we can often get these state of affairs from the primary source, especially with philosophy, there are times when these are not referred to. We also have the period of time after the material was written. The philosophy itself can&#39;t tell us what people thought of the materials, after it was released, and often we&#39;re too far removed from the materials to know from personal experience. 
</p>
<p>
But for all these advantages, there&#39;s a serious disadvantage, namely interpretation. 
</p>
<p>
Both history and philosophy are open to interpretation, which means that it is possible that two people may see certain events, or philosophies, in two different ways. These differences can be minor, or very major. One advantage of reading the primary sources, then, is the ability to cut-out as much interpretation as we can. 
</p>
<p>
Which brings us back to translations. With a translation of the primary source, we&#39;re immediately removed from the actual thoughts of the creator of the content. Of course, depending upon what format the material is in, we&#39;re even further removed. 
</p>
<p>
For example, when I read Payne&#39;s translation of Schopenhauer&#39;s works, not only did Schopenhauer have to write his thoughts down and go through a publisher/editor, the work was then translated from the original language. Time itself adds another dimension, as we can&#39;t even be sure that the material wasn&#39;t modified at some point in its history. 
</p>
<p>
Even with this primary source, then, it has already gone through multiple, secondary, sources. 
</p>
<h3>Conclusions</h3>
<p>
As I said earlier it really just depends on whether we use primary or secondary sources. 
</p>
<p>
Why are we interested in the content? Will an overview of the philosophy be enough? Can we use the overview to help us determine whether we need, or have the desire, to dig into a philosophy? 
</p>
<p>
For me, I find that secondary sources are a good starting point. Without an overview, personal experience, or recommendations, how else can I know whether I&#39;ll be interested in reading an individual philosopher? 
</p>
<p>
Armed with that overview, you can then dig into the primary sources to read what they actually said, and make your own determinations. 
</p>
<p>
Secondary sources can also be used after the primary sources to, as Gavin suggested, provide a refresher, as well as make further connections that may have been missed, or further elaborate on the materials place in history. 
</p>
<p>
To conclude, we really do need both, and to some extent, both are equally important. 
</p>

