+++
title = "Web site development: Content and Audience"
description = "There's two major topics that come up when you're talking with someone who wants to create a Web site, and they have a number of questions revolving around them. This article will be discussing these two major topics - content and audience - and raise the major questions that must be answered."
draft = false
comments = true
date = "2006-03-25T09:42:00-06:00"
slug = "Web-site-development-Content-and-Audience"
blogengine = "dd3900bc-28b6-498c-9389-4f85f07181b3"
categories = ["tutorials / guides"]
tags = []
+++

<p>
There&rsquo;s two major topics that come up when you&rsquo;re talking with someone who wants to create a Web site, and they have a number of questions revolving around them.  This article will be discussing these two major topics - content and audience - and raise the major questions that must be answered.
</p>
<p>
Content is obviously one of the major topics because that&rsquo;s what a Web site is - the display of content.  Without content, you don&rsquo;t have anything.
</p>
<p>
Once you have content, you have an audience for that content.  The audience can be a single individual (you), a handful of individuals (your family and/or friends), all the way up to a near unlimited number of individuals (the world).  It&rsquo;s important to note that your audience doesn&rsquo;t come first - your content does.  Some people have this switched around, and try to write content for a particular audience, but you&rsquo;re only going to do that if you&rsquo;re a sell-out; id est, interested more in the ad revenue than creating something that you can be proud of in itself.
</p>
<p>
(Of course, some people may be proud of the network of ad-revenue-based Web sites that they&rsquo;ve built up.  We won&rsquo;t be writing for that audience in this article.)
</p>
<h3>Content</h3>
<p>
What&rsquo;s your content?<br />
What are you writing about?<br />
What is your site about?<br />
What is a single sentence that describes your site&rsquo;s topic?
</p>
<p>
Or, if you don&rsquo;t know what your topic is,
</p>
<p>
What are you interested in?
</p>
<p>
Once you&rsquo;ve got answers for most of these questions (which are fairly similar), you can start making groupings of the content, if necessary.  Natural subtopics are a great place to start.
</p>
<p>
So, if you&rsquo;re writing about some topic, like mathematics, than you could have the subtopics of algebra, geometry, calculus, and etcetera.
</p>
<p>
If your topic is yourself, then you can talk about the past, present, and future, as well as your family, friends, work, and hobbies.
</p>
<p>
What you want to end up with is as complete a list as possible of all of the topics you&rsquo;ll want to cover, written down if possible (as in, on paper).  You may want to spend a couple days thinking over this list - pretend it&rsquo;s the only things you can ever talk about.
</p>
<p>
Once you&rsquo;ve got a list, start numbering items that aren&rsquo;t alike, and making a note of which topics are subtopics, or are very similar.  Using our previous example, we could do something like;
</p>
<blockquote>
	<p>
	1. Mathematics<br />
	1-1. Algebra<br />
	1-2. Geometry<br />
	1-3. Calculus<br />
	2. Sports<br />
	2-1. Tennis<br />
	2-2. Soccer<br />
	2-3. Cricket<br />
	3. Politics<br />
	(etcetera)
	</p>
</blockquote>
<p>
Once you&rsquo;ve got these all numbered, you may notice a couple additional subtopics you could throw in - go ahead and do so.
</p>
<p>
Now, walk away from the list for a while (a day or more), and come back to it with a fresh view.  If you see any other additions, add them in.  Otherwise, you&rsquo;re ready to start writing.
</p>
<p>
Open up a word processor, or get some sheets of paper (the latter is preferred), and start writing a page or two on each of the major topics.  Don&rsquo;t do more than a couple pages, even if you really want to.
</p>
<p>
Once you&rsquo;ve written something up for each of your topics, you may have noticed that you liked writing, or were able to write more, about one topic more than the other.  This is going to be your major topic for your site, and what you&rsquo;re going to start with.
</p>
<p>
When you&rsquo;re first starting out, you <em>must</em> focus on as few as topics as possible, or you&rsquo;ll risk spreading yourself out too thin.
</p>
<p>
Congratulations - if you didn&rsquo;t have a topic already, you&rsquo;ve probably got one now.
</p>
<h3>Audience</h3>
<p>
Now that you have <em>one</em> topic, it&rsquo;s time to look at who the audience could be for this topic.
</p>
<p>
Again, is this something that&rsquo;s only going to be of interest to you?  To your family and/or friends?  To people in your city, state, country?  To potentially the world?  Now, we&rsquo;re talking about as a whole, but rather, where does your audience reside.
</p>
<p>
If you&rsquo;re the only one who&rsquo;s going to be interested in this content, do you really need a Web site?  Could you perhaps use something on your computer to accomplish the same goal?  If you want to have access to your links from anywhere, maybe you could store these on your email provider, or setup a simple page that contains the links - do you really need to create a full Web site?
</p>
<p>
If you want to use Web-based systems, like WordPress, could you <a href="http://strivinglife.com/local-apache-server/">setup your own Web server</a> instead?
</p>
<p>
For the other audiences, who you&rsquo;re targeting will play a key role on your <strong>design</strong>.  If it&rsquo;s your family or friends, you&rsquo;ll have a good idea of what computers and technology they use to access your site will be.
</p>
<p>
If it&rsquo;s a larger community, then you&rsquo;ll have to determine what technology you want to shoot for for your baseline.
</p>
<p>
(By technology, we mean not only operating systems and browsers, but also what speed connection they have.  Most of us have used dialup and know what it&rsquo;s like to connect to a very design-heavy page, versus a design-light page.)
</p>
<p>
With the exception of a page that is geared solely towards you, you&rsquo;ll want to keep this baseline fairly low, as opposed to near the high-end range.  If you&rsquo;re designing for yourself - anything goes (unfortunately).
</p>
<p>
If you don&rsquo;t know your audience, then you may not have a good grasp of your content.  The idea is to keep your audience in a <em>potential</em> state.  If every one who was interested in your topic was <em>potentially</em> a visitor, that&rsquo;s your audience.  You want to gear your content to as large an audience as possible, simply so you can cover every possible base.
</p>
<h3>Next steps</h3>
<p>
Now that you&rsquo;ve determined what you&rsquo;re going to write about, as well as who your audience is, it&rsquo;s time to start writing your content.  Before you can do any design work, you <em>must</em> have sample content to work with.  Again, Web sites are based upon content - <em>everything else</em> comes from that.
</p>
<p>
Unless you run out of content first, you should have at least 10 pages (in a word processor) of actual content, unless you&rsquo;ve got such a limited topic that you can&rsquo;t write more.
</p>
<p>
This does <strong>not</strong> include contact information, unless that&rsquo;s the purpose of your site.  We&rsquo;ll be looking at contact information in another article.
</p>
<p>
Once you&rsquo;ve got at least 10 pages of content (if not more), you can start looking at layout and design of your Web site.  Again, something for a latter article.
</p>

