+++
title = "What are the futures of those illusions Freud?"
description = "A discussion based upon Sigmund Freud’s work titled The Future of an Illusion."
draft = false
comments = true
date = "2004-09-26T01:01:00-05:00"
modified = "2008-03-21T16:48:50-05:00"
slug = "What-are-the-futures-of-those-illusions-Freud"
blogengine = "9efbbcc1-0c67-4ed6-8e42-cccbaa4f8a87"
categories = ["article", "philosophy"]
tags = []
+++

<div class="note">
<p>
<strong>Notes:</strong> While primarily based upon <em>The Future of an Illusion</em>, <em>Civilization and Its Discontents</em> may have crept into this discussion. Not that this is necessarily a bad thing, seeing as how the latter is a sequel of the former, but if you have not read the latter, some of the ideas here may be new to you.
</p>
</div>
<p>
Sigmund Freud tells us, near the end of the work, that &ldquo;the sole purpose&rdquo; of <em>The Future of an Illusion</em> is point out the necessity of man surmounting infantilism. &ldquo;Men cannot remain children for ever; they must in the end go out into &lsquo;hostile life&rsquo;. We may call this &lsquo;<em>education to reality</em>&rsquo;&rdquo;. [49]
</p>
<p>
Throughout the work, Freud has talked of the future of civilization, as well as its beginning, of its relation to man, and vice versa, of what culture and civilization consist of, of man&rsquo;s place in the universe, of religion and the gods, of illusion and delusion. All of these points, however, are tied up in his &lsquo;sole purpose&rsquo;, and the title of the work.
</p>
<p>
What is the illusion that Freud refers to in his title? What future does he see for it? How does he back it up? Has he dealt with alternative futures? All questions that arise, and all that we must answer.
</p>
<p>
The illusion referred to in Freud&rsquo;s book is, on the one hand, the various religious ideas, but most particularly those &ldquo;taken by our present-day white Christian civilization&rdquo;. [20] That is not to say that what Freud argues for does not refer to, or apply to, every other religion &ndash; indeed he does mention many of them. Rather, his ideas are wide enough to encapsulate them all &ndash; even though some of his specific ideas may be relevant to only this one (such as when he brings up the sacrifice of Jesus Christ). There is, however, another illusion that Freud may here be referring to. This illusion is the one that Freud holds onto, namely that science can provide answers that religion claims rights to, and that man will see this truth and pounce on it, riding it where it takes them.
</p>
<p>
I have already mentioned above what Freud believes the future is for these two illusions. Religion may hold sway for some number of years, but it will not hold forever. Rather, religion will eventually be replaced by scientific thinking &ndash; mysticism will be replaced by rationalism. The process may be slow, very slow indeed, but it will occur. Or so the second illusion, the one Freud holds, states.
</p>
<p>
This illusion shows that Freud is truly a friend of man. He sees man as a cowering child in the eyes of religion, with religion, and its appropriate gods, being the strict father(s). This he cannot stand; he believes that man can overcome the illusions that religion forces upon them, taught at a very early age. It may be that it cannot be, and that it is therefore an illusion that Freud holds, but if man cannot stand on his own feet, relying upon this own rational, than Freud will admit defeat, but will not admit that religion has the true answers. 
</p>
<p>
So religion is to be replaced with science, and all of man will use his powers of thinking to determine what is in the world &ndash; what man&rsquo;s place is in the universe, how man ought to act in relation to others, why man is best to be governed, and how we can determine more about how the world is &ndash; that is the future of the illusions. But how does he back this up?
</p>
<p>
Religion and civilization appear to go hand in hand fairly well. The commandments of certain religions hold that one should not kill and that one should love one&rsquo;s neighbor as one loves oneself. These combine to allow the safety of an individual &ndash; so long as everyone abides by these rules, there will be no strife, no murder, no insincerity. As soon as one of these commandments is broken, it opens the door to possible chaos. How does a society that only loves, and does not kill, deal with someone who does kill, and does not love? If the society kills, than they have, as a whole, broken one of their rules. Yet love does not conquer all in all cases. This can be tried, but after a few more deaths other means will have to be used.
</p>
<p>
So punishment is introduced &ndash; if not in this life, in the next, you will pay for your deeds. If they were good actions, you will be rewarded. If they were bad acts, you will pay forever. Yet if you renounce your acts, and make attempts to do good, you are spared and are allowed to join the majority in peace and tranquility. Religion has its justice after death, while civilization, by way of a call to divine authority, has its justice in life. &lsquo;You have acted against man and will of the gods &ndash; for this you will be punished. If not in this life, than in the next.&rsquo;
</p>
<p>
But civilization, and religion, both place extraordinary demands upon the individual. Natural instincts are suppressed, with the energy transferred to the demands of civilization (through work) and of religion. Certain feelings we have are &lsquo;bad&rsquo;, or &lsquo;sinful&rsquo;, and are to be removed at any cost.
</p>
<p>
But neither can answer why they should be. Why should we belong to civilization? Why should we believe in the gods? While Freud says the following of religion, it holds almost equally for civilization.
</p>
<p>
&ldquo;Firstly, these teachings deserve to be believed because they were already believed by our primal ancestors; secondly, we possess proofs which have been handed down to us from those same primaeval times; and thirdly, it is forbidden to raise the question of their authentication al all.&rdquo; [26]
</p>
<p>
Why, when these are the same people that believed that the world was flat, that the sun revolved under the earth, that man was not an animal, should we believe our ancestors? They have been wrong enough that we ought to question their teachings, and attempt to prove for ourselves that the teachings are true.
</p>
<p>
We could certainly use the proofs to possess this knowledge, but the proofs, especially when it comes to religion, are contradictory. Are we to believe the teachings from the traditions of the Europeans or Asians or Africans or etcetera? Within these groupings, even, which are we to follow? Taoism, Buddhism, Catholicism, Christianity, &hellip;, which is the one that holds the truth? According to the proofs of each, they are each their own best bets, so we cannot fall upon those proofs that state that. Intuition, while sounding good, cannot be relied upon for objective truth, for everyone&rsquo;s intuition does not lead to the same place (and how can we trust each intuition to not have the individual&rsquo;s best feelings in mind &ndash; to not be based upon their previous education).
</p>
<p>
Finally, forbidding the questions is like telling a child to not look in the box, and than to leave the possibility that the child will be able to do so without your knowledge. The child, just like many adults, will look in the box so long as they are sure they will not be caught. The box may explode, putting a white residue or purple goop, on the individual, but, without this knowledge beforehand, they will do what curiosity dictates.
</p>
<p>
Science, on the other hand, lays down rules by which anyone can come to the same conclusion. Whether it is how to redo a previously done experiment, or how to come to logical conclusions, by way of logical system. If people abide by the same rules to do a particular thing, than they will come upon the same results, so science states. Science also dictates that we should seek knowledge out for ourselves &ndash; we should not be content to simply read the writings of others.
</p>
<p>
Has Freud dealt with alternative futures in his work? Freud certainly suggests that religion may hold the sway of the masses for some time to come. However, he still believes that man will eventually use his intellect, or rational, to stand on his own two feet. He believes that ma will &lsquo;grow up&rsquo; and learn to see reality how it really is. Man is not the center of the universe, no gods control his life, it is man who determines what rules exist in man&rsquo;s creation of civilization, and it is man who can develop those rules so that they are just for all of man. As long as man is as man is now, man will seek the truth and will be, at his core, unhappy with anything else.
</p>
<p>
Those are our questions, and those are the probable answers. But, looking back on his work, can we see any steps in Freud&rsquo;s direction? Religion still holds sway, as the recent war between the United States and the Islamic world shows. Man still needs his gods to punish and comfort him. But need it be that way? Freud asks this same question, but comes to no true answer. Even today we can offer up no answer &ndash; it looks grim, however, that man will ever be able to overcome this need for a father.
</p>
<p>
Yet, is this necessarily a bad thing? A true philosopher would question every purposed truth. While science certainly appears to have validity behind it, perhaps religious intuition really is the way to come upon the truth &ndash; perhaps it is that which we ought to abide. Yet moving down this path only causes pain and suffering. If man cannot control his own destiny, but must allow himself to abide by the rules of one who is not of his group &ndash; a being that is not man, and cannot know man (can a god feel the emotions, and be swayed by them the same way a man can?) &ndash; than man will never be able to understand the feelings that he has, and will never be able to truly grow.
</p>
<h3>Sources</h3>
<p>
Sigmund Freud, <em>The Future of an Illusion</em>, W.W. Norton &amp; Company, Inc., New York, 1961.
</p>

