+++
title = "What can the birth places of the United States Presidents tell us?"
description = "A look at the birth places of the last 43 presidents, from 1789 to 2004."
draft = false
comments = true
date = "2005-03-15T00:01:00-06:00"
slug = "What-can-the-birth-places-of-the-United-States-Presidents-tell-us"
blogengine = "d9766c04-0bb9-435a-b466-696aff490f37"
categories = ["article", "political"]
tags = []
+++

<p>
There is an old saying that says something to the effect of &ldquo;if you try hard enough, you can become anything, even president&rdquo; (the President of the United States is usually implied, but the general idea is the ruler of a country/government). I was thinking one day that there must be certain states in which certain individuals have little chance of actually becoming President of the United States, so I undertook to find out what states Presidents have come from, and look at what states Presidents have not come from.
</p>
<!--more-->
<p>
Luckily, a number of sites had the information that was I was looking for. The official White House site, at <a href="http://www.whitehouse.gov/">http://www.whitehouse.gov/</a> has this information, and so too does <a rel="nofollow" href="http://www.mapsofworld.com/us-presidents/us-president-data.html">http://www.mapsofworld.com/us-presidents/us-president-data.html</a>. Luckily, the latter had the listing in an easy to use format (while the former lacked any kind of tabular information), so I was able to secure the information fairly quickly.<!--adsense-->
</p>
<p>
The hard part would be determining which of the 50 states was the most popular, and which the least. This would be difficult because the United States did not start out with 50 states, but instead grew into 50 from the original handfuls. Naturally, those states that became part of the U.S. in the last hundred years - like Hawaii and Alaska - have had a lower chance of turning out a president than those that have always been a part of the U.S. - like Delaware and Pennsylvania.
</p>
<p>
Because of this, it&rsquo;s little surprise that Virginia, one of the original 13 colonies, should have had eight of the forty-three Presidents to come from it. Of course, Hawaii and Alaska are both fairly out of the standard area of the other forty-eight states, so it&rsquo;s little surprise that this should also have an impact upon whether someone from one of these two states should someday become President. In a similar vein, if Cuba were eventually to become the 51st state, it is highly unlikely that a Cuban would become President, due to the distance between the &lsquo;core&rsquo; forty-eight states.
</p>
<p>
That said, below you&rsquo;ll find a couple of tables. In the first table I&rsquo;ve included a listing of states, sorted by the number of Presidents born in that state. In the second table I&rsquo;ve listed those states that have not had a President born in them, and are not neighbours of one of the states from the first table. This second table will show if any particular areas are devoid of &lsquo;Presidential-birth&rsquo;.
</p>
<p>
Since I plan on leaving you with the two, above-mentioned, tables, I&rsquo;ll make my conclusions here.
</p>
<p>
Does someone born in one of the states listed in the second table have little chance of becoming President? If the old saying is true, then anyone, no matter where they are born, has an equal chance as anyone else at becoming President. Of course, what I don&rsquo;t detail here is where Presidents were living before they became President of the United States, something that is not as easy to determine as one would like (for example, George W. Bush was born in Connecticut, although he was living in Texas before becoming President). I bring this point up because birth place is not as important as where an individual ends up living, for, after all, someone could be born in one state, but be moved out of that state a number of months later - at least, that&rsquo;s what I think.
</p>
<p>
Until I can determine whether this last point is true, I can only leave you with the following tables, and the following assessment of the data. It&rsquo;s interesting that the east coast should be fairly complete (in that a good deal of the states on that coast have had at least one President born in that state), but not too surprising when you consider what I said above regarding statehood.
</p>
<p>
It&rsquo;s also interesting that the north-west should be fairly devoid of President&rsquo;s birthplaces, and, if it were not for California, the entire west coast would be this devoid (point for Richard Nixon).
</p>
<p align="center">
<strong>Table 1: States where Presidents were born</strong>
</p>
<table border="0" cellspacing="0" cellpadding="1" summary="Table 1" style="border: 1px solid #000000; width: 100%">
	<tbody>
		<tr>
			<td valign="top">
			<p>
			Virginia
			</p>
			</td>
			<td valign="top">
			<p>
			1 state
			</p>
			</td>
			<td valign="top">
			<p>
			8 Presidents
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			Ohio
			</p>
			</td>
			<td valign="top">
			<p>
			1 state
			</p>
			</td>
			<td valign="top">
			<p>
			7 Presidents
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			Massachusetts, New York
			</p>
			</td>
			<td valign="top">
			<p>
			2 states
			</p>
			</td>
			<td valign="top">
			<p>
			4 Presidents
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			New Jersey, North Carolina, Texas, Vermont
			</p>
			</td>
			<td valign="top">
			<p>
			4 states
			</p>
			</td>
			<td valign="top">
			<p>
			2 Presidents
			</p>
			</td>
		</tr>
		<tr>
			<td valign="top">
			<p>
			Arkansas, California, Connecticut, Georgia, Illinois, Iowa, Kentucky, Missouri, Nebraska, New Hampshire, Pennsylvania, South Carolina
			</p>
			</td>
			<td valign="top">
			<p>
			12 states
			</p>
			</td>
			<td valign="top">
			<p>
			1 President
			</p>
			</td>
		</tr>
		<tr style="border-top: 1px solid #000000">
			<td valign="top">
			<p>
			&nbsp;
			</p>
			</td>
			<td valign="top">
			<p>
			20 states
			</p>
			</td>
			<td valign="top">
			<p>
			43 Presidents
			</p>
			</td>
		</tr>
	</tbody>
</table>
<p align="center">
<strong>Table 2: States that do not share a border with at least one state from Table 1</strong>
</p>
<ul style="list-style-type: none">
	<li>Alaska</li>
	<li>Hawaii</li>
	<li>Idaho</li>
	<li>Montana</li>
	<li>North Dakota</li>
	<li>Utah</li>
	<li>Washington</li>
</ul>

