+++
title = "Why I Don't Have 'Friends'"
description = "A brief article on why I personally don't have friends, with some discussion of what friends may be."
draft = false
comments = true
date = "2005-06-10T00:00:00-05:00"
slug = "Why-I-Dont-Have-Friends"
blogengine = "33ef6bb4-ecfc-4dbe-a3cb-7b3f882428bf"
categories = ["article", "philosophy"]
tags = []
+++

<div class="WPArticleInfo">
<p>
Description: A brief article on why I personally don&#39;t have friends, with some discussion of what friends may be.
</p>
<p>
Created: June 10th 2005
</p>
<p>
Modified: n/a
</p>
<p>
Notes: n/a
</p>
</div>
<!--more-->
<p>
It&#39;s been quite a while since I&#39;ve had someone that I considered a friend. It&#39;s been an even longer amount of time since I&#39;ve had what I consider two or more friends. It&#39;s not that I don&#39;t know people, it&#39;s that I don&#39;t know what a friend really is, and even a fairly lenient definition gives me no one to call a friend.
</p>
<p>
Perhaps one of the greatest reasons I don&#39;t consider anyone a friend is because of the lack of a clear idea of what a friend is. I had searched for the definition a number of years ago, but to no avail. I do, however, have a kind of working definition that I use in daily affairs, until I can find a true, definitive, definition.
</p>
<p>
In the first place, a friend is someone who should be there when you need them. In today&#39;s times, this suggests to me that I should be able to reach them by phone, and should therefore both have their phone number, as well as believe that I can call that phone number. Knowing someone&#39;s phone number and knowing that you can expect to have a conversation with the person at the other end are two different matters.
</p>
<p>
Secondly, a friend should be compassionate. This suggests to me that friends have a kind of bond, although not one that is as strong between two people that love each other. If I&#39;m hurting, I would expect my friend to be hurting as well, and vice versa. It&#39;s a kind of empathy that I would expect. Perhaps it&#39;s the same kind of compassion that one feels towards one&#39;s family. When a person becomes your friend they are like a family member, but even closer, for friends can be chosen while family cannot.
</p>
<p>
Thirdly, friends must be forgiving. Humans are multi-faceted, multi-faced, beings. Behind the fa&ccedil;ade that we put on for the world, there is something which we hide away, letting only a few see what is contained within. A friend knows something of what we cover, and vice versa. Because of this, a friend must be able to see past the fa&ccedil;ade, or lie, that we present to the world. They must be able to see past our individual actions, and look at what has caused them, and what they really are.
</p>
<p>
Because of all of this, friends, to me, are something that are not easy to come by, nor easy to lose. If I attempt to &#39;bond&#39; with an individual, and the individual does not see me in the same light, then we are almost guaranteed failure. No matter how much I or they give, we cannot be the same. Of course, if our definitions of friendship are different, then it&#39;s possible that to one we are friends, yet to another we are not. Friendship may or may not require mutual definitions - I lean towards the latter.
</p>
<p>
Speaking personally, it is because of the loss of people that I considered friends that I have no friends now. Losing a friend is like losing a part of you. You&#39;ve learned to love that person, yet the loss of them has left you without that love, and therefore like a cut worm. You fling about, perplexed, and when you&#39;re through, slowly crawl away.
</p>
<p>
Again speaking personally, it&#39;s difficult to work with someone who doesn&#39;t have your level of friendship in mind. Some people would consider a friend someone who has helped them out once before, while I would consider someone a friend only if I believed, or perhaps knew, that they would help out whenever I asked, even if I had never before asked. Some would also consider someone a friend if they worked with them, and had shared some words, while I would say that we are not friends, but rather co-workers.
</p>
<p>
This suggests to me that one&#39;s outlook on non-friends tells a great deal about one&#39;s outlook on friends. Someone who spends an hour speaking with someone and considers that person a friend, compared to someone that spends an hour speaking with someone and doesn&#39;t consider that person a friend, although they would like to continue their discussion or a new discussion at another time, shows two different people. One who needs more from someone for them to be a friend suggests, to me, that the individual treats people better then someone who needs less.
</p>
<p>
For example, take two people, each of whom listens intently to the other. Perhaps one would call the other a friend because of this, while the other listened intently because its how one should act to everyone.
</p>
<p>
Since this article is meant to be personal, as can be seen from the title, I will continue on with my own thoughts on this subject. Id est, I will continue on with why I personally have no friends.
</p>
<!--adsense-->
<p>
In the first place, people are far too busy these days, from what I can tell. Sitting down and talking is a thing a past, which is quite unfortunate. I long for the days of sitting with a group of people and just talking about whatever, without having people check their voicemail, or answering their phone. After all, it&#39;s a question of what&#39;s important.
</p>
<p>
Secondly, people are shallow. They think of friends as an asset or possession, instead of something that is a commitment. Friends, like plants, require attention. One can certainly dump water into a plant at the same time every day, and put the plant in the window at the same time every day, yet without examining how the plant is reacting, and how it is growing, the plants will do mediocre, or worse. Of course, not all people are like this, but &#39;shallow&#39; doesn&#39;t necessarily mean a foot of water, it can also mean five feet, or even more. &#39;Shallow&#39; therefore, is quite relative, so two people can be shallow, yet to different lengths. I call attention to the previous paragraph.
</p>
<p>
Thirdly, I&#39;m personally sick of losing friends. Devotion takes much, and so too does compassion. Losing a friend should truly be like a knife to chest, or the person was never a friend, or has slowly become a non-friend. This last point suggests that is by gradual passing that one should lose friends, something that I&#39;ve tried my best to do. It&#39;s better to pass away with both knowing that the friendship is lost, then allowing one to believe that it&#39;s still strong.
</p>
<p>
The fourth goes along quite well with the third. If life is striving, and striving has no ultimate end, then life has no ultimate end. An end suggests a stopping point, or a goal. While there can certainly be goals on the way, if there is indeed any ultimate end it is only death. This suggests that life is striving towards death, yet at the same time, by striving it (life) is striving towards life, or continuance. What is death but inactivity, or changelessness? What is life but activity and change? We therefore must question whether anything can truly stay the same, whether friendships can ever last, or if they are merely transitory periods.
</p>
<p>
If they are transitory, and each transition ends with some level of pain, for death is the ultimate end to all, then we appear to be faced with pain when it comes to friends. Yet, at the same time, we are also presented with the potential gift of pleasure, in that we share both the bad and the good with our friends. Or, if not even that, we at least share the neither good nor bad - the mindlessness of active inactivity. Two people sit and stare at the cars passing by, neither speaking, neither thinking of anything in particular. Perhaps it is universals that have captured them, or perhaps they have lost their individuality. Either way, they are actively inactive, taking part in the bliss of the non-self.
</p>
<p>
But pain continually thwarts us. One day you or they will die, or otherwise be lost to the other. The transition can be either quick or drawn out, and either one leaves room for pain or naught. The question is, is there one that should be taken in all cases, or is there a necessity to taste of each depending upon the circumstances? Or, is our belief in the latter simply our own striving life?
</p>

