+++
title = "Bertrand Russell's Problems of Philosophy: Notes and Comments - Chapter XV: The Value of Philosophy"
description = "Notes and comments on Chapter 15 of Bertrand Russell's Problems of Philosophy."
draft = false
comments = true
date = "2005-10-29T00:00:00-05:00"
modified = "2009-12-21T08:02:21-06:00"
slug = "Bertrand-Russells-Problems-of-Philosophy-Notes-and-Comments-Chapter-XV-The-Value-of-Philosophy"
blogengine = "4a2f4d3d-02ab-4481-b261-2f05e00a85b0"
categories = ["article", "philosophy"]
tags = ["bertrand russell"]
+++

<div class="WPArticleInfo">
<p>Description: Notes and comments on Chapter 15 of Bertrand Russell's <em>Problems of Philosophy</em>, sufficiently forming an overview.</p>
<p>Created: December 31 2004<br />Modified: October 29 2005</p>
<p>Notes: Text comes from the source listed below. Highlighting is my own, as well as any indented text. The best way to use this document is to either read a copy reprinted elsewhere and then to read over this, to read the entire (non-indented) text here, with particular note of the highlighted areas, or to read this entire document, from top to bottom. The notes that I supply follow immediately after a paragraph and discuss/clarify the above paragraph. The highlighting is meant to draw attention to particular words, as I feel this is where the most importance lies.</p>
</div>
<!--more-->
<h3><a id="chapter15" title="chapter15" name="chapter15"></a>Chapter XV: The Value of Philosophy</h3>
<p>Having now come to the end of our brief and very incomplete review of the problems of philosophy, it will be well to consider, in conclusion, <span class="highlight1">what is the value of philosophy and why it ought to be studied</span>. It is the more necessary to <span class="highlight1">consider this question, in view of the fact that many men, under the influence of science or of practical affairs, are inclined to doubt whether philosophy is anything better than innocent but useless trifling, hair-splitting distinctions, and controversies on matters concerning which knowledge is impossible</span>.</p>
<p><span class="highlight1">This view of philosophy appears to result</span>, <span class="highlight1">partly from a wrong conception of the ends of life, partly from a wrong conception of the kind of goods which philosophy strives to achieve</span>. Physical science, through the medium of inventions, is useful to innumerable people who are wholly ignorant of it; thus the study of physical science is to be recommended, not only, or primarily, because of the effect on the student, but rather because of the effect on mankind in general. Thus utility does not belong to philosophy. <span class="highlight1">If the study of philosophy has any value at all for others than students of philosophy, it must be only indirectly, through its effects upon the lives of those who study it.</span> It is in these effects, therefore, if anywhere, that the value of philosophy must be primarily sought.</p>
<p>But further, <span class="highlight1">if we are not to fail in our endeavour to determine the value of philosophy, we must first free our minds from the prejudices of what are wrongly called 'practical' men. The 'practical' man, as this word is often used, is one who recognizes only material needs, who realizes that men must have food for the body, but is oblivious of the necessity of providing food for the mind.</span> <span class="highlight1">If all men were well off, if poverty and disease had been reduced to their lowest possible point, there would still remain much to be done to produce a valuable society; and even in the existing world the goods of the mind are at least as important as the goods of the body. It is exclusively among the goods of the mind that the value of philosophy is to be found; and only those who are not indifferent to these goods can be persuaded that the study of philosophy is not a waste of time</span>.</p>
<blockquote>If we only think in terms of what knowledge will do for us (as an individual or as a species), we will be unable to find any value to philosophy. It is only those who believe that man needs a healthy mind as well as a healthy body, in order to survive.</blockquote>
<!--adsense-->
<p><span class="highlight1">Philosophy, like all other studies, aims primarily at knowledge. The knowledge it aims at is the kind of knowledge which gives unity and system to the body of the sciences, and the kind which results from a critical examination of the grounds of our convictions, prejudices, and beliefs.</span> But it cannot be maintained that philosophy has had any very great measure of success in its attempts to provide definite answers to its questions. If you ask a mathematician, a mineralogist, a historian, or any other man of learning, what definite body of truths has been ascertained by his science, his answer will last as long as you are willing to listen. But if you put the same question to a <span class="highlight1">philosopher, he will, if he is candid, have to confess that his study has not achieved positive results such as have been achieved by other sciences.</span> It is true that this is partly accounted for by the fact that, <span class="highlight1">as soon as definite knowledge concerning any subject becomes possible, this subject ceases to be called philosophy, and becomes a separate science.</span> The whole study of the heavens, which now belongs to astronomy, was once included in philosophy; Newton's great work was called 'the mathematical principles of natural philosophy'. Similarly, the study of the human mind, which was a part of philosophy, has now been separated from philosophy and has become the science of psychology. Thus, to a great extent, the uncertainty of philosophy is more apparent than real: <span class="highlight1">those questions which are already capable of definite answers are placed in the sciences, while those only to which, at present, no definite answer can be given, remain to form the residue which is called philosophy</span>.</p>
<blockquote>Philosophy asks questions about things that are unknown. When some definite knowledge is determined about these things, the things are moved out of philosophy and into the realm of a particular area of study.</blockquote>
<p>This is, however, only a part of the truth concerning the uncertainty of philosophy. There are many questions -- and among them those that are of the profoundest interest to our spiritual life -- which, so far as we can see, must remain insoluble to the human intellect unless its powers become of quite a different order from what they are now. <span class="highlight1">Has the universe any unity of plan or purpose, or is it a fortuitous concourse of atoms? Is consciousness a permanent part of the universe, giving hope of indefinite growth in wisdom, or is it a transitory accident on a small planet on which life must ultimately become impossible? Are good and evil of importance to the universe or only to man?</span> Such questions are asked by philosophy, and variously answered by various philosophers. But it would seem that, <span class="highlight1">whether answers be otherwise discoverable or not, the answers suggested by philosophy are none of them demonstrably true. Yet, however slight may be the hope of discovering an answer, it is part of the business of philosophy to continue the consideration of such questions, to make us aware of their importance, to examine all the approaches to them, and to keep alive that speculative interest in the universe which is apt to be killed by confining ourselves to definitely ascertainable knowledge</span>.</p>
<blockquote>Only by continuing to ask the questions that we cannot answer, can we keep them in our minds, allowing them to continue to be discussed, preventing them from being lost, and hopefully leading to answers that can be definitive.</blockquote>
<p>Many philosophers, it is true, have held that philosophy could establish the truth of certain answers to such fundamental questions. They have supposed that what is of most importance in religious beliefs could be proved by strict demonstration to be true. In order to judge of such attempts, it is necessary to take a survey of human knowledge, and to form an opinion as to its methods and its limitations. On such a subject it would be unwise to pronounce dogmatically; but <span class="highlight1">if the investigations of our previous chapters have not led us astray, we shall be compelled to renounce the hope of finding philosophical proofs of religious beliefs</span>. We cannot, therefore, include as part of the value of philosophy any definite set of answers to such questions. <span class="highlight1">Hence, once more, the value of philosophy must not depend upon any supposed body of definitely ascertainable knowledge to be acquired by those who study it</span>.</p>
<p><span class="highlight1">The value of philosophy is, in fact, to be sought largely in its very uncertainty</span>. <span class="highlight1">The man who has no tincture of philosophy goes through life imprisoned in the prejudices derived from common sense, from the habitual beliefs of his age or his nation, and from convictions which have grown up in his mind without the co-operation or consent of his deliberate reason. To such a man the world tends to become definite, finite, obvious; common objects rouse no questions, and unfamiliar possibilities are contemptuously rejected.</span> <span class="highlight1">As soon as we begin to philosophize, on the contrary, we find, as we saw in our opening chapters, that even the most everyday things lead to problems to which only very incomplete answers can be given. Philosophy, though unable to tell us with certainty what is the true answer to the doubts which it raises, is able to suggest many possibilities which enlarge our thoughts and free them from the tyranny of custom.</span> Thus, <span class="highlight1">while diminishing our feeling of certainty as to what things are, it greatly increases our knowledge as to what they may be; it removes the somewhat arrogant dogmatism of those who have never travelled into the region of liberating doubt, and it keeps alive our sense of wonder by showing familiar things in an unfamiliar aspect</span>.</p>
<blockquote>Philosophy opens the world to us, giving us a way to look at things in a new light. Before philosophy looked at the sky and thought about what the lights were that we would see at night, man simply looked at the sky with conjectures. However, since philosophy tackled this issue, we now have definitive answers of the night sky - the stars, moon(s), and planets - through the field of astronomy.</blockquote>
<p>Apart from its utility in showing unsuspected possibilities, <span class="highlight1">philosophy has a value -- perhaps its chief value -- through the greatness of the objects which it contemplates, and the freedom from narrow and personal aims resulting from this contemplation</span>. <span class="highlight1">The life of the instinctive man is shut up within the circle of his private interests: family and friends may be included, but the outer world is not regarded except as it may help or hinder what comes within the circle of instinctive wishes</span>. In such a life there is something feverish and confined, in comparison with which the philosophic life is calm and free. The private world of instinctive interests is a small one, set in the midst of a great and powerful world which must, sooner or later, lay our private world in ruins. <span class="highlight1">Unless we can so enlarge our interests as to include the whole outer world, we remain like a garrison in a beleagured fortress, knowing that the enemy prevents escape and that ultimate surrender is inevitable. In such a life there is no peace, but a constant strife between the insistence of desire and the powerlessness of will.</span> In one way or another, if our life is to be great and free, we must escape this prison and this strife.</p>
<p>One way of escape is by philosophic contemplation. <span class="highlight1">Philosophic contemplation does not, in its widest survey, divide the universe into two hostile camps -- friends and foes, helpful and hostile, good and bad -- it views the whole impartially.</span> Philosophic contemplation, when it is unalloyed, does not aim at proving that the rest of the universe is akin to man. <span class="highlight1">All acquisition of knowledge is an enlargement of the Self, but this enlargement is best attained when it is not directly sought. It is obtained when the desire for knowledge is alone operative, by a study which does not wish in advance that its objects should have this or that character, but adapts the Self to the characters which it finds in its objects.</span> This enlargement of Self is not obtained when, taking the Self as it is, we try to show that the world is so similar to this Self that knowledge of it is possible without any admission of what seems alien. The desire to prove this is a form of self-assertion and, like all self-assertion, it is an obstacle to the growth of Self which it desires, and of which the Self knows that it is capable. <span class="highlight1">Self-assertion, in philosophic speculation as elsewhere, views the world as a means to its own ends; thus it makes the world of less account than Self, and the Self sets bounds to the greatness of its goods. In contemplation, on the contrary, we start from the not-Self, and through its greatness the boundaries of Self are enlarged; through the infinity of the universe the mind which contemplates it achieves some share in infinity</span>.</p>
<blockquote>All of the talk about the 'Self' here simply means this: as human beings who can sense, make decisions, and learn from experience, we naturally begin to make judgements about things. However, philosophy asks us to question what we have come to believe about things, and when we question, philosophy asks us to 'forget' who we are and what we have experienced. If we allow our beliefs to bind us to certain ways of thinking about things, then we have the potentially to miss out on the truth.</blockquote>
<p>We must place aside our beliefs - our belief in a God or Gods, our belief in what justice is, what goodness is, what evil is, what the laws are, etcetera - if we want to truly do philosophy.</p>
<p>For this reason <span class="highlight1">greatness of soul is not fostered by those philosophies which assimilate the universe to Man.</span> Knowledge is a form of union of Self and not-Self; like all union, it is impaired by dominion, and therefore by any attempt to force the universe into conformity with what we find in ourselves. <span class="highlight1">There is a widespread philosophical tendency towards the view which tells us that Man is the measure of all things, that truth is man-made, that space and time and the world of universals are properties of the mind, and that, if there be anything not created by the mind, it is unknowable and of no account for us. This view, if our previous discussions were correct, is untrue; but in addition to being untrue, it has the effect of robbing philosophic contemplation of all that gives it value, since it fetters contemplation to Self.</span> <span class="highlight1">What it calls knowledge is not a union with the not-Self, but a set of prejudices, habits, and desires, making an impenetrable veil between us and the world beyond. The man who finds pleasure in such a theory of knowledge is like the man who never leaves the domestic circle for fear his word might not be law</span>.</p>
<blockquote>One of the beliefs that we must place aside is the belief that man is the measure of all things - that it is man by which all things should be judged. If we limit ourselves to thinking of things in terms of man, we will be unable to deal with the things that are so much larger than man, and the things that truly have no interest in man.</blockquote>
<p>The true philosophic contemplation, on the contrary, finds its satisfaction in every enlargement of the not-Self, in everything that magnifies the objects contemplated, and thereby the subject contemplating. <span class="highlight1">Everything, in contemplation, that is personal or private, everything that depends upon habit, self-interest, or desire, distorts the object, and hence impairs the union which the intellect seeks</span>. By thus making a barrier between subject and object, such personal and private things become a prison to the intellect. <span class="highlight1">The free intellect will see as God might see, without a here and now, without hopes and fears, without the trammels of customary beliefs and traditional prejudices, calmly, dispassionately, in the sole and exclusive desire of knowledge</span> -- knowledge as impersonal, as purely contemplative, as it is possible for man to attain. Hence also <span class="highlight1">the free intellect will value more the abstract and universal knowledge into which the accidents of private history do not enter, than the knowledge brought by the senses, and dependent, as such knowledge must be, upon an exclusive and personal point of view and a body whose sense-organs distort as much as they reveal</span>.</p>
<blockquote>Habit allows us to walk down a street or a hall, or drive down the street, and not see anything at all. Contemplating the walk or drive after it has occurred leaves us with very little to contemplate even though we have walked or driven. Philosophy opens our eyes to this simple act, and asks us to be aware.</blockquote>
<p>Yet, habit also tells us that there is a past, a now, and a future. But philosophy also asks us to place these labels aside. If we think about the present, than we will think about the past - what we have done before and how we have thought of things before - as well as the future - how thinking this, and, if this were made to be true, how this would effect our own way of living (particularly when we think about society and policy).</p>
<p><span class="highlight1">The mind which has become accustomed to the freedom and impartiality of philosophic contemplation</span> will preserve something of the same freedom and impartiality in the world of action and emotion. It <span class="highlight1">will view its purposes and desires as parts of the whole, with the absence of insistence that results from seeing them as infinitesimal fragments in a world of which all the rest is unaffected by any one man's deeds</span>. The impartiality which, in contemplation, is the unalloyed desire for truth, is the very same quality of mind which, in action, is justice, and in emotion is that universal love which can be given to all, and not only to those who are judged useful or admirable. <span class="highlight1">Thus contemplation enlarges not only the objects of our thoughts, but also the objects of our actions and our affections: it makes us citizens of the universe, not only of one walled city at war with all the rest</span>. In this citizenship of the universe consists man's true freedom, and his liberation from the thraldom of narrow hopes and fears.</p>
<blockquote>Philosophy asks us not to think solely about how something will effect us, but how it will effect those other than us - how it will effect the world at large. For example, we may think that we would like to be able to do anything we want. But would we want everyone to be able to do anything that they would want? And, would we really like to be able to do anything we want? Would the ability to do anything remove some level of importance to the things that we do do? Would we want to be able to live forever if we could?</blockquote>
<p>Thus, to sum up our discussion of the value of philosophy; <span class="highlight1">Philosophy is to be studied, not for the sake of any definite answers to its questions since no definite answers can, as a rule, be known to be true, but rather for the sake of the questions themselves; because these questions enlarge our conception of what is possible, enrich our intellectual imagination and diminish the dogmatic assurance which closes the mind against speculation; but above all because, through the greatness of the universe which philosophy contemplates, the mind also is rendered great, and becomes capable of that union with the universe which constitutes its highest good</span>.</p>
<hr />
<h3>Source:</h3>
<p>Bertrand Russell, Problems of Philosophy, http://www.ditext.com/russell/rus15.html (Accessed December 31 2004)</p>
