+++
title = "Epistemology: Paper on Husserl and Logical Investigations"
description = "Paper regarding Edmund Husserl's Logical Investigations and the theory of impossible objects."
draft = false
comments = true
date = "2003-04-27T01:01:00-05:00"
modified = "2010-02-14T12:59:23-06:00"
slug = "Epistemology-Paper-on-Husserl-and-Logical-Investigations"
blogengine = "d63bdebf-5e81-4070-8ee5-ae4af1a29c58"
categories = ["article", "philosophy"]
tags = ["Edmund Husserl"]
+++

<p>In this paper, I will be trying to discuss Edmund Husserl&rsquo;s theory of impossible objects and meanings in the <em>Logical Investigations</em>.&nbsp; His theories of experience, knowledge, truth, and fact, will also be discussed in an attempt to determine their relation to these impossible things.&nbsp; By looking at the <em>Logical Investigations</em> Investigation by Investigation, I hope to see where he speaks of his ideas of experience, knowledge, truth and fact.&nbsp; After looking at these ideas, I should be able to end by speaking of impossible things.</p>
<p>The first mention that we get of knowledge is in the Prolegomena, where he is talking about logic, and how it can be the foundation for the sciences.&nbsp; &ldquo;Science is concerned, as its name indicates, with knowing &hellip; it represents a set of external arrangements, which, just as they arose out of the knowledge-acts of many individuals, can again pass over into just such acts of countless individuals, in a readily understandable manner&rdquo; (Husserl, Vol. 1, 16-7).&nbsp; Logic, therefore, would be the way that we come upon, and find, or list, these external arrangements.</p>
<p>Husserl clarifies what knowledge is when he states that &ldquo;in the narrowest, strictest sense, it requires to be evident, to have the luminous certainty that what we have acknowledged <em>is</em>, that what we have rejected <em>is not</em>, a certainty distinguished in familiar fashion from blind belief, from vague opining, however firm and decided&rdquo; (Husserl, Vol. 1, 17).&nbsp; To distinguish it from blind belief, &ldquo;we need grounded validations in order to pass beyond what, in knowledge, is immediately and therefore trivially evident&rdquo; (Husserl, Vol. 1, 19).&nbsp; In other words, we need a set of rules, a logic, to guide us.&nbsp; Following these rules of logic, we will eventually come to the truth.&nbsp; Truths then come from knowledge.</p>
<p>While there are other things of importance in the Prolegomena, near the end, he sets up what he will be discussing in the actual investigations.&nbsp; &ldquo;Since the essential aim of scientific knowledge can only be achieved through theory, in the strict sense of the nomological sciences, we replace our question by a question as to the <em>conditions of the possibility of theory in general</em>.&nbsp; A theory as such consists of truths, and its form of connection is a deductive one.&rdquo;&nbsp; (Husserl, Vol. 1, 149)&nbsp; In other words, logic should be able to come up with those necessary laws, or truths, that will apply to theories in general.</p>
<p>A little later, Husserl goes on to state the three tasks of pure logic.&nbsp; The first such task is to &ldquo;lay down the more important concepts, in particular all the <em>primitive</em> concepts which &lsquo;make possible&rsquo; the interconnected web of knowledge as seen objectively, and particularly the web of theory&rdquo; (Husserl, Vol. 1, 153).&nbsp; Objects and their meaning will then be discussed, and this then will become the foundation that will be used to build upon.</p>
<p>The second task is then to look at the laws that are built up from the first task.&nbsp; &ldquo;On the one hand, the truth or falsity of <em>meanings</em> as such, purely on the basis of their categorial formal structure, on the other hand (in relation to their <em>objective</em> correlates), the being and not being of objects as such, of states of affairs as such, again on the basis of their pure, categorial form.&rdquo;&nbsp; (Husserl, Vol. 1, 154)</p>
<p>The third task will be to come up with a theory of manifolds.&nbsp; That is, to create &ldquo;a science which definitely works out the form of the essential types of possible theories or fields of theory, and investigates their legal relations with one another&rdquo; (Husserl, Vol. 1, 157).&nbsp; Those investigations that come after this Prolegomena will deal with those first and second tasks, so that those who attempt the third task will have some foundation to work with.</p>
<p>In the Introduction before Investigation I, Husserl once again notes what it is that will be discussed in the following investigations.&nbsp; &ldquo;The pure phenomenology of the experiences of thinking and knowing &hellip; has, as its exclusive concern, experiences intuitively seizable and analyzable in the pure generality of their essence&rdquo; (Husserl, Vol. 1, 165).&nbsp; Here then he states that we will not deal with the specifics of the experiences, but rather with the &lsquo;essence&rsquo; that which is common.&nbsp; He will not be dealing with that which is at first &lsquo;visible&rsquo;, but rather with that which comes about after analysis; an attempt to find their foundation.</p>
<p>With the introduction out of the way, Husserl can begin the first task.&nbsp; &lsquo;Expression&rsquo; and &lsquo;sign&rsquo; are first looked at, and proven to be not equivalent.&nbsp; &ldquo;Every sign is a sign for something, but not every sign has &lsquo;meaning&rsquo;, a &lsquo;sense&rsquo; that the sign &lsquo;expresses&rsquo;.&rdquo;&nbsp; (Husserl, Vol. 1, 183)</p>
<p>Husserl next looks at &lsquo;demonstration&rsquo; as having two meanings; &lsquo;indication&rsquo; and &lsquo;proof&rsquo;.&nbsp; Demonstration in the sense of &lsquo;proof&rsquo;, means to show that something is true.&nbsp; For example, the premises demonstrate the conclusion in a logical proof.&nbsp; On the other hand, something is demonstrated in the sense of &lsquo;indication&rsquo; when past demonstrations have proven something to be true, and we therefore rely on that previous knowledge.&nbsp; In Husserl&rsquo;s words: &ldquo;in such situations, where certain states of affairs readily serve to indicate others which are, in themselves, their consequences, they do not function in thought as logical grounds of the latter, but work through connections which previous actual demonstration, or blind learning from authority, has established among our convictions, whether as actual mental states or as dispositions for such&rdquo; (Husserl, Vol. 1, 185).&nbsp; Belief in what was proven before serves as the basis of indication in such a case.</p>
<p>Husserl would next like to separate indicative signs from meaningful signs, the latter of which he calls expressions.&nbsp; Indicative signs are relative to those who in interpret them, as such, their meaning can change, and hence the expression meant can be lost.&nbsp; All talk then of expressions in the <em>Logical Investigations</em>, will deal with meaningful signs.</p>
<p>In section nine, Husserl discusses acts, meanings, and fulfillment.&nbsp; &ldquo;<em>A name</em>, e.g., names its object whatever the circumstances, in so far as it <em>means</em> that object.&nbsp; But if the object is not intuitively before one, and so not before one as a named or meant object, mere meaning is all there is to it.&nbsp; If the originally <em>empty</em> meaning-intention is now fulfilled, the relation to an object is realized, the naming becomes an actual, conscious relation between name and object named.&rdquo;&nbsp; (Husserl, Vol. 1, 192)&nbsp; I see this as the following; if someone refers to something, but you at first have no idea what it is that they are referring to, then there is a meaning, but it means the object that you do not know of.&nbsp; &ldquo;Each expression not merely says something, but says it <em>of</em> something: it not only has a meaning, but refers to certain <em>objects</em>.&rdquo;&nbsp; (Husserl, Vol. 1, 197)</p>
<p>Husserl seems to believe that the &lsquo;something&rsquo; of above (the latter) is intuited; &ldquo;in order to be quite clear as to the sense of an expression (or as to the content of a concept) one must construct a corresponding intuition: in this intuition one sees what the expression &lsquo;really means&rsquo;&rdquo; (Husserl, Vol. 1, 211).</p>
<p>Later we see mention of essences in a context in which we are better able to get a grasp on what he means.&nbsp; &ldquo;The knowledge meant is one whose self-evidence calls only for pure representation of the &lsquo;conceptual essences&rsquo;, in which the general word-meanings find their perfect fulfillments: all question as to the existence of objects corresponding to such concepts, or falling under such conceptual essences, is ruled out.&nbsp; &hellip;&nbsp; Conceptual essences are rather the fulfilling sense which is &lsquo;given&rsquo; when the word-meanings (i.e. the meaning-intentions of the words) terminate in corresponding, directly intuitive presentations, and in certain cogitative elaborations and formations of the same.&rdquo;&nbsp; (Husserl, Vol. 1, 212)&nbsp; That is, it is possible for an intention of a species to be fulfilled by intuition of the species, and without any real, experienced, object.</p>
<p>Next, Husserl notes the difference between &ldquo;<em>essentially subjective and occasional</em> expressions, on the one hand, and <em>objective</em> expressions, on the other&rdquo; (Husserl, Vol. 1, 218).&nbsp; By subjective, or occasional, expressions, he means expressions that have meanings that are functions of the occasion of utterance.&nbsp; By objective expressions, he means expressions that have the same meaning regardless of the occasion of their utterance.&nbsp; Any expression with an &ldquo;I&rdquo;, or time and place, would be an example of a subjective expression, while mathematical expressions would be an example of an objective expression.</p>
<p>&lsquo;States of affairs&rsquo; deals directly with these concepts.&nbsp; &ldquo;Where the sciences unfold systematic theories &hellip; there is absolutely no talk of judgements, ideas and other mental acts.&nbsp; The objective researcher or course <em>clarifies</em> his expressions &hellip; but he only points thereby to the <em>objective meaning</em> of his expressions, he indicates what &lsquo;contents&rsquo; he has in mind, which play their part as constitutive moments in the truths of his field.&nbsp; He is not interested in understanding, but in the concepts, which are for him ideal unities of meaning, and also in the truths, which themselves are made up out of such concepts.&rdquo;&nbsp; (Husserl, Vol. 1, 225)</p>
<p>Someone who wishes to speak of the true &lsquo;state of affairs&rsquo; in a specific context, should not speak subjectively, from their own perspective, but rather try to be as objective as possible.&nbsp; Looking at things objectively, and not trying to bring in one&rsquo;s own ideas, or judgements, will allow one meaning that all researchers can share, as opposed to a subjective meaning from each researcher.&nbsp; As is stated still later, &ldquo;&lsquo;Use words with an absolutely selfsame meaning: exclude all meaning-variations.&nbsp; Distinguish meanings and keep them distinct in declarative thought, and employ sharply distinct sensible signs.&rsquo;&rdquo;&nbsp; (Husserl, Vol. 1, 231)</p>
<p>Investigation II gives us better understanding of what he means by species, as well as moments, which was briefly mentioned before.&nbsp; &ldquo;The relation between the meaning and the significant expression (or its &lsquo;meaning-tincture&rsquo;) is the same as the relation, e.g., between the Species Red and a red object of intuitive experience (or the &lsquo;moment&rsquo; of red which appears in this object).&nbsp; When we mean red <em>in specie</em>, a red object appears before us, and in this sense we look towards the red object to which we are nevertheless not referring.&nbsp; The moment of red is at the same time emphasized in this object, and to that extent we can again say that we are looking towards this moment of red.&nbsp; But we are not referring to this individually definite trait in the object, as we are referring to it when, e.g., we make the phenomenological observation that the moments of red in the separate portions of the apparent object&rsquo;s surface are themselves separate.&nbsp; While the red object and its emphasized moment of red appear before us, we are rather &lsquo;meaning&rsquo; the single identical Red, and are meaning it in a novel conscious <em>manner</em>, thought which precisely the Species, and not the individual becomes our object.&rdquo;&nbsp; (Husserl, Vol. 1, 237)</p>
<p>Investigation II also gives us a look at what it is that we mean when we talk of reality.&nbsp; It is the particulars that are real, and not the universals.&nbsp; &ldquo;We may simply define &lsquo;reality&rsquo; in terms of temporality.&nbsp; For the only point of importance is to oppose it to the timeless &lsquo;being&rsquo; of the ideal.&rdquo;&nbsp; (Husserl, Vol. 1, 249)&nbsp; Therefore, he seems to say that the cat, sitting on the mat, is really real, while the idea of &lsquo;cat&rsquo;, or the ideal &lsquo;cat&rsquo;, is not.</p>
<p>Moving onto Investigation III, here he talks of wholes and parts, as well as independence and dependence.&nbsp; Objects, according to Husserl, can either be parts, or they are parts &ndash; &ldquo;Every object is either actually or possibly a part.&rdquo;&nbsp; (Husserl, Vol. 2, 4)&nbsp; Wholes, for example, have parts, but they can also be a part of something else.&nbsp; For another example, A can be a part of B (which is composed of A, C, E, G, I) and B could be a part of L (which is composed of B, D, F, H, J).&nbsp; Therefore, in relation to A, B is a whole, while in relation to L, B is a part.&nbsp; Also, parts are either dependent, or independent.</p>
<p>For example, my head is a part of my whole body.&nbsp; One can have the idea of my head, hold my head&rsquo;s image in their mind, without the idea of my whole body.&nbsp; Therefore, my head is independent of my whole body.&nbsp; However, the colour of an object is dependent upon the object.&nbsp; While one could have the idea of my head without the context of my whole body, it is impossible to think of the colour of my skin, eyes, or hair, without something that is that colour.&nbsp; In order to see colour, we must have extension.&nbsp; Therefore, one might say that colour is founded on, or dependent on, extension.&nbsp; &ldquo;A part <em>as such</em> cannot exist at all without a whole whose part it is.&nbsp; On the other hand we say, with an eye to <em>independent</em> parts: A part often <em>can</em> exist without a whole whose part it is.&rdquo;&nbsp; (Husserl, Vol. 2, 20)&nbsp; The second chapter of this Investigation gives specific rules that dependent parts of wholes follow.</p>
<p>Investigation IV uses this discussion of parts and wholes to speak of simple and complex meanings.&nbsp; If we read the expression &lsquo;a man of iron&rsquo;, there are parts of this expression &ndash; man and iron &ndash; that have meanings, which, when taken together, give the expression meaning.&nbsp; Therefore, the expression &lsquo;a man of iron&rsquo; expresses, or means, &lsquo;a human being who is as strong as a bar of iron&rsquo;, for example.</p>
<p>However, as most people realize, meanings can only be combined in a certain order.&nbsp; That is, there are <em>a priori</em> laws that direct how words can be combined in an expression.&nbsp; &ldquo;The expression &lsquo;This tree is green&rsquo; has unified meaning.&nbsp; If we formalize this meaning &hellip; we obtain &lsquo;This S is P&rsquo;, an ideal form whose range of values consist solely of independent (propositional) meanings.&rdquo;&nbsp; (Husserl, Vol. 2, 62)&nbsp; We could not switch the words around and get &lsquo;This green is tree&rsquo;, without a loss of the unified meaning.</p>
<p>Therefore, while we can substitute &lsquo;ball&rsquo;, &lsquo;sign&rsquo;, &lsquo;hat&rsquo;, etc. for S, we could not substitute something like &lsquo;gold&rsquo;, &lsquo;red&rsquo;, etc. for S.&nbsp; By inserting a word, or words, that are not in the same category as the original word, we have only a &lsquo;word-series&rsquo;, an expression which expresses no meaning because it does not follow the <em>a priori</em> laws, and is therefore nonsense.&nbsp; This is different then an absurd expression.&nbsp; An absurd statement &ndash; such as &lsquo;a round square&rsquo; &ndash; has meaning, but it means an impossible object.&nbsp; That is, one can never have a round square, even though it is grammatically correct.</p>
<p>One final example, following the structure &lsquo;This S is P&rsquo; &ndash; for instance &lsquo;This tree is green&rsquo;.&nbsp; An expression such as &lsquo;This red dog is blue&rsquo; would be an expression of nonsense, while &lsquo;This square is round&rsquo; would be an expression of absurdity.&nbsp; Husserl asks the reader to keep these two concepts separate, as they do not belong together.</p>
<p>Husserl claims that there are laws that should be used in order to prevent nonsense from occurring in a valid expression.&nbsp; Absurdity, however, is slightly difficult, but there still must be ways of preventing such expressions from occurring.&nbsp; This then is his idea of our modern logical rules, which, if the starting expressions are valid and true, then we can be guaranteed that the expressions that follow are valid and true.</p>
<p>Investigation V discusses experience, and the part that it plays in all this.&nbsp; &ldquo;Experiences of meaning are classifiable as &lsquo;acts&rsquo;, and the meaningful element in each such single act must be sought in the act-experience, and not in its object; it must lie in that element which makes the act an &lsquo;intentional&rsquo; experience, one &lsquo;directed&rsquo; to objects.&rdquo;&nbsp; (Husserl, Vol. 2, 79)&nbsp; Husserl later states that, &ldquo;The experienced content, generally speaking, is not the perceived object.&rdquo;&nbsp; (Husserl, Vol. 2, 104)</p>
<p>By this, he seems to mean that it is the senses that we experience.&nbsp; &ldquo;<em>Sensations</em>, and the acts &lsquo;interpreting&rsquo; them or apperceiving them, are alike experienced, <em>but they do not appear as objects</em>: they are not seen, heard or <em>perceived</em> by any sense.&nbsp; <em>Objects</em> on the other hand, appear and are perceived, but they are not <em>experienced</em>.&rdquo;&nbsp; (Husserl, Vol. 2, 105)</p>
<p>This, together with his discussion of intention, seems to point to the following ideas.&nbsp; When one looks at a cat, which is sitting on a mat, then they have an experience of the cat on the mat.&nbsp; In this case, there is an ego (which is what Husserl calls the perceiver) as well as objects that are perceived.&nbsp; &ldquo;The ego is intentionally directed to some object&rdquo; (Husserl, Vol. 2, 101), in this case the cat, which is on the mat.&nbsp; Therefore, Husserl says that we are &lsquo;intending&rsquo; the cat on the mat, in that we are &ldquo;specially noticing, or attending to something.&rdquo;&nbsp; (Husserl, Vol. 2, 101)&nbsp; Husserl also clarifies that acts are mental in nature, not as is commonly held, activities, and &ldquo;is either a presentation or is founded upon presentations&rdquo; (Husserl, Vol. 2, 80).&nbsp; He also states that an &lsquo;intentional experience&rsquo; is any &ldquo;concrete experience that &lsquo;refers&rsquo; intentionally to an object&rdquo; (Husserl, Vol. 2, 144)</p>
<p>&lsquo;States of affairs&rsquo; are also discussed in this investigation.&nbsp; States of affairs is that which we direct our intention to, or, in other words, that which we perceive.&nbsp; It is this state of affairs then, which we then make a judgement about.&nbsp; Therefore, for example, the cat on the mat would be the state of affairs of reality, which we then perceive, and then make a judgement about, such as &lsquo;that cat is indeed on the mat&rsquo;.&nbsp; The state of affairs is the matter that we make a judgement about.&nbsp; As Husserl stated earlier, it is necessary to keep our eye on</p>
<p>Moving onto Investigation VI, Husserl points out that all the material that has been discussed has barely touched upon the task of giving an explanation of knowledge.&nbsp; Expressions and meaning, leading up to knowledge, will be the topics, the goals, of this final Investigation.</p>
<p>&ldquo;Undeniably and importantly, the meaning of expressions must lie in the intentional essence of the relevant acts&rdquo; (Husserl, Vol. 2, 184).&nbsp; That is, Husserl states that while we start with meaning-intention and we work our way up to meaning-fulfillment or from a &lsquo;concept&rsquo; to a &lsquo;corresponding intuition&rsquo;.</p>
<p>Meaning-fulfillment is what we seek to achieve in order to obtain true knowledge of reality.&nbsp; For example, if my friend looks out his window and says &lsquo;There is a dog running around in my field&rsquo;, then I have an idea of what he means.&nbsp; Perhaps I imagine what his field looks like, from seeing it before, and have a mental picture of a dog, also from experience, and place the two together.&nbsp; However, there are various things that can occur that will prevent my meaning from being fulfilled.&nbsp; For example, it could not be a dog that is in the field, but rather a cat, that due to the distance, my friend mistakenly took to be a dog.&nbsp; This is what Husserl calls conflict, or frustration, as the meaning cannot be fulfilled and speak of the true state of affairs.</p>
<p>Now, in this example, what he says has a meaning for me.&nbsp; However, if he had said something such as &lsquo;There is a wolk in my new rafledum&rsquo;, then I would only understand that something was in his new something.&nbsp; If he explains to me that a wolk is a type of insect, and a rafledum is a type of flower, then I would have a better understanding of his statement.&nbsp; Here is where Husserl distinguishes between the intuitive contents of a presentation and the signitive contents.&nbsp; The intuitive contents are those things that are, or become, apparent.&nbsp; On the other hand, the signitive contents are those things that do not become apparent.</p>
<p>Therefore, a purely intuitive presentation would be one with the dog, in which all of the contents of the presentation, or statement, have readily apparent meaning.&nbsp; A purely signitive presentation, on the other hand, would be one in which there was nothing in the statement which was apparent.&nbsp; Therefore, a purely signitive presentation, or if any signitive contents were in a presentation, then the meaning could not be fulfilled.&nbsp; Husserl also makes a distinction that purely signitive intentions are empty in that they do not contain meaning and therefore cannot be fulfilled, while intuitive intentions are fulfilling in that they can be fulfilled and contain meaning within them.</p>
<p>To go back to our previous, intuitive, example, it is also possible that what my friend saw was a dog, and in fact was a germen shepherd.&nbsp; However, when I imagined the scene, I saw a poodle.&nbsp; It is only by my looking at the scene, or by my friend thoroughly explaining the scene, that my friends meaning could be completely fulfilled.&nbsp; This is clarified later when he states that &ldquo;If then, in each pure intuition we take <em>Pp</em> and <em>Ip</em> to be the weights of its <em>purely</em> perceptual and <em>purely</em> imaginative components, we can write down the symbolic equation &lsquo;<em>Pp</em> + <em>Ip</em> = 1&rsquo; where 1 symbolizes the weight of the total intuitive content of the pure intuition, and thus the total content of its object.&nbsp; If <em>Ip</em> = 0, i.e. if the pure intuition is free from all imaginal content, it should be called a <em>pure perception</em>&hellip;&nbsp; But if <em>Pp</em> = 0, the intuition is called <em>pure imagination</em>.&rdquo;&nbsp; (Husserl, Vol. 2, 237)&nbsp; In other cases, the intuition has some perceptual contents, and some imaginative.</p>
<p>It seems that in the example above, the presentation is purely intuitive, as all of the words have meaning, as well as a perception of &lsquo;pure imagination&rsquo;, but if I had a glimpse of the field, but not the dog, then it would not be a pure imagination or a pure perception, and instead would lie between the two.</p>
<p>In this case, of a dog in a field, it is entirely possible that the statement will have meaning.&nbsp; That is, that the statement is not an empty intention, it is internally consistent, and points to a specific state of affairs in reality.&nbsp; However, it was entirely possible that the statement was impossible, had there been inconsistencies.&nbsp; This is one of the things that the laws of a logic should be able to prevent against, as was stated earlier in the <em>Logical Investigations</em>.</p>
<p>The second third of Investigation VI deals with sensuous and categorial intuitions.&nbsp; While I have some understanding of what he is talking about here, like the rest of it, I have a hard time putting it down in words.&nbsp; So, I will try to make some sense of it.</p>
<p>If I have a red ball in my hand, it is a simple object in the respect that it is a whole thing &ndash; a &lsquo;red ball&rsquo;.&nbsp; However, it is made up of parts.&nbsp; It is red, squishy, bouncy, smooth, etc.&nbsp; We can say various things about this ball, in the structure of &lsquo;this ball is x&rsquo;, where x is a moment of the ball.&nbsp; For example, &lsquo;this ball is red&rsquo;, &lsquo;this ball is squishy&rsquo;, &lsquo;this ball is bouncy&rsquo;, and &lsquo;this ball is smooth&rsquo;.&nbsp; Each of these properties is a part of the whole, the ball.</p>
<p>When we look at this ball, the whole ball is explicate, while the various parts are implicate.&nbsp; That is, we clearly see the whole, and through it, the parts.&nbsp; The same is true of the various parts of the whole.&nbsp; For example, when we see red, we know that extension is a part of it, as extension is necessary for color to appear.</p>
<p>When we see an object then, we first have a sensuous intuition, followed by a categorial intuition.&nbsp; Therefore, I believe that he means something like the following:&nbsp; If we represent the ball as &lsquo;b&rsquo;, then our simple intuition would give us &lsquo;b&rsquo;.&nbsp; On the other hand, a categorial intuition would give us something like &lsquo;b = r &middot; s &middot; y &middot; m &middot; &hellip;&rsquo; where &lsquo;r&rsquo; stands for red, &lsquo;s&rsquo; for squishy, &lsquo;y&rsquo; for bouncy, and &lsquo;m&rsquo; for smooth.&nbsp; Using any of the modern logical connectives, as was explained in class, is what distinguishes a categorial, from a simple intuition.</p>
<p>Therefore, it seems that Husserl talks more about possibility in the <em>Logical Investigations</em> then he does of impossibility.&nbsp; However, if you do not do what Husserl speaks of in relation to possible objects and meaning, then you are almost guaranteed to have an impossible one.&nbsp; While I believe I have a grasp of what it is that Husserl is trying to get across, from the reading, as well as looking at modern logic, many of his ideas are still a little sketchy.</p>
<h3>Bibliography</h3>
<p>Husserl, Edmund, <em>Logical Investigations Volume 1 and 2</em>, New York, Routledge, 2001.</p>
<h3>Notes</h3>
<p><strong>Created:</strong> April 27th 2003<br /><strong>Modified:</strong> June 4th 2003; October 30th 2003; February 13th 2004<br /><strong>Notes:</strong> See also my paper titled <em><a href="http://strivinglife.com/words/post/Husserls-Phenomenological-Epoche-and-Theory-of-Intentionality.aspx">Husserl&rsquo;s Phenomenological Epoch&eacute; and the Theory of Intentionality</a></em>.</p>
