+++
title = "Husserl's Phenomenological Epoché and Theory of Intentionality"
description = "Paper regarding Husserl's Phenomenlogical Epoché, his theory of Intentionality, and reality."
draft = false
comments = true
date = "2002-12-16T01:01:00-06:00"
modified = "2010-02-14T12:59:54-06:00"
slug = "Husserls-Phenomenological-Epoche-and-Theory-of-Intentionality"
blogengine = "e6528c7b-794f-4b7a-85e4-9cdb15f30040"
categories = ["article", "philosophy"]
tags = ["Edmund Husserl"]
+++

<p>Edmund Husserl, in his <em>Ideas Pertaining to a Pure Phenomenology and to a Phenomenological Philosophy</em>, begins by discussing natural cognition and experience. Husserl explores experience, believing that experience is how we view the world around us. However, it is not enough to know that experience gives us insight. According to Husserl, we must, primarily, know how we are conscious of the world around us, before we can talk about the actuality of what we see.</p>
<p>Husserl, in this book, hopes to explain his phenomenological epoch&eacute;, or reduction, as well as show just how important the epoch&eacute;, and his theory of intentionality, are to experience and knowledge. For this paper, I will discuss the epoch&eacute;, both how it works as well as its purpose in Husserl's theory. Also, I'll be using Husserl's theory of intentionality to show how it works into this. Hopefully, the importance of what Husserl is doing will be shown by the end of this paper.</p>
<p>The nature of Husserl's theory necessitates that examples are used to explain particular points. Therefore, it will be necessary to use examples in this paper. For our first example we will take these pieces of paper that this paper is printed on. Now, when you look at these papers, when you physically turn your eyes to them, you are paying attention to the pieces of paper, you are conscious of them. Husserl also uses the words 'intending', and 'grasping' in place of 'paying attention' to mean the same general idea.</p>
<p>So, when Husserl states that "physical things are intended to not only in perception but also in memories" (71), he is telling us that not only can you look upon the pieces of paper with your eyes, and perceive them that way, but you can also intend them in your mind. For example, you can look at these pieces of paper, and say some statement about them, such as 'these papers are white with black writing'. However, you can also put these papers into a folder, and, using your memory, recall what they look like, and say that 'those papers were white with black writing'.</p>
<p>In both examples above you are stating some perceived fact about an object. That is, in the first example you are making a statement about objects that are sitting in front of you, while in the next example you are making a statement about objects that you are recollecting. Later, Husserl will use particular words to describe each of the features of the act of perceiving something.</p>
<p>First of all, Husserl brings the Ego into perception and consciousness. The Ego is that which either a) grasps, b) maintains in grasp, or c) releases from grasp that which is being paid attention to, or that which you are intending. For example, using the example above, the Ego grasps, or pays attention, to the sheets of paper. Now, if you're paying attention to both the table that the papers are laying on in addition to the papers themselves, you maintain your consciousness of the papers, but also pay attention to the table. Therefore, your Ego is grasping the table, and maintaining the papers in its grasp. Now, if you no longer want to pay attention to the sheets of paper lying on the table, but would rather pay attention to the table itself, by itself, then your Ego releases the papers from its grasp, and maintains its grasp on the table. To continue further, perhaps a few moments after you begin to study the table, a door is slammed shut, or opened, and you turn to look in the general direction. Whatever it is that you are now paying attention to, perhaps the closest door, is now your primary concern. Perhaps you no longer even remember what you were doing before, and therefore, the table is no longer in the grasp of the Ego - it is no longer maintained in the Ego's grasp.</p>
<p>What this basically amounts to is a general theory of how individuals pay attention to that which they are studying. In the example above, first the papers were looked at, then the papers in relation to the table, then, the focus was moved solely to the table, and finally the door was looked at because of an abrupt noise. So, first one thing was the focus of the attention, and then two objects were, then just one, and finally another, different object. However, there is a constant movement from one object to another. Therefore, any individual always has at least one object that they are paying attention to at any time. Also, the object does not necessarily need to be a physical thing, as, as stated above, memories can also be objects of regard.</p>
<p>Now, before I turn to the next topic, I will introduce a new example. For this example, we will take an individual sitting at his desk, on which lies a soda can. Now, using the example above with the sheets of paper on the table as our guide, let's take a look at what this individual may be thinking.</p>
<p>First of all, let us imagine that the individual is looking at the soda can. Now, the individual might be thinking about its properties or characteristics. For example, perhaps the soda can is red with white writing on it. The individual can also see that it is slightly shiny and that it is open. Now, while the individual is thinking this, they are probably holding the belief that the object that they see, that they perceive, is what they are describing. That is, they would probably be pretty surprised if someone were to say that the can is really blue, because they see a red can. However, let us put that aside for a moment. Now, let us say the individual, who we will designate as P, has been sitting in the same position while looking at this can before him. Now, each of his experiences of the soda can have been from the same general side of the can. That is, P hasn't rotated the can, but has merely focused on the one original view.</p>
<p>Now, perhaps there is writing on the can that starts on the side of the can that he presently viewing, but that continues onto a side that he cannot see from his current position. Now, based upon previous cans that P has seen, or based upon his previous experiences with words and writing, P may believe that the writing continues onto the sides that he cannot see. Also, P may believe that the red color continues onto the other sides, and that the can will be shiny on the other sides, as well.</p>
<p>However, P cannot be sure that his intentions, namely that the can is going to be red and shiny on the sides that he cannot see and that the words will continue until they make a full word, or complete sentence, are correct until he looks at the other sides. So, P decides to turn the can ninety degrees to look at another side of the can. After P has turned the can ninety degrees, he finds that indeed he was correct. The writing continues on, and as does the red color and the shiny look of the can. Now, Husserl calls each new look at an object of consciousness, in this case the can, an adumbration. With each new adumbration, or look, at an object, our knowledge of the object becomes more and more clear or adequate in that we know more about the object that we are examining, and we are less likely to be missing some essential information about it.</p>
<p>Now, after looking at this side of the can, P can still not be sure that his idea of the can, as being red and shiny all over and whatever else he perceives the can to have as characteristics, is true on the other sides that he has not yet experienced. So, P turns the can ninety degrees yet again. However, after rotating the can P finds that this side has an ashy residue, and is more yellow then red. Therefore, P has now learned that the can is not as he first believed it to be - red and shiny all over - but instead has a characteristic that he would have missed had he not rotated it enough. This goes along with what Husserl tells us about experience and objects. Only by continually looking at something with new and different perspectives can the perceiver ever know whether their intention of the thing is adequate or not. So, while P's intention of the can was red and shiny all over, his intention of the can was inadequate, in that the can is not red and shiny all over.</p>
<p>Perhaps, P continues to look at the can even further, now knowing that his original intention of the can was incorrect, and wishing to find out more. Perhaps, after another ninety degree rotation, the can flickers and disappears, leaving a circular device. P may now realize that the can was merely an illusion created by some kind of projector. However, the realization of illusion need not even be realized right away. Possibly after that last mentioned rotation, the can is how P believes it will continue - that is, it is like the first two sides of the can. However, a few years later, the can is shown to be merely a projection when the battery runs out in the circular projector device. Therefore, this shows but one example of how we cannot be sure that what we intend an object as is really is how it is.</p>
<p>We can also take another example, which most people have probably experienced at one time or another. While walking down the street, or sitting down somewhere and watching people go by, you see someone that you know. You call out to them, and find that they look towards you. However, while they get closer, and perhaps after halving the original distance, you realize that it is not who you thought it was. However, after they are within a few feet of the individual, you find that it is indeed the person that you originally thought it was, and you were indeed correct in your original intention.</p>
<p>Looking at these examples, Husserl would say that they show that we can never really know whether something really exists, nor whether something is actually what we intend it to be. Indeed, this brings up the exact point that Husserl wants to make. Husserl does not really want to work with whether what we see as real is real, but rather Husserl wants to be able to understand intentionality. That is, while we may find out eventually, after further adumbrations of the 'matter' that we are conscious of, that the thing does not actually exist, we have still perceived it at some point in time as real. That is, in the example above, P still perceived the soda can, even though it wasn't actually there. He had an intention of the soda can as really existing, even though P found that it didn't really exist after he had experienced it further.</p>
<p>Husserl, in this book, wishes to understand how it is that we perceive anything and how we can learn to know that what we perceive is as we believe it to be or not. For example, Husserl, in his reduction, asks us to bracket, or put off to the side, questions and determinations of the reality of the object that we perceive. Husserl tell us that "we [phenomenologists] put out of action the general positing which belongs to the essence of the natural attitude; we parenthesize everything which that positing encompasses with respect to being: <em>thus the whole natural world</em> which is continually 'there for us', 'on hand,' and which will always remain there according to consciousness as an 'actuality' even if we choose to parenthesize it." (61)</p>
<p>Therefore, the epoch&eacute; is that which allows us to exclude, for the most part, predetermined judgements (as those from science and past experiences) so that we can be free from previously placed restrictions. When we are free from past experiences, we no longer just give newly seen objects characteristics that we have seen in similar objects, but rather, we search for what the object really is. For example, when we see something, then we usually believe that it is real. However, that may not be the case, as it may in fact be an illusion.</p>
<p>Now, the question is: 'How does psychology fit into this?' After all, psychology deals with mental processes and behavior, much like phenomenology. For example, psychology is used to show why P, in the example above, feels the way that he does about the soda can. In other words, psychology uses knowledge of the subject to learn why they feel the way about the object that they perceive and why and they perceive it as they do. Psychology makes a judgement about the object, however. That is, psychology does not bracket, or parenthesize, whether any of the things perceived are real or not. Psychology instead deals with why characteristics are given to the object by the subject, with what mental events lead to the characteristics.</p>
<p>Phenomenology, on the other hand, has more of a relation to any and all mental events, for any and every consciousness, or Ego. So, to take the example of P and the soda can above, and to add on to it, let us imagine that another individual, R, comes in to P's area, after leaving his area, and looks at the same soda can that P was looking at. There would be some events that occurred for P that R would also experience. For example, both would have an experience of some object, O, which is a soda can in our example. However, O would not necessarily appear to be the same to both of them. P could have some experiences, such as the experiences from his previous adumbrations, which R would not necessarily have. However, R could always perform the same steps as P, and possibly, come upon approximately the same experiences.</p>
<p>So, it is important to point out that while they both perceive the same object, O, they may not have the same intention of the object. Even if they both have the intention that the soda can before them is red and shiny, what they mean by that is not the same thing. However, they can both do similar things with their experiences. For example, they can both have reflections upon their experiences. After they turn their attention to something else, they can still call up a memory, a reflection, of the object that they had just seen. Of course, the object of their individual reflections will probably not be the same as well, because of their different original experiences.</p>
<p>In other words, we have an object before us. We experience the object, and have some data that we experience from the object. These experiences, these senses or meanings, which the Ego grasps, are what Husserl calls noemata. From each experience, or each adumbration, the Ego grasps a noema. These noemata are then organized and put together by what Husserl calls the Ego. The organized and interpreted information is what Husserl calls noeses. Husserl believes that there is an internal and external world, as well as a world that is neither internal nor external. The external world is where the soda can, in our example, is, while the internal world is where the different noeses are. This shows that noeses are based up the individual, and therefore more personal, than objects themselves are. Noemata, on the other hand, are somewhere else. Noemata are the meanings or sense bestowed upon the object, and, according to Husserl, can be experienced by more then one individual, more then once. Because noemata can be repeated, P has the ability to speak of the soda can that he is experiencing with R as the same soda can that he was experiencing before R came into the room.</p>
<p>If anything, phenomenology is more of a way of determining the nature of reality, as well as how the mind can know things, whether the things are physical or mental. In this way, as well as in other ways, phenomenology is more like metaphysics. Phenomenology requires that phenomenologists, as well as other individuals, realize a few things. The first thing that must be realized is that the objects we perceive may or may not have the properties that are attributed to them. The only way to know whether they do is to examine them and get more and more experience with them.</p>
<p>Also, it must be realized that value is not inherent in the object, but rather that the value is a direct result of the personal view of the individual. Objects may have value in that they are more or less like the ideal object, however, this can only really be found by experience and examination, and can only be 'given' to the object by the individual who is experiencing the object. Of course, one of the things that Husserl makes clear is that an object can never really be adequately known, whether it be physical or mental. The reason for this is the fact that any object can always have something else known about it, and in fact, can always be but a mere illusion.</p>
<p>Therefore, the main purpose of phenomenology appears to be a way of finding out not so much about the truth, but how we perceive and experience physical and mental things. It is through phenomenology that we can realize that we have a determined way of perceiving things, whether they are real or not, and it is through phenomenology that we can determine the way we perceive things.</p>
<p>The epoch&eacute; plays an important part in phenomenology. The epoch&eacute; sets predetermined ideals to the side, so that they do not cloud our judgement. It does something which is similar to that which an individual must do when he wants to learn about a different culture. If anyone wishes to truly understand another culture, all of the individual's previously determined feelings and values must be aside. The culture must be looked at neutrally as it is, not in comparison to any another culture.</p>
<p>While psychology is similar, in many ways, to phenomenology, they are not the same. Psychology lacks the epoch&eacute;, and it is this that is the major difference between the two. Psychology looks at the world as real, while phenomenology makes no assertions either way. It is phenomenology, with the aide of the epoch&eacute;, the transcendental reduction, that helps lead phenomenologists to pure metaphysics.</p>
<h3>Bibliography:</h3>
<p>Husserl, Edmund, <em>Ideas Pertaining to a Pure Phenomenology and to a Phenomenological Philosophy: First Book</em> (1913), tr. F Kersten, Martinues Nijhoff, The Hague, 1982.</p>
<h3>Notes:</h3>
<p><strong>Created:</strong> December 9th &ndash; 16th 2002<br /><strong>Modified:</strong> February 13th 2004; February 5th 2005<br /><strong>Notes:</strong> See also my paper titled <a href="http://strivinglife.com/words/post/Epistemology-Paper-on-Husserl-and-Logical-Investigations.aspx"><em>Epistemology: Paper on Husserl and Logical Investigations</em></a>.</p>
