+++
title = "The Impact of Civilization and Its Laws on the Individual"
description = "Paper regarding Dostoevsky's Crime and Punishment and Freud's Civilization and Its Discontents in relation to each other."
draft = false
comments = true
date = "2002-05-03T01:01:00-05:00"
modified = "2010-02-14T13:08:17-06:00"
slug = "The-Impact-of-Civilization-and-Its-Laws-on-the-Individual"
blogengine = "8a840e36-845a-4a1a-97d5-192bffabd24b"
categories = ["article"]
tags = []
+++

<p>What is the impact that civilization and its laws have on the individual? Particularly in the case of values and morality, does civilization help define one's values, or does it subvert them, leaving behind only those values that it can use in order to survive and converting those it can not? For this paper, I would like to look at Fyodor Dostoevsky's <em>Crime and Punishment</em> and show how Sigmund Freud's <em>Civilization and Its Discontents</em> is related to this story.</p>
<p>To give a brief synopsis of the story, at the beginning of <em>Crime and Punishment</em>, the reader is introduced to Rodion Raskolnikov, a poor student, who is on his way to do some chore or another. It is obvious from the start that much planning has gone into this, as he knows how many feet it is to the place of business. Upon at arriving at his destination, the reader discovers that he has gone to visit Alyana Ivanovna, a cruel pawnbroker, in order to pawn a watch. After an examination of the place, a question, and his exchange of money for the pledge, he leaves to drink.</p>
<p>From this first chapter on we learn of Rodion's life, family, thoughts, and deeds. After convincing himself that killing the pawnbroker will help her entrapped sister, Lizaveta Ivanovna, he kills Alyana, and eventually kills Lizaveta, the girl he told himself he was going to help. The murders and the escape have an impact on him that will introduce to his life various relationships and lead him into a deeper and deeper pit of misery.</p>
<p>Sigmund Freud's <em>Civilization and Its Discontents</em> discusses the effects that civilization and religion has on the individual, from a psychoanalytical approach. Therefore, one could say that Freud talks about the way the individual must conform to these external forces.</p>
<p>I will attempt to summarize the most important parts of his paper briefly, so as to be able to better see the relation between Freud and Dostoevsky. The first things that Freud begins to discuss are feelings and man's inability to clearly, scientifically, deal with his own feelings. This discussion leads to the introduction of the ego and id. "Normally, there is nothing of which we are more certain than the feeling of our self, of our own ego. This ego appears to us as something autonomous and unitary, marked off distinctly from everything else." (Freud, 12) According to Freud, there is another part of the self which uses the ego as a fa&ccedil;ade in order to deal with the outside world. The id is this other part, an unconscious mental entity that hides within us.</p>
<p>The ego tends to be clearly separated from the outside world, defined as that which is not part of oneself, except when in love and when an infant. This latter separation is due to the tendency to "separate from the ego everything that can become a source of such unpleasure, to throw it outside and to create a pure pleasure-ego which is confronted by a strange and threatening 'outside'." (Freud, 14) The unpleasure that he speaks of consists of those sensations of pain that frequently and unavoidably assail one. Therefore, Freud points out that the ego begins with the belief that it is everything; however, it eventually removes the environment from its true self.</p>
<p>Freud states that "in mental life nothing which has once been formed can perish - that everything is somehow preserved and that in suitable circumstances&hellip;it can once more be brought to light" (Freud, 16-17). This follows from what he states before, that the mind often preserves that which comes before, even though it may also adopt some more 'advanced' version. This important point will be brought up later by Freud in his discussion of civilization.</p>
<p>Freud's second chapter deals with his Future of an Illusion and the desire of man to remove pain and suffering from his life, as well as the ways in which we attempt to do so. Religion can be one such way, in that we are given the idea of a 'great father' who will be there to watch over us while alive and reward us when dead. The three other ways to sooth our pain are "powerful deflections, which cause us to make light of our misery; substitutive satisfactions, which diminish it; and intoxicating substances, which make us insensitive to it." (Freud, 23-24)</p>
<p>The purpose of human life, a difficult question to answer, is also spoken of briefly, which will be an important consideration later in this paper. Since it seems as though we may never know the true reason of life, Freud instead looks at man's actions, to try to gain some idea of man's purpose. Pleasure seems to be the main driving force of the human condition, in that man does what will keep him from pain, in favor of experiencing great pleasure. It seems, however, that suffering is more likely to occur, as there are various ways that it can siege us - our bodies, the external world, and relations with others - and less ways to obtain pleasure.</p>
<p>Speaking of more ways of obtaining pleasure, another way, which Freud seems to shy away from, is to gain it through the imagination and illusions. This technique, in which people regard reality as an enemy and attempt to change the things that they dislike, is only doomed to fail, and will result in the failure of their delusion, which Freud suggests will lead to madness.</p>
<p>Although chapter three is important, there is only one passage that I wish to specifically call to attention: "No feature, however, seems better to characterize civilization than its esteem and encouragement of man's higher mental activities - his intellectual, scientific and artistic achievements - and the leading role that it assigns to ideas in human life." (Freud, 47) The reason that I call this passage, within his discussion of the properties of civilization, to attention will become apparent a little later.</p>
<p>While chapter four and five's discussion of love is important, for this paper I have little need to discuss this, and therefore will move onto the sixth chapter, which brings destruction and death into his discussion. This sixth chapter brings death and destruction into the paper, as well as the idea of the Devil of religion. While man strives towards creating pleasure, often through objects and control, destruction too has a certain satisfaction that is tied to it. While kindness can often bring that which you wish, violence too can do the same.</p>
<p>Chapters seven and eight, the last two chapters of <em>Civilization and Its Discontents</em>, are perhaps the most important in relation to Dostoevsky. When civilization takes control of the individual, there are certain things which man can no longer do. One such thing is to act against his fellows. However, instead of curbing these 'instincts', man must instead internalize them. The mind, and especially the ego discussed earlier, uses this internalized aggression to 'create' a kind of super-ego, which rules as an internalized father. Punishment comes not only from the outside then, but also from the inside. Even when the external 'fathers' do not know of any guilt, the internal father, the conscience, knows and deals out the 'appropriate' punishment.</p>
<p>Therefore, civilization seems to set up rules, which primarily turn unacceptable feelings inwards; these feelings are then turned against the self, by the self. Here then, man seems to be placed in a position of constant watch of not only his actions, but also his thoughts. To end our focus on Freud, five words play a central role in this concept: 'super-ego', 'conscience', 'sense of guilt', 'need for punishment' and 'remorse'. Each concept leads to the next, in that the super-ego acts as a conscience, which gives us a sense of guilt, which leads us to believe we need punishment - even for mere thoughts - which then leads us to regret what we have (or have not) done.</p>
<p>With this discussion of Freud over, we can now look at certain aspects of <em>Crime and Punishment</em>, from after the murders, and the reasoning that Freud might give to the particular actions. I will look at those things that Freud discusses, in the approximately same order, in relation to Dostoevsky's piece.</p>
<p>The first thing that Freud speaks of that we can see in <em>Crime and Punishment</em>, but not until late in the book, is religion. Although we do not know much about Rodion's view on this until much later, we do eventually learn that he is not religious. In fact, he attacks one character, Sonia, who he meets late in the book, because of her religious belief. By the end of the book, however, he asks Sonia for the New Testament, showing not only a change in his beliefs because of his crime, but also an accepted way of dealing with his suffering.</p>
<p>A previous way of his dealing with suffering had been through intoxication. In fact, many of the people that he meets, including Sonia's father, are introduced in various taverns. The money that Rodion receives, both from pawning his watch at the beginning and from his mother and sister, is primarily spent in taverns. This clearly shows that at modern times, Freud is exactly right when he talks about the problems of civilization.</p>
<p>Another 'technique' that Rodion uses to ease his suffering is his idea of extraordinary men who have the right to "commit any crime and to transgress the law in any way, just because they are extraordinary," (Dostoevsky, 241) while the common people are simply ordinary men. Rodion, in fact, may have the illusionary belief that he is an extraordinary man, giving him the justification to kill an evil woman for her money.</p>
<p>Not only does that tie to a technique of easing suffering, but it also goes along with Freud's discussion of the purpose of human life. Extraordinary men, such as Rodion, need not worry about their purpose, as they are to lead the ordinary men. The purpose of the ordinary men needs only to be discussed, but men such as Rodion need not worry about that discussion. This also ties in directly with Freud's discussion of the importance of intellect in civilization. Rodion, being an intellectual who has fallen on hard times, should be able to get the funds necessary to improve his condition, to set out on his goals, because of his education. How can it be that he, who had studied and written papers, can be allowed to live in a condition worse then that of a mere pawnbroker?</p>
<p>The last two chapters of Freud's work are the most important ones in relation to <em>Crime and Punishment</em>. Rodion, having committed a crime due to a self-created illusion of superior men that was meant to ease his suffering, must deal with the punishment that civilization has decreed that he should receive. In this case, he has done two things of extreme lawlessness.</p>
<p>The first was his attack against another individual of his society. The murder of the pawnbroker Alyana might have had some justification. It could possibly be argued that her cruelty towards her sister had driven Rodion to commit such an act. However, by killing Lizaveta, the sister, he had destroyed his only justification and was acting simply out of greed for money and power, if not the desire for destruction.</p>
<p>The second crime that Rodion committed was his fleeing from the scene of the crime. That is, not only did he commit murder, but he also fled from justice and the law. While it is true that he eventually turned himself in, it can be argued that this was not an act of free will, as he could have easily turned himself in far before he actually did.</p>
<p>Civilizations' first way of dealing out punishment, by forces external to the individual, did nothing in this case. Although the investigation by the police may have indeed discovered something, it was solely how Rodion acted that gave any evidence regarding the murders; his actions could be attributed to the sickness that he was going through. The only way for civilization to catch Rodion, then, was to depend on his own guilty conscience.</p>
<p>The story of Rodion's crime and punishment is therefore an excellent example of civilizations influence. Rodion believed that he was going to be caught and prosecuted. If it were not for his sense of guilt, then he might never have been suspected. Add to this the influence of Sonia and her religion, and we clearly see that civilization had won from the beginning.</p>
<p>If one needs evidence, or examples, of Sigmund Freud's remarks in <em>Civilization and Its Discontents</em>, then one need go no farther then Fyodor Dostoevsky's <em>Crime and Punishment</em>. The question of whether civilization is beneficial, such as when one commits a crime, or is harmful, such as when one brings himself close to his death because of his worrying, is a hard one to answer. Whether civilization does more good then harm is another, similar question, which each person may need to answer for themselves.</p>
<h3>Bibliography</h3>
<p>Dostoevsky, F. (1981). <em>Crime and Punishment</em>. New York: Bantam Books.</p>
<p>Freud, S. (1961). <em>Civilization and Its Discontents</em>. New York: W.W. Norton &amp; Company.</p>
<h3>Appendix</h3>
<p>While I looked for relevant articles that had already discussed this topic, I could find none. I did not want to look at Fyodor Dostoevsky's novel from a psycho-analytic approach, but rather Rodion's confession of guilt near the end of the book. "It was I killed the old pawnbroker woman and her sister Lizaveta with an axe and robbed them." (Dostoevsky, 490) I wished instead to deal with this, one of the final points of the book.</p>
<p>While some may argue that one can overcome guilt, it is not quite that simple. The influence of civilization is something that is so prevalent, that we often fail to see it. I hope that I have at least touched upon this topic, but to understand and to explain are two different things. If there were articles on this specific topic, I would gladly have wished to use them, as they would have greatly eased my task.</p>
<h3>Notes</h3>
<p><strong>Created:</strong> April 16th 2002 &ndash; May 3rd 2002<br /><strong>Modified:</strong> February 13th 2004; February 5th 2005</p>
